/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var te=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/log/common/log","vs/platform/instantiation/common/instantiation","vs/base/common/uri","vs/base/common/async","vs/base/common/path","vs/base/common/types","vs/nls!vs/code/electron-main/main","vs/nls","vs/base/common/errors","electron","vs/base/common/network","vs/platform/files/common/files","vs/base/common/buffer","vs/platform/configuration/common/configuration","vs/platform/product/common/productService","vs/base/common/resources","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/cancellation","vs/base/node/pfs","vs/platform/telemetry/common/telemetry","vs/base/common/arrays","os","vs/base/common/strings","vs/platform/environment/electron-main/environmentMainService","vs/platform/workspace/common/workspace","vs/platform/windows/electron-main/windows","vs/base/common/uuid","vs/base/common/extpath","vs/platform/environment/common/environment","vs/platform/state/electron-main/state","vs/base/common/map","vs/base/common/process","vs/base/common/labels","vs/platform/userDataProfile/common/userDataProfile","vs/platform/policy/common/policy","vs/platform/uriIdentity/common/uriIdentity","fs","vs/base/parts/ipc/electron-main/ipcMain","vs/base/common/json","vs/base/common/objects","vs/base/common/errorMessage","child_process","vs/base/parts/ipc/common/ipc","vs/platform/update/common/update","vs/base/common/functional","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetryUtils","vs/platform/userDataProfile/electron-main/userDataProfile","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/decorators","vs/platform/remote/common/remoteHosts","vs/platform/request/common/request","vs/platform/dialogs/electron-main/dialogMainService","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/stream","vs/base/common/ternarySearchTree","vs/platform/environment/node/argvHelper","vs/platform/backup/electron-main/backup","vs/base/common/performance","vs/platform/log/electron-main/loggerService","vs/platform/product/common/product","vs/platform/protocol/electron-main/protocol","vs/platform/configuration/common/configurationRegistry","vs/platform/theme/electron-main/themeMainService","vs/base/common/iterator","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/marshalling","vs/platform/instantiation/common/descriptors","vs/platform/credentials/common/credentials","vs/platform/files/common/watcher","vs/platform/window/common/window","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/normalization","crypto","net","vs/base/common/processes","vs/base/common/severity","vs/base/node/id","vs/base/node/processes","vs/base/parts/ipc/node/ipc.net","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/files/node/diskFileSystemProvider","vs/platform/extensions/common/extensions","vs/platform/sign/common/sign","vs/platform/telemetry/common/commonProperties","vs/platform/update/electron-main/abstractUpdateService","vs/platform/storage/common/storage","vs/platform/storage/electron-main/storageMainService","vs/platform/workspaces/common/workspaces","vs/platform/workspaces/node/workspaces","vs/base/common/linkedList","vs/base/node/ports","vs/base/common/glob","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/platform/environment/node/argv","vs/platform/encryption/common/encryptionService","vs/platform/externalTerminal/common/externalTerminal","vs/platform/files/common/io","vs/platform/configuration/common/configurationModels","vs/platform/shell/node/shellEnv","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/electron-main/telemetryUtils","vs/platform/tunnel/common/tunnel","vs/platform/url/common/url","vs/platform/window/electron-main/window","vs/platform/extensionManagement/common/extensionsScannerService","vs/platform/windows/electron-main/windowsFinder","vs/platform/diagnostics/electron-main/diagnosticsMainService","vs/base/common/color","vs/base/common/assert","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/numbers","vs/base/common/skipList","vs/base/common/codicons","vs/base/common/themables","vs/base/node/crypto","vs/base/node/macAddress","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/contextmenu/electron-main/contextmenu","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/cache","vs/base/common/console","vs/base/common/uriIpc","util","vs/base/node/powershell","vs/base/node/shell","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/ipc/node/ipc.cp","vs/base/parts/storage/node/storage","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionNls","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/electron-main/diskFileSystemProviderServer","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/windows/electron-main/windowImpl","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/backup/common/backup","vs/platform/backup/node/backup","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","path","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionManagement/common/implicitActivationEvents","vs/platform/extensions/common/extensionValidator","vs/base/common/semver/semver","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensionHostStarter","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/credentials/common/credentialsMainService","vs/platform/encryption/node/encryptionMainService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/files/electron-main/diskFileSystemProviderServer","vs/platform/log/common/bufferLog","vs/platform/log/common/logService","vs/platform/log/electron-main/logIpc","vs/platform/log/node/spdlogLog","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/policy/common/filePolicyService","vs/platform/policy/common/policyIpc","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/profiling/electron-main/windowProfiling","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/wsl","vs/platform/request/common/requestIpc","vs/platform/request/node/proxy","url","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/state/electron-main/stateMainService","vs/platform/diagnostics/node/diagnosticsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/telemetryUtils","vs/platform/tunnel/node/tunnelService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/webviewManagerService","vs/platform/webview/electron-main/webviewProtocolProvider","vs/code/electron-main/auth","vs/platform/credentials/electron-main/credentialsMainService","vs/platform/launch/electron-main/launchMainService","vs/platform/utilityProcess/electron-main/utilityProcess","string_decoder","vs/platform/extensions/electron-main/extensionHostStarter","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/storage/electron-main/storageIpc","vs/platform/extensionManagement/node/extensionsProfileScannerService","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/protocol/electron-main/protocolMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/storage/electron-main/storageMain","vs/platform/userDataProfile/electron-main/userDataProfileStorageIpc","vs/platform/userDataProfile/node/userDataProfile","vs/platform/userDataProfile/electron-main/userDataProfilesHandler","vs/platform/windows/electron-main/windowsStateHandler","vs/platform/backup/electron-main/backupMainService","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/windowImpl","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","vs/platform/policy/node/nativePolicyService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","minimist","assert","graceful-fs","https","vscode-policy-watcher","zlib","vs/code/electron-main/main"],ie=function(x){for(var e=[],I=0,M=x.length;I<M;I++)e[I]=te[x[I]];return e};define(te[121],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Color=e.HSVA=e.HSLA=e.RGBA=void 0;function I(P,d){const h=Math.pow(10,d);return Math.round(P*h)/h}class M{constructor(d,h,y,b=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,d))|0,this.g=Math.min(255,Math.max(0,h))|0,this.b=Math.min(255,Math.max(0,y))|0,this.a=I(Math.max(Math.min(1,b),0),3)}static equals(d,h){return d.r===h.r&&d.g===h.g&&d.b===h.b&&d.a===h.a}}e.RGBA=M;class n{constructor(d,h,y,b){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,d),0)|0,this.s=I(Math.max(Math.min(1,h),0),3),this.l=I(Math.max(Math.min(1,y),0),3),this.a=I(Math.max(Math.min(1,b),0),3)}static equals(d,h){return d.h===h.h&&d.s===h.s&&d.l===h.l&&d.a===h.a}static fromRGBA(d){const h=d.r/255,y=d.g/255,b=d.b/255,v=d.a,m=Math.max(h,y,b),f=Math.min(h,y,b);let w=0,a=0;const u=(f+m)/2,p=m-f;if(p>0){switch(a=Math.min(u<=.5?p/(2*u):p/(2-2*u),1),m){case h:w=(y-b)/p+(y<b?6:0);break;case y:w=(b-h)/p+2;break;case b:w=(h-y)/p+4;break}w*=60,w=Math.round(w)}return new n(w,a,u,v)}static i(d,h,y){return y<0&&(y+=1),y>1&&(y-=1),y<1/6?d+(h-d)*6*y:y<1/2?h:y<2/3?d+(h-d)*(2/3-y)*6:d}static toRGBA(d){const h=d.h/360,{s:y,l:b,a:v}=d;let m,f,w;if(y===0)m=f=w=b;else{const a=b<.5?b*(1+y):b+y-b*y,u=2*b-a;m=n.i(u,a,h+1/3),f=n.i(u,a,h),w=n.i(u,a,h-1/3)}return new M(Math.round(m*255),Math.round(f*255),Math.round(w*255),v)}}e.HSLA=n;class C{constructor(d,h,y,b){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,d),0)|0,this.s=I(Math.max(Math.min(1,h),0),3),this.v=I(Math.max(Math.min(1,y),0),3),this.a=I(Math.max(Math.min(1,b),0),3)}static equals(d,h){return d.h===h.h&&d.s===h.s&&d.v===h.v&&d.a===h.a}static fromRGBA(d){const h=d.r/255,y=d.g/255,b=d.b/255,v=Math.max(h,y,b),m=Math.min(h,y,b),f=v-m,w=v===0?0:f/v;let a;return f===0?a=0:v===h?a=((y-b)/f%6+6)%6:v===y?a=(b-h)/f+2:a=(h-y)/f+4,new C(Math.round(a*60),w,v,d.a)}static toRGBA(d){const{h,s:y,v:b,a:v}=d,m=b*y,f=m*(1-Math.abs(h/60%2-1)),w=b-m;let[a,u,p]=[0,0,0];return h<60?(a=m,u=f):h<120?(a=f,u=m):h<180?(u=m,p=f):h<240?(u=f,p=m):h<300?(a=f,p=m):h<=360&&(a=m,p=f),a=Math.round((a+w)*255),u=Math.round((u+w)*255),p=Math.round((p+w)*255),new M(a,u,p,v)}}e.HSVA=C;class D{static fromHex(d){return D.Format.CSS.parseHex(d)||D.red}static equals(d,h){return!d&&!h?!0:!d||!h?!1:d.equals(h)}get hsla(){return this.i?this.i:n.fromRGBA(this.rgba)}get hsva(){return this.j?this.j:C.fromRGBA(this.rgba)}constructor(d){if(d)if(d instanceof M)this.rgba=d;else if(d instanceof n)this.i=d,this.rgba=n.toRGBA(d);else if(d instanceof C)this.j=d,this.rgba=C.toRGBA(d);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}equals(d){return!!d&&M.equals(this.rgba,d.rgba)&&n.equals(this.hsla,d.hsla)&&C.equals(this.hsva,d.hsva)}getRelativeLuminance(){const d=D.k(this.rgba.r),h=D.k(this.rgba.g),y=D.k(this.rgba.b),b=.2126*d+.7152*h+.0722*y;return I(b,4)}static k(d){const h=d/255;return h<=.03928?h/12.92:Math.pow((h+.055)/1.055,2.4)}getContrastRatio(d){const h=this.getRelativeLuminance(),y=d.getRelativeLuminance();return h>y?(h+.05)/(y+.05):(y+.05)/(h+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(d){const h=this.getRelativeLuminance(),y=d.getRelativeLuminance();return h>y}isDarkerThan(d){const h=this.getRelativeLuminance(),y=d.getRelativeLuminance();return h<y}lighten(d){return new D(new n(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*d,this.hsla.a))}darken(d){return new D(new n(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*d,this.hsla.a))}transparent(d){const{r:h,g:y,b,a:v}=this.rgba;return new D(new M(h,y,b,v*d))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new D(new M(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(d){const h=d.rgba,y=this.rgba.a,b=h.a,v=y+b*(1-y);if(v<1e-6)return D.transparent;const m=this.rgba.r*y/v+h.r*b*(1-y)/v,f=this.rgba.g*y/v+h.g*b*(1-y)/v,w=this.rgba.b*y/v+h.b*b*(1-y)/v;return new D(new M(m,f,w,v))}makeOpaque(d){if(this.isOpaque()||d.rgba.a!==1)return this;const{r:h,g:y,b,a:v}=this.rgba;return new D(new M(d.rgba.r-v*(d.rgba.r-h),d.rgba.g-v*(d.rgba.g-y),d.rgba.b-v*(d.rgba.b-b),1))}flatten(...d){const h=d.reduceRight((y,b)=>D.o(b,y));return D.o(this,h)}static o(d,h){const y=1-d.rgba.a;return new D(new M(y*h.rgba.r+d.rgba.a*d.rgba.r,y*h.rgba.g+d.rgba.a*d.rgba.g,y*h.rgba.b+d.rgba.a*d.rgba.b))}toString(){return this.u||(this.u=D.Format.CSS.format(this)),this.u}static getLighterColor(d,h,y){if(d.isLighterThan(h))return d;y=y||.5;const b=d.getRelativeLuminance(),v=h.getRelativeLuminance();return y=y*(v-b)/v,d.lighten(y)}static getDarkerColor(d,h,y){if(d.isDarkerThan(h))return d;y=y||.5;const b=d.getRelativeLuminance(),v=h.getRelativeLuminance();return y=y*(b-v)/b,d.darken(y)}}e.Color=D,D.white=new D(new M(255,255,255,1)),D.black=new D(new M(0,0,0,1)),D.red=new D(new M(255,0,0,1)),D.blue=new D(new M(0,0,255,1)),D.green=new D(new M(0,255,0,1)),D.cyan=new D(new M(0,255,255,1)),D.lightgrey=new D(new M(211,211,211,1)),D.transparent=new D(new M(0,0,0,0)),function(P){let d;(function(h){let y;(function(b){function v(t){return t.rgba.a===1?`rgb(${t.rgba.r}, ${t.rgba.g}, ${t.rgba.b})`:P.Format.CSS.formatRGBA(t)}b.formatRGB=v;function m(t){return`rgba(${t.rgba.r}, ${t.rgba.g}, ${t.rgba.b}, ${+t.rgba.a.toFixed(2)})`}b.formatRGBA=m;function f(t){return t.hsla.a===1?`hsl(${t.hsla.h}, ${(t.hsla.s*100).toFixed(2)}%, ${(t.hsla.l*100).toFixed(2)}%)`:P.Format.CSS.formatHSLA(t)}b.formatHSL=f;function w(t){return`hsla(${t.hsla.h}, ${(t.hsla.s*100).toFixed(2)}%, ${(t.hsla.l*100).toFixed(2)}%, ${t.hsla.a.toFixed(2)})`}b.formatHSLA=w;function a(t){const c=t.toString(16);return c.length!==2?"0"+c:c}function u(t){return`#${a(t.rgba.r)}${a(t.rgba.g)}${a(t.rgba.b)}`}b.formatHex=u;function p(t,c=!1){return c&&t.rgba.a===1?P.Format.CSS.formatHex(t):`#${a(t.rgba.r)}${a(t.rgba.g)}${a(t.rgba.b)}${a(Math.round(t.rgba.a*255))}`}b.formatHexA=p;function k(t){return t.isOpaque()?P.Format.CSS.formatHex(t):P.Format.CSS.formatRGBA(t)}b.format=k;function E(t){const c=t.length;if(c===0||t.charCodeAt(0)!==35)return null;if(c===7){const i=16*R(t.charCodeAt(1))+R(t.charCodeAt(2)),r=16*R(t.charCodeAt(3))+R(t.charCodeAt(4)),s=16*R(t.charCodeAt(5))+R(t.charCodeAt(6));return new P(new M(i,r,s,1))}if(c===9){const i=16*R(t.charCodeAt(1))+R(t.charCodeAt(2)),r=16*R(t.charCodeAt(3))+R(t.charCodeAt(4)),s=16*R(t.charCodeAt(5))+R(t.charCodeAt(6)),l=16*R(t.charCodeAt(7))+R(t.charCodeAt(8));return new P(new M(i,r,s,l/255))}if(c===4){const i=R(t.charCodeAt(1)),r=R(t.charCodeAt(2)),s=R(t.charCodeAt(3));return new P(new M(16*i+i,16*r+r,16*s+s))}if(c===5){const i=R(t.charCodeAt(1)),r=R(t.charCodeAt(2)),s=R(t.charCodeAt(3)),l=R(t.charCodeAt(4));return new P(new M(16*i+i,16*r+r,16*s+s,(16*l+l)/255))}return null}b.parseHex=E;function R(t){switch(t){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(y=h.CSS||(h.CSS={}))})(d=P.Format||(P.Format={}))}(D=e.Color||(e.Color={}))}),define(te[54],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=void 0;function I(D){return(P,d,h)=>{let y=null,b=null;if(typeof h.value=="function"?(y="value",b=h.value):typeof h.get=="function"&&(y="get",b=h.get),!b)throw new Error("not supported");h[y]=D(b,d)}}function M(D,P,d){let h=null,y=null;if(typeof d.value=="function"?(h="value",y=d.value,y.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof d.get=="function"&&(h="get",y=d.get),!y)throw new Error("not supported");const b=`$memoize$${P}`;d[h]=function(...v){return this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!1,enumerable:!1,writable:!1,value:y.apply(this,v)}),this[b]}}e.memoize=M;function n(D,P,d){return I((h,y)=>{const b=`$debounce$${y}`,v=`$debounce$result$${y}`;return function(...m){this[v]||(this[v]=d?d():void 0),clearTimeout(this[b]),P&&(this[v]=P(this[v],...m),m=[this[v]]),this[b]=setTimeout(()=>{h.apply(this,m),this[v]=d?d():void 0},D)}})}e.debounce=n;function C(D,P,d){return I((h,y)=>{const b=`$throttle$timer$${y}`,v=`$throttle$result$${y}`,m=`$throttle$lastRun$${y}`,f=`$throttle$pending$${y}`;return function(...w){if(this[v]||(this[v]=d?d():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),P&&(this[v]=P(this[v],...w)),this[f])return;const a=this[m]+D;a<=Date.now()?(this[m]=Date.now(),h.apply(this,[this[v]]),this[v]=d?d():void 0):(this[f]=!0,this[b]=setTimeout(()=>{this[f]=!1,this[m]=Date.now(),h.apply(this,[this[v]]),this[v]=d?d():void 0},a-Date.now()))}})}e.throttle=C}),define(te[13],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.isSigPipeError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class I{constructor(){this.b=[],this.a=function(c){setTimeout(()=>{throw c.stack?E.isErrorNoTelemetry(c)?new E(c.message+`

`+c.stack):new Error(c.message+`

`+c.stack):c},0)}}addListener(c){return this.b.push(c),()=>{this.d(c)}}c(c){this.b.forEach(i=>{i(c)})}d(c){this.b.splice(this.b.indexOf(c),1)}setUnexpectedErrorHandler(c){this.a=c}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(c){this.a(c),this.c(c)}onUnexpectedExternalError(c){this.a(c)}}e.ErrorHandler=I,e.errorHandler=new I;function M(t){e.errorHandler.setUnexpectedErrorHandler(t)}e.setUnexpectedErrorHandler=M;function n(t){return!!t&&typeof t=="object"&&t.code==="EPIPE"&&t.syscall==="WRITE"}e.isSigPipeError=n;function C(t){h(t)||e.errorHandler.onUnexpectedError(t)}e.onUnexpectedError=C;function D(t){h(t)||e.errorHandler.onUnexpectedExternalError(t)}e.onUnexpectedExternalError=D;function P(t){if(t instanceof Error){const{name:c,message:i}=t,r=t.stacktrace||t.stack;return{$isError:!0,name:c,message:i,stack:r,noTelemetry:E.isErrorNoTelemetry(t)}}return t}e.transformErrorForSerialization=P;const d="Canceled";function h(t){return t instanceof y?!0:t instanceof Error&&t.name===d&&t.message===d}e.isCancellationError=h;class y extends Error{constructor(){super(d),this.name=this.message}}e.CancellationError=y;function b(){const t=new Error(d);return t.name=t.message,t}e.canceled=b;function v(t){return t?new Error(`Illegal argument: ${t}`):new Error("Illegal argument")}e.illegalArgument=v;function m(t){return t?new Error(`Illegal state: ${t}`):new Error("Illegal state")}e.illegalState=m;function f(t){return t?new Error(`readonly property '${t} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=f;function w(t){const c=new Error(`${t} has been disposed`);return c.name="DISPOSED",c}e.disposed=w;function a(t){return t?t.message?t.message:t.stack?t.stack.split(`
`)[0]:String(t):"Error"}e.getErrorMessage=a;class u extends Error{constructor(c){super("NotImplemented"),c&&(this.message=c)}}e.NotImplementedError=u;class p extends Error{constructor(c){super("NotSupported"),c&&(this.message=c)}}e.NotSupportedError=p;class k extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.ExpectedError=k;class E extends Error{constructor(c){super(c),this.name="CodeExpectedError"}static fromError(c){if(c instanceof E)return c;const i=new E;return i.message=c.message,i.stack=c.stack,i}static isErrorNoTelemetry(c){return c.name==="CodeExpectedError"}}e.ErrorNoTelemetry=E;class R extends Error{constructor(c){super(c||"An unexpected bug occurred."),Object.setPrototypeOf(this,R.prototype);debugger}}e.BugIndicatingError=R}),define(te[25],ie([0,1,13]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CallbackIterable=e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.removeFastWithoutKeepingOrder=e.equals=e.tail2=e.tail=void 0;function M(N,q=0){return N[N.length-(1+q)]}e.tail=M;function n(N){if(N.length===0)throw new Error("Invalid tail call");return[N.slice(0,N.length-1),N[N.length-1]]}e.tail2=n;function C(N,q,Q=(oe,ue)=>oe===ue){if(N===q)return!0;if(!N||!q||N.length!==q.length)return!1;for(let oe=0,ue=N.length;oe<ue;oe++)if(!Q(N[oe],q[oe]))return!1;return!0}e.equals=C;function D(N,q){const Q=N.length-1;q<Q&&(N[q]=N[Q]),N.pop()}e.removeFastWithoutKeepingOrder=D;function P(N,q,Q){return d(N.length,oe=>Q(N[oe],q))}e.binarySearch=P;function d(N,q){let Q=0,oe=N-1;for(;Q<=oe;){const ue=(Q+oe)/2|0,ye=q(ue);if(ye<0)Q=ue+1;else if(ye>0)oe=ue-1;else return ue}return-(Q+1)}e.binarySearch2=d;function h(N,q){let Q=0,oe=N.length;if(oe===0)return 0;for(;Q<oe;){const ue=Math.floor((Q+oe)/2);q(N[ue])?oe=ue:Q=ue+1}return Q}e.findFirstInSorted=h;function y(N,q,Q){if(N=N|0,N>=q.length)throw new TypeError("invalid index");const oe=q[Math.floor(q.length*Math.random())],ue=[],ye=[],Re=[];for(const Oe of q){const Le=Q(Oe,oe);Le<0?ue.push(Oe):Le>0?ye.push(Oe):Re.push(Oe)}return N<ue.length?y(N,ue,Q):N<ue.length+Re.length?Re[0]:y(N-(ue.length+Re.length),ye,Q)}e.quickSelect=y;function b(N,q){const Q=[];let oe;for(const ue of N.slice(0).sort(q))!oe||q(oe[0],ue)!==0?(oe=[ue],Q.push(oe)):oe.push(ue);return Q}e.groupBy=b;function v(N,q,Q){const oe=[];function ue(Oe,Le,Ue){if(Le===0&&Ue.length===0)return;const we=oe[oe.length-1];we&&we.start+we.deleteCount===Oe?(we.deleteCount+=Le,we.toInsert.push(...Ue)):oe.push({start:Oe,deleteCount:Le,toInsert:Ue})}let ye=0,Re=0;for(;;){if(ye===N.length){ue(ye,0,q.slice(Re));break}if(Re===q.length){ue(ye,N.length-ye,[]);break}const Oe=N[ye],Le=q[Re],Ue=Q(Oe,Le);Ue===0?(ye+=1,Re+=1):Ue<0?(ue(ye,1,[]),ye+=1):Ue>0&&(ue(ye,0,[Le]),Re+=1)}return oe}e.sortedDiff=v;function m(N,q,Q){const oe=v(N,q,Q),ue=[],ye=[];for(const Re of oe)ue.push(...N.slice(Re.start,Re.start+Re.deleteCount)),ye.push(...Re.toInsert);return{removed:ue,added:ye}}e.delta=m;function f(N,q,Q){if(Q===0)return[];const oe=N.slice(0,Q).sort(q);return a(N,q,oe,Q,N.length),oe}e.top=f;function w(N,q,Q,oe,ue){return Q===0?Promise.resolve([]):new Promise((ye,Re)=>{(async()=>{const Oe=N.length,Le=N.slice(0,Q).sort(q);for(let Ue=Q,we=Math.min(Q+oe,Oe);Ue<Oe;Ue=we,we=Math.min(we+oe,Oe)){if(Ue>Q&&await new Promise(pe=>setTimeout(pe)),ue&&ue.isCancellationRequested)throw new I.CancellationError;a(N,q,Le,Ue,we)}return Le})().then(ye,Re)})}e.topAsync=w;function a(N,q,Q,oe,ue){for(const ye=Q.length;oe<ue;oe++){const Re=N[oe];if(q(Re,Q[ye-1])<0){Q.pop();const Oe=h(Q,Le=>q(Re,Le)<0);Q.splice(Oe,0,Re)}}}function u(N){return N.filter(q=>!!q)}e.coalesce=u;function p(N){let q=0;for(let Q=0;Q<N.length;Q++)N[Q]&&(N[q]=N[Q],q+=1);N.length=q}e.coalesceInPlace=p;function k(N,q,Q){N.splice(Q,0,N.splice(q,1)[0])}e.move=k;function E(N){return!Array.isArray(N)||N.length===0}e.isFalsyOrEmpty=E;function R(N){return Array.isArray(N)&&N.length>0}e.isNonEmptyArray=R;function t(N,q=Q=>Q){const Q=new Set;return N.filter(oe=>{const ue=q(oe);return Q.has(ue)?!1:(Q.add(ue),!0)})}e.distinct=t;function c(N){const q=new Set;return Q=>{const oe=N(Q);return q.has(oe)?!1:(q.add(oe),!0)}}e.uniqueFilter=c;function i(N,q){const Q=r(N,q);if(Q!==-1)return N[Q]}e.findLast=i;function r(N,q){for(let Q=N.length-1;Q>=0;Q--){const oe=N[Q];if(q(oe))return Q}return-1}e.lastIndex=r;function s(N,q){return N.length>0?N[0]:q}e.firstOrDefault=s;function l(N,q){return N.length>0?N[N.length-1]:q}e.lastOrDefault=l;function o(N,q,Q=(oe,ue)=>oe===ue){let oe=0;for(let ue=0,ye=Math.min(N.length,q.length);ue<ye&&Q(N[ue],q[ue]);ue++)oe++;return oe}e.commonPrefixLength=o;function g(N){return[].concat(...N)}e.flatten=g;function S(N,q){let Q=typeof q=="number"?N:0;typeof q=="number"?Q=N:(Q=0,q=N);const oe=[];if(Q<=q)for(let ue=Q;ue<q;ue++)oe.push(ue);else for(let ue=Q;ue>q;ue--)oe.push(ue);return oe}e.range=S;function L(N,q,Q){return N.reduce((oe,ue)=>(oe[q(ue)]=Q?Q(ue):ue,oe),Object.create(null))}e.index=L;function O(N,q){return N.push(q),()=>j(N,q)}e.insert=O;function j(N,q){const Q=N.indexOf(q);if(Q>-1)return N.splice(Q,1),q}e.remove=j;function K(N,q,Q){const oe=N.slice(0,q),ue=N.slice(q);return oe.concat(Q,ue)}e.arrayInsert=K;function V(N,q){let Q;if(typeof q=="number"){let oe=q;Q=()=>{const ue=Math.sin(oe++)*179426549;return ue-Math.floor(ue)}}else Q=Math.random;for(let oe=N.length-1;oe>0;oe-=1){const ue=Math.floor(Q()*(oe+1)),ye=N[oe];N[oe]=N[ue],N[ue]=ye}}e.shuffle=V;function J(N,q){const Q=N.indexOf(q);Q>-1&&(N.splice(Q,1),N.unshift(q))}e.pushToStart=J;function re(N,q){const Q=N.indexOf(q);Q>-1&&(N.splice(Q,1),N.push(q))}e.pushToEnd=re;function se(N,q){for(const Q of q)N.push(Q)}e.pushMany=se;function ae(N,q){return Array.isArray(N)?N.map(q):q(N)}e.mapArrayOrNot=ae;function fe(N){return Array.isArray(N)?N:[N]}e.asArray=fe;function ge(N){return N[Math.floor(Math.random()*N.length)]}e.getRandomElement=ge;function H(N,q){for(const Q of N){const oe=q(Q);if(oe!==void 0)return oe}}e.mapFind=H;function F(N,q,Q){const oe=z(N,q),ue=N.length,ye=Q.length;N.length=ue+ye;for(let Re=ue-1;Re>=oe;Re--)N[Re+ye]=N[Re];for(let Re=0;Re<ye;Re++)N[Re+oe]=Q[Re]}e.insertInto=F;function W(N,q,Q,oe){const ue=z(N,q),ye=N.splice(ue,Q);return F(N,ue,oe),ye}e.splice=W;function z(N,q){return q<0?Math.max(q+N.length,0):Math.min(q,N.length)}var Y;(function(N){function q(ue){return ue<0}N.isLessThan=q;function Q(ue){return ue>0}N.isGreaterThan=Q;function oe(ue){return ue===0}N.isNeitherLessOrGreaterThan=oe,N.greaterThan=1,N.lessThan=-1,N.neitherLessOrGreaterThan=0})(Y=e.CompareResult||(e.CompareResult={}));function ne(N,q){return(Q,oe)=>q(N(Q),N(oe))}e.compareBy=ne;function _(...N){return(q,Q)=>{for(const oe of N){const ue=oe(q,Q);if(!Y.isNeitherLessOrGreaterThan(ue))return ue}return Y.neitherLessOrGreaterThan}}e.tieBreakComparators=_;const $=(N,q)=>N-q;e.numberComparator=$;function A(N,q){if(N.length===0)return;let Q=N[0];for(let oe=1;oe<N.length;oe++){const ue=N[oe];q(ue,Q)>0&&(Q=ue)}return Q}e.findMaxBy=A;function T(N,q){if(N.length===0)return;let Q=N[0];for(let oe=1;oe<N.length;oe++){const ue=N[oe];q(ue,Q)>=0&&(Q=ue)}return Q}e.findLastMaxBy=T;function U(N,q){return A(N,(Q,oe)=>-q(Q,oe))}e.findMinBy=U;class B{constructor(q){this.f=q,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(q){let Q=this.c;for(;Q<this.f.length&&q(this.f[Q]);)Q++;const oe=Q===this.c?null:this.f.slice(this.c,Q);return this.c=Q,oe}takeFromEndWhile(q){let Q=this.d;for(;Q>=0&&q(this.f[Q]);)Q--;const oe=Q===this.d?null:this.f.slice(Q+1,this.d+1);return this.d=Q,oe}peek(){if(this.length!==0)return this.f[this.c]}peekLast(){if(this.length!==0)return this.f[this.d]}dequeue(){const q=this.f[this.c];return this.c++,q}removeLast(){const q=this.f[this.d];return this.d--,q}takeCount(q){const Q=this.f.slice(this.c,this.c+q);return this.c+=q,Q}}e.ArrayQueue=B;class G{constructor(q){this.iterate=q}forEach(q){this.iterate(Q=>(q(Q),!0))}toArray(){const q=[];return this.iterate(Q=>(q.push(Q),!0)),q}filter(q){return new G(Q=>this.iterate(oe=>q(oe)?Q(oe):!0))}map(q){return new G(Q=>this.iterate(oe=>Q(q(oe))))}some(q){let Q=!1;return this.iterate(oe=>(Q=q(oe),!Q)),Q}findFirst(q){let Q;return this.iterate(oe=>q(oe)?(Q=oe,!1):!0),Q}findLast(q){let Q;return this.iterate(oe=>(q(oe)&&(Q=oe),!0)),Q}findLastMaxBy(q){let Q,oe=!0;return this.iterate(ue=>((oe||Y.isGreaterThan(q(ue,Q)))&&(oe=!1,Q=ue),!0)),Q}}e.CallbackIterable=G,G.empty=new G(N=>{})}),define(te[122],ie([0,1,13]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkAdjacentItems=e.assertFn=e.assert=e.assertNever=e.ok=void 0;function M(d,h){if(!d)throw new Error(h?`Assertion failed (${h})`:"Assertion Failed")}e.ok=M;function n(d,h="Unreachable"){throw new Error(h)}e.assertNever=n;function C(d){if(!d)throw new I.BugIndicatingError("Assertion Failed")}e.assert=C;function D(d){if(!d()){debugger;d(),(0,I.onUnexpectedError)(new I.BugIndicatingError("Assertion Failed"))}}e.assertFn=D;function P(d,h){let y=0;for(;y<d.length-1;){const b=d[y],v=d[y+1];if(!h(b,v))return!1;y++}return!0}e.checkAdjacentItems=P}),define(te[49],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function I(M){const n=this;let C=!1,D;return function(){return C||(C=!0,D=M.apply(n,arguments)),D}}e.once=I}),define(te[69],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var I;(function(M){function n(E){return E&&typeof E=="object"&&typeof E[Symbol.iterator]=="function"}M.is=n;const C=Object.freeze([]);function D(){return C}M.empty=D;function*P(E){yield E}M.single=P;function d(E){return n(E)?E:P(E)}M.wrap=d;function h(E){return E||C}M.from=h;function y(E){return!E||E[Symbol.iterator]().next().done===!0}M.isEmpty=y;function b(E){return E[Symbol.iterator]().next().value}M.first=b;function v(E,R){for(const t of E)if(R(t))return!0;return!1}M.some=v;function m(E,R){for(const t of E)if(R(t))return t}M.find=m;function*f(E,R){for(const t of E)R(t)&&(yield t)}M.filter=f;function*w(E,R){let t=0;for(const c of E)yield R(c,t++)}M.map=w;function*a(...E){for(const R of E)for(const t of R)yield t}M.concat=a;function u(E,R,t){let c=t;for(const i of E)c=R(c,i);return c}M.reduce=u;function*p(E,R,t=E.length){for(R<0&&(R+=E.length),t<0?t+=E.length:t>E.length&&(t=E.length);R<t;R++)yield E[R]}M.slice=p;function k(E,R=Number.POSITIVE_INFINITY){const t=[];if(R===0)return[t,E];const c=E[Symbol.iterator]();for(let i=0;i<R;i++){const r=c.next();if(r.done)return[t,M.empty()];t.push(r.value)}return[t,{[Symbol.iterator](){return c}}]}M.consume=k})(I=e.Iterable||(e.Iterable={}))}),define(te[43],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var I;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(I=e.ScanError||(e.ScanError={}));var M;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(M=e.SyntaxKind||(e.SyntaxKind={}));var n;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(n=e.ParseErrorCode||(e.ParseErrorCode={}));var C;(function(t){t.DEFAULT={allowTrailingComma:!0}})(C=e.ParseOptions||(e.ParseOptions={}));function D(t,c=!1){let i=0;const r=t.length;let s="",l=0,o=16,g=0;function S(re){let se=0,ae=0;for(;se<re;){const fe=t.charCodeAt(i);if(fe>=48&&fe<=57)ae=ae*16+fe-48;else if(fe>=65&&fe<=70)ae=ae*16+fe-65+10;else if(fe>=97&&fe<=102)ae=ae*16+fe-97+10;else break;i++,se++}return se<re&&(ae=-1),ae}function L(re){i=re,s="",l=0,o=16,g=0}function O(){const re=i;if(t.charCodeAt(i)===48)i++;else for(i++;i<t.length&&h(t.charCodeAt(i));)i++;if(i<t.length&&t.charCodeAt(i)===46)if(i++,i<t.length&&h(t.charCodeAt(i)))for(i++;i<t.length&&h(t.charCodeAt(i));)i++;else return g=3,t.substring(re,i);let se=i;if(i<t.length&&(t.charCodeAt(i)===69||t.charCodeAt(i)===101))if(i++,(i<t.length&&t.charCodeAt(i)===43||t.charCodeAt(i)===45)&&i++,i<t.length&&h(t.charCodeAt(i))){for(i++;i<t.length&&h(t.charCodeAt(i));)i++;se=i}else g=3;return t.substring(re,se)}function j(){let re="",se=i;for(;;){if(i>=r){re+=t.substring(se,i),g=2;break}const ae=t.charCodeAt(i);if(ae===34){re+=t.substring(se,i),i++;break}if(ae===92){if(re+=t.substring(se,i),i++,i>=r){g=2;break}switch(t.charCodeAt(i++)){case 34:re+='"';break;case 92:re+="\\";break;case 47:re+="/";break;case 98:re+="\b";break;case 102:re+="\f";break;case 110:re+=`
`;break;case 114:re+="\r";break;case 116:re+="	";break;case 117:{const ge=S(4);ge>=0?re+=String.fromCharCode(ge):g=4;break}default:g=5}se=i;continue}if(ae>=0&&ae<=31)if(d(ae)){re+=t.substring(se,i),g=2;break}else g=6;i++}return re}function K(){if(s="",g=0,l=i,i>=r)return l=r,o=17;let re=t.charCodeAt(i);if(P(re)){do i++,s+=String.fromCharCode(re),re=t.charCodeAt(i);while(P(re));return o=15}if(d(re))return i++,s+=String.fromCharCode(re),re===13&&t.charCodeAt(i)===10&&(i++,s+=`
`),o=14;switch(re){case 123:return i++,o=1;case 125:return i++,o=2;case 91:return i++,o=3;case 93:return i++,o=4;case 58:return i++,o=6;case 44:return i++,o=5;case 34:return i++,s=j(),o=10;case 47:{const se=i-1;if(t.charCodeAt(i+1)===47){for(i+=2;i<r&&!d(t.charCodeAt(i));)i++;return s=t.substring(se,i),o=12}if(t.charCodeAt(i+1)===42){i+=2;const ae=r-1;let fe=!1;for(;i<ae;){if(t.charCodeAt(i)===42&&t.charCodeAt(i+1)===47){i+=2,fe=!0;break}i++}return fe||(i++,g=1),s=t.substring(se,i),o=13}return s+=String.fromCharCode(re),i++,o=16}case 45:if(s+=String.fromCharCode(re),i++,i===r||!h(t.charCodeAt(i)))return o=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=O(),o=11;default:for(;i<r&&V(re);)i++,re=t.charCodeAt(i);if(l!==i){switch(s=t.substring(l,i),s){case"true":return o=8;case"false":return o=9;case"null":return o=7}return o=16}return s+=String.fromCharCode(re),i++,o=16}}function V(re){if(P(re)||d(re))return!1;switch(re){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function J(){let re;do re=K();while(re>=12&&re<=15);return re}return{setPosition:L,getPosition:()=>i,scan:c?J:K,getToken:()=>o,getTokenValue:()=>s,getTokenOffset:()=>l,getTokenLength:()=>i-l,getTokenError:()=>g}}e.createScanner=D;function P(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function d(t){return t===10||t===13||t===8232||t===8233}function h(t){return t>=48&&t<=57}var y;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(y||(y={}));function b(t,c){const i=[],r=new Object;let s;const l={value:{},offset:0,length:0,type:"object",parent:void 0};let o=!1;function g(S,L,O,j){l.value=S,l.offset=L,l.length=O,l.type=j,l.colonOffset=void 0,s=l}try{k(t,{onObjectBegin:(S,L)=>{if(c<=S)throw r;s=void 0,o=c>S,i.push("")},onObjectProperty:(S,L,O)=>{if(c<L||(g(S,L,O,"property"),i[i.length-1]=S,c<=L+O))throw r},onObjectEnd:(S,L)=>{if(c<=S)throw r;s=void 0,i.pop()},onArrayBegin:(S,L)=>{if(c<=S)throw r;s=void 0,i.push(0)},onArrayEnd:(S,L)=>{if(c<=S)throw r;s=void 0,i.pop()},onLiteralValue:(S,L,O)=>{if(c<L||(g(S,L,O,R(S)),c<=L+O))throw r},onSeparator:(S,L,O)=>{if(c<=L)throw r;if(S===":"&&s&&s.type==="property")s.colonOffset=L,o=!1,s=void 0;else if(S===","){const j=i[i.length-1];typeof j=="number"?i[i.length-1]=j+1:(o=!0,i[i.length-1]=""),s=void 0}}})}catch(S){if(S!==r)throw S}return{path:i,previousNode:s,isAtPropertyKey:o,matches:S=>{let L=0;for(let O=0;L<S.length&&O<i.length;O++)if(S[L]===i[O]||S[L]==="*")L++;else if(S[L]!=="**")return!1;return L===S.length}}}e.getLocation=b;function v(t,c=[],i=C.DEFAULT){let r=null,s=[];const l=[];function o(S){Array.isArray(s)?s.push(S):r!==null&&(s[r]=S)}return k(t,{onObjectBegin:()=>{const S={};o(S),l.push(s),s=S,r=null},onObjectProperty:S=>{r=S},onObjectEnd:()=>{s=l.pop()},onArrayBegin:()=>{const S=[];o(S),l.push(s),s=S,r=null},onArrayEnd:()=>{s=l.pop()},onLiteralValue:o,onError:(S,L,O)=>{c.push({error:S,offset:L,length:O})}},i),s[0]}e.parse=v;function m(t,c=[],i=C.DEFAULT){let r={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(S){r.type==="property"&&(r.length=S-r.offset,r=r.parent)}function l(S){return r.children.push(S),S}k(t,{onObjectBegin:S=>{r=l({type:"object",offset:S,length:-1,parent:r,children:[]})},onObjectProperty:(S,L,O)=>{r=l({type:"property",offset:L,length:-1,parent:r,children:[]}),r.children.push({type:"string",value:S,offset:L,length:O,parent:r})},onObjectEnd:(S,L)=>{r.length=S+L-r.offset,r=r.parent,s(S+L)},onArrayBegin:(S,L)=>{r=l({type:"array",offset:S,length:-1,parent:r,children:[]})},onArrayEnd:(S,L)=>{r.length=S+L-r.offset,r=r.parent,s(S+L)},onLiteralValue:(S,L,O)=>{l({type:R(S),offset:L,length:O,parent:r,value:S}),s(L+O)},onSeparator:(S,L,O)=>{r.type==="property"&&(S===":"?r.colonOffset=L:S===","&&s(L))},onError:(S,L,O)=>{c.push({error:S,offset:L,length:O})}},i);const g=r.children[0];return g&&delete g.parent,g}e.parseTree=m;function f(t,c){if(!t)return;let i=t;for(const r of c)if(typeof r=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let s=!1;for(const l of i.children)if(Array.isArray(l.children)&&l.children[0].value===r){i=l.children[1],s=!0;break}if(!s)return}else{const s=r;if(i.type!=="array"||s<0||!Array.isArray(i.children)||s>=i.children.length)return;i=i.children[s]}return i}e.findNodeAtLocation=f;function w(t){if(!t.parent||!t.parent.children)return[];const c=w(t.parent);if(t.parent.type==="property"){const i=t.parent.children[0].value;c.push(i)}else if(t.parent.type==="array"){const i=t.parent.children.indexOf(t);i!==-1&&c.push(i)}return c}e.getNodePath=w;function a(t){switch(t.type){case"array":return t.children.map(a);case"object":{const c=Object.create(null);for(const i of t.children){const r=i.children[1];r&&(c[i.children[0].value]=a(r))}return c}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=a;function u(t,c,i=!1){return c>=t.offset&&c<t.offset+t.length||i&&c===t.offset+t.length}e.contains=u;function p(t,c,i=!1){if(u(t,c,i)){const r=t.children;if(Array.isArray(r))for(let s=0;s<r.length&&r[s].offset<=c;s++){const l=p(r[s],c,i);if(l)return l}return t}}e.findNodeAtOffset=p;function k(t,c,i=C.DEFAULT){const r=D(t,!1);function s(ne){return ne?()=>ne(r.getTokenOffset(),r.getTokenLength()):()=>!0}function l(ne){return ne?_=>ne(_,r.getTokenOffset(),r.getTokenLength()):()=>!0}const o=s(c.onObjectBegin),g=l(c.onObjectProperty),S=s(c.onObjectEnd),L=s(c.onArrayBegin),O=s(c.onArrayEnd),j=l(c.onLiteralValue),K=l(c.onSeparator),V=s(c.onComment),J=l(c.onError),re=i&&i.disallowComments,se=i&&i.allowTrailingComma;function ae(){for(;;){const ne=r.scan();switch(r.getTokenError()){case 4:fe(14);break;case 5:fe(15);break;case 3:fe(13);break;case 1:re||fe(11);break;case 2:fe(12);break;case 6:fe(16);break}switch(ne){case 12:case 13:re?fe(10):V();break;case 16:fe(1);break;case 15:case 14:break;default:return ne}}}function fe(ne,_=[],$=[]){if(J(ne),_.length+$.length>0){let A=r.getToken();for(;A!==17;){if(_.indexOf(A)!==-1){ae();break}else if($.indexOf(A)!==-1)break;A=ae()}}}function ge(ne){const _=r.getTokenValue();return ne?j(_):g(_),ae(),!0}function H(){switch(r.getToken()){case 11:{let ne=0;try{ne=JSON.parse(r.getTokenValue()),typeof ne!="number"&&(fe(2),ne=0)}catch{fe(2)}j(ne);break}case 7:j(null);break;case 8:j(!0);break;case 9:j(!1);break;default:return!1}return ae(),!0}function F(){return r.getToken()!==10?(fe(3,[],[2,5]),!1):(ge(!1),r.getToken()===6?(K(":"),ae(),Y()||fe(4,[],[2,5])):fe(5,[],[2,5]),!0)}function W(){o(),ae();let ne=!1;for(;r.getToken()!==2&&r.getToken()!==17;){if(r.getToken()===5){if(ne||fe(4,[],[]),K(","),ae(),r.getToken()===2&&se)break}else ne&&fe(6,[],[]);F()||fe(4,[],[2,5]),ne=!0}return S(),r.getToken()!==2?fe(7,[2],[]):ae(),!0}function z(){L(),ae();let ne=!1;for(;r.getToken()!==4&&r.getToken()!==17;){if(r.getToken()===5){if(ne||fe(4,[],[]),K(","),ae(),r.getToken()===4&&se)break}else ne&&fe(6,[],[]);Y()||fe(4,[],[4,5]),ne=!0}return O(),r.getToken()!==4?fe(8,[4],[]):ae(),!0}function Y(){switch(r.getToken()){case 3:return z();case 1:return W();case 10:return ge(!0);default:return H()}}return ae(),r.getToken()===17?i.allowEmptyContent?!0:(fe(4,[],[]),!1):Y()?(r.getToken()!==17&&fe(9,[],[]),!0):(fe(4,[],[]),!1)}e.visit=k;function E(t,c){const i=D(t),r=[];let s,l=0,o;do switch(o=i.getPosition(),s=i.scan(),s){case 12:case 13:case 17:l!==o&&r.push(t.substring(l,o)),c!==void 0&&r.push(i.getTokenValue().replace(/[^\r\n]/g,c)),l=i.getPosition();break}while(s!==17);return r.join("")}e.stripComments=E;function R(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=R}),define(te[123],ie([0,1,43]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function M(h,y,b){let v,m,f,w,a;if(y){for(w=y.offset,a=w+y.length,f=w;f>0&&!d(h,f-1);)f--;let o=a;for(;o<h.length&&!d(h,o);)o++;m=h.substring(f,o),v=D(m,b)}else m=h,v=0,f=0,w=0,a=h.length;const u=P(b,h);let p=!1,k=0,E;b.insertSpaces?E=C(" ",b.tabSize||4):E="	";const R=(0,I.createScanner)(m,!1);let t=!1;function c(){return u+C(E,v+k)}function i(){let o=R.scan();for(p=!1;o===15||o===14;)p=p||o===14,o=R.scan();return t=o===16||R.getTokenError()!==0,o}const r=[];function s(o,g,S){!t&&g<a&&S>w&&h.substring(g,S)!==o&&r.push({offset:g,length:S-g,content:o})}let l=i();if(l!==17){const o=R.getTokenOffset()+f,g=C(E,v);s(g,f,o)}for(;l!==17;){let o=R.getTokenOffset()+R.getTokenLength()+f,g=i(),S="";for(;!p&&(g===12||g===13);){const O=R.getTokenOffset()+f;s(" ",o,O),o=R.getTokenOffset()+R.getTokenLength()+f,S=g===12?c():"",g=i()}if(g===2)l!==1&&(k--,S=c());else if(g===4)l!==3&&(k--,S=c());else{switch(l){case 3:case 1:k++,S=c();break;case 5:case 12:S=c();break;case 13:p?S=c():S=" ";break;case 6:S=" ";break;case 10:if(g===6){S="";break}case 7:case 8:case 9:case 11:case 2:case 4:g===12||g===13?S=" ":g!==5&&g!==17&&(t=!0);break;case 16:t=!0;break}p&&(g===12||g===13)&&(S=c())}const L=R.getTokenOffset()+f;s(S,o,L),l=g}return r}e.format=M;function n(h,y){const b=JSON.stringify(h,void 0,y.insertSpaces?y.tabSize||4:"	");return y.eol!==void 0?b.replace(/\r\n|\r|\n/g,y.eol):b}e.toFormattedString=n;function C(h,y){let b="";for(let v=0;v<y;v++)b+=h;return b}function D(h,y){let b=0,v=0;const m=y.tabSize||4;for(;b<h.length;){const f=h.charAt(b);if(f===" ")v++;else if(f==="	")v+=m;else break;b++}return Math.floor(v/m)}function P(h,y){for(let b=0;b<y.length;b++){const v=y.charAt(b);if(v==="\r")return b+1<y.length&&y.charAt(b+1)===`
`?`\r
`:"\r";if(v===`
`)return`
`}return h&&h.eol||`
`}e.getEOL=P;function d(h,y){return`\r
`.indexOf(h.charAt(y))!==-1}e.isEOL=d}),define(te[124],ie([0,1,43,123]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function n(h,y,b){return C(h,y,void 0,b)}e.removeProperty=n;function C(h,y,b,v,m){const f=y.slice(),w=[],a=(0,I.parseTree)(h,w);let u,p;for(;f.length>0&&(p=f.pop(),u=(0,I.findNodeAtLocation)(a,f),u===void 0&&b!==void 0);)typeof p=="string"?b={[p]:b}:b=[b];if(u)if(u.type==="object"&&typeof p=="string"&&Array.isArray(u.children)){const k=(0,I.findNodeAtLocation)(u,[p]);if(k!==void 0)if(b===void 0){if(!k.parent)throw new Error("Malformed AST");const E=u.children.indexOf(k.parent);let R,t=k.parent.offset+k.parent.length;if(E>0){const c=u.children[E-1];R=c.offset+c.length}else R=u.offset+1,u.children.length>1&&(t=u.children[1].offset);return D(h,{offset:R,length:t-R,content:""},v)}else return D(h,{offset:k.offset,length:k.length,content:JSON.stringify(b)},v);else{if(b===void 0)return[];const E=`${JSON.stringify(p)}: ${JSON.stringify(b)}`,R=m?m(u.children.map(c=>c.children[0].value)):u.children.length;let t;if(R>0){const c=u.children[R-1];t={offset:c.offset+c.length,length:0,content:","+E}}else u.children.length===0?t={offset:u.offset+1,length:0,content:E}:t={offset:u.offset+1,length:0,content:E+","};return D(h,t,v)}}else if(u.type==="array"&&typeof p=="number"&&Array.isArray(u.children))if(b!==void 0){const k=`${JSON.stringify(b)}`;let E;if(u.children.length===0||p===0)E={offset:u.offset+1,length:0,content:u.children.length===0?k:k+","};else{const R=p===-1||p>u.children.length?u.children.length:p,t=u.children[R-1];E={offset:t.offset+t.length,length:0,content:","+k}}return D(h,E,v)}else{const k=p,E=u.children[k];let R;if(u.children.length===1)R={offset:u.offset+1,length:u.length-2,content:""};else if(u.children.length-1===k){const t=u.children[k-1],c=t.offset+t.length,i=u.offset+u.length;R={offset:c,length:i-2-c,content:""}}else R={offset:E.offset,length:u.children[k+1].offset-E.offset,content:""};return D(h,R,v)}else throw new Error(`Can not add ${typeof p!="number"?"index":"property"} to parent of type ${u.type}`);else{if(b===void 0)throw new Error("Can not delete in empty document");return D(h,{offset:a?a.offset:0,length:a?a.length:0,content:JSON.stringify(b)},v)}}e.setProperty=C;function D(h,y,b){let v=P(h,y),m=y.offset,f=y.offset+y.content.length;if(y.length===0||y.content.length===0){for(;m>0&&!(0,M.isEOL)(v,m-1);)m--;for(;f<v.length&&!(0,M.isEOL)(v,f);)f++}const w=(0,M.format)(v,{offset:m,length:f-m},b);for(let u=w.length-1;u>=0;u--){const p=w[u];v=P(v,p),m=Math.min(m,p.offset),f=Math.max(f,p.offset+p.length),f+=p.content.length-p.length}const a=h.length-(v.length-f)-m;return[{offset:m,length:a,content:v.substring(m,f)}]}e.withFormatting=D;function P(h,y){return h.substring(0,y.offset)+y.content+h.substring(y.offset+y.length)}e.applyEdit=P;function d(h,y){const b=y.slice(0).sort((m,f)=>{const w=m.offset-f.offset;return w===0?m.length-f.length:w});let v=h.length;for(let m=b.length-1;m>=0;m--){const f=b[m];if(f.offset+f.length<=v)h=P(h,f);else throw new Error("Overlapping edit");v=f.offset}return h}e.applyEdits=d}),define(te[125],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class I{constructor(n){this.d=n,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(n){this.c=n}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.Lazy=I}),define(te[2],ie([0,1,49,69]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DisposableMap=e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.disposeIfDisposable=e.dispose=e.isDisposable=e.markAsSingleton=e.setDisposableTracker=void 0;const n=!1;let C=null;function D(l){C=l}if(e.setDisposableTracker=D,n){const l="__is_disposable_tracked__";D(new class{trackDisposable(o){const g=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[l]||console.log(g)},3e3)}setParent(o,g){if(o&&o!==p.None)try{o[l]=!0}catch{}}markAsDisposed(o){if(o&&o!==p.None)try{o[l]=!0}catch{}}markAsSingleton(o){}})}function P(l){return C?.trackDisposable(l),l}function d(l){C?.markAsDisposed(l)}function h(l,o){C?.setParent(l,o)}function y(l,o){if(!!C)for(const g of l)C.setParent(g,o)}function b(l){return C?.markAsSingleton(l),l}e.markAsSingleton=b;function v(l){return typeof l.dispose=="function"&&l.dispose.length===0}e.isDisposable=v;function m(l){if(M.Iterable.is(l)){const o=[];for(const g of l)if(g)try{g.dispose()}catch(S){o.push(S)}if(o.length===1)throw o[0];if(o.length>1)throw new AggregateError(o,"Encountered errors while disposing of store");return Array.isArray(l)?[]:l}else if(l)return l.dispose(),l}e.dispose=m;function f(l){for(const o of l)v(o)&&o.dispose();return[]}e.disposeIfDisposable=f;function w(...l){const o=a(()=>m(l));return y(l,o),o}e.combinedDisposable=w;function a(l){const o=P({dispose:(0,I.once)(()=>{d(o),l()})});return o}e.toDisposable=a;class u{constructor(){this.c=new Set,this.f=!1,P(this)}dispose(){this.f||(d(this),this.f=!0,this.clear())}get isDisposed(){return this.f}clear(){if(this.c.size!==0)try{m(this.c)}finally{this.c.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return h(o,this),this.f?u.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.c.add(o),o}}e.DisposableStore=u,u.DISABLE_DISPOSED_WARNING=!1;class p{constructor(){this.q=new u,P(this),h(this.q,this)}dispose(){d(this),this.q.dispose()}B(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(o)}}e.Disposable=p,p.None=Object.freeze({dispose(){}});class k{constructor(){this.b=!1,P(this)}get value(){return this.b?void 0:this.a}set value(o){this.b||o===this.a||(this.a?.dispose(),o&&h(o,this),this.a=o)}clear(){this.value=void 0}dispose(){this.b=!0,d(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const o=this.a;return this.a=void 0,o&&h(o,null),o}}e.MutableDisposable=k;class E{constructor(o){this.b=o,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.RefCountedDisposable=E;class R{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,P(this)}set(o){let g=o;return this.unset=()=>g=void 0,this.isset=()=>g!==void 0,this.dispose=()=>{g&&(g(),g=void 0,d(this))},this}}e.SafeDisposable=R;class t{constructor(){this.a=new Map}acquire(o,...g){let S=this.a.get(o);S||(S={counter:0,object:this.b(o,...g)},this.a.set(o,S));const{object:L}=S,O=(0,I.once)(()=>{--S.counter===0&&(this.c(o,S.object),this.a.delete(o))});return S.counter++,{object:L,dispose:O}}}e.ReferenceCollection=t;class c{constructor(o){this.a=o}async acquire(o,...g){const S=this.a.acquire(o,...g);try{return{object:await S.object,dispose:()=>S.dispose()}}catch(L){throw S.dispose(),L}}}e.AsyncReferenceCollection=c;class i{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=i;function r(l){const o=new u;try{l(o)}finally{o.dispose()}}e.disposeOnReturn=r;class s{constructor(){this.a=new Map,this.b=!1,P(this)}dispose(){d(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(!!this.a.size)try{m(this.a.values())}finally{this.a.clear()}}has(o){return this.a.has(o)}get(o){return this.a.get(o)}set(o,g,S=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),S||this.a.get(o)?.dispose(),this.a.set(o,g)}deleteAndDispose(o){this.a.get(o)?.dispose(),this.a.delete(o)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.DisposableMap=s}),define(te[98],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class I{constructor(C){this.element=C,this.next=I.Undefined,this.prev=I.Undefined}}I.Undefined=new I(void 0);class M{constructor(){this.a=I.Undefined,this.b=I.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===I.Undefined}clear(){let C=this.a;for(;C!==I.Undefined;){const D=C.next;C.prev=I.Undefined,C.next=I.Undefined,C=D}this.a=I.Undefined,this.b=I.Undefined,this.c=0}unshift(C){return this.d(C,!1)}push(C){return this.d(C,!0)}d(C,D){const P=new I(C);if(this.a===I.Undefined)this.a=P,this.b=P;else if(D){const h=this.b;this.b=P,P.prev=h,h.next=P}else{const h=this.a;this.a=P,P.next=h,h.prev=P}this.c+=1;let d=!1;return()=>{d||(d=!0,this.e(P))}}shift(){if(this.a!==I.Undefined){const C=this.a.element;return this.e(this.a),C}}pop(){if(this.b!==I.Undefined){const C=this.b.element;return this.e(this.b),C}}e(C){if(C.prev!==I.Undefined&&C.next!==I.Undefined){const D=C.prev;D.next=C.next,C.next.prev=D}else C.prev===I.Undefined&&C.next===I.Undefined?(this.a=I.Undefined,this.b=I.Undefined):C.next===I.Undefined?(this.b=this.b.prev,this.b.next=I.Undefined):C.prev===I.Undefined&&(this.a=this.a.next,this.a.prev=I.Undefined);this.c-=1}*[Symbol.iterator](){let C=this.a;for(;C!==I.Undefined;)yield C.element,C=C.next}}e.LinkedList=M}),define(te[35],ie([0,1]),function(x,e){"use strict";var I,M,n;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.setToString=e.mapToString=e.getOrSet=void 0;function C(f,w,a){let u=f.get(w);return u===void 0&&(u=a,f.set(w,u)),u}e.getOrSet=C;function D(f){const w=[];return f.forEach((a,u)=>{w.push(`${u} => ${a}`)}),`Map(${f.size}) {${w.join(", ")}}`}e.mapToString=D;function P(f){const w=[];return f.forEach(a=>{w.push(a)}),`Set(${f.size}) {${w.join(", ")}}`}e.setToString=P;class d{constructor(w,a){this.uri=w,this.value=a}}class h{constructor(w,a){this[I]="ResourceMap",w instanceof h?(this.b=new Map(w.b),this.c=a??h.a):(this.b=new Map,this.c=w??h.a)}set(w,a){return this.b.set(this.c(w),new d(w,a)),this}get(w){return this.b.get(this.c(w))?.value}has(w){return this.b.has(this.c(w))}get size(){return this.b.size}clear(){this.b.clear()}delete(w){return this.b.delete(this.c(w))}forEach(w,a){typeof a<"u"&&(w=w.bind(a));for(const[u,p]of this.b)w(p.value,p.uri,this)}*values(){for(const w of this.b.values())yield w.value}*keys(){for(const w of this.b.values())yield w.uri}*entries(){for(const w of this.b.values())yield[w.uri,w.value]}*[(I=Symbol.toStringTag,Symbol.iterator)](){for(const[,w]of this.b)yield[w.uri,w.value]}}e.ResourceMap=h,h.a=f=>f.toString();class y{constructor(w,a){this[M]="ResourceSet",!w||typeof w=="function"?this.a=new h(w):(this.a=new h(a),w.forEach(this.add,this))}get size(){return this.a.size}add(w){return this.a.set(w,w),this}clear(){this.a.clear()}delete(w){return this.a.delete(w)}forEach(w,a){this.a.forEach((u,p)=>w.call(a,p,p,this))}has(w){return this.a.has(w)}entries(){return this.a.entries()}keys(){return this.a.keys()}values(){return this.a.keys()}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=y;var b;(function(f){f[f.None=0]="None",f[f.AsOld=1]="AsOld",f[f.AsNew=2]="AsNew"})(b=e.Touch||(e.Touch={}));class v{constructor(){this[n]="LinkedMap",this.a=new Map,this.b=void 0,this.c=void 0,this.d=0,this.e=0}clear(){this.a.clear(),this.b=void 0,this.c=void 0,this.d=0,this.e++}isEmpty(){return!this.b&&!this.c}get size(){return this.d}get first(){return this.b?.value}get last(){return this.c?.value}has(w){return this.a.has(w)}get(w,a=0){const u=this.a.get(w);if(!!u)return a!==0&&this.j(u,a),u.value}set(w,a,u=0){let p=this.a.get(w);if(p)p.value=a,u!==0&&this.j(p,u);else{switch(p={key:w,value:a,next:void 0,previous:void 0},u){case 0:this.h(p);break;case 1:this.g(p);break;case 2:this.h(p);break;default:this.h(p);break}this.a.set(w,p),this.d++}return this}delete(w){return!!this.remove(w)}remove(w){const a=this.a.get(w);if(!!a)return this.a.delete(w),this.i(a),this.d--,a.value}shift(){if(!this.b&&!this.c)return;if(!this.b||!this.c)throw new Error("Invalid list");const w=this.b;return this.a.delete(w.key),this.i(w),this.d--,w.value}forEach(w,a){const u=this.e;let p=this.b;for(;p;){if(a?w.bind(a)(p.value,p.key,this):w(p.value,p.key,this),this.e!==u)throw new Error("LinkedMap got modified during iteration.");p=p.next}}keys(){const w=this,a=this.e;let u=this.b;const p={[Symbol.iterator](){return p},next(){if(w.e!==a)throw new Error("LinkedMap got modified during iteration.");if(u){const k={value:u.key,done:!1};return u=u.next,k}else return{value:void 0,done:!0}}};return p}values(){const w=this,a=this.e;let u=this.b;const p={[Symbol.iterator](){return p},next(){if(w.e!==a)throw new Error("LinkedMap got modified during iteration.");if(u){const k={value:u.value,done:!1};return u=u.next,k}else return{value:void 0,done:!0}}};return p}entries(){const w=this,a=this.e;let u=this.b;const p={[Symbol.iterator](){return p},next(){if(w.e!==a)throw new Error("LinkedMap got modified during iteration.");if(u){const k={value:[u.key,u.value],done:!1};return u=u.next,k}else return{value:void 0,done:!0}}};return p}[(n=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}f(w){if(w>=this.size)return;if(w===0){this.clear();return}let a=this.b,u=this.size;for(;a&&u>w;)this.a.delete(a.key),a=a.next,u--;this.b=a,this.d=u,a&&(a.previous=void 0),this.e++}g(w){if(!this.b&&!this.c)this.c=w;else if(this.b)w.next=this.b,this.b.previous=w;else throw new Error("Invalid list");this.b=w,this.e++}h(w){if(!this.b&&!this.c)this.b=w;else if(this.c)w.previous=this.c,this.c.next=w;else throw new Error("Invalid list");this.c=w,this.e++}i(w){if(w===this.b&&w===this.c)this.b=void 0,this.c=void 0;else if(w===this.b){if(!w.next)throw new Error("Invalid list");w.next.previous=void 0,this.b=w.next}else if(w===this.c){if(!w.previous)throw new Error("Invalid list");w.previous.next=void 0,this.c=w.previous}else{const a=w.next,u=w.previous;if(!a||!u)throw new Error("Invalid list");a.previous=u,u.next=a}w.next=void 0,w.previous=void 0,this.e++}j(w,a){if(!this.b||!this.c)throw new Error("Invalid list");if(!(a!==1&&a!==2)){if(a===1){if(w===this.b)return;const u=w.next,p=w.previous;w===this.c?(p.next=void 0,this.c=p):(u.previous=p,p.next=u),w.previous=void 0,w.next=this.b,this.b.previous=w,this.b=w,this.e++}else if(a===2){if(w===this.c)return;const u=w.next,p=w.previous;w===this.b?(u.previous=void 0,this.b=u):(u.previous=p,p.next=u),w.next=void 0,w.previous=this.c,this.c.next=w,this.c=w,this.e++}}}toJSON(){const w=[];return this.forEach((a,u)=>{w.push([u,a])}),w}fromJSON(w){this.clear();for(const[a,u]of w)this.set(a,u)}}e.LinkedMap=v;class m extends v{constructor(w,a=1){super(),this.k=w,this.l=Math.min(Math.max(0,a),1)}get limit(){return this.k}set limit(w){this.k=w,this.m()}get ratio(){return this.l}set ratio(w){this.l=Math.min(Math.max(0,w),1),this.m()}get(w,a=2){return super.get(w,a)}peek(w){return super.get(w,0)}set(w,a){return super.set(w,a,2),this.m(),this}m(){this.size>this.k&&this.f(Math.round(this.k*this.l))}}e.LRUCache=m}),define(te[79],ie([0,1,35]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const M=new I.LRUCache(1e4);function n(h){return d(h,"NFC",M)}e.normalizeNFC=n;const C=new I.LRUCache(1e4);function D(h){return d(h,"NFD",C)}e.normalizeNFD=D;const P=/[^\u0000-\u0080]/;function d(h,y,b){if(!h)return h;const v=b.get(h);if(v)return v;let m;return P.test(h)?m=h.normalize(y):m=h,b.set(h,m),m}e.removeAccents=function(){const h=/[\u0300-\u036f]/g;return function(y){return D(y).replace(h,"")}}()}),define(te[126],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function I(P,d,h){return Math.min(Math.max(P,d),h)}e.clamp=I;function M(P,d){return(d+P%d)%d}e.rot=M;class n{constructor(){this.a=0}getNext(){return this.a++}}e.Counter=n;class C{constructor(){this.a=1,this.b=0}update(d){return this.b=this.b+(d-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.MovingAverage=C;class D{constructor(d){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(d),this.c.fill(0,0,d)}update(d){const h=this.c[this.d];return this.c[this.d]=d,this.d=(this.d+1)%this.c.length,this.e-=h,this.e+=d,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.SlidingWindowAverage=D}),function(){function x(n){const C=[];typeof n=="number"&&C.push("code/timeOrigin",n);function D(d){C.push(d,Date.now())}function P(){const d=[];for(let h=0;h<C.length;h+=2)d.push({name:C[h],startTime:C[h+1]});return d}return{mark:D,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?x():{mark(n){performance.mark(n)},getMarks(){let n=performance.timeOrigin;typeof n!="number"&&(n=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(n)}];for(const D of performance.getEntriesByType("mark"))C.push({name:D.name,startTime:Math.round(n+D.startTime)});return C}};if(typeof process=="object"){const n=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return x(n)}else return console.trace("perf-util loaded in UNKNOWN environment"),x()}function I(n){return n.MonacoPerformanceMarks||(n.MonacoPerformanceMarks=e()),n.MonacoPerformanceMarks}var M;typeof global=="object"?M=global:typeof self=="object"?M=self:M={},typeof define=="function"?define("vs/base/common/performance",[],function(){return I(M)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=I(M):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),M.perf=I(M))}(),function(x,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var I=e();for(var M in I)(typeof exports=="object"?exports:x)[M]=I[M]}}(typeof self<"u"?self:this,function(){return function(x){var e={};function I(M){if(e[M])return e[M].exports;var n=e[M]={i:M,l:!1,exports:{}};return x[M].call(n.exports,n,n.exports,I),n.l=!0,n.exports}return I.m=x,I.c=e,I.d=function(M,n,C){I.o(M,n)||Object.defineProperty(M,n,{enumerable:!0,get:C})},I.r=function(M){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(M,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(M,"__esModule",{value:!0})},I.t=function(M,n){if(1&n&&(M=I(M)),8&n||4&n&&typeof M=="object"&&M&&M.__esModule)return M;var C=Object.create(null);if(I.r(C),Object.defineProperty(C,"default",{enumerable:!0,value:M}),2&n&&typeof M!="string")for(var D in M)I.d(C,D,function(P){return M[P]}.bind(null,D));return C},I.n=function(M){var n=M&&M.__esModule?function(){return M.default}:function(){return M};return I.d(n,"a",n),n},I.o=function(M,n){return Object.prototype.hasOwnProperty.call(M,n)},I.p="",I(I.s=0)}([function(x,e,I){(function(M){var n;e=x.exports=$,n=typeof M=="object"&&M.env&&M.env.NODE_DEBUG&&/\bsemver\b/i.test(M.env.NODE_DEBUG)?function(){var Z=Array.prototype.slice.call(arguments,0);Z.unshift("SEMVER"),console.log.apply(console,Z)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var C=256,D=Number.MAX_SAFE_INTEGER||9007199254740991,P=e.re=[],d=e.src=[],h=0,y=h++;d[y]="0|[1-9]\\d*";var b=h++;d[b]="[0-9]+";var v=h++;d[v]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var m=h++;d[m]="("+d[y]+")\\.("+d[y]+")\\.("+d[y]+")";var f=h++;d[f]="("+d[b]+")\\.("+d[b]+")\\.("+d[b]+")";var w=h++;d[w]="(?:"+d[y]+"|"+d[v]+")";var a=h++;d[a]="(?:"+d[b]+"|"+d[v]+")";var u=h++;d[u]="(?:-("+d[w]+"(?:\\."+d[w]+")*))";var p=h++;d[p]="(?:-?("+d[a]+"(?:\\."+d[a]+")*))";var k=h++;d[k]="[0-9A-Za-z-]+";var E=h++;d[E]="(?:\\+("+d[k]+"(?:\\."+d[k]+")*))";var R=h++,t="v?"+d[m]+d[u]+"?"+d[E]+"?";d[R]="^"+t+"$";var c="[v=\\s]*"+d[f]+d[p]+"?"+d[E]+"?",i=h++;d[i]="^"+c+"$";var r=h++;d[r]="((?:<|>)?=?)";var s=h++;d[s]=d[b]+"|x|X|\\*";var l=h++;d[l]=d[y]+"|x|X|\\*";var o=h++;d[o]="[v=\\s]*("+d[l]+")(?:\\.("+d[l]+")(?:\\.("+d[l]+")(?:"+d[u]+")?"+d[E]+"?)?)?";var g=h++;d[g]="[v=\\s]*("+d[s]+")(?:\\.("+d[s]+")(?:\\.("+d[s]+")(?:"+d[p]+")?"+d[E]+"?)?)?";var S=h++;d[S]="^"+d[r]+"\\s*"+d[o]+"$";var L=h++;d[L]="^"+d[r]+"\\s*"+d[g]+"$";var O=h++;d[O]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var j=h++;d[j]="(?:~>?)";var K=h++;d[K]="(\\s*)"+d[j]+"\\s+",P[K]=new RegExp(d[K],"g");var V=h++;d[V]="^"+d[j]+d[o]+"$";var J=h++;d[J]="^"+d[j]+d[g]+"$";var re=h++;d[re]="(?:\\^)";var se=h++;d[se]="(\\s*)"+d[re]+"\\s+",P[se]=new RegExp(d[se],"g");var ae=h++;d[ae]="^"+d[re]+d[o]+"$";var fe=h++;d[fe]="^"+d[re]+d[g]+"$";var ge=h++;d[ge]="^"+d[r]+"\\s*("+c+")$|^$";var H=h++;d[H]="^"+d[r]+"\\s*("+t+")$|^$";var F=h++;d[F]="(\\s*)"+d[r]+"\\s*("+c+"|"+d[o]+")",P[F]=new RegExp(d[F],"g");var W=h++;d[W]="^\\s*("+d[o]+")\\s+-\\s+("+d[o]+")\\s*$";var z=h++;d[z]="^\\s*("+d[g]+")\\s+-\\s+("+d[g]+")\\s*$";var Y=h++;d[Y]="(<|>)?=?\\s*\\*";for(var ne=0;ne<35;ne++)n(ne,d[ne]),P[ne]||(P[ne]=new RegExp(d[ne]));function _(Z,ce){if(Z instanceof $)return Z;if(typeof Z!="string"||Z.length>C||!(ce?P[i]:P[R]).test(Z))return null;try{return new $(Z,ce)}catch{return null}}function $(Z,ce){if(Z instanceof $){if(Z.loose===ce)return Z;Z=Z.version}else if(typeof Z!="string")throw new TypeError("Invalid Version: "+Z);if(Z.length>C)throw new TypeError("version is longer than "+C+" characters");if(!(this instanceof $))return new $(Z,ce);n("SemVer",Z,ce),this.loose=ce;var de=Z.trim().match(ce?P[i]:P[R]);if(!de)throw new TypeError("Invalid Version: "+Z);if(this.raw=Z,this.major=+de[1],this.minor=+de[2],this.patch=+de[3],this.major>D||this.major<0)throw new TypeError("Invalid major version");if(this.minor>D||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>D||this.patch<0)throw new TypeError("Invalid patch version");de[4]?this.prerelease=de[4].split(".").map(function(Ce){if(/^[0-9]+$/.test(Ce)){var Me=+Ce;if(Me>=0&&Me<D)return Me}return Ce}):this.prerelease=[],this.build=de[5]?de[5].split("."):[],this.format()}e.parse=_,e.valid=function(Z,ce){var de=_(Z,ce);return de?de.version:null},e.clean=function(Z,ce){var de=_(Z.trim().replace(/^[=v]+/,""),ce);return de?de.version:null},e.SemVer=$,$.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},$.prototype.toString=function(){return this.version},$.prototype.compare=function(Z){return n("SemVer.compare",this.version,this.loose,Z),Z instanceof $||(Z=new $(Z,this.loose)),this.compareMain(Z)||this.comparePre(Z)},$.prototype.compareMain=function(Z){return Z instanceof $||(Z=new $(Z,this.loose)),T(this.major,Z.major)||T(this.minor,Z.minor)||T(this.patch,Z.patch)},$.prototype.comparePre=function(Z){if(Z instanceof $||(Z=new $(Z,this.loose)),this.prerelease.length&&!Z.prerelease.length)return-1;if(!this.prerelease.length&&Z.prerelease.length)return 1;if(!this.prerelease.length&&!Z.prerelease.length)return 0;var ce=0;do{var de=this.prerelease[ce],Ce=Z.prerelease[ce];if(n("prerelease compare",ce,de,Ce),de===void 0&&Ce===void 0)return 0;if(Ce===void 0)return 1;if(de===void 0)return-1;if(de!==Ce)return T(de,Ce)}while(++ce)},$.prototype.inc=function(Z,ce){switch(Z){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ce);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ce);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ce),this.inc("pre",ce);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ce),this.inc("pre",ce);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var de=this.prerelease.length;--de>=0;)typeof this.prerelease[de]=="number"&&(this.prerelease[de]++,de=-2);de===-1&&this.prerelease.push(0)}ce&&(this.prerelease[0]===ce?isNaN(this.prerelease[1])&&(this.prerelease=[ce,0]):this.prerelease=[ce,0]);break;default:throw new Error("invalid increment argument: "+Z)}return this.format(),this.raw=this.version,this},e.inc=function(Z,ce,de,Ce){typeof de=="string"&&(Ce=de,de=void 0);try{return new $(Z,de).inc(ce,Ce).version}catch{return null}},e.diff=function(Z,ce){if(N(Z,ce))return null;var de=_(Z),Ce=_(ce);if(de.prerelease.length||Ce.prerelease.length){for(var Me in de)if((Me==="major"||Me==="minor"||Me==="patch")&&de[Me]!==Ce[Me])return"pre"+Me;return"prerelease"}for(var Me in de)if((Me==="major"||Me==="minor"||Me==="patch")&&de[Me]!==Ce[Me])return Me},e.compareIdentifiers=T;var A=/^[0-9]+$/;function T(Z,ce){var de=A.test(Z),Ce=A.test(ce);return de&&Ce&&(Z=+Z,ce=+ce),de&&!Ce?-1:Ce&&!de?1:Z<ce?-1:Z>ce?1:0}function U(Z,ce,de){return new $(Z,de).compare(new $(ce,de))}function B(Z,ce,de){return U(Z,ce,de)>0}function G(Z,ce,de){return U(Z,ce,de)<0}function N(Z,ce,de){return U(Z,ce,de)===0}function q(Z,ce,de){return U(Z,ce,de)!==0}function Q(Z,ce,de){return U(Z,ce,de)>=0}function oe(Z,ce,de){return U(Z,ce,de)<=0}function ue(Z,ce,de,Ce){var Me;switch(ce){case"===":typeof Z=="object"&&(Z=Z.version),typeof de=="object"&&(de=de.version),Me=Z===de;break;case"!==":typeof Z=="object"&&(Z=Z.version),typeof de=="object"&&(de=de.version),Me=Z!==de;break;case"":case"=":case"==":Me=N(Z,de,Ce);break;case"!=":Me=q(Z,de,Ce);break;case">":Me=B(Z,de,Ce);break;case">=":Me=Q(Z,de,Ce);break;case"<":Me=G(Z,de,Ce);break;case"<=":Me=oe(Z,de,Ce);break;default:throw new TypeError("Invalid operator: "+ce)}return Me}function ye(Z,ce){if(Z instanceof ye){if(Z.loose===ce)return Z;Z=Z.value}if(!(this instanceof ye))return new ye(Z,ce);n("comparator",Z,ce),this.loose=ce,this.parse(Z),this.semver===Re?this.value="":this.value=this.operator+this.semver.version,n("comp",this)}e.rcompareIdentifiers=function(Z,ce){return T(ce,Z)},e.major=function(Z,ce){return new $(Z,ce).major},e.minor=function(Z,ce){return new $(Z,ce).minor},e.patch=function(Z,ce){return new $(Z,ce).patch},e.compare=U,e.compareLoose=function(Z,ce){return U(Z,ce,!0)},e.rcompare=function(Z,ce,de){return U(ce,Z,de)},e.sort=function(Z,ce){return Z.sort(function(de,Ce){return e.compare(de,Ce,ce)})},e.rsort=function(Z,ce){return Z.sort(function(de,Ce){return e.rcompare(de,Ce,ce)})},e.gt=B,e.lt=G,e.eq=N,e.neq=q,e.gte=Q,e.lte=oe,e.cmp=ue,e.Comparator=ye;var Re={};function Oe(Z,ce){if(Z instanceof Oe)return Z.loose===ce?Z:new Oe(Z.raw,ce);if(Z instanceof ye)return new Oe(Z.value,ce);if(!(this instanceof Oe))return new Oe(Z,ce);if(this.loose=ce,this.raw=Z,this.set=Z.split(/\s*\|\|\s*/).map(function(de){return this.parseRange(de.trim())},this).filter(function(de){return de.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+Z);this.format()}function Le(Z){return!Z||Z.toLowerCase()==="x"||Z==="*"}function Ue(Z,ce,de,Ce,Me,Ae,Fe,He,Ne,$e,Ge,We,Ve){return((ce=Le(de)?"":Le(Ce)?">="+de+".0.0":Le(Me)?">="+de+"."+Ce+".0":">="+ce)+" "+(He=Le(Ne)?"":Le($e)?"<"+(+Ne+1)+".0.0":Le(Ge)?"<"+Ne+"."+(+$e+1)+".0":We?"<="+Ne+"."+$e+"."+Ge+"-"+We:"<="+He)).trim()}function we(Z,ce){for(var de=0;de<Z.length;de++)if(!Z[de].test(ce))return!1;if(ce.prerelease.length){for(de=0;de<Z.length;de++)if(n(Z[de].semver),Z[de].semver!==Re&&Z[de].semver.prerelease.length>0){var Ce=Z[de].semver;if(Ce.major===ce.major&&Ce.minor===ce.minor&&Ce.patch===ce.patch)return!0}return!1}return!0}function pe(Z,ce,de){try{ce=new Oe(ce,de)}catch{return!1}return ce.test(Z)}function ke(Z,ce,de,Ce){var Me,Ae,Fe,He,Ne;switch(Z=new $(Z,Ce),ce=new Oe(ce,Ce),de){case">":Me=B,Ae=oe,Fe=G,He=">",Ne=">=";break;case"<":Me=G,Ae=Q,Fe=B,He="<",Ne="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(pe(Z,ce,Ce))return!1;for(var $e=0;$e<ce.set.length;++$e){var Ge=ce.set[$e],We=null,Ve=null;if(Ge.forEach(function(X){X.semver===Re&&(X=new ye(">=0.0.0")),We=We||X,Ve=Ve||X,Me(X.semver,We.semver,Ce)?We=X:Fe(X.semver,Ve.semver,Ce)&&(Ve=X)}),We.operator===He||We.operator===Ne||(!Ve.operator||Ve.operator===He)&&Ae(Z,Ve.semver)||Ve.operator===Ne&&Fe(Z,Ve.semver))return!1}return!0}ye.prototype.parse=function(Z){var ce=this.loose?P[ge]:P[H],de=Z.match(ce);if(!de)throw new TypeError("Invalid comparator: "+Z);this.operator=de[1],this.operator==="="&&(this.operator=""),de[2]?this.semver=new $(de[2],this.loose):this.semver=Re},ye.prototype.toString=function(){return this.value},ye.prototype.test=function(Z){return n("Comparator.test",Z,this.loose),this.semver===Re||(typeof Z=="string"&&(Z=new $(Z,this.loose)),ue(Z,this.operator,this.semver,this.loose))},ye.prototype.intersects=function(Z,ce){if(!(Z instanceof ye))throw new TypeError("a Comparator is required");var de;if(this.operator==="")return de=new Oe(Z.value,ce),pe(this.value,de,ce);if(Z.operator==="")return de=new Oe(this.value,ce),pe(Z.semver,de,ce);var Ce=!(this.operator!==">="&&this.operator!==">"||Z.operator!==">="&&Z.operator!==">"),Me=!(this.operator!=="<="&&this.operator!=="<"||Z.operator!=="<="&&Z.operator!=="<"),Ae=this.semver.version===Z.semver.version,Fe=!(this.operator!==">="&&this.operator!=="<="||Z.operator!==">="&&Z.operator!=="<="),He=ue(this.semver,"<",Z.semver,ce)&&(this.operator===">="||this.operator===">")&&(Z.operator==="<="||Z.operator==="<"),Ne=ue(this.semver,">",Z.semver,ce)&&(this.operator==="<="||this.operator==="<")&&(Z.operator===">="||Z.operator===">");return Ce||Me||Ae&&Fe||He||Ne},e.Range=Oe,Oe.prototype.format=function(){return this.range=this.set.map(function(Z){return Z.join(" ").trim()}).join("||").trim(),this.range},Oe.prototype.toString=function(){return this.range},Oe.prototype.parseRange=function(Z){var ce=this.loose;Z=Z.trim(),n("range",Z,ce);var de=ce?P[z]:P[W];Z=Z.replace(de,Ue),n("hyphen replace",Z),Z=Z.replace(P[F],"$1$2$3"),n("comparator trim",Z,P[F]),Z=(Z=(Z=Z.replace(P[K],"$1~")).replace(P[se],"$1^")).split(/\s+/).join(" ");var Ce=ce?P[ge]:P[H],Me=Z.split(" ").map(function(Ae){return function(Fe,He){return n("comp",Fe),Fe=function(Ne,$e){return Ne.trim().split(/\s+/).map(function(Ge){return function(We,Ve){n("caret",We,Ve);var X=Ve?P[fe]:P[ae];return We.replace(X,function(le,he,me,be,Te){var ze;return n("caret",We,le,he,me,be,Te),Le(he)?ze="":Le(me)?ze=">="+he+".0.0 <"+(+he+1)+".0.0":Le(be)?ze=he==="0"?">="+he+"."+me+".0 <"+he+"."+(+me+1)+".0":">="+he+"."+me+".0 <"+(+he+1)+".0.0":Te?(n("replaceCaret pr",Te),Te.charAt(0)!=="-"&&(Te="-"+Te),ze=he==="0"?me==="0"?">="+he+"."+me+"."+be+Te+" <"+he+"."+me+"."+(+be+1):">="+he+"."+me+"."+be+Te+" <"+he+"."+(+me+1)+".0":">="+he+"."+me+"."+be+Te+" <"+(+he+1)+".0.0"):(n("no pr"),ze=he==="0"?me==="0"?">="+he+"."+me+"."+be+" <"+he+"."+me+"."+(+be+1):">="+he+"."+me+"."+be+" <"+he+"."+(+me+1)+".0":">="+he+"."+me+"."+be+" <"+(+he+1)+".0.0"),n("caret return",ze),ze})}(Ge,$e)}).join(" ")}(Fe,He),n("caret",Fe),Fe=function(Ne,$e){return Ne.trim().split(/\s+/).map(function(Ge){return function(We,Ve){var X=Ve?P[J]:P[V];return We.replace(X,function(le,he,me,be,Te){var ze;return n("tilde",We,le,he,me,be,Te),Le(he)?ze="":Le(me)?ze=">="+he+".0.0 <"+(+he+1)+".0.0":Le(be)?ze=">="+he+"."+me+".0 <"+he+"."+(+me+1)+".0":Te?(n("replaceTilde pr",Te),Te.charAt(0)!=="-"&&(Te="-"+Te),ze=">="+he+"."+me+"."+be+Te+" <"+he+"."+(+me+1)+".0"):ze=">="+he+"."+me+"."+be+" <"+he+"."+(+me+1)+".0",n("tilde return",ze),ze})}(Ge,$e)}).join(" ")}(Fe,He),n("tildes",Fe),Fe=function(Ne,$e){return n("replaceXRanges",Ne,$e),Ne.split(/\s+/).map(function(Ge){return function(We,Ve){We=We.trim();var X=Ve?P[L]:P[S];return We.replace(X,function(le,he,me,be,Te,ze){n("xRange",We,le,he,me,be,Te,ze);var tt=Le(me),Qe=tt||Le(be),Ke=Qe||Le(Te);return he==="="&&Ke&&(he=""),tt?le=he===">"||he==="<"?"<0.0.0":"*":he&&Ke?(Qe&&(be=0),Ke&&(Te=0),he===">"?(he=">=",Qe?(me=+me+1,be=0,Te=0):Ke&&(be=+be+1,Te=0)):he==="<="&&(he="<",Qe?me=+me+1:be=+be+1),le=he+me+"."+be+"."+Te):Qe?le=">="+me+".0.0 <"+(+me+1)+".0.0":Ke&&(le=">="+me+"."+be+".0 <"+me+"."+(+be+1)+".0"),n("xRange return",le),le})}(Ge,$e)}).join(" ")}(Fe,He),n("xrange",Fe),Fe=function(Ne,$e){return n("replaceStars",Ne,$e),Ne.trim().replace(P[Y],"")}(Fe,He),n("stars",Fe),Fe}(Ae,ce)}).join(" ").split(/\s+/);return this.loose&&(Me=Me.filter(function(Ae){return!!Ae.match(Ce)})),Me=Me.map(function(Ae){return new ye(Ae,ce)})},Oe.prototype.intersects=function(Z,ce){if(!(Z instanceof Oe))throw new TypeError("a Range is required");return this.set.some(function(de){return de.every(function(Ce){return Z.set.some(function(Me){return Me.every(function(Ae){return Ce.intersects(Ae,ce)})})})})},e.toComparators=function(Z,ce){return new Oe(Z,ce).set.map(function(de){return de.map(function(Ce){return Ce.value}).join(" ").trim().split(" ")})},Oe.prototype.test=function(Z){if(!Z)return!1;typeof Z=="string"&&(Z=new $(Z,this.loose));for(var ce=0;ce<this.set.length;ce++)if(we(this.set[ce],Z))return!0;return!1},e.satisfies=pe,e.maxSatisfying=function(Z,ce,de){var Ce=null,Me=null;try{var Ae=new Oe(ce,de)}catch{return null}return Z.forEach(function(Fe){Ae.test(Fe)&&(Ce&&Me.compare(Fe)!==-1||(Me=new $(Ce=Fe,de)))}),Ce},e.minSatisfying=function(Z,ce,de){var Ce=null,Me=null;try{var Ae=new Oe(ce,de)}catch{return null}return Z.forEach(function(Fe){Ae.test(Fe)&&(Ce&&Me.compare(Fe)!==1||(Me=new $(Ce=Fe,de)))}),Ce},e.validRange=function(Z,ce){try{return new Oe(Z,ce).range||"*"}catch{return null}},e.ltr=function(Z,ce,de){return ke(Z,ce,"<",de)},e.gtr=function(Z,ce,de){return ke(Z,ce,">",de)},e.outside=ke,e.prerelease=function(Z,ce){var de=_(Z,ce);return de&&de.prerelease.length?de.prerelease:null},e.intersects=function(Z,ce,de){return Z=new Oe(Z,de),ce=new Oe(ce,de),Z.intersects(ce)},e.coerce=function(Z){if(Z instanceof $)return Z;if(typeof Z!="string")return null;var ce=Z.match(P[O]);return ce==null?null:_((ce[1]||"0")+"."+(ce[2]||"0")+"."+(ce[3]||"0"))}}).call(this,I(1))},function(x,e){var I,M,n=x.exports={};function C(){throw new Error("setTimeout has not been defined")}function D(){throw new Error("clearTimeout has not been defined")}function P(a){if(I===setTimeout)return setTimeout(a,0);if((I===C||!I)&&setTimeout)return I=setTimeout,setTimeout(a,0);try{return I(a,0)}catch{try{return I.call(null,a,0)}catch{return I.call(this,a,0)}}}(function(){try{I=typeof setTimeout=="function"?setTimeout:C}catch{I=C}try{M=typeof clearTimeout=="function"?clearTimeout:D}catch{M=D}})();var d,h=[],y=!1,b=-1;function v(){y&&d&&(y=!1,d.length?h=d.concat(h):b=-1,h.length&&m())}function m(){if(!y){var a=P(v);y=!0;for(var u=h.length;u;){for(d=h,h=[];++b<u;)d&&d[b].run();b=-1,u=h.length}d=null,y=!1,function(p){if(M===clearTimeout)return clearTimeout(p);if((M===D||!M)&&clearTimeout)return M=clearTimeout,clearTimeout(p);try{M(p)}catch{try{return M.call(null,p)}catch{return M.call(this,p)}}}(a)}}function f(a,u){this.fun=a,this.array=u}function w(){}n.nextTick=function(a){var u=new Array(arguments.length-1);if(arguments.length>1)for(var p=1;p<arguments.length;p++)u[p-1]=arguments[p];h.push(new f(a,u)),h.length!==1||y||P(m)},f.prototype.run=function(){this.fun.apply(null,this.array)},n.title="browser",n.browser=!0,n.env={},n.argv=[],n.version="",n.versions={},n.on=w,n.addListener=w,n.once=w,n.off=w,n.removeListener=w,n.removeAllListeners=w,n.emit=w,n.prependListener=w,n.prependOnceListener=w,n.listeners=function(a){return[]},n.binding=function(a){throw new Error("process.binding is not supported")},n.cwd=function(){return"/"},n.chdir=function(a){throw new Error("process.chdir is not supported")},n.umask=function(){return 0}}])}),define(te[127],ie([0,1]),function(x,e){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class M{constructor(P,d,h){this.level=P,this.key=d,this.value=h,this.forward=[]}}const n=void 0;class C{constructor(P,d=2**16){this.comparator=P,this[I]="SkipList",this.d=0,this.f=0,this.c=Math.max(1,Math.log2(d)|0),this.e=new M(this.c,n,n)}get size(){return this.f}clear(){this.e=new M(this.c,n,n)}has(P){return Boolean(C.g(this,P,this.comparator))}get(P){return C.g(this,P,this.comparator)?.value}set(P,d){return C.h(this,P,d,this.comparator)&&(this.f+=1),this}delete(P){const d=C.k(this,P,this.comparator);return d&&(this.f-=1),d}forEach(P,d){let h=this.e.forward[0];for(;h;)P.call(d,h.value,h.key,this),h=h.forward[0]}[(I=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let P=this.e.forward[0];for(;P;)yield[P.key,P.value],P=P.forward[0]}*keys(){let P=this.e.forward[0];for(;P;)yield P.key,P=P.forward[0]}*values(){let P=this.e.forward[0];for(;P;)yield P.value,P=P.forward[0]}toString(){let P="[SkipList]:",d=this.e.forward[0];for(;d;)P+=`node(${d.key}, ${d.value}, lvl:${d.level})`,d=d.forward[0];return P}static g(P,d,h){let y=P.e;for(let b=P.d-1;b>=0;b--)for(;y.forward[b]&&h(y.forward[b].key,d)<0;)y=y.forward[b];if(y=y.forward[0],y&&h(y.key,d)===0)return y}static h(P,d,h,y){const b=[];let v=P.e;for(let m=P.d-1;m>=0;m--){for(;v.forward[m]&&y(v.forward[m].key,d)<0;)v=v.forward[m];b[m]=v}if(v=v.forward[0],v&&y(v.key,d)===0)return v.value=h,!1;{const m=C.j(P);if(m>P.d){for(let f=P.d;f<m;f++)b[f]=P.e;P.d=m}v=new M(m,d,h);for(let f=0;f<m;f++)v.forward[f]=b[f].forward[f],b[f].forward[f]=v;return!0}}static j(P,d=.5){let h=1;for(;Math.random()<d&&h<P.c;)h+=1;return h}static k(P,d,h){const y=[];let b=P.e;for(let v=P.d-1;v>=0;v--){for(;b.forward[v]&&h(b.forward[v].key,d)<0;)b=b.forward[v];y[v]=b}if(b=b.forward[0],!b||h(b.key,d)!==0)return!1;for(let v=0;v<P.d&&y[v].forward[v]===b;v++)y[v].forward[v]=b.forward[v];for(;P.d>0&&P.e.forward[P.d-1]===n;)P.d-=1;return!0}}e.SkipList=C}),define(te[59],ie([0,1,13,2]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function n(E){const R=E;return R?typeof R.read=="function":!1}e.isReadable=n;function C(E){const R=E;return R?[R.on,R.pause,R.resume,R.destroy].every(t=>typeof t=="function"):!1}e.isReadableStream=C;function D(E){const R=E;return R?C(R.stream)&&Array.isArray(R.buffer)&&typeof R.ended=="boolean":!1}e.isReadableBufferedStream=D;function P(E,R){return new d(E,R)}e.newWriteableStream=P;class d{constructor(R,t){this.e=R,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(R){if(!this.a.destroyed){if(this.a.flowing)this.g(R);else if(this.b.data.push(R),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(R){this.a.destroyed||(this.a.flowing?this.h(R):this.b.error.push(R))}end(R){this.a.destroyed||(typeof R<"u"&&this.write(R),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(R){this.c.data.slice(0).forEach(t=>t(R))}h(R){this.c.error.length===0?(0,I.onUnexpectedError)(R):this.c.error.slice(0).forEach(t=>t(R))}i(){this.c.end.slice(0).forEach(R=>R())}on(R,t){if(!this.a.destroyed)switch(R){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(R,t){if(this.a.destroyed)return;let c;switch(R){case"data":c=this.c.data;break;case"end":c=this.c.end;break;case"error":c=this.c.error;break}if(c){const i=c.indexOf(t);i>=0&&c.splice(i,1)}}j(){if(this.b.data.length>0){const R=this.e(this.b.data);this.g(R),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(c=>c())}}k(){if(this.c.error.length>0){for(const R of this.b.error)this.h(R);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function h(E,R){const t=[];let c;for(;(c=E.read())!==null;)t.push(c);return R(t)}e.consumeReadable=h;function y(E,R,t){const c=[];let i;for(;(i=E.read())!==null&&c.length<t;)c.push(i);return i===null&&c.length>0?R(c):{read:()=>{if(c.length>0)return c.shift();if(typeof i<"u"){const r=i;return i=void 0,r}return E.read()}}}e.peekReadable=y;function b(E,R){return new Promise((t,c)=>{const i=[];v(E,{onData:r=>{R&&i.push(r)},onError:r=>{R?c(r):t(void 0)},onEnd:()=>{t(R?R(i):void 0)}})})}e.consumeStream=b;function v(E,R){let t=!1;return E.on("error",c=>{t||R.onError(c)}),E.on("end",()=>{t||R.onEnd()}),E.on("data",c=>{t||R.onData(c)}),(0,M.toDisposable)(()=>t=!0)}e.listenStream=v;function m(E,R){return new Promise((t,c)=>{const i=new M.DisposableStore,r=[],s=g=>{if(r.push(g),r.length>R)return i.dispose(),E.pause(),t({stream:E,buffer:r,ended:!1})},l=g=>c(g),o=()=>t({stream:E,buffer:r,ended:!0});i.add((0,M.toDisposable)(()=>E.removeListener("error",l))),E.on("error",l),i.add((0,M.toDisposable)(()=>E.removeListener("end",o))),E.on("end",o),i.add((0,M.toDisposable)(()=>E.removeListener("data",s))),E.on("data",s)})}e.peekStream=m;function f(E,R){const t=P(R);return t.end(E),t}e.toStream=f;function w(){const E=P(()=>{throw new Error("not supported")});return E.end(),E}e.emptyStream=w;function a(E){let R=!1;return{read:()=>R?null:(R=!0,E)}}e.toReadable=a;function u(E,R,t){const c=P(t);return v(E,{onData:i=>c.write(R.data(i)),onError:i=>c.error(R.error?R.error(i):i),onEnd:()=>c.end()}),c}e.transform=u;function p(E,R,t){let c=!1;return{read:()=>{const i=R.read();return c?i:(c=!0,i!==null?t([E,i]):E)}}}e.prefixedReadable=p;function k(E,R,t){let c=!1;const i=P(t);return v(R,{onData:r=>c?i.write(r):(c=!0,i.write(t([E,r]))),onError:r=>i.error(r),onEnd:()=>{c||(c=!0,i.write(E)),i.end()}}),i}e.prefixedStream=k}),define(te[17],ie([0,1,59]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const M=typeof Buffer<"u";let n,C;class D{static alloc(g){return M?new D(Buffer.allocUnsafe(g)):new D(new Uint8Array(g))}static wrap(g){return M&&!Buffer.isBuffer(g)&&(g=Buffer.from(g.buffer,g.byteOffset,g.byteLength)),new D(g)}static fromString(g,S){return!(S?.dontUseNodeBuffer||!1)&&M?new D(Buffer.from(g)):(n||(n=new TextEncoder),new D(n.encode(g)))}static fromByteArray(g){const S=D.alloc(g.length);for(let L=0,O=g.length;L<O;L++)S.buffer[L]=g[L];return S}static concat(g,S){if(typeof S>"u"){S=0;for(let j=0,K=g.length;j<K;j++)S+=g[j].byteLength}const L=D.alloc(S);let O=0;for(let j=0,K=g.length;j<K;j++){const V=g[j];L.set(V,O),O+=V.byteLength}return L}constructor(g){this.buffer=g,this.byteLength=this.buffer.byteLength}clone(){const g=D.alloc(this.byteLength);return g.set(this),g}toString(){return M?this.buffer.toString():(C||(C=new TextDecoder),C.decode(this.buffer))}slice(g,S){return new D(this.buffer.subarray(g,S))}set(g,S){if(g instanceof D)this.buffer.set(g.buffer,S);else if(g instanceof Uint8Array)this.buffer.set(g,S);else if(g instanceof ArrayBuffer)this.buffer.set(new Uint8Array(g),S);else if(ArrayBuffer.isView(g))this.buffer.set(new Uint8Array(g.buffer,g.byteOffset,g.byteLength),S);else throw new Error("Unknown argument 'array'")}readUInt32BE(g){return h(this.buffer,g)}writeUInt32BE(g,S){y(this.buffer,g,S)}readUInt32LE(g){return b(this.buffer,g)}writeUInt32LE(g,S){v(this.buffer,g,S)}readUInt8(g){return m(this.buffer,g)}writeUInt8(g,S){f(this.buffer,g,S)}}e.VSBuffer=D;function P(o,g){return o[g+0]<<0>>>0|o[g+1]<<8>>>0}e.readUInt16LE=P;function d(o,g,S){o[S+0]=g&255,g=g>>>8,o[S+1]=g&255}e.writeUInt16LE=d;function h(o,g){return o[g]*2**24+o[g+1]*2**16+o[g+2]*2**8+o[g+3]}e.readUInt32BE=h;function y(o,g,S){o[S+3]=g,g=g>>>8,o[S+2]=g,g=g>>>8,o[S+1]=g,g=g>>>8,o[S]=g}e.writeUInt32BE=y;function b(o,g){return o[g+0]<<0>>>0|o[g+1]<<8>>>0|o[g+2]<<16>>>0|o[g+3]<<24>>>0}e.readUInt32LE=b;function v(o,g,S){o[S+0]=g&255,g=g>>>8,o[S+1]=g&255,g=g>>>8,o[S+2]=g&255,g=g>>>8,o[S+3]=g&255}e.writeUInt32LE=v;function m(o,g){return o[g]}e.readUInt8=m;function f(o,g,S){o[S]=g}e.writeUInt8=f;function w(o){return I.consumeReadable(o,g=>D.concat(g))}e.readableToBuffer=w;function a(o){return I.toReadable(o)}e.bufferToReadable=a;function u(o){return I.consumeStream(o,g=>D.concat(g))}e.streamToBuffer=u;async function p(o){return o.ended?D.concat(o.buffer):D.concat([...o.buffer,await u(o.stream)])}e.bufferedStreamToBuffer=p;function k(o){return I.toStream(o,g=>D.concat(g))}e.bufferToStream=k;function E(o){return I.transform(o,{data:g=>typeof g=="string"?D.fromString(g):D.wrap(g)},g=>D.concat(g))}e.streamToBufferReadableStream=E;function R(o){return I.newWriteableStream(g=>D.concat(g),o)}e.newWriteableBufferStream=R;function t(o,g){return I.prefixedReadable(o,g,S=>D.concat(S))}e.prefixedBufferReadable=t;function c(o,g){return I.prefixedStream(o,g,S=>D.concat(S))}e.prefixedBufferStream=c;function i(o){let g=0,S=0,L=0;const O=new Uint8Array(Math.floor(o.length/4*3)),j=V=>{switch(S){case 3:O[L++]=g|V,S=0;break;case 2:O[L++]=g|V>>>2,g=V<<6,S=3;break;case 1:O[L++]=g|V>>>4,g=V<<4,S=2;break;default:g=V<<2,S=1}};for(let V=0;V<o.length;V++){const J=o.charCodeAt(V);if(J>=65&&J<=90)j(J-65);else if(J>=97&&J<=122)j(J-97+26);else if(J>=48&&J<=57)j(J-48+52);else if(J===43||J===45)j(62);else if(J===47||J===95)j(63);else{if(J===61)break;throw new SyntaxError(`Unexpected base64 character ${o[V]}`)}}const K=L;for(;S>0;)j(0);return D.wrap(O).slice(0,K)}e.decodeBase64=i;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function l({buffer:o},g=!0,S=!1){const L=S?s:r;let O="";const j=o.byteLength%3;let K=0;for(;K<o.byteLength-j;K+=3){const V=o[K+0],J=o[K+1],re=o[K+2];O+=L[V>>>2],O+=L[(V<<4|J>>>4)&63],O+=L[(J<<2|re>>>6)&63],O+=L[re&63]}if(j===1){const V=o[K+0];O+=L[V>>>2],O+=L[V<<4&63],g&&(O+="==")}else if(j===2){const V=o[K+0],J=o[K+1];O+=L[V>>>2],O+=L[(V<<4|J>>>4)&63],O+=L[J<<2&63],g&&(O+="=")}return O}e.encodeBase64=l}),define(te[10],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.withUndefinedAsNull=e.withNullAsUndefined=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=void 0;function I(c){return typeof c=="string"}e.isString=I;function M(c){return Array.isArray(c)&&c.every(i=>I(i))}e.isStringArray=M;function n(c){return typeof c=="object"&&c!==null&&!Array.isArray(c)&&!(c instanceof RegExp)&&!(c instanceof Date)}e.isObject=n;function C(c){const i=Object.getPrototypeOf(Uint8Array);return typeof c=="object"&&c instanceof i}e.isTypedArray=C;function D(c){return typeof c=="number"&&!isNaN(c)}e.isNumber=D;function P(c){return!!c&&typeof c[Symbol.iterator]=="function"}e.isIterable=P;function d(c){return c===!0||c===!1}e.isBoolean=d;function h(c){return typeof c>"u"}e.isUndefined=h;function y(c){return!b(c)}e.isDefined=y;function b(c){return h(c)||c===null}e.isUndefinedOrNull=b;function v(c,i){if(!c)throw new Error(i?`Unexpected type, expected '${i}'`:"Unexpected type")}e.assertType=v;function m(c){if(b(c))throw new Error("Assertion Failed: argument is undefined or null");return c}e.assertIsDefined=m;function f(...c){const i=[];for(let r=0;r<c.length;r++){const s=c[r];if(b(s))throw new Error(`Assertion Failed: argument at index ${r} is undefined or null`);i.push(s)}return i}e.assertAllDefined=f;const w=Object.prototype.hasOwnProperty;function a(c){if(!n(c))return!1;for(const i in c)if(w.call(c,i))return!1;return!0}e.isEmptyObject=a;function u(c){return typeof c=="function"}e.isFunction=u;function p(...c){return c.length>0&&c.every(u)}e.areFunctions=p;function k(c,i){const r=Math.min(c.length,i.length);for(let s=0;s<r;s++)E(c[s],i[s])}e.validateConstraints=k;function E(c,i){if(I(i)){if(typeof c!==i)throw new Error(`argument does not match constraint: typeof ${i}`)}else if(u(i)){try{if(c instanceof i)return}catch{}if(!b(c)&&c.constructor===i||i.length===1&&i.call(void 0,c)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=E;function R(c){return c===null?void 0:c}e.withNullAsUndefined=R;function t(c){return typeof c>"u"?null:c}e.withUndefinedAsNull=t}),define(te[128],ie([0,1,10]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Codicon=e.getAllCodicons=e.getCodiconFontCharacters=void 0;const M=Object.create(null);function n(P,d){if((0,I.isString)(d)){const h=M[d];if(h===void 0)throw new Error(`${P} references an unknown codicon: ${d}`);d=h}return M[P]=d,{id:P}}function C(){return M}e.getCodiconFontCharacters=C;function D(){return Object.values(e.Codicon)}e.getAllCodicons=D,e.Codicon={add:n("add",6e4),plus:n("plus",6e4),gistNew:n("gist-new",6e4),repoCreate:n("repo-create",6e4),lightbulb:n("lightbulb",60001),lightBulb:n("light-bulb",60001),repo:n("repo",60002),repoDelete:n("repo-delete",60002),gistFork:n("gist-fork",60003),repoForked:n("repo-forked",60003),gitPullRequest:n("git-pull-request",60004),gitPullRequestAbandoned:n("git-pull-request-abandoned",60004),recordKeys:n("record-keys",60005),keyboard:n("keyboard",60005),tag:n("tag",60006),tagAdd:n("tag-add",60006),tagRemove:n("tag-remove",60006),person:n("person",60007),personFollow:n("person-follow",60007),personOutline:n("person-outline",60007),personFilled:n("person-filled",60007),gitBranch:n("git-branch",60008),gitBranchCreate:n("git-branch-create",60008),gitBranchDelete:n("git-branch-delete",60008),sourceControl:n("source-control",60008),mirror:n("mirror",60009),mirrorPublic:n("mirror-public",60009),star:n("star",60010),starAdd:n("star-add",60010),starDelete:n("star-delete",60010),starEmpty:n("star-empty",60010),comment:n("comment",60011),commentAdd:n("comment-add",60011),alert:n("alert",60012),warning:n("warning",60012),search:n("search",60013),searchSave:n("search-save",60013),logOut:n("log-out",60014),signOut:n("sign-out",60014),logIn:n("log-in",60015),signIn:n("sign-in",60015),eye:n("eye",60016),eyeUnwatch:n("eye-unwatch",60016),eyeWatch:n("eye-watch",60016),circleFilled:n("circle-filled",60017),primitiveDot:n("primitive-dot",60017),closeDirty:n("close-dirty",60017),debugBreakpoint:n("debug-breakpoint",60017),debugBreakpointDisabled:n("debug-breakpoint-disabled",60017),debugHint:n("debug-hint",60017),primitiveSquare:n("primitive-square",60018),edit:n("edit",60019),pencil:n("pencil",60019),info:n("info",60020),issueOpened:n("issue-opened",60020),gistPrivate:n("gist-private",60021),gitForkPrivate:n("git-fork-private",60021),lock:n("lock",60021),mirrorPrivate:n("mirror-private",60021),close:n("close",60022),removeClose:n("remove-close",60022),x:n("x",60022),repoSync:n("repo-sync",60023),sync:n("sync",60023),clone:n("clone",60024),desktopDownload:n("desktop-download",60024),beaker:n("beaker",60025),microscope:n("microscope",60025),vm:n("vm",60026),deviceDesktop:n("device-desktop",60026),file:n("file",60027),fileText:n("file-text",60027),more:n("more",60028),ellipsis:n("ellipsis",60028),kebabHorizontal:n("kebab-horizontal",60028),mailReply:n("mail-reply",60029),reply:n("reply",60029),organization:n("organization",60030),organizationFilled:n("organization-filled",60030),organizationOutline:n("organization-outline",60030),newFile:n("new-file",60031),fileAdd:n("file-add",60031),newFolder:n("new-folder",60032),fileDirectoryCreate:n("file-directory-create",60032),trash:n("trash",60033),trashcan:n("trashcan",60033),history:n("history",60034),clock:n("clock",60034),folder:n("folder",60035),fileDirectory:n("file-directory",60035),symbolFolder:n("symbol-folder",60035),logoGithub:n("logo-github",60036),markGithub:n("mark-github",60036),github:n("github",60036),terminal:n("terminal",60037),console:n("console",60037),repl:n("repl",60037),zap:n("zap",60038),symbolEvent:n("symbol-event",60038),error:n("error",60039),stop:n("stop",60039),variable:n("variable",60040),symbolVariable:n("symbol-variable",60040),array:n("array",60042),symbolArray:n("symbol-array",60042),symbolModule:n("symbol-module",60043),symbolPackage:n("symbol-package",60043),symbolNamespace:n("symbol-namespace",60043),symbolObject:n("symbol-object",60043),symbolMethod:n("symbol-method",60044),symbolFunction:n("symbol-function",60044),symbolConstructor:n("symbol-constructor",60044),symbolBoolean:n("symbol-boolean",60047),symbolNull:n("symbol-null",60047),symbolNumeric:n("symbol-numeric",60048),symbolNumber:n("symbol-number",60048),symbolStructure:n("symbol-structure",60049),symbolStruct:n("symbol-struct",60049),symbolParameter:n("symbol-parameter",60050),symbolTypeParameter:n("symbol-type-parameter",60050),symbolKey:n("symbol-key",60051),symbolText:n("symbol-text",60051),symbolReference:n("symbol-reference",60052),goToFile:n("go-to-file",60052),symbolEnum:n("symbol-enum",60053),symbolValue:n("symbol-value",60053),symbolRuler:n("symbol-ruler",60054),symbolUnit:n("symbol-unit",60054),activateBreakpoints:n("activate-breakpoints",60055),archive:n("archive",60056),arrowBoth:n("arrow-both",60057),arrowDown:n("arrow-down",60058),arrowLeft:n("arrow-left",60059),arrowRight:n("arrow-right",60060),arrowSmallDown:n("arrow-small-down",60061),arrowSmallLeft:n("arrow-small-left",60062),arrowSmallRight:n("arrow-small-right",60063),arrowSmallUp:n("arrow-small-up",60064),arrowUp:n("arrow-up",60065),bell:n("bell",60066),bold:n("bold",60067),book:n("book",60068),bookmark:n("bookmark",60069),debugBreakpointConditionalUnverified:n("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:n("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:n("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:n("debug-breakpoint-data-unverified",60072),debugBreakpointData:n("debug-breakpoint-data",60073),debugBreakpointDataDisabled:n("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:n("debug-breakpoint-log-unverified",60074),debugBreakpointLog:n("debug-breakpoint-log",60075),debugBreakpointLogDisabled:n("debug-breakpoint-log-disabled",60075),briefcase:n("briefcase",60076),broadcast:n("broadcast",60077),browser:n("browser",60078),bug:n("bug",60079),calendar:n("calendar",60080),caseSensitive:n("case-sensitive",60081),check:n("check",60082),checklist:n("checklist",60083),chevronDown:n("chevron-down",60084),dropDownButton:n("drop-down-button",60084),chevronLeft:n("chevron-left",60085),chevronRight:n("chevron-right",60086),chevronUp:n("chevron-up",60087),chromeClose:n("chrome-close",60088),chromeMaximize:n("chrome-maximize",60089),chromeMinimize:n("chrome-minimize",60090),chromeRestore:n("chrome-restore",60091),circle:n("circle",60092),circleOutline:n("circle-outline",60092),debugBreakpointUnverified:n("debug-breakpoint-unverified",60092),circleSlash:n("circle-slash",60093),circuitBoard:n("circuit-board",60094),clearAll:n("clear-all",60095),clippy:n("clippy",60096),closeAll:n("close-all",60097),cloudDownload:n("cloud-download",60098),cloudUpload:n("cloud-upload",60099),code:n("code",60100),collapseAll:n("collapse-all",60101),colorMode:n("color-mode",60102),commentDiscussion:n("comment-discussion",60103),compareChanges:n("compare-changes",60157),creditCard:n("credit-card",60105),dash:n("dash",60108),dashboard:n("dashboard",60109),database:n("database",60110),debugContinue:n("debug-continue",60111),debugDisconnect:n("debug-disconnect",60112),debugPause:n("debug-pause",60113),debugRestart:n("debug-restart",60114),debugStart:n("debug-start",60115),debugStepInto:n("debug-step-into",60116),debugStepOut:n("debug-step-out",60117),debugStepOver:n("debug-step-over",60118),debugStop:n("debug-stop",60119),debug:n("debug",60120),deviceCameraVideo:n("device-camera-video",60121),deviceCamera:n("device-camera",60122),deviceMobile:n("device-mobile",60123),diffAdded:n("diff-added",60124),diffIgnored:n("diff-ignored",60125),diffModified:n("diff-modified",60126),diffRemoved:n("diff-removed",60127),diffRenamed:n("diff-renamed",60128),diff:n("diff",60129),discard:n("discard",60130),editorLayout:n("editor-layout",60131),emptyWindow:n("empty-window",60132),exclude:n("exclude",60133),extensions:n("extensions",60134),eyeClosed:n("eye-closed",60135),fileBinary:n("file-binary",60136),fileCode:n("file-code",60137),fileMedia:n("file-media",60138),filePdf:n("file-pdf",60139),fileSubmodule:n("file-submodule",60140),fileSymlinkDirectory:n("file-symlink-directory",60141),fileSymlinkFile:n("file-symlink-file",60142),fileZip:n("file-zip",60143),files:n("files",60144),filter:n("filter",60145),flame:n("flame",60146),foldDown:n("fold-down",60147),foldUp:n("fold-up",60148),fold:n("fold",60149),folderActive:n("folder-active",60150),folderOpened:n("folder-opened",60151),gear:n("gear",60152),gift:n("gift",60153),gistSecret:n("gist-secret",60154),gist:n("gist",60155),gitCommit:n("git-commit",60156),gitCompare:n("git-compare",60157),gitMerge:n("git-merge",60158),githubAction:n("github-action",60159),githubAlt:n("github-alt",60160),globe:n("globe",60161),grabber:n("grabber",60162),graph:n("graph",60163),gripper:n("gripper",60164),heart:n("heart",60165),home:n("home",60166),horizontalRule:n("horizontal-rule",60167),hubot:n("hubot",60168),inbox:n("inbox",60169),issueClosed:n("issue-closed",60324),issueReopened:n("issue-reopened",60171),issues:n("issues",60172),italic:n("italic",60173),jersey:n("jersey",60174),json:n("json",60175),bracket:n("bracket",60175),kebabVertical:n("kebab-vertical",60176),key:n("key",60177),law:n("law",60178),lightbulbAutofix:n("lightbulb-autofix",60179),linkExternal:n("link-external",60180),link:n("link",60181),listOrdered:n("list-ordered",60182),listUnordered:n("list-unordered",60183),liveShare:n("live-share",60184),loading:n("loading",60185),location:n("location",60186),mailRead:n("mail-read",60187),mail:n("mail",60188),markdown:n("markdown",60189),megaphone:n("megaphone",60190),mention:n("mention",60191),milestone:n("milestone",60192),mortarBoard:n("mortar-board",60193),move:n("move",60194),multipleWindows:n("multiple-windows",60195),mute:n("mute",60196),noNewline:n("no-newline",60197),note:n("note",60198),octoface:n("octoface",60199),openPreview:n("open-preview",60200),package_:n("package",60201),paintcan:n("paintcan",60202),pin:n("pin",60203),play:n("play",60204),run:n("run",60204),plug:n("plug",60205),preserveCase:n("preserve-case",60206),preview:n("preview",60207),project:n("project",60208),pulse:n("pulse",60209),question:n("question",60210),quote:n("quote",60211),radioTower:n("radio-tower",60212),reactions:n("reactions",60213),references:n("references",60214),refresh:n("refresh",60215),regex:n("regex",60216),remoteExplorer:n("remote-explorer",60217),remote:n("remote",60218),remove:n("remove",60219),replaceAll:n("replace-all",60220),replace:n("replace",60221),repoClone:n("repo-clone",60222),repoForcePush:n("repo-force-push",60223),repoPull:n("repo-pull",60224),repoPush:n("repo-push",60225),report:n("report",60226),requestChanges:n("request-changes",60227),rocket:n("rocket",60228),rootFolderOpened:n("root-folder-opened",60229),rootFolder:n("root-folder",60230),rss:n("rss",60231),ruby:n("ruby",60232),saveAll:n("save-all",60233),saveAs:n("save-as",60234),save:n("save",60235),screenFull:n("screen-full",60236),screenNormal:n("screen-normal",60237),searchStop:n("search-stop",60238),server:n("server",60240),settingsGear:n("settings-gear",60241),settings:n("settings",60242),shield:n("shield",60243),smiley:n("smiley",60244),sortPrecedence:n("sort-precedence",60245),splitHorizontal:n("split-horizontal",60246),splitVertical:n("split-vertical",60247),squirrel:n("squirrel",60248),starFull:n("star-full",60249),starHalf:n("star-half",60250),symbolClass:n("symbol-class",60251),symbolColor:n("symbol-color",60252),symbolCustomColor:n("symbol-customcolor",60252),symbolConstant:n("symbol-constant",60253),symbolEnumMember:n("symbol-enum-member",60254),symbolField:n("symbol-field",60255),symbolFile:n("symbol-file",60256),symbolInterface:n("symbol-interface",60257),symbolKeyword:n("symbol-keyword",60258),symbolMisc:n("symbol-misc",60259),symbolOperator:n("symbol-operator",60260),symbolProperty:n("symbol-property",60261),wrench:n("wrench",60261),wrenchSubaction:n("wrench-subaction",60261),symbolSnippet:n("symbol-snippet",60262),tasklist:n("tasklist",60263),telescope:n("telescope",60264),textSize:n("text-size",60265),threeBars:n("three-bars",60266),thumbsdown:n("thumbsdown",60267),thumbsup:n("thumbsup",60268),tools:n("tools",60269),triangleDown:n("triangle-down",60270),triangleLeft:n("triangle-left",60271),triangleRight:n("triangle-right",60272),triangleUp:n("triangle-up",60273),twitter:n("twitter",60274),unfold:n("unfold",60275),unlock:n("unlock",60276),unmute:n("unmute",60277),unverified:n("unverified",60278),verified:n("verified",60279),versions:n("versions",60280),vmActive:n("vm-active",60281),vmOutline:n("vm-outline",60282),vmRunning:n("vm-running",60283),watch:n("watch",60284),whitespace:n("whitespace",60285),wholeWord:n("whole-word",60286),window:n("window",60287),wordWrap:n("word-wrap",60288),zoomIn:n("zoom-in",60289),zoomOut:n("zoom-out",60290),listFilter:n("list-filter",60291),listFlat:n("list-flat",60292),listSelection:n("list-selection",60293),selection:n("selection",60293),listTree:n("list-tree",60294),debugBreakpointFunctionUnverified:n("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:n("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:n("debug-breakpoint-function-disabled",60296),debugStackframeActive:n("debug-stackframe-active",60297),circleSmallFilled:n("circle-small-filled",60298),debugStackframeDot:n("debug-stackframe-dot",60298),debugStackframe:n("debug-stackframe",60299),debugStackframeFocused:n("debug-stackframe-focused",60299),debugBreakpointUnsupported:n("debug-breakpoint-unsupported",60300),symbolString:n("symbol-string",60301),debugReverseContinue:n("debug-reverse-continue",60302),debugStepBack:n("debug-step-back",60303),debugRestartFrame:n("debug-restart-frame",60304),callIncoming:n("call-incoming",60306),callOutgoing:n("call-outgoing",60307),menu:n("menu",60308),expandAll:n("expand-all",60309),feedback:n("feedback",60310),groupByRefType:n("group-by-ref-type",60311),ungroupByRefType:n("ungroup-by-ref-type",60312),account:n("account",60313),bellDot:n("bell-dot",60314),debugConsole:n("debug-console",60315),library:n("library",60316),output:n("output",60317),runAll:n("run-all",60318),syncIgnored:n("sync-ignored",60319),pinned:n("pinned",60320),githubInverted:n("github-inverted",60321),debugAlt:n("debug-alt",60305),serverProcess:n("server-process",60322),serverEnvironment:n("server-environment",60323),pass:n("pass",60324),stopCircle:n("stop-circle",60325),playCircle:n("play-circle",60326),record:n("record",60327),debugAltSmall:n("debug-alt-small",60328),vmConnect:n("vm-connect",60329),cloud:n("cloud",60330),merge:n("merge",60331),exportIcon:n("export",60332),graphLeft:n("graph-left",60333),magnet:n("magnet",60334),notebook:n("notebook",60335),redo:n("redo",60336),checkAll:n("check-all",60337),pinnedDirty:n("pinned-dirty",60338),passFilled:n("pass-filled",60339),circleLargeFilled:n("circle-large-filled",60340),circleLarge:n("circle-large",60341),circleLargeOutline:n("circle-large-outline",60341),combine:n("combine",60342),gather:n("gather",60342),table:n("table",60343),variableGroup:n("variable-group",60344),typeHierarchy:n("type-hierarchy",60345),typeHierarchySub:n("type-hierarchy-sub",60346),typeHierarchySuper:n("type-hierarchy-super",60347),gitPullRequestCreate:n("git-pull-request-create",60348),runAbove:n("run-above",60349),runBelow:n("run-below",60350),notebookTemplate:n("notebook-template",60351),debugRerun:n("debug-rerun",60352),workspaceTrusted:n("workspace-trusted",60353),workspaceUntrusted:n("workspace-untrusted",60354),workspaceUnspecified:n("workspace-unspecified",60355),terminalCmd:n("terminal-cmd",60356),terminalDebian:n("terminal-debian",60357),terminalLinux:n("terminal-linux",60358),terminalPowershell:n("terminal-powershell",60359),terminalTmux:n("terminal-tmux",60360),terminalUbuntu:n("terminal-ubuntu",60361),terminalBash:n("terminal-bash",60362),arrowSwap:n("arrow-swap",60363),copy:n("copy",60364),personAdd:n("person-add",60365),filterFilled:n("filter-filled",60366),wand:n("wand",60367),debugLineByLine:n("debug-line-by-line",60368),inspect:n("inspect",60369),layers:n("layers",60370),layersDot:n("layers-dot",60371),layersActive:n("layers-active",60372),compass:n("compass",60373),compassDot:n("compass-dot",60374),compassActive:n("compass-active",60375),azure:n("azure",60376),issueDraft:n("issue-draft",60377),gitPullRequestClosed:n("git-pull-request-closed",60378),gitPullRequestDraft:n("git-pull-request-draft",60379),debugAll:n("debug-all",60380),debugCoverage:n("debug-coverage",60381),runErrors:n("run-errors",60382),folderLibrary:n("folder-library",60383),debugContinueSmall:n("debug-continue-small",60384),beakerStop:n("beaker-stop",60385),graphLine:n("graph-line",60386),graphScatter:n("graph-scatter",60387),pieChart:n("pie-chart",60388),bracketDot:n("bracket-dot",60389),bracketError:n("bracket-error",60390),lockSmall:n("lock-small",60391),azureDevops:n("azure-devops",60392),verifiedFilled:n("verified-filled",60393),newLine:n("newline",60394),layout:n("layout",60395),layoutActivitybarLeft:n("layout-activitybar-left",60396),layoutActivitybarRight:n("layout-activitybar-right",60397),layoutPanelLeft:n("layout-panel-left",60398),layoutPanelCenter:n("layout-panel-center",60399),layoutPanelJustify:n("layout-panel-justify",60400),layoutPanelRight:n("layout-panel-right",60401),layoutPanel:n("layout-panel",60402),layoutSidebarLeft:n("layout-sidebar-left",60403),layoutSidebarRight:n("layout-sidebar-right",60404),layoutStatusbar:n("layout-statusbar",60405),layoutMenubar:n("layout-menubar",60406),layoutCentered:n("layout-centered",60407),layoutSidebarRightOff:n("layout-sidebar-right-off",60416),layoutPanelOff:n("layout-panel-off",60417),layoutSidebarLeftOff:n("layout-sidebar-left-off",60418),target:n("target",60408),indent:n("indent",60409),recordSmall:n("record-small",60410),errorSmall:n("error-small",60411),arrowCircleDown:n("arrow-circle-down",60412),arrowCircleLeft:n("arrow-circle-left",60413),arrowCircleRight:n("arrow-circle-right",60414),arrowCircleUp:n("arrow-circle-up",60415),heartFilled:n("heart-filled",60420),map:n("map",60421),mapFilled:n("map-filled",60422),circleSmall:n("circle-small",60423),bellSlash:n("bell-slash",60424),bellSlashDot:n("bell-slash-dot",60425),commentUnresolved:n("comment-unresolved",60426),gitPullRequestGoToChanges:n("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:n("git-pull-request-new-changes",60428),searchFuzzy:n("search-fuzzy",60429),commentDraft:n("comment-draft",60430),dialogError:n("dialog-error","error"),dialogWarning:n("dialog-warning","warning"),dialogInfo:n("dialog-info","info"),dialogClose:n("dialog-close","close"),treeItemExpanded:n("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:n("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:n("tree-filter-on-type-off","list-selection"),treeFilterClear:n("tree-filter-clear","close"),treeItemLoading:n("tree-item-loading","loading"),menuSelection:n("menu-selection","check"),menuSubmenu:n("menu-submenu","chevron-right"),menuBarMore:n("menubar-more","more"),scrollbarButtonLeft:n("scrollbar-button-left","triangle-left"),scrollbarButtonRight:n("scrollbar-button-right","triangle-right"),scrollbarButtonUp:n("scrollbar-button-up","triangle-up"),scrollbarButtonDown:n("scrollbar-button-down","triangle-down"),toolBarMore:n("toolbar-more","more"),quickInputBack:n("quick-input-back","arrow-left")}}),define(te[44],ie([0,1,10]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function M(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const p=Array.isArray(u)?[]:{};return Object.entries(u).forEach(([k,E])=>{p[k]=E&&typeof E=="object"?M(E):E}),p}e.deepClone=M;function n(u){if(!u||typeof u!="object")return u;const p=[u];for(;p.length>0;){const k=p.shift();Object.freeze(k);for(const E in k)if(C.call(k,E)){const R=k[E];typeof R=="object"&&!Object.isFrozen(R)&&!(0,I.isTypedArray)(R)&&p.push(R)}}return u}e.deepFreeze=n;const C=Object.prototype.hasOwnProperty;function D(u,p){return P(u,p,new Set)}e.cloneAndChange=D;function P(u,p,k){if((0,I.isUndefinedOrNull)(u))return u;const E=p(u);if(typeof E<"u")return E;if(Array.isArray(u)){const R=[];for(const t of u)R.push(P(t,p,k));return R}if((0,I.isObject)(u)){if(k.has(u))throw new Error("Cannot clone recursive data-structure");k.add(u);const R={};for(const t in u)C.call(u,t)&&(R[t]=P(u[t],p,k));return k.delete(u),R}return u}function d(u,p,k=!0){return(0,I.isObject)(u)?((0,I.isObject)(p)&&Object.keys(p).forEach(E=>{E in u?k&&((0,I.isObject)(u[E])&&(0,I.isObject)(p[E])?d(u[E],p[E],k):u[E]=p[E]):u[E]=p[E]}),u):p}e.mixin=d;function h(u,p){if(u===p)return!0;if(u==null||p===null||p===void 0||typeof u!=typeof p||typeof u!="object"||Array.isArray(u)!==Array.isArray(p))return!1;let k,E;if(Array.isArray(u)){if(u.length!==p.length)return!1;for(k=0;k<u.length;k++)if(!h(u[k],p[k]))return!1}else{const R=[];for(E in u)R.push(E);R.sort();const t=[];for(E in p)t.push(E);if(t.sort(),!h(R,t))return!1;for(k=0;k<R.length;k++)if(!h(u[R[k]],p[R[k]]))return!1}return!0}e.equals=h;function y(u){const p=new Set;return JSON.stringify(u,(k,E)=>{if((0,I.isObject)(E)||Array.isArray(E)){if(p.has(E))return"[Circular]";p.add(E)}return E})}e.safeStringify=y;function b(u,p){const k=Object.create(null);return!u||!p||Object.keys(p).forEach(R=>{const t=u[R],c=p[R];h(t,c)||(k[R]=c)}),k}e.distinct=b;function v(u,p){const k=p.toLowerCase(),E=Object.keys(u).find(R=>R.toLowerCase()===k);return E?u[E]:u[p]}e.getCaseInsensitive=v;function m(u,p){const k=Object.create(null);for(const[E,R]of Object.entries(u))p(E,R)&&(k[E]=R);return k}e.filter=m;function f(u){let p=[],k=Object.getPrototypeOf(u);for(;Object.prototype!==k;)p=p.concat(Object.getOwnPropertyNames(k)),k=Object.getPrototypeOf(k);return p}e.getAllPropertyNames=f;function w(u){const p=[];for(const k of f(u))typeof u[k]=="function"&&p.push(k);return p}e.getAllMethodNames=w;function a(u,p){const k=R=>function(){const t=Array.prototype.slice.call(arguments,0);return p(R,t)},E={};for(const R of u)E[R]=k(R);return E}e.createProxyObject=a}),define(te[129],ie([0,1,128]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.themeColorFromId=e.ThemeColor=void 0;var M;(function(D){function P(d){return d&&typeof d=="object"&&typeof d.id=="string"}D.isThemeColor=P})(M=e.ThemeColor||(e.ThemeColor={}));function n(D){return{id:D}}e.themeColorFromId=n;var C;(function(D){D.iconNameSegment="[A-Za-z0-9]+",D.iconNameExpression="[A-Za-z0-9-]+",D.iconModifierExpression="~[A-Za-z]+",D.iconNameCharacter="[A-Za-z0-9~-]";const P=new RegExp(`^(${D.iconNameExpression})(${D.iconModifierExpression})?$`);function d(p){const k=P.exec(p.id);if(!k)return d(I.Codicon.error);const[,E,R]=k,t=["codicon","codicon-"+E];return R&&t.push("codicon-modifier-"+R.substring(1)),t}D.asClassNameArray=d;function h(p){return d(p).join(" ")}D.asClassName=h;function y(p){return"."+d(p).join(".")}D.asCSSSelector=y;function b(p){return p&&typeof p=="object"&&typeof p.id=="string"&&(typeof p.color>"u"||M.isThemeColor(p.color))}D.isThemeIcon=b;const v=new RegExp(`^\\$\\((${D.iconNameExpression}(?:${D.iconModifierExpression})?)\\)$`);function m(p){const k=v.exec(p);if(!k)return;const[,E]=k;return{id:E}}D.fromString=m;function f(p){return{id:p}}D.fromId=f;function w(p,k){let E=p.id;const R=E.lastIndexOf("~");return R!==-1&&(E=E.substring(0,R)),k&&(E=`${E}~${k}`),{id:E}}D.modify=w;function a(p){const k=p.id.lastIndexOf("~");if(k!==-1)return p.id.substring(k+1)}D.getModifier=a;function u(p,k){return p.id===k.id&&p.color?.id===k.color?.id}D.isEqual=u})(C=e.ThemeIcon||(e.ThemeIcon={}))}),define(te[31],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const I=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function M(n){return I.test(n)}e.isUUID=M,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let n;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?n=crypto.getRandomValues.bind(crypto):n=function(P){for(let d=0;d<P.length;d++)P[d]=Math.floor(Math.random()*256);return P};const C=new Uint8Array(16),D=[];for(let P=0;P<256;P++)D.push(P.toString(16).padStart(2,"0"));return function(){n(C),C[6]=C[6]&15|64,C[8]=C[8]&63|128;let d=0,h="";return h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h+="-",h+=D[C[d++]],h+=D[C[d++]],h+="-",h+=D[C[d++]],h+=D[C[d++]],h+="-",h+=D[C[d++]],h+=D[C[d++]],h+="-",h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h+=D[C[d++]],h}}()}),define(te[130],ie([0,1,80,41,49]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function C(D,P){if(await new Promise((y,b)=>{const v=M.createReadStream(D),m=I.createHash("sha1");v.pipe(m);const f=(0,n.once)((w,a)=>{v.removeAllListeners(),m.removeAllListeners(),w?b(w):y(a)});v.once("error",f),v.once("end",f),m.once("error",f),m.once("data",w=>f(void 0,w.toString("hex")))})!==P)throw new Error("Hash mismatch")}e.checksum=C}),define(te[131],ie([0,1,26]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const M=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function n(D){const P=D.replace(/\-/g,":").toLowerCase();return!M.has(P)}function C(){const D=(0,I.networkInterfaces)();for(const P in D){const d=D[P];if(d){for(const{mac:h}of d)if(n(h))return h}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=C}),define(te[99],ie([0,1,81]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function M(P,d,h,y=1){let b=!1;return new Promise(v=>{const m=setTimeout(()=>{if(!b)return b=!0,v(0)},h);n(P,d,y,f=>{if(!b)return b=!0,clearTimeout(m),v(f)})})}e.findFreePort=M;function n(P,d,h,y){if(d===0)return y(0);const b=new I.Socket;b.once("connect",()=>(D(b),n(P+h,d-1,h,y))),b.once("data",()=>{}),b.once("error",v=>(D(b),v.code!=="ECONNREFUSED"?n(P+h,d-1,h,y):y(P))),b.connect(P,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function C(P,d,h,y="127.0.0.1"){let b=!1,v,m=1;const f=I.createServer({pauseOnConnect:!0});function w(a,u){b||(b=!0,f.removeAllListeners(),f.close(),v&&clearTimeout(v),u(a))}return new Promise(a=>{v=setTimeout(()=>{w(0,a)},h),f.on("listening",()=>{w(P,a)}),f.on("error",u=>{u&&(u.code==="EADDRINUSE"||u.code==="EACCES")&&m<d?(P++,m++,f.listen(P,y)):w(0,a)}),f.on("close",()=>{w(0,a)}),f.listen(P,y)})}e.findFreePortFaster=C;function D(P){try{P.removeAllListeners("connect"),P.removeAllListeners("error"),P.end(),P.destroy(),P.unref()}catch(d){console.error(d)}}}),define(te[132],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(te[133],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class I{constructor(n,C){this.a=n,this.onMessage=C}send(n){try{this.a.send("vscode:message",n.buffer)}catch{}}disconnect(){this.a.send("vscode:disconnect",null)}}e.Protocol=I}),define(te[42],ie([0,1,14,13]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.validatedIpcMain=void 0;class n{constructor(){this.a=new WeakMap}on(D,P){const d=(h,...y)=>{this.b(D,h)&&P(h,...y)};return this.a.set(P,d),I.ipcMain.on(D,d),this}once(D,P){return I.ipcMain.once(D,(d,...h)=>{this.b(D,d)&&P(d,...h)}),this}handle(D,P){return I.ipcMain.handle(D,(d,...h)=>this.b(D,d)?P(d,...h):Promise.reject(`Invalid channel '${D}' or sender for ipcMain.handle() usage.`)),this}removeHandler(D){return I.ipcMain.removeHandler(D),this}removeListener(D,P){const d=this.a.get(P);return d&&(I.ipcMain.removeListener(D,d),this.a.delete(P)),this}b(D,P){if(!D||!D.startsWith("vscode:"))return(0,M.onUnexpectedError)(`Refused to handle ipcMain event for channel '${D}' because the channel is unknown.`),!1;const d=P.senderFrame,h=d.url;if(!h)return!0;let y="unknown";try{y=new URL(h).host}catch{return(0,M.onUnexpectedError)(`Refused to handle ipcMain event for channel '${D}' because of a malformed URL '${h}'.`),!1}return y!=="vscode-app"?((0,M.onUnexpectedError)(`Refused to handle ipcMain event for channel '${D}' because of a bad origin of '${y}'.`),!1):d.parent!==null?((0,M.onUnexpectedError)(`Refused to handle ipcMain event for channel '${D}' because sender of origin '${y}' is not a main frame.`),!1):!0}}e.validatedIpcMain=new n}),define(te[134],ie([0,1,14,42,10,132]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function D(){M.validatedIpcMain.on(C.CONTEXT_MENU_CHANNEL,(d,h,y,b,v)=>{const m=P(d,b,y);m.popup({window:(0,n.withNullAsUndefined)(I.BrowserWindow.fromWebContents(d.sender)),x:v?v.x:void 0,y:v?v.y:void 0,positioningItem:v?v.positioningItem:void 0,callback:()=>{m&&d.sender.send(C.CONTEXT_MENU_CLOSE_CHANNEL,h)}})})}e.registerContextMenuListener=D;function P(d,h,y){const b=new I.Menu;return y.forEach(v=>{let m;v.type==="separator"?m=new I.MenuItem({type:v.type}):Array.isArray(v.submenu)?m=new I.MenuItem({submenu:P(d,h,v.submenu),label:v.label}):m=new I.MenuItem({label:v.label,type:v.type,accelerator:v.accelerator,checked:v.checked,enabled:v.enabled,visible:v.visible,click:(f,w,a)=>d.sender.send(h,v.id,a)}),b.append(m)}),b}}),define(te[135],ie([12,11]),function(x,e){return x.create("vs/base/common/date",e)}),define(te[136],ie([0,1,135]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const M=60,n=M*60,C=n*24,D=C*7,P=C*30,d=C*365;function h(b,v,m,f){typeof b!="number"&&(b=b.getTime());const w=Math.round((new Date().getTime()-b)/1e3);if(w<-30)return(0,I.localize)(0,null,h(new Date().getTime()+w*1e3,!1));if(!f&&w<30)return(0,I.localize)(1,null);let a;return w<M?(a=w,v?a===1?m?(0,I.localize)(2,null,a):(0,I.localize)(3,null,a):m?(0,I.localize)(4,null,a):(0,I.localize)(5,null,a):a===1?m?(0,I.localize)(6,null,a):(0,I.localize)(7,null,a):m?(0,I.localize)(8,null,a):(0,I.localize)(9,null,a)):w<n?(a=Math.floor(w/M),v?a===1?m?(0,I.localize)(10,null,a):(0,I.localize)(11,null,a):m?(0,I.localize)(12,null,a):(0,I.localize)(13,null,a):a===1?m?(0,I.localize)(14,null,a):(0,I.localize)(15,null,a):m?(0,I.localize)(16,null,a):(0,I.localize)(17,null,a)):w<C?(a=Math.floor(w/n),v?a===1?m?(0,I.localize)(18,null,a):(0,I.localize)(19,null,a):m?(0,I.localize)(20,null,a):(0,I.localize)(21,null,a):a===1?m?(0,I.localize)(22,null,a):(0,I.localize)(23,null,a):m?(0,I.localize)(24,null,a):(0,I.localize)(25,null,a)):w<D?(a=Math.floor(w/C),v?a===1?(0,I.localize)(26,null,a):(0,I.localize)(27,null,a):a===1?(0,I.localize)(28,null,a):(0,I.localize)(29,null,a)):w<P?(a=Math.floor(w/D),v?a===1?m?(0,I.localize)(30,null,a):(0,I.localize)(31,null,a):m?(0,I.localize)(32,null,a):(0,I.localize)(33,null,a):a===1?m?(0,I.localize)(34,null,a):(0,I.localize)(35,null,a):m?(0,I.localize)(36,null,a):(0,I.localize)(37,null,a)):w<d?(a=Math.floor(w/P),v?a===1?m?(0,I.localize)(38,null,a):(0,I.localize)(39,null,a):m?(0,I.localize)(40,null,a):(0,I.localize)(41,null,a):a===1?m?(0,I.localize)(42,null,a):(0,I.localize)(43,null,a):m?(0,I.localize)(44,null,a):(0,I.localize)(45,null,a)):(a=Math.floor(w/d),v?a===1?m?(0,I.localize)(46,null,a):(0,I.localize)(47,null,a):m?(0,I.localize)(48,null,a):(0,I.localize)(49,null,a):a===1?m?(0,I.localize)(50,null,a):(0,I.localize)(51,null,a):m?(0,I.localize)(52,null,a):(0,I.localize)(53,null,a))}e.fromNow=h;function y(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=y}),define(te[137],ie([12,11]),function(x,e){return x.create("vs/base/common/errorMessage",e)}),define(te[45],ie([0,1,25,10,137]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function C(b,v){return v&&(b.stack||b.stacktrace)?n.localize(0,null,P(b),D(b.stack)||D(b.stacktrace)):P(b)}function D(b){return Array.isArray(b)?b.join(`
`):b}function P(b){return typeof b.code=="string"&&typeof b.errno=="number"&&typeof b.syscall=="string"?n.localize(1,null,b.message):b.message||n.localize(2,null)}function d(b=null,v=!1){if(!b)return n.localize(3,null);if(Array.isArray(b)){const m=I.coalesce(b),f=d(m[0],v);return m.length>1?n.localize(4,null,f,m.length):f}if(M.isString(b))return b;if(b.detail){const m=b.detail;if(m.error)return C(m.error,v);if(m.exception)return C(m.exception,v)}return b.stack?C(b,v):b.message?b.message:n.localize(5,null)}e.toErrorMessage=d;function h(b){const v=b;return v instanceof Error&&Array.isArray(v.actions)}e.isErrorWithActions=h;function y(b,v){let m;return typeof b=="string"?m=new Error(b):m=b,m.actions=v,m}e.createErrorWithActions=y}),define(te[138],ie([12,11]),function(x,e){return x.create("vs/base/common/jsonErrorMessages",e)}),define(te[139],ie([0,1,138]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getParseErrorMessage=void 0;function M(n){switch(n){case 1:return(0,I.localize)(0,null);case 2:return(0,I.localize)(1,null);case 3:return(0,I.localize)(2,null);case 4:return(0,I.localize)(3,null);case 5:return(0,I.localize)(4,null);case 6:return(0,I.localize)(5,null);case 7:return(0,I.localize)(6,null);case 8:return(0,I.localize)(7,null);case 9:return(0,I.localize)(8,null);default:return""}}e.getParseErrorMessage=M}),define(te[140],ie([12,11]),function(x,e){return x.create("vs/base/common/platform",e)}),define(te[4],ie([0,1,140]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isMobile=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=e.LANGUAGE_DEFAULT=void 0,e.LANGUAGE_DEFAULT="en";let M=!1,n=!1,C=!1,D=!1,P=!1,d=!1,h=!1,y=!1,b=!1,v=!1,m,f=e.LANGUAGE_DEFAULT,w,a;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let u;typeof e.globals.vscode<"u"&&typeof e.globals.vscode.process<"u"?u=e.globals.vscode.process:typeof process<"u"&&(u=process);const p=typeof u?.versions?.electron=="string",k=p&&u?.type==="renderer";if(typeof navigator=="object"&&!k)a=navigator.userAgent,M=a.indexOf("Windows")>=0,n=a.indexOf("Macintosh")>=0,y=(a.indexOf("Macintosh")>=0||a.indexOf("iPad")>=0||a.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=a.indexOf("Linux")>=0,v=a?.indexOf("Mobi")>=0,d=!0,m=I.getConfiguredDefaultLocale(I.localize(0,null))||e.LANGUAGE_DEFAULT,f=m;else if(typeof u=="object"){M=u.platform==="win32",n=u.platform==="darwin",C=u.platform==="linux",D=C&&!!u.env.SNAP&&!!u.env.SNAP_REVISION,h=p,b=!!u.env.CI||!!u.env.BUILD_ARTIFACTSTAGINGDIRECTORY,m=e.LANGUAGE_DEFAULT,f=e.LANGUAGE_DEFAULT;const o=u.env.VSCODE_NLS_CONFIG;if(o)try{const g=JSON.parse(o),S=g.availableLanguages["*"];m=g.locale,f=S||e.LANGUAGE_DEFAULT,w=g._translationsConfigFile}catch{}P=!0}else console.error("Unable to resolve platform.");var E;(function(o){o[o.Web=0]="Web",o[o.Mac=1]="Mac",o[o.Linux=2]="Linux",o[o.Windows=3]="Windows"})(E=e.Platform||(e.Platform={}));function R(o){switch(o){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=R;let t=0;n?t=1:M?t=3:C&&(t=2),e.isWindows=M,e.isMacintosh=n,e.isLinux=C,e.isLinuxSnap=D,e.isNative=P,e.isElectron=h,e.isWeb=d,e.isWebWorker=d&&typeof e.globals.importScripts=="function",e.isIOS=y,e.isMobile=v,e.isCI=b,e.platform=t,e.userAgent=a,e.language=f;var c;(function(o){function g(){return e.language}o.value=g;function S(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}o.isDefaultVariant=S;function L(){return e.language==="en"}o.isDefault=L})(c=e.Language||(e.Language={})),e.locale=m,e.translationsConfigFile=w,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const o=[];e.globals.addEventListener("message",S=>{if(S.data&&S.data.vscodeScheduleAsyncWork)for(let L=0,O=o.length;L<O;L++){const j=o[L];if(j.id===S.data.vscodeScheduleAsyncWork){o.splice(L,1),j.callback();return}}});let g=0;return S=>{const L=++g;o.push({id:L,callback:S}),e.globals.postMessage({vscodeScheduleAsyncWork:L},"*")}}return o=>setTimeout(o)})();var i;(function(o){o[o.Windows=1]="Windows",o[o.Macintosh=2]="Macintosh",o[o.Linux=3]="Linux"})(i=e.OperatingSystem||(e.OperatingSystem={})),e.OS=n||y?2:M?1:3;let r=!0,s=!1;function l(){if(!s){s=!0;const o=new Uint8Array(2);o[0]=1,o[1]=2,r=new Uint16Array(o.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=l,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(te[36],ie([0,1,4]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let M;if(typeof I.globals.vscode<"u"&&typeof I.globals.vscode.process<"u"){const n=I.globals.vscode.process;M={get platform(){return n.platform},get arch(){return n.arch},get env(){return n.env},cwd(){return n.cwd()}}}else typeof process<"u"?M={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:M={get platform(){return I.isWindows?"win32":I.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=M.cwd,e.env=M.env,e.platform=M.platform,e.arch=M.arch}),define(te[9],ie([0,1,36]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const M=65,n=97,C=90,D=122,P=46,d=47,h=92,y=58,b=63;class v extends Error{constructor(c,i,r){let s;typeof i=="string"&&i.indexOf("not ")===0?(s="must not be",i=i.replace(/^not /,"")):s="must be";const l=c.indexOf(".")!==-1?"property":"argument";let o=`The "${c}" ${l} ${s} of type ${i}`;o+=`. Received type ${typeof r}`,super(o),this.code="ERR_INVALID_ARG_TYPE"}}function m(t,c){if(t===null||typeof t!="object")throw new v(c,"Object",t)}function f(t,c){if(typeof t!="string")throw new v(c,"string",t)}const w=I.platform==="win32";function a(t){return t===d||t===h}function u(t){return t===d}function p(t){return t>=M&&t<=C||t>=n&&t<=D}function k(t,c,i,r){let s="",l=0,o=-1,g=0,S=0;for(let L=0;L<=t.length;++L){if(L<t.length)S=t.charCodeAt(L);else{if(r(S))break;S=d}if(r(S)){if(!(o===L-1||g===1))if(g===2){if(s.length<2||l!==2||s.charCodeAt(s.length-1)!==P||s.charCodeAt(s.length-2)!==P){if(s.length>2){const O=s.lastIndexOf(i);O===-1?(s="",l=0):(s=s.slice(0,O),l=s.length-1-s.lastIndexOf(i)),o=L,g=0;continue}else if(s.length!==0){s="",l=0,o=L,g=0;continue}}c&&(s+=s.length>0?`${i}..`:"..",l=2)}else s.length>0?s+=`${i}${t.slice(o+1,L)}`:s=t.slice(o+1,L),l=L-o-1;o=L,g=0}else S===P&&g!==-1?++g:g=-1}return s}function E(t,c){m(c,"pathObject");const i=c.dir||c.root,r=c.base||`${c.name||""}${c.ext||""}`;return i?i===c.root?`${i}${r}`:`${i}${t}${r}`:r}e.win32={resolve(...t){let c="",i="",r=!1;for(let s=t.length-1;s>=-1;s--){let l;if(s>=0){if(l=t[s],f(l,"path"),l.length===0)continue}else c.length===0?l=I.cwd():(l=I.env[`=${c}`]||I.cwd(),(l===void 0||l.slice(0,2).toLowerCase()!==c.toLowerCase()&&l.charCodeAt(2)===h)&&(l=`${c}\\`));const o=l.length;let g=0,S="",L=!1;const O=l.charCodeAt(0);if(o===1)a(O)&&(g=1,L=!0);else if(a(O))if(L=!0,a(l.charCodeAt(1))){let j=2,K=j;for(;j<o&&!a(l.charCodeAt(j));)j++;if(j<o&&j!==K){const V=l.slice(K,j);for(K=j;j<o&&a(l.charCodeAt(j));)j++;if(j<o&&j!==K){for(K=j;j<o&&!a(l.charCodeAt(j));)j++;(j===o||j!==K)&&(S=`\\\\${V}\\${l.slice(K,j)}`,g=j)}}}else g=1;else p(O)&&l.charCodeAt(1)===y&&(S=l.slice(0,2),g=2,o>2&&a(l.charCodeAt(2))&&(L=!0,g=3));if(S.length>0)if(c.length>0){if(S.toLowerCase()!==c.toLowerCase())continue}else c=S;if(r){if(c.length>0)break}else if(i=`${l.slice(g)}\\${i}`,r=L,L&&c.length>0)break}return i=k(i,!r,"\\",a),r?`${c}\\${i}`:`${c}${i}`||"."},normalize(t){f(t,"path");const c=t.length;if(c===0)return".";let i=0,r,s=!1;const l=t.charCodeAt(0);if(c===1)return u(l)?"\\":t;if(a(l))if(s=!0,a(t.charCodeAt(1))){let g=2,S=g;for(;g<c&&!a(t.charCodeAt(g));)g++;if(g<c&&g!==S){const L=t.slice(S,g);for(S=g;g<c&&a(t.charCodeAt(g));)g++;if(g<c&&g!==S){for(S=g;g<c&&!a(t.charCodeAt(g));)g++;if(g===c)return`\\\\${L}\\${t.slice(S)}\\`;g!==S&&(r=`\\\\${L}\\${t.slice(S,g)}`,i=g)}}}else i=1;else p(l)&&t.charCodeAt(1)===y&&(r=t.slice(0,2),i=2,c>2&&a(t.charCodeAt(2))&&(s=!0,i=3));let o=i<c?k(t.slice(i),!s,"\\",a):"";return o.length===0&&!s&&(o="."),o.length>0&&a(t.charCodeAt(c-1))&&(o+="\\"),r===void 0?s?`\\${o}`:o:s?`${r}\\${o}`:`${r}${o}`},isAbsolute(t){f(t,"path");const c=t.length;if(c===0)return!1;const i=t.charCodeAt(0);return a(i)||c>2&&p(i)&&t.charCodeAt(1)===y&&a(t.charCodeAt(2))},join(...t){if(t.length===0)return".";let c,i;for(let l=0;l<t.length;++l){const o=t[l];f(o,"path"),o.length>0&&(c===void 0?c=i=o:c+=`\\${o}`)}if(c===void 0)return".";let r=!0,s=0;if(typeof i=="string"&&a(i.charCodeAt(0))){++s;const l=i.length;l>1&&a(i.charCodeAt(1))&&(++s,l>2&&(a(i.charCodeAt(2))?++s:r=!1))}if(r){for(;s<c.length&&a(c.charCodeAt(s));)s++;s>=2&&(c=`\\${c.slice(s)}`)}return e.win32.normalize(c)},relative(t,c){if(f(t,"from"),f(c,"to"),t===c)return"";const i=e.win32.resolve(t),r=e.win32.resolve(c);if(i===r||(t=i.toLowerCase(),c=r.toLowerCase(),t===c))return"";let s=0;for(;s<t.length&&t.charCodeAt(s)===h;)s++;let l=t.length;for(;l-1>s&&t.charCodeAt(l-1)===h;)l--;const o=l-s;let g=0;for(;g<c.length&&c.charCodeAt(g)===h;)g++;let S=c.length;for(;S-1>g&&c.charCodeAt(S-1)===h;)S--;const L=S-g,O=o<L?o:L;let j=-1,K=0;for(;K<O;K++){const J=t.charCodeAt(s+K);if(J!==c.charCodeAt(g+K))break;J===h&&(j=K)}if(K!==O){if(j===-1)return r}else{if(L>O){if(c.charCodeAt(g+K)===h)return r.slice(g+K+1);if(K===2)return r.slice(g+K)}o>O&&(t.charCodeAt(s+K)===h?j=K:K===2&&(j=3)),j===-1&&(j=0)}let V="";for(K=s+j+1;K<=l;++K)(K===l||t.charCodeAt(K)===h)&&(V+=V.length===0?"..":"\\..");return g+=j,V.length>0?`${V}${r.slice(g,S)}`:(r.charCodeAt(g)===h&&++g,r.slice(g,S))},toNamespacedPath(t){if(typeof t!="string"||t.length===0)return t;const c=e.win32.resolve(t);if(c.length<=2)return t;if(c.charCodeAt(0)===h){if(c.charCodeAt(1)===h){const i=c.charCodeAt(2);if(i!==b&&i!==P)return`\\\\?\\UNC\\${c.slice(2)}`}}else if(p(c.charCodeAt(0))&&c.charCodeAt(1)===y&&c.charCodeAt(2)===h)return`\\\\?\\${c}`;return t},dirname(t){f(t,"path");const c=t.length;if(c===0)return".";let i=-1,r=0;const s=t.charCodeAt(0);if(c===1)return a(s)?t:".";if(a(s)){if(i=r=1,a(t.charCodeAt(1))){let g=2,S=g;for(;g<c&&!a(t.charCodeAt(g));)g++;if(g<c&&g!==S){for(S=g;g<c&&a(t.charCodeAt(g));)g++;if(g<c&&g!==S){for(S=g;g<c&&!a(t.charCodeAt(g));)g++;if(g===c)return t;g!==S&&(i=r=g+1)}}}}else p(s)&&t.charCodeAt(1)===y&&(i=c>2&&a(t.charCodeAt(2))?3:2,r=i);let l=-1,o=!0;for(let g=c-1;g>=r;--g)if(a(t.charCodeAt(g))){if(!o){l=g;break}}else o=!1;if(l===-1){if(i===-1)return".";l=i}return t.slice(0,l)},basename(t,c){c!==void 0&&f(c,"ext"),f(t,"path");let i=0,r=-1,s=!0,l;if(t.length>=2&&p(t.charCodeAt(0))&&t.charCodeAt(1)===y&&(i=2),c!==void 0&&c.length>0&&c.length<=t.length){if(c===t)return"";let o=c.length-1,g=-1;for(l=t.length-1;l>=i;--l){const S=t.charCodeAt(l);if(a(S)){if(!s){i=l+1;break}}else g===-1&&(s=!1,g=l+1),o>=0&&(S===c.charCodeAt(o)?--o===-1&&(r=l):(o=-1,r=g))}return i===r?r=g:r===-1&&(r=t.length),t.slice(i,r)}for(l=t.length-1;l>=i;--l)if(a(t.charCodeAt(l))){if(!s){i=l+1;break}}else r===-1&&(s=!1,r=l+1);return r===-1?"":t.slice(i,r)},extname(t){f(t,"path");let c=0,i=-1,r=0,s=-1,l=!0,o=0;t.length>=2&&t.charCodeAt(1)===y&&p(t.charCodeAt(0))&&(c=r=2);for(let g=t.length-1;g>=c;--g){const S=t.charCodeAt(g);if(a(S)){if(!l){r=g+1;break}continue}s===-1&&(l=!1,s=g+1),S===P?i===-1?i=g:o!==1&&(o=1):i!==-1&&(o=-1)}return i===-1||s===-1||o===0||o===1&&i===s-1&&i===r+1?"":t.slice(i,s)},format:E.bind(null,"\\"),parse(t){f(t,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return c;const i=t.length;let r=0,s=t.charCodeAt(0);if(i===1)return a(s)?(c.root=c.dir=t,c):(c.base=c.name=t,c);if(a(s)){if(r=1,a(t.charCodeAt(1))){let j=2,K=j;for(;j<i&&!a(t.charCodeAt(j));)j++;if(j<i&&j!==K){for(K=j;j<i&&a(t.charCodeAt(j));)j++;if(j<i&&j!==K){for(K=j;j<i&&!a(t.charCodeAt(j));)j++;j===i?r=j:j!==K&&(r=j+1)}}}}else if(p(s)&&t.charCodeAt(1)===y){if(i<=2)return c.root=c.dir=t,c;if(r=2,a(t.charCodeAt(2))){if(i===3)return c.root=c.dir=t,c;r=3}}r>0&&(c.root=t.slice(0,r));let l=-1,o=r,g=-1,S=!0,L=t.length-1,O=0;for(;L>=r;--L){if(s=t.charCodeAt(L),a(s)){if(!S){o=L+1;break}continue}g===-1&&(S=!1,g=L+1),s===P?l===-1?l=L:O!==1&&(O=1):l!==-1&&(O=-1)}return g!==-1&&(l===-1||O===0||O===1&&l===g-1&&l===o+1?c.base=c.name=t.slice(o,g):(c.name=t.slice(o,l),c.base=t.slice(o,g),c.ext=t.slice(l,g))),o>0&&o!==r?c.dir=t.slice(0,o-1):c.dir=c.root,c},sep:"\\",delimiter:";",win32:null,posix:null};const R=(()=>{if(w){const t=/\\/g;return()=>{const c=I.cwd().replace(t,"/");return c.slice(c.indexOf("/"))}}return()=>I.cwd()})();e.posix={resolve(...t){let c="",i=!1;for(let r=t.length-1;r>=-1&&!i;r--){const s=r>=0?t[r]:R();f(s,"path"),s.length!==0&&(c=`${s}/${c}`,i=s.charCodeAt(0)===d)}return c=k(c,!i,"/",u),i?`/${c}`:c.length>0?c:"."},normalize(t){if(f(t,"path"),t.length===0)return".";const c=t.charCodeAt(0)===d,i=t.charCodeAt(t.length-1)===d;return t=k(t,!c,"/",u),t.length===0?c?"/":i?"./":".":(i&&(t+="/"),c?`/${t}`:t)},isAbsolute(t){return f(t,"path"),t.length>0&&t.charCodeAt(0)===d},join(...t){if(t.length===0)return".";let c;for(let i=0;i<t.length;++i){const r=t[i];f(r,"path"),r.length>0&&(c===void 0?c=r:c+=`/${r}`)}return c===void 0?".":e.posix.normalize(c)},relative(t,c){if(f(t,"from"),f(c,"to"),t===c||(t=e.posix.resolve(t),c=e.posix.resolve(c),t===c))return"";const i=1,r=t.length,s=r-i,l=1,o=c.length-l,g=s<o?s:o;let S=-1,L=0;for(;L<g;L++){const j=t.charCodeAt(i+L);if(j!==c.charCodeAt(l+L))break;j===d&&(S=L)}if(L===g)if(o>g){if(c.charCodeAt(l+L)===d)return c.slice(l+L+1);if(L===0)return c.slice(l+L)}else s>g&&(t.charCodeAt(i+L)===d?S=L:L===0&&(S=0));let O="";for(L=i+S+1;L<=r;++L)(L===r||t.charCodeAt(L)===d)&&(O+=O.length===0?"..":"/..");return`${O}${c.slice(l+S)}`},toNamespacedPath(t){return t},dirname(t){if(f(t,"path"),t.length===0)return".";const c=t.charCodeAt(0)===d;let i=-1,r=!0;for(let s=t.length-1;s>=1;--s)if(t.charCodeAt(s)===d){if(!r){i=s;break}}else r=!1;return i===-1?c?"/":".":c&&i===1?"//":t.slice(0,i)},basename(t,c){c!==void 0&&f(c,"ext"),f(t,"path");let i=0,r=-1,s=!0,l;if(c!==void 0&&c.length>0&&c.length<=t.length){if(c===t)return"";let o=c.length-1,g=-1;for(l=t.length-1;l>=0;--l){const S=t.charCodeAt(l);if(S===d){if(!s){i=l+1;break}}else g===-1&&(s=!1,g=l+1),o>=0&&(S===c.charCodeAt(o)?--o===-1&&(r=l):(o=-1,r=g))}return i===r?r=g:r===-1&&(r=t.length),t.slice(i,r)}for(l=t.length-1;l>=0;--l)if(t.charCodeAt(l)===d){if(!s){i=l+1;break}}else r===-1&&(s=!1,r=l+1);return r===-1?"":t.slice(i,r)},extname(t){f(t,"path");let c=-1,i=0,r=-1,s=!0,l=0;for(let o=t.length-1;o>=0;--o){const g=t.charCodeAt(o);if(g===d){if(!s){i=o+1;break}continue}r===-1&&(s=!1,r=o+1),g===P?c===-1?c=o:l!==1&&(l=1):c!==-1&&(l=-1)}return c===-1||r===-1||l===0||l===1&&c===r-1&&c===i+1?"":t.slice(c,r)},format:E.bind(null,"/"),parse(t){f(t,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return c;const i=t.charCodeAt(0)===d;let r;i?(c.root="/",r=1):r=0;let s=-1,l=0,o=-1,g=!0,S=t.length-1,L=0;for(;S>=r;--S){const O=t.charCodeAt(S);if(O===d){if(!g){l=S+1;break}continue}o===-1&&(g=!1,o=S+1),O===P?s===-1?s=S:L!==1&&(L=1):s!==-1&&(L=-1)}if(o!==-1){const O=l===0&&i?1:l;s===-1||L===0||L===1&&s===o-1&&s===l+1?c.base=c.name=t.slice(O,o):(c.name=t.slice(O,s),c.base=t.slice(O,o),c.ext=t.slice(s,o))}return l>0?c.dir=t.slice(0,l-1):i&&(c.dir="/"),c},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=w?e.win32.normalize:e.posix.normalize,e.isAbsolute=w?e.win32.isAbsolute:e.posix.isAbsolute,e.join=w?e.win32.join:e.posix.join,e.resolve=w?e.win32.resolve:e.posix.resolve,e.relative=w?e.win32.relative:e.posix.relative,e.dirname=w?e.win32.dirname:e.posix.dirname,e.basename=w?e.win32.basename:e.posix.basename,e.extname=w?e.win32.extname:e.posix.extname,e.format=w?e.win32.format:e.posix.format,e.parse=w?e.win32.parse:e.posix.parse,e.toNamespacedPath=w?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=w?e.win32.sep:e.posix.sep,e.delimiter=w?e.win32.delimiter:e.posix.delimiter}),define(te[82],ie([0,1,4]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var M;(function(P){P[P.stdout=0]="stdout",P[P.stderr=1]="stderr"})(M=e.Source||(e.Source={}));var n;(function(P){P[P.Success=0]="Success",P[P.Unknown=1]="Unknown",P[P.AccessDenied=2]="AccessDenied",P[P.ProcessNotFound=3]="ProcessNotFound"})(n=e.TerminateResponseCode||(e.TerminateResponseCode={}));function C(P,...d){const h=d.reduce((v,m)=>(v[m]=!0,v),{}),y=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(P).filter(v=>!h[v]).forEach(v=>{for(let m=0;m<y.length;m++)if(v.search(y[m])!==-1){delete P[v];break}})}e.sanitizeProcessEnvironment=C;function D(P){!P||(delete P.DEBUG,I.isMacintosh&&delete P.DYLD_LIBRARY_PATH,I.isLinux&&delete P.LD_PRELOAD)}e.removeDangerousEnvVariables=D}),define(te[70],ie([0,1,4]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const M=I.globals.performance&&typeof I.globals.performance.now=="function";class n{static create(D=!0){return new n(D)}constructor(D){this.a=M&&D,this.b=this.d(),this.c=-1}stop(){this.c=this.d()}reset(){this.b=this.d(),this.c=-1}elapsed(){return this.c!==-1?this.c-this.b:this.d()-this.b}d(){return this.a?I.globals.performance.now():Date.now()}}e.StopWatch=n}),define(te[3],ie([0,1,13,49,2,98,70]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.EventProfiling=e.Event=void 0;const P=!1,d=!1;var h;(function(l){l.None=()=>n.Disposable.None;function o(U){if(d){const{onDidAddListener:B}=U,G=f.create();let N=0;U.onDidAddListener=()=>{++N===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),G.print()),B?.()}}}function g(U,B){return se(U,()=>{},0,void 0,void 0,B)}l.defer=g;function S(U){return(B,G=null,N)=>{let q=!1,Q;return Q=U(oe=>{if(!q)return Q?Q.dispose():q=!0,B.call(G,oe)},null,N),q&&Q.dispose(),Q}}l.once=S;function L(U,B,G){return re((N,q=null,Q)=>U(oe=>N.call(q,B(oe)),null,Q),G)}l.map=L;function O(U,B,G){return re((N,q=null,Q)=>U(oe=>{B(oe),N.call(q,oe)},null,Q),G)}l.forEach=O;function j(U,B,G){return re((N,q=null,Q)=>U(oe=>B(oe)&&N.call(q,oe),null,Q),G)}l.filter=j;function K(U){return U}l.signal=K;function V(...U){return(B,G=null,N)=>(0,n.combinedDisposable)(...U.map(q=>q(Q=>B.call(G,Q),null,N)))}l.any=V;function J(U,B,G,N){let q=G;return L(U,Q=>(q=B(q,Q),q),N)}l.reduce=J;function re(U,B){let G;const N={onWillAddFirstListener(){G=U(q.fire,q)},onDidRemoveLastListener(){G?.dispose()}};B||o(N);const q=new a(N);return B?.add(q),q.event}function se(U,B,G=100,N=!1,q,Q){let oe,ue,ye,Re=0;const Oe={leakWarningThreshold:q,onWillAddFirstListener(){oe=U(Ue=>{Re++,ue=B(ue,Ue),N&&!ye&&(Le.fire(ue),ue=void 0),clearTimeout(ye),ye=setTimeout(()=>{const we=ue;ue=void 0,ye=void 0,(!N||Re>1)&&Le.fire(we),Re=0},G)})},onDidRemoveLastListener(){oe.dispose()}};Q||o(Oe);const Le=new a(Oe);return Q?.add(Le),Le.event}l.debounce=se;function ae(U,B=0,G){return l.debounce(U,(N,q)=>N?(N.push(q),N):[q],B,void 0,void 0,G)}l.accumulate=ae;function fe(U,B=(N,q)=>N===q,G){let N=!0,q;return j(U,Q=>{const oe=N||!B(Q,q);return N=!1,q=Q,oe},G)}l.latch=fe;function ge(U,B,G){return[l.filter(U,B,G),l.filter(U,N=>!B(N),G)]}l.split=ge;function H(U,B=!1,G=[]){let N=G.slice(),q=U(ue=>{N?N.push(ue):oe.fire(ue)});const Q=()=>{N?.forEach(ue=>oe.fire(ue)),N=null},oe=new a({onWillAddFirstListener(){q||(q=U(ue=>oe.fire(ue)))},onDidAddFirstListener(){N&&(B?setTimeout(Q):Q())},onDidRemoveLastListener(){q&&q.dispose(),q=null}});return oe.event}l.buffer=H;class F{constructor(B){this.event=B,this.c=new n.DisposableStore}map(B){return new F(L(this.event,B,this.c))}forEach(B){return new F(O(this.event,B,this.c))}filter(B){return new F(j(this.event,B,this.c))}reduce(B,G){return new F(J(this.event,B,G,this.c))}latch(){return new F(fe(this.event,void 0,this.c))}debounce(B,G=100,N=!1,q){return new F(se(this.event,B,G,N,q,this.c))}on(B,G,N){return this.event(B,G,N)}once(B,G,N){return S(this.event)(B,G,N)}dispose(){this.c.dispose()}}function W(U){return new F(U)}l.chain=W;function z(U,B,G=N=>N){const N=(...ue)=>oe.fire(G(...ue)),q=()=>U.on(B,N),Q=()=>U.removeListener(B,N),oe=new a({onWillAddFirstListener:q,onDidRemoveLastListener:Q});return oe.event}l.fromNodeEventEmitter=z;function Y(U,B,G=N=>N){const N=(...ue)=>oe.fire(G(...ue)),q=()=>U.addEventListener(B,N),Q=()=>U.removeEventListener(B,N),oe=new a({onWillAddFirstListener:q,onDidRemoveLastListener:Q});return oe.event}l.fromDOMEventEmitter=Y;function ne(U){return new Promise(B=>S(U)(B))}l.toPromise=ne;function _(U,B){return B(void 0),U(G=>B(G))}l.runAndSubscribe=_;function $(U,B){let G=null;function N(Q){G?.dispose(),G=new n.DisposableStore,B(Q,G)}N(void 0);const q=U(Q=>N(Q));return(0,n.toDisposable)(()=>{q.dispose(),G?.dispose()})}l.runAndSubscribeWithStore=$;class A{constructor(B,G){this.obs=B,this.c=0,this.d=!1;const N={onWillAddFirstListener:()=>{B.addObserver(this)},onDidRemoveLastListener:()=>{B.removeObserver(this)}};G||o(N),this.emitter=new a(N),G&&G.add(this.emitter)}beginUpdate(B){this.c++}handleChange(B,G){this.d=!0}endUpdate(B){--this.c===0&&this.d&&(this.d=!1,this.emitter.fire(this.obs.get()))}}function T(U,B){return new A(U,B).emitter.event}l.fromObservable=T})(h=e.Event||(e.Event={}));class y{constructor(o){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${o}_${y.c++}`,y.all.add(this)}start(o){this.d=new D.StopWatch(!0),this.listenerCount=o}stop(){if(this.d){const o=this.d.elapsed();this.durations.push(o),this.elapsedOverall+=o,this.invocationCount+=1,this.d=void 0}}}e.EventProfiling=y,y.all=new Set,y.c=0;let b=-1;function v(l){const o=b;return b=l,{dispose(){b=o}}}e.setGlobalLeakWarningThreshold=v;class m{constructor(o,g=Math.random().toString(18).slice(2,5)){this.threshold=o,this.name=g,this.d=0}dispose(){this.c?.clear()}check(o,g){const S=this.threshold;if(S<=0||g<S)return;this.c||(this.c=new Map);const L=this.c.get(o.value)||0;if(this.c.set(o.value,L+1),this.d-=1,this.d<=0){this.d=S*.5;let O,j=0;for(const[K,V]of this.c)(!O||j<V)&&(O=K,j=V);console.warn(`[${this.name}] potential listener LEAK detected, having ${g} listeners already. MOST frequent listener (${j}):`),console.warn(O)}return()=>{const O=this.c.get(o.value)||0;this.c.set(o.value,O-1)}}}class f{static create(){return new f(new Error().stack??"")}constructor(o){this.value=o}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class w{constructor(o,g,S){this.callback=o,this.callbackThis=g,this.stack=S,this.subscription=new n.SafeDisposable}invoke(o){this.callback.call(this.callbackThis,o)}}class a{constructor(o){this.j=!1,this.d=o,this.f=b>0||this.d?.leakWarningThreshold?new m(this.d?.leakWarningThreshold??b):void 0,this.g=this.d?._profName?new y(this.d._profName):void 0,this.m=this.d?.deliveryQueue}dispose(){if(!this.j){if(this.j=!0,this.q){if(P){const o=Array.from(this.q);queueMicrotask(()=>{for(const g of o)g.subscription.isset()&&(g.subscription.unset(),g.stack?.print())})}this.q.clear()}this.m?.clear(this),this.d?.onDidRemoveLastListener?.(),this.f?.dispose()}}get event(){return this.l||(this.l=(o,g,S)=>{if(this.q||(this.q=new C.LinkedList),this.f&&this.q.size>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),n.Disposable.None;const L=this.q.isEmpty();L&&this.d?.onWillAddFirstListener&&this.d.onWillAddFirstListener(this);let O,j;this.f&&this.q.size>=Math.ceil(this.f.threshold*.2)&&(j=f.create(),O=this.f.check(j,this.q.size+1)),P&&(j=j??f.create());const K=new w(o,g,j),V=this.q.push(K);L&&this.d?.onDidAddFirstListener&&this.d.onDidAddFirstListener(this),this.d?.onDidAddListener&&this.d.onDidAddListener(this,o,g);const J=K.subscription.set(()=>{O?.(),this.j||(V(),this.d&&this.d.onDidRemoveLastListener&&(this.q&&!this.q.isEmpty()||this.d.onDidRemoveLastListener(this)))});return S instanceof n.DisposableStore?S.add(J):Array.isArray(S)&&S.push(J),J}),this.l}fire(o){if(this.q){this.m||(this.m=new p);for(const g of this.q)this.m.push(this,g,o);this.g?.start(this.m.size),this.m.deliver(),this.g?.stop()}}hasListeners(){return this.q?!this.q.isEmpty():!1}}e.Emitter=a;class u{constructor(){this.c=new C.LinkedList}get size(){return this.c.size}push(o,g,S){this.c.push(new k(o,g,S))}clear(o){const g=new C.LinkedList;for(const S of this.c)S.emitter!==o&&g.push(S);this.c=g}deliver(){for(;this.c.size>0;){const o=this.c.shift();try{o.listener.invoke(o.event)}catch(g){(0,I.onUnexpectedError)(g)}}}}e.EventDeliveryQueue=u;class p extends u{clear(o){this.c.clear()}}class k{constructor(o,g,S){this.emitter=o,this.listener=g,this.event=S}}class E extends a{async fireAsync(o,g,S){if(!!this.q){this.c||(this.c=new C.LinkedList);for(const L of this.q)this.c.push([L,o]);for(;this.c.size>0&&!g.isCancellationRequested;){const[L,O]=this.c.shift(),j=[],K={...O,token:g,waitUntil:V=>{if(Object.isFrozen(j))throw new Error("waitUntil can NOT be called asynchronous");S&&(V=S(V,L.callback)),j.push(V)}};try{L.invoke(K)}catch(V){(0,I.onUnexpectedError)(V);continue}Object.freeze(j),await Promise.allSettled(j).then(V=>{for(const J of V)J.status==="rejected"&&(0,I.onUnexpectedError)(J.reason)})}}}}e.AsyncEmitter=E;class R extends a{constructor(o){super(o),this.h=0,this.s=new C.LinkedList,this.t=o?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.t){if(this.s.size>0){const o=Array.from(this.s);this.s.clear(),super.fire(this.t(o))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(o){this.q&&(this.h!==0?this.s.push(o):super.fire(o))}}e.PauseableEmitter=R;class t extends R{constructor(o){super(o),this.c=o.delay??100}fire(o){this.k||(this.pause(),this.k=setTimeout(()=>{this.k=void 0,this.resume()},this.c)),super.fire(o)}}e.DebounceEmitter=t;class c extends a{constructor(o){super(o),this.c=[],this.h=o?.merge}fire(o){!this.hasListeners()||(this.c.push(o),this.c.length===1&&queueMicrotask(()=>{this.h?super.fire(this.h(this.c)):this.c.forEach(g=>super.fire(g)),this.c=[]}))}}e.MicrotaskEmitter=c;class i{constructor(){this.d=!1,this.f=[],this.c=new a({onWillAddFirstListener:()=>this.g(),onDidRemoveLastListener:()=>this.h()})}get event(){return this.c.event}add(o){const g={event:o,listener:null};this.f.push(g),this.d&&this.j(g);const S=()=>{this.d&&this.k(g);const L=this.f.indexOf(g);this.f.splice(L,1)};return(0,n.toDisposable)((0,M.once)(S))}g(){this.d=!0,this.f.forEach(o=>this.j(o))}h(){this.d=!1,this.f.forEach(o=>this.k(o))}j(o){o.listener=o.event(g=>this.c.fire(g))}k(o){o.listener&&o.listener.dispose(),o.listener=null}dispose(){this.c.dispose()}}e.EventMultiplexer=i;class r{constructor(){this.c=[]}wrapEvent(o){return(g,S,L)=>o(O=>{const j=this.c[this.c.length-1];j?j.push(()=>g.call(S,O)):g.call(S,O)},void 0,L)}bufferEvents(o){const g=[];this.c.push(g);const S=o();return this.c.pop(),g.forEach(L=>L()),S}}e.EventBufferer=r;class s{constructor(){this.c=!1,this.d=h.None,this.f=n.Disposable.None,this.g=new a({onDidAddFirstListener:()=>{this.c=!0,this.f=this.d(this.g.fire,this.g)},onDidRemoveLastListener:()=>{this.c=!1,this.f.dispose()}}),this.event=this.g.event}set input(o){this.d=o,this.c&&(this.f.dispose(),this.f=o(this.g.fire,this.g))}dispose(){this.f.dispose(),this.g.dispose()}}e.Relay=s}),define(te[22],ie([0,1,3]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const M=Object.freeze(function(P,d){const h=setTimeout(P.bind(d),0);return{dispose(){clearTimeout(h)}}});var n;(function(P){function d(h){return h===P.None||h===P.Cancelled||h instanceof C?!0:!h||typeof h!="object"?!1:typeof h.isCancellationRequested=="boolean"&&typeof h.onCancellationRequested=="function"}P.isCancellationToken=d,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:I.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:M})})(n=e.CancellationToken||(e.CancellationToken={}));class C{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?M:(this.b||(this.b=new I.Emitter),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class D{constructor(d){this.a=void 0,this.b=void 0,this.b=d&&d.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new C),this.a}cancel(){this.a?this.a instanceof C&&this.a.cancel():this.a=n.Cancelled}dispose(d=!1){d&&this.cancel(),this.b?.dispose(),this.a?this.a instanceof C&&this.a.dispose():this.a=n.None}}e.CancellationTokenSource=D}),define(te[141],ie([0,1,22]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class M{constructor(P){this.b=P,this.a=null}get(){if(this.a)return this.a;const P=new I.CancellationTokenSource,d=this.b(P.token);return this.a={promise:d,dispose:()=>{this.a=null,P.cancel(),P.dispose()}},this.a}}e.Cache=M;class n{constructor(P){this.c=P,this.a=void 0,this.b=void 0}get(P){const d=JSON.stringify(P);return this.b!==d&&(this.b=d,this.a=this.c(P)),this.a}}e.LRUCachedFunction=n;class C{get cachedValues(){return this.a}constructor(P){this.b=P,this.a=new Map}get(P){if(this.a.has(P))return this.a.get(P);const d=this.b(P);return this.a.set(P,d),d}}e.CachedFunction=C}),define(te[27],ie([0,1,141,125]),function(x,e,I,M){"use strict";var n;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.charCount=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function C(X){return!X||typeof X!="string"?!0:X.trim().length===0}e.isFalsyOrWhitespace=C;const D=/{(\d+)}/g;function P(X,...le){return le.length===0?X:X.replace(D,function(he,me){const be=parseInt(me,10);return isNaN(be)||be<0||be>=le.length?he:le[be]})}e.format=P;const d=/{([^}]+)}/g;function h(X,le){return X.replace(d,(he,me)=>le[me]??he)}e.format2=h;function y(X){return X.replace(/[<>&]/g,function(le){switch(le){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return le}})}e.escape=y;function b(X){return X.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=b;function v(X,le){let he=0;const me=le.charCodeAt(0);for(let be=X.length-1;be>=0;be--)X.charCodeAt(be)===me&&he++;return he}e.count=v;function m(X,le,he="\u2026"){return X.length<=le?X:`${X.substr(0,le)}${he}`}e.truncate=m;function f(X,le=" "){const he=w(X,le);return a(he,le)}e.trim=f;function w(X,le){if(!X||!le)return X;const he=le.length;if(he===0||X.length===0)return X;let me=0;for(;X.indexOf(le,me)===me;)me=me+he;return X.substring(me)}e.ltrim=w;function a(X,le){if(!X||!le)return X;const he=le.length,me=X.length;if(he===0||me===0)return X;let be=me,Te=-1;for(;Te=X.lastIndexOf(le,be-1),!(Te===-1||Te+he!==be);){if(Te===0)return"";be=Te}return X.substring(0,be)}e.rtrim=a;function u(X){return X.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=u;function p(X){return X.replace(/\*/g,"")}e.stripWildcards=p;function k(X,le,he={}){if(!X)throw new Error("Cannot create regex from empty string");le||(X=b(X)),he.wholeWord&&(/\B/.test(X.charAt(0))||(X="\\b"+X),/\B/.test(X.charAt(X.length-1))||(X=X+"\\b"));let me="";return he.global&&(me+="g"),he.matchCase||(me+="i"),he.multiline&&(me+="m"),he.unicode&&(me+="u"),new RegExp(X,me)}e.createRegExp=k;function E(X){return X.source==="^"||X.source==="^$"||X.source==="$"||X.source==="^\\s*$"?!1:!!(X.exec("")&&X.lastIndex===0)}e.regExpLeadsToEndlessLoop=E;function R(X){return!!X.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=R;function t(X){return(X.global?"g":"")+(X.ignoreCase?"i":"")+(X.multiline?"m":"")+(X.unicode?"u":"")}e.regExpFlags=t;function c(X){return X.split(/\r\n|\r|\n/)}e.splitLines=c;function i(X){for(let le=0,he=X.length;le<he;le++){const me=X.charCodeAt(le);if(me!==32&&me!==9)return le}return-1}e.firstNonWhitespaceIndex=i;function r(X,le=0,he=X.length){for(let me=le;me<he;me++){const be=X.charCodeAt(me);if(be!==32&&be!==9)return X.substring(le,me)}return X.substring(le,he)}e.getLeadingWhitespace=r;function s(X,le=X.length-1){for(let he=le;he>=0;he--){const me=X.charCodeAt(he);if(me!==32&&me!==9)return he}return-1}e.lastNonWhitespaceIndex=s;function l(X,le,he){const me=[];let be=0;for(const Te of X.matchAll(le)){if(me.push(X.slice(be,Te.index)),Te.index===void 0)throw new Error("match.index should be defined");be=Te.index+Te[0].length,me.push(he(Te[0],...Te.slice(1),Te.index,X,Te.groups))}return me.push(X.slice(be)),Promise.all(me).then(Te=>Te.join(""))}e.replaceAsync=l;function o(X,le){return X<le?-1:X>le?1:0}e.compare=o;function g(X,le,he=0,me=X.length,be=0,Te=le.length){for(;he<me&&be<Te;he++,be++){const Qe=X.charCodeAt(he),Ke=le.charCodeAt(be);if(Qe<Ke)return-1;if(Qe>Ke)return 1}const ze=me-he,tt=Te-be;return ze<tt?-1:ze>tt?1:0}e.compareSubstring=g;function S(X,le){return L(X,le,0,X.length,0,le.length)}e.compareIgnoreCase=S;function L(X,le,he=0,me=X.length,be=0,Te=le.length){for(;he<me&&be<Te;he++,be++){let Qe=X.charCodeAt(he),Ke=le.charCodeAt(be);if(Qe===Ke)continue;if(Qe>=128||Ke>=128)return g(X.toLowerCase(),le.toLowerCase(),he,me,be,Te);j(Qe)&&(Qe-=32),j(Ke)&&(Ke-=32);const et=Qe-Ke;if(et!==0)return et}const ze=me-he,tt=Te-be;return ze<tt?-1:ze>tt?1:0}e.compareSubstringIgnoreCase=L;function O(X){return X>=48&&X<=57}e.isAsciiDigit=O;function j(X){return X>=97&&X<=122}e.isLowerAsciiLetter=j;function K(X){return X>=65&&X<=90}e.isUpperAsciiLetter=K;function V(X,le){return X.length===le.length&&L(X,le)===0}e.equalsIgnoreCase=V;function J(X,le){const he=le.length;return le.length>X.length?!1:L(X,le,0,he)===0}e.startsWithIgnoreCase=J;function re(X,le){const he=Math.min(X.length,le.length);let me;for(me=0;me<he;me++)if(X.charCodeAt(me)!==le.charCodeAt(me))return me;return he}e.commonPrefixLength=re;function se(X,le){const he=Math.min(X.length,le.length);let me;const be=X.length-1,Te=le.length-1;for(me=0;me<he;me++)if(X.charCodeAt(be-me)!==le.charCodeAt(Te-me))return me;return he}e.commonSuffixLength=se;function ae(X){return 55296<=X&&X<=56319}e.isHighSurrogate=ae;function fe(X){return 56320<=X&&X<=57343}e.isLowSurrogate=fe;function ge(X,le){return(X-55296<<10)+(le-56320)+65536}e.computeCodePoint=ge;function H(X,le,he){const me=X.charCodeAt(he);if(ae(me)&&he+1<le){const be=X.charCodeAt(he+1);if(fe(be))return ge(me,be)}return me}e.getNextCodePoint=H;function F(X,le){const he=X.charCodeAt(le-1);if(fe(he)&&le>1){const me=X.charCodeAt(le-2);if(ae(me))return ge(me,he)}return he}class W{get offset(){return this.e}constructor(le,he=0){this.c=le,this.d=le.length,this.e=he}setOffset(le){this.e=le}prevCodePoint(){const le=F(this.c,this.e);return this.e-=le>=65536?2:1,le}nextCodePoint(){const le=H(this.c,this.d,this.e);return this.e+=le>=65536?2:1,le}eol(){return this.e>=this.d}}e.CodePointIterator=W;class z{get offset(){return this.c.offset}constructor(le,he=0){this.c=new W(le,he)}nextGraphemeLength(){const le=Ae.getInstance(),he=this.c,me=he.offset;let be=le.getGraphemeBreakType(he.nextCodePoint());for(;!he.eol();){const Te=he.offset,ze=le.getGraphemeBreakType(he.nextCodePoint());if(Ce(be,ze)){he.setOffset(Te);break}be=ze}return he.offset-me}prevGraphemeLength(){const le=Ae.getInstance(),he=this.c,me=he.offset;let be=le.getGraphemeBreakType(he.prevCodePoint());for(;he.offset>0;){const Te=he.offset,ze=le.getGraphemeBreakType(he.prevCodePoint());if(Ce(ze,be)){he.setOffset(Te);break}be=ze}return me-he.offset}eol(){return this.c.eol()}}e.GraphemeIterator=z;function Y(X,le){return new z(X,le).nextGraphemeLength()}e.nextCharLength=Y;function ne(X,le){return new z(X,le).prevGraphemeLength()}e.prevCharLength=ne;function _(X,le){le>0&&fe(X.charCodeAt(le))&&le--;const he=le+Y(X,le);return[he-ne(X,he),he]}e.getCharContainingOffset=_;function $(X){const le=new z(X);let he=0;for(;!le.eol();)he++,le.nextGraphemeLength();return he}e.charCount=$;let A;function T(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function U(X){return A||(A=T()),A.test(X)}e.containsRTL=U;const B=/^[\t\n\r\x20-\x7E]*$/;function G(X){return B.test(X)}e.isBasicASCII=G,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function N(X){return e.UNUSUAL_LINE_TERMINATORS.test(X)}e.containsUnusualLineTerminators=N;function q(X){return X>=11904&&X<=55215||X>=63744&&X<=64255||X>=65281&&X<=65374}e.isFullWidthCharacter=q;function Q(X){return X>=127462&&X<=127487||X===8986||X===8987||X===9200||X===9203||X>=9728&&X<=10175||X===11088||X===11093||X>=127744&&X<=128591||X>=128640&&X<=128764||X>=128992&&X<=129008||X>=129280&&X<=129535||X>=129648&&X<=129782}e.isEmojiImprecise=Q;function oe(X,le){if(X.length<le)return X;const he=/\b/g;let me=0;for(;he.test(X)&&!(X.length-he.lastIndex<le);)me=he.lastIndex,he.lastIndex+=1;return X.substring(me).replace(/^\s/,"")}e.lcut=oe;const ue=/\x1B\x5B[12]?K/g,ye=/\x1b\[\d+m/g,Re=/\x1b\[0?m/g;function Oe(X){return X&&(X=X.replace(ue,""),X=X.replace(ye,""),X=X.replace(Re,"")),X}e.removeAnsiEscapeCodes=Oe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Le(X){return!!(X&&X.length>0&&X.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Le;function Ue(X){return Le(X)?X.substr(1):X}e.stripUTF8BOM=Ue;function we(X,le){if(!X||!le||X.length<le.length)return!1;const he=le.length,me=X.toLowerCase();let be=0,Te=-1;for(;be<he;){const ze=me.indexOf(le[be],Te+1);if(ze<0)return!1;Te=ze,be++}return!0}e.fuzzyContains=we;function pe(X,le=!1){return X?(le&&(X=X.replace(/\\./g,"")),X.toLowerCase()!==X):!1}e.containsUppercaseCharacter=pe;function ke(X){return X.charAt(0).toUpperCase()+X.slice(1)}e.uppercaseFirstLetter=ke;function Z(X,le=1){if(le===0)return"";let he=-1;do he=X.indexOf(`
`,he+1),le--;while(le>0&&he>=0);return he===-1?X:(X[he-1]==="\r"&&he--,X.substr(0,he))}e.getNLines=Z;function ce(X){return X=X%(2*26),X<26?String.fromCharCode(97+X):String.fromCharCode(65+X-26)}e.singleLetterHash=ce;function de(X){return Ae.getInstance().getGraphemeBreakType(X)}e.getGraphemeBreakType=de;function Ce(X,le){return X===0?le!==5&&le!==7:X===2&&le===3?!1:X===4||X===2||X===3||le===4||le===2||le===3?!0:!(X===8&&(le===8||le===9||le===11||le===12)||(X===11||X===9)&&(le===9||le===10)||(X===12||X===10)&&le===10||le===5||le===13||le===7||X===1||X===13&&le===14||X===6&&le===6)}var Me;(function(X){X[X.Other=0]="Other",X[X.Prepend=1]="Prepend",X[X.CR=2]="CR",X[X.LF=3]="LF",X[X.Control=4]="Control",X[X.Extend=5]="Extend",X[X.Regional_Indicator=6]="Regional_Indicator",X[X.SpacingMark=7]="SpacingMark",X[X.L=8]="L",X[X.V=9]="V",X[X.T=10]="T",X[X.LV=11]="LV",X[X.LVT=12]="LVT",X[X.ZWJ=13]="ZWJ",X[X.Extended_Pictographic=14]="Extended_Pictographic"})(Me=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ae{static getInstance(){return Ae.c||(Ae.c=new Ae),Ae.c}constructor(){this.d=Fe()}getGraphemeBreakType(le){if(le<32)return le===10?3:le===13?2:4;if(le<127)return 0;const he=this.d,me=he.length/3;let be=1;for(;be<=me;)if(le<he[3*be])be=2*be;else if(le>he[3*be+1])be=2*be+1;else return he[3*be+2];return 0}}Ae.c=null;function Fe(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function He(X,le){if(X===0)return 0;const he=Ne(X,le);if(he!==void 0)return he;const me=new W(le,X);return me.prevCodePoint(),me.offset}e.getLeftDeleteOffset=He;function Ne(X,le){const he=new W(le,X);let me=he.prevCodePoint();for(;$e(me)||me===65039||me===8419;){if(he.offset===0)return;me=he.prevCodePoint()}if(!Q(me))return;let be=he.offset;return be>0&&he.prevCodePoint()===8205&&(be=he.offset),be}function $e(X){return 127995<=X&&X<=127999}var Ge;(function(X){X[X.zwj=8205]="zwj",X[X.emojiVariantSelector=65039]="emojiVariantSelector",X[X.enclosingKeyCap=8419]="enclosingKeyCap"})(Ge||(Ge={})),e.noBreakWhitespace="\xA0";class We{static getInstance(le){return We.d.get(Array.from(le))}static getLocales(){return We.e.value}constructor(le){this.f=le}isAmbiguous(le){return this.f.has(le)}getPrimaryConfusable(le){return this.f.get(le)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.AmbiguousCharacters=We,n=We,We.c=new M.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),We.d=new I.LRUCachedFunction(X=>{function le(Ke){const et=new Map;for(let it=0;it<Ke.length;it+=2)et.set(Ke[it],Ke[it+1]);return et}function he(Ke,et){const it=new Map(Ke);for(const[ot,ut]of et)it.set(ot,ut);return it}function me(Ke,et){if(!Ke)return et;const it=new Map;for(const[ot,ut]of Ke)et.has(ot)&&it.set(ot,ut);return it}const be=n.c.value;let Te=X.filter(Ke=>!Ke.startsWith("_")&&Ke in be);Te.length===0&&(Te=["_default"]);let ze;for(const Ke of Te){const et=le(be[Ke]);ze=me(ze,et)}const tt=le(be._common),Qe=he(tt,ze);return new We(Qe)}),We.e=new M.Lazy(()=>Object.keys(We.c.value).filter(X=>!X.startsWith("_")));class Ve{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(Ve.c())),this.d}static isInvisibleCharacter(le){return Ve.e().has(le)}static get codePoints(){return Ve.e()}}e.InvisibleCharacters=Ve,Ve.d=void 0}),define(te[32],ie([0,1,9,4,27,10]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function D(s){return s===47||s===92}e.isPathSeparator=D;function P(s){return s.replace(/[\\/]/g,I.posix.sep)}e.toSlashes=P;function d(s){return s.indexOf("/")===-1&&(s=P(s)),/^[a-zA-Z]:(\/|$)/.test(s)&&(s="/"+s),s}e.toPosixPath=d;function h(s,l=I.posix.sep){if(!s)return"";const o=s.length,g=s.charCodeAt(0);if(D(g)){if(D(s.charCodeAt(1))&&!D(s.charCodeAt(2))){let L=3;const O=L;for(;L<o&&!D(s.charCodeAt(L));L++);if(O!==L&&!D(s.charCodeAt(L+1))){for(L+=1;L<o;L++)if(D(s.charCodeAt(L)))return s.slice(0,L+1).replace(/[\\/]/g,l)}}return l}else if(u(g)&&s.charCodeAt(1)===58)return D(s.charCodeAt(2))?s.slice(0,2)+l:s.slice(0,2);let S=s.indexOf("://");if(S!==-1){for(S+=3;S<o;S++)if(D(s.charCodeAt(S)))return s.slice(0,S+1)}return""}e.getRoot=h;function y(s){if(!M.isWindows||!s||s.length<5)return!1;let l=s.charCodeAt(0);if(l!==92||(l=s.charCodeAt(1),l!==92))return!1;let o=2;const g=o;for(;o<s.length&&(l=s.charCodeAt(o),l!==92);o++);return!(g===o||(l=s.charCodeAt(o+1),isNaN(l)||l===92))}e.isUNC=y;const b=/[\\/:\*\?"<>\|]/g,v=/[\\/]/g,m=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function f(s,l=M.isWindows){const o=l?b:v;return!(!s||s.length===0||/^\s+$/.test(s)||(o.lastIndex=0,o.test(s))||l&&m.test(s)||s==="."||s===".."||l&&s[s.length-1]==="."||l&&s.length!==s.trim().length||s.length>255)}e.isValidBasename=f;function w(s,l,o){const g=s===l;return!o||g?g:!s||!l?!1:(0,n.equalsIgnoreCase)(s,l)}e.isEqual=w;function a(s,l,o,g=I.sep){if(s===l)return!0;if(!s||!l||l.length>s.length)return!1;if(o){if(!(0,n.startsWithIgnoreCase)(s,l))return!1;if(l.length===s.length)return!0;let L=l.length;return l.charAt(l.length-1)===g&&L--,s.charAt(L)===g}return l.charAt(l.length-1)!==g&&(l+=g),s.indexOf(l)===0}e.isEqualOrParent=a;function u(s){return s>=65&&s<=90||s>=97&&s<=122}e.isWindowsDriveLetter=u;function p(s,l){return M.isWindows&&s.endsWith(":")&&(s+=I.sep),(0,I.isAbsolute)(s)||(s=(0,I.join)(l,s)),s=(0,I.normalize)(s),M.isWindows?(s=(0,n.rtrim)(s,I.sep),s.endsWith(":")&&(s+=I.sep)):(s=(0,n.rtrim)(s,I.sep),s||(s=I.sep)),s}e.sanitizeFilePath=p;function k(s){const l=(0,I.normalize)(s);return M.isWindows?s.length>3?!1:E(l)&&(s.length===2||l.charCodeAt(2)===92):l===I.posix.sep}e.isRootOrDriveLetter=k;function E(s,l=M.isWindows){return l?u(s.charCodeAt(0))&&s.charCodeAt(1)===58:!1}e.hasDriveLetter=E;function R(s){return E(s)?s[0]:void 0}e.getDriveLetter=R;function t(s,l,o){return l.length>s.length?-1:s===l?0:(o&&(s=s.toLowerCase(),l=l.toLowerCase()),s.indexOf(l))}e.indexOfPath=t;function c(s){const l=s.split(":");let o,g,S;for(const L of l){const O=Number(L);(0,C.isNumber)(O)?g===void 0?g=O:S===void 0&&(S=O):o=o?[o,L].join(":"):L}if(!o)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:o,line:g!==void 0?g:void 0,column:S!==void 0?S:g!==void 0?1:void 0}}e.parseLineAndColumnAware=c;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function r(s,l,o=8){let g="";for(let L=0;L<o;L++)g+=i.charAt(Math.floor(Math.random()*i.length));let S;return l?S=`${l}-${g}`:S=g,s?(0,I.join)(s,S):S}e.randomPath=r}),define(te[71],ie([0,1,27]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function M(u){return n(u,0)}e.hash=M;function n(u,p){switch(typeof u){case"object":return u===null?C(349,p):Array.isArray(u)?d(u,p):h(u,p);case"string":return P(u,p);case"boolean":return D(u,p);case"number":return C(u,p);case"undefined":return C(937,p);default:return C(617,p)}}e.doHash=n;function C(u,p){return(p<<5)-p+u|0}e.numberHash=C;function D(u,p){return C(u?433:863,p)}function P(u,p){p=C(149417,p);for(let k=0,E=u.length;k<E;k++)p=C(u.charCodeAt(k),p);return p}e.stringHash=P;function d(u,p){return p=C(104579,p),u.reduce((k,E)=>n(E,k),p)}function h(u,p){return p=C(181387,p),Object.keys(u).sort().reduce((k,E)=>(k=P(E,k),n(u[E],k)),p)}class y{constructor(){this.g=0}get value(){return this.g}hash(p){return this.g=n(p,this.g),this.g}}e.Hasher=y;var b;(function(u){u[u.BLOCK_SIZE=64]="BLOCK_SIZE",u[u.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(b||(b={}));function v(u,p,k=32){const E=k-p,R=~((1<<E)-1);return(u<<p|(R&u)>>>E)>>>0}function m(u,p=0,k=u.byteLength,E=0){for(let R=0;R<k;R++)u[p+R]=E}function f(u,p,k="0"){for(;u.length<p;)u=k+u;return u}function w(u,p=32){return u instanceof ArrayBuffer?Array.from(new Uint8Array(u)).map(k=>k.toString(16).padStart(2,"0")).join(""):f((u>>>0).toString(16),p/4)}e.toHexString=w;class a{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(p){const k=p.length;if(k===0)return;const E=this.p;let R=this.r,t=this.u,c,i;for(t!==0?(c=t,i=-1,t=0):(c=p.charCodeAt(0),i=0);;){let r=c;if(I.isHighSurrogate(c))if(i+1<k){const s=p.charCodeAt(i+1);I.isLowSurrogate(s)?(i++,r=I.computeCodePoint(c,s)):r=65533}else{t=c;break}else I.isLowSurrogate(c)&&(r=65533);if(R=this.w(E,R,r),i++,i<k)c=p.charCodeAt(i);else break}this.r=R,this.u=t}w(p,k,E){return E<128?p[k++]=E:E<2048?(p[k++]=192|(E&1984)>>>6,p[k++]=128|(E&63)>>>0):E<65536?(p[k++]=224|(E&61440)>>>12,p[k++]=128|(E&4032)>>>6,p[k++]=128|(E&63)>>>0):(p[k++]=240|(E&1835008)>>>18,p[k++]=128|(E&258048)>>>12,p[k++]=128|(E&4032)>>>6,p[k++]=128|(E&63)>>>0),k>=64&&(this.y(),k-=64,this.t+=64,p[0]=p[64+0],p[1]=p[64+1],p[2]=p[64+2]),k}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),w(this.h)+w(this.l)+w(this.m)+w(this.n)+w(this.o)}x(){this.p[this.r++]=128,m(this.p,this.r),this.r>56&&(this.y(),m(this.p));const p=8*this.t;this.q.setUint32(56,Math.floor(p/4294967296),!1),this.q.setUint32(60,p%4294967296,!1),this.y()}y(){const p=a.g,k=this.q;for(let o=0;o<64;o+=4)p.setUint32(o,k.getUint32(o,!1),!1);for(let o=64;o<320;o+=4)p.setUint32(o,v(p.getUint32(o-12,!1)^p.getUint32(o-32,!1)^p.getUint32(o-56,!1)^p.getUint32(o-64,!1),1),!1);let E=this.h,R=this.l,t=this.m,c=this.n,i=this.o,r,s,l;for(let o=0;o<80;o++)o<20?(r=R&t|~R&c,s=1518500249):o<40?(r=R^t^c,s=1859775393):o<60?(r=R&t|R&c|t&c,s=2400959708):(r=R^t^c,s=3395469782),l=v(E,5)+r+i+s+p.getUint32(o*4,!1)&4294967295,i=c,c=t,t=v(R,30),R=E,E=l;this.h=this.h+E&4294967295,this.l=this.l+R&4294967295,this.m=this.m+t&4294967295,this.n=this.n+c&4294967295,this.o=this.o+i&4294967295}}e.StringSHA1=a,a.g=new DataView(new ArrayBuffer(320))}),define(te[83],ie([0,1,27]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var M;(function(n){n[n.Ignore=0]="Ignore",n[n.Info=1]="Info",n[n.Warning=2]="Warning",n[n.Error=3]="Error"})(M||(M={})),function(n){const C="error",D="warning",P="warn",d="info",h="ignore";function y(v){return v?I.equalsIgnoreCase(C,v)?n.Error:I.equalsIgnoreCase(D,v)||I.equalsIgnoreCase(P,v)?n.Warning:I.equalsIgnoreCase(d,v)?n.Info:n.Ignore:n.Ignore}n.fromValue=y;function b(v){switch(v){case n.Error:return C;case n.Warning:return D;case n.Info:return d;default:return h}}n.toString=b}(M||(M={})),e.default=M}),define(te[60],ie([0,1,25,27]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=void 0;class n{constructor(){this.b="",this.c=0}reset(m){return this.b=m,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(m){const f=m.charCodeAt(0),w=this.b.charCodeAt(this.c);return f-w}value(){return this.b[this.c]}}e.StringIterator=n;class C{constructor(m=!0){this.e=m}reset(m){return this.b=m,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let m=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(m)this.c++;else break;else m=!1;return this}cmp(m){return this.e?(0,M.compareSubstring)(m,this.b,0,m.length,this.c,this.d):(0,M.compareSubstringIgnoreCase)(m,this.b,0,m.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.ConfigKeysIterator=C;class D{constructor(m=!0,f=!0){this.f=m,this.g=f}reset(m){this.d=0,this.e=0,this.b=m,this.c=m.length;for(let f=m.length-1;f>=0;f--,this.c--){const w=this.b.charCodeAt(f);if(!(w===47||this.f&&w===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let m=!0;for(;this.e<this.c;this.e++){const f=this.b.charCodeAt(this.e);if(f===47||this.f&&f===92)if(m)this.d++;else break;else m=!1}return this}cmp(m){return this.g?(0,M.compareSubstring)(m,this.b,0,m.length,this.d,this.e):(0,M.compareSubstringIgnoreCase)(m,this.b,0,m.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.PathIterator=D;var P;(function(v){v[v.Scheme=1]="Scheme",v[v.Authority=2]="Authority",v[v.Path=3]="Path",v[v.Query=4]="Query",v[v.Fragment=5]="Fragment"})(P||(P={}));class d{constructor(m,f){this.f=m,this.g=f,this.d=[],this.e=0}reset(m){return this.c=m,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new D(!1,!this.f(m)),this.b.reset(m.path),this.b.value()&&this.d.push(3)),this.g(m)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(m){if(this.d[this.e]===1)return(0,M.compareIgnoreCase)(m,this.c.scheme);if(this.d[this.e]===2)return(0,M.compareIgnoreCase)(m,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(m);if(this.d[this.e]===4)return(0,M.compare)(m,this.c.query);if(this.d[this.e]===5)return(0,M.compare)(m,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.UriIterator=d;class h{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const m=this.right;return this.right=m.left,m.left=this,this.updateHeight(),m.updateHeight(),m}rotateRight(){const m=this.left;return this.left=m.right,m.right=this,this.updateHeight(),m.updateHeight(),m}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var y;(function(v){v[v.Left=-1]="Left",v[v.Mid=0]="Mid",v[v.Right=1]="Right"})(y||(y={}));class b{static forUris(m=()=>!1,f=()=>!1){return new b(new d(m,f))}static forPaths(m=!1){return new b(new D(void 0,!m))}static forStrings(){return new b(new n)}static forConfigKeys(){return new b(new C)}constructor(m){this.b=m}clear(){this.c=void 0}fill(m,f){if(f){const w=f.slice(0);(0,I.shuffle)(w);for(const a of w)this.set(a,m)}else{const w=m.slice(0);(0,I.shuffle)(w);for(const a of w)this.set(a[0],a[1])}}set(m,f){const w=this.b.reset(m);let a;this.c||(this.c=new h,this.c.segment=w.value());const u=[];for(a=this.c;;){const k=w.cmp(a.segment);if(k>0)a.left||(a.left=new h,a.left.segment=w.value()),u.push([-1,a]),a=a.left;else if(k<0)a.right||(a.right=new h,a.right.segment=w.value()),u.push([1,a]),a=a.right;else if(w.hasNext())w.next(),a.mid||(a.mid=new h,a.mid.segment=w.value()),u.push([0,a]),a=a.mid;else break}const p=a.value;a.value=f,a.key=m;for(let k=u.length-1;k>=0;k--){const E=u[k][1];E.updateHeight();const R=E.balanceFactor();if(R<-1||R>1){const t=u[k][0],c=u[k+1][0];if(t===1&&c===1)u[k][1]=E.rotateLeft();else if(t===-1&&c===-1)u[k][1]=E.rotateRight();else if(t===1&&c===-1)E.right=u[k+1][1]=u[k+1][1].rotateRight(),u[k][1]=E.rotateLeft();else if(t===-1&&c===1)E.left=u[k+1][1]=u[k+1][1].rotateLeft(),u[k][1]=E.rotateRight();else throw new Error;if(k>0)switch(u[k-1][0]){case-1:u[k-1][1].left=u[k][1];break;case 1:u[k-1][1].right=u[k][1];break;case 0:u[k-1][1].mid=u[k][1];break}else this.c=u[0][1]}}return p}get(m){return this.d(m)?.value}d(m){const f=this.b.reset(m);let w=this.c;for(;w;){const a=f.cmp(w.segment);if(a>0)w=w.left;else if(a<0)w=w.right;else if(f.hasNext())f.next(),w=w.mid;else break}return w}has(m){const f=this.d(m);return!(f?.value===void 0&&f?.mid===void 0)}delete(m){return this.e(m,!1)}deleteSuperstr(m){return this.e(m,!0)}e(m,f){const w=this.b.reset(m),a=[];let u=this.c;for(;u;){const p=w.cmp(u.segment);if(p>0)a.push([-1,u]),u=u.left;else if(p<0)a.push([1,u]),u=u.right;else if(w.hasNext())w.next(),a.push([0,u]),u=u.mid;else break}if(!!u){if(f?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const p=this.f(u.right);if(p.key){const{key:k,value:E,segment:R}=p;this.e(p.key,!1),u.key=k,u.value=E,u.segment=R}}else{const p=u.left??u.right;if(a.length>0){const[k,E]=a[a.length-1];switch(k){case-1:E.left=p;break;case 0:E.mid=p;break;case 1:E.right=p;break}}else this.c=p}for(let p=a.length-1;p>=0;p--){const k=a[p][1];k.updateHeight();const E=k.balanceFactor();if(E>1?(k.right.balanceFactor()>=0||(k.right=k.right.rotateRight()),a[p][1]=k.rotateLeft()):E<-1&&(k.left.balanceFactor()<=0||(k.left=k.left.rotateLeft()),a[p][1]=k.rotateRight()),p>0)switch(a[p-1][0]){case-1:a[p-1][1].left=a[p][1];break;case 1:a[p-1][1].right=a[p][1];break;case 0:a[p-1][1].mid=a[p][1];break}else this.c=a[0][1]}}}f(m){for(;m.left;)m=m.left;return m}findSubstr(m){const f=this.b.reset(m);let w=this.c,a;for(;w;){const u=f.cmp(w.segment);if(u>0)w=w.left;else if(u<0)w=w.right;else if(f.hasNext())f.next(),a=w.value||a,w=w.mid;else break}return w&&w.value||a}findSuperstr(m){return this.g(m,!1)}g(m,f){const w=this.b.reset(m);let a=this.c;for(;a;){const u=w.cmp(a.segment);if(u>0)a=a.left;else if(u<0)a=a.right;else if(w.hasNext())w.next(),a=a.mid;else return a.mid?this.h(a.mid):f?a.value:void 0}}hasElementOrSubtree(m){return this.g(m,!0)!==void 0}forEach(m){for(const[f,w]of this)m(w,f)}*[Symbol.iterator](){yield*this.h(this.c)}h(m){const f=[];return this.j(m,f),f[Symbol.iterator]()}j(m,f){!m||(m.left&&this.j(m.left,f),m.value&&f.push([m.key,m.value]),m.mid&&this.j(m.mid,f),m.right&&this.j(m.right,f))}_isBalanced(){const m=f=>{if(!f)return!0;const w=f.balanceFactor();return w<-1||w>1?!1:m(f.left)&&m(f.right)};return m(this.c)}}e.TernarySearchTree=b}),define(te[7],ie([0,1,9,4]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const n=/^\w[\w\d+.-]*$/,C=/^\//,D=/^\/\//;function P(i,r){if(!i.scheme&&r)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!n.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!C.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(D.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function d(i,r){return!i&&!r?"file":i}function h(i,r){switch(i){case"https":case"http":case"file":r?r[0]!==b&&(r=b+r):r=b;break}return r}const y="",b="/",v=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class m{static isUri(r){return r instanceof m?!0:r?typeof r.authority=="string"&&typeof r.fragment=="string"&&typeof r.path=="string"&&typeof r.query=="string"&&typeof r.scheme=="string"&&typeof r.fsPath=="string"&&typeof r.with=="function"&&typeof r.toString=="function":!1}constructor(r,s,l,o,g,S=!1){typeof r=="object"?(this.scheme=r.scheme||y,this.authority=r.authority||y,this.path=r.path||y,this.query=r.query||y,this.fragment=r.fragment||y):(this.scheme=d(r,S),this.authority=s||y,this.path=h(this.scheme,l||y),this.query=o||y,this.fragment=g||y,P(this,S))}get fsPath(){return k(this,!1)}with(r){if(!r)return this;let{scheme:s,authority:l,path:o,query:g,fragment:S}=r;return s===void 0?s=this.scheme:s===null&&(s=y),l===void 0?l=this.authority:l===null&&(l=y),o===void 0?o=this.path:o===null&&(o=y),g===void 0?g=this.query:g===null&&(g=y),S===void 0?S=this.fragment:S===null&&(S=y),s===this.scheme&&l===this.authority&&o===this.path&&g===this.query&&S===this.fragment?this:new w(s,l,o,g,S)}static parse(r,s=!1){const l=v.exec(r);return l?new w(l[2]||y,c(l[4]||y),c(l[5]||y),c(l[7]||y),c(l[9]||y),s):new w(y,y,y,y,y)}static file(r){let s=y;if(M.isWindows&&(r=r.replace(/\\/g,b)),r[0]===b&&r[1]===b){const l=r.indexOf(b,2);l===-1?(s=r.substring(2),r=b):(s=r.substring(2,l),r=r.substring(l)||b)}return new w("file",s,r,y,y)}static from(r){const s=new w(r.scheme,r.authority,r.path,r.query,r.fragment);return P(s,!0),s}static joinPath(r,...s){if(!r.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let l;return M.isWindows&&r.scheme==="file"?l=m.file(I.win32.join(k(r,!0),...s)).path:l=I.posix.join(r.path,...s),r.with({path:l})}toString(r=!1){return E(this,r)}toJSON(){return this}static revive(r){if(r){if(r instanceof m)return r;{const s=new w(r);return s._formatted=r.external,s._fsPath=r._sep===f?r.fsPath:null,s}}else return r}}e.URI=m;const f=M.isWindows?1:void 0;class w extends m{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=k(this,!1)),this._fsPath}toString(r=!1){return r?E(this,!0):(this._formatted||(this._formatted=E(this,!1)),this._formatted)}toJSON(){const r={$mid:1};return this._fsPath&&(r.fsPath=this._fsPath,r._sep=f),this._formatted&&(r.external=this._formatted),this.path&&(r.path=this.path),this.scheme&&(r.scheme=this.scheme),this.authority&&(r.authority=this.authority),this.query&&(r.query=this.query),this.fragment&&(r.fragment=this.fragment),r}}const a={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function u(i,r,s){let l,o=-1;for(let g=0;g<i.length;g++){const S=i.charCodeAt(g);if(S>=97&&S<=122||S>=65&&S<=90||S>=48&&S<=57||S===45||S===46||S===95||S===126||r&&S===47||s&&S===91||s&&S===93||s&&S===58)o!==-1&&(l+=encodeURIComponent(i.substring(o,g)),o=-1),l!==void 0&&(l+=i.charAt(g));else{l===void 0&&(l=i.substr(0,g));const L=a[S];L!==void 0?(o!==-1&&(l+=encodeURIComponent(i.substring(o,g)),o=-1),l+=L):o===-1&&(o=g)}}return o!==-1&&(l+=encodeURIComponent(i.substring(o))),l!==void 0?l:i}function p(i){let r;for(let s=0;s<i.length;s++){const l=i.charCodeAt(s);l===35||l===63?(r===void 0&&(r=i.substr(0,s)),r+=a[l]):r!==void 0&&(r+=i[s])}return r!==void 0?r:i}function k(i,r){let s;return i.authority&&i.path.length>1&&i.scheme==="file"?s=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?r?s=i.path.substr(1):s=i.path[1].toLowerCase()+i.path.substr(2):s=i.path,M.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=k;function E(i,r){const s=r?p:u;let l="",{scheme:o,authority:g,path:S,query:L,fragment:O}=i;if(o&&(l+=o,l+=":"),(g||o==="file")&&(l+=b,l+=b),g){let j=g.indexOf("@");if(j!==-1){const K=g.substr(0,j);g=g.substr(j+1),j=K.lastIndexOf(":"),j===-1?l+=s(K,!1,!1):(l+=s(K.substr(0,j),!1,!1),l+=":",l+=s(K.substr(j+1),!1,!0)),l+="@"}g=g.toLowerCase(),j=g.lastIndexOf(":"),j===-1?l+=s(g,!1,!0):(l+=s(g.substr(0,j),!1,!0),l+=g.substr(j))}if(S){if(S.length>=3&&S.charCodeAt(0)===47&&S.charCodeAt(2)===58){const j=S.charCodeAt(1);j>=65&&j<=90&&(S=`/${String.fromCharCode(j+32)}:${S.substr(3)}`)}else if(S.length>=2&&S.charCodeAt(1)===58){const j=S.charCodeAt(0);j>=65&&j<=90&&(S=`${String.fromCharCode(j+32)}:${S.substr(2)}`)}l+=s(S,!0,!1)}return L&&(l+="?",l+=s(L,!1,!1)),O&&(l+="#",l+=r?O:u(O,!1,!1)),l}function R(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+R(i.substr(3)):i}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function c(i){return i.match(t)?i.replace(t,r=>R(r)):i}}),define(te[142],ie([0,1,7]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function M(h){const y=h;return y&&typeof y.type=="string"&&typeof y.severity=="string"}e.isRemoteConsoleLog=M;function n(h){const y=[];let b;try{const v=JSON.parse(h.arguments),m=v[v.length-1];m&&m.__$stack&&(v.pop(),b=m.__$stack),y.push(...v)}catch{y.push("Unable to log remote console arguments",h.arguments)}return{args:y,stack:b}}e.parse=n;function C(h){if(typeof h!="string")return C(n(h).stack);const y=h;if(y){const b=D(y),v=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(b||"");if(v&&v.length===4)return{uri:I.URI.file(v[1]),line:Number(v[2]),column:Number(v[3])}}}e.getFirstFrame=C;function D(h){if(!h)return h;const y=h.indexOf(`
`);return y===-1?h:h.substring(0,y)}function P(h,y){const{args:b,stack:v}=n(h),m=typeof b[0]=="string"&&b.length===1;let f=D(v);f&&(f=`(${f.trim()})`);let w=[];if(typeof b[0]=="string"?f&&m?w=[`%c[${y}] %c${b[0]} %c${f}`,d("blue"),d(""),d("grey")]:w=[`%c[${y}] %c${b[0]}`,d("blue"),d(""),...b.slice(1)]:w=[`%c[${y}]%`,d("blue"),...b],f&&!m&&w.push(f),typeof console[h.severity]!="function")throw new Error("Unknown console method");console[h.severity].apply(console,w)}e.log=P;function d(h){return`color: ${h}`}}),define(te[72],ie([0,1,17,27,7]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function C(h){return JSON.stringify(h,P)}e.stringify=C;function D(h){let y=JSON.parse(h);return y=d(y),y}e.parse=D;function P(h,y){return y instanceof RegExp?{$mid:2,source:y.source,flags:(0,M.regExpFlags)(y)}:y}function d(h,y=0){if(!h||y>200)return h;if(typeof h=="object"){switch(h.$mid){case 1:return n.URI.revive(h);case 2:return new RegExp(h.source,h.flags);case 16:return new Date(h.source)}if(h instanceof I.VSBuffer||h instanceof Uint8Array)return h;if(Array.isArray(h))for(let b=0;b<h.length;++b)h[b]=d(h[b],y+1);else for(const b in h)Object.hasOwnProperty.call(h,b)&&(h[b]=d(h[b],y+1))}return h}e.revive=d}),define(te[15],ie([0,1,13,4,7]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.FileAccess=e.nodeModulesAsarUnpackedPath=e.nodeModulesAsarPath=e.nodeModulesPath=e.builtinExtensionsPath=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var C;(function(h){h.inMemory="inmemory",h.vscode="vscode",h.internal="private",h.walkThrough="walkThrough",h.walkThroughSnippet="walkThroughSnippet",h.http="http",h.https="https",h.file="file",h.mailto="mailto",h.untitled="untitled",h.data="data",h.command="command",h.vscodeRemote="vscode-remote",h.vscodeRemoteResource="vscode-remote-resource",h.vscodeUserData="vscode-userdata",h.vscodeCustomEditor="vscode-custom-editor",h.vscodeNotebook="vscode-notebook",h.vscodeNotebookCell="vscode-notebook-cell",h.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",h.vscodeNotebookCellOutput="vscode-notebook-cell-output",h.vscodeInteractive="vscode-interactive",h.vscodeInteractiveInput="vscode-interactive-input",h.vscodeSettings="vscode-settings",h.vscodeWorkspaceTrust="vscode-workspace-trust",h.vscodeTerminal="vscode-terminal",h.webviewPanel="webview-panel",h.vscodeWebview="vscode-webview",h.extension="extension",h.vscodeFileResource="vscode-file",h.tmp="tmp",h.vsls="vsls",h.vscodeSourceControl="vscode-scm"})(C=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class D{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${C.vscodeRemoteResource}`}setPreferredWebSchema(y){this.d=y}setDelegate(y){this.e=y}setServerRootPath(y){this.f=`${y}/${C.vscodeRemoteResource}`}set(y,b,v){this.a[y]=b,this.b[y]=v}setConnectionToken(y,b){this.c[y]=b}getPreferredWebSchema(){return this.d}rewrite(y){if(this.e)try{return this.e(y)}catch(a){return I.onUnexpectedError(a),y}const b=y.authority;let v=this.a[b];v&&v.indexOf(":")!==-1&&v.indexOf("[")===-1&&(v=`[${v}]`);const m=this.b[b],f=this.c[b];let w=`path=${encodeURIComponent(y.path)}`;return typeof f=="string"&&(w+=`&${e.connectionTokenQueryName}=${encodeURIComponent(f)}`),n.URI.from({scheme:M.isWeb?this.d:C.vscodeRemoteResource,authority:`${v}:${m}`,path:this.f,query:w})}}e.RemoteAuthorities=new D,e.builtinExtensionsPath="vs/../../extensions",e.nodeModulesPath="vs/../../node_modules",e.nodeModulesAsarPath="vs/../../node_modules.asar",e.nodeModulesAsarUnpackedPath="vs/../../node_modules.asar.unpacked";class P{asBrowserUri(y){const b=this.b(y,x);return this.uriToBrowserUri(b)}uriToBrowserUri(y){return y.scheme===C.vscodeRemote?e.RemoteAuthorities.rewrite(y):y.scheme===C.file&&(M.isNative||M.isWebWorker&&M.globals.origin===`${C.vscodeFileResource}://${P.a}`)?y.with({scheme:C.vscodeFileResource,authority:y.authority||P.a,query:null,fragment:null}):y}asFileUri(y){const b=this.b(y,x);return this.uriToFileUri(b)}uriToFileUri(y){return y.scheme===C.vscodeFileResource?y.with({scheme:C.file,authority:y.authority!==P.a?y.authority:null,query:null,fragment:null}):y}b(y,b){return n.URI.isUri(y)?y:n.URI.parse(b.toUrl(y))}}P.a="vscode-app",e.FileAccess=new P;var d;(function(h){const y=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);h.CoopAndCoep=Object.freeze(y.get("3"));const b="vscode-coi";function v(f){let w;typeof f=="string"?w=new URL(f).searchParams:f instanceof URL?w=f.searchParams:n.URI.isUri(f)&&(w=new URL(f.toString(!0)).searchParams);const a=w?.get(b);if(!!a)return y.get(a)}h.getHeadersFromQuery=v;function m(f,w,a){if(!globalThis.crossOriginIsolated)return;const u=w&&a?"3":a?"2":"1";f instanceof URLSearchParams?f.set(b,u):f[b]=u}h.addSearchParam=m})(d=e.COI||(e.COI={}))}),define(te[20],ie([0,1,32,15,9,4,27,7]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function d(m){return(0,P.uriToFsPath)(m,!0)}e.originalFSPath=d;class h{constructor(f){this.a=f}compare(f,w,a=!1){return f===w?0:(0,D.compare)(this.getComparisonKey(f,a),this.getComparisonKey(w,a))}isEqual(f,w,a=!1){return f===w?!0:!f||!w?!1:this.getComparisonKey(f,a)===this.getComparisonKey(w,a)}getComparisonKey(f,w=!1){return f.with({path:this.a(f)?f.path.toLowerCase():void 0,fragment:w?null:void 0}).toString()}ignorePathCasing(f){return this.a(f)}isEqualOrParent(f,w,a=!1){if(f.scheme===w.scheme){if(f.scheme===M.Schemas.file)return I.isEqualOrParent(d(f),d(w),this.a(f))&&f.query===w.query&&(a||f.fragment===w.fragment);if((0,e.isEqualAuthority)(f.authority,w.authority))return I.isEqualOrParent(f.path,w.path,this.a(f),"/")&&f.query===w.query&&(a||f.fragment===w.fragment)}return!1}joinPath(f,...w){return P.URI.joinPath(f,...w)}basenameOrAuthority(f){return(0,e.basename)(f)||f.authority}basename(f){return n.posix.basename(f.path)}extname(f){return n.posix.extname(f.path)}dirname(f){if(f.path.length===0)return f;let w;return f.scheme===M.Schemas.file?w=P.URI.file(n.dirname(d(f))).path:(w=n.posix.dirname(f.path),f.authority&&w.length&&w.charCodeAt(0)!==47&&(console.error(`dirname("${f.toString})) resulted in a relative path`),w="/")),f.with({path:w})}normalizePath(f){if(!f.path.length)return f;let w;return f.scheme===M.Schemas.file?w=P.URI.file(n.normalize(d(f))).path:w=n.posix.normalize(f.path),f.with({path:w})}relativePath(f,w){if(f.scheme!==w.scheme||!(0,e.isEqualAuthority)(f.authority,w.authority))return;if(f.scheme===M.Schemas.file){const p=n.relative(d(f),d(w));return C.isWindows?I.toSlashes(p):p}let a=f.path||"/";const u=w.path||"/";if(this.a(f)){let p=0;for(const k=Math.min(a.length,u.length);p<k&&!(a.charCodeAt(p)!==u.charCodeAt(p)&&a.charAt(p).toLowerCase()!==u.charAt(p).toLowerCase());p++);a=u.substr(0,p)+a.substr(p)}return n.posix.relative(a,u)}resolvePath(f,w){if(f.scheme===M.Schemas.file){const a=P.URI.file(n.resolve(d(f),w));return f.with({authority:a.authority,path:a.path})}return w=I.toPosixPath(w),f.with({path:n.posix.resolve(f.path,w)})}isAbsolutePath(f){return!!f.path&&f.path[0]==="/"}isEqualAuthority(f,w){return f===w||f!==void 0&&w!==void 0&&(0,D.equalsIgnoreCase)(f,w)}hasTrailingPathSeparator(f,w=n.sep){if(f.scheme===M.Schemas.file){const a=d(f);return a.length>I.getRoot(a).length&&a[a.length-1]===w}else{const a=f.path;return a.length>1&&a.charCodeAt(a.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(f.fsPath)}}removeTrailingPathSeparator(f,w=n.sep){return(0,e.hasTrailingPathSeparator)(f,w)?f.with({path:f.path.substr(0,f.path.length-1)}):f}addTrailingPathSeparator(f,w=n.sep){let a=!1;if(f.scheme===M.Schemas.file){const u=d(f);a=u!==void 0&&u.length===I.getRoot(u).length&&u[u.length-1]===w}else{w="/";const u=f.path;a=u.length===1&&u.charCodeAt(u.length-1)===47}return!a&&!(0,e.hasTrailingPathSeparator)(f,w)?f.with({path:f.path+"/"}):f}}e.ExtUri=h,e.extUri=new h(()=>!1),e.extUriBiasedIgnorePathCase=new h(m=>m.scheme===M.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new h(m=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function y(m,f){const w=[];for(let a=0;a<m.length;a++){const u=f(m[a]);m.some((p,k)=>k===a?!1:(0,e.isEqualOrParent)(u,f(p)))||w.push(m[a])}return w}e.distinctParents=y;var b;(function(m){m.META_DATA_LABEL="label",m.META_DATA_DESCRIPTION="description",m.META_DATA_SIZE="size",m.META_DATA_MIME="mime";function f(w){const a=new Map;w.path.substring(w.path.indexOf(";")+1,w.path.lastIndexOf(";")).split(";").forEach(k=>{const[E,R]=k.split(":");E&&R&&a.set(E,R)});const p=w.path.substring(0,w.path.indexOf(";"));return p&&a.set(m.META_DATA_MIME,p),a}m.parseMetaData=f})(b=e.DataUri||(e.DataUri={}));function v(m,f,w){if(f){let a=m.path;return a&&a[0]!==n.posix.sep&&(a=n.posix.sep+a),m.with({scheme:w,authority:f,path:a})}return m.with({scheme:w})}e.toLocalResource=v}),define(te[8],ie([0,1,22,13,3,2,20,4]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function d(_){return!!_&&typeof _.then=="function"}e.isThenable=d;function h(_){const $=new I.CancellationTokenSource,A=_($.token),T=new Promise((U,B)=>{const G=$.token.onCancellationRequested(()=>{G.dispose(),$.dispose(),B(new M.CancellationError)});Promise.resolve(A).then(N=>{G.dispose(),$.dispose(),U(N)},N=>{G.dispose(),$.dispose(),B(N)})});return new class{cancel(){$.cancel()}then(U,B){return T.then(U,B)}catch(U){return this.then(void 0,U)}finally(U){return T.finally(U)}}}e.createCancelablePromise=h;function y(_,$,A){return new Promise((T,U)=>{const B=$.onCancellationRequested(()=>{B.dispose(),T(A)});_.then(T,U).finally(()=>B.dispose())})}e.raceCancellation=y;function b(_,$){return new Promise((A,T)=>{const U=$.onCancellationRequested(()=>{U.dispose(),T(new M.CancellationError)});_.then(A,T).finally(()=>U.dispose())})}e.raceCancellationError=b;async function v(_){let $=-1;const A=_.map((U,B)=>U.then(G=>($=B,G))),T=await Promise.race(A);return _.forEach((U,B)=>{B!==$&&U.cancel()}),T}e.raceCancellablePromises=v;function m(_,$,A){let T;const U=setTimeout(()=>{T?.(void 0),A?.()},$);return Promise.race([_.finally(()=>clearTimeout(U)),new Promise(B=>T=B)])}e.raceTimeout=m;function f(_){return new Promise(($,A)=>{const T=_();d(T)?T.then($,A):$(T)})}e.asPromise=f;class w{constructor(){this.a=null,this.b=null,this.d=null}queue($){if(this.a){if(this.d=$,!this.b){const A=()=>{this.b=null;const T=this.queue(this.d);return this.d=null,T};this.b=new Promise(T=>{this.a.then(A,A).then(T)})}return new Promise((A,T)=>{this.b.then(A,T)})}return this.a=$(),new Promise((A,T)=>{this.a.then(U=>{this.a=null,A(U)},U=>{this.a=null,T(U)})})}}e.Throttler=w;class a{constructor(){this.a=Promise.resolve(null)}queue($){return this.a=this.a.then(()=>$(),()=>$())}}e.Sequencer=a;class u{constructor(){this.a=new Map}queue($,A){const U=(this.a.get($)??Promise.resolve()).catch(()=>{}).then(A).finally(()=>{this.a.get($)===U&&this.a.delete($)});return this.a.set($,U),U}}e.SequencerByKey=u;const p=(_,$)=>{let A=!0;const T=setTimeout(()=>{A=!1,$()},_);return{isTriggered:()=>A,dispose:()=>{clearTimeout(T),A=!1}}},k=_=>{let $=!0;return queueMicrotask(()=>{$&&($=!1,_())}),{isTriggered:()=>$,dispose:()=>{$=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class E{constructor($){this.defaultDelay=$,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger($,A=this.defaultDelay){this.g=$,this.h(),this.b||(this.b=new Promise((U,B)=>{this.d=U,this.f=B}).then(()=>{if(this.b=null,this.d=null,this.g){const U=this.g;return this.g=null,U()}}));const T=()=>{this.a=null,this.d?.(null)};return this.a=A===e.MicrotaskDelay?k(T):p(A,T),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new M.CancellationError),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.Delayer=E;class R{constructor($){this.a=new E($),this.b=new w}trigger($,A){return this.a.trigger(()=>this.b.queue($),A)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose()}}e.ThrottledDelayer=R;class t{constructor(){this.a=!1,this.b=new Promise(($,A)=>{this.d=$})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.Barrier=t;class c extends t{constructor($){super(),this.f=setTimeout(()=>this.open(),$)}open(){clearTimeout(this.f),super.open()}}e.AutoOpenBarrier=c;function i(_,$){return $?new Promise((A,T)=>{const U=setTimeout(()=>{B.dispose(),A()},_),B=$.onCancellationRequested(()=>{clearTimeout(U),B.dispose(),T(new M.CancellationError)})}):h(A=>i(_,A))}e.timeout=i;function r(_,$=0){const A=setTimeout(_,$);return(0,C.toDisposable)(()=>clearTimeout(A))}e.disposableTimeout=r;function s(_){const $=[];let A=0;const T=_.length;function U(){return A<T?_[A++]():null}function B(G){G!=null&&$.push(G);const N=U();return N?N.then(B):Promise.resolve($)}return Promise.resolve(null).then(B)}e.sequence=s;function l(_,$=T=>!!T,A=null){let T=0;const U=_.length,B=()=>{if(T>=U)return Promise.resolve(A);const G=_[T++];return Promise.resolve(G()).then(q=>$(q)?Promise.resolve(q):B())};return B()}e.first=l;function o(_,$=T=>!!T,A=null){if(_.length===0)return Promise.resolve(A);let T=_.length;const U=()=>{T=-1;for(const B of _)B.cancel?.()};return new Promise((B,G)=>{for(const N of _)N.then(q=>{--T>=0&&$(q)?(U(),B(q)):T===0&&B(A)}).catch(q=>{--T>=0&&(U(),G(q))})})}e.firstParallel=o;class g{constructor($){this.a=0,this.d=$,this.f=[],this.b=0,this.g=new n.Emitter}get onDrained(){return this.g.event}get size(){return this.a}queue($){return this.a++,new Promise((A,T)=>{this.f.push({factory:$,c:A,e:T}),this.h()})}h(){for(;this.f.length&&this.b<this.d;){const $=this.f.shift();this.b++;const A=$.factory();A.then($.c,$.e),A.then(()=>this.j(),()=>this.j())}}j(){this.a--,this.b--,this.f.length>0?this.h():this.g.fire()}dispose(){this.g.dispose()}}e.Limiter=g;class S extends g{constructor(){super(1)}}e.Queue=S;class L{constructor(){this.a=new Map,this.b=new Set}async whenDrained(){if(this.d())return;const $=new H;return this.b.add($),$.p}d(){for(const[,$]of this.a)if($.size>0)return!1;return!0}queueFor($,A=D.extUri){const T=A.getComparisonKey($);let U=this.a.get(T);return U||(U=new S,n.Event.once(U.onDrained)(()=>{U?.dispose(),this.a.delete(T),this.f()}),this.a.set(T,U)),U}f(){!this.d()||this.g()}g(){for(const $ of this.b)$.complete();this.b.clear()}dispose(){for(const[,$]of this.a)$.dispose();this.a.clear(),this.g()}}e.ResourceQueue=L;class O{constructor($,A){this.a=-1,typeof $=="function"&&typeof A=="number"&&this.setIfNotSet($,A)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet($,A){this.cancel(),this.a=setTimeout(()=>{this.a=-1,$()},A)}setIfNotSet($,A){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,$()},A))}}e.TimeoutTimer=O;class j{constructor(){this.a=-1}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearInterval(this.a),this.a=-1)}cancelAndSet($,A){this.cancel(),this.a=setInterval(()=>{$()},A)}}e.IntervalTimer=j;class K{constructor($,A){this.b=-1,this.a=$,this.d=A,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule($=this.d){this.cancel(),this.b=setTimeout(this.f,$)}get delay(){return this.d}set delay($){this.d=$}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.RunOnceScheduler=K;class V{constructor($,A){A%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${A}ms is not a multiple of 1000ms.`),this.a=$,this.b=A,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule($=this.b){$%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${$}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil($/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.ProcessTimeRunOnceScheduler=V;class J extends K{constructor($,A){super($,A),this.j=[]}work($){this.j.push($),this.isScheduled()||this.schedule()}h(){const $=this.j;this.j=[],this.a?.($)}dispose(){this.j=[],super.dispose()}}e.RunOnceWorker=J;class re extends C.Disposable{constructor($,A){super(),this.g=$,this.h=A,this.a=[],this.b=this.B(new C.MutableDisposable),this.f=!1}get pending(){return this.a.length}work($){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+$.length>this.g.maxBufferedWork)return!1}else if(this.pending+$.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const A of $)this.a.push(A);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new K(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.ThrottledWorker=re,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=_=>{(0,P.setTimeout0)(()=>{if($)return;const A=Date.now()+15;_(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,A-Date.now())}}))});let $=!1;return{dispose(){$||($=!0)}}}:e.runWhenIdle=(_,$)=>{const A=requestIdleCallback(_,typeof $=="number"?{timeout:$}:void 0);let T=!1;return{dispose(){T||(T=!0,cancelIdleCallback(A))}}}}();class se{constructor($){this.d=!1,this.a=()=>{try{this.f=$()}catch(A){this.g=A}finally{this.d=!0}},this.b=(0,e.runWhenIdle)(()=>this.a())}dispose(){this.b.dispose()}get value(){if(this.d||(this.b.dispose(),this.a()),this.g)throw this.g;return this.f}get isInitialized(){return this.d}}e.IdleValue=se;async function ae(_,$,A){let T;for(let U=0;U<A;U++)try{return await _()}catch(B){T=B,await i($)}throw T}e.retry=ae;class fe{hasPending($){return this.a?typeof $=="number"?this.a.taskId===$:!!this.a:!1}get pending(){return this.a?.promise}cancelPending(){this.a?.cancel()}setPending($,A,T){return this.a={taskId:$,cancel:()=>T?.(),promise:A},A.then(()=>this.d($),()=>this.d($)),A}d($){this.a&&$===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const $=this.b;this.b=void 0,$.run().then($.promiseResolve,$.promiseReject)}}setNext($){if(this.b)this.b.run=$;else{let A,T;const U=new Promise((B,G)=>{A=B,T=G});this.b={run:$,promise:U,promiseResolve:A,promiseReject:T}}return this.b.promise}hasNext(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.TaskSequentializer=fe;class ge{constructor($,A=()=>Date.now()){this.d=$,this.f=A,this.a=0,this.b=0}increment(){const $=this.f();return $-this.a>this.d&&(this.a=$,this.b=0),this.b++,this.b}}e.IntervalCounter=ge;class H{get isRejected(){return this.d}get isResolved(){return this.f}get isSettled(){return this.d||this.f}constructor(){this.d=!1,this.f=!1,this.p=new Promise(($,A)=>{this.a=$,this.b=A})}complete($){return new Promise(A=>{this.a($),this.f=!0,A()})}error($){return new Promise(A=>{this.b($),this.d=!0,A()})}cancel(){new Promise($=>{this.b(new M.CancellationError),this.d=!0,$()})}}e.DeferredPromise=H;var F;(function(_){async function $(T){let U;const B=await Promise.all(T.map(G=>G.then(N=>N,N=>{U||(U=N)})));if(typeof U<"u")throw U;return B}_.settled=$;function A(T){return new Promise(async(U,B)=>{try{await T(U,B)}catch(G){B(G)}})}_.withAsyncBody=A})(F=e.Promises||(e.Promises={}));var W;(function(_){_[_.Initial=0]="Initial",_[_.DoneOK=1]="DoneOK",_[_.DoneError=2]="DoneError"})(W||(W={}));class z{static fromArray($){return new z(A=>{A.emitMany($)})}static fromPromise($){return new z(async A=>{A.emitMany(await $)})}static fromPromises($){return new z(async A=>{await Promise.all($.map(async T=>A.emitOne(await T)))})}static merge($){return new z(async A=>{await Promise.all($.map(async T=>{for await(const U of T)A.emitOne(U)}))})}constructor($){this.a=0,this.b=[],this.d=null,this.f=new n.Emitter,queueMicrotask(async()=>{const A={emitOne:T=>this.g(T),emitMany:T=>this.h(T),reject:T=>this.k(T)};try{await Promise.resolve($(A)),this.j()}catch(T){this.k(T)}finally{A.emitOne=void 0,A.emitMany=void 0,A.reject=void 0}})}[Symbol.asyncIterator](){let $=0;return{next:async()=>{do{if(this.a===2)throw this.d;if($<this.b.length)return{done:!1,value:this.b[$++]};if(this.a===1)return{done:!0,value:void 0};await n.Event.toPromise(this.f.event)}while(!0)}}}static map($,A){return new z(async T=>{for await(const U of $)T.emitOne(A(U))})}map($){return z.map(this,$)}static filter($,A){return new z(async T=>{for await(const U of $)A(U)&&T.emitOne(U)})}filter($){return z.filter(this,$)}static coalesce($){return z.filter($,A=>!!A)}coalesce(){return z.coalesce(this)}static async toPromise($){const A=[];for await(const T of $)A.push(T);return A}toPromise(){return z.toPromise(this)}g($){this.a===0&&(this.b.push($),this.f.fire())}h($){this.a===0&&(this.b=this.b.concat($),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k($){this.a===0&&(this.a=2,this.d=$,this.f.fire())}}e.AsyncIterableObject=z,z.EMPTY=z.fromArray([]);class Y extends z{constructor($,A){super(A),this.l=$}cancel(){this.l.cancel()}}e.CancelableAsyncIterableObject=Y;function ne(_){const $=new I.CancellationTokenSource,A=_($.token);return new Y($,async T=>{const U=$.token.onCancellationRequested(()=>{U.dispose(),$.dispose(),T.reject(new M.CancellationError)});try{for await(const B of A){if($.token.isCancellationRequested)return;T.emitOne(B)}U.dispose(),$.dispose()}catch(B){U.dispose(),$.dispose(),T.reject(B)}})}e.createCancelableAsyncIterable=ne}),define(te[100],ie([0,1,25,8,32,35,9,4,27]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function h(){return Object.create(null)}e.getEmptyExpression=h,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const y="[/\\\\]",b="[^/\\\\]",v=/\//g;function m(H,F){switch(H){case 0:return"";case 1:return`${b}*?`;default:return`(?:${y}|${b}+${y}${F?`|${y}${b}+`:""})*?`}}function f(H,F){if(!H)return[];const W=[];let z=!1,Y=!1,ne="";for(const _ of H){switch(_){case F:if(!z&&!Y){W.push(ne),ne="";continue}break;case"{":z=!0;break;case"}":z=!1;break;case"[":Y=!0;break;case"]":Y=!1;break}ne+=_}return ne&&W.push(ne),W}e.splitGlobAware=f;function w(H){if(!H)return"";let F="";const W=f(H,e.GLOB_SPLIT);if(W.every(z=>z===e.GLOBSTAR))F=".*";else{let z=!1;W.forEach((Y,ne)=>{if(Y===e.GLOBSTAR){if(z)return;F+=m(2,ne===W.length-1)}else{let _=!1,$="",A=!1,T="";for(const U of Y){if(U!=="}"&&_){$+=U;continue}if(A&&(U!=="]"||!T)){let B;U==="-"?B=U:(U==="^"||U==="!")&&!T?B="^":U===e.GLOB_SPLIT?B="":B=(0,d.escapeRegExpCharacters)(U),T+=B;continue}switch(U){case"{":_=!0;continue;case"[":A=!0;continue;case"}":{F+=`(?:${f($,",").map(N=>w(N)).join("|")})`,_=!1,$="";break}case"]":{F+="["+T+"]",A=!1,T="";break}case"?":F+=b;continue;case"*":F+=m(1);continue;default:F+=(0,d.escapeRegExpCharacters)(U)}}ne<W.length-1&&(W[ne+1]!==e.GLOBSTAR||ne+2<W.length)&&(F+=y)}z=Y===e.GLOBSTAR})}return F}const a=/^\*\*\/\*\.[\w\.-]+$/,u=/^\*\*\/([\w\.-]+)\/?$/,p=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,k=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,E=/^\*\*((\/[\w\.-]+)+)\/?$/,R=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new C.LRUCache(1e4),c=function(){return!1},i=function(){return null};function r(H,F){if(!H)return i;let W;typeof H!="string"?W=H.pattern:W=H,W=W.trim();const z=`${W}_${!!F.trimForExclusions}`;let Y=t.get(z);if(Y)return s(Y,H);let ne;return a.test(W)?Y=o(W.substr(4),W):(ne=u.exec(l(W,F)))?Y=g(ne[1],W):(F.trimForExclusions?k:p).test(W)?Y=S(W,F):(ne=E.exec(l(W,F)))?Y=L(ne[1].substr(1),W,!0):(ne=R.exec(l(W,F)))?Y=L(ne[1],W,!1):Y=O(W),t.set(z,Y),s(Y,H)}function s(H,F){if(typeof F=="string")return H;const W=function(z,Y){return(0,n.isEqualOrParent)(z,F.base,!P.isLinux)?H((0,d.ltrim)(z.substr(F.base.length),D.sep),Y):null};return W.allBasenames=H.allBasenames,W.allPaths=H.allPaths,W.basenames=H.basenames,W.patterns=H.patterns,W}function l(H,F){return F.trimForExclusions&&H.endsWith("/**")?H.substr(0,H.length-2):H}function o(H,F){return function(W,z){return typeof W=="string"&&W.endsWith(H)?F:null}}function g(H,F){const W=`/${H}`,z=`\\${H}`,Y=function(_,$){return typeof _!="string"?null:$?$===H?F:null:_===H||_.endsWith(W)||_.endsWith(z)?F:null},ne=[H];return Y.basenames=ne,Y.patterns=[F],Y.allBasenames=ne,Y}function S(H,F){const W=fe(H.slice(1,-1).split(",").map($=>r($,F)).filter($=>$!==i),H),z=W.length;if(!z)return i;if(z===1)return W[0];const Y=function($,A){for(let T=0,U=W.length;T<U;T++)if(W[T]($,A))return H;return null},ne=W.find($=>!!$.allBasenames);ne&&(Y.allBasenames=ne.allBasenames);const _=W.reduce(($,A)=>A.allPaths?$.concat(A.allPaths):$,[]);return _.length&&(Y.allPaths=_),Y}function L(H,F,W){const z=D.sep===D.posix.sep,Y=z?H:H.replace(v,D.sep),ne=D.sep+Y,_=D.posix.sep+H;let $;return W?$=function(A,T){return typeof A=="string"&&(A===Y||A.endsWith(ne)||!z&&(A===H||A.endsWith(_)))?F:null}:$=function(A,T){return typeof A=="string"&&(A===Y||!z&&A===H)?F:null},$.allPaths=[(W?"*/":"./")+H],$}function O(H){try{const F=new RegExp(`^${w(H)}$`);return function(W){return F.lastIndex=0,typeof W=="string"&&F.test(W)?H:null}}catch{return i}}function j(H,F,W){return!H||typeof F!="string"?!1:K(H)(F,void 0,W)}e.match=j;function K(H,F={}){if(!H)return c;if(typeof H=="string"||V(H)){const W=r(H,F);if(W===i)return c;const z=function(Y,ne){return!!W(Y,ne)};return W.allBasenames&&(z.allBasenames=W.allBasenames),W.allPaths&&(z.allPaths=W.allPaths),z}return se(H,F)}e.parse=K;function V(H){const F=H;return F?typeof F.base=="string"&&typeof F.pattern=="string":!1}e.isRelativePattern=V;function J(H){return H.allBasenames||[]}e.getBasenameTerms=J;function re(H){return H.allPaths||[]}e.getPathTerms=re;function se(H,F){const W=fe(Object.getOwnPropertyNames(H).map($=>ae($,H[$],F)).filter($=>$!==i)),z=W.length;if(!z)return i;if(!W.some($=>!!$.requiresSiblings)){if(z===1)return W[0];const $=function(U,B){let G;for(let N=0,q=W.length;N<q;N++){const Q=W[N](U,B);if(typeof Q=="string")return Q;(0,M.isThenable)(Q)&&(G||(G=[]),G.push(Q))}return G?(async()=>{for(const N of G){const q=await N;if(typeof q=="string")return q}return null})():null},A=W.find(U=>!!U.allBasenames);A&&($.allBasenames=A.allBasenames);const T=W.reduce((U,B)=>B.allPaths?U.concat(B.allPaths):U,[]);return T.length&&($.allPaths=T),$}const Y=function($,A,T){let U,B;for(let G=0,N=W.length;G<N;G++){const q=W[G];q.requiresSiblings&&T&&(A||(A=(0,D.basename)($)),U||(U=A.substr(0,A.length-(0,D.extname)($).length)));const Q=q($,A,U,T);if(typeof Q=="string")return Q;(0,M.isThenable)(Q)&&(B||(B=[]),B.push(Q))}return B?(async()=>{for(const G of B){const N=await G;if(typeof N=="string")return N}return null})():null},ne=W.find($=>!!$.allBasenames);ne&&(Y.allBasenames=ne.allBasenames);const _=W.reduce(($,A)=>A.allPaths?$.concat(A.allPaths):$,[]);return _.length&&(Y.allPaths=_),Y}function ae(H,F,W){if(F===!1)return i;const z=r(H,W);if(z===i)return i;if(typeof F=="boolean")return z;if(F){const Y=F.when;if(typeof Y=="string"){const ne=(_,$,A,T)=>{if(!T||!z(_,$))return null;const U=Y.replace("$(basename)",()=>A),B=T(U);return(0,M.isThenable)(B)?B.then(G=>G?H:null):B?H:null};return ne.requiresSiblings=!0,ne}}return z}function fe(H,F){const W=H.filter($=>!!$.basenames);if(W.length<2)return H;const z=W.reduce(($,A)=>{const T=A.basenames;return T?$.concat(T):$},[]);let Y;if(F){Y=[];for(let $=0,A=z.length;$<A;$++)Y.push(F)}else Y=W.reduce(($,A)=>{const T=A.patterns;return T?$.concat(T):$},[]);const ne=function($,A){if(typeof $!="string")return null;if(!A){let U;for(U=$.length;U>0;U--){const B=$.charCodeAt(U-1);if(B===47||B===92)break}A=$.substr(U)}const T=z.indexOf(A);return T!==-1?Y[T]:null};ne.basenames=z,ne.patterns=Y,ne.allBasenames=z;const _=H.filter($=>!$.basenames);return _.push(ne),_}function ge(H,F){return(0,I.equals)(H,F,(W,z)=>typeof W=="string"&&typeof z=="string"?W===z:typeof W!="string"&&typeof z!="string"?W.base===z.base&&W.pattern===z.pattern:!1)}e.patternsEquals=ge}),define(te[37],ie([0,1,25,32,9,4,20,27]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function d(i,r){const{os:s,tildify:l,relative:o}=r;if(o){const L=h(i,o,s);if(typeof L=="string")return L}let g=i.fsPath;if(s===1&&!C.isWindows?g=g.replace(/\//g,"\\"):s!==1&&C.isWindows&&(g=g.replace(/\\/g,"/")),s!==1&&l?.userHome){const L=l.userHome.fsPath;let O;i.scheme!==l.userHome.scheme&&i.path.startsWith(n.posix.sep)?O=l.userHome.with({path:i.path}).fsPath:O=i.fsPath,g=v(O,L,s)}return(s===1?n.win32:n.posix).normalize(y(g,s===1))}e.getPathLabel=d;function h(i,r,s){const l=s===1?n.win32:n.posix,o=s===3?D.extUri:D.extUriIgnorePathCase,g=r.getWorkspace(),S=(0,I.firstOrDefault)(g.folders);if(!S)return;i.scheme!==S.uri.scheme&&i.path.startsWith(n.posix.sep)&&(i=S.uri.with({path:i.path}));const L=r.getWorkspaceFolder(i);if(!L)return;let O;if(o.isEqual(L.uri,i)?O="":O=o.relativePath(L.uri,i)??"",O&&(O=l.normalize(O)),g.folders.length>1&&!r.noPrefix){const j=L.name?L.name:o.basenameOrAuthority(L.uri);O=O?`${j} \u2022 ${O}`:j}return O}function y(i,r=C.isWindows){return(0,M.hasDriveLetter)(i,r)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=y;let b=Object.create(null);function v(i,r,s=C.OS){if(s===1||!i||!r)return i;let l=b.original===r?b.normalized:void 0;l||(l=r,C.isWindows&&(l=(0,M.toSlashes)(l)),l=`${(0,P.rtrim)(l,n.posix.sep)}${n.posix.sep}`,b={original:r,normalized:l});let o=i;return C.isWindows&&(o=(0,M.toSlashes)(o)),(s===3?o.startsWith(l):(0,P.startsWithIgnoreCase)(o,l))?`~/${o.substr(l.length)}`:i}e.tildify=v;function m(i,r){return i.replace(/^~($|\/|\\)/,`${r}$1`)}e.untildify=m;const f="\u2026",w="\\\\",a="~";function u(i,r=n.sep){const s=new Array(i.length);let l=!1;for(let o=0;o<i.length;o++){const g=i[o];if(g===""){s[o]=`.${r}`;continue}if(!g){s[o]=g;continue}l=!0;let S="",L=g;L.indexOf(w)===0?(S=L.substr(0,L.indexOf(w)+w.length),L=L.substr(L.indexOf(w)+w.length)):L.indexOf(r)===0?(S=L.substr(0,L.indexOf(r)+r.length),L=L.substr(L.indexOf(r)+r.length)):L.indexOf(a)===0&&(S=L.substr(0,L.indexOf(a)+a.length),L=L.substr(L.indexOf(a)+a.length));const O=L.split(r);for(let j=1;l&&j<=O.length;j++)for(let K=O.length-j;l&&K>=0;K--){l=!1;let V=O.slice(K,K+j).join(r);for(let J=0;!l&&J<i.length;J++)if(J!==o&&i[J]&&i[J].indexOf(V)>-1){const re=K+j===O.length,se=K>0&&i[J].indexOf(r)>-1?r+V:V,ae=i[J].endsWith(se);l=!re||ae}if(!l){let J="";(O[0].endsWith(":")||S!=="")&&(K===1&&(K=0,j++,V=O[0]+r+V),K>0&&(J=O[0]+r),J=S+J),K>0&&(J=J+f+r),J=J+V,K+j<O.length&&(J=J+r+f),s[o]=J}}l&&(s[o]=g)}return s}e.shorten=u;var p;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(p||(p={}));function k(i,r=Object.create(null)){const s=[];let l=!1,o="";for(const g of i)if(g==="$"||l&&g==="{")o&&s.push({value:o,type:p.TEXT}),o="",l=!0;else if(g==="}"&&l){const S=r[o];if(typeof S=="string")S.length&&s.push({value:S,type:p.VARIABLE});else if(S){const L=s[s.length-1];(!L||L.type!==p.SEPARATOR)&&s.push({value:S.label,type:p.SEPARATOR})}o="",l=!1}else o+=g;return o&&!l&&s.push({value:o,type:p.TEXT}),s.filter((g,S)=>{if(g.type===p.SEPARATOR){const L=s[S-1],O=s[S+1];return[L,O].every(j=>j&&(j.type===p.VARIABLE||j.type===p.TEXT)&&j.value.length>0)}return!0}).map(g=>g.value).join("")}e.template=k;function E(i,r){return C.isMacintosh||r?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):i.replace(/&&|&/g,s=>s==="&"?"&&":"&")}e.mnemonicMenuLabel=E;function R(i,r){return C.isMacintosh||r?i.replace(/\(&&\w\)|&&/g,""):C.isWindows?i.replace(/&&|&/g,s=>s==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=R;function t(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=t;function c(i){const r=i.indexOf("/")!==-1?n.posix:n.win32,s=r.basename(i),l=r.dirname(i);return s.length?{name:s,parentPath:l}:{name:l,parentPath:""}}e.splitName=c}),define(te[143],ie([0,1,17,7]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function n(b){return b.toJSON()}class C{constructor(v){this.a=v}transformIncoming(v){const m=this.a.transformIncoming(v);return m===v?v:n(M.URI.from(m))}transformOutgoing(v){const m=this.a.transformOutgoing(v);return m===v?v:n(M.URI.from(m))}transformOutgoingURI(v){const m=this.a.transformOutgoing(v);return m===v?v:M.URI.from(m)}transformOutgoingScheme(v){return this.a.transformOutgoingScheme(v)}}e.URITransformer=C,e.DefaultURITransformer=new class{transformIncoming(b){return b}transformOutgoing(b){return b}transformOutgoingURI(b){return b}transformOutgoingScheme(b){return b}};function D(b,v,m){if(!b||m>200)return null;if(typeof b=="object"){if(b instanceof M.URI)return v.transformOutgoing(b);for(const f in b)if(Object.hasOwnProperty.call(b,f)){const w=D(b[f],v,m+1);w!==null&&(b[f]=w)}}return null}function P(b,v){const m=D(b,v,0);return m===null?b:m}e.transformOutgoingURIs=P;function d(b,v,m,f){if(!b||f>200)return null;if(typeof b=="object"){if(b.$mid===1)return m?M.URI.revive(v.transformIncoming(b)):v.transformIncoming(b);if(b instanceof I.VSBuffer)return null;for(const w in b)if(Object.hasOwnProperty.call(b,w)){const a=d(b[w],v,m,f+1);a!==null&&(b[w]=a)}}return null}function h(b,v){const m=d(b,v,!1,0);return m===null?b:m}e.transformIncomingURIs=h;function y(b,v){const m=d(b,v,!0,0);return m===null?b:m}e.transformAndReviveIncomingURIs=y}),define(te[84],ie([0,1,26,13,60,31,131]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{c(y){return this.a||(this.a=n.TernarySearchTree.forStrings(),this.a.set("00-50-56",!0),this.a.set("00-0C-29",!0),this.a.set("00-05-69",!0),this.a.set("00-03-FF",!0),this.a.set("00-1C-42",!0),this.a.set("00-16-3E",!0),this.a.set("08-00-27",!0),this.a.set("00:50:56",!0),this.a.set("00:0C:29",!0),this.a.set("00:05:69",!0),this.a.set("00:03:FF",!0),this.a.set("00:1C:42",!0),this.a.set("00:16:3E",!0),this.a.set("08:00:27",!0)),!!this.a.findSubstr(y)}value(){if(this.b===void 0){let y=0,b=0;const v=(0,I.networkInterfaces)();for(const m in v){const f=v[m];if(f)for(const{mac:w,internal:a}of f)a||(b+=1,this.c(w.toUpperCase())&&(y+=1))}this.b=b>0?y/b:0}return this.b}};let P;async function d(){return P||(P=(async()=>await h()||C.generateUuid())()),P}e.getMachineId=d;async function h(){try{const y=await new Promise((v,m)=>{x(["crypto"],v,m)}),b=(0,D.getMac)();return y.createHash("sha256").update(b,"utf8").digest("hex")}catch(y){M.onUnexpectedError(y);return}}}),define(te[23],ie([0,1,41,26,144,8,32,79,9,4,20,7]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var v;(function(se){se[se.UNLINK=0]="UNLINK",se[se.MOVE=1]="MOVE"})(v=e.RimRafMode||(e.RimRafMode={}));async function m(se,ae=v.UNLINK){if((0,D.isRootOrDriveLetter)(se))throw new Error("rimraf - will refuse to recursively delete root");return ae===v.UNLINK?w(se):f(se)}async function f(se){try{const ae=(0,D.randomPath)((0,M.tmpdir)());try{await I.promises.rename(se,ae)}catch(fe){return fe.code==="ENOENT"?void 0:w(se)}w(ae).catch(fe=>{})}catch(ae){if(ae.code!=="ENOENT")throw ae}}async function w(se){return(0,n.promisify)(I.rm)(se,{recursive:!0,force:!0,maxRetries:3})}function a(se){if((0,D.isRootOrDriveLetter)(se))throw new Error("rimraf - will refuse to recursively delete root");I.rmSync(se,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=a;async function u(se,ae){return E(await(ae?p(se):(0,n.promisify)(I.readdir)(se)))}async function p(se){try{return await(0,n.promisify)(I.readdir)(se,{withFileTypes:!0})}catch(ge){console.warn("[node.js fs] readdir with filetypes failed with error: ",ge)}const ae=[],fe=await u(se);for(const ge of fe){let H=!1,F=!1,W=!1;try{const z=await e.Promises.lstat((0,d.join)(se,ge));H=z.isFile(),F=z.isDirectory(),W=z.isSymbolicLink()}catch(z){console.warn("[node.js fs] unexpected error from lstat after readdir: ",z)}ae.push({name:ge,isFile:()=>H,isDirectory:()=>F,isSymbolicLink:()=>W})}return ae}function k(se){return E(I.readdirSync(se))}e.readdirSync=k;function E(se){return se.map(ae=>typeof ae=="string"?h.isMacintosh?(0,P.normalizeNFC)(ae):ae:(ae.name=h.isMacintosh?(0,P.normalizeNFC)(ae.name):ae.name,ae))}async function R(se){const ae=await u(se),fe=[];for(const ge of ae)await c.existsDirectory((0,d.join)(se,ge))&&fe.push(ge);return fe}function t(se,ae=1e3){return new Promise(fe=>{let ge=!1;const H=setInterval(()=>{ge||(ge=!0,I.access(se,F=>{ge=!1,F&&(clearInterval(H),fe(void 0))}))},ae)})}e.whenDeleted=t;var c;(function(se){async function ae(H){let F;try{if(F=await e.Promises.lstat(H),!F.isSymbolicLink())return{stat:F}}catch{}try{return{stat:await e.Promises.stat(H),symbolicLink:F?.isSymbolicLink()?{dangling:!1}:void 0}}catch(W){if(W.code==="ENOENT"&&F)return{stat:F,symbolicLink:{dangling:!0}};if(h.isWindows&&W.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(H)),symbolicLink:{dangling:!1}}}catch(z){if(z.code==="ENOENT"&&F)return{stat:F,symbolicLink:{dangling:!0}};throw z}throw W}}se.stat=ae;async function fe(H){try{const{stat:F,symbolicLink:W}=await se.stat(H);return F.isFile()&&W?.dangling!==!0}catch{}return!1}se.existsFile=fe;async function ge(H){try{const{stat:F,symbolicLink:W}=await se.stat(H);return F.isDirectory()&&W?.dangling!==!0}catch{}return!1}se.existsDirectory=ge})(c=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new C.ResourceQueue;function r(se,ae,fe){return i.queueFor(b.URI.file(se),y.extUriBiasedIgnorePathCase).queue(()=>{const ge=S(fe);return new Promise((H,F)=>o(se,ae,ge,W=>W?F(W):H()))})}let s=!0;function l(se){s=se}e.configureFlushOnWrite=l;function o(se,ae,fe,ge){if(!s)return I.writeFile(se,ae,{mode:fe.mode,flag:fe.flag},ge);I.open(se,fe.flag,fe.mode,(H,F)=>{if(H)return ge(H);I.writeFile(F,ae,W=>{if(W)return I.close(F,()=>ge(W));I.fdatasync(F,z=>(z&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",z),l(!1)),I.close(F,Y=>ge(Y))))})})}function g(se,ae,fe){const ge=S(fe);if(!s)return I.writeFileSync(se,ae,{mode:ge.mode,flag:ge.flag});const H=I.openSync(se,ge.flag,ge.mode);try{I.writeFileSync(H,ae);try{I.fdatasyncSync(H)}catch(F){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",F),l(!1)}}finally{I.closeSync(H)}}e.writeFileSync=g;function S(se){return se?{mode:typeof se.mode=="number"?se.mode:438,flag:typeof se.flag=="string"?se.flag:"w"}:{mode:438,flag:"w"}}async function L(se,ae){if(se!==ae)try{await e.Promises.rename(se,ae)}catch(fe){if(se.toLowerCase()!==ae.toLowerCase()&&fe.code==="EXDEV"||se.endsWith("."))await O(se,ae,{preserveSymlinks:!1}),await m(se,v.MOVE);else throw fe}}async function O(se,ae,fe){return K(se,ae,{root:{source:se,target:ae},options:fe,handledSourcePaths:new Set})}const j=511;async function K(se,ae,fe){if(fe.handledSourcePaths.has(se))return;fe.handledSourcePaths.add(se);const{stat:ge,symbolicLink:H}=await c.stat(se);if(H){if(fe.options.preserveSymlinks)try{return await re(se,ae,fe)}catch(F){console.warn("[node.js fs] copy of symlink failed: ",F)}if(H.dangling)return}return ge.isDirectory()?V(se,ae,ge.mode&j,fe):J(se,ae,ge.mode&j)}async function V(se,ae,fe,ge){await e.Promises.mkdir(ae,{recursive:!0,mode:fe});const H=await u(se);for(const F of H)await K((0,d.join)(se,F),(0,d.join)(ae,F),ge)}async function J(se,ae,fe){await e.Promises.copyFile(se,ae),await e.Promises.chmod(ae,fe)}async function re(se,ae,fe){let ge=await e.Promises.readlink(se);(0,D.isEqualOrParent)(ge,fe.root.source,!h.isLinux)&&(ge=(0,d.join)(fe.root.target,ge.substr(fe.root.source.length+1))),await e.Promises.symlink(ge,ae)}e.Promises=new class{get access(){return(0,n.promisify)(I.access)}get stat(){return(0,n.promisify)(I.stat)}get lstat(){return(0,n.promisify)(I.lstat)}get utimes(){return(0,n.promisify)(I.utimes)}get read(){return(se,ae,fe,ge,H)=>new Promise((F,W)=>{I.read(se,ae,fe,ge,H,(z,Y,ne)=>z?W(z):F({bytesRead:Y,buffer:ne}))})}get readFile(){return(0,n.promisify)(I.readFile)}get write(){return(se,ae,fe,ge,H)=>new Promise((F,W)=>{I.write(se,ae,fe,ge,H,(z,Y,ne)=>z?W(z):F({bytesWritten:Y,buffer:ne}))})}get appendFile(){return(0,n.promisify)(I.appendFile)}get fdatasync(){return(0,n.promisify)(I.fdatasync)}get truncate(){return(0,n.promisify)(I.truncate)}get rename(){return(0,n.promisify)(I.rename)}get copyFile(){return(0,n.promisify)(I.copyFile)}get open(){return(0,n.promisify)(I.open)}get close(){return(0,n.promisify)(I.close)}get symlink(){return(0,n.promisify)(I.symlink)}get readlink(){return(0,n.promisify)(I.readlink)}get chmod(){return(0,n.promisify)(I.chmod)}get mkdir(){return(0,n.promisify)(I.mkdir)}get unlink(){return(0,n.promisify)(I.unlink)}get rmdir(){return(0,n.promisify)(I.rmdir)}get realpath(){return(0,n.promisify)(I.realpath)}async exists(se){try{return await e.Promises.access(se),!0}catch{return!1}}get readdir(){return u}get readDirsInDir(){return R}get writeFile(){return r}get rm(){return m}get move(){return L}get copy(){return O}}}),define(te[101],ie([0,1,41,9,4,27,23]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function P(v){if(n.isLinux)return v;const m=(0,M.dirname)(v);if(v===m)return v;const f=((0,M.basename)(v)||v).toLowerCase();try{const a=(0,D.readdirSync)(m).filter(u=>u.toLowerCase()===f);if(a.length===1){const u=P(m);if(u)return(0,M.join)(u,a[0])}else if(a.length>1){const u=a.indexOf(f);if(u>=0){const p=P(m);if(p)return(0,M.join)(p,a[u])}}}catch{}return null}e.realcaseSync=P;async function d(v){if(n.isLinux)return v;const m=(0,M.dirname)(v);if(v===m)return v;const f=((0,M.basename)(v)||v).toLowerCase();try{const a=(await D.Promises.readdir(m)).filter(u=>u.toLowerCase()===f);if(a.length===1){const u=await d(m);if(u)return(0,M.join)(u,a[0])}else if(a.length>1){const u=a.indexOf(f);if(u>=0){const p=await d(m);if(p)return(0,M.join)(p,a[u])}}}catch{}return null}e.realcase=d;async function h(v){try{return await D.Promises.realpath(v)}catch{const f=b(v);return await D.Promises.access(f,I.constants.R_OK),f}}e.realpath=h;function y(v){try{return I.realpathSync(v)}catch{const f=b(v);return I.accessSync(f,I.constants.R_OK),f}}e.realpathSync=y;function b(v){return(0,C.rtrim)((0,M.normalize)(v),M.sep)}}),define(te[145],ie([0,1,26,9,23]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,D=/^Microsoft.PowerShell_.*/,P=/^Microsoft.PowerShellPreview_.*/;var d;(function(E){E[E.x64=0]="x64",E[E.x86=1]="x86",E[E.ARM=2]="ARM"})(d||(d={}));let h;switch(process.arch){case"ia32":case"x32":h=1;break;case"arm":case"arm64":h=2;break;default:h=0;break}let y;process.env.PROCESSOR_ARCHITEW6432?y=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?y=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?y=1:y=0;class b{constructor(R,t,c){this.exePath=R,this.displayName=t,this.a=c}async exists(){return this.a===void 0&&(this.a=await n.SymlinkSupport.existsFile(this.exePath)),this.a}}function v({useAlternateBitness:E=!1}={}){return E?h===0?process.env["ProgramFiles(x86)"]||null:y===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function m({useAlternateBitness:E=!1,findPreview:R=!1}={}){const t=v({useAlternateBitness:E});if(!t)return null;const c=M.join(t,"PowerShell");if(!await n.SymlinkSupport.existsDirectory(c))return null;let i=-1,r=null;for(const o of await n.Promises.readdir(c)){let g=-1;if(R){const L=o.indexOf("-");if(L<0)continue;const O=o.substring(0,L);if(!C.test(O)||o.substring(L+1)!=="preview")continue;g=parseInt(O,10)}else{if(!C.test(o))continue;g=parseInt(o,10)}if(g<=i)continue;const S=M.join(c,o,"pwsh.exe");!await n.SymlinkSupport.existsFile(S)||(r=S,i=g)}if(!r)return null;const s=t.includes("x86")?" (x86)":"",l=R?" Preview":"";return new b(r,`PowerShell${l}${s}`,!0)}async function f({findPreview:E}={}){if(!process.env.LOCALAPPDATA)return null;const R=M.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await n.SymlinkSupport.existsDirectory(R))return null;const{pwshMsixDirRegex:t,pwshMsixName:c}=E?{pwshMsixDirRegex:P,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:D,pwshMsixName:"PowerShell (Store)"};for(const i of await n.Promises.readdir(R))if(t.test(i)){const r=M.join(R,i,"pwsh.exe");return new b(r,c)}return null}function w(){const E=M.join(I.homedir(),".dotnet","tools","pwsh.exe");return new b(E,".NET Core PowerShell Global Tool")}function a(){const E=M.join(process.env.windir,h===1&&y!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(E,"Windows PowerShell",!0)}async function*u(){let E=await m();E&&(yield E),E=await m({useAlternateBitness:!0}),E&&(yield E),E=await f(),E&&(yield E),E=w(),E&&(yield E),E=await m({findPreview:!0}),E&&(yield E),E=await f({findPreview:!0}),E&&(yield E),E=await m({useAlternateBitness:!0,findPreview:!0}),E&&(yield E),E=a(),E&&(yield E)}async function*p(){for await(const E of u())await E.exists()&&(yield E)}e.enumeratePowerShellInstallations=p;async function k(){for await(const E of p())return E;return null}e.getFirstAvailablePowerShellInstallation=k}),define(te[85],ie([0,1,9,4,36,82,10,23]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return C.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return C.TerminateResponseCode}});function d(b=n.env){return b.comspec||"cmd.exe"}e.getWindowsShell=d;function h(b){let v=[],m=!1;const f=function(w){if(m){v.push(w);return}(!b.send(w,u=>{if(u&&console.error(u),m=!1,v.length>0){const p=v.slice(0);v=[],p.forEach(k=>f(k))}})||M.isWindows)&&(m=!0)};return{send:f}}e.createQueuedSender=h;var y;(function(b){async function v(m,f,w){if(I.isAbsolute(m))return m;if(f===void 0&&(f=n.cwd()),I.dirname(m)!=="."||(w===void 0&&D.isString(n.env.PATH)&&(w=n.env.PATH.split(I.delimiter)),w===void 0||w.length===0))return I.join(f,m);async function u(p){if(await P.Promises.exists(p)){let k;try{k=await P.Promises.stat(p)}catch(E){E.message.startsWith("EACCES")&&(k=await P.Promises.lstat(p))}return k?!k.isDirectory():!1}return!1}for(const p of w){let k;if(I.isAbsolute(p)?k=I.join(p,m):k=I.join(f,p,m),await u(k))return k;let E=k+".com";if(await u(E)||(E=k+".exe",await u(E)))return E}return I.join(f,m)}b.findExecutable=v})(y=e.win32||(e.win32={}))}),define(te[102],ie([0,1,46,15]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function n(D){return new Promise((P,d)=>{let h;const y=new Map;function b(m,f,w,a,u){const p=y.get(f);if(m===D||p){const k={name:v(w),cmd:w,pid:m,ppid:f,load:a,mem:u};y.set(m,k),m===D&&(h=k),p&&(p.children||(p.children=[]),p.children.push(k),p.children.length>1&&(p.children=p.children.sort((E,R)=>E.pid-R.pid)))}}function v(m){const f=/--vscode-window-kind=shared-process/,w=/--vscode-window-kind=issue-reporter/,a=/--vscode-window-kind=process-explorer/,u=/--utility-sub-type=network/,p=/--utility-sub-type=node.mojom.NodeService/,k=/--crashes-directory/,E=/\\pipe\\winpty-control/,R=/conhost\.exe/,t=/--type=([a-zA-Z-]+)/;if(k.exec(m))return"electron-crash-reporter";if(E.exec(m))return"winpty-process";if(R.exec(m))return"console-window-host (Windows internal process)";let c=t.exec(m);if(c&&c.length===2){if(c[1]==="renderer")return f.exec(m)?"shared-process":w.exec(m)?"issue-reporter":a.exec(m)?"process-explorer":"window";if(c[1]==="utility"){if(u.exec(m))return"utility-network-service";if(p.exec(m))return"extension-host"}else if(c[1]==="extensionHost")return"extension-host";return c[1]}const i=/[a-zA-Z-]+\.js/g;let r="";do c=i.exec(m),c&&(r+=c+" ");while(c);return r&&m.indexOf("node ")<0&&m.indexOf("node.exe")<0?`electron_node ${r}`:m}if(process.platform==="win32"){const m=f=>f.indexOf("\\\\?\\")===0||f.indexOf("\\??\\")===0?f.substr(4):f.indexOf('"\\\\?\\')===0||f.indexOf('"\\??\\')===0?'"'+f.substr(5):f;new Promise((f,w)=>{x(["windows-process-tree"],f,w)}).then(f=>{f.getProcessList(D,w=>{if(!w){d(new Error(`Root process ${D} not found`));return}f.getProcessCpuUsage(w,a=>{const u=new Map;a.forEach(p=>{const k=m(p.commandLine||"");u.set(p.pid,{name:v(k),cmd:k,pid:p.pid,ppid:p.ppid,load:p.cpu||0,mem:p.memory||0})}),h=u.get(D),h?(u.forEach(p=>{const k=u.get(p.ppid);k&&(k.children||(k.children=[]),k.children.push(p))}),u.forEach(p=>{p.children&&(p.children=p.children.sort((k,E)=>k.pid-E.pid))}),P(h)):d(new Error(`Root process ${D} not found`))})},f.ProcessDataFlag.CommandLine|f.ProcessDataFlag.Memory)})}else{let m=function(){let f=[h];const w=[];for(;f.length;){const u=f.shift();u&&(w.push(u.pid),u.children&&(f=f.concat(u.children)))}let a=JSON.stringify(M.FileAccess.asFileUri("vs/base/node/cpuUsage.sh").fsPath);a+=" "+w.join(" "),(0,I.exec)(a,{},(u,p,k)=>{if(u||k)d(u||new Error(k.toString()));else{const E=p.toString().split(`
`);for(let R=0;R<w.length;R++){const t=y.get(w[R]);t.load=parseFloat(E[R])}if(!h){d(new Error(`Root process ${D} not found`));return}P(h)}})};(0,I.exec)("which ps",{},(f,w,a)=>{if(f||a)if(process.platform!=="linux")d(f||new Error(a.toString()));else{const u=JSON.stringify(M.FileAccess.asFileUri("vs/base/node/ps.sh").fsPath);(0,I.exec)(u,{},(p,k,E)=>{p||E?d(p||new Error(E.toString())):(C(k,b),m())})}else{const u=w.toString().trim(),p="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,I.exec)(`${u} ${p}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(k,E,R)=>{k||R&&!R.includes("screen size is bogus")?d(k||new Error(R.toString())):(C(E,b),process.platform==="linux"?m():h?P(h):d(new Error(`Root process ${D} not found`)))})}})}})}e.listProcesses=n;function C(D,P){const d=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,h=D.toString().split(`
`);for(const y of h){const b=d.exec(y.trim());b&&b.length===6&&P(parseInt(b[1]),parseInt(b[2]),b[5],parseFloat(b[3]),parseFloat(b[4]))}}}),define(te[146],ie([0,1,26,4,145,85]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShell=void 0;async function D(b,v){return b===1?M.isWindows?y():C.getWindowsShell(v):d(b,v)}e.getSystemShell=D;let P=null;function d(b,v){if(M.isLinux&&b===2||M.isMacintosh&&b===3)return"/bin/bash";if(!P){let m;if(M.isWindows)m="/bin/bash";else{if(m=v.SHELL,!m)try{m=(0,I.userInfo)().shell}catch{}m||(m="sh"),m==="/bin/false"&&(m="/bin/bash")}P=m}return P}let h=null;async function y(){return h||(h=(await(0,n.getFirstAvailablePowerShellInstallation)()).exePath),h}});var ve=this&&this.__decorate||function(x,e,I,M){var n=arguments.length,C=n<3?e:M===null?M=Object.getOwnPropertyDescriptor(e,I):M,D;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(x,e,I,M);else for(var P=x.length-1;P>=0;P--)(D=x[P])&&(C=(n<3?D(C):n>3?D(e,I,C):D(e,I))||C);return n>3&&C&&Object.defineProperty(e,I,C),C};define(te[47],ie([0,1,25,8,17,22,54,13,3,2,72,27,10]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.deserialize=e.serialize=e.BufferWriter=e.BufferReader=void 0;var m;(function(F){F[F.Promise=100]="Promise",F[F.PromiseCancel=101]="PromiseCancel",F[F.EventListen=102]="EventListen",F[F.EventDispose=103]="EventDispose"})(m||(m={}));function f(F){switch(F){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var w;(function(F){F[F.Initialize=200]="Initialize",F[F.PromiseSuccess=201]="PromiseSuccess",F[F.PromiseError=202]="PromiseError",F[F.PromiseErrorObj=203]="PromiseErrorObj",F[F.EventFire=204]="EventFire"})(w||(w={}));function a(F){switch(F){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var u;(function(F){F[F.Uninitialized=0]="Uninitialized",F[F.Idle=1]="Idle"})(u||(u={}));function p(F){let W=0;for(let z=0;;z+=7){const Y=F.read(1);if(W|=(Y.buffer[0]&127)<<z,!(Y.buffer[0]&128))return W}}const k=i(0);function E(F,W){if(W===0){F.write(k);return}let z=0;for(let ne=W;ne!==0;ne=ne>>>7)z++;const Y=n.VSBuffer.alloc(z);for(let ne=0;W!==0;ne++)Y.buffer[ne]=W&127,W=W>>>7,W>0&&(Y.buffer[ne]|=128);F.write(Y)}class R{constructor(W){this.b=W,this.a=0}read(W){const z=this.b.slice(this.a,this.a+W);return this.a+=z.byteLength,z}}e.BufferReader=R;class t{constructor(){this.a=[]}get buffer(){return n.VSBuffer.concat(this.a)}write(W){this.a.push(W)}}e.BufferWriter=t;var c;(function(F){F[F.Undefined=0]="Undefined",F[F.String=1]="String",F[F.Buffer=2]="Buffer",F[F.VSBuffer=3]="VSBuffer",F[F.Array=4]="Array",F[F.Object=5]="Object",F[F.Int=6]="Int"})(c||(c={}));function i(F){const W=n.VSBuffer.alloc(1);return W.writeUInt8(F,0),W}const r={Undefined:i(c.Undefined),String:i(c.String),Buffer:i(c.Buffer),VSBuffer:i(c.VSBuffer),Array:i(c.Array),Object:i(c.Object),Uint:i(c.Int)},s=typeof Buffer<"u";function l(F,W){if(typeof W>"u")F.write(r.Undefined);else if(typeof W=="string"){const z=n.VSBuffer.fromString(W);F.write(r.String),E(F,z.byteLength),F.write(z)}else if(s&&Buffer.isBuffer(W)){const z=n.VSBuffer.wrap(W);F.write(r.Buffer),E(F,z.byteLength),F.write(z)}else if(W instanceof n.VSBuffer)F.write(r.VSBuffer),E(F,W.byteLength),F.write(W);else if(Array.isArray(W)){F.write(r.Array),E(F,W.length);for(const z of W)l(F,z)}else if(typeof W=="number"&&(W|0)===W)F.write(r.Uint),E(F,W);else{const z=n.VSBuffer.fromString(JSON.stringify(W));F.write(r.Object),E(F,z.byteLength),F.write(z)}}e.serialize=l;function o(F){switch(F.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return F.read(p(F)).toString();case c.Buffer:return F.read(p(F)).buffer;case c.VSBuffer:return F.read(p(F));case c.Array:{const z=p(F),Y=[];for(let ne=0;ne<z;ne++)Y.push(o(F));return Y}case c.Object:return JSON.parse(F.read(p(F)).toString());case c.Int:return p(F)}}e.deserialize=o;class g{constructor(W,z,Y=null,ne=1e3){this.h=W,this.j=z,this.k=Y,this.l=ne,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(_=>this.q(_)),this.m({type:200})}registerChannel(W,z){this.b.set(W,z),setTimeout(()=>this.w(W),0)}m(W){switch(W.type){case 200:{const z=this.o([W.type]);this.k?.logOutgoing(z,0,1,a(W.type));return}case 201:case 202:case 204:case 203:{const z=this.o([W.type,W.id],W.data);this.k?.logOutgoing(z,W.id,1,a(W.type),W.data);return}}}o(W,z=void 0){const Y=new t;return l(Y,W),l(Y,z),this.p(Y.buffer)}p(W){try{return this.h.send(W),W.byteLength}catch{return 0}}q(W){const z=new R(W),Y=o(z),ne=o(z),_=Y[0];switch(_){case 100:return this.k?.logIncoming(W.byteLength,Y[1],1,`${f(_)}: ${Y[2]}.${Y[3]}`,ne),this.s({type:_,id:Y[1],channelName:Y[2],name:Y[3],arg:ne});case 102:return this.k?.logIncoming(W.byteLength,Y[1],1,`${f(_)}: ${Y[2]}.${Y[3]}`,ne),this.t({type:_,id:Y[1],channelName:Y[2],name:Y[3],arg:ne});case 101:return this.k?.logIncoming(W.byteLength,Y[1],1,`${f(_)}`),this.u({type:_,id:Y[1]});case 103:return this.k?.logIncoming(W.byteLength,Y[1],1,`${f(_)}`),this.u({type:_,id:Y[1]})}}s(W){const z=this.b.get(W.channelName);if(!z){this.v(W);return}const Y=new C.CancellationTokenSource;let ne;try{ne=z.call(this.j,W.name,W.arg,Y.token)}catch(A){ne=Promise.reject(A)}const _=W.id;ne.then(A=>{this.m({id:_,data:A,type:201}),this.d.delete(W.id)},A=>{A instanceof Error?this.m({id:_,data:{message:A.message,name:A.name,stack:A.stack?A.stack.split?A.stack.split(`
`):A.stack:void 0},type:202}):this.m({id:_,data:A,type:203}),this.d.delete(W.id)});const $=(0,h.toDisposable)(()=>Y.cancel());this.d.set(W.id,$)}t(W){const z=this.b.get(W.channelName);if(!z){this.v(W);return}const Y=W.id,_=z.listen(this.j,W.name,W.arg)($=>this.m({id:Y,data:$,type:204}));this.d.set(W.id,_)}u(W){const z=this.d.get(W.id);z&&(z.dispose(),this.d.delete(W.id))}v(W){let z=this.g.get(W.channelName);z||(z=[],this.g.set(W.channelName,z));const Y=setTimeout(()=>{console.error(`Unknown channel: ${W.channelName}`),W.type===100&&this.m({id:W.id,data:{name:"Unknown channel",message:`Channel name '${W.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);z.push({request:W,timeoutTimer:Y})}w(W){const z=this.g.get(W);if(z){for(const Y of z)switch(clearTimeout(Y.timeoutTimer),Y.request.type){case 100:this.s(Y.request);break;case 102:this.t(Y.request);break}this.g.delete(W)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,h.dispose)(this.d.values()),this.d.clear()}}e.ChannelServer=g;var S;(function(F){F[F.LocalSide=0]="LocalSide",F[F.OtherSide=1]="OtherSide"})(S=e.RequestInitiator||(e.RequestInitiator={}));class L{constructor(W,z=null){this.l=W,this.a=!1,this.b=u.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new d.Emitter,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(Y=>this.s(Y)),this.j=z}getChannel(W){const z=this;return{call(Y,ne,_){return z.a?Promise.reject(new P.CancellationError):z.m(W,Y,ne,_)},listen(Y,ne){return z.a?d.Event.None:z.o(W,Y,ne)}}}m(W,z,Y,ne=C.CancellationToken.None){const _=this.g++,A={id:_,type:100,channelName:W,name:z,arg:Y};if(ne.isCancellationRequested)return Promise.reject(new P.CancellationError);let T;return new Promise((B,G)=>{if(ne.isCancellationRequested)return G(new P.CancellationError);const N=()=>{const ue=ye=>{switch(ye.type){case 201:this.f.delete(_),B(ye.data);break;case 202:{this.f.delete(_);const Re=new Error(ye.data.message);Re.stack=Array.isArray(ye.data.stack)?ye.data.stack.join(`
`):ye.data.stack,Re.name=ye.data.name,G(Re);break}case 203:this.f.delete(_),G(ye.data);break}};this.f.set(_,ue),this.p(A)};let q=null;this.b===u.Idle?N():(q=(0,M.createCancelablePromise)(ue=>this.u()),q.then(()=>{q=null,N()}));const Q=()=>{q?(q.cancel(),q=null):this.p({id:_,type:101}),G(new P.CancellationError)},oe=ne.onCancellationRequested(Q);T=(0,h.combinedDisposable)((0,h.toDisposable)(Q),oe),this.d.add(T)}).finally(()=>{this.d.delete(T)})}o(W,z,Y){const ne=this.g++,$={id:ne,type:102,channelName:W,name:z,arg:Y};let A=null;const T=new d.Emitter({onWillAddFirstListener:()=>{A=(0,M.createCancelablePromise)(B=>this.u()),A.then(()=>{A=null,this.d.add(T),this.p($)})},onDidRemoveLastListener:()=>{A?(A.cancel(),A=null):(this.d.delete(T),this.p({id:ne,type:103}))}}),U=B=>T.fire(B.data);return this.f.set(ne,U),T.event}p(W){switch(W.type){case 100:case 102:{const z=this.q([W.type,W.id,W.channelName,W.name],W.arg);this.j?.logOutgoing(z,W.id,0,`${f(W.type)}: ${W.channelName}.${W.name}`,W.arg);return}case 101:case 103:{const z=this.q([W.type,W.id]);this.j?.logOutgoing(z,W.id,0,f(W.type));return}}}q(W,z=void 0){const Y=new t;return l(Y,W),l(Y,z),this.r(Y.buffer)}r(W){try{return this.l.send(W),W.byteLength}catch{return 0}}s(W){const z=new R(W),Y=o(z),ne=o(z),_=Y[0];switch(_){case 200:return this.j?.logIncoming(W.byteLength,0,0,a(_)),this.t({type:Y[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(W.byteLength,Y[1],0,a(_),ne),this.t({type:Y[0],id:Y[1],data:ne})}}t(W){if(W.type===200){this.b=u.Idle,this.k.fire();return}this.f.get(W.id)?.(W)}get onDidInitializePromise(){return d.Event.toPromise(this.onDidInitialize)}u(){return this.b===u.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,h.dispose)(this.d.values()),this.d.clear()}}ve([D.memoize],L.prototype,"onDidInitializePromise",null),e.ChannelClient=L;class O{get connections(){const W=[];return this.f.forEach(z=>W.push(z)),W}constructor(W){this.a=new Map,this.f=new Set,this.g=new d.Emitter,this.onDidAddConnection=this.g.event,this.h=new d.Emitter,this.onDidRemoveConnection=this.h.event,W(({protocol:z,onDidClientDisconnect:Y})=>{d.Event.once(z.onMessage)(_=>{const $=new R(_),A=o($),T=new g(z,A),U=new L(z);this.a.forEach((G,N)=>T.registerChannel(N,G));const B={channelServer:T,channelClient:U,ctx:A};this.f.add(B),this.g.fire(B),Y(()=>{T.dispose(),U.dispose(),this.f.delete(B),this.h.fire(B)})})})}getChannel(W,z){const Y=this;return{call(ne,_,$){let A;if((0,v.isFunction)(z)){const U=(0,I.getRandomElement)(Y.connections.filter(z));A=U?Promise.resolve(U):d.Event.toPromise(d.Event.filter(Y.onDidAddConnection,z))}else A=z.routeCall(Y,ne,_);const T=A.then(U=>U.channelClient.getChannel(W));return K(T).call(ne,_,$)},listen(ne,_){if((0,v.isFunction)(z))return Y.j(W,z,ne,_);const $=z.routeEvent(Y,ne,_).then(A=>A.channelClient.getChannel(W));return K($).listen(ne,_)}}}j(W,z,Y,ne){const _=this;let $=new h.DisposableStore;const A=new d.Emitter({onWillAddFirstListener:()=>{$=new h.DisposableStore;const T=new d.EventMultiplexer,U=new Map,B=N=>{const Q=N.channelClient.getChannel(W).listen(Y,ne),oe=T.add(Q);U.set(N,oe)},G=N=>{const q=U.get(N);!q||(q.dispose(),U.delete(N))};_.connections.filter(z).forEach(B),d.Event.filter(_.onDidAddConnection,z)(B,void 0,$),_.onDidRemoveConnection(G,void 0,$),T.event(A.fire,A,$),$.add(T)},onDidRemoveLastListener:()=>{$.dispose()}});return A.event}registerChannel(W,z){this.a.set(W,z),this.f.forEach(Y=>{Y.channelServer.registerChannel(W,z)})}dispose(){this.a.clear(),this.f.clear(),this.g.dispose(),this.h.dispose()}}e.IPCServer=O;class j{constructor(W,z,Y=null){const ne=new t;l(ne,z),W.send(ne.buffer),this.a=new L(W,Y),this.d=new g(W,z,Y)}getChannel(W){return this.a.getChannel(W)}registerChannel(W,z){this.d.registerChannel(W,z)}dispose(){this.a.dispose(),this.d.dispose()}}e.IPCClient=j;function K(F){return{call(W,z,Y){return F.then(ne=>ne.call(W,z,Y))},listen(W,z){const Y=new d.Relay;return F.then(ne=>Y.input=ne.listen(W,z)),Y.event}}}e.getDelayedChannel=K;function V(F){let W=!1;return{call(z,Y,ne){return W?F.call(z,Y,ne):(0,M.timeout)(0).then(()=>W=!0).then(()=>F.call(z,Y,ne))},listen(z,Y){if(W)return F.listen(z,Y);const ne=new d.Relay;return(0,M.timeout)(0).then(()=>W=!0).then(()=>ne.input=F.listen(z,Y)),ne.event}}}e.getNextTickChannel=V;class J{constructor(W){this.a=W}routeCall(W){return this.b(W)}routeEvent(W){return this.b(W)}async b(W){for(const z of W.connections)if(await Promise.resolve(this.a(z.ctx)))return Promise.resolve(z);return await d.Event.toPromise(W.onDidAddConnection),await this.b(W)}}e.StaticRouter=J;var re;(function(F){function W(_,$){const A=_,T=$&&$.disableMarshalling,U=new Map;for(const B in A)Y(B)&&U.set(B,d.Event.buffer(A[B],!0));return new class{listen(B,G,N){const q=U.get(G);if(q)return q;if(ne(G)){const Q=A[G];if(typeof Q=="function")return Q.call(A,N)}throw new Error(`Event not found: ${G}`)}call(B,G,N){const q=A[G];if(typeof q=="function"){if(!T&&Array.isArray(N))for(let Q=0;Q<N.length;Q++)N[Q]=(0,y.revive)(N[Q]);return q.apply(A,N)}throw new Error(`Method not found: ${G}`)}}}F.fromService=W;function z(_,$){const A=$&&$.disableMarshalling;return new Proxy({},{get(T,U){if(typeof U=="string")return $?.properties?.has(U)?$.properties.get(U):ne(U)?function(B){return _.listen(U,B)}:Y(U)?_.listen(U):async function(...B){let G;$&&!(0,v.isUndefinedOrNull)($.context)?G=[$.context,...B]:G=B;const N=await _.call(U,G);return A?N:(0,y.revive)(N)};throw new Error(`Property not found: ${String(U)}`)}})}F.toService=z;function Y(_){return _[0]==="o"&&_[1]==="n"&&b.isUpperAsciiLetter(_.charCodeAt(2))}function ne(_){return/^onDynamic/.test(_)&&b.isUpperAsciiLetter(_.charCodeAt(9))}})(re=e.ProxyChannel||(e.ProxyChannel={}));const se=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ae(F){if(Array.isArray(F))return F;if(F&&typeof F=="object"&&typeof F.toString=="function"){const W=F.toString();if(W!=="[object Object]")return W}return F}function fe(F){return Array.isArray(F)?F.map(ae):ae(F)}function ge(F,W,z,Y,ne,_,$){$=fe($);const A=se[ne],T=A[Y%A.length];let U=[`%c[${F}]%c[${String(W).padStart(7," ")}]%c[len: ${String(z).padStart(5," ")}]%c${String(Y).padStart(5," ")} - ${_}`,"color: darkgreen","color: grey","color: grey",`color: ${T}`];/\($/.test(_)?(U=U.concat($),U.push(")")):U.push($),console.log.apply(console,U)}class H{constructor(W,z){this.d=W,this.f=z,this.a=0,this.b=0}logOutgoing(W,z,Y,ne,_){this.b+=W,ge(this.d,this.b,W,z,Y,ne,_)}logIncoming(W,z,Y,ne,_){this.a+=W,ge(this.f,this.a,W,z,Y,ne,_)}}e.IPCLogger=H}),define(te[147],ie([0,1,17,3,47]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class C{constructor(d){this.a=d,this.onMessage=M.Event.fromDOMEventEmitter(this.a,"message",h=>I.VSBuffer.wrap(h.data)),d.start()}send(d){this.a.postMessage(d.buffer)}disconnect(){this.a.close()}}e.Protocol=C;class D extends n.IPCClient{constructor(d,h){const y=new C(d);super(y,h),this.b=y}dispose(){this.b.disconnect()}}e.Client=D}),define(te[103],ie([0,1,8,17,3,2,47]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.HighRoundTripTimeEvent=e.ConnectionHealthChangedEvent=e.connectionHealthToString=e.ConnectionHealth=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var P;(function(L){L.Created="created",L.Read="read",L.Write="write",L.Open="open",L.Error="error",L.Close="close",L.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",L.NodeEndReceived="nodeEndReceived",L.NodeEndSent="nodeEndSent",L.NodeDrainBegin="nodeDrainBegin",L.NodeDrainEnd="nodeDrainEnd",L.zlibInflateError="zlibInflateError",L.zlibInflateData="zlibInflateData",L.zlibInflateInitialWrite="zlibInflateInitialWrite",L.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",L.zlibInflateWrite="zlibInflateWrite",L.zlibInflateFlushFired="zlibInflateFlushFired",L.zlibDeflateError="zlibDeflateError",L.zlibDeflateData="zlibDeflateData",L.zlibDeflateWrite="zlibDeflateWrite",L.zlibDeflateFlushFired="zlibDeflateFlushFired",L.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",L.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",L.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",L.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",L.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",L.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",L.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",L.ProtocolHeaderRead="protocolHeaderRead",L.ProtocolMessageRead="protocolMessageRead",L.ProtocolHeaderWrite="protocolHeaderWrite",L.ProtocolMessageWrite="protocolMessageWrite",L.ProtocolWrite="protocolWrite"})(P=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var d;(function(L){L.enableDiagnostics=!1,L.records=[];const O=new WeakMap;let j=0;function K(J,re){if(!O.has(J)){const se=String(++j);O.set(J,se)}return O.get(J)}function V(J,re,se,ae){if(!L.enableDiagnostics)return;const fe=K(J,re);if(ae instanceof M.VSBuffer||ae instanceof Uint8Array||ae instanceof ArrayBuffer||ArrayBuffer.isView(ae)){const ge=M.VSBuffer.alloc(ae.byteLength);ge.set(ae),L.records.push({timestamp:Date.now(),id:fe,label:re,type:se,buff:ge})}else L.records.push({timestamp:Date.now(),id:fe,label:re,type:se,data:ae})}L.traceSocketEvent=V})(d=e.SocketDiagnostics||(e.SocketDiagnostics={}));var h;(function(L){L[L.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",L[L.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(h=e.SocketCloseEventType||(e.SocketCloseEventType={}));let y=null;function b(){return y||(y=M.VSBuffer.alloc(0)),y}class v{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(O){this.a.push(O),this.b+=O.byteLength}read(O){return this.c(O,!0)}peek(O){return this.c(O,!1)}c(O,j){if(O===0)return b();if(O>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===O){const re=this.a[0];return j&&(this.a.shift(),this.b-=O),re}if(this.a[0].byteLength>O){const re=this.a[0].slice(0,O);return j&&(this.a[0]=this.a[0].slice(O),this.b-=O),re}const K=M.VSBuffer.alloc(O);let V=0,J=0;for(;O>0;){const re=this.a[J];if(re.byteLength>O){const se=re.slice(0,O);K.set(se,V),V+=O,j&&(this.a[J]=re.slice(O),this.b-=O),O-=O}else K.set(re,V),V+=re.byteLength,j?(this.a.shift(),this.b-=re.byteLength):J++,O-=re.byteLength}return K}}e.ChunkStream=v;var m;(function(L){L[L.None=0]="None",L[L.Regular=1]="Regular",L[L.Control=2]="Control",L[L.Ack=3]="Ack",L[L.Disconnect=5]="Disconnect",L[L.ReplayRequest=6]="ReplayRequest",L[L.Pause=7]="Pause",L[L.Resume=8]="Resume",L[L.KeepAlive=9]="KeepAlive",L[L.LatencyMeasurementRequest=10]="LatencyMeasurementRequest",L[L.LatencyMeasurementResponse=11]="LatencyMeasurementResponse"})(m||(m={}));function f(L){switch(L){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive";case 10:return"LatencyMeasurementRequest";case 11:return"LatencyMeasurementResponse"}}var w;(function(L){L[L.HeaderLength=13]="HeaderLength",L[L.AcknowledgeTime=2e3]="AcknowledgeTime",L[L.TimeoutTime=2e4]="TimeoutTime",L[L.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",L[L.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",L[L.KeepAliveSendTime=5e3]="KeepAliveSendTime",L[L.LatencySampleTime=6e4]="LatencySampleTime",L[L.LatencySampleCount=5]="LatencySampleCount",L[L.HighLatencyTimeThreshold=1e3]="HighLatencyTimeThreshold",L[L.HighLatencySampleThreshold=3]="HighLatencySampleThreshold"})(w=e.ProtocolConstants||(e.ProtocolConstants={}));class a{constructor(O,j,K,V){this.type=O,this.id=j,this.ack=K,this.data=V,this.writtenTime=0}get size(){return this.data.byteLength}}class u extends C.Disposable{constructor(O){super(),this.f=this.B(new n.Emitter),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=O,this.b=!1,this.c=new v,this.B(this.a.onData(j=>this.acceptChunk(j))),this.lastReadTime=Date.now()}acceptChunk(O){if(!(!O||O.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(O);this.c.byteLength>=this.g.readLen;){const j=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=j.readUInt32BE(9),this.g.messageType=j.readUInt8(0),this.g.id=j.readUInt32BE(1),this.g.ack=j.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:f(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const K=this.g.messageType,V=this.g.id,J=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",j),this.f.fire(new a(K,V,J,j)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class p{constructor(O){this.k=null,this.a=!1,this.b=!1,this.c=O,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(O){if(this.a)return;O.writtenTime=Date.now(),this.lastWriteTime=Date.now();const j=M.VSBuffer.alloc(13);j.writeUInt8(O.type,0),j.writeUInt32BE(O.id,1),j.writeUInt32BE(O.ack,5),j.writeUInt32BE(O.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:f(O.type),id:O.id,ack:O.ack,messageSize:O.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",O.data),this.j(j,O.data)}g(O,j){const K=this.f===0;return this.d.push(O,j),this.f+=O.byteLength+j.byteLength,K}h(){const O=M.VSBuffer.concat(this.d,this.f);return this.d.length=0,this.f=0,O}j(O,j){this.g(O,j)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const O=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:O.byteLength}),this.c.write(O)}}class k extends C.Disposable{constructor(O){super(),this.f=new n.Emitter,this.onMessage=this.f.event,this.g=new n.Emitter,this.onDidDispose=this.g.event,this.a=O,this.b=this.B(new p(this.a)),this.c=this.B(new u(this.a)),this.B(this.c.onMessage(j=>{j.type===1&&this.f.fire(j.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(O){this.b.write(new a(1,0,0,O))}}e.Protocol=k;class E extends D.IPCClient{static fromSocket(O,j){return new E(new k(O),j)}get onDidDispose(){return this.b.onDidDispose}constructor(O,j,K=null){super(O,j,K),this.b=O}dispose(){super.dispose();const O=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),O.end()}}e.Client=E;class R{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new n.Emitter({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(O){this.b?this.d.length>0?this.d.push(O):this.a.fire(O):this.d.push(O)}flushBuffer(){this.d=[]}}e.BufferedEmitter=R;class t{constructor(O){this.data=O,this.next=null}}class c{constructor(){this.a=null,this.b=null}length(){let O=0,j=this.a;for(;j;)j=j.next,O++;return O}peek(){return this.a?this.a.data:null}toArray(){const O=[];let j=0,K=this.a;for(;K;)O[j++]=K.data,K=K.next;return O}pop(){if(!!this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(O){const j=new t(O);if(!this.a){this.a=j,this.b=j;return}this.b.next=j,this.b=j}}class i{static getInstance(){return i.b||(i.b=new i),i.b}constructor(){this.c=[];const O=Date.now();for(let j=0;j<i.a;j++)this.c[j]=O-1e3*j;setInterval(()=>{for(let j=i.a;j>=1;j--)this.c[j]=this.c[j-1];this.c[0]=Date.now()},1e3)}d(){const O=Date.now(),j=(1+i.a)*1e3;let K=0;for(let V=0;V<i.a;V++)O-this.c[V]<=j&&K++;return 1-K/i.a}hasHighLoad(){return this.d()>=.5}}i.a=10,i.b=null;var r;(function(L){L[L.Good=0]="Good",L[L.Poor=1]="Poor"})(r=e.ConnectionHealth||(e.ConnectionHealth={}));function s(L){switch(L){case 0:return"good";case 1:return"poor"}}e.connectionHealthToString=s;class l{constructor(O){this.connectionHealth=O}}e.ConnectionHealthChangedEvent=l;class o{constructor(O,j){this.roundTripTime=O,this.recentHighRoundTripCount=j}}e.HighRoundTripTimeEvent=o;class g{get unacknowledgedCount(){return this.c-this.d}constructor(O){this.x=new R,this.onControlMessage=this.x.event,this.y=new R,this.onMessage=this.y.event,this.z=new R,this.onDidDispose=this.z.event,this.A=new R,this.onSocketClose=this.A.event,this.B=new R,this.onSocketTimeout=this.B.event,this.C=new R,this.onHighRoundTripTime=this.C.event,this.D=new R,this.onDidChangeConnectionHealth=this.D.event,this.u=O.loadEstimator??i.getInstance(),this.v=O.measureRoundTripTime??!1,this.w=O.sendKeepAlive??!0,this.a=!1,this.b=new c,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.t=new C.DisposableStore,this.o=O.socket,this.p=this.t.add(new p(this.o)),this.q=this.t.add(new u(this.o)),this.t.add(this.q.onMessage(j=>this.E(j))),this.t.add(this.o.onClose(j=>this.A.fire(j))),this.r=this.t.add(new S),this.t.add(this.r.onSendLatencyRequest(j=>this.J(j))),this.t.add(this.r.onHighRoundTripTime(j=>this.C.fire(j))),this.t.add(this.r.onDidChangeConnectionHealth(j=>this.D.fire(j))),this.v&&this.r.start(),O.initialChunk&&this.q.acceptChunk(O.initialChunk),this.w?this.l=setInterval(()=>{this.I()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.t.dispose()}drain(){return this.p.drain()}sendDisconnect(){const O=new a(5,0,0,b());this.p.write(O),this.p.flush()}sendPause(){const O=new a(7,0,0,b());this.p.write(O)}sendResume(){const O=new a(8,0,0,b());this.p.write(O)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(O,j){this.a=!0,this.t.dispose(),this.t=new C.DisposableStore,this.x.flushBuffer(),this.A.flushBuffer(),this.B.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=O,this.p=this.t.add(new p(this.o)),this.q=this.t.add(new u(this.o)),this.t.add(this.q.onMessage(K=>this.E(K))),this.t.add(this.o.onClose(K=>this.A.fire(K))),this.r=this.t.add(new S),this.t.add(this.r.onSendLatencyRequest(K=>this.J(K))),this.t.add(this.r.onHighRoundTripTime(K=>this.C.fire(K))),this.t.add(this.r.onDidChangeConnectionHealth(K=>this.D.fire(K))),this.q.acceptChunk(j)}endAcceptReconnection(){this.a=!1,this.v&&this.r.start(),this.h=this.g;const O=new a(3,0,this.h,b());this.p.write(O);const j=this.b.toArray();for(let K=0,V=j.length;K<V;K++)this.p.write(j[K]);this.G()}acceptDisconnect(){this.z.fire()}E(O){if(O.ack>this.d){this.d=O.ack;do{const j=this.b.peek();if(j&&j.id<=O.ack)this.b.pop();else break}while(!0)}switch(O.type){case 0:break;case 1:{if(O.id>this.g)if(O.id!==this.g+1){const j=Date.now();j-this.m>1e4&&(this.m=j,this.p.write(new a(6,0,0,b())))}else this.g=O.id,this.j=Date.now(),this.F(),this.y.fire(O.data);break}case 2:{this.x.fire(O.data);break}case 3:break;case 5:{this.z.fire();break}case 6:{const j=this.b.toArray();for(let K=0,V=j.length;K<V;K++)this.p.write(j[K]);this.G();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break;case 10:{this.K(O.data);break}case 11:{this.r.handleResponse(O.data);break}}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(O){const j=++this.c;this.h=this.g;const K=new a(1,j,this.h,O);this.b.push(K),this.a||(this.p.write(K),this.G())}sendControl(O){const j=new a(2,0,0,O);this.p.write(j)}F(){if(this.g<=this.h||this.k)return;const O=Date.now()-this.j;if(O>=2e3){this.H();return}this.k=setTimeout(()=>{this.k=null,this.F()},2e3-O+5)}G(){if(this.c<=this.d||this.f||this.a)return;const O=this.b.peek(),j=Date.now()-O.writtenTime,K=Date.now()-this.q.lastReadTime,V=Date.now()-this.n;if(j>=2e4&&K>=2e4&&V>=2e4&&!this.u.hasHighLoad()){this.n=Date.now(),this.B.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:j,timeSinceLastReceivedSomeData:K});return}const J=Math.max(2e4-j,2e4-K,2e4-V,500);this.f=setTimeout(()=>{this.f=null,this.G()},J)}H(){if(this.g<=this.h)return;this.h=this.g;const O=new a(3,0,this.h,b());this.p.write(O)}I(){this.h=this.g;const O=new a(9,0,this.h,b());this.p.write(O)}J(O){this.h=this.g;const j=new a(10,0,this.h,O);this.p.write(j)}K(O){this.h=this.g;const j=new a(11,0,this.h,O);this.p.write(j)}}e.PersistentProtocol=g;class S extends C.Disposable{constructor(){super(),this.a=this.B(new n.Emitter),this.onSendLatencyRequest=this.a.event,this.b=this.B(new n.Emitter),this.onHighRoundTripTime=this.b.event,this.c=this.B(new n.Emitter),this.onDidChangeConnectionHealth=this.c.event,this.f=this.B(new I.IntervalTimer),this.g=-1,this.h=0,this.j=Array.from({length:5},O=>0),this.k=0,this.l=0}start(){this.f.cancelAndSet(()=>{this.g=Date.now();const O=++this.h,j=M.VSBuffer.alloc(4);j.writeUInt32BE(O,0),this.a.fire(j)},6e4)}handleResponse(O){if(O.byteLength!==4)return;const j=O.readUInt32BE(0);if(this.g<=0||j!==this.h)return;const K=Date.now()-this.g,V=this.k++;this.j[V%this.j.length]=K;const J=this.l,re=this.j.filter(se=>se>=1e3).length;this.l=re>=3?1:0,K>1e3&&this.b.fire(new o(K,re)),J!==this.l&&this.c.fire(this.l)}}}),define(te[148],ie([0,1,42,17,3,2,47,133]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function d(y,b){const v=n.Event.fromNodeEventEmitter(I.validatedIpcMain,b,(f,w)=>({event:f,message:w})),m=n.Event.filter(v,({event:f})=>f.sender.id===y);return n.Event.map(m,({message:f})=>f&&M.VSBuffer.wrap(f))}class h extends D.IPCServer{static d(){const b=n.Event.fromNodeEventEmitter(I.validatedIpcMain,"vscode:hello",({sender:v})=>v);return n.Event.map(b,v=>{const m=v.id;h.b.get(m)?.dispose();const w=new n.Emitter;h.b.set(m,(0,C.toDisposable)(()=>w.fire()));const a=d(m,"vscode:message"),u=n.Event.any(n.Event.signal(d(m,"vscode:disconnect")),w.event);return{protocol:new P.Protocol(v,a),onDidClientDisconnect:u}})}constructor(){super(h.d())}}e.Server=h,h.b=new Map}),define(te[104],ie([0,1,42,3,31,147]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class D extends C.Client{constructor(h,y){super({addEventListener:(b,v)=>h.addListener(b,v),removeEventListener:(b,v)=>h.removeListener(b,v),postMessage:b=>h.postMessage(b),start:()=>h.start(),close:()=>h.close()},y)}}e.Client=D;async function P(d){if(d.isDestroyed()||d.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const h=(0,n.generateUuid)();d.webContents.send("vscode:createMessageChannel",h);const y=M.Event.fromNodeEventEmitter(I.validatedIpcMain,"vscode:createMessageChannelResult",(v,m)=>({nonce:m,port:v.ports[0]})),{port:b}=await M.Event.toPromise(M.Event.once(M.Event.filter(y,v=>v.nonce===h)));return b}e.connect=P}),define(te[149],ie([0,1,46,8,17,22,142,13,3,2,44,85,82,47]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class f extends m.ChannelServer{constructor(u){super({send:p=>{try{process.send?.(p.buffer.toString("base64"))}catch{}},onMessage:d.Event.fromNodeEventEmitter(process,"message",p=>n.VSBuffer.wrap(Buffer.from(p,"base64")))},u),process.once("disconnect",()=>this.dispose())}}e.Server=f;class w{constructor(u,p){this.i=u,this.j=p,this.c=new Set,this.g=new Map,this.h=new d.Emitter,this.onDidProcessExit=this.h.event;const k=p&&p.timeout?p.timeout:6e4;this.b=new M.Delayer(k),this.d=null,this.f=null}getChannel(u){const p=this;return{call(k,E,R){return p.k(u,k,E,R)},listen(k,E){return p.l(u,k,E)}}}k(u,p,k,E=C.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(E.isCancellationRequested)return Promise.reject(P.canceled());this.b.cancel();const R=this.n(u),t=(0,M.createCancelablePromise)(r=>R.call(p,k,r)),c=E.onCancellationRequested(()=>t.cancel()),i=(0,h.toDisposable)(()=>t.cancel());return this.c.add(i),t.finally(()=>{c.dispose(),this.c.delete(i),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),t}l(u,p,k){if(!this.b)return d.Event.None;this.b.cancel();let E;const R=new d.Emitter({onWillAddFirstListener:()=>{E=this.n(u).listen(p,k)(R.fire,R),this.c.add(E)},onDidRemoveLastListener:()=>{this.c.delete(E),E.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return R.event}get m(){if(!this.f){const u=this.j&&this.j.args?this.j.args:[],p=Object.create(null);p.env={...(0,y.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(p.env={...p.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(p.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(p.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(p.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),p.execArgv===void 0&&(p.execArgv=process.execArgv.filter(s=>!/^--inspect(-brk)?=/.test(s))),(0,v.removeDangerousEnvVariables)(p.env),this.d=(0,I.fork)(this.i,u,p);const k=new d.Emitter;d.Event.fromNodeEventEmitter(this.d,"message",s=>s)(s=>{if((0,D.isRemoteConsoleLog)(s)){(0,D.log)(s,`IPC Library: ${this.j.serverName}`);return}k.fire(n.VSBuffer.wrap(Buffer.from(s,"base64")))});const R=this.j.useQueue?(0,b.createQueuedSender)(this.d):this.d,t=s=>this.d&&this.d.connected&&R.send(s.buffer.toString("base64")),c=k.event,i={send:t,onMessage:c};this.f=new m.ChannelClient(i);const r=()=>this.o();process.once("exit",r),this.d.on("error",s=>console.warn('IPC "'+this.j.serverName+'" errored with '+s)),this.d.on("exit",(s,l)=>{process.removeListener("exit",r),this.c.forEach(o=>(0,h.dispose)(o)),this.c.clear(),s!==0&&l!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+s+" and signal "+l),this.b?.cancel(),this.o(),this.h.fire({code:s,signal:l})})}return this.f}n(u){let p=this.g.get(u);return p||(p=this.m.getChannel(u),this.g.set(u,p)),p}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.Client=w}),define(te[86],ie([0,1,17,13,3,2,9,4,31,47,103]),function(x,e,I,M,n,C,D,P,d,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function b(){return{crypto:globalThis._VSCODE_NODE_MODULES.crypto,zlib:globalThis._VSCODE_NODE_MODULES.zlib,net:globalThis._VSCODE_NODE_MODULES.net,os:globalThis._VSCODE_NODE_MODULES.os}}class v{traceSocketEvent(o,g){y.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,o,g)}constructor(o,g=""){this.f=!0,this.debugLabel=g,this.socket=o,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=S=>{if(this.traceSocketEvent("error",{code:S?.code,message:S?.message}),S){if(S.code==="EPIPE")return;(0,M.onUnexpectedError)(S)}},this.socket.on("error",this.a),this.b=S=>{this.traceSocketEvent("close",{hadError:S}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(o){const g=S=>{this.traceSocketEvent("read",S),o(I.VSBuffer.wrap(S))};return this.socket.on("data",g),{dispose:()=>this.socket.off("data",g)}}onClose(o){const g=S=>{o({type:0,hadError:S,error:void 0})};return this.socket.on("close",g),{dispose:()=>this.socket.off("close",g)}}onEnd(o){const g=()=>{o()};return this.socket.on("end",g),{dispose:()=>this.socket.off("end",g)}}write(o){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",o),this.socket.write(o.buffer,g=>{if(g){if(g.code==="EPIPE")return;(0,M.onUnexpectedError)(g)}})}catch(g){if(g.code==="EPIPE")return;(0,M.onUnexpectedError)(g)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((o,g)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),o();return}const S=()=>{this.socket.off("close",S),this.socket.off("end",S),this.socket.off("error",S),this.socket.off("timeout",S),this.socket.off("drain",S),this.traceSocketEvent("nodeDrainEnd"),o()};this.socket.on("close",S),this.socket.on("end",S),this.socket.on("error",S),this.socket.on("timeout",S),this.socket.on("drain",S)})}}e.NodeSocket=v;var m;(function(l){l[l.MinHeaderByteSize=2]="MinHeaderByteSize"})(m||(m={}));var f;(function(l){l[l.PeekHeader=1]="PeekHeader",l[l.ReadHeader=2]="ReadHeader",l[l.ReadBody=3]="ReadBody",l[l.Fin=4]="Fin"})(f||(f={}));class w extends C.Disposable{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(o,g){this.socket.traceSocketEvent(o,g)}constructor(o,g,S,L){super(),this.f=this.B(new n.Emitter),this.g=this.B(new n.Emitter),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=o,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:g,inflateBytesLength:S?.byteLength||0,recordInflateBytes:L}),this.a=this.B(new a(this,g,S,L,this.f,(O,j)=>this.k(O,j))),this.B(this.a.onError(O=>{console.error(O),(0,M.onUnexpectedError)(O),this.g.fire({type:0,hadError:!0,error:O})})),this.b=new y.ChunkStream,this.B(this.socket.onData(O=>this.l(O))),this.B(this.socket.onClose(O=>this.g.fire(O)))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(o){return this.f.event(o)}onClose(o){return this.g.event(o)}onEnd(o){return this.socket.onEnd(o)}write(o){this.a.writeMessage(o)}k(o,g){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",o);let S=2;o.byteLength<126?S+=0:o.byteLength<2**16?S+=2:S+=8;const L=I.VSBuffer.alloc(S);if(g?L.writeUInt8(194,0):L.writeUInt8(130,0),o.byteLength<126)L.writeUInt8(o.byteLength,1);else if(o.byteLength<2**16){L.writeUInt8(126,1);let O=1;L.writeUInt8(o.byteLength>>>8&255,++O),L.writeUInt8(o.byteLength>>>0&255,++O)}else{L.writeUInt8(127,1);let O=1;L.writeUInt8(0,++O),L.writeUInt8(0,++O),L.writeUInt8(0,++O),L.writeUInt8(0,++O),L.writeUInt8(o.byteLength>>>24&255,++O),L.writeUInt8(o.byteLength>>>16&255,++O),L.writeUInt8(o.byteLength>>>8&255,++O),L.writeUInt8(o.byteLength>>>0&255,++O)}this.socket.write(I.VSBuffer.concat([L,o]))}end(){this.h=!0,this.socket.end()}l(o){if(o.byteLength!==0){for(this.b.acceptChunk(o);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const g=this.b.peek(this.j.readLen),S=g.readUInt8(0),L=(S&128)>>>7,O=(S&64)>>>6,j=g.readUInt8(1),K=(j&128)>>>7,V=j&127;this.j.state=2,this.j.readLen=2+(K?4:0)+(V===126?2:0)+(V===127?8:0),this.j.fin=L,this.j.firstFrameOfMessage&&(this.j.compressed=Boolean(O)),this.j.firstFrameOfMessage=Boolean(L),this.j.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin})}else if(this.j.state===2){const g=this.b.read(this.j.readLen),S=g.readUInt8(1),L=(S&128)>>>7;let O=S&127,j=1;O===126?O=g.readUInt8(++j)*2**8+g.readUInt8(++j):O===127&&(O=g.readUInt8(++j)*0+g.readUInt8(++j)*0+g.readUInt8(++j)*0+g.readUInt8(++j)*0+g.readUInt8(++j)*2**24+g.readUInt8(++j)*2**16+g.readUInt8(++j)*2**8+g.readUInt8(++j));let K=0;L&&(K=g.readUInt8(++j)*2**24+g.readUInt8(++j)*2**16+g.readUInt8(++j)*2**8+g.readUInt8(++j)),this.j.state=3,this.j.readLen=O,this.j.mask=K,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask})}else if(this.j.state===3){const g=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",g),k(g,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",g),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.a.acceptFrame(g,this.j.compressed,!!this.j.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await n.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=w;class a extends C.Disposable{get permessageDeflate(){return Boolean(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:I.VSBuffer.alloc(0)}constructor(o,g,S,L,O,j){super(),this.k=o,this.l=O,this.m=j,this.a=this.B(new n.Emitter),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new n.Emitter),this.onDidFinishProcessingWriteQueue=this.j.event,this.n=!1,this.s=!1,g?(this.b=this.B(new u(this.k,L,S,{windowBits:15})),this.f=this.B(new p(this.k,{windowBits:15})),this.B(this.b.onError(K=>this.a.fire(K))),this.B(this.f.onError(K=>this.a.fire(K)))):(this.b=null,this.f=null)}writeMessage(o){this.g.push(o),this.p()}async p(){if(!this.n){for(this.n=!0;this.g.length>0;){const o=this.g.shift();if(this.f){const g=await this.r(this.f,o);this.m(g,!0)}else this.m(o,!1)}this.n=!1,this.j.fire()}}isProcessingWriteQueue(){return this.n}r(o,g){return new Promise((S,L)=>{o.write(g),o.flush(O=>S(O))})}acceptFrame(o,g,S){this.h.push({data:o,isCompressed:g,isLastFrameOfMessage:S}),this.t()}async t(){if(!this.s){for(this.s=!0;this.h.length>0;){const o=this.h.shift();if(this.b&&o.isCompressed){const g=await this.u(this.b,o.data,o.isLastFrameOfMessage);this.l.fire(g)}else this.l.fire(o.data)}this.s=!1}}u(o,g,S){return new Promise((L,O)=>{o.write(g),S&&o.write(I.VSBuffer.fromByteArray([0,0,255,255])),o.flush(j=>L(j))})}}class u extends C.Disposable{get recordedInflateBytes(){return this.j?I.VSBuffer.concat(this.f):I.VSBuffer.alloc(0)}constructor(o,g,S,L){super(),this.h=o,this.j=g,this.a=this.B(new n.Emitter),this.onError=this.a.event,this.f=[],this.g=[],this.b=b().zlib.createInflateRaw(L),this.b.on("error",O=>{this.h.traceSocketEvent("zlibInflateError",{message:O?.message,code:O?.code}),this.a.fire(O)}),this.b.on("data",O=>{this.h.traceSocketEvent("zlibInflateData",O),this.g.push(I.VSBuffer.wrap(O))}),S&&(this.h.traceSocketEvent("zlibInflateInitialWrite",S.buffer),this.b.write(S.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(o){this.j&&this.f.push(o.clone()),this.h.traceSocketEvent("zlibInflateWrite",o),this.b.write(o.buffer)}flush(o){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const g=I.VSBuffer.concat(this.g);this.g.length=0,o(g)})}}class p extends C.Disposable{constructor(o,g){super(),this.g=o,this.a=this.B(new n.Emitter),this.onError=this.a.event,this.f=[],this.b=b().zlib.createDeflateRaw({windowBits:15}),this.b.on("error",S=>{this.g.traceSocketEvent("zlibDeflateError",{message:S?.message,code:S?.code}),this.a.fire(S)}),this.b.on("data",S=>{this.g.traceSocketEvent("zlibDeflateData",S),this.f.push(I.VSBuffer.wrap(S))})}write(o){this.g.traceSocketEvent("zlibDeflateWrite",o.buffer),this.b.write(o.buffer)}flush(o){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let g=I.VSBuffer.concat(this.f);this.f.length=0,g=g.slice(0,g.byteLength-4),o(g)})}}function k(l,o){if(o===0)return;const g=l.byteLength>>>2;for(let V=0;V<g;V++){const J=l.readUInt32BE(V*4);l.writeUInt32BE(J^o,V*4)}const S=g*4,L=l.byteLength-S,O=o>>>24&255,j=o>>>16&255,K=o>>>8&255;L>=1&&l.writeUInt8(l.readUInt8(S)^O,S),L>=2&&l.writeUInt8(l.readUInt8(S+1)^j,S+1),L>=3&&l.writeUInt8(l.readUInt8(S+2)^K,S+2)}e.XDG_RUNTIME_DIR=typeof process<"u"?process.env.XDG_RUNTIME_DIR:void 0;const E={[2]:107,[1]:103};function R(){const l=(0,d.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${l}-sock`;let o;return e.XDG_RUNTIME_DIR?o=(0,D.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${l}.sock`):o=(0,D.join)(b().os.tmpdir(),`vscode-ipc-${l}.sock`),c(o),o}e.createRandomIPCHandle=R;function t(l,o,g){const S=b().crypto.createHash("md5").update(l).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${S}-${g}-${o}-sock`;let L;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?L=(0,D.join)(e.XDG_RUNTIME_DIR,`vscode-${S.substr(0,8)}-${g}-${o}.sock`):L=(0,D.join)(l,`${g}-${o}.sock`),c(L),L}e.createStaticIPCHandle=t;function c(l){const o=E[P.platform];typeof o=="number"&&l.length>=o&&console.warn(`WARNING: IPC handle "${l}" is longer than ${o} chars, try a shorter --user-data-dir`)}class i extends h.IPCServer{static b(o){const g=n.Event.fromNodeEventEmitter(o,"connection");return n.Event.map(g,S=>({protocol:new y.Protocol(new v(S,"ipc-server-connection")),onDidClientDisconnect:n.Event.once(n.Event.fromNodeEventEmitter(S,"close"))}))}constructor(o){super(i.b(o)),this.d=o}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.Server=i;function r(l){return new Promise((o,g)=>{const S=b().net.createServer();S.on("error",g),S.listen(l,()=>{S.removeListener("error",g),o(new i(S))})})}e.serve=r;function s(l,o){return new Promise((g,S)=>{const L=b().net.createConnection(l,()=>{L.removeListener("error",S),g(y.Client.fromSocket(new v(L,`ipc-client${o}`),o))});L.once("error",S)})}e.connect=s}),define(te[105],ie([0,1,8,3,2,10]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var D;(function(b){b[b.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",b[b.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(D=e.StorageHint||(e.StorageHint={}));function P(b){const v=b;return v?.changed instanceof Map||v?.deleted instanceof Set}e.isStorageItemsChangeEvent=P;var d;(function(b){b[b.None=0]="None",b[b.Initialized=1]="Initialized",b[b.Closed=2]="Closed"})(d=e.StorageState||(e.StorageState={}));class h extends n.Disposable{constructor(v,m=Object.create(null)){super(),this.m=v,this.n=m,this.b=this.B(new M.Emitter),this.onDidChangeStorage=this.b.event,this.c=d.None,this.f=new Map,this.g=new I.ThrottledDelayer(h.a),this.h=new Set,this.j=new Map,this.k=void 0,this.l=[],this.p()}p(){this.B(this.m.onDidChangeItemsExternal(v=>this.r(v)))}r(v){v.changed?.forEach((m,f)=>this.s(f,m)),v.deleted?.forEach(m=>this.s(m,void 0))}s(v,m){if(this.c===d.Closed)return;let f=!1;(0,C.isUndefinedOrNull)(m)?f=this.f.delete(v):this.f.get(v)!==m&&(this.f.set(v,m),f=!0),f&&this.b.fire(v)}get items(){return this.f}get size(){return this.f.size}async init(){this.c===d.None&&(this.c=d.Initialized,this.n.hint!==D.STORAGE_DOES_NOT_EXIST&&(this.f=await this.m.getItems()))}get(v,m){const f=this.f.get(v);return(0,C.isUndefinedOrNull)(f)?m:f}getBoolean(v,m){const f=this.get(v);return(0,C.isUndefinedOrNull)(f)?m:f==="true"}getNumber(v,m){const f=this.get(v);return(0,C.isUndefinedOrNull)(f)?m:parseInt(f,10)}async set(v,m){if(this.c===d.Closed)return;if((0,C.isUndefinedOrNull)(m))return this.delete(v);const f=String(m);if(this.f.get(v)!==f)return this.f.set(v,f),this.j.set(v,f),this.h.delete(v),this.b.fire(v),this.w()}async delete(v){if(!(this.c===d.Closed||!this.f.delete(v)))return this.h.has(v)||this.h.add(v),this.j.delete(v),this.b.fire(v),this.w()}async close(){return this.k||(this.k=this.t()),this.k}async t(){this.c=d.Closed;try{await this.w(0)}catch{}await this.m.close(()=>this.f)}get u(){return this.j.size>0||this.h.size>0}async v(){if(!this.u)return;const v={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.m.updateItems(v).finally(()=>{if(!this.u)for(;this.l.length;)this.l.pop()?.()})}async flush(v){if(!!this.u)return this.w(v)}async w(v){return this.g.trigger(()=>this.v(),v)}async whenFlushed(){if(!!this.u)return new Promise(v=>this.l.push(v))}isInMemory(){return this.n.hint===D.STORAGE_IN_MEMORY}dispose(){this.g.dispose(),super.dispose()}}e.Storage=h,h.a=100;class y{constructor(){this.onDidChangeItemsExternal=M.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(v){v.insert?.forEach((m,f)=>this.a.set(f,m)),v.delete?.forEach(m=>this.a.delete(m))}async close(){}}e.InMemoryStorageDatabase=y}),define(te[150],ie([0,1,8,3,35,9,23]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class P{get onDidChangeItemsExternal(){return M.Event.None}constructor(y,b=Object.create(null)){this.g=y,this.h=b,this.c=(0,C.basename)(this.g),this.d=new d(this.h.logging),this.f=this.n(this.g)}async getItems(){const y=await this.f,b=new Map;return(await this.s(y,"SELECT * FROM ItemTable")).forEach(m=>b.set(m.key,m.value)),this.d.isTracing&&this.d.trace(`[storage ${this.c}] getItems(): ${b.size} rows`),b}async updateItems(y){const b=await this.f;return this.j(b,y)}j(y,b){return this.d.isTracing&&this.d.trace(`[storage ${this.c}] updateItems(): insert(${b.insert?(0,n.mapToString)(b.insert):"0"}), delete(${b.delete?(0,n.setToString)(b.delete):"0"})`),this.t(y,()=>{const v=b.insert,m=b.delete;if(v&&v.size>0){const f=[];f.push([]);let w=0;v.forEach((a,u)=>{let p=f[w];p.length>P.b&&(w++,p=[],f.push(p)),p.push(u,a)}),f.forEach(a=>{this.u(y,`INSERT INTO ItemTable VALUES ${new Array(a.length/2).fill("(?,?)").join(",")}`,u=>u.run(a),()=>{const u=[];let p=0;return v.forEach((k,E)=>{u.push(E),p+=k.length}),`Keys: ${u.join(", ")} Length: ${p}`})})}if(m&&m.size){const f=[];f.push([]);let w=0;m.forEach(a=>{let u=f[w];u.length>P.b&&(w++,u=[],f.push(u)),u.push(a)}),f.forEach(a=>{this.u(y,`DELETE FROM ItemTable WHERE key IN (${new Array(a.length).fill("?").join(",")})`,u=>u.run(a),()=>{const u=[];return m.forEach(p=>{u.push(p)}),`Keys: ${u.join(", ")}`})})}})}async close(y){this.d.trace(`[storage ${this.c}] close()`);const b=await this.f;return this.k(b,y)}k(y,b){return new Promise((v,m)=>{y.db.close(f=>(f&&this.o(y,`[storage ${this.c}] close(): ${f}`),this.g===P.IN_MEMORY_PATH?v():!y.isErroneous&&!y.isInMemory?this.l().then(v,w=>(this.d.error(`[storage ${this.c}] backup(): ${w}`),v())):typeof b=="function"?D.Promises.unlink(this.g).then(()=>this.p(this.g).then(w=>{const a=()=>this.k(w,void 0);return this.j(w,{insert:b()}).then(()=>a(),u=>(a(),Promise.reject(u)))})).then(v,m):m(f||new Error("Database has errors or is in-memory without recovery option"))))})}l(){const y=this.m(this.g);return D.Promises.copy(this.g,y,{preserveSymlinks:!1})}m(y){return`${y}.backup`}async checkIntegrity(y){this.d.trace(`[storage ${this.c}] checkIntegrity(full: ${y})`);const b=await this.f,v=await this.r(b,y?"PRAGMA integrity_check":"PRAGMA quick_check"),m=y?v.integrity_check:v.quick_check;return b.isErroneous?`${m} (last error: ${b.lastError})`:b.isInMemory?`${m} (in-memory!)`:m}async n(y,b=!0){this.d.trace(`[storage ${this.c}] open(${y}, retryOnBusy: ${b})`);try{return await this.p(y)}catch(v){if(this.d.error(`[storage ${this.c}] open(): Unable to open DB due to ${v}`),v.code==="SQLITE_BUSY"&&b)return await(0,I.timeout)(P.a),this.n(y,!1);try{await D.Promises.unlink(y);try{await D.Promises.rename(this.m(y),y)}catch{}return await this.p(y)}catch(m){return this.d.error(`[storage ${this.c}] open(): Unable to use backup due to ${m}`),this.p(P.IN_MEMORY_PATH)}}}o(y,b){y.isErroneous=!0,y.lastError=b,this.d.error(b)}p(y){return new Promise((b,v)=>{new Promise((m,f)=>{x(["@vscode/sqlite3"],m,f)}).then(m=>{const f={db:new(this.d.isTracing?m.verbose().Database:m.Database)(y,w=>w?f.db&&w.code!=="SQLITE_CANTOPEN"?f.db.close(()=>v(w)):v(w):this.q(f,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>b(f),a=>f.db.close(()=>v(a)))),isInMemory:y===P.IN_MEMORY_PATH};f.db.on("error",w=>this.o(f,`[storage ${this.c}] Error (event): ${w}`)),this.d.isTracing&&f.db.on("trace",w=>this.d.trace(`[storage ${this.c}] Trace (event): ${w}`))},v)})}q(y,b){return new Promise((v,m)=>{y.db.exec(b,f=>f?(this.o(y,`[storage ${this.c}] exec(): ${f}`),m(f)):v())})}r(y,b){return new Promise((v,m)=>{y.db.get(b,(f,w)=>f?(this.o(y,`[storage ${this.c}] get(): ${f}`),m(f)):v(w))})}s(y,b){return new Promise((v,m)=>{y.db.all(b,(f,w)=>f?(this.o(y,`[storage ${this.c}] all(): ${f}`),m(f)):v(w))})}t(y,b){return new Promise((v,m)=>{y.db.serialize(()=>{y.db.run("BEGIN TRANSACTION"),b(),y.db.run("END TRANSACTION",f=>f?(this.o(y,`[storage ${this.c}] transaction(): ${f}`),m(f)):v())})})}u(y,b,v,m){const f=y.db.prepare(b),w=a=>{this.o(y,`[storage ${this.c}] prepare(): ${a} (${b}). Details: ${m()}`)};f.on("error",w),v(f),f.finalize(a=>{a&&w(a),f.removeListener("error",w)})}}e.SQLiteStorageDatabase=P,P.IN_MEMORY_PATH=":memory:",P.a=2e3,P.b=256;class d{constructor(y){y&&typeof y.logTrace=="function"&&process.env[d.VSCODE_TRACE_STORAGE]&&(this.a=y.logTrace),y&&typeof y.logError=="function"&&(this.b=y.logError)}get isTracing(){return!!this.a}trace(y){this.a?.(y)}error(y){this.b?.(y)}}d.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(te[151],ie([12,11]),function(x,e){return x.create("vs/code/electron-main/app",e)}),define(te[152],ie([12,11]),function(x,e){return x.create("vs/platform/configuration/common/configurationRegistry",e)}),define(te[153],ie([12,11]),function(x,e){return x.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(te[154],ie([12,11]),function(x,e){return x.create("vs/platform/environment/node/argv",e)}),define(te[155],ie([12,11]),function(x,e){return x.create("vs/platform/environment/node/argvHelper",e)}),define(te[156],ie([12,11]),function(x,e){return x.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(te[157],ie([12,11]),function(x,e){return x.create("vs/platform/extensionManagement/common/extensionNls",e)}),define(te[158],ie([12,11]),function(x,e){return x.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(te[159],ie([12,11]),function(x,e){return x.create("vs/platform/extensions/common/extensionValidator",e)}),define(te[160],ie([12,11]),function(x,e){return x.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(te[161],ie([12,11]),function(x,e){return x.create("vs/platform/files/common/fileService",e)}),define(te[162],ie([12,11]),function(x,e){return x.create("vs/platform/files/common/files",e)}),define(te[163],ie([12,11]),function(x,e){return x.create("vs/platform/files/common/io",e)}),define(te[164],ie([12,11]),function(x,e){return x.create("vs/platform/files/electron-main/diskFileSystemProviderServer",e)}),define(te[165],ie([12,11]),function(x,e){return x.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(te[166],ie([12,11]),function(x,e){return x.create("vs/platform/issue/electron-main/issueMainService",e)}),define(te[167],ie([12,11]),function(x,e){return x.create("vs/platform/menubar/electron-main/menubar",e)}),define(te[168],ie([12,11]),function(x,e){return x.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(te[169],ie([12,11]),function(x,e){return x.create("vs/platform/request/common/request",e)}),define(te[170],ie([12,11]),function(x,e){return x.create("vs/platform/shell/node/shellEnv",e)}),define(te[171],ie([12,11]),function(x,e){return x.create("vs/platform/telemetry/common/telemetryService",e)}),define(te[172],ie([12,11]),function(x,e){return x.create("vs/platform/update/common/update.config.contribution",e)}),define(te[173],ie([12,11]),function(x,e){return x.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(te[174],ie([12,11]),function(x,e){return x.create("vs/platform/windows/electron-main/windowImpl",e)}),define(te[175],ie([12,11]),function(x,e){return x.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(te[176],ie([12,11]),function(x,e){return x.create("vs/platform/workspace/common/workspace",e)}),define(te[177],ie([12,11]),function(x,e){return x.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(te[178],ie([12,11]),function(x,e){return x.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(te[179],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.isFolderBackupInfo=void 0;function I(n){return n&&n.hasOwnProperty("folderUri")}e.isFolderBackupInfo=I;function M(n){return n&&n.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=M}),define(te[180],ie([0,1,7]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeFolderInfos=e.deserializeWorkspaceInfos=e.isEmptyWindowBackupInfo=void 0;function M(D){return typeof D?.backupFolder=="string"}e.isEmptyWindowBackupInfo=M;function n(D){let P=[];try{Array.isArray(D.workspaces)&&(P=D.workspaces.map(d=>({workspace:{id:d.id,configPath:I.URI.parse(d.configURIPath)},remoteAuthority:d.remoteAuthority})))}catch{}return P}e.deserializeWorkspaceInfos=n;function C(D){let P=[];try{Array.isArray(D.folders)&&(P=D.folders.map(d=>({folderUri:I.URI.parse(d.folderUri),remoteAuthority:d.remoteAuthority})))}catch{}return P}e.deserializeFolderInfos=C}),define(te[181],ie([0,1,3,2]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class n{constructor(){this.a=new I.Emitter,this.b=new I.Emitter,this.c=new I.Emitter,this.d=new I.Emitter}call(P,d,h){switch(d){case"close":return Promise.resolve(this.a.fire({sessionId:h[0]}));case"reload":return Promise.resolve(this.b.fire({sessionId:h[0]}));case"terminate":return Promise.resolve(this.c.fire({sessionId:h[0]}));case"attach":return Promise.resolve(this.d.fire({sessionId:h[0],port:h[1],subId:h[2]}))}throw new Error("Method not implemented.")}listen(P,d,h){switch(d){case"close":return this.a.event;case"reload":return this.b.event;case"terminate":return this.c.event;case"attach":return this.d.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=n,n.ChannelName="extensionhostdebugservice";class C extends M.Disposable{constructor(P){super(),this.b=P}reload(P){this.b.call("reload",[P])}get onReload(){return this.b.listen("reload")}close(P){this.b.call("close",[P])}get onClose(){return this.b.listen("close")}attachSession(P,d,h){this.b.call("attach",[P,d,h])}get onAttachSession(){return this.b.listen("attach")}terminateSession(P,d){this.b.call("terminate",[P,d])}get onTerminateSession(){return this.b.listen("terminate")}openExtensionDevelopmentHostWindow(P,d){return this.b.call("openExtensionDevelopmentHostWindow",[P,d])}}e.ExtensionHostDebugChannelClient=C}),define(te[182],ie([0,1,136,54,15,9,36,20,7]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=e.EXTENSION_IDENTIFIER_WITH_LOG_REGEX=void 0,e.EXTENSION_IDENTIFIER_WITH_LOG_REGEX=/^([^.]+\..+):(.+)$/;class h{get appRoot(){return(0,C.dirname)(n.FileAccess.asFileUri("").fsPath)}get userHome(){return d.URI.file(this.b.homeDir)}get userDataPath(){return this.b.userDataDir}get appSettingsHome(){return d.URI.file((0,C.join)(this.userDataPath,"User"))}get tmpDir(){return d.URI.file(this.b.tmpDir)}get cacheHome(){return d.URI.file(this.userDataPath)}get stateResource(){return(0,P.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,P.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const f=(0,I.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,C.join)(this.userDataPath,"logs",f)}return this.args.logsPath}get userDataSyncLogResource(){return d.URI.file((0,C.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return d.URI.file((0,C.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,P.joinPath)(d.URI.file((0,C.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,P.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,P.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,P.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const f=D.env.VSCODE_PORTABLE;return f?d.URI.file((0,C.join)(f,"argv.json")):(0,P.joinPath)(this.userHome,this.c.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return d.URI.file((0,C.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,C.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const f=this.args["builtin-extensions-dir"];return f?(0,C.resolve)(f):(0,C.normalize)((0,C.join)(n.FileAccess.asFileUri("").fsPath,"..","extensions"))}get extensionsDownloadLocation(){const f=this.args["extensions-download-dir"];return f?d.URI.file((0,C.resolve)(f)):d.URI.file((0,C.join)(this.userDataPath,"CachedExtensionVSIXs"))}get extensionsPath(){const f=this.args["extensions-dir"];if(f)return(0,C.resolve)(f);const w=D.env.VSCODE_EXTENSIONS;if(w)return w;const a=D.env.VSCODE_PORTABLE;return a?(0,C.join)(a,"extensions"):(0,P.joinPath)(this.userHome,this.c.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const f=this.args.extensionDevelopmentPath;if(Array.isArray(f))return f.map(w=>/^[^:/?#]+?:\/\//.test(w)?d.URI.parse(w):d.URI.file((0,C.normalize)(w)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(f=>f==="ui"||f==="workspace"||f==="web"?f:"workspace")}get extensionTestsLocationURI(){const f=this.args.extensionTestsPath;if(f)return/^[^:/?#]+?:\/\//.test(f)?d.URI.parse(f):d.URI.file((0,C.normalize)(f))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const f=this.args["disable-extension"];if(f){if(typeof f=="string")return[f];if(Array.isArray(f)&&f.length>0)return f}return!1}get debugExtensionHost(){return y(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!D.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log?.find(f=>!e.EXTENSION_IDENTIFIER_WITH_LOG_REGEX.test(f))}get extensionLogLevel(){const f=[];for(const w of this.args.log||[]){const a=e.EXTENSION_IDENTIFIER_WITH_LOG_REGEX.exec(w);a&&a[1]&&a[2]&&f.push([a[1],a[2]])}return f.length?f:void 0}get serviceMachineIdResource(){return(0,P.joinPath)(d.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return d.URI.file((0,C.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const f=D.env.VSCODE_PORTABLE;return f?d.URI.file((0,C.join)(f,"policy.json")):(0,P.joinPath)(this.userHome,this.c.dataFolderName,"policy.json")}}get continueOn(){return this.args.continueOn}set continueOn(f){this.args.continueOn=f}get args(){return this.a}constructor(f,w,a){this.a=f,this.b=w,this.c=a,this.editSessionId=this.args.editSessionId}}ve([M.memoize],h.prototype,"appRoot",null),ve([M.memoize],h.prototype,"userHome",null),ve([M.memoize],h.prototype,"userDataPath",null),ve([M.memoize],h.prototype,"appSettingsHome",null),ve([M.memoize],h.prototype,"tmpDir",null),ve([M.memoize],h.prototype,"cacheHome",null),ve([M.memoize],h.prototype,"stateResource",null),ve([M.memoize],h.prototype,"userRoamingDataHome",null),ve([M.memoize],h.prototype,"userDataSyncHome",null),ve([M.memoize],h.prototype,"userDataSyncLogResource",null),ve([M.memoize],h.prototype,"editSessionsLogResource",null),ve([M.memoize],h.prototype,"sync",null),ve([M.memoize],h.prototype,"machineSettingsResource",null),ve([M.memoize],h.prototype,"workspaceStorageHome",null),ve([M.memoize],h.prototype,"localHistoryHome",null),ve([M.memoize],h.prototype,"keyboardLayoutResource",null),ve([M.memoize],h.prototype,"argvResource",null),ve([M.memoize],h.prototype,"isExtensionDevelopment",null),ve([M.memoize],h.prototype,"untitledWorkspacesHome",null),ve([M.memoize],h.prototype,"installSourcePath",null),ve([M.memoize],h.prototype,"builtinExtensionsPath",null),ve([M.memoize],h.prototype,"extensionsPath",null),ve([M.memoize],h.prototype,"extensionDevelopmentLocationURI",null),ve([M.memoize],h.prototype,"extensionDevelopmentKind",null),ve([M.memoize],h.prototype,"extensionTestsLocationURI",null),ve([M.memoize],h.prototype,"debugExtensionHost",null),ve([M.memoize],h.prototype,"logLevel",null),ve([M.memoize],h.prototype,"extensionLogLevel",null),ve([M.memoize],h.prototype,"serviceMachineIdResource",null),ve([M.memoize],h.prototype,"telemetryLogResource",null),ve([M.memoize],h.prototype,"disableWorkspaceTrust",null),ve([M.memoize],h.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=h;function y(m,f){return v(m["inspect-extensions"],m["inspect-brk-extensions"],5870,f,m.debugId,m.extensionEnvironment)}e.parseExtensionHostPort=y;function b(m,f){return v(m["inspect-ptyhost"],m["inspect-brk-ptyhost"],5877,f,m.extensionEnvironment)}e.parsePtyHostPort=b;function v(m,f,w,a,u,p){const E=Number(f||m)||(a?null:w),R=E?Boolean(!!f):!1;let t;if(p)try{t=JSON.parse(p)}catch{}return{port:E,break:R,debugId:u,env:t}}}),define(te[106],ie([0,1,284,4,154]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const C={o:(0,n.localize)(0,null),e:(0,n.localize)(1,null),t:(0,n.localize)(2,null)};e.OPTIONS={tunnel:{type:"subcommand",description:"Make the current machine accessible from vscode.dev or other machines through a secure tunnel",options:{"cli-data-dir":{type:"string",args:"dir",description:(0,n.localize)(3,null)},"disable-telemetry":{type:"boolean"},"telemetry-level":{type:"string"},user:{type:"subcommand",options:{login:{type:"subcommand",options:{provider:{type:"string"},"access-token":{type:"string"}}}}}}},diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,n.localize)(4,null)},merge:{type:"boolean",cat:"o",alias:"m",args:["path1","path2","base","result"],description:(0,n.localize)(5,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,n.localize)(6,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,n.localize)(7,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,n.localize)(8,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,n.localize)(9,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,n.localize)(10,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,n.localize)(11,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,n.localize)(12,null)},profile:{type:"string",cat:"o",args:"profileName",description:(0,n.localize)(13,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,n.localize)(14,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,n.localize)(15,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,n.localize)(16,null)},"show-versions":{type:"boolean",cat:"e",description:(0,n.localize)(17,null)},category:{type:"string",cat:"e",description:(0,n.localize)(18,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,n.localize)(19,null)},"pre-release":{type:"boolean",cat:"e",description:(0,n.localize)(20,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,n.localize)(21,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,n.localize)(22,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,n.localize)(23,null)},verbose:{type:"boolean",cat:"t",global:!0,description:(0,n.localize)(24,null)},log:{type:"string[]",cat:"t",args:"level",global:!0,description:(0,n.localize)(25,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,n.localize)(26,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,n.localize)(27,null)},"prof-append-timers":{type:"string"},"prof-duration-markers":{type:"string[]"},"prof-duration-markers-file":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,n.localize)(28,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,n.localize)(29,null)},sync:{type:"string",cat:"t",description:(0,n.localize)(30,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,n.localize)(31,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,n.localize)(32,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,n.localize)(33,null)},"ms-enable-electron-run-as-node":{type:"boolean",global:!0},"max-memory":{type:"string",cat:"t",description:(0,n.localize)(34,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,n.localize)(35,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},continueOn:{type:"string"},"locate-shell-integration-path":{type:"string",args:["bash","pwsh","zsh","fish"]},"enable-coi":{type:"boolean"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},"profile-temp":{type:"boolean"},_:{type:"string[]"}};const D={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function P(w,a,u=D){const p=w.find(l=>l.length>0&&l[0]!=="-"),k={},E=["_"],R=[],t={};let c;for(const l in a){const o=a[l];o.type==="subcommand"?l===p&&(c=o):(o.alias&&(k[l]=o.alias),o.type==="string"||o.type==="string[]"?(E.push(l),o.deprecates&&E.push(...o.deprecates)):o.type==="boolean"&&(R.push(l),o.deprecates&&R.push(...o.deprecates)),o.global&&(t[l]=o))}if(c&&p){const l=t;for(const L in c.options)l[L]=c.options[L];const o=w.filter(L=>L!==p),g=u.getSubcommandReporter?u.getSubcommandReporter(p):void 0,S=P(o,l,g);return{[p]:S,_:[]}}const i=I(w,{string:E,boolean:R,alias:k}),r={},s=i;r._=i._.map(l=>String(l)).filter(l=>l.length>0),delete s._;for(const l in a){const o=a[l];if(o.type==="subcommand")continue;o.alias&&delete s[o.alias];let g=s[l];if(o.deprecates)for(const S of o.deprecates)s.hasOwnProperty(S)&&(g||(g=s[S],g&&u.onDeprecatedOption(S,o.deprecationMessage||(0,n.localize)(36,null,l))),delete s[S]);if(typeof g<"u"){if(o.type==="string[]"){if(Array.isArray(g)||(g=[g]),!o.allowEmptyValue){const S=g.filter(L=>L.length>0);S.length!==g.length&&(u.onEmptyValue(l),g=S.length>0?S:void 0)}}else o.type==="string"&&(Array.isArray(g)?(g=g.pop(),u.onMultipleValues(l,g)):!g&&!o.allowEmptyValue&&(u.onEmptyValue(l),g=void 0));r[l]=g,o.deprecationMessage&&u.onDeprecatedOption(l,o.deprecationMessage)}delete s[l]}for(const l in s)u.onUnknownOption(l);return r}e.parseArgs=P;function d(w,a){let u="";return a.args&&(Array.isArray(a.args)?u=` <${a.args.join("> <")}>`:u=` <${a.args}>`),a.alias?`-${a.alias} --${w}${u}`:`--${w}${u}`}function h(w,a){const u=[];for(const p in w){const k=w[p],E=d(p,k);u.push([E,k.description])}return y(u,a)}e.formatOptions=h;function y(w,a){const p=w.reduce((R,t)=>Math.max(R,t[0].length),12)+2+1;if(a-p<25)return w.reduce((R,t)=>R.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);const k=a-p-1,E=[];for(const R of w){const t=R[0],c=v(R[1],k),i=b(p-t.length-2);E.push("  "+t+i+c[0]);for(let r=1;r<c.length;r++)E.push(b(p)+c[r])}return E}function b(w){return" ".repeat(w)}function v(w,a){const u=[];for(;w.length;){const p=w.length<a?w.length:w.lastIndexOf(" ",a),k=w.slice(0,p).trim();w=w.slice(p),u.push(k)}return u}function m(w,a,u,p,k){const E=process.stdout.isTTY&&process.stdout.columns||80,R=k?.noInputFiles!==!0?`[${(0,n.localize)(37,null)}...]`:"",t=[`${w} ${u}`];t.push(""),t.push(`${(0,n.localize)(38,null)}: ${a} [${(0,n.localize)(39,null)}]${R}`),t.push(""),k?.noPipe!==!0&&(M.isWindows?t.push((0,n.localize)(40,null,a)):t.push((0,n.localize)(41,null,a)),t.push(""));const c={},i=[];for(const r in p){const s=p[r];if(s.type==="subcommand")s.description&&i.push({command:r,description:s.description});else if(s.description&&s.cat){let l=c[s.cat];l||(c[s.cat]=l={}),l[r]=s}}for(const r in c){const s=r,l=c[s];l&&(t.push(C[s]),t.push(...h(l,E)),t.push(""))}return i.length&&(t.push((0,n.localize)(42,null)),t.push(...y(i.map(r=>[r.command,r.description]),E)),t.push("")),t.join(`
`)}e.buildHelpMessage=m;function f(w,a){return`${w||(0,n.localize)(43,null)}
${a||(0,n.localize)(44,null)}
${process.arch}`}e.buildVersionMessage=f}),define(te[183],ie([0,1,81,181,106]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class C extends M.ExtensionHostDebugBroadcastChannel{constructor(P){super(),this.f=P}call(P,d,h){return d==="openExtensionDevelopmentHostWindow"?this.g(h[0],h[1]):super.call(P,d,h)}async g(P,d){const h=(0,n.parseArgs)(P,n.OPTIONS);h.debugRenderer=d;const y=h.extensionDevelopmentPath;if(!y)return{success:!1};const[b]=await this.f.openExtensionDevelopmentHostWindow(y,{context:5,cli:h,forceProfile:h.profile,forceTempProfile:h["profile-temp"]});if(!d)return{success:!0};const v=b.win;if(!v)return{success:!0};const m=v.webContents.debugger;let f=m.isAttached()?1/0:0;const w=(0,I.createServer)(a=>{f++===0&&m.attach();let u=!1;const p=R=>{u||a.write(JSON.stringify(R)+"\0")},k=(R,t,c,i)=>p({method:t,params:c,sessionId:i});v.on("close",()=>{m.removeListener("message",k),a.end(),u=!0}),m.addListener("message",k);let E=Buffer.alloc(0);a.on("data",R=>{E=Buffer.concat([E,R]);for(let t=E.indexOf(0);t!==-1;t=E.indexOf(0)){let c;try{const i=E.slice(0,t).toString("utf8");E=E.slice(t+1),c=JSON.parse(i)}catch(i){console.error("error reading cdp line",i)}m.sendCommand(c.method,c.params,c.sessionId).then(i=>p({id:c.id,sessionId:c.sessionId,result:i})).catch(i=>p({id:c.id,sessionId:c.sessionId,error:{code:0,message:i.message}}))}}),a.on("error",R=>{console.error("error on cdp pipe:",R)}),a.on("close",()=>{u=!0,--f===0&&m.detach()})});return await new Promise(a=>w.listen(0,a)),v.on("close",()=>w.close()),{rendererDebugPort:w.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=C}),define(te[61],ie([0,1,285,155,106]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const C=2048;function D(v,m){const f=(E,R)=>{console.warn((0,M.localize)(0,null,E,R))},w=E=>{console.warn((0,M.localize)(1,null,E))},a=(E,R)=>{console.warn((0,M.localize)(2,null,E,R))},u=E=>({onUnknownOption:R=>{E!=="tunnel"&&console.warn((0,M.localize)(3,null,R,E))},onMultipleValues:f,onEmptyValue:w,onDeprecatedOption:a,getSubcommandReporter:E!=="tunnel"?u:void 0}),p={onUnknownOption:E=>{console.warn((0,M.localize)(4,null,E))},onMultipleValues:f,onEmptyValue:w,onDeprecatedOption:a,getSubcommandReporter:u},k=(0,n.parseArgs)(v,n.OPTIONS,m?p:void 0);return k.goto&&k._.forEach(E=>I(/^(\w:)?[^:]+(:\d*){0,2}$/.test(E),(0,M.localize)(5,null))),k["max-memory"]&&I(parseInt(k["max-memory"])>=C,`The max-memory argument cannot be specified lower than ${C} MB.`),k}function P(v){const m=v.findIndex(f=>!/^-/.test(f));if(m>-1)return[...v.slice(0,m),...v.slice(m+1)]}function d(v){let[,...m]=v;process.env.VSCODE_DEV&&(m=P(m)||[]);const f=!b(process.env);return D(m,f)}e.parseMainProcessArgv=d;function h(v){let[,,...m]=v;return process.env.VSCODE_DEV&&(m=P(m)||[]),D(m,!0)}e.parseCLIProcessArgv=h;function y(v,...m){const f=v.indexOf("--");return f===-1?v.push(...m):v.splice(f,0,...m),v}e.addArg=y;function b(v){return v.VSCODE_CLI==="1"}e.isLaunchedFromCli=b}),function(){"use strict";function x(e,I,M){function n(D,P){const d=C(D,P),h=[d];return e.isAbsolute(d)||h.unshift(M),e.resolve(...h)}function C(D,P){process.env.VSCODE_DEV&&(P="code-oss-dev");const d=process.env.VSCODE_PORTABLE;if(d)return e.join(d,"user-data");let h=process.env.VSCODE_APPDATA;if(h)return e.join(h,P);const y=D["user-data-dir"];if(y)return y;switch(process.platform){case"win32":if(h=process.env.APPDATA,!h){const b=process.env.USERPROFILE;if(typeof b!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");h=e.join(b,"AppData","Roaming")}break;case"darwin":h=e.join(I.homedir(),"Library","Application Support");break;case"linux":h=process.env.XDG_CONFIG_HOME||e.join(I.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(h,P)}return{getUserDataPath:n}}if(typeof define=="function")define(te[184],ie([185,26,36]),function(e,I,M){return x(e,I,M.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),I=require("os");module.exports=x(e,I,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(te[186],ie([0,1,26,182,184]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class C extends M.AbstractNativeEnvironmentService{constructor(P,d){super(P,{homeDir:(0,I.homedir)(),tmpDir:(0,I.tmpdir)(),userDataDir:(0,n.getUserDataPath)(P,d.nameShort)},d)}}e.NativeEnvironmentService=C}),define(te[187],ie([0,1,41,26,32]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFileSync=void 0;function C(D){const P=(0,n.randomPath)((0,M.tmpdir)());try{return(0,I.writeFileSync)(P,""),D&&console.log(`Marker file for --wait created: ${P}`),P}catch(d){D&&console.error(`Failed to create marker file for --wait: ${d}`);return}}e.createWaitMarkerFileSync=C}),define(te[188],ie([0,1,10,157]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;function n(D,P,d){try{C(D,P,d)}catch(h){console.error(h?.message??h)}return D}e.localizeManifest=n;function C(D,P,d){const h=(y,b,v)=>{const m=y[b];if((0,I.isString)(m)){const f=m,w=f.length;if(w>1&&f[0]==="%"&&f[w-1]==="%"){const a=f.substr(1,w-2);let u=P[a];u===void 0&&d&&(u=d[a]);const p=typeof u=="string"?u:u?.message,k=d?.[a],E=typeof k=="string"?k:k?.message;if(!p){E||console.warn(`[${D.name}]: ${(0,M.localize)(0,null,a)}`);return}if(v&&(b==="title"||b==="category")&&E&&E!==p){const R={value:p,original:E};y[b]=R}else y[b]=p}}else if((0,I.isObject)(m))for(const f in m)m.hasOwnProperty(f)&&(f==="commands"?h(m,f,!0):h(m,f,v));else if(Array.isArray(m))for(let f=0;f<m.length;f++)h(m,f,v)};for(const y in D)D.hasOwnProperty(y)&&h(D,y)}}),define(te[189],ie([0,1,13]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImplicitActivationEvents=e.ImplicitActivationEventsImpl=void 0;class M{constructor(){this.a=new Map}register(C,D){this.a.set(C,D)}updateManifest(C){if(!(typeof C.main>"u"&&typeof C.browser>"u")&&(C.activationEvents===void 0&&Object.assign(C,{activationEvents:[]}),!(!Array.isArray(C.activationEvents)||!C.contributes)))for(const D in C.contributes){const P=this.a.get(D);if(!P)continue;const d=C.contributes[D],h=Array.isArray(d)?d:[d];try{P(h,C.activationEvents)}catch(y){(0,I.onUnexpectedError)(y)}}}}e.ImplicitActivationEventsImpl=M,e.ImplicitActivationEvents=new M}),define(te[190],ie([0,1,20,83,159,191]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const D=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,P=/^-(\d{4})(\d{2})(\d{2})$/;function d(u){return u=u.trim(),u==="*"||D.test(u)}e.isValidVersionStr=d;function h(u){if(!d(u))return null;if(u=u.trim(),u==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const p=u.match(D);return p?{hasCaret:p[1]==="^",hasGreaterEquals:p[1]===">=",majorBase:p[2]==="x"?0:parseInt(p[2],10),majorMustEqual:p[2]!=="x",minorBase:p[4]==="x"?0:parseInt(p[4],10),minorMustEqual:p[4]!=="x",patchBase:p[6]==="x"?0:parseInt(p[6],10),patchMustEqual:p[6]!=="x",preRelease:p[8]||null}:null}e.parseVersion=h;function y(u){if(!u)return null;const p=u.majorBase,k=u.majorMustEqual,E=u.minorBase;let R=u.minorMustEqual;const t=u.patchBase;let c=u.patchMustEqual;u.hasCaret&&(p===0||(R=!1),c=!1);let i=0;if(u.preRelease){const r=P.exec(u.preRelease);if(r){const[,s,l,o]=r;i=Date.UTC(Number(s),Number(l)-1,Number(o))}}return{majorBase:p,majorMustEqual:k,minorBase:E,minorMustEqual:R,patchBase:t,patchMustEqual:c,isMinimum:u.hasGreaterEquals,notBefore:i}}e.normalizeVersion=y;function b(u,p,k){let E;typeof u=="string"?E=y(h(u)):E=u;let R;p instanceof Date?R=p.getTime():typeof p=="string"&&(R=new Date(p).getTime());let t;if(typeof k=="string"?t=y(h(k)):t=k,!E||!t)return!1;const c=E.majorBase,i=E.minorBase,r=E.patchBase;let s=t.majorBase,l=t.minorBase,o=t.patchBase;const g=t.notBefore;let S=t.majorMustEqual,L=t.minorMustEqual,O=t.patchMustEqual;return t.isMinimum?c>s?!0:c<s?!1:i>l?!0:i<l||R&&R<g?!1:r>=o:(c===1&&s===0&&(!S||!L||!O)&&(s=1,l=0,o=0,S=!0,L=!1,O=!1),c<s?!1:c>s?!S:i<l?!1:i>l?!L:r<o?!1:r>o?!O:!(R&&R<g))}e.isValidVersion=b;function v(u,p,k,E,R){const t=[];if(typeof E.publisher<"u"&&typeof E.publisher!="string")return t.push([M.default.Error,n.localize(0,null)]),t;if(typeof E.name!="string")return t.push([M.default.Error,n.localize(1,null,"name")]),t;if(typeof E.version!="string")return t.push([M.default.Error,n.localize(2,null,"version")]),t;if(!E.engines)return t.push([M.default.Error,n.localize(3,null,"engines")]),t;if(typeof E.engines.vscode!="string")return t.push([M.default.Error,n.localize(4,null,"engines.vscode")]),t;if(typeof E.extensionDependencies<"u"&&!a(E.extensionDependencies))return t.push([M.default.Error,n.localize(5,null,"extensionDependencies")]),t;if(typeof E.activationEvents<"u"){if(!a(E.activationEvents))return t.push([M.default.Error,n.localize(6,null,"activationEvents")]),t;if(typeof E.main>"u"&&typeof E.browser>"u")return t.push([M.default.Error,n.localize(7,null,"activationEvents","main")]),t}if(typeof E.extensionKind<"u"&&typeof E.main>"u"&&t.push([M.default.Warning,n.localize(8,null,"extensionKind")]),typeof E.main<"u"){if(typeof E.main!="string")return t.push([M.default.Error,n.localize(9,null,"main")]),t;{const r=(0,I.joinPath)(k,E.main);(0,I.isEqualOrParent)(r,k)||t.push([M.default.Warning,n.localize(10,null,r.path,k.path)])}if(typeof E.activationEvents>"u")return t.push([M.default.Error,n.localize(11,null,"activationEvents","main")]),t}if(typeof E.browser<"u"){if(typeof E.browser!="string")return t.push([M.default.Error,n.localize(12,null,"browser")]),t;{const r=(0,I.joinPath)(k,E.browser);(0,I.isEqualOrParent)(r,k)||t.push([M.default.Warning,n.localize(13,null,r.path,k.path)])}if(typeof E.activationEvents>"u")return t.push([M.default.Error,n.localize(14,null,"activationEvents","browser")]),t}if(!C.valid(E.version))return t.push([M.default.Error,n.localize(15,null)]),t;const c=[];if(!m(u,p,E,R,c))for(const r of c)t.push([M.default.Error,r]);return t}e.validateExtensionManifest=v;function m(u,p,k,E,R){return E||typeof k.main>"u"&&typeof k.browser>"u"?!0:w(u,p,k.engines.vscode,R)}e.isValidExtensionVersion=m;function f(u,p,k){return u==="*"||w(p,k,u)}e.isEngineValid=f;function w(u,p,k,E=[]){const R=y(h(k));if(!R)return E.push(n.localize(16,null,k)),!1;if(R.majorBase===0){if(!R.majorMustEqual||!R.minorMustEqual)return E.push(n.localize(17,null,k)),!1}else if(!R.majorMustEqual)return E.push(n.localize(18,null,k)),!1;return b(u,p,R)?!0:(E.push(n.localize(19,null,u,k)),!1)}function a(u){if(!Array.isArray(u))return!1;for(let p=0,k=u.length;p<k;p++)if(typeof u[p]!="string")return!1;return!0}}),define(te[192],ie([0,1,17,31]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function n(C,D,P){let d=P&&P.get("storage.serviceMachineId",-1)||null;if(d)return d;try{const y=(await D.readFile(C.serviceMachineIdResource)).value.toString();d=(0,M.isUUID)(y)?y:null}catch{d=null}if(!d){d=(0,M.generateUuid)();try{await D.writeFile(C.serviceMachineIdResource,I.VSBuffer.fromString(d))}catch{}}return P?.store("storage.serviceMachineId",d,-1,1),d}e.getServiceMachineId=n}),define(te[73],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class I{constructor(n,C=[],D=!1){this.ctor=n,this.staticArguments=C,this.supportsDelayedInstantiation=D}}e.SyncDescriptor=I}),define(te[193],ie([0,1,73]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=e.InstantiationType=void 0;const M=[];var n;(function(P){P[P.Eager=0]="Eager",P[P.Delayed=1]="Delayed"})(n=e.InstantiationType||(e.InstantiationType={}));function C(P,d,h){d instanceof I.SyncDescriptor||(d=new I.SyncDescriptor(d,[],Boolean(h))),M.push([P,d])}e.registerSingleton=C;function D(){return M}e.getSingletonServiceDescriptors=D}),define(te[194],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class I{constructor(C,D){this.key=C,this.data=D,this.incoming=new Map,this.outgoing=new Map}}e.Node=I;class M{constructor(C){this.b=C,this.a=new Map}roots(){const C=[];for(const D of this.a.values())D.outgoing.size===0&&C.push(D);return C}insertEdge(C,D){const P=this.lookupOrInsertNode(C),d=this.lookupOrInsertNode(D);P.outgoing.set(d.key,d),d.incoming.set(P.key,P)}removeNode(C){const D=this.b(C);this.a.delete(D);for(const P of this.a.values())P.outgoing.delete(D),P.incoming.delete(D)}lookupOrInsertNode(C){const D=this.b(C);let P=this.a.get(D);return P||(P=new I(D,C),this.a.set(D,P)),P}lookup(C){return this.a.get(this.b(C))}isEmpty(){return this.a.size===0}toString(){const C=[];for(const[D,P]of this.a)C.push(`${D}
	(-> incoming)[${[...P.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...P.outgoing.keys()].join(",")}]
`);return C.join(`
`)}findCycleSlow(){for(const[C,D]of this.a){const P=new Set([C]),d=this.c(D,P);if(d)return d}}c(C,D){for(const[P,d]of C.outgoing){if(D.has(P))return[...D,P].join(" -> ");D.add(P);const h=this.c(d,D);if(h)return h;D.delete(P)}}}e.Graph=M}),define(te[6],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var I;(function(D){D.serviceIds=new Map,D.DI_TARGET="$di$target",D.DI_DEPENDENCIES="$di$dependencies";function P(d){return d[D.DI_DEPENDENCIES]||[]}D.getServiceDependencies=P})(I=e._util||(e._util={})),e.IInstantiationService=n("instantiationService");function M(D,P,d){P[I.DI_TARGET]===P?P[I.DI_DEPENDENCIES].push({id:D,index:d}):(P[I.DI_DEPENDENCIES]=[{id:D,index:d}],P[I.DI_TARGET]=P)}function n(D){if(I.serviceIds.has(D))return I.serviceIds.get(D);const P=function(d,h,y){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");M(P,d,y)};return P.toString=()=>D,I.serviceIds.set(D,P),P}e.createDecorator=n;function C(D){return D}e.refineServiceDecorator=C}),define(te[62],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBackupMainService=void 0,e.IBackupMainService=(0,I.createDecorator)("backupMainService")}),define(te[18],ie([0,1,10,7,6]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,n.createDecorator)("configurationService");function C(a){return a&&typeof a=="object"&&(!a.overrideIdentifier||typeof a.overrideIdentifier=="string")&&(!a.resource||a.resource instanceof M.URI)}e.isConfigurationOverrides=C;function D(a){return a&&typeof a=="object"&&(!a.overrideIdentifiers||Array.isArray(a.overrideIdentifiers))&&!a.overrideIdentifier&&(!a.resource||a.resource instanceof M.URI)}e.isConfigurationUpdateOverrides=D;var P;(function(a){a[a.APPLICATION=1]="APPLICATION",a[a.USER=2]="USER",a[a.USER_LOCAL=3]="USER_LOCAL",a[a.USER_REMOTE=4]="USER_REMOTE",a[a.WORKSPACE=5]="WORKSPACE",a[a.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",a[a.DEFAULT=7]="DEFAULT",a[a.MEMORY=8]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function d(a){switch(a){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.ConfigurationTargetToString=d;function h(a,u){const p=Object.create(null);for(const k in a)y(p,k,a[k],u);return p}e.toValuesTree=h;function y(a,u,p,k){const E=u.split("."),R=E.pop();let t=a;for(let c=0;c<E.length;c++){const i=E[c];let r=t[i];switch(typeof r){case"undefined":r=t[i]=Object.create(null);break;case"object":break;default:k(`Ignoring ${u} as ${E.slice(0,c+1).join(".")} is ${JSON.stringify(r)}`);return}t=r}if(typeof t=="object"&&t!==null)try{t[R]=p}catch{k(`Ignoring ${u} as ${E.join(".")} is ${JSON.stringify(t)}`)}else k(`Ignoring ${u} as ${E.join(".")} is ${JSON.stringify(t)}`)}e.addToValueTree=y;function b(a,u){const p=u.split(".");v(a,p)}e.removeFromValueTree=b;function v(a,u){const p=u.shift();if(u.length===0){delete a[p];return}if(Object.keys(a).indexOf(p)!==-1){const k=a[p];typeof k=="object"&&!Array.isArray(k)&&(v(k,u),Object.keys(k).length===0&&delete a[p])}}function m(a,u,p){function k(t,c){let i=t;for(const r of c){if(typeof i!="object"||i===null)return;i=i[r]}return i}const E=u.split("."),R=k(a,E);return typeof R>"u"?p:R}e.getConfigurationValue=m;function f(a,u,p){Object.keys(u).forEach(k=>{k!=="__proto__"&&(k in a?I.isObject(a[k])&&I.isObject(u[k])?f(a[k],u[k],p):p&&(a[k]=u[k]):a[k]=u[k])})}e.merge=f;function w(a){return a.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=w}),define(te[74],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryCredentialsProvider=e.ICredentialsMainService=e.ICredentialsService=void 0,e.ICredentialsService=(0,I.createDecorator)("credentialsService"),e.ICredentialsMainService=(0,I.createDecorator)("credentialsMainService");class M{constructor(){this.a={}}async getPassword(C,D){return this.a[C]?.[D]??null}async setPassword(C,D,P){this.a[C]=this.a[C]??{},this.a[C][D]=P}async deletePassword(C,D){return this.a[C]?.[D]?(delete this.a[C][D],Object.keys(this.a[C]).length===0&&delete this.a[C],!0):!1}async findPassword(C){return JSON.stringify(this.a[C])??null}async findCredentials(C){const D=[];for(const P of Object.keys(this.a[C]||{}))D.push({account:P,password:this.a[C][P]});return D}async clear(){this.a={}}}e.InMemoryCredentialsProvider=M}),define(te[87],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,I.createDecorator)(e.ID);function M(C){return!!C.hostName&&!!C.errorMessage}e.isRemoteDiagnosticError=M;class n{async getPerformanceInfo(D,P){return{}}async getSystemInfo(D,P){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(D,P){return""}async getWorkspaceFileExtensions(D){return{extensions:[]}}async reportWorkspaceStats(D){}}e.NullDiagnosticsService=n}),define(te[107],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,I.createDecorator)("encryptionMainService")}),define(te[33],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,I.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,I.refineServiceDecorator)(e.IEnvironmentService)}),define(te[28],ie([0,1,54,9,86,33,186,6]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,P.refineServiceDecorator)(C.IEnvironmentService);class d extends D.NativeEnvironmentService{get cachedLanguagesPath(){return(0,M.join)(this.userDataPath,"clp")}get backupHome(){return(0,M.join)(this.userDataPath,"Backups")}get mainIPCHandle(){return(0,n.createStaticIPCHandle)(this.userDataPath,"main",this.c.version)}get mainLockfile(){return(0,M.join)(this.userDataPath,"code.lock")}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get crossOriginIsolated(){return!!this.args["enable-coi"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}get useCodeCache(){return!!this.codeCachePath}}ve([I.memoize],d.prototype,"cachedLanguagesPath",null),ve([I.memoize],d.prototype,"backupHome",null),ve([I.memoize],d.prototype,"mainIPCHandle",null),ve([I.memoize],d.prototype,"mainLockfile",null),ve([I.memoize],d.prototype,"disableUpdates",null),ve([I.memoize],d.prototype,"disableKeytar",null),ve([I.memoize],d.prototype,"crossOriginIsolated",null),ve([I.memoize],d.prototype,"codeCachePath",null),ve([I.memoize],d.prototype,"useCodeCache",null),e.EnvironmentMainService=d}),define(te[195],ie([0,1,156,6]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function n(u){switch(u){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=n;function C(u){switch(u){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=C;function D(u,p){switch(u){case 3:return p==="x64"?"win32-x64":p==="ia32"?"win32-ia32":p==="arm64"?"win32-arm64":"unknown";case 2:return p==="x64"?"linux-x64":p==="arm64"?"linux-arm64":p==="arm"?"linux-armhf":"unknown";case"alpine":return p==="x64"?"alpine-x64":p==="arm64"?"alpine-arm64":"unknown";case 1:return p==="x64"?"darwin-x64":p==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=D;function P(u,p){return p==="web"&&!u.includes("web")}e.isNotWebExtensionInWebTargetPlatform=P;function d(u,p,k){return P(p,k)?!1:u==="undefined"||u==="universal"?!0:u==="unknown"?!1:u===k?!0:h(k).includes(u)}e.isTargetPlatformCompatible=d;function h(u){switch(u){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=h;function y(u){return u&&typeof u=="object"&&typeof u.id=="string"&&(!u.uuid||typeof u.uuid=="string")}e.isIExtensionIdentifier=y;var b;(function(u){u[u.NoneOrRelevance=0]="NoneOrRelevance",u[u.LastUpdatedDate=1]="LastUpdatedDate",u[u.Title=2]="Title",u[u.PublisherName=3]="PublisherName",u[u.InstallCount=4]="InstallCount",u[u.PublishedDate=10]="PublishedDate",u[u.AverageRating=6]="AverageRating",u[u.WeightedRating=12]="WeightedRating"})(b=e.SortBy||(e.SortBy={}));var v;(function(u){u[u.Default=0]="Default",u[u.Ascending=1]="Ascending",u[u.Descending=2]="Descending"})(v=e.SortOrder||(e.SortOrder={}));var m;(function(u){u.Install="install",u.Uninstall="uninstall"})(m=e.StatisticType||(e.StatisticType={}));var f;(function(u){u[u.None=1]="None",u[u.Install=2]="Install",u[u.Update=3]="Update",u[u.Migrate=4]="Migrate"})(f=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,M.createDecorator)("extensionGalleryService");var w;(function(u){u.Unsupported="Unsupported",u.Deprecated="Deprecated",u.Malicious="Malicious",u.Incompatible="Incompatible",u.IncompatiblePreRelease="IncompatiblePreRelease",u.IncompatibleTargetPlatform="IncompatibleTargetPlatform",u.ReleaseVersionNotFound="ReleaseVersionNotFound",u.Invalid="Invalid",u.Download="Download",u.Extract="Extract",u.Delete="Delete",u.Rename="Rename",u.CorruptZip="CorruptZip",u.IncompleteZip="IncompleteZip",u.Internal="Internal",u.Signature="Signature"})(w=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class a extends Error{constructor(p,k){super(p),this.code=k,this.name=k}}e.ExtensionManagementError=a,e.IExtensionManagementService=(0,M.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,M.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,M.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,I.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.PreferencesLabel=(0,I.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"}}),define(te[196],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,I.createDecorator)("extensionUrlTrustService")}),define(te[197],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcExtensionHostStarterChannelName=e.IExtensionHostStarter=void 0,e.IExtensionHostStarter=(0,I.createDecorator)("extensionHostStarter"),e.ipcExtensionHostStarterChannelName="extensionHostStarter"}),define(te[108],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,I.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,I.createDecorator)("externalTerminal")}),define(te[198],ie([0,1,46,15,9,4,82,23,85,160,108]),function(x,e,I,M,n,C,D,P,d,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const b=h.localize(0,null);class v{async getDefaultTerminalForPlatforms(){return{windows:m.getDefaultTerminalWindows(),linux:await w.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class m extends v{openTerminal(E,R){return this.spawnTerminal(I,E,d.getWindowsShell(),R)}spawnTerminal(E,R,t,c){const i=R.windowsExec||m.getDefaultTerminalWindows();c&&c[1]===":"&&(c=c[0].toUpperCase()+c.substr(1));const r=n.basename(i,".exe").toLowerCase();if(r==="cmder")return E.spawn(i,c?[c]:void 0),Promise.resolve(void 0);const s=["/c","start","/wait"];return i.indexOf(" ")>=0&&s.push('""'),s.push(i),r==="wt"&&s.push("-d ."),new Promise((l,o)=>{const g=a(process),S=E.spawn(t,s,{cwd:c,env:g});S.on("error",o),S.on("exit",()=>l())})}runInTerminal(E,R,t,c,i){const r="windowsExec"in i&&i.windowsExec?i.windowsExec:m.getDefaultTerminalWindows();return new Promise((s,l)=>{const o=`"${R} - ${b}"`,g=`""${t.join('" "')}" & pause"`,S=Object.assign({},a(process),c);Object.keys(S).filter(V=>S[V]===null).forEach(V=>delete S[V]);const L={cwd:R,env:S,windowsVerbatimArguments:!0};let O,j;n.basename(r,".exe")==="wt"?(O=r,j=["-d",".",m.b,"/c",g]):(O=m.b,j=["/c","start",o,"/wait",r,"/c",g]),I.spawn(O,j,L).on("error",V=>{l(u(V))}),s(void 0)})}static getDefaultTerminalWindows(){if(!m.d){const E=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");m.d=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${E?"Sysnative":"System32"}\\cmd.exe`}return m.d}}e.WindowsExternalTerminalService=m,m.b="cmd.exe";class f extends v{openTerminal(E,R){return this.spawnTerminal(I,E,R)}runInTerminal(E,R,t,c,i){const r=i.osxExec||y.DEFAULT_TERMINAL_OSX;return new Promise((s,l)=>{if(r===y.DEFAULT_TERMINAL_OSX||r==="iTerm.app"){const o=r===y.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",S=[M.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${o}.scpt`).fsPath,"-t",E||b,"-w",R];for(const j of t)S.push("-a"),S.push(j);if(c){const j=Object.assign({},a(process),c);for(const K in j){const V=j[K];V===null?(S.push("-u"),S.push(K)):(S.push("-e"),S.push(`${K}=${V}`))}}let L="";const O=I.spawn(f.b,S);O.on("error",j=>{l(u(j))}),O.stderr.on("data",j=>{L+=j.toString()}),O.on("exit",j=>{if(j===0)s(void 0);else if(L){const K=L.split(`
`,1);l(new Error(K[0]))}else l(new Error(h.localize(1,null,o,j)))})}else l(new Error(h.localize(2,null,r)))})}spawnTerminal(E,R,t){const c=R.osxExec||y.DEFAULT_TERMINAL_OSX;return new Promise((i,r)=>{const s=["-a",c];t&&s.push(t);const l=a(process),o=E.spawn("/usr/bin/open",s,{cwd:t,env:l});o.on("error",r),o.on("exit",()=>i())})}}e.MacExternalTerminalService=f,f.b="/usr/bin/osascript";class w extends v{openTerminal(E,R){return this.spawnTerminal(I,E,R)}runInTerminal(E,R,t,c,i){const r=i.linuxExec?Promise.resolve(i.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((s,l)=>{const o=[];r.then(g=>{g.indexOf("gnome-terminal")>=0?o.push("-x"):o.push("-e"),o.push("bash"),o.push("-c");const S=`${p(t)}; echo; read -p "${w.b}" -n1;`;o.push(`''${S}''`);const L=Object.assign({},a(process),c);Object.keys(L).filter(V=>L[V]===null).forEach(V=>delete L[V]);const O={cwd:R,env:L};let j="";const K=I.spawn(g,o,O);K.on("error",V=>{l(u(V))}),K.stderr.on("data",V=>{j+=V.toString()}),K.on("exit",V=>{if(V===0)s(void 0);else if(j){const J=j.split(`
`,1);l(new Error(J[0]))}else l(new Error(h.localize(4,null,g,V)))})})})}static async getDefaultTerminalLinuxReady(){if(!w.d)if(!C.isLinux)w.d=Promise.resolve("xterm");else{const E=await P.Promises.exists("/etc/debian_version");w.d=new Promise(R=>{E?R("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?R("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?R("konsole"):process.env.COLORTERM?R(process.env.COLORTERM):process.env.TERM?R(process.env.TERM):R("xterm")})}return w.d}spawnTerminal(E,R,t){const c=R.linuxExec?Promise.resolve(R.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((i,r)=>{c.then(s=>{const l=a(process),o=E.spawn(s,[],{cwd:t,env:l});o.on("error",r),o.on("exit",()=>i())})})}}e.LinuxExternalTerminalService=w,w.b=h.localize(3,null);function a(k){const E={...k.env};return(0,D.sanitizeProcessEnvironment)(E),E}function u(k){return"errno"in k&&k.errno==="ENOENT"&&"path"in k&&typeof k.path=="string"?new Error(h.localize(5,null,k.path)):k}function p(k){let E="";for(const R of k)R.indexOf(" ")>=0?E+='"'+R+'"':E+=R,E+=" ";return E}}),define(te[16],ie([0,1,60,9,27,10,7,162,6,4]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLargeFileConfirmationLimit=e.getPlatformFileLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.TooLargeFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,d.createDecorator)("fileService");function y(F){return F.create===!0}e.isFileOpenForWriteOptions=y;var b;(function(F){F[F.Unknown=0]="Unknown",F[F.File=1]="File",F[F.Directory=2]="Directory",F[F.SymbolicLink=64]="SymbolicLink"})(b=e.FileType||(e.FileType={}));var v;(function(F){F[F.Readonly=1]="Readonly"})(v=e.FilePermission||(e.FilePermission={}));var m;(function(F){F[F.None=0]="None",F[F.FileReadWrite=2]="FileReadWrite",F[F.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",F[F.FileReadStream=16]="FileReadStream",F[F.FileFolderCopy=8]="FileFolderCopy",F[F.PathCaseSensitive=1024]="PathCaseSensitive",F[F.Readonly=2048]="Readonly",F[F.Trash=4096]="Trash",F[F.FileWriteUnlock=8192]="FileWriteUnlock",F[F.FileAtomicRead=16384]="FileAtomicRead",F[F.FileClone=32768]="FileClone"})(m=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function f(F){return!!(F.capabilities&2)}e.hasReadWriteCapability=f;function w(F){return!!(F.capabilities&8)}e.hasFileFolderCopyCapability=w;function a(F){return!!(F.capabilities&32768)}e.hasFileCloneCapability=a;function u(F){return!!(F.capabilities&4)}e.hasOpenReadWriteCloseCapability=u;function p(F){return!!(F.capabilities&16)}e.hasFileReadStreamCapability=p;function k(F){return f(F)?!!(F.capabilities&16384):!1}e.hasFileAtomicReadCapability=k;var E;(function(F){F.FileExists="EntryExists",F.FileNotFound="EntryNotFound",F.FileNotADirectory="EntryNotADirectory",F.FileIsADirectory="EntryIsADirectory",F.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",F.FileTooLarge="EntryTooLarge",F.FileWriteLocked="EntryWriteLocked",F.NoPermissions="NoPermissions",F.Unavailable="Unavailable",F.Unknown="Unknown"})(E=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class R extends Error{constructor(W,z){super(W),this.code=z}}e.FileSystemProviderError=R;function t(F,W){const z=new R(F.toString(),W);return i(z,W),z}e.createFileSystemProviderError=t;function c(F){return F||t((0,P.localize)(0,null),E.Unknown)}e.ensureFileSystemProviderError=c;function i(F,W){return F.name=W?`${W} (FileSystemError)`:"FileSystemError",F}e.markAsFileSystemProviderError=i;function r(F){if(!F)return E.Unknown;if(F instanceof R)return F.code;const W=/^(.+) \(FileSystemError\)$/.exec(F.name);if(!W)return E.Unknown;switch(W[1]){case E.FileExists:return E.FileExists;case E.FileIsADirectory:return E.FileIsADirectory;case E.FileNotADirectory:return E.FileNotADirectory;case E.FileNotFound:return E.FileNotFound;case E.FileExceedsMemoryLimit:return E.FileExceedsMemoryLimit;case E.FileTooLarge:return E.FileTooLarge;case E.FileWriteLocked:return E.FileWriteLocked;case E.NoPermissions:return E.NoPermissions;case E.Unavailable:return E.Unavailable}return E.Unknown}e.toFileSystemProviderErrorCode=r;function s(F){if(F instanceof O)return F.fileOperationResult;switch(r(F)){case E.FileNotFound:return 1;case E.FileIsADirectory:return 0;case E.FileNotADirectory:return 10;case E.FileWriteLocked:return 5;case E.NoPermissions:return 6;case E.FileExists:return 4;case E.FileExceedsMemoryLimit:return 9;case E.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var l;(function(F){F[F.CREATE=0]="CREATE",F[F.DELETE=1]="DELETE",F[F.MOVE=2]="MOVE",F[F.COPY=3]="COPY",F[F.WRITE=4]="WRITE"})(l=e.FileOperation||(e.FileOperation={}));class o{constructor(W,z,Y){this.resource=W,this.operation=z,this.target=Y}isOperation(W){return this.operation===W}}e.FileOperationEvent=o;var g;(function(F){F[F.UPDATED=0]="UPDATED",F[F.ADDED=1]="ADDED",F[F.DELETED=2]="DELETED"})(g=e.FileChangeType||(e.FileChangeType={}));class S{constructor(W,z){this.a=void 0,this.b=void 0,this.c=void 0,this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];const Y=new Map;for(const ne of W){const _=Y.get(ne.type);switch(_?_.push([ne.resource,ne]):Y.set(ne.type,[[ne.resource,ne]]),ne.type){case 1:this.rawAdded.push(ne.resource);break;case 0:this.rawUpdated.push(ne.resource);break;case 2:this.rawDeleted.push(ne.resource);break}}for(const[ne,_]of Y)switch(ne){case 1:this.a=I.TernarySearchTree.forUris(()=>z),this.a.fill(_);break;case 0:this.b=I.TernarySearchTree.forUris(()=>z),this.b.fill(_);break;case 2:this.c=I.TernarySearchTree.forUris(()=>z),this.c.fill(_);break}}contains(W,...z){return this.d(W,{includeChildren:!1},...z)}affects(W,...z){return this.d(W,{includeChildren:!0},...z)}d(W,z,...Y){if(!W)return!1;const ne=Y.length>0;return!!((!ne||Y.includes(1))&&(this.a?.get(W)||z.includeChildren&&this.a?.findSuperstr(W))||(!ne||Y.includes(0))&&(this.b?.get(W)||z.includeChildren&&this.b?.findSuperstr(W))||(!ne||Y.includes(2))&&(this.c?.findSubstr(W)||z.includeChildren&&this.c?.findSuperstr(W)))}gotAdded(){return!!this.a}gotDeleted(){return!!this.c}gotUpdated(){return!!this.b}}e.FileChangesEvent=S;function L(F,W,z){return!F||!W||F===W||W.length>F.length?!1:(W.charAt(W.length-1)!==M.sep&&(W+=M.sep),z?(0,n.startsWithIgnoreCase)(F,W):F.indexOf(W)===0)}e.isParent=L;class O extends Error{constructor(W,z,Y){super(W),this.fileOperationResult=z,this.options=Y}}e.FileOperationError=O;class j extends O{constructor(W,z,Y,ne){super(W,z,ne),this.fileOperationResult=z,this.size=Y}}e.TooLargeFileOperationError=j;class K extends O{constructor(W,z,Y){super(W,2,Y),this.stat=z}}e.NotModifiedSinceFileOperationError=K;var V;(function(F){F[F.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",F[F.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",F[F.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",F[F.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",F[F.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",F[F.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",F[F.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",F[F.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",F[F.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",F[F.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",F[F.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",F[F.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(V=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var J;(function(F){F[F.FILE=0]="FILE",F[F.FOLDER=1]="FOLDER",F[F.ROOT_FOLDER=2]="ROOT_FOLDER"})(J=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function re(F){if(!(typeof F.size!="number"||typeof F.mtime!="number"))return F.mtime.toString(29)+F.size.toString(31)}e.etag=re;async function se(F,W){if(!W.hasProvider(D.URI.from({scheme:F.scheme})))return new Promise(z=>{const Y=W.onDidChangeFileSystemProviderRegistrations(ne=>{ne.scheme===F.scheme&&ne.added&&(Y.dispose(),z())})})}e.whenProviderRegistered=se,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class ae{static formatSize(W){return(0,C.isNumber)(W)||(W=0),W<ae.KB?(0,P.localize)(1,null,W.toFixed(0)):W<ae.MB?(0,P.localize)(2,null,(W/ae.KB).toFixed(2)):W<ae.GB?(0,P.localize)(3,null,(W/ae.MB).toFixed(2)):W<ae.TB?(0,P.localize)(4,null,(W/ae.GB).toFixed(2)):(0,P.localize)(5,null,(W/ae.TB).toFixed(2))}}e.ByteSize=ae,ae.KB=1024,ae.MB=ae.KB*ae.KB,ae.GB=ae.MB*ae.KB,ae.TB=ae.GB*ae.KB;var fe;(function(F){F[F.IA32=0]="IA32",F[F.OTHER=1]="OTHER"})(fe=e.Arch||(e.Arch={}));function ge(F){return{maxFileSize:F===0?300*ae.MB:16*ae.GB,maxHeapSize:F===0?700*ae.MB:2*700*ae.MB}}e.getPlatformFileLimits=ge;function H(F){return h.isWeb?F?10*ae.MB:50*ae.MB:F?100*ae.MB:1024*ae.MB}e.getLargeFileConfirmationLimit=H}),define(te[199],ie([0,1,17,45,13,3,2,59,7,31,16]),function(x,e,I,M,n,C,D,P,d,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class b extends D.Disposable{constructor(m,f){super(),this.a=m,this.b=f,this.onDidChangeCapabilities=C.Event.None,this.f=this.B(new C.Emitter),this.onDidChangeFile=this.f.event,this.g=this.B(new C.Emitter),this.onDidWatchError=this.g.event,this.h=(0,h.generateUuid)(),this.i()}get capabilities(){return this.c||(this.c=57374,this.b.pathCaseSensitive&&(this.c|=1024),this.b.trash&&(this.c|=4096)),this.c}stat(m){return this.a.call("stat",[m])}readdir(m){return this.a.call("readdir",[m])}async readFile(m,f){const{buffer:w}=await this.a.call("readFile",[m,f]);return w}readFileStream(m,f,w){const a=(0,P.newWriteableStream)(p=>I.VSBuffer.concat(p.map(k=>I.VSBuffer.wrap(k))).buffer),u=this.a.listen("readFileStream",[m,f])(p=>{if(p instanceof I.VSBuffer)a.write(p.buffer);else{if(p==="end")a.end();else{let k;if(p instanceof Error)k=p;else{const E=p;k=(0,y.createFileSystemProviderError)(E.message??(0,M.toErrorMessage)(E),E.code??y.FileSystemProviderErrorCode.Unknown)}a.error(k),a.end()}u.dispose()}});return w.onCancellationRequested(()=>{a.error((0,n.canceled)()),a.end(),u.dispose()}),a}writeFile(m,f,w){return this.a.call("writeFile",[m,I.VSBuffer.wrap(f),w])}open(m,f){return this.a.call("open",[m,f])}close(m){return this.a.call("close",[m])}async read(m,f,w,a,u){const[p,k]=await this.a.call("read",[m,f,u]);return w.set(p.buffer.slice(0,k),a),k}write(m,f,w,a,u){return this.a.call("write",[m,f,I.VSBuffer.wrap(w),a,u])}mkdir(m){return this.a.call("mkdir",[m])}delete(m,f){return this.a.call("delete",[m,f])}rename(m,f,w){return this.a.call("rename",[m,f,w])}copy(m,f,w){return this.a.call("copy",[m,f,w])}cloneFile(m,f){return this.a.call("cloneFile",[m,f])}i(){this.B(this.a.listen("fileChange",[this.h])(m=>{if(Array.isArray(m)){const f=m;this.f.fire(f.map(w=>({resource:d.URI.revive(w.resource),type:w.type})))}else{const f=m;this.g.fire(f)}}))}watch(m,f){const w=(0,h.generateUuid)();return this.a.call("watch",[this.h,w,m,f]),(0,D.toDisposable)(()=>this.a.call("unwatch",[this.h,w]))}}e.DiskFileSystemProviderClient=b}),define(te[109],ie([0,1,17,13,163,16]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function D(y,b,v,m,f,w){let a;try{await P(y,b,v,m,f,w)}catch(u){a=u}finally{a&&f.errorTransformer&&(a=f.errorTransformer(a)),typeof a<"u"&&v.error(a),v.end()}}e.readFileIntoStream=D;async function P(y,b,v,m,f,w){d(w);const a=await y.open(b,{create:!1});try{d(w);let u=0,p=0,k=f&&typeof f.length=="number"?f.length:void 0,E=I.VSBuffer.alloc(Math.min(f.bufferSize,typeof k=="number"?k:f.bufferSize)),R=f&&typeof f.position=="number"?f.position:0,t=0;do p=await y.read(a,R,E.buffer,t,E.byteLength-t),R+=p,t+=p,u+=p,typeof k=="number"&&(k-=p),t===E.byteLength&&(await v.write(m(E)),E=I.VSBuffer.alloc(Math.min(f.bufferSize,typeof k=="number"?k:f.bufferSize)),t=0);while(p>0&&(typeof k!="number"||k>0)&&d(w)&&h(u,f));if(t>0){let c=t;typeof k=="number"&&(c=Math.min(t,k)),v.write(m(E.slice(0,c)))}}catch(u){throw(0,C.ensureFileSystemProviderError)(u)}finally{await y.close(a)}}function d(y){if(y.isCancellationRequested)throw(0,M.canceled)();return!0}function h(y,b){if(b?.limits){if(typeof b.limits.memory=="number"&&y>b.limits.memory)throw(0,C.createFileSystemProviderError)((0,n.localize)(0,null),C.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof b.limits.size=="number"&&y>b.limits.size)throw(0,C.createFileSystemProviderError)((0,n.localize)(1,null),C.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(te[75],ie([0,1,100,2,9,4,7,16]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseWatcherPatterns=e.normalizeWatcherPattern=e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function d(u){return u.recursive===!0}e.isRecursiveWatchRequest=d;class h extends M.Disposable{constructor(p,k,E,R){super(),this.h=p,this.i=k,this.j=E,this.k=R,this.c=this.B(new M.MutableDisposable),this.f=void 0,this.g=0}m(){const p=new M.DisposableStore;this.c.value=p,this.b=this.l(p),this.b.setVerboseLogging(this.j),p.add(this.b.onDidChangeFile(k=>this.h(k))),p.add(this.b.onDidLogMessage(k=>this.i(k))),p.add(this.b.onDidError(k=>this.n(k)))}n(p){this.k.restartOnError?this.g<h.a&&this.f?(this.r(`restarting watcher after error: ${p}`),this.p(this.f)):this.r(`gave up attempting to restart watcher after error: ${p}`):this.r(p)}p(p){this.g++,this.m(),this.watch(p)}async watch(p){this.f=p,await this.b?.watch(p)}async setVerboseLogging(p){this.j=p,await this.b?.setVerboseLogging(p)}r(p){this.i({type:"error",message:`[File Watcher (${this.k.type})] ${p}`})}dispose(){return this.b=void 0,super.dispose()}}e.AbstractWatcherClient=h,h.a=5;class y extends h{constructor(p,k,E){super(p,k,E,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=y;class b extends h{constructor(p,k,E){super(p,k,E,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=b;function v(u){return u.map(p=>({type:p.type,resource:D.URI.file(p.path)}))}e.toFileChanges=v;function m(u){const p=new a;for(const k of u)p.processEvent(k);return p.coalesce()}e.coalesceEvents=m;function f(u,p){return typeof p=="string"&&!p.startsWith(I.GLOBSTAR)&&!(0,n.isAbsolute)(p)?{base:u,pattern:p}:p}e.normalizeWatcherPattern=f;function w(u,p){const k=[];for(const E of p)k.push((0,I.parse)(f(u,E)));return k}e.parseWatcherPatterns=w;class a{constructor(){this.a=new Set,this.b=new Map}c(p){return C.isLinux?p.path:p.path.toLowerCase()}processEvent(p){const k=this.b.get(this.c(p));let E=!1;if(k){const R=k.type,t=p.type;k.path!==p.path&&(p.type===2||p.type===1)?E=!0:R===1&&t===2?(this.b.delete(this.c(p)),this.a.delete(k)):R===2&&t===1?k.type=0:R===1&&t===0||(k.type=t)}else E=!0;E&&(this.a.add(p),this.b.set(this.c(p),p))}coalesce(){const p=[],k=[];return Array.from(this.a).filter(E=>E.type!==2?(p.push(E),!1):!0).sort((E,R)=>E.path.length-R.path.length).filter(E=>k.some(R=>(0,P.isParent)(E.path,R,!C.isLinux))?!1:(k.push(E.path),!0)).concat(p)}}}),define(te[200],ie([0,1,41,8,22,32,2,79,9,4,101,23,75]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class m extends D.Disposable{constructor(a,u,p,k){super(),this.j=a,this.k=u,this.l=p,this.m=k,this.c=this.B(new M.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},E=>this.k(E))),this.f=this.B(new M.RunOnceWorker(E=>this.u(E),m.b)),this.g=(0,v.parseWatcherPatterns)(this.j.path,this.j.excludes),this.h=this.j.includes?(0,v.parseWatcherPatterns)(this.j.path,this.j.includes):void 0,this.i=new n.CancellationTokenSource,this.ready=this.n()}async n(){try{const a=await this.r(this.j);if(this.i.token.isCancellationRequested)return;const u=await b.Promises.stat(a);this.B(await this.s(a,u.isDirectory()))}catch(a){a.code!=="ENOENT"?this.w(a):this.z(a)}}async r(a){let u=a.path;try{u=await b.Promises.realpath(a.path),a.path===u&&(u=await(0,y.realcase)(a.path)??a.path),a.path!==u&&this.z(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${a.path}, real: ${u})`)}catch{}return u}async s(a,u){if(h.isMacintosh&&(0,C.isEqualOrParent)(a,"/Volumes/",!0))return this.w(`Refusing to watch ${a} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),D.Disposable.None;const p=new n.CancellationTokenSource(this.i.token),k=new D.DisposableStore;try{const E=(0,d.basename)(a),R=(0,I.watch)(a);k.add((0,D.toDisposable)(()=>{R.removeAllListeners(),R.close()})),this.z(`Started watching: '${a}'`);const t=new Set;if(u)try{for(const i of await b.Promises.readdir(a))t.add(i)}catch(i){this.w(i)}const c=new Map;k.add((0,D.toDisposable)(()=>{for(const[,i]of c)i.dispose();c.clear()})),R.on("error",(i,r)=>{this.w(`Failed to watch ${a} for changes using fs.watch() (${i}, ${r})`),this.dispose()}),R.on("change",(i,r)=>{if(p.token.isCancellationRequested)return;this.z(`[raw] ["${i}"] ${r}`);let s="";if(r&&(s=r.toString(),h.isMacintosh&&(s=(0,P.normalizeNFC)(s))),!(!s||i!=="change"&&i!=="rename"))if(u)if(i==="rename"){c.get(s)?.dispose();const l=setTimeout(async()=>{if(c.delete(s),s===E&&!await b.Promises.exists(a)){this.y("Watcher shutdown because watched path got deleted"),this.dispose();return}const o=await this.v((0,d.join)(a,s));if(p.token.isCancellationRequested)return;let g;o?t.has(s)?g=0:(g=1,t.add(s)):(t.delete(s),g=2),this.t({path:(0,d.join)(this.j.path,s),type:g})},m.a);c.set(s,(0,D.toDisposable)(()=>clearTimeout(l)))}else{let l;t.has(s)?l=0:(l=1,t.add(s)),this.t({path:(0,d.join)(this.j.path,s),type:l})}else if(i==="rename"||s!==E){const l=setTimeout(async()=>{const o=await b.Promises.exists(a);p.token.isCancellationRequested||(o?(this.t({path:this.j.path,type:0},!0),k.add(await this.s(a,!1))):(this.t({path:this.j.path,type:2},!0),this.f.flush(),this.dispose()))},m.a);k.clear(),k.add((0,D.toDisposable)(()=>clearTimeout(l)))}else this.t({path:this.j.path,type:0},!0)})}catch(E){await b.Promises.exists(a)&&!p.token.isCancellationRequested&&this.w(`Failed to watch ${a} for changes using fs.watch() (${E.toString()})`)}return(0,D.toDisposable)(()=>{p.dispose(!0),k.dispose()})}t(a,u=!1){this.i.token.isCancellationRequested||(this.m&&this.z(`${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.path}`),!u&&this.g.some(p=>p(a.path))?this.m&&this.z(` >> ignored (excluded) ${a.path}`):!u&&this.h&&this.h.length>0&&!this.h.some(p=>p(a.path))?this.m&&this.z(` >> ignored (not included) ${a.path}`):this.f.work(a))}u(a){const u=(0,v.coalesceEvents)(a);if(u.length>0){if(this.m)for(const k of u)this.z(`>> normalized ${k.type===1?"[ADDED]":k.type===2?"[DELETED]":"[CHANGED]"} ${k.path}`);this.c.work(u)?this.c.pending>0&&this.z(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.y(`started ignoring events due to too many file change events at once (incoming: ${u.length}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async v(a){if(h.isLinux)return b.Promises.exists(a);try{const u=(0,d.basename)(a);return(await b.Promises.readdir((0,d.dirname)(a))).some(k=>k===u)}catch(u){return this.z(u),!1}}setVerboseLogging(a){this.m=a}w(a){this.i.token.isCancellationRequested||this.l?.({type:"error",message:`[File Watcher (node.js)] ${a}`})}y(a){this.i.token.isCancellationRequested||this.l?.({type:"warn",message:`[File Watcher (node.js)] ${a}`})}z(a){!this.i.token.isCancellationRequested&&this.m&&this.l?.({type:"trace",message:`[File Watcher (node.js)] ${a}`})}dispose(){this.z(`stopping file watcher on ${this.j.path}`),this.i.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=m,m.a=100,m.b=75;async function f(w,a,u,p,k=512){const E=await b.Promises.open(w,"r"),R=Buffer.allocUnsafe(k),t=new n.CancellationTokenSource(p);let c,i=!1;const r={path:w,excludes:[],recursive:!1},s=new m(r,l=>{(async()=>{for(const{type:o}of l)if(o===0){if(i)return;i=!0;try{for(;!t.token.isCancellationRequested;){const{bytesRead:g}=await b.Promises.read(E,R,0,k,null);if(!g||t.token.isCancellationRequested)break;a(R.slice(0,g))}}catch(g){c=new Error(g),t.dispose(!0)}finally{i=!1}}})()});return await s.ready,u(),new Promise((l,o)=>{t.token.onCancellationRequested(async()=>{s.dispose();try{await b.Promises.close(E)}catch(g){c=new Error(g)}c?o(c):l()})})}e.watchFileContents=f}),define(te[201],ie([0,1,3,100,2,4,200]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class P extends n.Disposable{constructor(){super(...arguments),this.a=this.B(new I.Emitter),this.onDidChangeFile=this.a.event,this.b=this.B(new I.Emitter),this.onDidLogMessage=this.b.event,this.onDidError=I.Event.None,this.c=new Map,this.f=!1}async watch(h){const y=this.i(h),b=y.filter(m=>{const f=this.c.get(m.path);return f?!(0,M.patternsEquals)(f.request.excludes,m.excludes)||!(0,M.patternsEquals)(f.request.includes,m.includes):!0}),v=Array.from(this.c.values()).filter(({request:m})=>!y.find(f=>f.path===m.path&&(0,M.patternsEquals)(f.excludes,m.excludes)&&(0,M.patternsEquals)(f.includes,m.includes))).map(({request:m})=>m.path);b.length&&this.j(`Request to start watching: ${b.map(m=>`${m.path} (excludes: ${m.excludes.length>0?m.excludes:"<none>"}, includes: ${m.includes&&m.includes.length>0?JSON.stringify(m.includes):"<all>"})`).join(",")}`),v.length&&this.j(`Request to stop watching: ${v.join(",")}`);for(const m of v)this.h(m);for(const m of b)this.g(m)}g(h){const y=new D.NodeJSFileWatcherLibrary(h,v=>this.a.fire(v),v=>this.b.fire(v),this.f),b={request:h,instance:y};this.c.set(h.path,b)}async stop(){for(const[h]of this.c)this.h(h);this.c.clear()}h(h){const y=this.c.get(h);y&&(this.c.delete(h),y.instance.dispose())}i(h){const y=new Map;for(const b of h){const v=C.isLinux?b.path:b.path.toLowerCase();y.set(v,b)}return Array.from(y.values())}async setVerboseLogging(h){this.f=h;for(const[,y]of this.c)y.instance.setVerboseLogging(h)}j(h){this.f&&this.b.fire({type:"trace",message:this.k(h)})}k(h,y){return y?`[File Watcher (node.js)] ${h} (path: ${y.request.path})`:`[File Watcher (node.js)] ${h}`}}e.NodeJSWatcher=P}),define(te[202],ie([0,1,75,201]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class n extends I.AbstractNonRecursiveWatcherClient{constructor(D,P,d){super(D,P,d),this.m()}l(){return new M.NodeJSWatcher}}e.NodeJSWatcherClient=n}),define(te[203],ie([0,1,15,47,149,75]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class D extends C.AbstractUniversalWatcherClient{constructor(d,h,y){super(d,h,y),this.m()}l(d){const h=d.add(new n.Client(I.FileAccess.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return d.add(h.onDidProcessExit(({code:y,signal:b})=>this.n(`terminated by itself with code ${y}, signal: ${b}`))),M.ProxyChannel.toService((0,M.getNextTickChannel)(h.getChannel("watcher")))}}e.UniversalWatcherClient=D}),define(te[88],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class I{constructor(...n){this.a=new Map;for(const[C,D]of n)this.set(C,D)}set(n,C){const D=this.a.get(n);return this.a.set(n,C),D}has(n){return this.a.has(n)}get(n){return this.a.get(n)}}e.ServiceCollection=I}),define(te[204],ie([0,1,8,13,2,73,194,6,88,98]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const y=!1;class b extends Error{constructor(a){super("cyclic dependency between services"),this.message=a.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${a.toString()}`}}class v{constructor(a=new d.ServiceCollection,u=!1,p,k=y){this.f=a,this.g=u,this.h=p,this.i=k,this.o=new Set,this.f.set(P.IInstantiationService,this),this._globalGraph=k?p?._globalGraph??new D.Graph(E=>E):void 0}createChild(a){return new v(a,this.g,this,this.i)}invokeFunction(a,...u){const p=f.traceInvocation(this.i,a);let k=!1;try{return a({get:R=>{if(k)throw(0,M.illegalState)("service accessor is only valid during the invocation of its target method");const t=this.m(R,p);if(!t)throw new Error(`[invokeFunction] unknown service '${R}'`);return t}},...u)}finally{k=!0,p.stop()}}createInstance(a,...u){let p,k;return a instanceof C.SyncDescriptor?(p=f.traceCreation(this.i,a.ctor),k=this.j(a.ctor,a.staticArguments.concat(u),p)):(p=f.traceCreation(this.i,a),k=this.j(a,u,p)),p.stop(),k}j(a,u=[],p){const k=P._util.getServiceDependencies(a).sort((t,c)=>t.index-c.index),E=[];for(const t of k){const c=this.m(t.id,p);c||this.u(`[createInstance] ${a.name} depends on UNKNOWN service ${t.id}.`,!1),E.push(c)}const R=k.length>0?k[0].index:u.length;if(u.length!==R){console.trace(`[createInstance] First service dependency of ${a.name} at position ${R+1} conflicts with ${u.length} static arguments`);const t=R-u.length;t>0?u=u.concat(new Array(t)):u=u.slice(0,R)}return Reflect.construct(a,u.concat(E))}k(a,u){if(this.f.get(a)instanceof C.SyncDescriptor)this.f.set(a,u);else if(this.h)this.h.k(a,u);else throw new Error("illegalState - setting UNKNOWN service instance")}l(a){const u=this.f.get(a);return!u&&this.h?this.h.l(a):u}m(a,u){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(a));const p=this.l(a);return p instanceof C.SyncDescriptor?this.q(a,p,u.branch(a,!0)):(u.branch(a,!1),p)}q(a,u,p){if(this.o.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this.o.add(a);try{return this.r(a,u,p)}finally{this.o.delete(a)}}r(a,u,p){const k=new D.Graph(t=>t.id.toString());let E=0;const R=[{id:a,desc:u,_trace:p}];for(;R.length;){const t=R.pop();if(k.lookupOrInsertNode(t),E++>1e3)throw new b(k);for(const c of P._util.getServiceDependencies(t.desc.ctor)){const i=this.l(c.id);if(i||this.u(`[createInstance] ${a} depends on ${c.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(c.id)),i instanceof C.SyncDescriptor){const r={id:c.id,desc:i,_trace:t._trace.branch(c.id,!0)};k.insertEdge(t,r),R.push(r)}}}for(;;){const t=k.roots();if(t.length===0){if(!k.isEmpty())throw new b(k);break}for(const{data:c}of t){if(this.l(c.id)instanceof C.SyncDescriptor){const r=this.s(c.id,c.desc.ctor,c.desc.staticArguments,c.desc.supportsDelayedInstantiation,c._trace);this.k(c.id,r)}k.removeNode(c)}}return this.l(a)}s(a,u,p=[],k,E){if(this.f.get(a)instanceof C.SyncDescriptor)return this.t(a,u,p,k,E);if(this.h)return this.h.s(a,u,p,k,E);throw new Error(`illegalState - creating UNKNOWN service instance ${u.name}`)}t(a,u,p=[],k,E){if(k){const R=new v(void 0,this.g,this,this.i);R.c=String(a);const t=new Map,c=new I.IdleValue(()=>{const i=R.j(u,p,E);for(const[r,s]of t){const l=i[r];if(typeof l=="function")for(const o of s)l.apply(i,o)}return t.clear(),i});return new Proxy(Object.create(null),{get(i,r){if(!c.isInitialized&&typeof r=="string"&&(r.startsWith("onDid")||r.startsWith("onWill"))){let o=t.get(r);return o||(o=new h.LinkedList,t.set(r,o)),(S,L,O)=>{const j=o.push([S,L,O]);return(0,n.toDisposable)(j)}}if(r in i)return i[r];const s=c.value;let l=s[r];return typeof l!="function"||(l=l.bind(s),i[r]=l),l},set(i,r,s){return c.value[r]=s,!0},getPrototypeOf(i){return u.prototype}})}else return this.j(u,p,E)}u(a,u){if(u&&console.warn(a),this.g)throw new Error(a)}}e.InstantiationService=v;var m;(function(w){w[w.None=0]="None",w[w.Creation=1]="Creation",w[w.Invocation=2]="Invocation",w[w.Branch=3]="Branch"})(m||(m={}));class f{static traceInvocation(a,u){return a?new f(2,u.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):f.c}static traceCreation(a,u){return a?new f(1,u.name):f.c}constructor(a,u){this.type=a,this.name=u,this.g=Date.now(),this.h=[]}branch(a,u){const p=new f(3,a.toString());return this.h.push([a,u,p]),p}stop(){const a=Date.now()-this.g;f.f+=a;let u=!1;function p(E,R){const t=[],c=new Array(E+1).join("	");for(const[i,r,s]of R.h)if(r&&s){u=!0,t.push(`${c}CREATES -> ${i}`);const l=p(E+1,s);l&&t.push(l)}else t.push(`${c}uses -> ${i}`);return t.join(`
`)}const k=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${p(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${f.f.toFixed(2)}ms)`];(a>2||u)&&f.all.add(k.join(`
`))}}e.Trace=f,f.all=new Set,f.c=new class extends f{constructor(){super(0,null)}stop(){}branch(){return this}},f.f=0}),define(te[5],ie([0,1,45,3,2,35,4,10,7,6]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.setLogLevel=e.parseLogLevel=e.LogLevelToString=e.getLogLevel=e.NullLoggerService=e.NullLogService=e.NullLogger=e.AbstractLoggerService=e.MultiplexLogger=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.isLogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,h.createDecorator)("logService"),e.ILoggerService=(0,h.createDecorator)("loggerService");function y(){return new Date().toISOString()}function b(g){return(0,P.isNumber)(g)}e.isLogLevel=b;var v;(function(g){g[g.Off=0]="Off",g[g.Trace=1]="Trace",g[g.Debug=2]="Debug",g[g.Info=3]="Info",g[g.Warning=4]="Warning",g[g.Error=5]="Error"})(v=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=v.Info;function m(g,S,L){switch(S){case v.Trace:g.trace(L);break;case v.Debug:g.debug(L);break;case v.Info:g.info(L);break;case v.Warning:g.warn(L);break;case v.Error:g.error(L);break;case v.Off:break;default:throw new Error(`Invalid log level ${S}`)}}e.log=m;function f(g){let S="";for(let L=0;L<g.length;L++){let O=g[L];if(typeof O=="object")try{O=JSON.stringify(O)}catch{}S+=(L>0?" ":"")+O}return S}e.format=f;class w extends n.Disposable{constructor(){super(...arguments),this.b=e.DEFAULT_LOG_LEVEL,this.c=this.B(new M.Emitter),this.onDidChangeLogLevel=this.c.event}setLevel(S){this.b!==S&&(this.b=S,this.c.fire(this.b))}getLevel(){return this.b}f(S){return this.b!==v.Off&&this.b<=S}}e.AbstractLogger=w;class a extends w{constructor(S){super(),this.h=S}f(S){return this.h||super.f(S)}trace(S,...L){this.f(v.Trace)&&this.g(v.Trace,f([S,...L]))}debug(S,...L){this.f(v.Debug)&&this.g(v.Debug,f([S,...L]))}info(S,...L){this.f(v.Info)&&this.g(v.Info,f([S,...L]))}warn(S,...L){this.f(v.Warning)&&this.g(v.Warning,f([S,...L]))}error(S,...L){if(this.f(v.Error))if(S instanceof Error){const O=Array.prototype.slice.call(arguments);O[0]=S.stack,this.g(v.Error,f(O))}else this.g(v.Error,f([S,...L]))}flush(){}}e.AbstractMessageLogger=a;class u extends w{constructor(S=e.DEFAULT_LOG_LEVEL){super(),this.setLevel(S),this.g=!D.isWindows}trace(S,...L){this.f(v.Trace)&&(this.g?console.log(`\x1B[90m[main ${y()}]\x1B[0m`,S,...L):console.log(`[main ${y()}]`,S,...L))}debug(S,...L){this.f(v.Debug)&&(this.g?console.log(`\x1B[90m[main ${y()}]\x1B[0m`,S,...L):console.log(`[main ${y()}]`,S,...L))}info(S,...L){this.f(v.Info)&&(this.g?console.log(`\x1B[90m[main ${y()}]\x1B[0m`,S,...L):console.log(`[main ${y()}]`,S,...L))}warn(S,...L){this.f(v.Warning)&&(this.g?console.warn(`\x1B[93m[main ${y()}]\x1B[0m`,S,...L):console.warn(`[main ${y()}]`,S,...L))}error(S,...L){this.f(v.Error)&&(this.g?console.error(`\x1B[91m[main ${y()}]\x1B[0m`,S,...L):console.error(`[main ${y()}]`,S,...L))}dispose(){}flush(){}}e.ConsoleMainLogger=u;class p extends w{constructor(S=e.DEFAULT_LOG_LEVEL){super(),this.setLevel(S)}trace(S,...L){this.f(v.Trace)&&console.log("%cTRACE","color: #888",S,...L)}debug(S,...L){this.f(v.Debug)&&console.log("%cDEBUG","background: #eee; color: #888",S,...L)}info(S,...L){this.f(v.Info)&&console.log("%c INFO","color: #33f",S,...L)}warn(S,...L){this.f(v.Warning)&&console.log("%c WARN","color: #993",S,...L)}error(S,...L){this.f(v.Error)&&console.log("%c  ERR","color: #f33",S,...L)}dispose(){}flush(){}}e.ConsoleLogger=p;class k extends w{constructor(S,L=e.DEFAULT_LOG_LEVEL){super(),this.g=S,this.setLevel(L)}trace(S,...L){this.f(v.Trace)&&this.g.log(v.Trace,[this.h(S),...L])}debug(S,...L){this.f(v.Debug)&&this.g.log(v.Debug,[this.h(S),...L])}info(S,...L){this.f(v.Info)&&this.g.log(v.Info,[this.h(S),...L])}warn(S,...L){this.f(v.Warning)&&this.g.log(v.Warning,[this.h(S),...L])}error(S,...L){this.f(v.Error)&&this.g.log(v.Error,[this.h(S),...L])}h(S){return typeof S=="string"?S:(0,I.toErrorMessage)(S,this.f(v.Trace))}dispose(){}flush(){}}e.AdapterLogger=k;class E extends w{constructor(S){super(),this.g=S,S.length&&this.setLevel(S[0].getLevel())}setLevel(S){for(const L of this.g)L.setLevel(S);super.setLevel(S)}trace(S,...L){for(const O of this.g)O.trace(S,...L)}debug(S,...L){for(const O of this.g)O.debug(S,...L)}info(S,...L){for(const O of this.g)O.info(S,...L)}warn(S,...L){for(const O of this.g)O.warn(S,...L)}error(S,...L){for(const O of this.g)O.error(S,...L)}flush(){for(const S of this.g)S.flush()}dispose(){for(const S of this.g)S.dispose()}}e.MultiplexLogger=E;class R extends n.Disposable{constructor(S,L){if(super(),this.j=S,this.b=new C.ResourceMap,this.c=new C.ResourceMap,this.f=this.B(new M.Emitter),this.onDidChangeLoggers=this.f.event,this.g=this.B(new M.Emitter),this.onDidChangeLogLevel=this.g.event,this.h=this.B(new M.Emitter),this.onDidChangeVisibility=this.h.event,L)for(const O of L)this.c.set(O.resource,O)}getLogger(S){return this.b.get(S)}createLogger(S,L){let O=this.b.get(S);const j=L?.logLevel==="always"?v.Trace:L?.logLevel;return O||(O=this.k(S,j??this.getLogLevel(S)??this.j,L),this.b.set(S,O)),this.registerLogger({resource:S,id:L?.id??S.toString(),logLevel:j,name:L?.name,hidden:L?.hidden,extensionId:L?.extensionId}),O}setLogLevel(S,L){if(d.URI.isUri(S)){const O=S,j=L,K=this.c.get(O);K&&j!==K.logLevel&&(K.logLevel=j===this.j?void 0:j,this.b.get(O)?.setLevel(j),this.c.set(K.resource,K),this.g.fire([O,j]))}else{this.j=S;for(const[O,j]of this.b.entries())this.c.get(O)?.logLevel===void 0&&j.setLevel(this.j);this.g.fire(this.j)}}setVisibility(S,L){const O=this.c.get(S);O&&L!==!O.hidden&&(O.hidden=!L,this.c.set(O.resource,O),this.h.fire([S,L]))}getLogLevel(S){let L;return S&&(L=this.c.get(S)?.logLevel),L??this.j}registerLogger(S){const L=this.c.get(S.resource);L?L.hidden!==S.hidden&&this.setVisibility(S.resource,!S.hidden):(this.c.set(S.resource,S),this.f.fire({added:[S],removed:[]}))}deregisterLogger(S){const L=this.c.get(S);if(L){this.c.delete(S);const O=this.b.get(S);O&&(this.b.delete(S),O.dispose()),this.f.fire({added:[],removed:[L]})}}getRegisteredLoggers(){return this.c.values()}getRegisteredLogger(S){return this.c.get(S)}dispose(){this.b.forEach(S=>S.dispose()),this.b.clear(),this.c.clear(),super.dispose()}}e.AbstractLoggerService=R;class t{constructor(){this.onDidChangeLogLevel=new M.Emitter().event}setLevel(S){}getLevel(){return v.Info}trace(S,...L){}debug(S,...L){}info(S,...L){}warn(S,...L){}error(S,...L){}critical(S,...L){}dispose(){}flush(){}}e.NullLogger=t;class c extends t{}e.NullLogService=c;class i extends R{constructor(){super(v.Info)}k(S,L,O){return new t}}e.NullLoggerService=i;function r(g){if(g.verbose)return v.Trace;if(typeof g.logLevel=="string"){const S=l(g.logLevel.toLowerCase());if(S!==void 0)return S}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=r;function s(g){switch(g){case v.Trace:return"trace";case v.Debug:return"debug";case v.Info:return"info";case v.Warning:return"warn";case v.Error:return"error";case v.Off:return"off"}}e.LogLevelToString=s;function l(g){switch(g){case"trace":return v.Trace;case"debug":return v.Debug;case"info":return v.Info;case"warn":return v.Warning;case"error":return v.Error;case"critical":return v.Error;case"off":return v.Off}}e.parseLogLevel=l;function o(g,S){b(S)?g.setLogLevel(S):g.setLogLevel(S[0],S[1])}e.setLogLevel=o});var ee=this&&this.__param||function(x,e){return function(I,M){e(I,M,x)}};define(te[205],ie([0,1,74,3,2,5,4,8]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseCredentialsMainService=void 0;let d=class dt extends n.Disposable{constructor(y){super(),this.g=y,this.c=this.B(new M.Emitter),this.onDidChangePassword=this.c.event}async getPassword(y,b){this.g.trace("Getting password from keytar:",y,b);let v;try{v=await this.h()}catch{return null}const m=await(0,P.retry)(()=>v.getPassword(y,b),50,3);if(!m)return this.g.trace("Did not get a password from keytar for account:",b),m;let f,w;try{const a=JSON.parse(m);f=a.content,w=a.hasNextChunk}catch{}if(!f||!w)return this.g.trace("Got password from keytar for account:",b),m;try{let a=1;for(;w;){const u=await(0,P.retry)(()=>v.getPassword(y,`${b}-${a}`),50,3),p=JSON.parse(u);f+=p.content,w=p.hasNextChunk,a++}return this.g.trace(`Got ${a}-chunked password from keytar for account:`,b),f}catch(a){return this.g.error(a),m}}async setPassword(y,b,v){this.g.trace("Setting password using keytar:",y,b);let m;try{m=await this.h()}catch(f){throw this.i?.(f),f}if(D.isWindows&&v.length>dt.a){let f=0,w=0,a=!0;for(;a;){const u=v.substring(f,f+dt.b);f+=dt.b,a=v.length-f>0;const p={content:u,hasNextChunk:a};await(0,P.retry)(()=>m.setPassword(y,w?`${b}-${w}`:b,JSON.stringify(p)),50,3),w++}this.g.trace(`Got${w?` ${w}-chunked`:""} password from keytar for account:`,b)}else await(0,P.retry)(()=>m.setPassword(y,b,v),50,3),this.g.trace("Got password from keytar for account:",b);this.c.fire({service:y,account:b})}async deletePassword(y,b){this.g.trace("Deleting password using keytar:",y,b);let v;try{v=await this.h()}catch(u){throw this.i?.(u),u}const m=await v.getPassword(y,b);if(!m)return this.g.trace("Did not get a password to delete from keytar for account:",b),!1;let f,w;try{const u=JSON.parse(m);f=u.content,w=u.hasNextChunk}catch{}let a=0;if(f&&w)try{for(a++;w;){const u=`${b}-${a}`,p=await v.getPassword(y,u);await v.deletePassword(y,u),w=JSON.parse(p).hasNextChunk,a++}}catch(u){this.g.error(u)}return await v.deletePassword(y,b)?(this.c.fire({service:y,account:b}),this.g.trace(`Deleted${a?` ${a}-chunked`:""} password from keytar for account:`,b),!0):(this.g.trace(`Keytar failed to delete${a?` ${a}-chunked`:""} password for account:`,b),!1)}async findPassword(y){let b;try{b=await this.h()}catch{return null}return await b.findPassword(y)}async findCredentials(y){let b;try{b=await this.h()}catch{return[]}return await b.findCredentials(y)}clear(){return this.f instanceof I.InMemoryCredentialsProvider?this.f.clear():Promise.resolve()}};d.a=2500,d.b=d.a-100,d=ve([ee(0,C.ILogService)],d),e.BaseCredentialsMainService=d}),define(te[206],ie([0,1,5]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=void 0;let M=class{constructor(C,D){this.a=C,this.b=D}c(){return new Promise((C,D)=>x(["vscode-encrypt"],C,D))}async encrypt(C){let D;try{D=await this.c()}catch{return C}try{return D.encrypt(this.a,C)}catch(P){return this.b.error(P),C}}async decrypt(C){let D;try{D=await this.c()}catch{return C}try{return D.decrypt(this.a,C)}catch(P){return this.b.error(P),C}}};M=ve([ee(1,I.ILogService)],M),e.EncryptionMainService=M}),define(te[207],ie([0,1,25,8,13,3,2,9,75,5]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class y extends D.Disposable{constructor(v,m){super(),this.a=v,this.b=m,this.c=this.B(new C.Emitter),this.onDidChangeFile=this.c.event,this.g=this.B(new C.Emitter),this.onDidWatchError=this.g.event,this.j=[],this.k=this.B(new M.ThrottledDelayer(0)),this.s=[],this.t=this.B(new M.ThrottledDelayer(0))}watch(v,m){return m.recursive||this.b?.watcher?.forceUniversal?this.l(v,m):this.u(v,m)}l(v,m){const f={path:this.C(v),excludes:m.excludes,includes:m.includes,recursive:m.recursive},w=(0,I.insert)(this.j,f);return this.m(),(0,D.toDisposable)(()=>{w(),this.m()})}m(){this.k.trigger(()=>this.n()).catch(v=>(0,n.onUnexpectedError)(v))}n(){this.h||(this.h=this.B(this.p(m=>this.c.fire((0,d.toFileChanges)(m)),m=>this.z(m),this.a.getLevel()===h.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===h.LogLevel.Trace)})));const v=this.b?.watcher?.recursive?.usePolling;if(v===!0)for(const m of this.j)(0,d.isRecursiveWatchRequest)(m)&&(m.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(v))for(const m of this.j)(0,d.isRecursiveWatchRequest)(m)&&v.includes(m.path)&&(m.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}u(v,m){const f={path:this.C(v),excludes:m.excludes,includes:m.includes,recursive:!1},w=(0,I.insert)(this.s,f);return this.v(),(0,D.toDisposable)(()=>{w(),this.v()})}v(){this.t.trigger(()=>this.w()).catch(v=>(0,n.onUnexpectedError)(v))}w(){return this.r||(this.r=this.B(this.y(v=>this.c.fire((0,d.toFileChanges)(v)),v=>this.z(v),this.a.getLevel()===h.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.r?.setVerboseLogging(this.a.getLevel()===h.LogLevel.Trace)}))),this.r.watch(this.s)}z(v){v.type==="error"&&this.g.fire(v.message),this.a[v.type](v.message)}C(v){return(0,P.normalize)(v.fsPath)}}e.AbstractDiskFileSystemProvider=y}),define(te[208],ie([0,1,25,8,17,22,3,71,69,2,60,15,63,20,59,161,16,109,5,13]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let E=class extends h.Disposable{constructor(t){super(),this.b=t,this.a=256*1024,this.c=this.B(new D.Emitter),this.onDidChangeFileSystemProviderRegistrations=this.c.event,this.f=this.B(new D.Emitter),this.onWillActivateFileSystemProvider=this.f.event,this.g=this.B(new D.Emitter),this.onDidChangeFileSystemProviderCapabilities=this.g.event,this.h=new Map,this.m=this.B(new D.Emitter),this.onDidRunOperation=this.m.event,this.R=this.B(new D.Emitter),this.onDidFilesChange=this.R.event,this.S=this.B(new D.Emitter),this.onDidWatchError=this.S.event,this.U=new Map,this.X=this.B(new M.ResourceQueue)}registerProvider(t,c){if(this.h.has(t))throw new Error(`A filesystem provider for the scheme '${t}' is already registered.`);(0,v.mark)(`code/registerFilesystem/${t}`);const i=new h.DisposableStore;return this.h.set(t,c),this.c.fire({added:!0,scheme:t,provider:c}),i.add(c.onDidChangeFile(r=>this.R.fire(new a.FileChangesEvent(r,!this.O(c))))),typeof c.onDidWatchError=="function"&&i.add(c.onDidWatchError(r=>this.S.fire(new Error(r)))),i.add(c.onDidChangeCapabilities(()=>this.g.fire({provider:c,scheme:t}))),(0,h.toDisposable)(()=>{this.c.fire({added:!1,scheme:t,provider:c}),this.h.delete(t),(0,h.dispose)(i)})}getProvider(t){return this.h.get(t)}async activateProvider(t){const c=[];this.f.fire({scheme:t,join(i){c.push(i)}}),!this.h.has(t)&&await M.Promises.settled(c)}async canHandleResource(t){return await this.activateProvider(t.scheme),this.hasProvider(t)}hasProvider(t){return this.h.has(t.scheme)}hasCapability(t,c){const i=this.h.get(t.scheme);return!!(i&&i.capabilities&c)}listCapabilities(){return d.Iterable.map(this.h,([t,c])=>({scheme:t,capabilities:c.capabilities}))}async j(t){if(!(0,m.isAbsolutePath)(t))throw new a.FileOperationError((0,w.localize)(0,null,this.nb(t)),8);await this.activateProvider(t.scheme);const c=this.h.get(t.scheme);if(!c){const i=new k.ErrorNoTelemetry;throw i.message=(0,w.localize)(1,null,t.toString()),i}return c}async k(t){const c=await this.j(t);if((0,a.hasOpenReadWriteCloseCapability)(c)||(0,a.hasReadWriteCapability)(c)||(0,a.hasFileReadStreamCapability)(c))return c;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async l(t){const c=await this.j(t);if((0,a.hasOpenReadWriteCloseCapability)(c)||(0,a.hasReadWriteCapability)(c))return c;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(t,c){try{return await this.n(t,c)}catch(i){throw(0,a.toFileSystemProviderErrorCode)(i)===a.FileSystemProviderErrorCode.FileNotFound?new a.FileOperationError((0,w.localize)(2,null,this.nb(t)),1):(0,a.ensureFileSystemProviderError)(i)}}async n(t,c){const i=await this.j(t),r=this.O(i),s=c?.resolveTo,l=c?.resolveSingleChildDescendants,o=c?.resolveMetadata,g=await i.stat(t);let S;return this.p(i,t,g,void 0,!!o,(L,O)=>(S||(S=y.TernarySearchTree.forUris(()=>!r),S.set(t,!0),s&&S.fill(!0,s)),S.get(L.resource)||S.findSuperstr(L.resource.with({query:null,fragment:null}))?!0:L.isDirectory&&l?O===1:!1))}async p(t,c,i,r,s,l){const{providerExtUri:o}=this.N(t),g={resource:c,name:o.basename(c),isFile:(i.type&a.FileType.File)!==0,isDirectory:(i.type&a.FileType.Directory)!==0,isSymbolicLink:(i.type&a.FileType.SymbolicLink)!==0,mtime:i.mtime,ctime:i.ctime,size:i.size,readonly:Boolean((i.permissions??0)&a.FilePermission.Readonly)||Boolean(t.capabilities&2048),etag:(0,a.etag)({mtime:i.mtime,size:i.size}),children:void 0};if(g.isDirectory&&l(g,r)){try{const S=await t.readdir(c),L=await M.Promises.settled(S.map(async([O,j])=>{try{const K=o.joinPath(c,O),V=s?await t.stat(K):{type:j};return await this.p(t,K,V,S.length,s,l)}catch(K){return this.b.trace(K),null}}));g.children=(0,I.coalesce)(L)}catch(S){this.b.trace(S),g.children=[]}return g}return g}async resolveAll(t){return M.Promises.settled(t.map(async c=>{try{return{stat:await this.n(c.resource,c.options),success:!0}}catch(i){return this.b.trace(i),{stat:void 0,success:!1}}}))}async stat(t){const c=await this.j(t),i=await c.stat(t);return this.p(c,t,i,void 0,!0,()=>!1)}async exists(t){const c=await this.j(t);try{return!!await c.stat(t)}catch{return!1}}async canCreateFile(t,c){try{await this.r(t,c)}catch(i){return i}return!0}async r(t,c){if(!c?.overwrite&&await this.exists(t))throw new a.FileOperationError((0,w.localize)(3,null,this.nb(t)),3,c)}async createFile(t,c=n.VSBuffer.fromString(""),i){await this.r(t,i);const r=await this.writeFile(t,c);return this.m.fire(new a.FileOperationEvent(t,0,r)),r}async writeFile(t,c,i){const r=this.lb(await this.l(t),t),{providerExtUri:s}=this.N(r);try{await this.s(r,t,i)||await this.P(r,s.dirname(t));let o;if((0,a.hasReadWriteCapability)(r)&&!(c instanceof n.VSBuffer))if((0,f.isReadableStream)(c)){const g=await(0,f.peekStream)(c,3);g.ended?o=n.VSBuffer.concat(g.buffer):o=g}else o=(0,f.peekReadable)(c,g=>n.VSBuffer.concat(g),3);else o=c;!(0,a.hasOpenReadWriteCloseCapability)(r)||(0,a.hasReadWriteCapability)(r)&&o instanceof n.VSBuffer?await this.cb(r,t,i,o):await this.Y(r,t,i,o instanceof n.VSBuffer?(0,n.bufferToReadable)(o):o),this.m.fire(new a.FileOperationEvent(t,4))}catch(l){throw new a.FileOperationError((0,w.localize)(4,null,this.nb(t),(0,a.ensureFileSystemProviderError)(l).toString()),(0,a.toFileOperationResult)(l),i)}return this.resolve(t,{resolveMetadata:!0})}async s(t,c,i){if(!!i?.unlock&&!(t.capabilities&8192))throw new Error((0,w.localize)(5,null,this.nb(c)));let s;try{s=await t.stat(c)}catch{return}if((s.type&a.FileType.Directory)!==0)throw new a.FileOperationError((0,w.localize)(6,null,this.nb(c)),0,i);if(this.mb(c,s),typeof i?.mtime=="number"&&typeof i.etag=="string"&&i.etag!==a.ETAG_DISABLED&&typeof s.mtime=="number"&&typeof s.size=="number"&&i.mtime<s.mtime&&i.etag!==(0,a.etag)({mtime:i.mtime,size:s.size}))throw new a.FileOperationError((0,w.localize)(7,null),3,i);return s}async readFile(t,c,i){const r=await this.k(t);return c?.atomic?this.t(r,t,c,i):this.u(r,t,c,i)}async t(t,c,i,r){return new Promise((s,l)=>{this.X.queueFor(c,this.N(t).providerExtUri).queue(async()=>{try{const o=await this.u(t,c,i,r);s(o)}catch(o){l(o)}})})}async u(t,c,i,r){const s=await this.v(t,c,{...i,preferUnbuffered:!0},r);return{...s,value:await(0,n.streamToBuffer)(s.value)}}async readFileStream(t,c,i){const r=await this.k(t);return this.v(r,t,c,i)}async v(t,c,i,r){const s=new C.CancellationTokenSource(r),l=this.F(c,i).then(g=>g,g=>{throw s.cancel(),g});let o;try{return typeof i?.etag=="string"&&i.etag!==a.ETAG_DISABLED&&await l,i?.atomic&&(0,a.hasFileAtomicReadCapability)(t)||!((0,a.hasOpenReadWriteCloseCapability)(t)||(0,a.hasFileReadStreamCapability)(t))||(0,a.hasReadWriteCapability)(t)&&i?.preferUnbuffered?o=this.D(t,c,i):(0,a.hasFileReadStreamCapability)(t)?o=this.z(t,c,s.token,i):o=this.C(t,c,s.token,i),{...await l,value:o}}catch(g){throw o&&await(0,f.consumeStream)(o),this.w(g,c,i)}}w(t,c,i){const r=(0,w.localize)(8,null,this.nb(c),(0,a.ensureFileSystemProviderError)(t).toString());return t instanceof a.NotModifiedSinceFileOperationError?new a.NotModifiedSinceFileOperationError(r,t.stat,i):t instanceof a.TooLargeFileOperationError?new a.TooLargeFileOperationError(r,t.fileOperationResult,t.size,t.options):new a.FileOperationError(r,(0,a.toFileOperationResult)(t),i)}z(t,c,i,r=Object.create(null)){const s=t.readFileStream(c,r,i);return(0,f.transform)(s,{data:l=>l instanceof n.VSBuffer?l:n.VSBuffer.wrap(l),error:l=>this.w(l,c,r)},l=>n.VSBuffer.concat(l))}C(t,c,i,r=Object.create(null)){const s=(0,n.newWriteableBufferStream)();return(0,u.readFileIntoStream)(t,c,s,l=>l,{...r,bufferSize:this.a,errorTransformer:l=>this.w(l,c,r)},i),s}D(t,c,i){const r=(0,f.newWriteableStream)(s=>n.VSBuffer.concat(s));return(async()=>{try{let s;i?.atomic&&(0,a.hasFileAtomicReadCapability)(t)?s=await t.readFile(c,{atomic:!0}):s=await t.readFile(c),typeof i?.position=="number"&&(s=s.slice(i.position)),typeof i?.length=="number"&&(s=s.slice(0,i.length)),this.G(c,s.byteLength,i),r.end(n.VSBuffer.wrap(s))}catch(s){r.error(s),r.end()}})(),r}async F(t,c){const i=await this.resolve(t,{resolveMetadata:!0});if(i.isDirectory)throw new a.FileOperationError((0,w.localize)(9,null,this.nb(t)),0,c);if(typeof c?.etag=="string"&&c.etag!==a.ETAG_DISABLED&&c.etag===i.etag)throw new a.NotModifiedSinceFileOperationError((0,w.localize)(10,null),i,c);return this.G(t,i.size,c),i}G(t,c,i){if(i?.limits){let r;if(typeof i.limits.memory=="number"&&c>i.limits.memory&&(r=9),typeof i.limits.size=="number"&&c>i.limits.size&&(r=7),typeof r=="number")throw new a.TooLargeFileOperationError((0,w.localize)(11,null,this.nb(t)),r,c,i)}}async canMove(t,c,i){return this.H(t,c,"move",i)}async canCopy(t,c,i){return this.H(t,c,"copy",i)}async H(t,c,i,r){if(t.toString()!==c.toString())try{const s=i==="move"?this.lb(await this.l(t),t):await this.k(t),l=this.lb(await this.l(c),c);await this.M(s,t,l,c,i,r)}catch(s){return s}return!0}async move(t,c,i){const r=this.lb(await this.l(t),t),s=this.lb(await this.l(c),c),l=await this.I(r,t,s,c,"move",!!i),o=await this.resolve(c,{resolveMetadata:!0});return this.m.fire(new a.FileOperationEvent(t,l==="move"?2:3,o)),o}async copy(t,c,i){const r=await this.k(t),s=this.lb(await this.l(c),c),l=await this.I(r,t,s,c,"copy",!!i),o=await this.resolve(c,{resolveMetadata:!0});return this.m.fire(new a.FileOperationEvent(t,l==="copy"?3:2,o)),o}async I(t,c,i,r,s,l){if(c.toString()===r.toString())return s;const{exists:o,isSameResourceWithDifferentPathCase:g}=await this.M(t,c,i,r,s,l);if(o&&!g&&l&&await this.del(r,{recursive:!0}),await this.P(i,this.N(i).providerExtUri.dirname(r)),s==="copy"){if(t===i&&(0,a.hasFileFolderCopyCapability)(t))await t.copy(c,r,{overwrite:l});else{const S=await this.resolve(c);S.isDirectory?await this.L(t,S,i,r):await this.J(t,c,i,r)}return s}else return t===i?(await t.rename(c,r,{overwrite:l}),s):(await this.I(t,c,i,r,"copy",l),await this.del(c,{recursive:!0}),"copy")}async J(t,c,i,r){if((0,a.hasOpenReadWriteCloseCapability)(t)&&(0,a.hasOpenReadWriteCloseCapability)(i))return this.eb(t,c,i,r);if((0,a.hasOpenReadWriteCloseCapability)(t)&&(0,a.hasReadWriteCapability)(i))return this.kb(t,c,i,r);if((0,a.hasReadWriteCapability)(t)&&(0,a.hasOpenReadWriteCloseCapability)(i))return this.ib(t,c,i,r);if((0,a.hasReadWriteCapability)(t)&&(0,a.hasReadWriteCapability)(i))return this.gb(t,c,i,r)}async L(t,c,i,r){await i.mkdir(r),Array.isArray(c.children)&&await M.Promises.settled(c.children.map(async s=>{const l=this.N(i).providerExtUri.joinPath(r,s.name);return s.isDirectory?this.L(t,await this.resolve(s.resource),i,l):this.J(t,s.resource,i,l)}))}async M(t,c,i,r,s,l){let o=!1;if(t===i){const{providerExtUri:S,isPathCaseSensitive:L}=this.N(t);if(L||(o=S.isEqual(c,r)),o&&s==="copy")throw new Error((0,w.localize)(12,null,this.nb(c),this.nb(r)));if(!o&&S.isEqualOrParent(r,c))throw new Error((0,w.localize)(13,null,this.nb(c),this.nb(r)))}const g=await this.exists(r);if(g&&!o){if(!l)throw new a.FileOperationError((0,w.localize)(14,null,this.nb(c),this.nb(r)),4);if(t===i){const{providerExtUri:S}=this.N(t);if(S.isEqualOrParent(c,r))throw new Error((0,w.localize)(15,null,this.nb(c),this.nb(r)))}}return{exists:g,isSameResourceWithDifferentPathCase:o}}N(t){const c=this.O(t);return{providerExtUri:c?m.extUri:m.extUriIgnorePathCase,isPathCaseSensitive:c}}O(t){return!!(t.capabilities&1024)}async createFolder(t){const c=this.lb(await this.j(t),t);await this.P(c,t);const i=await this.resolve(t,{resolveMetadata:!0});return this.m.fire(new a.FileOperationEvent(t,0,i)),i}async P(t,c){const i=[],{providerExtUri:r}=this.N(t);for(;!r.isEqual(c,r.dirname(c));)try{if(((await t.stat(c)).type&a.FileType.Directory)===0)throw new Error((0,w.localize)(16,null,this.nb(c)));break}catch(s){if((0,a.toFileSystemProviderErrorCode)(s)!==a.FileSystemProviderErrorCode.FileNotFound)throw s;i.push(r.basename(c)),c=r.dirname(c)}for(let s=i.length-1;s>=0;s--){c=r.joinPath(c,i[s]);try{await t.mkdir(c)}catch(l){if((0,a.toFileSystemProviderErrorCode)(l)!==a.FileSystemProviderErrorCode.FileExists)throw l}}}async canDelete(t,c){try{await this.Q(t,c)}catch(i){return i}return!0}async Q(t,c){const i=this.lb(await this.j(t),t);if(!!c?.useTrash&&!(i.capabilities&4096))throw new Error((0,w.localize)(17,null,this.nb(t)));let s;try{s=await i.stat(t)}catch{}if(s)this.mb(t,s);else throw new a.FileOperationError((0,w.localize)(18,null,this.nb(t)),1);if(!!!c?.recursive){const o=await this.resolve(t);if(o.isDirectory&&Array.isArray(o.children)&&o.children.length>0)throw new Error((0,w.localize)(19,null,this.nb(t)))}return i}async del(t,c){const i=await this.Q(t,c),r=!!c?.useTrash,s=!!c?.recursive;await i.delete(t,{recursive:s,useTrash:r}),this.m.fire(new a.FileOperationEvent(t,1))}async cloneFile(t,c){const i=await this.j(t),r=this.lb(await this.l(c),c);if(i===r&&this.N(i).providerExtUri.isEqual(t,c))return;if(i===r&&(0,a.hasFileCloneCapability)(i))return i.cloneFile(t,c);await this.P(r,this.N(r).providerExtUri.dirname(c));const s=this.X.queueFor(t,this.N(i).providerExtUri);return i===r&&(0,a.hasFileFolderCopyCapability)(i)?s.queue(()=>i.copy(t,c,{overwrite:!0})):s.queue(()=>this.J(i,t,r,c))}watch(t,c={recursive:!1,excludes:[]}){const i=new h.DisposableStore;let r=!1,s=()=>{r=!0};return i.add((0,h.toDisposable)(()=>s())),(async()=>{try{const l=await this.W(t,c);r?(0,h.dispose)(l):s=()=>(0,h.dispose)(l)}catch(l){this.b.error(l)}})(),i}async W(t,c){const i=await this.j(t),r=(0,P.hash)([this.N(i).providerExtUri.getComparisonKey(t),c]);let s=this.U.get(r);return s||(s={count:0,disposable:i.watch(t,c)},this.U.set(r,s)),s.count+=1,(0,h.toDisposable)(()=>{s&&(s.count--,s.count===0&&((0,h.dispose)(s.disposable),this.U.delete(r)))})}dispose(){super.dispose();for(const[,t]of this.U)(0,h.dispose)(t.disposable);this.U.clear()}async Y(t,c,i,r){return this.X.queueFor(c,this.N(t).providerExtUri).queue(async()=>{const s=await t.open(c,{create:!0,unlock:i?.unlock??!1});try{(0,f.isReadableStream)(r)||(0,f.isReadableBufferedStream)(r)?await this.Z(t,s,r):await this.ab(t,s,r)}catch(l){throw(0,a.ensureFileSystemProviderError)(l)}finally{await t.close(s)}})}async Z(t,c,i){let r=0,s;if((0,f.isReadableBufferedStream)(i)){if(i.buffer.length>0){const l=n.VSBuffer.concat(i.buffer);await this.bb(t,c,l,l.byteLength,r,0),r+=l.byteLength}if(i.ended)return;s=i.stream}else s=i;return new Promise((l,o)=>{(0,f.listenStream)(s,{onData:async g=>{s.pause();try{await this.bb(t,c,g,g.byteLength,r,0)}catch(S){return o(S)}r+=g.byteLength,setTimeout(()=>s.resume())},onError:g=>o(g),onEnd:()=>l()})})}async ab(t,c,i){let r=0,s;for(;(s=i.read())!==null;)await this.bb(t,c,s,s.byteLength,r,0),r+=s.byteLength}async bb(t,c,i,r,s,l){let o=0;for(;o<r;)o+=await t.write(c,s+o,i.buffer,l+o,r-o)}async cb(t,c,i,r){return this.X.queueFor(c,this.N(t).providerExtUri).queue(()=>this.db(t,c,i,r))}async db(t,c,i,r){let s;r instanceof n.VSBuffer?s=r:(0,f.isReadableStream)(r)?s=await(0,n.streamToBuffer)(r):(0,f.isReadableBufferedStream)(r)?s=await(0,n.bufferedStreamToBuffer)(r):s=(0,n.readableToBuffer)(r),await t.writeFile(c,s.buffer,{create:!0,overwrite:!0,unlock:i?.unlock??!1})}async eb(t,c,i,r){return this.X.queueFor(r,this.N(i).providerExtUri).queue(()=>this.fb(t,c,i,r))}async fb(t,c,i,r){let s,l;try{s=await t.open(c,{create:!1}),l=await i.open(r,{create:!0,unlock:!1});const o=n.VSBuffer.alloc(this.a);let g=0,S=0,L=0;do L=await t.read(s,g,o.buffer,S,o.byteLength-S),await this.bb(i,l,o,L,g,S),g+=L,S+=L,S===o.byteLength&&(S=0);while(L>0)}catch(o){throw(0,a.ensureFileSystemProviderError)(o)}finally{await M.Promises.settled([typeof s=="number"?t.close(s):Promise.resolve(),typeof l=="number"?i.close(l):Promise.resolve()])}}async gb(t,c,i,r){return this.X.queueFor(r,this.N(i).providerExtUri).queue(()=>this.hb(t,c,i,r))}async hb(t,c,i,r){return i.writeFile(r,await t.readFile(c),{create:!0,overwrite:!0,unlock:!1})}async ib(t,c,i,r){return this.X.queueFor(r,this.N(i).providerExtUri).queue(()=>this.jb(t,c,i,r))}async jb(t,c,i,r){const s=await i.open(r,{create:!0,unlock:!1});try{const l=await t.readFile(c);await this.bb(i,s,n.VSBuffer.wrap(l),l.byteLength,0,0)}catch(l){throw(0,a.ensureFileSystemProviderError)(l)}finally{await i.close(s)}}async kb(t,c,i,r){const s=await(0,n.streamToBuffer)(this.C(t,c,C.CancellationToken.None));await this.cb(i,r,void 0,s)}lb(t,c){if(t.capabilities&2048)throw new a.FileOperationError((0,w.localize)(20,null,this.nb(c)),6);return t}mb(t,c){if((c.permissions??0)&a.FilePermission.Readonly)throw new a.FileOperationError((0,w.localize)(21,null,this.nb(t)),6)}nb(t){return t.scheme===b.Schemas.file?t.fsPath:t.toString(!0)}};E=ve([ee(0,p.ILogService)],E),e.FileService=E}),define(te[89],ie([0,1,41,286,8,35,17,3,32,2,9,4,20,59,23,165,16,109,207,45,203,202]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,M.gracefulify)(I)}catch(c){console.error(`Error enabling graceful-fs: ${(0,k.toErrorMessage)(c)}`)}})();class t extends p.AbstractDiskFileSystemProvider{constructor(i,r){super(i,r),this.onDidChangeCapabilities=P.Event.None,this.H=new C.ResourceMap(s=>v.extUriBiasedIgnorePathCase.getComparisonKey(s)),this.L=new Map,this.M=new Map,this.N=new Map}get capabilities(){return this.F||(this.F=57374,b.isLinux&&(this.F|=1024)),this.F}async stat(i){try{const{stat:r,symbolicLink:s}=await f.SymlinkSupport.stat(this.C(i));return{type:this.G(r,s),ctime:r.birthtime.getTime(),mtime:r.mtime.getTime(),size:r.size}}catch(r){throw this.Y(r)}}async readdir(i){try{const r=await f.Promises.readdir(this.C(i),{withFileTypes:!0}),s=[];return await Promise.all(r.map(async l=>{try{let o;l.isSymbolicLink()?o=(await this.stat((0,v.joinPath)(i,l.name))).type:o=this.G(l),s.push([l.name,o])}catch(o){this.a.trace(o)}})),s}catch(r){throw this.Y(r)}}G(i,r){let s;return r?.dangling?s=a.FileType.Unknown:i.isFile()?s=a.FileType.File:i.isDirectory()?s=a.FileType.Directory:s=a.FileType.Unknown,r&&(s|=a.FileType.SymbolicLink),s}async I(i){const r=this.C(i);this.J(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${r})`);let s;for(;s=this.H.get(i);)this.J(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${r})`),await s.wait();const l=new n.Barrier;return this.H.set(i,l),this.J(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${r})`),(0,h.toDisposable)(()=>{this.J(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${r})`),this.H.get(i)===l&&(this.J(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${r})`),this.H.delete(i)),this.J(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${r})`),l.open()})}async readFile(i,r){let s;try{r?.atomic&&(this.J(`[Disk FileSystemProvider]: atomic read operation started (${this.C(i)})`),s=await this.I(i));const l=this.C(i);return await f.Promises.readFile(l)}catch(l){throw this.Y(l)}finally{s?.dispose()}}J(i){t.D&&this.a.trace(i)}readFileStream(i,r,s){const l=(0,m.newWriteableStream)(o=>D.VSBuffer.concat(o.map(g=>D.VSBuffer.wrap(g))).buffer);return(0,u.readFileIntoStream)(this,i,l,o=>o.buffer,{...r,bufferSize:256*1024},s),l}async writeFile(i,r,s){let l;try{const o=this.C(i);if(!s.create||!s.overwrite){if(await f.Promises.exists(o)){if(!s.overwrite)throw(0,a.createFileSystemProviderError)((0,w.localize)(0,null),a.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,a.createFileSystemProviderError)((0,w.localize)(1,null),a.FileSystemProviderErrorCode.FileNotFound)}l=await this.open(i,{create:!0,unlock:s.unlock}),await this.write(l,0,r,0,r.byteLength)}catch(o){throw await this.Z(i,o)}finally{typeof l=="number"&&await this.close(l)}}static configureFlushOnWrite(i){t.O=i}async open(i,r){const s=this.C(i);let l;(0,a.isFileOpenForWriteOptions)(r)&&(l=await this.I(i));let o;try{if((0,a.isFileOpenForWriteOptions)(r)&&r.unlock)try{const{stat:S}=await f.SymlinkSupport.stat(s);S.mode&128||await f.Promises.chmod(s,S.mode|128)}catch(S){this.a.trace(S)}let g;if((0,a.isFileOpenForWriteOptions)(r)){if(b.isWindows)try{await f.Promises.truncate(s,0),g="r+"}catch(S){S.code!=="ENOENT"&&this.a.trace(S)}g||(g="w")}else g="r";o=await f.Promises.open(s,g)}catch(g){throw l?.dispose(),(0,a.isFileOpenForWriteOptions)(r)?await this.Z(i,g):this.Y(g)}if(this.L.set(o,0),(0,a.isFileOpenForWriteOptions)(r)&&this.N.set(o,i),l){const g=this.M.get(o);this.J(`[Disk FileSystemProvider]: open() - storing lock for handle ${o} (${s})`),this.M.set(o,l),g&&(this.J(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${o} (${s})`),g.dispose())}return o}async close(i){const r=this.M.get(i);try{if(this.L.delete(i),this.N.delete(i)&&t.O)try{await f.Promises.fdatasync(i)}catch(s){t.configureFlushOnWrite(!1),this.a.error(s)}return await f.Promises.close(i)}catch(s){throw this.Y(s)}finally{r&&(this.M.get(i)===r&&(this.J(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${i}`),this.M.delete(i)),this.J(`[Disk FileSystemProvider]: close() - disposing lock for handle ${i}`),r.dispose())}}async read(i,r,s,l,o){const g=this.P(i,r);let S=null;try{S=(await f.Promises.read(i,s,l,o,g)).bytesRead}catch(L){throw this.Y(L)}finally{this.Q(i,g,S)}return S}P(i,r){return r===this.L.get(i)?null:r}Q(i,r,s){const l=this.L.get(i);typeof l=="number"&&(typeof r=="number"||(typeof s=="number"?this.L.set(i,l+s):this.L.delete(i)))}async write(i,r,s,l,o){return(0,n.retry)(()=>this.R(i,r,s,l,o),100,3)}async R(i,r,s,l,o){const g=this.P(i,r);let S=null;try{S=(await f.Promises.write(i,s,l,o,g)).bytesWritten}catch(L){throw await this.Z(this.N.get(i),L)}finally{this.Q(i,g,S)}return S}async mkdir(i){try{await f.Promises.mkdir(this.C(i))}catch(r){throw this.Y(r)}}async delete(i,r){try{const s=this.C(i);r.recursive?await f.Promises.rm(s,f.RimRafMode.MOVE):await f.Promises.unlink(s)}catch(s){throw this.Y(s)}}async rename(i,r,s){const l=this.C(i),o=this.C(r);if(l!==o)try{await this.S(i,r,"move",s.overwrite),await f.Promises.move(l,o)}catch(g){throw(g.code==="EINVAL"||g.code==="EBUSY"||g.code==="ENAMETOOLONG")&&(g=new Error((0,w.localize)(2,null,(0,y.basename)(l),(0,y.basename)((0,y.dirname)(o)),g.toString()))),this.Y(g)}}async copy(i,r,s){const l=this.C(i),o=this.C(r);if(l!==o)try{await this.S(i,r,"copy",s.overwrite),await f.Promises.copy(l,o,{preserveSymlinks:!0})}catch(g){throw(g.code==="EINVAL"||g.code==="EBUSY"||g.code==="ENAMETOOLONG")&&(g=new Error((0,w.localize)(3,null,(0,y.basename)(l),(0,y.basename)((0,y.dirname)(o)),g.toString()))),this.Y(g)}}async S(i,r,s,l){const o=this.C(i),g=this.C(r);let S=!1;if(!!(this.capabilities&1024)||(S=(0,d.isEqual)(o,g,!0)),S&&s==="copy")throw(0,a.createFileSystemProviderError)((0,w.localize)(4,null),a.FileSystemProviderErrorCode.FileExists);if(!S&&await f.Promises.exists(g)){if(!l)throw(0,a.createFileSystemProviderError)((0,w.localize)(5,null),a.FileSystemProviderErrorCode.FileExists);await this.delete(r,{recursive:!0,useTrash:!1})}}async cloneFile(i,r){return this.U(i,r,!1)}async U(i,r,s){const l=this.C(i),o=this.C(r),g=!!(this.capabilities&1024);if((0,d.isEqual)(l,o,!g))return;const S=new h.DisposableStore;try{const[L,O]=await Promise.all([this.I(i),this.I(r)]);S.add(L),S.add(O),s&&await f.Promises.mkdir((0,y.dirname)(o),{recursive:!0}),await f.Promises.copyFile(l,o)}catch(L){if(L.code==="ENOENT"&&!s)return this.U(i,r,!0);throw this.Y(L)}finally{S.dispose()}}p(i,r,s){return new E.UniversalWatcherClient(l=>i(l),l=>r(l),s)}y(i,r,s){return new R.NodeJSWatcherClient(l=>i(l),l=>r(l),s)}Y(i){if(i instanceof a.FileSystemProviderError)return i;let r;switch(i.code){case"ENOENT":r=a.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":r=a.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":r=a.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":r=a.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":r=a.FileSystemProviderErrorCode.NoPermissions;break;default:r=a.FileSystemProviderErrorCode.Unknown}return(0,a.createFileSystemProviderError)(i,r)}async Z(i,r){let s=this.Y(r);if(i&&s.code===a.FileSystemProviderErrorCode.NoPermissions)try{const{stat:l}=await f.SymlinkSupport.stat(this.C(i));l.mode&128||(s=(0,a.createFileSystemProviderError)(r,a.FileSystemProviderErrorCode.FileWriteLocked))}catch(l){this.a.trace(l)}return s}}e.DiskFileSystemProvider=t,t.D=!1,t.O=!0}),define(te[209],ie([0,1,3,89,2,17,59,22]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractSessionFileWatcher=e.AbstractDiskFileSystemProviderChannel=void 0;class d extends n.Disposable{constructor(b,v){super(),this.a=b,this.b=v,this.w=new Map,this.y=new Map}call(b,v,m){const f=this.c(b);switch(v){case"stat":return this.g(f,m[0]);case"readdir":return this.h(f,m[0]);case"open":return this.l(f,m[0],m[1]);case"close":return this.m(m[0]);case"read":return this.n(m[0],m[1],m[2]);case"readFile":return this.i(f,m[0],m[1]);case"write":return this.p(m[0],m[1],m[2],m[3],m[4]);case"writeFile":return this.k(f,m[0],m[1],m[2]);case"rename":return this.t(f,m[0],m[1],m[2]);case"copy":return this.u(f,m[0],m[1],m[2]);case"cloneFile":return this.v(f,m[0],m[1]);case"mkdir":return this.r(f,m[0]);case"delete":return this.s(f,m[0],m[1]);case"watch":return this.C(f,m[0],m[1],m[2],m[3]);case"unwatch":return this.D(m[0],m[1])}throw new Error(`IPC Command ${v} not found`)}listen(b,v,m){const f=this.c(b);switch(v){case"fileChange":return this.z(f,m[0]);case"readFileStream":return this.j(f,m[0],m[1])}throw new Error(`Unknown event ${v}`)}g(b,v){const m=this.f(b,v,!0);return this.a.stat(m)}h(b,v){const m=this.f(b,v);return this.a.readdir(m)}async i(b,v,m){const f=this.f(b,v,!0),w=await this.a.readFile(f,m);return C.VSBuffer.wrap(w)}j(b,v,m){const f=this.f(b,v,!0),w=new P.CancellationTokenSource,a=new I.Emitter({onDidRemoveLastListener:()=>{w.cancel()}}),u=this.a.readFileStream(f,m,w.token);return(0,D.listenStream)(u,{onData:p=>a.fire(C.VSBuffer.wrap(p)),onError:p=>a.fire(p),onEnd:()=>{a.fire("end"),a.dispose(),w.dispose()}}),a.event}k(b,v,m,f){const w=this.f(b,v);return this.a.writeFile(w,m.buffer,f)}l(b,v,m){const f=this.f(b,v,!0);return this.a.open(f,m)}m(b){return this.a.close(b)}async n(b,v,m){const f=C.VSBuffer.alloc(m),w=0,a=await this.a.read(b,v,f.buffer,w,m);return[f,a]}p(b,v,m,f,w){return this.a.write(b,v,m.buffer,f,w)}r(b,v){const m=this.f(b,v);return this.a.mkdir(m)}s(b,v,m){const f=this.f(b,v);return this.a.delete(f,m)}t(b,v,m,f){const w=this.f(b,v),a=this.f(b,m);return this.a.rename(w,a,f)}u(b,v,m,f){const w=this.f(b,v),a=this.f(b,m);return this.a.copy(w,a,f)}v(b,v,m){const f=this.f(b,v),w=this.f(b,m);return this.a.cloneFile(f,w)}z(b,v){const m=new I.Emitter({onWillAddFirstListener:()=>{this.w.set(v,this.F(b,m))},onDidRemoveLastListener:()=>{(0,n.dispose)(this.w.get(v)),this.w.delete(v)}});return m.event}async C(b,v,m,f,w){const a=this.w.get(v);if(a){const u=this.f(b,f),p=a.watch(m,u,w);this.y.set(v+m,p)}}async D(b,v){const m=b+v,f=this.y.get(m);f&&((0,n.dispose)(f),this.y.delete(m))}dispose(){super.dispose();for(const[,b]of this.y)b.dispose();this.y.clear();for(const[,b]of this.w)b.dispose();this.w.clear()}}e.AbstractDiskFileSystemProviderChannel=d;class h extends n.Disposable{constructor(b,v,m,f){super(),this.c=b,this.f=m,this.g=f,this.a=new Map,this.b=this.B(new M.DiskFileSystemProvider(this.f,{watcher:{recursive:this.i(this.g)}})),this.h(v)}h(b){const v=this.B(new I.Emitter);this.B(v.event(m=>{b.fire(m.map(f=>({resource:this.c.transformOutgoingURI(f.resource),type:f.type})))})),this.B(this.b.onDidChangeFile(m=>v.fire(m))),this.B(this.b.onDidWatchError(m=>b.fire(m)))}i(b){}j(b){}watch(b,v,m){const f=this.j(this.g);return Array.isArray(f)&&(m.excludes=[...m.excludes,...f]),this.a.set(b,this.b.watch(v,m)),(0,n.toDisposable)(()=>{(0,n.dispose)(this.a.get(b)),this.a.delete(b)})}dispose(){super.dispose();for(const[,b]of this.a)b.dispose();this.a.clear()}}e.AbstractSessionFileWatcher=h}),define(te[210],ie([0,1,14,164,4,7,16,9,209,143]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderChannel=void 0;class y extends d.AbstractDiskFileSystemProviderChannel{constructor(m,f,w){super(m,f),this.G=w}c(m){return h.DefaultURITransformer}f(m,f){return C.URI.revive(f)}async s(m,f,w){if(!w.useTrash)return super.s(m,f,w);const a=this.f(m,f),u=(0,P.normalize)(a.fsPath);try{await I.shell.trashItem(u)}catch{throw(0,D.createFileSystemProviderError)(n.isWindows?(0,M.localize)(0,null,(0,P.basename)(u)):(0,M.localize)(1,null,(0,P.basename)(u)),D.FileSystemProviderErrorCode.Unknown)}}F(m,f){return new b(m,f,this.b,this.G)}}e.DiskFileSystemProviderChannel=y;class b extends d.AbstractSessionFileWatcher{watch(m,f,w){if(w.recursive)throw(0,D.createFileSystemProviderError)("Recursive file watching is not supported from main process for performance reasons.",D.FileSystemProviderErrorCode.Unavailable);return super.watch(m,f,w)}}}),define(te[211],ie([0,1,5]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogger=void 0;class M extends I.AbstractMessageLogger{constructor(C=I.DEFAULT_LOG_LEVEL){super(),this.k=[],this.l=void 0,this.setLevel(C),this.B(this.onDidChangeLogLevel(D=>{this.l?.setLevel(D)}))}set logger(C){this.l=C;for(const{level:D,message:P}of this.k)(0,I.log)(C,D,P);this.k=[]}g(C,D){this.l?(0,I.log)(this.l,C,D):this.getLevel()<=C&&this.k.push({level:C,message:D})}dispose(){this.l?.dispose()}flush(){this.l?.flush()}}e.BufferLogger=M}),define(te[212],ie([0,1,2,5]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogService=void 0;class n extends I.Disposable{constructor(D,P=[]){super(),this.a=new M.MultiplexLogger([D,...P]),this.B(D.onDidChangeLogLevel(d=>this.setLevel(d)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(D){this.a.setLevel(D)}getLevel(){return this.a.getLevel()}trace(D,...P){this.a.trace(D,...P)}debug(D,...P){this.a.debug(D,...P)}info(D,...P){this.a.info(D,...P)}warn(D,...P){this.a.warn(D,...P)}error(D,...P){this.a.error(D,...P)}flush(){this.a.flush()}}e.LogService=n}),define(te[213],ie([0,1,35,7,5]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerChannel=void 0;class C{constructor(P){this.b=P,this.a=new I.ResourceMap}listen(P,d,h){switch(d){case"onDidChangeLoggers":return h?this.b.getOnDidChangeLoggersEvent(h):this.b.onDidChangeLoggers;case"onDidChangeLogLevel":return h?this.b.getOnDidChangeLogLevelEvent(h):this.b.onDidChangeLogLevel;case"onDidChangeVisibility":return h?this.b.getOnDidChangeVisibilityEvent(h):this.b.onDidChangeVisibility}throw new Error(`Event not found: ${d}`)}async call(P,d,h){switch(d){case"createLogger":this.c(M.URI.revive(h[0]),h[1],h[2]);return;case"log":return this.e(M.URI.revive(h[0]),h[1]);case"consoleLog":return this.d(h[0],h[1]);case"setLogLevel":return this.b.setLogLevel(M.URI.revive(h[0]),h[1]);case"setVisibility":return this.b.setVisibility(M.URI.revive(h[0]),h[1]);case"registerLogger":return this.b.registerLogger({...h[0],resource:M.URI.revive(h[0].resource)},h[1]);case"deregisterLogger":return this.b.deregisterLogger(M.URI.revive(h[0]))}throw new Error(`Call not found: ${d}`)}c(P,d,h){this.a.set(P,this.b.createLogger(P,d,h))}d(P,d){let h=console.log;switch(P){case n.LogLevel.Error:h=console.error;break;case n.LogLevel.Warning:h=console.warn;break;case n.LogLevel.Info:h=console.info;break}h.call(console,...d)}e(P,d){const h=this.a.get(P);if(!h)throw new Error("Create the logger before logging");for(const[y,b]of d)(0,n.log)(h,y,b)}}e.LoggerChannel=C}),define(te[214],ie([0,1,16,5]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;var n;(function(h){h[h.Trace=0]="Trace",h[h.Debug=1]="Debug",h[h.Info=2]="Info",h[h.Warning=3]="Warning",h[h.Error=4]="Error",h[h.Critical=5]="Critical",h[h.Off=6]="Off"})(n||(n={}));async function C(h,y,b,v,m){try{const f=await new Promise((a,u)=>{x(["spdlog"],a,u)});f.setFlushOn(n.Trace);const w=await f.createAsyncRotatingLogger(h,y,b,v);return m?w.clearFormatters():w.setPattern("%Y-%m-%d %H:%M:%S.%e [%l] %v"),w}catch(f){console.error(f)}return null}function D(h,y,b){switch(y){case M.LogLevel.Trace:h.trace(b);break;case M.LogLevel.Debug:h.debug(b);break;case M.LogLevel.Info:h.info(b);break;case M.LogLevel.Warning:h.warn(b);break;case M.LogLevel.Error:h.error(b);break;case M.LogLevel.Off:break;default:throw new Error(`Invalid log level ${y}`)}}function P(h,y){switch(y){case M.LogLevel.Trace:h.setLevel(n.Trace);break;case M.LogLevel.Debug:h.setLevel(n.Debug);break;case M.LogLevel.Info:h.setLevel(n.Info);break;case M.LogLevel.Warning:h.setLevel(n.Warning);break;case M.LogLevel.Error:h.setLevel(n.Error);break;case M.LogLevel.Off:h.setLevel(n.Off);break;default:throw new Error(`Invalid log level ${y}`)}}class d extends M.AbstractMessageLogger{constructor(y,b,v,m,f){super(),this.k=[],this.setLevel(f),this.l=this.n(y,b,v,m),this.B(this.onDidChangeLogLevel(w=>{this.m&&P(this.m,w)}))}async n(y,b,v,m){const f=v?6:1,w=30/f*I.ByteSize.MB,a=await C(y,b,w,f,m);if(a){this.m=a,P(this.m,this.getLevel());for(const{level:u,message:p}of this.k)D(this.m,u,p);this.k=[]}}g(y,b){this.m?D(this.m,y,b):this.getLevel()<=y&&this.k.push({level:y,message:b})}flush(){this.m?this.m.flush():this.l.then(()=>this.flush())}dispose(){this.m?this.r():this.l.then(()=>this.r())}r(){this.m&&(this.m.drop(),this.m=void 0)}}e.SpdLogLogger=d}),define(te[215],ie([0,1,31,5,214]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;class C extends M.AbstractLoggerService{k(P,d,h){return new n.SpdLogLogger((0,I.generateUuid)(),P.fsPath,!h?.donotRotate,!!h?.donotUseFormatters,d)}}e.LoggerService=C}),define(te[64],ie([0,1,35,3,6,5,215]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerMainService=e.ILoggerMainService=void 0,e.ILoggerMainService=(0,n.refineServiceDecorator)(C.ILoggerService);class P extends D.LoggerService{constructor(){super(...arguments),this.m=new I.ResourceMap}createLogger(h,y,b){b!==void 0&&this.m.set(h,b);try{return super.createLogger(h,y)}catch(v){throw this.m.delete(h),v}}registerLogger(h,y){y!==void 0&&this.m.set(h.resource,y),super.registerLogger(h)}deregisterLogger(h){this.m.delete(h),super.deregisterLogger(h)}getRegisteredLoggers(h){const y=[];for(const b of super.getRegisteredLoggers())h===this.m.get(b.resource)&&y.push(b);return y}getOnDidChangeLogLevelEvent(h){return M.Event.filter(this.onDidChangeLogLevel,y=>(0,C.isLogLevel)(y)||this.n(y[0],h))}getOnDidChangeVisibilityEvent(h){return M.Event.filter(this.onDidChangeVisibility,([y])=>this.n(y,h))}getOnDidChangeLoggersEvent(h){return M.Event.filter(M.Event.map(this.onDidChangeLoggers,y=>({added:[...y.added].filter(v=>this.n(v.resource,h)),removed:[...y.removed].filter(v=>this.n(v.resource,h))})),y=>y.added.length>0||y.removed.length>0)}deregisterLoggers(h){for(const[y,b]of this.m)b===h&&this.deregisterLogger(y)}n(h,y){const b=this.m.get(h);return b===void 0||b===y}dispose(){super.dispose(),this.m.clear()}}e.LoggerMainService=P}),define(te[216],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function I(D){return D.submenu!==void 0}e.isMenubarMenuItemSubmenu=I;function M(D){return D.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=M;function n(D){return D.uri!==void 0}e.isMenubarMenuItemRecentAction=n;function C(D){return!I(D)&&!M(D)&&!n(D)}e.isMenubarMenuItemAction=C}),define(te[39],ie([0,1,3,69,2,6]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,C.createDecorator)("policy");class D extends n.Disposable{constructor(){super(...arguments),this.f={},this.g=new Map,this.h=this.B(new I.Emitter),this.onDidChange=this.h.event}async updatePolicyDefinitions(h){const y=Object.keys(this.f).length;return this.f={...h,...this.f},y!==Object.keys(this.f).length&&await this.i(h),M.Iterable.reduce(this.g.entries(),(b,[v,m])=>({...b,[v]:m}),{})}getPolicyValue(h){return this.g.get(h)}serialize(){return M.Iterable.reduce(Object.entries(this.f),(h,[y,b])=>({...h,[y]:{definition:b,value:this.g.get(y)}}),{})}}e.AbstractPolicyService=D;class P{constructor(){this.onDidChange=I.Event.None}async updatePolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=P}),define(te[217],ie([0,1,8,3,69,10,16,5,39]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FilePolicyService=void 0;function h(b,v){const m=[];for(const f of new Set(n.Iterable.concat(b.keys(),v.keys())))b.get(f)!==v.get(f)&&m.push(f);return m}let y=class extends d.AbstractPolicyService{constructor(v,m,f){super(),this.j=v,this.k=m,this.l=f,this.c=this.B(new I.ThrottledDelayer(500));const w=M.Event.filter(m.onDidFilesChange,a=>a.affects(v));this.B(m.watch(v)),this.B(w(()=>this.c.trigger(()=>this.p())))}async i(){await this.p()}async n(){const v=new Map;try{const m=await this.k.readFile(this.j),f=JSON.parse(m.value.toString());if(!(0,C.isObject)(f))throw new Error("Policy file isn't a JSON object");for(const w of Object.keys(f))this.f[w]&&v.set(w,f[w])}catch(m){m.fileOperationResult!==1&&this.l.error("[FilePolicyService] Failed to read policies",m)}return v}async p(){const v=await this.n(),m=h(this.g,v);this.g=v,m.length>0&&this.h.fire(m)}};y=ve([ee(1,D.IFileService),ee(2,P.ILogService)],y),e.FilePolicyService=y}),define(te[218],ie([0,1,3,2,39]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyChannelClient=e.PolicyChannel=void 0;class C{constructor(d){this.b=d,this.a=new M.DisposableStore}listen(d,h){switch(h){case"onDidChange":return I.Event.map(this.b.onDidChange,y=>y.reduce((b,v)=>({...b,[v]:this.b.getPolicyValue(v)??null}),{}),this.a)}throw new Error(`Event not found: ${h}`)}call(d,h,y){switch(h){case"updatePolicyDefinitions":return this.b.updatePolicyDefinitions(y)}throw new Error(`Call not found: ${h}`)}dispose(){this.a.dispose()}}e.PolicyChannel=C;class D extends n.AbstractPolicyService{constructor(d,h){super(),this.a=h;for(const y in d){const{definition:b,value:v}=d[y];this.f[y]=b,v!==void 0&&this.g.set(y,v)}this.a.listen("onDidChange")(y=>{for(const b in y){const v=y[b];v===null?this.g.delete(b):this.g.set(b,v)}this.h.fire(Object.keys(y))})}async i(d){const h=await this.a.call("updatePolicyDefinitions",d);for(const y in h)this.g.set(y,h[y])}}e.PolicyChannelClient=D}),define(te[65],ie([0,1,4,36]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let n;if(typeof I.globals.vscode<"u"&&typeof I.globals.vscode.context<"u"){const C=I.globals.vscode.context.configuration();if(C)n=C.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(n=globalThis._VSCODE_PRODUCT_JSON,M.env.VSCODE_DEV&&Object.assign(n,{nameShort:`${n.nameShort} Dev`,nameLong:`${n.nameLong} Dev`,dataFolderName:`${n.dataFolderName}-dev`,serverDataFolderName:n.serverDataFolderName?`${n.serverDataFolderName}-dev`:void 0}),!n.version){const C=globalThis._VSCODE_PACKAGE_JSON;Object.assign(n,{version:C.version})}}else n={},Object.keys(n).length===0&&Object.assign(n,{version:"1.72.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=n}),define(te[19],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,I.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(te[219],ie([0,1,80,5,19]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let C=class{constructor(P,d){this.b=P,this.c=d,this.a=new Map}async isExtensionUrlTrusted(P,d){if(!this.b.trustedExtensionUrlPublicKeys)return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const h=/^(.*)#([^#]+)$/.exec(d);if(!h)return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",d),!1;const[,y,b]=h;let v=this.a.get(P);if(!v){if(v=this.b.trustedExtensionUrlPublicKeys[P],!v||v.length===0)return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",P),!1;this.a.set(P,[...v])}const m=Buffer.from(decodeURIComponent(b),"base64");if(m.length<=6)return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",d),!1;const f=m.slice(0,6),w=m.readUIntBE(0,6),a=Date.now()-w;if(a<0||a>36e5)return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",d),!1;const u=m.slice(6),p=I.createVerify("SHA256");p.write(f),p.write(Buffer.from(y)),p.end();for(let k=0;k<v.length;k++){let E=v[k];if(E!==null){if(typeof E=="string")try{E=I.createPublicKey({key:Buffer.from(E,"base64"),format:"der",type:"spki"}),v[k]=E}catch(R){this.c.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${k+1} for ${P}:`,R),v[k]=null;continue}if(p.verify(E,u))return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",d),!0}}return this.c.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",d),!1}};C=ve([ee(0,n.IProductService),ee(1,M.ILogService)],C),e.ExtensionUrlTrustService=C}),define(te[220],ie([0,1,8,5]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowProfiler=void 0;let n=class{constructor(D,P,d){this.a=D,this.b=P,this.c=d}async inspect(D){await this.d();const P=this.a.webContents.debugger;await P.sendCommand("Profiler.start"),this.c.warn("[perf] profiling STARTED",this.b),await(0,I.timeout)(D);const d=await P.sendCommand("Profiler.stop");return this.c.warn("[perf] profiling DONE",this.b),await this.e(),d.profile}async d(){const D=this.a.webContents.debugger;D.attach(),await D.sendCommand("Profiler.enable")}async e(){const D=this.a.webContents.debugger;await D.sendCommand("Profiler.disable"),D.detach()}};n=ve([ee(2,M.ILogService)],n),e.WindowProfiler=n}),define(te[66],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=(0,I.createDecorator)("protocolMainService")}),define(te[50],ie([0,1,122,10]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class n{constructor(){this.a=new Map}add(D,P){I.ok(M.isString(D)),I.ok(M.isObject(P)),I.ok(!this.a.has(D),"There is already an extension with this id"),this.a.set(D,P)}knows(D){return this.a.has(D)}as(D){return this.a.get(D)||null}}e.Registry=new n}),define(te[221],ie([0,1,3,50]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function n(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class C{constructor(){this.b=new I.Emitter,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(d,h){this.a[n(d)]=h,this.b.fire(d)}notifySchemaChanged(d){this.b.fire(d)}getSchemaContributions(){return{schemas:this.a}}}const D=new C;M.Registry.add(e.Extensions.JSONContribution,D)}),define(te[67],ie([0,1,25,3,10,152,18,221,50]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var h;(function(R){R.Multiline="multilineText",R.Singleline="singlelineText"})(h=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var y;(function(R){R[R.APPLICATION=1]="APPLICATION",R[R.MACHINE=2]="MACHINE",R[R.WINDOW=3]="WINDOW",R[R.RESOURCE=4]="RESOURCE",R[R.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",R[R.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(y=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const b=d.Registry.as(P.Extensions.JSONContribution);class v{constructor(){this.h=new Set,this.i=new M.Emitter,this.onDidSchemaChange=this.i.event,this.j=new M.Emitter,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:C.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},b.registerSchema(e.resourceLanguageSettingsSchemaId,this.g),this.v()}registerConfiguration(t,c=!0){this.registerConfigurations([t],c)}registerConfigurations(t,c=!0){const i=new Set;this.n(t,c,i),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.g),this.i.fire(),this.j.fire({properties:i})}deregisterConfigurations(t){const c=new Set;this.o(t,c),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.g),this.i.fire(),this.j.fire({properties:c})}updateConfigurations({add:t,remove:c}){const i=new Set;this.o(c,i),this.n(t,!1,i),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.g),this.i.fire(),this.j.fire({properties:i})}registerDefaultConfigurations(t){const c=new Set;this.k(t,c),this.i.fire(),this.j.fire({properties:c,defaultsOverrides:!0})}k(t,c){const i=[];for(const{overrides:r,source:s}of t)for(const l in r)if(c.add(l),e.OVERRIDE_PROPERTY_REGEX.test(l)){const o=this.a.get(l),g=o?.valuesSources??new Map;if(s)for(const j of Object.keys(r[l]))g.set(j,s);const S={...o?.value||{},...r[l]};this.a.set(l,{source:s,value:S,valuesSources:g});const L=(0,D.getLanguageTagSettingPlainKey)(l),O={type:"object",default:S,description:C.localize(1,null,L),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:S,source:n.isString(s)?void 0:s,defaultValueSource:s};i.push(...w(l)),this.d[l]=O,this.b.properties[l]=O}else{this.a.set(l,{value:r[l],source:s});const o=this.d[l];o&&(this.w(l,o),this.r(l,o))}this.m(i)}deregisterDefaultConfigurations(t){const c=new Set;this.l(t,c),this.i.fire(),this.j.fire({properties:c,defaultsOverrides:!0})}l(t,c){for(const{overrides:i,source:r}of t)for(const s in i){const l=this.a.get(s),o=n.isString(r)?r:r?.id,g=n.isString(l?.source)?l?.source:l?.source?.id;if(o===g)if(c.add(s),this.a.delete(s),e.OVERRIDE_PROPERTY_REGEX.test(s))delete this.d[s],delete this.b.properties[s];else{const S=this.d[s];S&&(this.w(s,S),this.r(s,S))}}this.u()}deltaConfiguration(t){let c=!1;const i=new Set;t.removedDefaults&&(this.l(t.removedDefaults,i),c=!0),t.addedDefaults&&(this.k(t.addedDefaults,i),c=!0),t.removedConfigurations&&this.o(t.removedConfigurations,i),t.addedConfigurations&&this.n(t.addedConfigurations,!1,i),this.i.fire(),this.j.fire({properties:i,defaultsOverrides:c})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const c of t)this.h.add(c);this.u()}n(t,c,i){t.forEach(r=>{this.p(r,c,r.extensionInfo,r.restrictedProperties,void 0,i),this.c.push(r),this.q(r)})}o(t,c){const i=r=>{if(r.properties)for(const s in r.properties){c.add(s);const l=this.d[s];l?.policy?.name&&this.e.delete(l.policy.name),delete this.d[s],this.s(s,r.properties[s])}r.allOf?.forEach(s=>i(s))};for(const r of t){i(r);const s=this.c.indexOf(r);s!==-1&&this.c.splice(s,1)}}p(t,c=!0,i,r,s=3,l){s=n.isUndefinedOrNull(t.scope)?s:t.scope;const o=t.properties;if(o)for(const S in o){const L=o[S];if(c&&k(S,L)){delete o[S];continue}if(L.source=i,L.defaultDefaultValue=o[S].default,this.w(S,L),e.OVERRIDE_PROPERTY_REGEX.test(S)?L.scope=void 0:(L.scope=n.isUndefinedOrNull(L.scope)?s:L.scope,L.restricted=n.isUndefinedOrNull(L.restricted)?!!r?.includes(S):L.restricted),o[S].hasOwnProperty("included")&&!o[S].included){this.f[S]=o[S],delete o[S];continue}else this.d[S]=o[S],o[S].policy?.name&&this.e.set(o[S].policy.name,S);!o[S].deprecationMessage&&o[S].markdownDeprecationMessage&&(o[S].deprecationMessage=o[S].markdownDeprecationMessage),l.add(S)}const g=t.allOf;if(g)for(const S of g)this.p(S,c,i,r,s,l)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const c=i=>{const r=i.properties;if(r)for(const l in r)this.r(l,r[l]);i.allOf?.forEach(c)};c(t)}r(t,c){switch(e.allSettings.properties[t]=c,c.scope){case 1:e.applicationSettings.properties[t]=c;break;case 2:e.machineSettings.properties[t]=c;break;case 6:e.machineOverridableSettings.properties[t]=c;break;case 3:e.windowSettings.properties[t]=c;break;case 4:e.resourceSettings.properties[t]=c;break;case 5:e.resourceSettings.properties[t]=c,this.g.properties[t]=c;break}}s(t,c){switch(delete e.allSettings.properties[t],c.scope){case 1:delete e.applicationSettings.properties[t];break;case 2:delete e.machineSettings.properties[t];break;case 6:delete e.machineOverridableSettings.properties[t];break;case 3:delete e.windowSettings.properties[t];break;case 4:case 5:delete e.resourceSettings.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const c=`[${t}]`,i={type:"object",description:C.localize(2,null),errorMessage:C.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.w(c,i),e.allSettings.properties[c]=i,e.applicationSettings.properties[c]=i,e.machineSettings.properties[c]=i,e.machineOverridableSettings.properties[c]=i,e.windowSettings.properties[c]=i,e.resourceSettings.properties[c]=i}}v(){const t={type:"object",description:C.localize(4,null),errorMessage:C.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,this.i.fire()}w(t,c){const i=this.a.get(t);let r=i?.value,s=i?.source;n.isUndefined(r)&&(r=c.defaultDefaultValue,s=void 0),n.isUndefined(r)&&(r=u(c.type)),c.default=r,c.defaultValueSource=s}}const m="\\[([^\\]]+)\\]",f=new RegExp(m,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${m})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function w(R){const t=[];if(e.OVERRIDE_PROPERTY_REGEX.test(R)){let c=f.exec(R);for(;c?.length;){const i=c[1].trim();i&&t.push(i),c=f.exec(R)}}return(0,I.distinct)(t)}e.overrideIdentifiersFromKey=w;function a(R){return R.reduce((t,c)=>`${t}[${c}]`,"")}e.keyFromOverrideIdentifiers=a;function u(R){switch(Array.isArray(R)?R[0]:R){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=u;const p=new v;d.Registry.add(e.Extensions.Configuration,p);function k(R,t){return R.trim()?e.OVERRIDE_PROPERTY_REGEX.test(R)?C.localize(7,null,R):p.getConfigurationProperties()[R]!==void 0?C.localize(8,null,R):t.policy?.name&&p.getPolicyConfigurations().get(t.policy?.name)!==void 0?C.localize(9,null,R,t.policy?.name,p.getPolicyConfigurations().get(t.policy?.name)):null:C.localize(6,null)}e.validateProperty=k;function E(){const R=[],t=p.getConfigurationProperties();for(const c of Object.keys(t))R.push([c,t[c].scope]);return R.push(["launch",4]),R.push(["task",4]),R}e.getScopes=E}),define(te[110],ie([0,1,25,3,43,2,35,44,10,7,18,67,50]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;function m(c){return Object.isFrozen(c)?c:P.deepFreeze(c)}class f{constructor(i={},r=[],s=[],l){this.b=i,this.c=r,this.d=s,this.raw=l,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const i=this.raw.map(r=>{if(r instanceof f)return r;const s=new w("");return s.parseRaw(r),s.configurationModel});this.f=i.reduce((r,s)=>s===r?s:r.merge(s),i[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(i){return i?(0,y.getConfigurationValue)(this.contents,i):this.contents}inspect(i,r){const s=this.rawConfiguration.getValue(i),l=r?this.rawConfiguration.getOverrideValue(i,r):void 0,o=r?this.rawConfiguration.override(r).getValue(i):s;return{value:s,override:l,merged:o}}getOverrideValue(i,r){const s=this.i(r);return s?i?(0,y.getConfigurationValue)(s,i):s:void 0}getKeysForOverrideIdentifier(i){const r=[];for(const s of this.overrides)s.identifiers.includes(i)&&r.push(...s.keys);return I.distinct(r)}getAllOverrideIdentifiers(){const i=[];for(const r of this.overrides)i.push(...r.identifiers);return I.distinct(i)}override(i){let r=this.a.get(i);return r||(r=this.g(i),this.a.set(i,r)),r}merge(...i){const r=P.deepClone(this.contents),s=P.deepClone(this.overrides),l=[...this.keys],o=this.raw?.length?[...this.raw]:[this];for(const g of i)if(o.push(...g.raw?.length?g.raw:[g]),!g.isEmpty()){this.h(r,g.contents);for(const S of g.overrides){const[L]=s.filter(O=>I.equals(O.identifiers,S.identifiers));L?(this.h(L.contents,S.contents),L.keys.push(...S.keys),L.keys=I.distinct(L.keys)):s.push(P.deepClone(S))}for(const S of g.keys)l.indexOf(S)===-1&&l.push(S)}return new f(r,l,s,o.every(g=>g instanceof f)?void 0:o)}g(i){const r=this.i(i);if(!r||typeof r!="object"||!Object.keys(r).length)return this;const s={};for(const l of I.distinct([...Object.keys(this.contents),...Object.keys(r)])){let o=this.contents[l];const g=r[l];g&&(typeof o=="object"&&typeof g=="object"?(o=P.deepClone(o),this.h(o,g)):o=g),s[l]=o}return new f(s,this.keys,this.overrides)}h(i,r){for(const s of Object.keys(r)){if(s in i&&d.isObject(i[s])&&d.isObject(r[s])){this.h(i[s],r[s]);continue}i[s]=P.deepClone(r[s])}}i(i){let r=null,s=null;const l=o=>{o&&(s?this.h(s,o):s=P.deepClone(o))};for(const o of this.overrides)I.equals(o.identifiers,[i])?r=o.contents:o.identifiers.includes(i)&&l(o.contents);return l(r),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(i,r){this.j(i,r,!0)}setValue(i,r){this.j(i,r,!1)}removeValue(i){const r=this.keys.indexOf(i);r!==-1&&(this.keys.splice(r,1),(0,y.removeFromValueTree)(this.contents,i),b.OVERRIDE_PROPERTY_REGEX.test(i)&&this.overrides.splice(this.overrides.findIndex(s=>I.equals(s.identifiers,(0,b.overrideIdentifiersFromKey)(i))),1))}j(i,r,s){(0,y.addToValueTree)(this.contents,i,r,l=>console.error(l)),s=s||this.keys.indexOf(i)===-1,s&&this.keys.push(i),b.OVERRIDE_PROPERTY_REGEX.test(i)&&this.overrides.push({identifiers:(0,b.overrideIdentifiersFromKey)(i),keys:Object.keys(this.contents[i]),contents:(0,y.toValuesTree)(this.contents[i],l=>console.error(l))})}}e.ConfigurationModel=f;class w{constructor(i){this.f=i,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new f}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(i,r){if(!d.isUndefinedOrNull(i)){const s=this.g(i);this.parseRaw(s,r)}}reparse(i){this.a&&this.parseRaw(this.a,i)}parseRaw(i,r){this.a=i;const{contents:s,keys:l,overrides:o,restricted:g,hasExcludedProperties:S}=this.h(i,r);this.b=new f(s,l,o,S?[i]:void 0),this.c=g||[]}g(i){let r={},s=null,l=[];const o=[],g=[];function S(O){Array.isArray(l)?l.push(O):s!==null&&(l[s]=O)}const L={onObjectBegin:()=>{const O={};S(O),o.push(l),l=O,s=null},onObjectProperty:O=>{s=O},onObjectEnd:()=>{l=o.pop()},onArrayBegin:()=>{const O=[];S(O),o.push(l),l=O,s=null},onArrayEnd:()=>{l=o.pop()},onLiteralValue:S,onError:(O,j,K)=>{g.push({error:O,offset:j,length:K})}};if(i)try{n.visit(i,L),r=l[0]||{}}catch(O){console.error(`Error while parsing settings file ${this.f}: ${O}`),this.d=[O]}return r}h(i,r){const s=v.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),l=this.i(i,s,!0,r);i=l.raw;const o=(0,y.toValuesTree)(i,L=>console.error(`Conflict in settings file ${this.f}: ${L}`)),g=Object.keys(i),S=this.j(i,L=>console.error(`Conflict in settings file ${this.f}: ${L}`));return{contents:o,keys:g,overrides:S,restricted:l.restricted,hasExcludedProperties:l.hasExcludedProperties}}i(i,r,s,l){let o=!1;if(!l?.scopes&&!l?.skipRestricted)return{raw:i,restricted:[],hasExcludedProperties:o};const g={},S=[];for(const L in i)if(b.OVERRIDE_PROPERTY_REGEX.test(L)&&s){const O=this.i(i[L],r,!1,l);g[L]=O.raw,o=o||O.hasExcludedProperties,S.push(...O.restricted)}else{const O=r[L],j=O?typeof O.scope<"u"?O.scope:3:void 0;O?.restricted&&S.push(L),(j===void 0||l.scopes===void 0||l.scopes.includes(j))&&!(l.skipRestricted&&O?.restricted)?g[L]=i[L]:o=!0}return{raw:g,restricted:S,hasExcludedProperties:o}}j(i,r){const s=[];for(const l of Object.keys(i))if(b.OVERRIDE_PROPERTY_REGEX.test(l)){const o={};for(const g in i[l])o[g]=i[l][g];s.push({identifiers:(0,b.overrideIdentifiersFromKey)(l),keys:Object.keys(o),contents:(0,y.toValuesTree)(o,r)})}return s}}e.ConfigurationModelParser=w;class a extends C.Disposable{constructor(i,r,s,l){super(),this.f=i,this.g=r,this.h=l,this.c=this.B(new M.Emitter),this.onDidChange=this.c.event,this.a=new w(this.f.toString()),this.b={scopes:this.g},this.B(this.h.watch(s.dirname(this.f))),this.B(this.h.watch(this.f)),this.B(M.Event.any(M.Event.filter(this.h.onDidFilesChange,o=>o.contains(this.f)),M.Event.filter(this.h.onDidRunOperation,o=>(o.isOperation(0)||o.isOperation(3)||o.isOperation(1)||o.isOperation(4))&&s.isEqual(o.resource,i)))(()=>this.c.fire()))}async loadConfiguration(){try{const i=await this.h.readFile(this.f);return this.a.parse(i.value.toString()||"{}",this.b),this.a.configurationModel}catch{return new f}}reparse(){return this.a.reparse(this.b),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.UserSettings=a;class u{constructor(i,r,s,l,o,g,S,L,O,j,K,V,J){this.a=i,this.b=r,this.c=s,this.overrideIdentifiers=l,this.d=o,this.f=g,this.g=S,this.h=L,this.i=O,this.j=j,this.k=K,this.l=V,this.m=J}get value(){return m(this.c)}n(i,r,s){const l=i.inspect(r,s);return{get value(){return m(l.value)},get override(){return m(l.override)},get merged(){return m(l.merged)}}}get q(){return this.p||(this.p=this.n(this.d,this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.q.value!==void 0||this.q.override!==void 0?{value:this.q.value,override:this.q.override}:void 0}get s(){return this.r===void 0&&(this.r=this.f?this.n(this.f,this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.n(this.g,this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.u?.value!==void 0||this.u?.override!==void 0?{value:this.u.value,override:this.u.override}:void 0}get w(){return this.v||(this.v=this.n(this.h,this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.w.value!==void 0||this.w.override!==void 0?{value:this.w.value,override:this.w.override}:void 0}get y(){return this.x||(this.x=this.n(this.i,this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.y.value!==void 0||this.y.override!==void 0?{value:this.y.value,override:this.y.override}:void 0}get A(){return this.z||(this.z=this.n(this.j,this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.A.value!==void 0||this.A.override!==void 0?{value:this.A.value,override:this.A.override}:void 0}get D(){return this.B===void 0&&(this.B=this.k?this.n(this.k,this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.D?.value!==void 0||this.D?.override!==void 0?{value:this.D.value,override:this.D.override}:void 0}get F(){return this.E===void 0&&(this.E=this.l?this.n(this.l,this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.F?.value!==void 0||this.F?.override!==void 0?{value:this.F.value,override:this.F.override}:void 0}get H(){return this.G===void 0&&(this.G=this.n(this.m,this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.H.value!==void 0||this.H.override!==void 0?{value:this.H.value,override:this.H.override}:void 0}}class p{constructor(i,r,s,l,o=new f,g=new f,S=new D.ResourceMap,L=new f,O=new D.ResourceMap){this.c=i,this.d=r,this.f=s,this.g=l,this.h=o,this.i=g,this.j=S,this.l=L,this.m=O,this.a=null,this.b=new D.ResourceMap,this.n=null}getValue(i,r,s){return this.q(i,r,s).getValue(i)}updateValue(i,r,s={}){let l;s.resource?(l=this.m.get(s.resource),l||(l=new f,this.m.set(s.resource,l))):l=this.l,r===void 0?l.removeValue(i):l.setValue(i,r),s.resource||(this.a=null)}inspect(i,r,s){const l=this.q(i,r,s),o=this.u(r.resource,s),g=r.resource?this.m.get(r.resource)||this.l:this.l,S=new Set;for(const L of l.overrides)for(const O of L.identifiers)l.getOverrideValue(i,O)!==void 0&&S.add(O);return new u(i,r,l.getValue(i),S.size?[...S]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,s?this.i:void 0,o||void 0,g)}keys(i){const r=this.u(void 0,i);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:r?r.keys.slice(0):[]}}updateDefaultConfiguration(i){this.c=i,this.a=null,this.b.clear()}updatePolicyConfiguration(i){this.d=i}updateApplicationConfiguration(i){this.f=i,this.a=null,this.b.clear()}updateLocalUserConfiguration(i){this.g=i,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(i){this.h=i,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(i){this.i=i,this.a=null,this.b.clear()}updateFolderConfiguration(i,r){this.j.set(i,r),this.b.delete(i)}deleteFolderConfiguration(i){this.p.delete(i),this.b.delete(i)}compareAndUpdateDefaultConfiguration(i,r){const s=[];if(!r){const{added:l,updated:o,removed:g}=R(this.c,i);r=[...l,...o,...g]}for(const l of r)for(const o of(0,b.overrideIdentifiersFromKey)(l)){const g=this.c.getKeysForOverrideIdentifier(o),S=i.getKeysForOverrideIdentifier(o),L=[...S.filter(O=>g.indexOf(O)===-1),...g.filter(O=>S.indexOf(O)===-1),...g.filter(O=>!P.equals(this.c.override(o).getValue(O),i.override(o).getValue(O)))];s.push([o,L])}return this.updateDefaultConfiguration(i),{keys:r,overrides:s}}compareAndUpdatePolicyConfiguration(i){const{added:r,updated:s,removed:l}=R(this.d,i),o=[...r,...s,...l];return o.length&&this.updatePolicyConfiguration(i),{keys:o,overrides:[]}}compareAndUpdateApplicationConfiguration(i){const{added:r,updated:s,removed:l,overrides:o}=R(this.applicationConfiguration,i),g=[...r,...s,...l];return g.length&&this.updateApplicationConfiguration(i),{keys:g,overrides:o}}compareAndUpdateLocalUserConfiguration(i){const{added:r,updated:s,removed:l,overrides:o}=R(this.localUserConfiguration,i),g=[...r,...s,...l];return g.length&&this.updateLocalUserConfiguration(i),{keys:g,overrides:o}}compareAndUpdateRemoteUserConfiguration(i){const{added:r,updated:s,removed:l,overrides:o}=R(this.remoteUserConfiguration,i),g=[...r,...s,...l];return g.length&&this.updateRemoteUserConfiguration(i),{keys:g,overrides:o}}compareAndUpdateWorkspaceConfiguration(i){const{added:r,updated:s,removed:l,overrides:o}=R(this.workspaceConfiguration,i),g=[...r,...s,...l];return g.length&&this.updateWorkspaceConfiguration(i),{keys:g,overrides:o}}compareAndUpdateFolderConfiguration(i,r){const s=this.p.get(i),{added:l,updated:o,removed:g,overrides:S}=R(s,r),L=[...l,...o,...g];return(L.length||!s)&&this.updateFolderConfiguration(i,r),{keys:L,overrides:S}}compareAndDeleteFolderConfiguration(i){const r=this.p.get(i);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(i);const{added:s,updated:l,removed:o,overrides:g}=R(r,void 0);return{keys:[...s,...l,...o],overrides:g}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get p(){return this.j}q(i,r,s){let l=this.r(r,s);return r.overrideIdentifier&&(l=l.override(r.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(i)!==void 0&&(l=l.merge(this.d)),l}r({resource:i},r){let s=this.s();if(r&&i){const l=r.getFolder(i);l&&(s=this.t(l.uri)||s);const o=this.m.get(i);o&&(s=s.merge(o))}return s}s(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}t(i){let r=this.b.get(i);if(!r){const s=this.s(),l=this.j.get(i);l?(r=s.merge(l),this.b.set(i,r)):r=s}return r}u(i,r){if(r&&i){const s=r.getFolder(i);if(s)return this.j.get(s.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((i,r)=>{const{contents:s,overrides:l,keys:o}=this.j.get(r);return i.push([r,{contents:s,overrides:l,keys:o}]),i},[])}}allKeys(){const i=new Set;return this.c.keys.forEach(r=>i.add(r)),this.userConfiguration.keys.forEach(r=>i.add(r)),this.i.keys.forEach(r=>i.add(r)),this.j.forEach(r=>r.keys.forEach(s=>i.add(s))),[...i.values()]}v(){const i=new Set;return this.c.getAllOverrideIdentifiers().forEach(r=>i.add(r)),this.userConfiguration.getAllOverrideIdentifiers().forEach(r=>i.add(r)),this.i.getAllOverrideIdentifiers().forEach(r=>i.add(r)),this.j.forEach(r=>r.getAllOverrideIdentifiers().forEach(s=>i.add(s))),[...i.values()]}w(i){const r=new Set;return this.c.getKeysForOverrideIdentifier(i).forEach(s=>r.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(i).forEach(s=>r.add(s)),this.i.getKeysForOverrideIdentifier(i).forEach(s=>r.add(s)),this.j.forEach(s=>s.getKeysForOverrideIdentifier(i).forEach(l=>r.add(l))),[...r.values()]}static parse(i){const r=this.x(i.defaults),s=this.x(i.policy),l=this.x(i.application),o=this.x(i.user),g=this.x(i.workspace),S=i.folders.reduce((L,O)=>(L.set(h.URI.revive(O[0]),this.x(O[1])),L),new D.ResourceMap);return new p(r,s,l,o,new f,g,S,new f,new D.ResourceMap)}static x(i){return new f(i.contents,i.keys,i.overrides)}}e.Configuration=p;function k(...c){if(c.length===0)return{keys:[],overrides:[]};if(c.length===1)return c[0];const i=new Set,r=new Map;for(const l of c)l.keys.forEach(o=>i.add(o)),l.overrides.forEach(([o,g])=>{const S=(0,D.getOrSet)(r,o,new Set);g.forEach(L=>S.add(L))});const s=[];return r.forEach((l,o)=>s.push([o,[...l.values()]])),{keys:[...i.values()],overrides:s}}e.mergeChanges=k;class E{constructor(i,r,s,l){this.change=i,this.f=r,this.g=s,this.h=l,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=".".charCodeAt(0),this.affectedKeys=new Set,this.i=void 0;for(const o of i.keys)this.affectedKeys.add(o);for(const[,o]of i.overrides)for(const g of o)this.affectedKeys.add(g);this.d=this.a;for(const o of this.affectedKeys)this.d+=o+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=p.parse(this.f.data)),this.i}affectsConfiguration(i,r){const s=this.a+i,l=this.d.indexOf(s);if(l<0)return!1;const o=l+s.length;if(o>=this.d.length)return!1;const g=this.d.charCodeAt(o);if(g!==this.b&&g!==this.c)return!1;if(r){const S=this.previousConfiguration?this.previousConfiguration.getValue(i,r,this.f?.workspace):void 0,L=this.g.getValue(i,r,this.h);return!P.equals(S,L)}return!0}}e.ConfigurationChangeEvent=E;function R(c,i){const{added:r,removed:s,updated:l}=t(i?.rawConfiguration,c?.rawConfiguration),o=[],g=c?.getAllOverrideIdentifiers()||[],S=i?.getAllOverrideIdentifiers()||[];if(i){const L=S.filter(O=>!g.includes(O));for(const O of L)o.push([O,i.getKeysForOverrideIdentifier(O)])}if(c){const L=g.filter(O=>!S.includes(O));for(const O of L)o.push([O,c.getKeysForOverrideIdentifier(O)])}if(i&&c){for(const L of g)if(S.includes(L)){const O=t({contents:c.getOverrideValue(void 0,L)||{},keys:c.getKeysForOverrideIdentifier(L)},{contents:i.getOverrideValue(void 0,L)||{},keys:i.getKeysForOverrideIdentifier(L)});o.push([L,[...O.added,...O.removed,...O.updated]])}}return{added:r,removed:s,updated:l,overrides:o}}function t(c,i){const r=c?i?c.keys.filter(o=>i.keys.indexOf(o)===-1):[...c.keys]:[],s=i?c?i.keys.filter(o=>c.keys.indexOf(o)===-1):[...i.keys]:[],l=[];if(c&&i){for(const o of i.keys)if(c.keys.indexOf(o)!==-1){const g=(0,y.getConfigurationValue)(i.contents,o),S=(0,y.getConfigurationValue)(c.contents,o);P.equals(g,S)||l.push(o)}}return{added:r,removed:s,updated:l}}}),define(te[222],ie([0,1,25,3,2,44,10,110,67,5,39,50]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfiguration=void 0;class v extends n.Disposable{constructor(){super(...arguments),this.a=this.B(new M.Emitter),this.onDidChangeConfiguration=this.a.event,this.b=new P.ConfigurationModel}get configurationModel(){return this.b}async initialize(){return this.g(),this.B(b.Registry.as(d.Extensions.Configuration).onDidUpdateConfiguration(({properties:a,defaultsOverrides:u})=>this.c(Array.from(a),u))),this.configurationModel}reload(){return this.g(),this.configurationModel}c(a,u){this.h(a,b.Registry.as(d.Extensions.Configuration).getConfigurationProperties()),this.a.fire({defaults:this.configurationModel,properties:a})}f(){return{}}g(){this.b=new P.ConfigurationModel;const a=b.Registry.as(d.Extensions.Configuration).getConfigurationProperties();this.h(Object.keys(a),a)}h(a,u){const p=this.f();for(const k of a){const E=p[k],R=u[k];E!==void 0?this.b.addValue(k,E):R?this.b.addValue(k,R.default):this.b.removeValue(k)}}}e.DefaultConfiguration=v;class m{constructor(){this.onDidChangeConfiguration=M.Event.None,this.configurationModel=new P.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=m;let f=class extends n.Disposable{get configurationModel(){return this.b}constructor(a,u,p){super(),this.c=a,this.f=u,this.g=p,this.a=this.B(new M.Emitter),this.onDidChangeConfiguration=this.a.event,this.b=new P.ConfigurationModel}async initialize(){return this.g.trace("PolicyConfiguration#initialize"),this.j(await this.h(this.c.configurationModel.keys),!1),this.B(this.f.onDidChange(a=>this.i(a))),this.B(this.c.onDidChangeConfiguration(async({properties:a})=>this.j(await this.h(a),!0))),this.b}async h(a){this.g.trace("PolicyConfiguration#updatePolicyDefinitions",a);const u={},p=[],k=b.Registry.as(d.Extensions.Configuration).getConfigurationProperties();for(const E of a){const R=k[E];if(!R){p.push(E);continue}if(R.policy){if(R.type!=="string"&&R.type!=="number"){this.g.warn(`Policy ${R.policy.name} has unsupported type ${R.type}`);continue}p.push(E),u[R.policy.name]={type:R.type}}}return(0,D.isEmptyObject)(u)||await this.f.updatePolicyDefinitions(u),p}i(a){this.g.trace("PolicyConfiguration#onDidChangePolicies",a);const u=b.Registry.as(d.Extensions.Configuration).getPolicyConfigurations(),p=(0,I.coalesce)(a.map(k=>u.get(k)));this.j(p,!0)}j(a,u){this.g.trace("PolicyConfiguration#update",a);const p=b.Registry.as(d.Extensions.Configuration).getConfigurationProperties(),k=[],E=this.b.isEmpty();for(const R of a){const t=p[R]?.policy?.name;if(t){const c=this.f.getPolicyValue(t);(E?c!==void 0:!(0,C.equals)(this.b.getValue(R),c))&&k.push([R,c])}else this.b.getValue(R)!==void 0&&k.push([R,void 0])}if(k.length){this.g.trace("PolicyConfiguration#changed",k);const R=this.b;this.b=new P.ConfigurationModel;for(const t of R.keys)this.b.setValue(t,R.getValue(t));for(const[t,c]of k)c===void 0?this.b.removeValue(t):this.b.setValue(t,c);u&&this.a.fire(this.b)}}};f=ve([ee(1,y.IPolicyService),ee(2,h.ILogService)],f),e.PolicyConfiguration=f}),define(te[223],ie([0,1,8,3,2,20,18,110,222,39]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class y extends n.Disposable{constructor(v,m,f,w){super(),this.i=v,this.h=this.B(new M.Emitter),this.onDidChangeConfiguration=this.h.event,this.b=this.B(new d.DefaultConfiguration),this.c=f instanceof h.NullPolicyService?new d.NullPolicyConfiguration:this.B(new d.PolicyConfiguration(this.b,f,w)),this.f=this.B(new P.UserSettings(this.i,void 0,C.extUriBiasedIgnorePathCase,m)),this.a=new P.Configuration(this.b.configurationModel,this.c.configurationModel,new P.ConfigurationModel,new P.ConfigurationModel),this.g=this.B(new I.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this.B(this.b.onDidChangeConfiguration(({defaults:a,properties:u})=>this.k(a,u))),this.B(this.c.onDidChangeConfiguration(a=>this.l(a))),this.B(this.f.onDidChange(()=>this.g.schedule()))}async initialize(){const[v,m,f]=await Promise.all([this.b.initialize(),this.c.initialize(),this.f.loadConfiguration()]);this.a=new P.Configuration(v,m,new P.ConfigurationModel,f)}getConfigurationData(){return this.a.toData()}getValue(v,m){const f=typeof v=="string"?v:void 0,w=(0,D.isConfigurationOverrides)(v)?v:(0,D.isConfigurationOverrides)(m)?m:{};return this.a.getValue(f,w,void 0)}updateValue(v,m,f,w){return Promise.reject(new Error("not supported"))}inspect(v){return this.a.inspect(v,{},void 0)}keys(){return this.a.keys(void 0)}async reloadConfiguration(){const v=await this.f.loadConfiguration();this.j(v)}j(v){const m=this.a.toData(),f=this.a.compareAndUpdateLocalUserConfiguration(v);this.m(f,m,2)}k(v,m){const f=this.a.toData(),w=this.a.compareAndUpdateDefaultConfiguration(v,m);this.m(w,f,7)}l(v){const m=this.a.toData(),f=this.a.compareAndUpdatePolicyConfiguration(v);this.m(f,m,7)}m(v,m,f){const w=new P.ConfigurationChangeEvent(v,{data:m},this.a);w.source=f,w.sourceConfig=this.n(f),this.h.fire(w)}n(v){switch(v){case 7:return this.a.defaults.contents;case 2:return this.a.localUserConfiguration.contents}return{}}}e.ConfigurationService=y}),define(te[224],ie([0,1,13,6]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteAuthorityPrefix=e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,M.createDecorator)("remoteAuthorityResolverService");var n;(function(P){P.Unknown="Unknown",P.NotAvailable="NotAvailable",P.TemporarilyNotAvailable="TemporarilyNotAvailable",P.NoResolverFound="NoResolverFound"})(n=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class C extends I.ErrorNoTelemetry{static isNotAvailable(d){return d instanceof C&&d._code===n.NotAvailable}static isTemporarilyNotAvailable(d){return d instanceof C&&d._code===n.TemporarilyNotAvailable}static isNoResolverFound(d){return d instanceof C&&d._code===n.NoResolverFound}static isHandled(d){return d instanceof C&&d.isHandled}constructor(d,h=n.Unknown,y){super(d),this._message=d,this._code=h,this._detail=y,this.isHandled=h===n.NotAvailable&&y===!0,Object.setPrototypeOf(this,C.prototype)}}e.RemoteAuthorityResolverError=C;function D(P){const d=P.indexOf("+");return d===-1?P:P.substring(0,d)}e.getRemoteAuthorityPrefix=D}),define(te[55],ie([0,1,15]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function M(h){return h.scheme===I.Schemas.vscodeRemote?h.authority:void 0}e.getRemoteAuthority=M;function n(h){if(!h)return;const y=h.indexOf("+");return y<0?h:h.substr(0,y)}e.getRemoteName=n;function C(h){return`/${h.quality??"oss"}-${h.commit??"dev"}`}e.getRemoteServerRootPath=C;function D(h){const{host:y,port:b}=d(h);if(typeof b>"u")throw new Error("Remote authority doesn't contain a port!");return{host:y,port:b}}e.parseAuthorityWithPort=D;function P(h,y){let{host:b,port:v}=d(h);return typeof v>"u"&&(v=y),{host:b,port:v}}e.parseAuthorityWithOptionalPort=P;function d(h){const y=h.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(y)return{host:y[1],port:parseInt(y[2],10)};const b=h.match(/^(\[[0-9a-z:]+\])$/);if(b)return{host:b[1],port:void 0};const v=h.match(/(.*):(\d+)$/);return v?{host:v[1],port:parseInt(v[2],10)}:{host:h,port:void 0}}}),define(te[90],ie([0,1,27,6,55]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function C(f){if(typeof f=="object"&&f!==null&&f.supported!==!0)return f.description}e.getWorkspaceSupportTypeMessage=C;function D(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=D,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(f){f[f.System=0]="System",f[f.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));var d;(function(f){f.WIN32_X64="win32-x64",f.WIN32_IA32="win32-ia32",f.WIN32_ARM64="win32-arm64",f.LINUX_X64="linux-x64",f.LINUX_ARM64="linux-arm64",f.LINUX_ARMHF="linux-armhf",f.ALPINE_X64="alpine-x64",f.ALPINE_ARM64="alpine-arm64",f.DARWIN_X64="darwin-x64",f.DARWIN_ARM64="darwin-arm64",f.WEB="web",f.UNIVERSAL="universal",f.UNKNOWN="unknown",f.UNDEFINED="undefined"})(d=e.TargetPlatform||(e.TargetPlatform={}));class h{constructor(w){this.value=w,this.c=w.toLowerCase()}static equals(w,a){if(typeof w>"u"||w===null)return typeof a>"u"||a===null;if(typeof a>"u"||a===null)return!1;if(typeof w=="string"||typeof a=="string"){const u=typeof w=="string"?w:w.value,p=typeof a=="string"?a:a.value;return I.equalsIgnoreCase(u,p)}return w.c===a.c}static toKey(w){return typeof w=="string"?w.toLowerCase():w.c}}e.ExtensionIdentifier=h;function y(f){return b(f)}e.isApplicationScopedExtension=y;function b(f){return f.contributes&&f.contributes.localizations?f.contributes.localizations.length>0:!1}e.isLanguagePackExtension=b;function v(f){return f.contributes&&f.contributes.authentication?f.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=v;function m(f,w){if(w){const a=`onResolveRemoteAuthority:${(0,n.getRemoteName)(w)}`;return f.activationEvents?.indexOf(a)!==-1}return!1}e.isResolverExtension=m,e.IBuiltinExtensionsScannerService=(0,M.createDecorator)("IBuiltinExtensionsScannerService")}),define(te[225],ie([0,1,8,17,22,13,3,2,63,70,31,103,224,55]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionHealthChangedEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const f=30*1e3;var w;(function(T){T[T.Management=1]="Management",T[T.ExtensionHost=2]="ExtensionHost",T[T.Tunnel=3]="Tunnel"})(w=e.ConnectionType||(e.ConnectionType={}));function a(T){switch(T){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function u(T){const U=new n.CancellationTokenSource;return setTimeout(()=>U.cancel(),T),U.token}function p(T,U){if(T.isCancellationRequested||U.isCancellationRequested)return n.CancellationToken.Cancelled;const B=new n.CancellationTokenSource;return T.onCancellationRequested(()=>B.cancel()),U.onCancellationRequested(()=>B.cancel()),B.token}class k{get didTimeout(){return this.c==="timedout"}constructor(U){this.c="pending",this.d=new P.DisposableStore,this.promise=new Promise((B,G)=>{this.f=B,this.g=G}),U.isCancellationRequested?this.h():this.d.add(U.onCancellationRequested(()=>this.h()))}registerDisposable(U){this.c==="pending"?this.d.add(U):U.dispose()}h(){this.c==="pending"&&(this.d.dispose(),this.c="timedout",this.g(this.i()))}i(){const U=new Error("Time limit reached");return U.code="ETIMEDOUT",U.syscall="connect",U}resolve(U){this.c==="pending"&&(this.d.dispose(),this.c="resolved",this.f(U))}reject(U){this.c==="pending"&&(this.d.dispose(),this.c="rejected",this.g(U))}}function E(T,U){const B=new k(U);return B.registerDisposable(T.onControlMessage(G=>{const N=JSON.parse(G.toString()),q=z(N);q?B.reject(q):B.resolve(N)})),B.promise}function R(T,U,B,G,N,q,Q,oe,ue){const ye=new k(ue),Re=h.StopWatch.create(!1);return T.info(`Creating a socket (${oe})...`),d.mark(`code/willCreateSocket/${Q}`),U.connect(B,G,N,q,oe,(Oe,Le)=>{ye.didTimeout?(d.mark(`code/didCreateSocketError/${Q}`),T.info(`Creating a socket (${oe}) finished after ${Re.elapsed()} ms, but this is too late and has timed out already.`),Oe&&T.error(Oe),Le?.dispose()):Oe||!Le?(d.mark(`code/didCreateSocketError/${Q}`),T.info(`Creating a socket (${oe}) returned an error after ${Re.elapsed()} ms.`),ye.reject(Oe)):(d.mark(`code/didCreateSocketOK/${Q}`),T.info(`Creating a socket (${oe}) was successful after ${Re.elapsed()} ms.`),ye.resolve(Le))}),ye.promise}function t(T,U){const B=new k(U);return T.then(G=>{B.didTimeout||B.resolve(G)},G=>{B.didTimeout||B.reject(G)}),B.promise}async function c(T,U,B,G){const N=$(T,U);T.logService.trace(`${N} 1/6. invoking socketFactory.connect().`);let q;try{q=await R(T.logService,T.socketFactory,T.host,T.port,(0,m.getRemoteServerRootPath)(T),`reconnectionToken=${T.reconnectionToken}&reconnection=${T.reconnectionProtocol?"true":"false"}`,a(U),`renderer-${a(U)}-${T.reconnectionToken}`,G)}catch(Re){throw T.logService.error(`${N} socketFactory.connect() failed or timed out. Error:`),T.logService.error(Re),Re}T.logService.trace(`${N} 2/6. socketFactory.connect() was successful.`);let Q,oe;T.reconnectionProtocol?(T.reconnectionProtocol.beginAcceptReconnection(q,null),Q=T.reconnectionProtocol,oe=!1):(Q=new b.PersistentProtocol({socket:q,measureRoundTripTime:!0}),oe=!0),T.logService.trace(`${N} 3/6. sending AuthRequest control message.`);const ue=await t(T.signService.createNewMessage((0,y.generateUuid)()),G),ye={type:"auth",auth:T.connectionToken||"00000000000000000000",data:ue.data};Q.sendControl(M.VSBuffer.fromString(JSON.stringify(ye)));try{const Re=await E(Q,p(G,u(1e4)));if(Re.type!=="sign"||typeof Re.data!="string"){const we=new Error("Unexpected handshake message");throw we.code="VSCODE_CONNECTION_ERROR",we}if(T.logService.trace(`${N} 4/6. received SignRequest control message.`),!await t(T.signService.validate(ue,Re.signedData),G)){const we=new Error("Refused to connect to unsupported server");throw we.code="VSCODE_CONNECTION_ERROR",we}const Le=await t(T.signService.sign(Re.data),G),Ue={type:"connectionType",commit:T.commit,signedData:Le,desiredConnectionType:U};return B&&(Ue.args=B),T.logService.trace(`${N} 5/6. sending ConnectionTypeRequest control message.`),Q.sendControl(M.VSBuffer.fromString(JSON.stringify(Ue))),{protocol:Q,ownsProtocol:oe}}catch(Re){throw Re&&Re.code==="ETIMEDOUT"&&(T.logService.error(`${N} the handshake timed out. Error:`),T.logService.error(Re)),Re&&Re.code==="VSCODE_CONNECTION_ERROR"&&(T.logService.error(`${N} received error control message when negotiating connection. Error:`),T.logService.error(Re)),oe&&W(Q),Re}}async function i(T,U,B,G){const N=Date.now(),q=$(T,U),{protocol:Q,ownsProtocol:oe}=await c(T,U,B,G),ue=new k(G);return ue.registerDisposable(Q.onControlMessage(ye=>{const Re=JSON.parse(ye.toString()),Oe=z(Re);Oe?(T.logService.error(`${q} received error control message when negotiating connection. Error:`),T.logService.error(Oe),oe&&W(Q),ue.reject(Oe)):(T.reconnectionProtocol?.endAcceptReconnection(),T.logService.trace(`${q} 6/6. handshake finished, connection is up and running after ${A(N)}!`),ue.resolve({protocol:Q,firstMessage:Re}))})),ue.promise}async function r(T,U){const{protocol:B}=await i(T,1,void 0,U);return{protocol:B}}async function s(T,U,B){const{protocol:G,firstMessage:N}=await i(T,2,U,B),q=N&&N.debugPort;return{protocol:G,debugPort:q}}async function l(T,U,B){const G=Date.now(),N=$(T,3),{protocol:q}=await c(T,3,U,B);return T.logService.trace(`${N} 6/6. handshake finished, connection is up and running after ${A(G)}!`),q}async function o(T,U,B){const{host:G,port:N,connectionToken:q}=await T.addressProvider.getAddress();return{commit:T.commit,quality:T.quality,host:G,port:N,connectionToken:q,reconnectionToken:U,reconnectionProtocol:B,socketFactory:T.socketFactory,signService:T.signService,logService:T.logService}}async function g(T,U,B){return L(T,async G=>{const{protocol:N}=await r(G,n.CancellationToken.None);return new H(T,U,B,G.reconnectionToken,N)})}e.connectRemoteAgentManagement=g;async function S(T,U){return L(T,async B=>{const{protocol:G,debugPort:N}=await s(B,U,n.CancellationToken.None);return new F(T,U,B.reconnectionToken,G,N)})}e.connectRemoteAgentExtensionHost=S;async function L(T,U){for(let G=1;;G++)try{const N=(0,y.generateUuid)(),q=await o(T,N,null);return await U(q)}catch(N){if(G<5)T.logService.error(`[remote-connection][attempt ${G}] An error occurred in initial connection! Will retry... Error:`),T.logService.error(N);else throw T.logService.error(`[remote-connection][attempt ${G}]  An error occurred in initial connection! It will be treated as a permanent error. Error:`),T.logService.error(N),ge.triggerPermanentFailure(0,0,v.RemoteAuthorityResolverError.isHandled(N)),N}}async function O(T,U,B){const G=await o(T,(0,y.generateUuid)(),null);return await l(G,{host:U,port:B},n.CancellationToken.None)}e.connectRemoteAgentTunnel=O;function j(T){return(0,I.createCancelablePromise)(U=>new Promise((B,G)=>{const N=setTimeout(B,T*1e3);U.onCancellationRequested(()=>{clearTimeout(N),B()})}))}var K;(function(T){T[T.ConnectionLost=0]="ConnectionLost",T[T.ReconnectionWait=1]="ReconnectionWait",T[T.ReconnectionRunning=2]="ReconnectionRunning",T[T.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",T[T.ConnectionGain=4]="ConnectionGain",T[T.ConnectionHealthChanged=5]="ConnectionHealthChanged"})(K=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class V{constructor(U,B){this.reconnectionToken=U,this.millisSinceLastIncomingData=B,this.type=0}}e.ConnectionLostEvent=V;class J{constructor(U,B,G,N){this.reconnectionToken=U,this.millisSinceLastIncomingData=B,this.durationSeconds=G,this.c=N,this.type=1}skipWait(){this.c.cancel()}}e.ReconnectionWaitEvent=J;class re{constructor(U,B,G){this.reconnectionToken=U,this.millisSinceLastIncomingData=B,this.attempt=G,this.type=2}}e.ReconnectionRunningEvent=re;class se{constructor(U,B,G){this.reconnectionToken=U,this.millisSinceLastIncomingData=B,this.attempt=G,this.type=4}}e.ConnectionGainEvent=se;class ae{constructor(U,B){this.reconnectionToken=U,this.connectionHealth=B,this.type=5}}e.ConnectionHealthChangedEvent=ae;class fe{constructor(U,B,G,N){this.reconnectionToken=U,this.millisSinceLastIncomingData=B,this.attempt=G,this.handled=N,this.type=3}}e.ReconnectionPermanentFailureEvent=fe;class ge extends P.Disposable{static triggerPermanentFailure(U,B,G){this._permanentFailure=!0,this.f=U,this.g=B,this.h=G,this.i.forEach(N=>N.u(this.f,this.g,this.h))}static debugTriggerReconnection(){this.i.forEach(U=>U.r())}static debugPauseSocketWriting(){this.i.forEach(U=>U.v())}get k(){return this.c||ge._permanentFailure}constructor(U,B,G,N,q){super(),this.m=U,this.n=B,this.reconnectionToken=G,this.protocol=N,this.p=q,this.j=this.B(new D.Emitter),this.onDidStateChange=this.j.event,this.c=!1,this.l=!1,this.j.fire(new se(this.reconnectionToken,0,0)),this.B(N.onSocketClose(Q=>{const oe=_(this.m,this.reconnectionToken,!0);Q?Q.type===0?(this.n.logService.info(`${oe} received socket close event (hadError: ${Q.hadError}).`),Q.error&&this.n.logService.error(Q.error)):(this.n.logService.info(`${oe} received socket close event (wasClean: ${Q.wasClean}, code: ${Q.code}, reason: ${Q.reason}).`),Q.event&&this.n.logService.error(Q.event)):this.n.logService.info(`${oe} received socket close event.`),this.r()})),this.B(N.onSocketTimeout(Q=>{const oe=_(this.m,this.reconnectionToken,!0);this.n.logService.info(`${oe} received socket timeout event (unacknowledgedMsgCount: ${Q.unacknowledgedMsgCount}, timeSinceOldestUnacknowledgedMsg: ${Q.timeSinceOldestUnacknowledgedMsg}, timeSinceLastReceivedSomeData: ${Q.timeSinceLastReceivedSomeData}).`),this.r()})),this.B(N.onHighRoundTripTime(Q=>{const oe=ne(this.m,this.reconnectionToken);this.n.logService.info(`${oe} high roundtrip time: ${Q.roundTripTime}ms (${Q.recentHighRoundTripCount} of ${5} recent samples)`)})),this.B(N.onDidChangeConnectionHealth(Q=>{this.j.fire(new ae(this.reconnectionToken,Q))})),ge.i.push(this),this.B((0,P.toDisposable)(()=>{const Q=ge.i.indexOf(this);Q>=0&&ge.i.splice(Q,1)})),this.k&&this.u(ge.f,ge.g,ge.h)}async r(){if(!this.l)try{this.l=!0,await this.s()}finally{this.l=!1}}async s(){if(this.k)return;const U=_(this.m,this.reconnectionToken,!0);this.n.logService.info(`${U} starting reconnecting loop. You can get more information with the trace log level.`),this.j.fire(new V(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const B=[0,5,5,10,10,10,10,10,30];let G=-1;do{G++;const N=G<B.length?B[G]:B[B.length-1];try{if(N>0){const Q=j(N);this.j.fire(new J(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),N,Q)),this.n.logService.info(`${U} waiting for ${N} seconds before reconnecting...`);try{await Q}catch{}}if(this.k){this.n.logService.error(`${U} permanent failure occurred while running the reconnecting loop.`);break}this.j.fire(new re(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),G+1)),this.n.logService.info(`${U} resolving connection...`);const q=await o(this.n,this.reconnectionToken,this.protocol);this.n.logService.info(`${U} connecting to ${q.host}:${q.port}...`),await this.w(q,u(f)),this.n.logService.info(`${U} reconnected!`),this.j.fire(new se(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),G+1));break}catch(q){if(q.code==="VSCODE_CONNECTION_ERROR"){this.n.logService.error(`${U} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this.n.logService.error(q),this.t(this.protocol.getMillisSinceLastIncomingData(),G+1,!1);break}if(G>360){this.n.logService.error(`${U} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this.n.logService.error(q),this.t(this.protocol.getMillisSinceLastIncomingData(),G+1,!1);break}if(v.RemoteAuthorityResolverError.isTemporarilyNotAvailable(q)){this.n.logService.info(`${U} A temporarily not available error occurred while trying to reconnect, will try again...`),this.n.logService.trace(q);continue}if((q.code==="ETIMEDOUT"||q.code==="ENETUNREACH"||q.code==="ECONNREFUSED"||q.code==="ECONNRESET")&&q.syscall==="connect"){this.n.logService.info(`${U} A network error occurred while trying to reconnect, will try again...`),this.n.logService.trace(q);continue}if((0,C.isCancellationError)(q)){this.n.logService.info(`${U} A promise cancelation error occurred while trying to reconnect, will try again...`),this.n.logService.trace(q);continue}if(q instanceof v.RemoteAuthorityResolverError){this.n.logService.error(`${U} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this.n.logService.error(q),this.t(this.protocol.getMillisSinceLastIncomingData(),G+1,v.RemoteAuthorityResolverError.isHandled(q));break}this.n.logService.error(`${U} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this.n.logService.error(q),this.t(this.protocol.getMillisSinceLastIncomingData(),G+1,!1);break}}while(!this.k)}t(U,B,G){this.p?ge.triggerPermanentFailure(U,B,G):this.u(U,B,G)}u(U,B,G){this.j.fire(new fe(this.reconnectionToken,U,B,G)),W(this.protocol)}v(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=ge,ge._permanentFailure=!1,ge.f=0,ge.g=0,ge.h=!1,ge.i=[];class H extends ge{constructor(U,B,G,N,q){super(1,U,N,q,!0),this.client=this.B(new b.Client(q,{remoteAuthority:B,clientId:G},U.ipcLogger))}async w(U,B){await r(U,B)}}e.ManagementPersistentConnection=H;class F extends ge{constructor(U,B,G,N,q){super(2,U,G,N,!1),this.y=B,this.debugPort=q}async w(U,B){await s(U,this.y,B)}}e.ExtensionHostPersistentConnection=F;function W(T){try{T.acceptDisconnect();const U=T.getSocket();T.dispose(),U.dispose()}catch(U){(0,C.onUnexpectedError)(U)}}function z(T){if(T&&T.type==="error"){const U=new Error(`Connection error: ${T.reason}`);return U.code="VSCODE_CONNECTION_ERROR",U}return null}function Y(T,U){for(;T.length<U;)T+=" ";return T}function ne(T,U){return`[remote-connection][${Y(a(T),13)}][${U.substr(0,5)}\u2026]`}function _(T,U,B){return`${ne(T,U)}[${B?"reconnect":"initial"}]`}function $(T,U){return`${_(U,T.reconnectionToken,!!T.reconnectionProtocol)}[${T.host}:${T.port}]`}function A(T){return`${Date.now()-T} ms`}}),define(te[226],ie([0,1,81,86]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(n,C,D,P,d,h){const y=v=>h(v,void 0),b=I.createConnection({host:n,port:C},()=>{b.removeListener("error",y);const v=Buffer.alloc(16);for(let a=0;a<16;a++)v[a]=Math.round(Math.random()*256);const m=v.toString("base64"),f=[`GET ws://${/:/.test(n)?`[${n}]`:n}:${C}${D}?${P}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${m}`];b.write(f.join(`\r
`)+`\r
\r
`);const w=a=>{a.toString().indexOf(`\r
\r
`)>=0&&(b.off("data",w),h(void 0,new M.NodeSocket(b,d)))};b.on("data",w)});b.setNoDelay(!0),b.once("error",y)}}}),define(te[227],ie([0,1,26,46,41,185]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWSLFeatureInstalled=void 0;let D;async function P(m=!1){return(D===void 0||m)&&(D=d()),D}e.hasWSLFeatureInstalled=P;async function d(){const m=h();if(m===void 0)return!1;if(m>=22e3){const f=b();if(f)return new Promise(w=>{M.execFile(f,["--status"],a=>w(!a))})}else{const f=v();if(f)try{if((await n.promises.stat(f)).isFile())return!0}catch{}}return!1}function h(){const m=/(\d+)\.(\d+)\.(\d+)/g.exec(I.release());if(m)return parseInt(m[3])}function y(m){const f=process.env.SystemRoot;if(f){const w=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");return C.join(f,w?"Sysnative":"System32",m)}}function b(){return y("wsl.exe")}function v(){return y("lxss\\LxssManager.dll")}}),define(te[56],ie([0,1,17,169,67,6,50]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,C.createDecorator)("requestService");function P(w){return w.res.statusCode&&w.res.statusCode>=200&&w.res.statusCode<300||w.res.statusCode===1223}e.isSuccess=P;function d(w){return w.res.statusCode===204}async function h(w){return d(w)?null:(await(0,I.streamToBuffer)(w.stream)).toString()}e.asText=h;async function y(w){if(!P(w))throw new Error("Server returned "+w.res.statusCode);return h(w)}e.asTextOrError=y;async function b(w){if(!P(w))throw new Error("Server returned "+w.res.statusCode);if(d(w))return null;const u=(await(0,I.streamToBuffer)(w.stream)).toString();try{return JSON.parse(u)}catch(p){throw p.message+=`:
`+u,p}}e.asJson=b;function v(w){f(w)}e.updateProxyConfigurationsScope=v;let m;function f(w){const a=D.Registry.as(n.Extensions.Configuration),u=m;m={id:"http",order:15,title:(0,M.localize)(0,null),type:"object",scope:w,properties:{"http.proxy":{type:"string",pattern:"^(https?|socks5?)://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,M.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,M.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,M.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,M.localize)(4,null),(0,M.localize)(5,null),(0,M.localize)(6,null),(0,M.localize)(7,null)],default:"override",description:(0,M.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,M.localize)(9,null),restricted:!0}}},a.updateConfigurations({add:[m],remove:u?[u]:[]})}f(2)}),define(te[228],ie([0,1,17,22]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestChannelClient=e.RequestChannel=void 0;class n{constructor(P){this.a=P}listen(P,d){throw new Error("Invalid listen")}call(P,d,h,y=M.CancellationToken.None){switch(d){case"request":return this.a.request(h[0],y).then(async({res:b,stream:v})=>{const m=await(0,I.streamToBuffer)(v);return[{statusCode:b.statusCode,headers:b.headers},m]});case"resolveProxy":return this.a.resolveProxy(h[0])}throw new Error("Invalid call")}}e.RequestChannel=n;class C{constructor(P){this.a=P}async request(P,d){const[h,y]=await this.a.call("request",[P],d);return{res:h,stream:(0,I.bufferToStream)(y)}}async resolveProxy(P){return this.a.call("resolveProxy",[P])}}e.RequestChannelClient=C}),define(te[229],ie([0,1,230,10]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function n(D,P){return D.protocol==="http:"?P.HTTP_PROXY||P.http_proxy||null:D.protocol==="https:"&&(P.HTTPS_PROXY||P.https_proxy||P.HTTP_PROXY||P.http_proxy)||null}async function C(D,P,d={}){const h=(0,I.parse)(D),y=d.proxyUrl||n(h,P);if(!y)return null;const b=(0,I.parse)(y);if(!/^https?:$/.test(b.protocol||""))return null;const v={host:b.hostname||"",port:b.port||(b.protocol==="https"?"443":"80"),auth:b.auth,rejectUnauthorized:(0,M.isBoolean)(d.strictSSL)?d.strictSSL:!0};return h.protocol==="http:"?new(await new Promise((m,f)=>{x(["http-proxy-agent"],m,f)}))(v):new(await new Promise((m,f)=>{x(["https-proxy-agent"],m,f)}))(v)}e.getProxyAgent=C}),define(te[111],ie([0,1,46,9,170,22,45,13,4,31,146,61,8,126]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;let f;async function w(u,p,k,E){return k["force-disable-user-env"]?(p.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):d.isWindows?(p.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,b.isLaunchedFromCli)(E)&&!k["force-user-env"]?(p.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,b.isLaunchedFromCli)(E)?p.trace("resolveShellEnv(): running (--force-user-env)"):p.trace("resolveShellEnv(): running (macOS/Linux)"),f||(f=v.Promises.withAsyncBody(async(R,t)=>{const c=new C.CancellationTokenSource;let i=1e4;const r=u.getValue("application.shellEnvironmentResolutionTimeout");typeof r=="number"&&(i=(0,m.clamp)(r,1,120)*1e3);const s=setTimeout(()=>{c.dispose(!0),t(new Error((0,n.localize)(0,null)))},i);try{R(await a(p,c.token))}catch(l){!(0,P.isCancellationError)(l)&&!c.token.isCancellationRequested?t(new Error((0,n.localize)(1,null,(0,D.toErrorMessage)(l)))):R({})}finally{clearTimeout(s),c.dispose()}})),f)}e.getResolvedShellEnv=w;async function a(u,p){const k=process.env.ELECTRON_RUN_AS_NODE;u.trace("getUnixShellEnvironment#runAsNode",k);const E=process.env.ELECTRON_NO_ATTACH_CONSOLE;u.trace("getUnixShellEnvironment#noAttach",E);const R=(0,h.generateUuid)().replace(/-/g,"").substr(0,12),t=new RegExp(R+"({.*})"+R),c={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1",VSCODE_RESOLVING_ENVIRONMENT:"1"};u.trace("getUnixShellEnvironment#env",c);const i=await(0,y.getSystemShell)(d.OS,c);return u.trace("getUnixShellEnvironment#shell",i),new Promise((r,s)=>{if(p.isCancellationRequested)return s(new P.CancellationError);const l=(0,M.basename)(i);let o,g;const S=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(l)?(o=`& '${process.execPath}' ${S} -p '''${R}'' + JSON.stringify(process.env) + ''${R}'''`,g=["-Login","-Command"]):(o=`'${process.execPath}' ${S} -p '"${R}" + JSON.stringify(process.env) + "${R}"'`,l==="tcsh"||l==="csh"?g=["-ic"]:g=["-i","-l","-c"]),u.trace("getUnixShellEnvironment#spawn",JSON.stringify(g),o);const L=(0,I.spawn)(i,[...g,o],{detached:!0,stdio:["ignore","pipe","pipe"],env:c});p.onCancellationRequested(()=>(L.kill(),s(new P.CancellationError))),L.on("error",K=>{u.error("getUnixShellEnvironment#errorChildProcess",(0,D.toErrorMessage)(K)),s(K)});const O=[];L.stdout.on("data",K=>O.push(K));const j=[];L.stderr.on("data",K=>j.push(K)),L.on("close",(K,V)=>{const J=Buffer.concat(O).toString("utf8");u.trace("getUnixShellEnvironment#raw",J);const re=Buffer.concat(j).toString("utf8");if(re.trim()&&u.trace("getUnixShellEnvironment#stderr",re),K||V)return s(new Error((0,n.localize)(2,null,K,V)));const se=t.exec(J),ae=se?se[1]:"{}";try{const fe=JSON.parse(ae);k?fe.ELECTRON_RUN_AS_NODE=k:delete fe.ELECTRON_RUN_AS_NODE,E?fe.ELECTRON_NO_ATTACH_CONSOLE=E:delete fe.ELECTRON_NO_ATTACH_CONSOLE,delete fe.VSCODE_RESOLVING_ENVIRONMENT,delete fe.XDG_RUNTIME_DIR,u.trace("getUnixShellEnvironment#result",fe),r(fe)}catch(fe){u.error("getUnixShellEnvironment#errorCaught",(0,D.toErrorMessage)(fe)),s(fe)}})})}}),define(te[91],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,I.createDecorator)(e.SIGN_SERVICE_ID)}),define(te[231],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class I{constructor(){this.b=new Map}c(){return new Promise((n,C)=>x(["vsda"],n,C))}async createNewMessage(n){try{const C=await this.c(),D=new C.validator;if(D){const P=String(I.a++);return this.b.set(P,D),{id:P,data:D.createNewMessage(n)}}}catch{}return{id:"",data:n}}async validate(n,C){if(!n.id)return!0;const D=this.b.get(n.id);if(!D)return!1;this.b.delete(n.id);try{return D.validate(C)==="ok"}catch{return!1}}async sign(n){try{const C=await this.c(),D=new C.signer;if(D)return D.sign(n)}catch{}return n}}e.SignService=I,I.a=1}),define(te[34],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=(0,I.createDecorator)("stateMainService")}),define(te[21],ie([0,1,14,42,8,3,2,4,36,10,6,5,34,28]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.ShutdownReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,y.createDecorator)("lifecycleMainService");var f;(function(u){u[u.QUIT=1]="QUIT",u[u.KILL=2]="KILL"})(f=e.ShutdownReason||(e.ShutdownReason={}));var w;(function(u){u[u.Starting=1]="Starting",u[u.Ready=2]="Ready",u[u.AfterWindowOpen=3]="AfterWindowOpen",u[u.Eventually=4]="Eventually"})(w=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let a=class ft extends D.Disposable{get quitRequested(){return this.i}get wasRestarted(){return this.j}get phase(){return this.k}constructor(p,k,E){super(),this.v=p,this.w=k,this.y=E,this.c=this.B(new C.Emitter),this.onBeforeShutdown=this.c.event,this.f=this.B(new C.Emitter),this.onWillShutdown=this.f.event,this.g=this.B(new C.Emitter),this.onWillLoadWindow=this.g.event,this.h=this.B(new C.Emitter),this.onBeforeCloseWindow=this.h.event,this.i=!1,this.j=!1,this.k=1,this.l=new Set,this.m=0,this.n=0,this.p=void 0,this.r=void 0,this.s=void 0,this.t=new Map,this.u=new Map,this.z(),this.when(2).then(()=>this.C())}z(){this.j=!!this.w.getItem(ft.b),this.j&&this.w.removeItem(ft.b)}C(){const p=()=>{this.i||(this.L("Lifecycle#app.on(before-quit)"),this.i=!0,this.L("Lifecycle#onBeforeShutdown.fire()"),this.c.fire(),P.isMacintosh&&this.n===0&&this.D(1))};I.app.addListener("before-quit",p);const k=()=>{this.L("Lifecycle#app.on(window-all-closed)"),(this.i||!P.isMacintosh)&&I.app.quit()};I.app.addListener("window-all-closed",k),I.app.once("will-quit",E=>{this.L("Lifecycle#app.on(will-quit)"),E.preventDefault(),this.D(1).finally(()=>{this.H(!1),I.app.removeListener("before-quit",p),I.app.removeListener("window-all-closed",k),I.app.quit()})})}D(p){if(this.s)return this.s;this.L("Lifecycle#onWillShutdown.fire()");const k=[];return this.f.fire({reason:p,join(E){k.push(E)}}),this.s=(async()=>{try{await n.Promises.settled(k)}catch(E){this.v.error(E)}try{await this.w.close()}catch(E){this.v.error(E)}})(),this.s}set phase(p){if(p<this.phase)throw new Error("Lifecycle cannot go backwards");if(this.k===p)return;this.L(`lifecycle (main): phase changed (value: ${p})`),this.k=p;const k=this.u.get(this.k);k&&(k.open(),this.u.delete(this.k))}async when(p){if(p<=this.k)return;let k=this.u.get(p);k||(k=new n.Barrier,this.u.set(p,k)),await k.wait()}registerWindow(p){const k=new D.DisposableStore;this.n++,k.add(p.onWillLoad(R=>this.g.fire({window:p,workspace:R.workspace,reason:R.reason})));const E=(0,h.assertIsDefined)(p.win);E.on("close",R=>{const t=p.id;if(this.l.has(t)){this.l.delete(t);return}this.L(`Lifecycle#window.on('close') - window ID ${p.id}`),R.preventDefault(),this.unload(p,1).then(c=>{if(c){this.l.delete(t);return}this.l.add(t),this.L(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${t}`),this.h.fire(p),p.close()})}),E.on("closed",()=>{this.L(`Lifecycle#window.on('closed') - window ID ${p.id}`),this.n--,k.dispose(),this.n===0&&(!P.isMacintosh||this.i)&&this.D(1)})}async reload(p,k){await this.unload(p,3)||p.reload(k)}unload(p,k){const E=this.t.get(p.id);if(E)return E;const R=this.F(p,k).finally(()=>{this.t.delete(p.id)});return this.t.set(p.id,R),R}async F(p,k){if(!p.isReady)return!1;this.L(`Lifecycle#unload() - window ID ${p.id}`);const E=this.i?2:k,R=await this.I(p,E);return R?(this.L(`Lifecycle#unload() - veto in renderer (window ID ${p.id})`),this.G(R)):(await this.J(p,E),!1)}G(p){return p?(this.H(!0),this.i=!1,!0):!1}H(p){this.r&&(this.r(p),this.r=void 0,this.p=void 0)}I(p,k){return new Promise(E=>{const R=this.m++,t=`vscode:ok${R}`,c=`vscode:cancel${R}`;M.validatedIpcMain.once(t,()=>{E(!1)}),M.validatedIpcMain.once(c,()=>{E(!0)}),p.send("vscode:onBeforeUnload",{okChannel:t,cancelChannel:c,reason:k})})}J(p,k){return new Promise(E=>{const t=`vscode:reply${this.m++}`;M.validatedIpcMain.once(t,()=>E()),p.send("vscode:onWillUnload",{replyChannel:t,reason:k})})}quit(p){return this.L(`Lifecycle#quit() - begin (willRestart: ${p})`),this.p?(this.L("Lifecycle#quit() - returning pending quit promise"),this.p):(p&&this.w.setItem(ft.b,!0),this.p=new Promise(k=>{this.r=k,this.L("Lifecycle#quit() - calling app.quit()"),I.app.quit()}),this.p)}L(p){this.y.args["enable-smoke-test-driver"]?this.v.info(p):this.v.trace(p)}async relaunch(p){this.L("Lifecycle#relaunch()");const k=process.argv.slice(1);if(p?.addArgs&&k.push(...p.addArgs),p?.removeArgs)for(const t of p.removeArgs){const c=k.indexOf(t);c>=0&&k.splice(c,1)}const E=()=>{try{if(P.isWindows){const t=(0,d.cwd)();t!==process.cwd()&&process.chdir(t)}}catch(t){this.v.error(t)}this.L("Lifecycle#relaunch() - calling app.relaunch()"),I.app.relaunch({args:k})};I.app.once("quit",E),await this.quit(!0)&&I.app.removeListener("quit",E)}async kill(p){this.L("Lifecycle#kill()"),await this.D(2),await Promise.race([(0,n.timeout)(1e3),(async()=>{for(const k of I.BrowserWindow.getAllWindows())if(k&&!k.isDestroyed()){let E;k.webContents&&!k.webContents.isDestroyed()?E=new Promise(R=>k.once("closed",R)):E=Promise.resolve(),k.destroy(),await E}})()]),I.app.exit(p)}};a.b="lifecycle.quitAndRestart",a=ve([ee(0,b.ILogService),ee(1,v.IStateMainService),ee(2,m.IEnvironmentMainService)],a),e.LifecycleMainService=a}),define(te[232],ie([0,1,4,3,2,6,21]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,C.createDecorator)("keyboardLayoutMainService");let P=class extends n.Disposable{constructor(y){super(),this.a=this.B(new M.Emitter),this.onDidChangeKeyboardLayout=this.a.event,this.b=null,this.c=null,y.when(3).then(()=>this.f())}f(){return this.b||(this.b=this.g()),this.b}async g(){const y=await new Promise((b,v)=>{x(["native-keymap"],b,v)});this.c=d(y),I.isCI||y.onDidChangeKeyboardLayout(()=>{this.c=d(y),this.a.fire(this.c)})}async getKeyboardLayoutData(){return await this.f(),this.c}};P=ve([ee(0,D.ILifecycleMainService)],P),e.KeyboardLayoutMainService=P;function d(h){const y=h.getKeyMap(),b=h.getCurrentKeyboardLayout();return{keyboardMapping:y,keyboardLayoutInfo:b}}}),define(te[233],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=(0,I.createDecorator)("stateService")}),define(te[234],ie([0,1,8,17,10,33,16,5]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class d{constructor(b,v,m){this.f=b,this.g=v,this.h=m,this.a=Object.create(null),this.b="",this.c=new I.ThrottledDelayer(100),this.d=void 0,this.e=void 0}init(){return this.d||(this.d=this.i()),this.d}async i(){try{this.b=(await this.h.readFile(this.f)).value.toString(),this.a=JSON.parse(this.b)}catch(b){b.fileOperationResult!==1&&this.g.error(b)}}getItem(b,v){const m=this.a[b];return(0,n.isUndefinedOrNull)(m)?v:m}setItem(b,v){this.setItems([{key:b,data:v}])}setItems(b){let v=!1;for(const{key:m,data:f}of b)this.a[m]!==f&&((0,n.isUndefinedOrNull)(f)?(0,n.isUndefined)(this.a[m])||(this.a[m]=void 0,v=!0):(this.a[m]=f,v=!0));v&&this.j()}removeItem(b){(0,n.isUndefined)(this.a[b])||(this.a[b]=void 0,this.j())}async j(){if(!this.e)return this.c.trigger(()=>this.k())}async k(){if(!this.d)return;await this.d;const b=JSON.stringify(this.a,null,4);if(b!==this.b)try{await this.h.writeFile(this.f,M.VSBuffer.fromString(b)),this.b=b}catch(v){this.g.error(v)}}async close(){return this.e||(this.e=this.c.trigger(()=>this.k(),0)),this.e}}e.FileStorage=d;let h=class{constructor(b,v,m){this.a=new d(b.stateResource,v,m)}async init(){await this.a.init()}getItem(b,v){return this.a.getItem(b,v)}};h=ve([ee(0,C.IEnvironmentService),ee(1,P.ILogService),ee(2,D.IFileService)],h),e.StateService=h}),define(te[235],ie([0,1,234]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=void 0;class M extends I.StateService{setItem(C,D){this.a.setItem(C,D)}setItems(C){this.a.setItems(C)}removeItem(C){this.a.removeItem(C)}close(){return this.a.close()}}e.StateMainService=M}),define(te[92],ie([0,1,4,36,7,31]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function D(h){if(I.platform===2&&/^penguin(\.|$)/i.test(h))return"chromebook"}async function P(h,y,b,v,m,f,w,a,u,p){const k=Object.create(null);k["common.machineId"]=w,k.sessionID=(0,C.generateUuid)()+Date.now(),k.commitHash=m,k.version=f,k["common.platformVersion"]=(y||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),k["common.platform"]=(0,I.PlatformToString)(I.platform),k["common.nodePlatform"]=M.platform,k["common.nodeArch"]=v,k["common.product"]=p||"desktop",a&&(k["common.msftInternal"]=a);let E=0;const R=Date.now();Object.defineProperties(k,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-R,enumerable:!0},"common.sequence":{get:()=>E++,enumerable:!0}}),I.isLinuxSnap&&(k["common.snap"]="true");const t=D(b);t&&(k["common.platformDetail"]=t);try{const c=await h.readFile(n.URI.file(u));k["common.source"]=c.value.toString().slice(0,30)}catch{}return k}e.resolveCommonProperties=P;function d(h){const y=M.env.USERDNSDOMAIN;if(!y)return!1;const b=y.toLowerCase();return h.some(v=>b===v)}e.verifyMicrosoftInternalDomain=d}),define(te[24],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_CRASH_REPORTER_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,I.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,I.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_CRASH_REPORTER_SETTING_ID="telemetry.enableCrashReporter",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var M;(function(C){C[C.NONE=0]="NONE",C[C.CRASH=1]="CRASH",C[C.ERROR=2]="ERROR",C[C.USAGE=3]="USAGE"})(M=e.TelemetryLevel||(e.TelemetryLevel={}));var n;(function(C){C.OFF="off",C.CRASH="crash",C.ERROR="error",C.ON="all"})(n=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(te[236],ie([0,1,26,8,43,15,9,4,7,84,23,102,87,16,19,24]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const a=new Map;async function u(t,c){const i=`${t}::${c.join(":")}`,r=a.get(i);if(r)return r;const s=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],l=new Map,o=new Map,g=2e4;function S(O,j,K,V){const J=j.substring(O.length+1);return M.Promises.withAsyncBody(async re=>{let se;try{se=await y.Promises.readdir(j,{withFileTypes:!0})}catch{re();return}if(V.count>=g){V.count+=se.length,V.maxReached=!0,re();return}let ae=se.length;if(ae===0){re();return}let fe=se;V.count+se.length>g&&(V.maxReached=!0,ae=g-V.count,fe=se.slice(0,ae)),V.count+=se.length;for(const ge of fe)if(ge.isDirectory()){if(K.includes(ge.name)||await S(O,(0,D.join)(j,ge.name),K,V),--ae===0){re();return}}else{const H=ge.name.lastIndexOf(".");if(H>=0){const F=ge.name.substring(H+1);F&&l.set(F,(l.get(F)??0)+1)}for(const F of s)F.relativePathPattern?.test(J)!==!1&&F.filePattern.test(ge.name)&&o.set(F.tag,(o.get(F.tag)??0)+1);if(--ae===0){re();return}}})}const L=M.Promises.withAsyncBody(async O=>{const j={count:0,maxReached:!1};await S(t,t,c,j);const K=await E(t);O({configFiles:p(o),fileTypes:p(l),fileCount:j.count,maxFilesReached:j.maxReached,launchConfigFiles:K})});return a.set(i,L),L}e.collectWorkspaceStats=u;function p(t){return Array.from(t.entries(),([c,i])=>({name:c,count:i})).sort((c,i)=>i.count-c.count)}function k(){const t={os:`${I.type()} ${I.arch()} ${I.release()}`,memory:`${(I.totalmem()/m.ByteSize.GB).toFixed(2)}GB (${(I.freemem()/m.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(h.virtualMachineHint.value()*100)}%`},c=I.cpus();return c&&c.length>0&&(t.cpus=`${c[0].model} (${c.length} x ${c[0].speed})`),t}e.getMachineInfo=k;async function E(t){try{const c=new Map,i=(0,D.join)(t,".vscode","launch.json"),r=await y.Promises.readFile(i),s=[],l=(0,n.parse)(r.toString(),s);if(s.length)return console.log(`Unable to parse ${i}`),[];if((0,n.getNodeType)(l)==="object"&&l.configurations)for(const o of l.configurations){const g=o.type;g&&(c.has(g)?c.set(g,c.get(g)+1):c.set(g,1))}return p(c)}catch{return[]}}e.collectLaunchConfigs=E;let R=class{constructor(c,i){this.c=c,this.d=i}f(c){const i=[];return i.push(`OS Version:       ${c.os}`),i.push(`CPUs:             ${c.cpus}`),i.push(`Memory (System):  ${c.memory}`),i.push(`VM:               ${c.vmHint}`),i.join(`
`)}g(c){const i=[];i.push(`Version:          ${this.d.nameShort} ${this.d.version} (${this.d.commit||"Commit unknown"}, ${this.d.date||"Date unknown"})`),i.push(`OS Version:       ${I.type()} ${I.arch()} ${I.release()}`);const r=I.cpus();return r&&r.length>0&&i.push(`CPUs:             ${r[0].model} (${r.length} x ${r[0].speed})`),i.push(`Memory (System):  ${(I.totalmem()/m.ByteSize.GB).toFixed(2)}GB (${(I.freemem()/m.ByteSize.GB).toFixed(2)}GB free)`),P.isWindows||i.push(`Load (avg):       ${I.loadavg().map(s=>Math.round(s)).join(", ")}`),i.push(`VM:               ${Math.round(h.virtualMachineHint.value()*100)}%`),i.push(`Screen Reader:    ${c.screenReader?"yes":"no"}`),i.push(`Process Argv:     ${c.mainArguments.join(" ")}`),i.push(`GPU Status:       ${this.j(c.gpuFeatureStatus)}`),i.join(`
`)}async getPerformanceInfo(c,i){return Promise.all([(0,b.listProcesses)(c.mainPID),this.k(c)]).then(async r=>{let[s,l]=r,o=this.m(c,s);return i.forEach(g=>{if((0,v.isRemoteDiagnosticError)(g))o+=`
${g.errorMessage}`,l+=`
${g.errorMessage}`;else if(o+=`

Remote: ${g.hostName}`,g.processes&&(o+=`
${this.m(c,g.processes)}`),g.workspaceMetadata){l+=`
|  Remote: ${g.hostName}`;for(const S of Object.keys(g.workspaceMetadata)){const L=g.workspaceMetadata[S];let O=`${L.fileCount} files`;L.maxFilesReached&&(O=`more than ${O}`),l+=`|    Folder (${S}): ${O}`,l+=this.h(L)}}}),{processInfo:o,workspaceInfo:l}})}async getSystemInfo(c,i){const{memory:r,vmHint:s,os:l,cpus:o}=k(),g={os:l,memory:r,cpus:o,vmHint:s,processArgs:`${c.mainArguments.join(" ")}`,gpuStatus:c.gpuFeatureStatus,screenReader:`${c.screenReader?"yes":"no"}`,remoteData:i};return P.isWindows||(g.load=`${I.loadavg().map(S=>Math.round(S)).join(", ")}`),P.isLinux&&(g.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(g)}async getDiagnostics(c,i){const r=[];return(0,b.listProcesses)(c.mainPID).then(async s=>(r.push(""),r.push(this.g(c)),r.push(""),r.push(this.m(c,s)),c.windows.some(l=>l.folderURIs&&l.folderURIs.length>0&&!l.remoteAuthority)&&(r.push(""),r.push("Workspace Stats: "),r.push(await this.k(c))),i.forEach(l=>{if((0,v.isRemoteDiagnosticError)(l))r.push(`
${l.errorMessage}`);else if(r.push(`

`),r.push(`Remote:           ${l.hostName}`),r.push(this.f(l.machineInfo)),l.processes&&r.push(this.m(c,l.processes)),l.workspaceMetadata)for(const o of Object.keys(l.workspaceMetadata)){const g=l.workspaceMetadata[o];let S=`${g.fileCount} files`;g.maxFilesReached&&(S=`more than ${S}`),r.push(`Folder (${o}): ${S}`),r.push(this.h(g))}}),r.push(""),r.push(""),r.join(`
`)))}h(c){const i=[];let s=0;const l=(L,O)=>{const j=` ${L}(${O})`;s+j.length>60?(i.push(o),o="|                 ",s=o.length):s+=j.length,o+=j};let o="|      File types:";const g=10,S=c.fileTypes.length>g?g:c.fileTypes.length;for(let L=0;L<S;L++){const O=c.fileTypes[L];l(O.name,O.count)}if(i.push(o),c.configFiles.length>=0&&(o="|      Conf files:",s=0,c.configFiles.forEach(L=>{l(L.name,L.count)}),i.push(o)),c.launchConfigFiles.length>0){let L="|      Launch Configs:";c.launchConfigFiles.forEach(O=>{L+=O.count>1?` ${O.name}(${O.count})`:` ${O.name}`}),i.push(L)}return i.join(`
`)}j(c){const i=Math.max(...Object.keys(c).map(r=>r.length));return Object.keys(c).map(r=>`${r}:  ${" ".repeat(i-r.length)}  ${c[r]}`).join(`
                  `)}k(c){const i=[],r=[];return c.windows.forEach(s=>{s.folderURIs.length===0||!!s.remoteAuthority||(i.push(`|  Window (${s.title})`),s.folderURIs.forEach(l=>{const o=d.URI.revive(l);if(o.scheme===C.Schemas.file){const g=o.fsPath;r.push(u(g,["node_modules",".git"]).then(S=>{let L=`${S.fileCount} files`;S.maxFilesReached&&(L=`more than ${L}`),i.push(`|    Folder (${(0,D.basename)(g)}): ${L}`),i.push(this.h(S))}).catch(S=>{i.push(`|      Error: Unable to collect workspace stats for folder ${g} (${S.toString()})`)}))}else i.push(`|    Folder (${o.toString()}): Workspace stats not available.`)}))}),Promise.all(r).then(s=>i.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}m(c,i){const r=new Map;c.windows.forEach(l=>r.set(l.pid,l.title));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),i&&this.n(c.mainPID,r,s,i,0),s.join(`
`)}n(c,i,r,s,l){const o=l===0;let g;o?g=s.pid===c?`${this.d.applicationName} main`:"remote agent":(g=`${"  ".repeat(l)} ${s.name}`,s.name==="window"&&(g=`${g} (${i.get(s.pid)})`));const S=process.platform==="win32"?s.mem:I.totalmem()*(s.mem/100);r.push(`${s.load.toFixed(0).padStart(5," ")}	${(S/m.ByteSize.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${g}`),Array.isArray(s.children)&&s.children.forEach(L=>this.n(c,i,r,L,l+1))}async getWorkspaceFileExtensions(c){const i=new Set;for(const{uri:r}of c.folders){const s=d.URI.revive(r);if(s.scheme!==C.Schemas.file)continue;const l=s.fsPath;try{(await u(l,["node_modules",".git"])).fileTypes.forEach(g=>i.add(g.name))}catch{}}return{extensions:[...i]}}async reportWorkspaceStats(c){for(const{uri:i}of c.folders){const r=d.URI.revive(i);if(r.scheme!==C.Schemas.file)continue;const s=r.fsPath;try{const l=await u(s,["node_modules",".git"]);this.c.publicLog2("workspace.stats",{"workspace.id":c.telemetryId,rendererSessionId:c.rendererSessionId}),l.fileTypes.forEach(o=>{this.c.publicLog2("workspace.stats.file",{rendererSessionId:c.rendererSessionId,type:o.name,count:o.count})}),l.launchConfigFiles.forEach(o=>{this.c.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:c.rendererSessionId,type:o.name,count:o.count})}),l.configFiles.forEach(o=>{this.c.publicLog2("workspace.stats.configFiles",{rendererSessionId:c.rendererSessionId,type:o.name,count:o.count})})}catch{}}}};R=ve([ee(0,w.ITelemetryService),ee(1,f.IProductService)],R),e.DiagnosticsService=R}),define(te[237],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class I{constructor(C){this.b=C}listen(C,D){throw new Error(`Event not found: ${D}`)}call(C,D,{eventName:P,data:d}){return this.b.forEach(h=>h.log(P,d)),Promise.resolve(null)}}e.TelemetryAppenderChannel=I;class M{constructor(C){this.b=C}log(C,D){return this.b.call("log",{eventName:C,data:D}).then(void 0,P=>`Failed to log telemetry: ${console.warn(P)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=M}),define(te[51],ie([0,1,44,10,3,18,55,92,24]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanData=e.getPiiPathsFromEnvironment=e.isInternalTelemetry=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.isLoggingOnly=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.extensionTelemetryLogChannelId=e.telemetryLogChannelId=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=e.TelemetryTrustedValue=void 0;class h{constructor(o){this.value=o}}e.TelemetryTrustedValue=h;class y{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(o,g){return Promise.resolve(void 0)}publicLog2(o,g){return this.publicLog(o,g)}publicLogError(o,g){return Promise.resolve(void 0)}publicLogError2(o,g){return this.publicLogError(o,g)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=y,e.NullTelemetryService=new y;class b{async publicLog(o,g,S){}async publicLogError(o,g,S){}}e.NullEndpointTelemetryService=b,e.telemetryLogChannelId="telemetryLog",e.extensionTelemetryLogChannelId="extensionTelemetryLog",e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function v(l,o){return n.Event.debounce(o.onDidChangeConfiguration,(S,L)=>{const O=S?new Set([...S.affectedKeys,...L.affectedKeys]):L.affectedKeys;return{...L,affectedKeys:O}},1e3,!0)(S=>{S.source!==7&&l.publicLog2("updateConfiguration",{configurationSource:(0,C.ConfigurationTargetToString)(S.source),configurationKeys:E(S.affectedKeys)})})}e.configurationTelemetry=v;function m(l,o){return!o.isBuilt&&!o.disableTelemetry?!0:!(o.disableTelemetry||!l.enableTelemetry||o.extensionTestsLocationURI)}e.supportsTelemetry=m;function f(l,o){return!(o.isBuilt||o.disableTelemetry||l.enableTelemetry&&l.aiConfig?.ariaKey)}e.isLoggingOnly=f;function w(l){const o=l.getValue(d.TELEMETRY_SETTING_ID),g=l.getValue(d.TELEMETRY_CRASH_REPORTER_SETTING_ID);if(l.getValue(d.TELEMETRY_OLD_SETTING_ID)===!1||g===!1)return 0;switch(o??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=w;function a(l){const o={},g={},S={};k(l,S);for(let L in S){L=L.length>150?L.substr(L.length-149):L;const O=S[L];typeof O=="number"?g[L]=O:typeof O=="boolean"?g[L]=O?1:0:typeof O=="string"?(O.length>8192&&console.warn(`Telemetry property: ${L} has been trimmed to 8192, the original length is ${O.length}`),o[L]=O.substring(0,8191)):typeof O<"u"&&O!==null&&(o[L]=O)}return{properties:o,measurements:g}}e.validateTelemetryData=a;const u=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces"]);function p(l){if(!l)return"none";const o=(0,D.getRemoteName)(l);return u.has(o)?o:"other"}e.cleanRemoteAuthority=p;function k(l,o,g=0,S){if(!!l)for(const L of Object.getOwnPropertyNames(l)){const O=l[L],j=S?S+L:L;Array.isArray(O)?o[j]=(0,I.safeStringify)(O):O instanceof Date?o[j]=O.toISOString():(0,M.isObject)(O)?g<2?k(O,o,g+1,j+"."):o[j]=(0,I.safeStringify)(O):o[j]=O}}function E(l){if(!l)return[];const o=[];return R(o,"",l),o}function R(l,o,g){g&&typeof g=="object"&&!Array.isArray(g)?Object.keys(g).forEach(S=>R(l,o?`${o}.${S}`:S,g[S])):l.push(o)}function t(l,o){const g=l.msftInternalDomains||[],S=o.getValue("telemetry.internalTesting");return(0,P.verifyMicrosoftInternalDomain)(g)||S}e.isInternalTelemetry=t;function c(l){return[l.appRoot,l.extensionsPath,l.userHome.fsPath,l.tmpDir.fsPath,l.userDataPath]}e.getPiiPathsFromEnvironment=c;function i(l,o){if(!l||!l.includes("/")&&!l.includes("\\"))return l;let g=l;const S=[];for(const K of o)for(;;){const V=K.exec(l);if(!V)break;S.push([V.index,K.lastIndex])}const L=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,O=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let j=0;for(g="";;){const K=O.exec(l);if(!K)break;const V=S.some(([J,re])=>K.index<re&&J<O.lastIndex);!L.test(K[0])&&!V&&(g+=l.substring(j,K.index)+"<REDACTED: user-file-path>",j=O.lastIndex)}return j<l.length&&(g+=l.substr(j)),g}function r(l){if(!l)return l;const o=l.toLowerCase(),g=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const S of g)if(S.regex.test(o))return`<REDACTED: ${S.label}>`;return l}function s(l,o){return(0,I.cloneAndChange)(l,g=>{if(g instanceof h)return g.value;if(typeof g=="string"){let S=g.replaceAll("%20"," ");S=i(S,o);for(const L of o)S=S.replace(L,"");return S=r(S),S}})}e.cleanData=s}),define(te[112],ie([0,1,27,195,90,4,7,13,36,51]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function y(i,r){return i.uuid&&r.uuid?i.uuid===r.uuid:i.id===r.id?!0:(0,I.compareIgnoreCase)(i.id,r.id)===0}e.areSameExtensions=y;const b=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class v{static create(r){const s=r.manifest?r.manifest.version:r.version,l=r.manifest?r.targetPlatform:r.properties.targetPlatform;return new v(r.identifier,s,l)}static parse(r){const s=b.exec(r);return s&&s[1]&&s[2]?new v({id:s[1]},s[2],s[4]||void 0):null}constructor(r,s,l="undefined"){this.version=s,this.targetPlatform=l,this.id=r.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(r){return r instanceof v?y(this,r)&&this.version===r.version&&this.targetPlatform===r.targetPlatform:!1}}e.ExtensionKey=v;const m=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function f(i){const r=m.exec(i);return r&&r[1]?[a(r[1]),r[2]]:[a(i),void 0]}e.getIdAndVersion=f;function w(i,r){return`${i}.${r}`}e.getExtensionId=w;function a(i){return i.toLocaleLowerCase()}e.adoptToGalleryExtensionId=a;function u(i,r){return a(w(i,r))}e.getGalleryExtensionId=u;function p(i,r){const s=[],l=o=>{for(const g of s)if(g.some(S=>y(r(S),r(o))))return g;return null};for(const o of i){const g=l(o);g?g.push(o):s.push([o])}return s}e.groupByExtension=p;function k(i){return{id:i.identifier.id,name:i.manifest.name,galleryId:null,publisherId:i.publisherId,publisherName:i.manifest.publisher,publisherDisplayName:i.publisherDisplayName,dependencies:i.manifest.extensionDependencies&&i.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=k;function E(i){return{id:new h.TelemetryTrustedValue(i.identifier.id),name:new h.TelemetryTrustedValue(i.name),galleryId:i.identifier.uuid,publisherId:i.publisherId,publisherName:i.publisher,publisherDisplayName:i.publisherDisplayName,isPreReleaseVersion:i.properties.isPreReleaseVersion,dependencies:!!(i.properties.dependencies&&i.properties.dependencies.length>0),isSigned:i.isSigned,...i.telemetryData}}e.getGalleryExtensionTelemetryData=E,e.BetterMergeId=new n.ExtensionIdentifier("pprice.better-merge");function R(i,r){const s=[],l=r.manifest.extensionDependencies?.slice(0)??[];for(;l.length;){const o=l.shift();if(o&&s.every(g=>!y(g.identifier,{id:o}))){const g=i.filter(S=>y(S.identifier,{id:o}));g.length===1&&(s.push(g[0]),l.push(...g[0].manifest.extensionDependencies?.slice(0)??[]))}}return s}e.getExtensionDependencies=R;async function t(i,r){if(!C.isLinux)return!1;let s;try{s=(await i.readFile(D.URI.file("/etc/os-release"))).value.toString()}catch{try{s=(await i.readFile(D.URI.file("/usr/lib/os-release"))).value.toString()}catch(o){r.debug("Error while getting the os-release file.",(0,P.getErrorMessage)(o))}}return!!s&&(s.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=t;async function c(i,r){const s=await t(i,r),l=(0,M.getTargetPlatform)(s?"alpine":C.platform,d.arch);return r.debug("ComputeTargetPlatform:",l),l}e.computeTargetPlatform=c}),define(te[238],ie([0,1,192,51]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function n(C,D,P,d,h,y,b){const v={"X-Market-Client-Id":`VSCode ${C}`,"User-Agent":`VSCode ${C} (${D.nameShort})`};if((0,M.supportsTelemetry)(D,P)&&(0,M.getTelemetryLevel)(d)===3){const m=await(0,I.getServiceMachineId)(P,h,y),{machineId:f}=await b.getTelemetryInfo();v["X-Market-User-Id"]=m,v["VSCode-SessionId"]=f||m}return v}e.resolveMarketplaceHeaders=n}),define(te[239],ie([0,1,13,44,51]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractOneDataSystemAppender=void 0;const C="https://mobile.events.data.microsoft.com/OneCollector/1.0",D="https://mobile.events.data.microsoft.com/ping";async function P(h,y,b){const v=await new Promise((u,p)=>{x(["@microsoft/1ds-core-js"],u,p)}),m=await new Promise((u,p)=>{x(["@microsoft/1ds-post-js"],u,p)}),f=new v.AppInsightsCore,w=new m.PostChannel,a={instrumentationKey:h,endpointUrl:C,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[w]]};if(b){a.extensionConfig={};const u={alwaysUseXhrOverride:!0,httpXHROverride:b};a.extensionConfig[w.identifier]=u}return f.initialize(a,[]),f.addTelemetryInitializer(u=>{y&&(u.ext=u.ext??{},u.ext.utc=u.ext.utc??{},u.ext.utc.flags=8462029)}),f}class d{constructor(y,b,v,m,f){this.e=y,this.f=b,this.g=v,this.h=f,this.c=C,this.d=D,this.g||(this.g={}),typeof m=="function"?this.a=m():this.a=m,this.b=null}i(y){if(!!this.a){if(typeof this.a!="string"){y(this.a);return}this.b||(this.b=P(this.a,this.e,this.h)),this.b.then(b=>{y(b)},b=>{(0,I.onUnexpectedError)(b),console.error(b)})}}log(y,b){if(!this.a)return;b=(0,M.mixin)(b,this.g),b=(0,n.validateTelemetryData)(b);const v=this.f+"/"+y;try{this.i(m=>{m.pluginVersionString=b?.properties.version??"Unknown",m.track({name:v,baseData:{name:v,properties:b?.properties,measurements:b?.measurements}})})}catch{}}flush(){return this.a?new Promise(y=>{this.i(b=>{b.unload(!0,()=>{this.a=void 0,y(void 0)})})}):Promise.resolve(void 0)}}e.AbstractOneDataSystemAppender=d}),define(te[113],ie([0,1,2,44,4,27,171,18,67,65,19,50,24,51]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let f=class{constructor(u,p,k){this.k=p,this.l=k,this.d={},this.i=new I.DisposableStore,this.j=[],this.b=u.appenders,this.c=u.commonProperties||Promise.resolve({}),this.f=u.piiPaths||[],this.g=3,this.h=!!u.sendErrorTelemetry,this.j=[/(vscode-)?file:\/\/\/.*?\/resources\/app\//gi];for(const E of this.f)this.j.push(new RegExp((0,C.escapeRegExpCharacters)(E),"gi")),E.indexOf("\\")>=0&&this.j.push(new RegExp((0,C.escapeRegExpCharacters)(E.replace(/\\/g,"/")),"gi"));this.m(),this.i.add(this.k.onDidChangeConfiguration(E=>{(E.affectsConfiguration(v.TELEMETRY_SETTING_ID)||E.affectsConfiguration(v.TELEMETRY_OLD_SETTING_ID)||E.affectsConfiguration(v.TELEMETRY_CRASH_REPORTER_SETTING_ID))&&this.m()}))}setExperimentProperty(u,p){this.d[u]=p}m(){let u=(0,m.getTelemetryLevel)(this.k);const p=this.l.enabledTelemetryLevels;if(p){this.h=this.sendErrorTelemetry?p.error:!1;const k=p.usage?3:p.error?2:0;u=Math.min(u,k)}this.g=u}get sendErrorTelemetry(){return this.h}get telemetryLevel(){return this.g}async getTelemetryInfo(){const u=await this.c,p=u.sessionID,k=u["common.machineId"],E=u["common.firstSessionDate"],R=u["common.msftInternal"];return{sessionId:p,machineId:k,firstSessionDate:E,msftInternal:R}}dispose(){this.i.dispose()}n(u,p,k){return this.g<p?Promise.resolve(void 0):this.c.then(E=>{k=(0,M.mixin)(k,this.d),k=(0,m.cleanData)(k,this.j),k=(0,M.mixin)(k,E),this.b.forEach(R=>R.log(u,k))},E=>{console.error(E)})}publicLog(u,p){return this.n(u,3,p)}publicLog2(u,p){return this.publicLog(u,p)}publicLogError(u,p){return this.h?this.n(u,2,p):Promise.resolve(void 0)}publicLogError2(u,p){return this.publicLogError(u,p)}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=ve([ee(1,P.IConfigurationService),ee(2,y.IProductService)],f),e.TelemetryService=f;function w(){const a=(0,D.localize)(0,null,h.default.nameLong),u=h.default.privacyStatementUrl?(0,D.localize)(2,null,"https://aka.ms/vscode-telemetry",h.default.privacyStatementUrl):(0,D.localize)(1,null,"https://aka.ms/vscode-telemetry"),p=n.isWeb?"":(0,D.localize)(3,null),k=(0,D.localize)(4,null),E=(0,D.localize)(5,null),R=(0,D.localize)(6,null),t=(0,D.localize)(7,null),c=`
|       | ${k} | ${E} | ${R} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,i=(0,D.localize)(8,null);return`
${a} ${u} ${p}

&nbsp;

${t}
${c}

&nbsp;

${i}
`}b.Registry.as(d.Extensions.Configuration).registerConfiguration({id:v.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,D.localize)(9,null),properties:{[v.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,D.localize)(10,null),(0,D.localize)(11,null),(0,D.localize)(12,null),(0,D.localize)(13,null)],markdownDescription:w(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),b.Registry.as(d.Extensions.Configuration).registerConfiguration({id:v.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,D.localize)(14,null),properties:{[v.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:h.default.privacyStatementUrl?(0,D.localize)(16,null,h.default.nameLong,h.default.privacyStatementUrl):(0,D.localize)(15,null,h.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,D.localize)(17,null,`\`#${v.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(te[240],ie([0,1,287,239]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OneDataSystemAppender=void 0;class n extends M.AbstractOneDataSystemAppender{constructor(D,P,d,h){const y={sendPOST:(b,v)=>{const m={method:"POST",headers:{...b.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(b.data)}};try{const f=I.request(b.urlString,m,w=>{w.on("data",function(a){v(w.statusCode??200,w.headers,a.toString())}),w.on("error",function(a){v(0,{})})});f.write(b.data),f.end()}catch{v(0,{})}}};super(D,P,d,h,y)}}e.OneDataSystemAppender=n}),define(te[241],ie([0,1,4,84,24]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMachineId=void 0;async function C(D){let P=D.getItem(n.machineIdKey);return(typeof P!="string"||I.isMacintosh&&P==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(P=await(0,M.getMachineId)()),P}e.resolveMachineId=C}),define(te[114],ie([0,1,24,241]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMachineId=void 0;async function n(C){const D=await(0,M.resolveMachineId)(C);return C.setItem(I.machineIdKey,D),D}e.resolveMachineId=n}),define(te[68],ie([0,1,14,3,2,4,18,6,34]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const h="#FFFFFF",y="#1E1E1E",b="#000000",v="#FFFFFF",m="theme",f="themeBackground",w="windowSplash";e.IThemeMainService=(0,P.createDecorator)("themeMainService");let a=class extends n.Disposable{constructor(p,k){super(),this.b=p,this.c=k,this.a=this.B(new M.Emitter),this.onDidChangeColorScheme=this.a.event,I.nativeTheme.on("updated",()=>{this.a.fire(this.getColorScheme())})}getColorScheme(){if(C.isWindows){if(I.nativeTheme.shouldUseHighContrastColors)return{dark:I.nativeTheme.shouldUseInvertedColorScheme,highContrast:!0}}else if(C.isMacintosh){if(I.nativeTheme.shouldUseInvertedColorScheme||I.nativeTheme.shouldUseHighContrastColors)return{dark:I.nativeTheme.shouldUseDarkColors,highContrast:!0}}else if(C.isLinux&&I.nativeTheme.shouldUseHighContrastColors)return{dark:!0,highContrast:!0};return{dark:I.nativeTheme.shouldUseDarkColors,highContrast:!1}}getBackgroundColor(){const p=this.getColorScheme();if(p.highContrast&&this.c.getValue("window.autoDetectHighContrast"))return p.dark?b:v;let k=this.b.getItem(f,null);if(!k)switch(this.b.getItem(m,"vs-dark").split(" ")[0]){case"vs":k=h;break;case"hc-black":k=b;break;case"hc-light":k=v;break;default:k=y}return C.isMacintosh&&k.toUpperCase()===y&&(k="#171717"),k}saveWindowSplash(p,k){this.b.setItems([{key:m,data:k.baseTheme},{key:f,data:k.colorInfo.background},{key:w,data:k}]),typeof p=="number"&&this.f(p,k)}f(p,k){for(const E of I.BrowserWindow.getAllWindows())if(E.id===p){E.setBackgroundColor(k.colorInfo.background);break}}getWindowSplash(){return this.b.getItem(w)}};a=ve([ee(0,d.IStateMainService),ee(1,D.IConfigurationService)],a),e.ThemeMainService=a}),define(te[115],ie([0,1,3,18,6,5]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,n.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,n.createDecorator)("sharedTunnelsService");var D;(function(w){w.Http="http",w.Https="https"})(D=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(w){w.ConstantPrivate="constantPrivate",w.Private="private",w.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var d;(function(w){w[w.Notify=1]="Notify",w[w.OpenBrowser=2]="OpenBrowser",w[w.OpenPreview=3]="OpenPreview",w[w.Silent=4]="Silent",w[w.Ignore=5]="Ignore",w[w.OpenBrowserOnce=6]="OpenBrowserOnce"})(d=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function h(w){if(w.scheme!=="http"&&w.scheme!=="https")return;const a=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(w.authority);if(!!a)return{address:a[1],port:+a[2]}}e.extractLocalHostUriMetaDataForPortMapping=h,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function y(w){return e.LOCALHOST_ADDRESSES.indexOf(w)>=0}e.isLocalhost=y,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function b(w){return e.ALL_INTERFACES_ADDRESSES.indexOf(w)>=0}e.isAllInterfaces=b;function v(w,a,u,p){if(u===1)return!1;if(u===2&&b(a)){const k=/(\d+)\.(\d+)\.(\d+)/g.exec(p);if(k?.length===4&&parseInt(k[1])>=18)return!1}return w<1024}e.isPortPrivileged=v;class m{constructor(a,u,p){this.remoteAddress=a,this.localAddress=u,this.b=p,this.a=new I.Emitter,this.onDidDispose=this.a.event}dispose(){return this.a.fire(),this.b()}}e.DisposableTunnel=m;let f=class{constructor(a,u){this.i=a,this.j=u,this.a=new I.Emitter,this.onTunnelOpened=this.a.event,this.b=new I.Emitter,this.onTunnelClosed=this.b.event,this.c=new I.Emitter,this.onAddedTunnelProvider=this.c.event,this.d=new Map,this.f=!1,this.g=[],this.h=new Set}get hasTunnelProvider(){return!!this.e}get k(){const a=this.j.getValue("remote.localPortHost");return!a||a==="localhost"?"127.0.0.1":"0.0.0.0"}setTunnelProvider(a){return this.e=a,a?(this.c.fire(),{dispose:()=>{this.e=void 0,this.f=!1,this.g=[]}}):(this.f=!1,this.g=[],this.c.fire(),{dispose:()=>{}})}setTunnelFeatures(a){this.f=a.elevation,this.g=a.privacyOptions}get canElevate(){return this.f}get canChangePrivacy(){return this.g.length>0}get privacyOptions(){return this.g}get tunnels(){return this.l()}async l(){const a=[],u=Array.from(this.d.values());for(const p of u){const k=Array.from(p.values());for(const E of k){const R=await E.value;R&&a.push(R)}}return a}async dispose(){for(const a of this.d.values()){for(const{value:u}of a.values())await u.then(p=>p?.dispose());a.clear()}this.d.clear()}setEnvironmentTunnel(a,u,p,k,E){this.o(a,u,Promise.resolve({tunnelRemoteHost:a,tunnelRemotePort:u,localAddress:p,privacy:k,protocol:E,dispose:()=>Promise.resolve()}))}async getExistingTunnel(a,u){(b(a)||y(a))&&(a=e.LOCALHOST_ADDRESSES[0]);const p=this.q(a,u);if(p)return++p.refcount,p.value}openTunnel(a,u,p,k,E,R=!1,t,c){if(this.i.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${u}:${p} on local port ${E}.`),!a)return;if(u||(u="localhost"),k||(k=this.k),this.e&&this.h.has(p)){this.i.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const i=this.r(a,u,p,k,E,R,t,c);return i?i.then(r=>{if(!r){this.i.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.p(u,p);return}this.i.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.m(r);return(r.tunnelRemoteHost!==u||r.tunnelRemotePort!==p)&&this.i.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this.a.fire(s),s}):(this.i.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),i)}m(a){return{tunnelRemotePort:a.tunnelRemotePort,tunnelRemoteHost:a.tunnelRemoteHost,tunnelLocalPort:a.tunnelLocalPort,localAddress:a.localAddress,privacy:a.privacy,protocol:a.protocol,dispose:async()=>{this.i.trace(`ForwardedPorts: (TunnelService) dispose request for ${a.tunnelRemoteHost}:${a.tunnelRemotePort} `);const u=this.d.get(a.tunnelRemoteHost);if(u){const p=u.get(a.tunnelRemotePort);p&&(p.refcount--,await this.n(a.tunnelRemoteHost,a.tunnelRemotePort,p))}}}}async n(a,u,p){if(p.refcount<=0){this.i.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${a}:${u}.`);const k=p.value.then(async E=>{E&&(await E.dispose(!0),this.b.fire({host:E.tunnelRemoteHost,port:E.tunnelRemotePort}))});return this.d.has(a)&&this.d.get(a).delete(u),k}}async closeTunnel(a,u){this.i.trace(`ForwardedPorts: (TunnelService) close request for ${a}:${u} `);const p=this.d.get(a);if(p&&p.has(u)){const k=p.get(u);k.refcount=0,await this.n(a,u,k)}}o(a,u,p){this.d.has(a)||this.d.set(a,new Map),this.d.get(a).set(u,{refcount:1,value:p})}async p(a,u){const p=this.d.get(a);p&&(await p.get(u)||p.delete(u),p.size===0&&this.d.delete(a))}q(a,u){const p=[a];y(a)?(p.push(...e.LOCALHOST_ADDRESSES),p.push(...e.ALL_INTERFACES_ADDRESSES)):b(a)&&p.push(...e.ALL_INTERFACES_ADDRESSES);const k=p.map(E=>this.d.get(E));for(const E of k){const R=E?.get(u);if(R)return R}}canTunnel(a){return!!h(a)}s(a,u,p,k,E,R,t){this.i.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${u}:${p} on local port ${k}.`);const c=p;this.h.add(c);const i=k===void 0?p:k,r={elevationRequired:E?this.isPortPrivileged(i):!1},s={remoteAddress:{host:u,port:p},localAddressPort:k,privacy:R,public:R?R!==P.Private:void 0,protocol:t},l=a.forwardPort(s,r);return l?(this.o(u,p,l),l.finally(()=>{this.i.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this.h.delete(c)})):this.h.delete(c),l}};f=ve([ee(0,C.ILogService),ee(1,M.IConfigurationService)],f),e.AbstractTunnelService=f}),define(te[242],ie([0,1,81,26,99,226,8,2,18,5,19,225,115,91,4]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function w(E,R,t,c,i){let r;for(let s=3;s&&(r?.dispose(),r=await new a(E,R,t,c,i).waitForReady(),!(i&&n.BROWSER_RESTRICTED_PORTS[i]||!n.BROWSER_RESTRICTED_PORTS[r.tunnelLocalPort]));s--);return r}class a extends P.Disposable{constructor(R,t,c,i,r){super(),this.j=t,this.k=r,this.privacy=v.TunnelPrivacyId.Private,this.i=new Map,this.a=R,this.b=I.createServer(),this.c=new D.Barrier,this.f=()=>this.c.open(),this.b.on("listening",this.f),this.g=s=>this.l(s),this.b.on("connection",this.g),this.h=()=>{},this.b.on("error",this.h),this.tunnelRemotePort=i,this.tunnelRemoteHost=c}async dispose(){super.dispose(),this.b.removeListener("listening",this.f),this.b.removeListener("connection",this.g),this.b.removeListener("error",this.h),this.b.close(),Array.from(this.i.values()).forEach(t=>{t()})}async waitForReady(){const R=this.k??this.tunnelRemotePort,t=(0,v.isAllInterfaces)(this.j)?"0.0.0.0":"127.0.0.1";let c=await(0,n.findFreePortFaster)(R,2,1e3,t),i=null;return this.b.listen(c,this.j),await this.c.wait(),i=this.b.address(),i||(c=0,this.b.listen(c,this.j),await this.c.wait(),i=this.b.address()),this.tunnelLocalPort=i.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${i.port}`,this}async l(R){R.pause();const t=(0,v.isLocalhost)(this.tunnelRemoteHost)||(0,v.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,c=await(0,b.connectRemoteAgentTunnel)(this.a,t,this.tunnelRemotePort),i=c.getSocket().socket,r=c.readEntireBuffer();c.dispose(),r.byteLength>0&&R.write(r.buffer),R.on("end",()=>{R.localAddress&&this.i.delete(R.localAddress),i.end()}),R.on("close",()=>i.end()),R.on("error",()=>{R.localAddress&&this.i.delete(R.localAddress),i.destroy()}),i.on("end",()=>R.end()),i.on("close",()=>R.end()),i.on("error",()=>{R.destroy()}),R.pipe(i),i.pipe(R),R.localAddress&&this.i.set(R.localAddress,()=>{R.end(),i.end()})}}let u=class extends v.AbstractTunnelService{constructor(R,t,c,i,r){super(t,r),this.t=R,this.u=c,this.v=i}isPortPrivileged(R){return(0,v.isPortPrivileged)(R,this.k,f.OS,M.release())}r(R,t,c,i,r,s,l,o){const g=this.q(t,c);if(g)return++g.refcount,g.value;if(this.e)return this.s(this.e,t,c,r,s,l,o);{this.i.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${t}:${c} on local port ${r}.`);const S={commit:this.v.commit,quality:this.v.quality,socketFactory:this.t,addressProvider:R,signService:this.u,logService:this.i,ipcLogger:null},L=w(S,i,t,c,r);return this.i.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.o(t,c,L),L}}};u=ve([ee(1,h.ILogService),ee(2,m.ISignService),ee(3,y.IProductService),ee(4,d.IConfigurationService)],u),e.BaseTunnelService=u;let p=class extends u{constructor(R,t,c,i){super(C.nodeSocketFactory,R,t,c,i)}};p=ve([ee(0,h.ILogService),ee(1,m.ISignService),ee(2,y.IProductService),ee(3,d.IConfigurationService)],p),e.TunnelService=p;let k=class extends P.Disposable{constructor(R,t,c,i){super(),this.b=R,this.c=t,this.f=c,this.g=i,this.a=new Map}async openTunnel(R,t,c,i,r,s,l,o,g){if(this.b.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${c}:${i} on local port ${s}.`),!this.a.has(R)){const S=new p(this.b,this.f,this.c,this.g);this.B(S),this.a.set(R,S),S.onTunnelClosed(async()=>{(await S.tunnels).length===0&&(S.dispose(),this.a.delete(R))})}return this.a.get(R).openTunnel(t,c,i,r,s,l,o,g)}};k=ve([ee(0,h.ILogService),ee(1,y.IProductService),ee(2,m.ISignService),ee(3,d.IConfigurationService)],k),e.SharedTunnelsService=k}),define(te[48],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var M;(function(C){C.Uninitialized="uninitialized",C.Idle="idle",C.CheckingForUpdates="checking for updates",C.AvailableForDownload="available for download",C.Downloading="downloading",C.Downloaded="downloaded",C.Updating="updating",C.Ready="ready"})(M=e.StateType||(e.StateType={}));var n;(function(C){C[C.Setup=0]="Setup",C[C.Archive=1]="Archive",C[C.Snap=2]="Snap"})(n=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(C,D)=>({type:"idle",updateType:C,error:D}),CheckingForUpdates:C=>({type:"checking for updates",explicit:C}),AvailableForDownload:C=>({type:"available for download",update:C}),Downloading:C=>({type:"downloading",update:C}),Downloaded:C=>({type:"downloaded",update:C}),Updating:C=>({type:"updating",update:C}),Ready:C=>({type:"ready",update:C})},e.IUpdateService=(0,I.createDecorator)("updateService")}),define(te[243],ie([0,1,4,172,67,50]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),C.Registry.as(n.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,M.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,M.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,M.localize)(2,null),(0,M.localize)(3,null),(0,M.localize)(4,null),(0,M.localize)(5,null)],policy:{name:"UpdateMode",minimumVersion:"1.67"}},"update.channel":{type:"string",default:"default",scope:1,description:(0,M.localize)(6,null),deprecationMessage:(0,M.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,M.localize)(8,null),description:(0,M.localize)(9,null),included:I.isWindows&&!I.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,M.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(te[244],ie([0,1,3,48]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class n{constructor(P){this.a=P}listen(P,d){switch(d){case"onStateChange":return this.a.onStateChange}throw new Error(`Event not found: ${d}`)}call(P,d,h){switch(d){case"checkForUpdates":return this.a.checkForUpdates(h);case"downloadUpdate":return this.a.downloadUpdate();case"applyUpdate":return this.a.applyUpdate();case"quitAndInstall":return this.a.quitAndInstall();case"_getInitialState":return Promise.resolve(this.a.state);case"isLatestVersion":return this.a.isLatestVersion();case"_applySpecificUpdate":return this.a._applySpecificUpdate(h)}throw new Error(`Call not found: ${d}`)}}e.UpdateChannel=n;class C{get state(){return this.b}set state(P){this.b=P,this.a.fire(P)}constructor(P){this.c=P,this.a=new I.Emitter,this.onStateChange=this.a.event,this.b=M.State.Uninitialized,this.c.listen("onStateChange")(d=>this.state=d),this.c.call("_getInitialState").then(d=>this.state=d)}checkForUpdates(P){return this.c.call("checkForUpdates",P)}downloadUpdate(){return this.c.call("downloadUpdate")}applyUpdate(){return this.c.call("applyUpdate")}quitAndInstall(){return this.c.call("quitAndInstall")}isLatestVersion(){return this.c.call("isLatestVersion")}_applySpecificUpdate(P){return this.c.call("_applySpecificUpdate",P)}}e.UpdateChannelClient=C}),define(te[93],ie([0,1,8,22,3,18,28,21,5,19,56,48]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function v(f,w,a){return`${a.updateUrl}/api/update/${f}/${w}/${a.commit}`}e.createUpdateURL=v;let m=class{get state(){return this.b}d(w){this.j.info("update#setState",w.type),this.b=w,this.c.fire(w)}constructor(w,a,u,p,k,E){this.f=w,this.g=a,this.h=u,this.i=p,this.j=k,this.k=E,this.b=b.State.Uninitialized,this.c=new n.Emitter,this.onStateChange=this.c.event}async initialize(){if(!this.h.isBuilt)return;if(this.h.disableUpdates){this.j.info("update#ctor - updates are disabled by the environment");return}if(!this.k.updateUrl||!this.k.commit){this.j.info("update#ctor - updates are disabled as there is no update URL");return}const w=this.g.getValue("update.mode"),a=this.l(w);if(!a){this.j.info("update#ctor - updates are disabled by user preference");return}if(this.a=this.r(a),!this.a){this.j.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.d(b.State.Idle(this.p())),w==="manual"){this.j.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}w==="start"?(this.j.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.m(30*1e3).then(void 0,u=>this.j.error(u))}l(w){return w==="none"?void 0:this.k.quality}m(w=60*60*1e3){return(0,I.timeout)(w).then(()=>this.checkForUpdates(!1)).then(()=>this.m(60*60*1e3))}async checkForUpdates(w){this.j.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.s(w)}async downloadUpdate(){this.j.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.n(this.state)}async n(w){}async applyUpdate(){this.j.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.o()}async o(){}quitAndInstall(){return this.j.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.j.trace("update#quitAndInstall(): before lifecycle quit()"),this.f.quit(!0).then(w=>{this.j.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${w}`),!w&&(this.j.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.q())})),Promise.resolve(void 0)}async isLatestVersion(){return this.a?this.g.getValue("update.mode")==="none"?!1:(await this.i.request({url:this.a},M.CancellationToken.None)).res.statusCode===204:void 0}async _applySpecificUpdate(w){}p(){return 1}q(){}};m=ve([ee(0,P.ILifecycleMainService),ee(1,C.IConfigurationService),ee(2,D.IEnvironmentMainService),ee(3,y.IRequestService),ee(4,d.ILogService),ee(5,h.IProductService)],m),e.AbstractUpdateService=m}),define(te[245],ie([0,1,14,54,3,2,18,28,21,5,19,56,24,48,93]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let w=class extends f.AbstractUpdateService{get u(){return n.Event.fromNodeEventEmitter(I.autoUpdater,"error",(u,p)=>p)}get v(){return n.Event.fromNodeEventEmitter(I.autoUpdater,"update-not-available")}get w(){return n.Event.fromNodeEventEmitter(I.autoUpdater,"update-available",(u,p,k)=>({url:p,version:k,productVersion:k}))}get x(){return n.Event.fromNodeEventEmitter(I.autoUpdater,"update-downloaded",(u,p,k,E)=>({releaseNotes:p,version:k,productVersion:k,date:E}))}constructor(u,p,k,E,R,t,c){super(u,p,E,R,t,c),this.y=k,this.t=new C.DisposableStore}async initialize(){await super.initialize(),this.u(this.z,this,this.t),this.w(this.C,this,this.t),this.x(this.D,this,this.t),this.v(this.E,this,this.t)}z(u){this.j.error("UpdateService error:",u);const k=(this.state.type==="checking for updates"?this.state.explicit:!0)?u:void 0;this.d(m.State.Idle(1,k))}r(u){let p;this.k.darwinUniversalAssetId?p=this.k.darwinUniversalAssetId:p=process.arch==="x64"?"darwin":"darwin-arm64";const k=(0,f.createUpdateURL)(p,u,this.k);try{I.autoUpdater.setFeedURL({url:k})}catch(E){this.j.error("Failed to set update feed URL",E);return}return k}s(u){this.d(m.State.CheckingForUpdates(u)),I.autoUpdater.checkForUpdates()}C(u){this.state.type==="checking for updates"&&this.d(m.State.Downloading(u))}D(u){this.state.type==="downloading"&&(this.y.publicLog2("update:downloaded",{version:u.version}),this.d(m.State.Ready(u)))}E(){this.state.type==="checking for updates"&&(this.y.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.d(m.State.Idle(1)))}q(){this.j.trace("update#quitAndInstall(): running raw#quitAndInstall()"),I.autoUpdater.quitAndInstall()}dispose(){this.t.dispose()}};ve([M.memoize],w.prototype,"u",null),ve([M.memoize],w.prototype,"v",null),ve([M.memoize],w.prototype,"w",null),ve([M.memoize],w.prototype,"x",null),w=ve([ee(0,d.ILifecycleMainService),ee(1,D.IConfigurationService),ee(2,v.ITelemetryService),ee(3,P.IEnvironmentMainService),ee(4,b.IRequestService),ee(5,h.ILogService),ee(6,y.IProductService)],w),e.DarwinUpdateService=w}),define(te[246],ie([0,1,46,41,8,3,9,28,21,5,24,48]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let v=class{get state(){return this.a}d(w){this.g.info("update#setState",w.type),this.a=w,this.b.fire(w)}constructor(w,a,u){if(this.f=w,this.g=u,this.a=b.State.Uninitialized,this.b=new C.Emitter,this.onStateChange=this.b.event,a.disableUpdates){this.g.info("update#ctor - updates are disabled");return}this.d(b.State.Idle(this.k())),this.h(30*1e3).then(void 0,p=>this.g.error(p))}h(w=60*60*1e3){return(0,n.timeout)(w).then(()=>this.checkForUpdates(!1)).then(()=>this.h(60*60*1e3))}async checkForUpdates(w){this.g.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.m(w)}async downloadUpdate(){this.g.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.i(this.state)}i(w){return Promise.resolve(void 0)}async applyUpdate(){this.g.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.j()}j(){return Promise.resolve(void 0)}quitAndInstall(){return this.g.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.g.trace("update#quitAndInstall(): before lifecycle quit()"),this.f.quit(!0).then(w=>{this.g.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${w}`),!w&&(this.g.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.l())})),Promise.resolve(void 0)}k(){return 2}l(){}async _applySpecificUpdate(w){}};v=ve([ee(0,d.ILifecycleMainService),ee(1,P.IEnvironmentMainService),ee(2,h.ILogService)],v);let m=class extends v{constructor(w,a,u,p,k,E){super(u,p,k),this.o=w,this.p=a,this.q=E;const R=(0,M.watch)(D.dirname(this.o)),t=C.Event.fromNodeEventEmitter(R,"change",(s,l)=>l),c=C.Event.filter(t,s=>s==="current"),r=C.Event.debounce(c,(s,l)=>l,2e3)(()=>this.checkForUpdates(!1));u.onWillShutdown(()=>{r.dispose(),R.close()})}m(){this.d(b.State.CheckingForUpdates(!1)),this.u().then(w=>{w?this.d(b.State.Ready({version:"something",productVersion:"something"})):(this.q.publicLog2("update:notAvailable",{explicit:!1}),this.d(b.State.Idle(2)))},w=>{this.g.error(w),this.q.publicLog2("update:notAvailable",{explicit:!1}),this.d(b.State.Idle(2,w.message||w))})}l(){this.g.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,I.spawn)("sleep 3 && "+D.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async u(){const w=await new Promise((u,p)=>(0,M.realpath)(`${D.dirname(this.o)}/current`,(k,E)=>k?p(k):u(E))),a=D.basename(w);return this.p!==a}isLatestVersion(){return this.u().then(void 0,w=>{this.g.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};m=ve([ee(2,d.ILifecycleMainService),ee(3,P.IEnvironmentMainService),ee(4,h.ILogService),ee(5,y.ITelemetryService)],m),e.SnapUpdateService=m}),define(te[40],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,I.createDecorator)("IUriIdentityService")}),define(te[247],ie([0,1,40,193,16,20,127,3,2]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class h{constructor(v){this.uri=v,this.time=h._clock++}touch(){return this.time=h._clock++,this}}h._clock=0;let y=class{constructor(v){this.g=v,this.c=new d.DisposableStore,this.f=2**16;const m=new Map,f=w=>{let a=m.get(w.scheme);return a===void 0&&(a=v.hasProvider(w)&&!this.g.hasCapability(w,1024),m.set(w.scheme,a)),a};this.c.add(P.Event.any(v.onDidChangeFileSystemProviderRegistrations,v.onDidChangeFileSystemProviderCapabilities)(w=>{m.delete(w.scheme)})),this.extUri=new C.ExtUri(f),this.d=new D.SkipList((w,a)=>this.extUri.compare(w,a,!0),this.f)}dispose(){this.c.dispose(),this.d.clear()}asCanonicalUri(v){this.g.hasProvider(v)&&(v=(0,C.normalizePath)(v));const m=this.d.get(v);return m?m.touch().uri.with({fragment:v.fragment}):(this.d.set(v,new h(v)),this.h(),v)}h(){if(this.d.size<this.f)return;const v=[...this.d.entries()].sort((f,w)=>f[1].touch<w[1].touch?1:f[1].touch>w[1].touch?-1:0);h._clock=0,this.d.clear();const m=this.f*.5;for(let f=0;f<m;f++)this.d.set(v[f][0],v[f][1].touch())}};y=ve([ee(0,n.IFileService)],y),e.UriIdentityService=y,(0,M.registerSingleton)(I.IUriIdentityService,y,1)}),define(te[116],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,I.createDecorator)("urlService")}),define(te[248],ie([0,1,7]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class M{constructor(P){this.a=P}listen(P,d){throw new Error(`Event not found: ${d}`)}call(P,d,h){switch(d){case"handleURL":return this.a.handleURL(I.URI.revive(h[0]),h[1])}throw new Error(`Call not found: ${d}`)}}e.URLHandlerChannel=M;class n{constructor(P){this.a=P}handleURL(P,d){return this.a.call("handleURL",[P.toJSON(),d])}}e.URLHandlerChannelClient=n;class C{constructor(P,d){this.a=P,this.b=d}async routeCall(P,d,h,y){if(d!=="handleURL")throw new Error(`Call not found: ${d}`);if(Array.isArray(h)&&h.length>0){const b=I.URI.revive(h[0]);if(this.b.trace("URLHandlerRouter#routeCall() with URI argument",b.toString(!0)),b.query){const v=/\bwindowId=(\d+)/.exec(b.query);if(v){const m=v[1];this.b.trace(`URLHandlerRouter#routeCall(): found windowId query parameter with value "${m}"`,b.toString(!0));const f=new RegExp(`window:${m}`),w=P.connections.find(a=>(this.b.trace("URLHandlerRouter#routeCall(): testing connection",a.ctx),f.test(a.ctx)));if(w)return this.b.trace("URLHandlerRouter#routeCall(): found a connection to route",b.toString(!0)),w;this.b.trace("URLHandlerRouter#routeCall(): did not find a connection to route",b.toString(!0))}else this.b.trace("URLHandlerRouter#routeCall(): did not find windowId query parameter",b.toString(!0))}}else this.b.trace("URLHandlerRouter#routeCall() without URI argument");return this.a.routeCall(P,d,h,y)}routeEvent(P,d){throw new Error(`Event not found: ${d}`)}}e.URLHandlerRouter=C}),define(te[249],ie([0,1,8,2,7,19]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class D extends M.Disposable{constructor(){super(...arguments),this.a=new Set}open(h,y){const b=[...this.a.values()];return(0,I.first)(b.map(v=>()=>v.handleURL(h,y)),void 0,!1).then(v=>v||!1)}registerHandler(h){return this.a.add(h),(0,M.toDisposable)(()=>this.a.delete(h))}}e.AbstractURLService=D;let P=class extends D{constructor(h){super(),this.b=h}create(h){let{authority:y,path:b,query:v,fragment:m}=h||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return y&&b&&b.indexOf("/")!==0&&(b=`/${b}`),n.URI.from({scheme:this.b.urlProtocol,authority:y,path:b,query:v,fragment:m})}};P=ve([ee(0,C.IProductService)],P),e.NativeURLService=P}),define(te[250],ie([0,1,14,8,3,2,4,7]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;class d{constructor(y,b,v,m,f,w){if(this.f=b,this.g=w,this.a=[],this.b=0,this.c=C.Disposable.None,this.d=new C.DisposableStore,y&&(w.trace("ElectronURLListener initialUrisToHandle:",y.map(p=>p.originalUrl)),this.a=y),D.isWindows){const p=m.isBuilt?[]:[`"${m.appRoot}"`];p.push("--open-url","--"),I.app.setAsDefaultProtocolClient(f.urlProtocol,process.execPath,p)}const a=n.Event.map(n.Event.fromNodeEventEmitter(I.app,"open-url",(p,k)=>({event:p,url:k})),({event:p,url:k})=>(p.preventDefault(),k));this.d.add(a(p=>{const k=this.h(p);!k||this.f.open(k,{originalUrl:p})})),v.getWindows().filter(p=>p.isReady).length>0?(w.trace("ElectronURLListener: window is ready to handle URLs"),this.i()):(w.trace("ElectronURLListener: waiting for window to be ready to handle URLs..."),n.Event.once(v.onDidSignalReadyWindow)(this.i,this,this.d))}h(y){try{return P.URI.parse(y)}catch{return}}async i(){if(this.b++>10){this.g.trace("ElectronURLListener#flush(): giving up after 10 retries");return}this.g.trace("ElectronURLListener#flush(): flushing URLs");const y=[];for(const b of this.a)await this.f.open(b.uri,{originalUrl:b.originalUrl})?this.g.trace("ElectronURLListener#flush(): URL was handled",b.originalUrl):(this.g.trace("ElectronURLListener#flush(): URL was not yet handled",b.originalUrl),y.push(b));y.length!==0&&(this.a=y,this.c=(0,M.disposableTimeout)(()=>this.i(),500))}dispose(){this.d.dispose(),this.c.dispose()}}e.ElectronURLListener=d}),define(te[251],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,I.createDecorator)("webviewManagerService")}),define(te[252],ie([0,1,14,2,15,7]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class D extends M.Disposable{constructor(){super();const d=this.b.bind(this);I.protocol.registerFileProtocol(n.Schemas.vscodeWebview,d)}b(d,h){try{const y=C.URI.parse(d.url),b=D.a.get(y.path);if(typeof b=="string"){const v=`vs/workbench/contrib/webview/browser/pre/${b}`,m=n.FileAccess.asFileUri(v);return h({path:decodeURIComponent(m.fsPath),headers:{...n.COI.getHeadersFromQuery(d.url),"Cross-Origin-Resource-Policy":"cross-origin"}})}else return h({error:-10})}catch{}return h({error:-2})}}e.WebviewProtocolProvider=D,D.a=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/service-worker.js","service-worker.js"]])}),define(te[76],ie([0,1,4]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.useWindowControlsOverlay=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function M(y){return!!y.workspaceUri}e.isWorkspaceToOpen=M;function n(y){return!!y.folderUri}e.isFolderToOpen=n;function C(y){return!!y.fileUri}e.isFileToOpen=C;function D(y){const b=P(y),v=y.getValue("window.menuBarVisibility");return v==="default"||b==="native"&&v==="compact"||I.isMacintosh&&I.isNative?"classic":v}e.getMenuBarVisibility=D;function P(y){if(I.isWeb)return"custom";const b=y.getValue("window");if(b){if(I.isMacintosh&&b.nativeTabs===!0||I.isMacintosh&&b.nativeFullScreen===!1)return"native";const f=b.titleBarStyle;if(f==="native"||f==="custom")return f}return I.isLinux?"native":"custom"}e.getTitleBarStyle=P;function d(y){if(!I.isWindows||I.isWeb||P(y)==="native")return!1;const b=y.getValue("window.experimental.windowControlsOverlay.enabled");return typeof b=="boolean"?b:!0}e.useWindowControlsOverlay=d;function h(y=0){return Math.pow(1.2,y)}e.zoomLevelToZoomFactor=h}),define(te[117],ie([0,1]),function(x,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowError=e.WindowMode=e.defaultWindowState=e.UnloadReason=e.LoadReason=void 0;var I;(function(P){P[P.INITIAL=1]="INITIAL",P[P.LOAD=2]="LOAD",P[P.RELOAD=3]="RELOAD"})(I=e.LoadReason||(e.LoadReason={}));var M;(function(P){P[P.CLOSE=1]="CLOSE",P[P.QUIT=2]="QUIT",P[P.RELOAD=3]="RELOAD",P[P.LOAD=4]="LOAD"})(M=e.UnloadReason||(e.UnloadReason={}));const n=function(P=1){return{width:1024,height:768,mode:P}};e.defaultWindowState=n;var C;(function(P){P[P.Maximized=0]="Maximized",P[P.Normal=1]="Normal",P[P.Minimized=2]="Minimized",P[P.Fullscreen=3]="Fullscreen"})(C=e.WindowMode||(e.WindowMode={}));var D;(function(P){P[P.UNRESPONSIVE=1]="UNRESPONSIVE",P[P.PROCESS_GONE=2]="PROCESS_GONE",P[P.LOAD=3]="LOAD"})(D=e.WindowError||(e.WindowError={}))}),define(te[30],ie([0,1,6]),function(x,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OpenContext=e.IWindowsMainService=void 0,e.IWindowsMainService=(0,I.createDecorator)("windowsMainService");var M;(function(n){n[n.CLI=0]="CLI",n[n.DOCK=1]="DOCK",n[n.MENU=2]="MENU",n[n.DIALOG=3]="DIALOG",n[n.DESKTOP=4]="DESKTOP",n[n.API=5]="API"})(M=e.OpenContext||(e.OpenContext={}))}),define(te[253],ie([0,1,14,22,3,71,2,31,74,107,5,19,30]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var m;(function(w){w[w.Initial=1]="Initial",w[w.StoredCredentialsUsed=2]="StoredCredentialsUsed",w[w.LoginDialogShown=3]="LoginDialogShown"})(m||(m={}));let f=class extends D.Disposable{constructor(a,u,p,k,E){super(),this.g=a,this.h=u,this.i=p,this.j=k,this.k=E,this.a=`${this.k.urlProtocol}.proxy-credentials`,this.b=void 0,this.c=m.Initial,this.f=void 0,this.l()}l(){const a=n.Event.fromNodeEventEmitter(I.app,"login",(u,p,k,E,R)=>({event:u,webContents:p,req:k,authInfo:E,callback:R}));this.B(a(this.m,this))}async m({event:a,authInfo:u,req:p,callback:k}){if(!u.isProxy)return;if(!this.b&&this.c===m.LoginDialogShown&&p.firstAuthAttempt){this.g.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}a.preventDefault();let E;if(this.b)this.g.trace("auth#onLogin (proxy) - pending proxy handling found"),E=await this.b;else{this.g.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.b=this.n(u);try{E=await this.b}finally{this.b=void 0}}k(E?.username,E?.password)}async n(a){this.g.trace("auth#resolveProxyCredentials (proxy) - enter");try{const u=await this.p(a);if(u)return this.g.trace("auth#resolveProxyCredentials (proxy) - got credentials"),u;this.g.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.g.trace("auth#resolveProxyCredentials (proxy) - exit")}}async p(a){this.g.trace("auth#doResolveProxyCredentials - enter",a);const u=String((0,C.hash)({scheme:a.scheme,host:a.host,port:a.port}));let p,k;try{const c=await this.i.getPassword(this.a,u);if(c){const i=JSON.parse(await this.j.decrypt(c));p=i.username,k=i.password}}catch(c){this.g.error(c)}if(this.c!==m.StoredCredentialsUsed&&typeof p=="string"&&typeof k=="string")return this.g.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.c=m.StoredCredentialsUsed,{username:p,password:k};const E=this.h.getFocusedWindow()||this.h.getLastActiveWindow();if(!E){this.g.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.g.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${E.id} to handle proxy login`);const R={authInfo:a,username:this.f?.username??p,password:this.f?.password??k,replyChannel:`vscode:proxyAuthResponse:${(0,P.generateUuid)()}`};E.sendWhenReady("vscode:openProxyAuthenticationDialog",M.CancellationToken.None,R),this.c=m.LoginDialogShown;const t=await new Promise(c=>{const i=async(r,s,l)=>{if(s===R.replyChannel)if(this.g.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${E.id}`),E.win?.webContents.off("ipc-message",i),l){const o={username:l.username,password:l.password};try{if(l.remember){const g=await this.j.encrypt(JSON.stringify(o));await this.i.setPassword(this.a,u,g)}else await this.i.deletePassword(this.a,u)}catch(g){this.g.error(g)}c({username:o.username,password:o.password})}else c(void 0)};E.win?.webContents.on("ipc-message",i)});return this.f=t,t}};f=ve([ee(0,y.ILogService),ee(1,v.IWindowsMainService),ee(2,d.ICredentialsMainService),ee(3,h.IEncryptionMainService),ee(4,b.IProductService)],f),e.ProxyAuthHandler=f}),define(te[254],ie([0,1,74,5,33,19,30,205]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CredentialsNativeMainService=void 0;let d=class extends P.BaseCredentialsMainService{constructor(y,b,v,m){super(y),this.j=b,this.k=v,this.l=m,this.i=f=>{this.l.sendToFocused("vscode:showCredentialsError",f.message??f)}}async getSecretStoragePrefix(){return Promise.resolve(this.k.urlProtocol)}async h(){if(this.f)return this.f;if(this.j.disableKeytar)return this.g.info("Keytar is disabled. Using in-memory credential store instead."),this.f=new I.InMemoryCredentialsProvider,this.f;const y=await new Promise((b,v)=>{x(["keytar"],b,v)});return await y.findCredentials("test-keytar-loads"),this.f=y,this.f}};d=ve([ee(0,M.ILogService),ee(1,n.INativeEnvironmentService),ee(2,C.IProductService),ee(3,D.IWindowsMainService)],d),e.CredentialsNativeMainService=d}),define(te[255],ie([0,1,14,25,4,7,23,18,61,6,5,116,30]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,h.createDecorator)(e.ID);let m=class{constructor(w,a,u,p){this.a=w,this.b=a,this.c=u,this.d=p}async start(w,a){this.a.trace("Received data from other instance: ",w,a),n.isMacintosh&&I.app.focus({steal:!0});const u=this.e(w);if(u.length){let p=Promise.resolve();if(this.b.getWindowCount()===0){const k=(0,M.firstOrDefault)(await this.b.openEmptyWindow({context:4}));k&&(p=k.ready())}p.then(()=>{for(const{uri:k,originalUrl:E}of u)this.c.open(k,{originalUrl:E})})}else return this.f(w,a)}e(w){return w["open-url"]&&w._urls&&w._urls.length>0?(0,M.coalesce)(w._urls.map(a=>{try{return{uri:C.URI.parse(a),originalUrl:a}}catch{return null}})):[]}async f(w,a){const u=(0,d.isLaunchedFromCli)(a)?0:4;let p=[];const k=w.wait&&w.waitMarkerFilePath?C.URI.file(w.waitMarkerFilePath):void 0,E=w.remote||void 0,R={context:u,cli:w,userEnv:a,waitMarkerFileURI:k,remoteAuthority:E,forceProfile:w.profile,forceTempProfile:w["profile-temp"]};if(w.extensionDevelopmentPath)await this.b.openExtensionDevelopmentHostWindow(w.extensionDevelopmentPath,R);else if(!w._.length&&!w["folder-uri"]&&!w["file-uri"]){let t=!1;if(w["new-window"]||w["unity-launch"]||R.forceProfile||R.forceTempProfile)t=!0;else if(w["reuse-window"])t=!1;else switch(this.d.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":t=!0;break;case"off":t=!1;break;default:t=!n.isMacintosh}if(t)p=await this.b.open({...R,forceNewWindow:!0,forceEmpty:!0});else{const c=this.b.getLastActiveWindow();c?(this.b.openExistingWindow(c,R),p=[c]):p=await this.b.open({...R,forceEmpty:!0})}}else p=await this.b.open({...R,forceNewWindow:w["new-window"],preferNewWindow:!w["reuse-window"]&&!w.wait,forceReuseWindow:w["reuse-window"],diffMode:w.diff,mergeMode:w.merge,addMode:w.add,noRecentEntry:!!w["skip-add-to-recently-opened"],gotoLineMode:w.goto});if(k&&p.length===1&&p[0])return Promise.race([p[0].whenClosedOrLoaded,(0,D.whenDeleted)(k.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.a.trace("Received request for process ID from other instance."),process.pid}};m=ve([ee(0,y.ILogService),ee(1,v.IWindowsMainService),ee(2,b.IURLService),ee(3,P.IConfigurationService)],m),e.LaunchMainService=m}),define(te[256],ie([0,1,14,2,3,5,257,8,15,30,83,24]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UtilityProcess=void 0;let v=class It extends M.Disposable{constructor(f,w,a){super(),this.n=f,this.p=w,this.r=a,this.b=String(++It.a),this.c=this.B(new n.Emitter),this.onStdout=this.c.event,this.f=this.B(new n.Emitter),this.onStderr=this.f.event,this.g=this.B(new n.Emitter),this.onMessage=this.g.event,this.h=this.B(new n.Emitter),this.onExit=this.h.event,this.i=this.B(new n.Emitter),this.onCrash=this.i.event,this.j=void 0,this.k=void 0,this.l=void 0,this.m=!1}s(f,w){let a;switch(this.l?.correlationId?a=`[UtilityProcess id: ${this.l?.correlationId}, type: ${this.l?.type}, pid: ${this.k??"<none>"}]: ${f}`:a=`[UtilityProcess type: ${this.l?.type}, pid: ${this.k??"<none>"}]: ${f}`,w){case y.default.Error:this.n.error(a);break;case y.default.Warning:this.n.warn(a);break;case y.default.Info:this.n.info(a);break}}t(f){if(this.j){this.s("Cannot start utility process because it is already running...",y.default.Error);return}const w=this.p.getWindowById(f.responseWindowId)?.win;if(!w||w.isDestroyed()||w.webContents.isDestroyed()){this.s("Refusing to start utility process because requesting window cannot be found or is destroyed...",y.default.Error);return}return w}start(f){const w=this.t(f);if(!w)return;this.l=f;const a=`${this.l.type}-${this.b}`,u=d.FileAccess.asFileUri("bootstrap-fork.js").fsPath,p=[...this.l.args??[],`--type=${this.l.type}`],k=this.l.execArgv,E=this.l.allowLoadingUnsignedLibraries,R="pipe";let t=this.l.env;if(t){t={...t};for(const c of Object.keys(t))t[c]=String(t[c])}this.s("creating new...",y.default.Info),this.j=I.utilityProcess.fork(u,p,{serviceName:a,env:t,execArgv:k,allowLoadingUnsignedLibraries:E,stdio:R}),this.u(this.j,this.l,a),this.v(this.j,this.l,w)}u(f,w,a){if(f.stdout){const u=new D.StringDecoder("utf-8");this.B(n.Event.fromNodeEventEmitter(f.stdout,"data")(p=>this.c.fire(typeof p=="string"?p:u.write(p))))}if(f.stderr){const u=new D.StringDecoder("utf-8");this.B(n.Event.fromNodeEventEmitter(f.stderr,"data")(p=>this.f.fire(typeof p=="string"?p:u.write(p))))}this.B(n.Event.fromNodeEventEmitter(f,"message")(u=>this.g.fire(u))),this.B(n.Event.fromNodeEventEmitter(f,"spawn")(()=>{this.k=f.pid,this.s("successfully created",y.default.Info)})),this.B(n.Event.fromNodeEventEmitter(f,"exit")(u=>{this.s(`received exit event with code ${u}`,y.default.Info),this.m=!0,this.h.fire({pid:this.k,code:u,signal:"unknown"})})),this.B(n.Event.fromNodeEventEmitter(I.app,"child-process-gone",(u,p)=>({event:u,details:p}))(({details:u})=>{u.type==="Utility"&&u.name===a&&(this.s(`crashed with code ${u.exitCode} and reason '${u.reason}'`,y.default.Error),this.r.publicLog2("utilityprocesscrash",{type:w.type,reason:u.reason,code:u.exitCode}),this.i.fire({pid:this.k,code:u.exitCode,reason:u.reason}))}))}v(f,w,a){const{port1:u,port2:p}=new I.MessageChannelMain;f.postMessage("null",[p]),a.webContents.postMessage(w.responseChannel,w.responseNonce,[u])}enableInspectPort(){if(typeof this.k!="number")return!1;this.s("enabling inspect port",y.default.Info);const f=process;return typeof f._debugProcess=="function"?(f._debugProcess(this.k),!0):!1}kill(){if(!this.j){this.s("no running process to kill",y.default.Warning);return}this.s("attempting to kill the process...",y.default.Info),this.j.kill()?this.s("successfully killed the process",y.default.Info):this.s("unable to kill the process",y.default.Warning)}async waitForExit(f){if(!this.j){this.s("no running process to wait for exit",y.default.Warning);return}this.m||(this.s("waiting to exit...",y.default.Info),await Promise.race([n.Event.toPromise(this.onExit),(0,P.timeout)(f)]),this.m||(this.s("did not exit within ${maxWaitTimeMs}ms, will kill it now...",y.default.Info),this.kill()))}};v.a=0,v=ve([ee(0,C.ILogService),ee(1,h.IWindowsMainService),ee(2,b.ITelemetryService)],v),e.UtilityProcess=v}),define(te[258],ie([0,1,13,2,3,5,21,70,46,257,8,15,44,4,36,256,30,24]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostStarter=void 0;let p=class Pt{constructor(R,t,c,i){this.d=R,this.f=c,this.g=i,this.c=!1,this.b=new Map,t.onWillShutdown(r=>{this.c=!0,r.join(this._waitForAllExit(6e3))})}dispose(){}h(R){const t=this.b.get(R);if(!t)throw new Error("Unknown extension host!");return t}onDynamicStdout(R){return this.h(R).onStdout}onDynamicStderr(R){return this.h(R).onStderr}onDynamicMessage(R){return this.h(R).onMessage}onDynamicError(R){const t=this.h(R);return t instanceof w.UtilityProcess?n.Event.None:t.onError}onDynamicExit(R){return this.h(R).onExit}async createExtensionHost(R){if(this.c)throw(0,I.canceled)();const t=String(++Pt.a);let c;return R?c=new w.UtilityProcess(this.d,this.f,this.g):c=new k(t,this.d),this.b.set(t,c),c.onExit(({pid:i,code:r,signal:s})=>{this.d.info(`Extension host with pid ${i} exited with code: ${r}, signal: ${s}.`),setTimeout(()=>{c.dispose(),this.b.delete(t)})}),{id:t}}async start(R,t){if(this.c)throw(0,I.canceled)();return this.h(R).start({...t,type:"extensionHost",args:["--skipWorkspaceStorageLock"],execArgv:t.execArgv??[],allowLoadingUnsignedLibraries:!1,correlationId:R})}async enableInspectPort(R){if(this.c)throw(0,I.canceled)();const t=this.b.get(R);return t?t.enableInspectPort():!1}async kill(R){if(this.c)throw(0,I.canceled)();const t=this.b.get(R);!t||t.kill()}async _killAllNow(){for(const[,R]of this.b)R.kill()}async _waitForAllExit(R){const t=[];for(const[,c]of this.b)t.push(c.waitForExit(R));return y.Promises.settled(t).then(()=>{})}};p.a=0,p=ve([ee(0,C.ILogService),ee(1,D.ILifecycleMainService),ee(2,a.IWindowsMainService),ee(3,u.ITelemetryService)],p),e.ExtensionHostStarter=p;let k=class extends M.Disposable{constructor(R,t){super(),this.id=R,this.c=t,this._onStdout=this.B(new n.Emitter),this.onStdout=this._onStdout.event,this._onStderr=this.B(new n.Emitter),this.onStderr=this._onStderr.event,this._onMessage=this.B(new n.Emitter),this.onMessage=this._onMessage.event,this._onError=this.B(new n.Emitter),this.onError=this._onError.event,this._onExit=this.B(new n.Emitter),this.onExit=this._onExit.event,this.a=null,this.b=!1}start(R){m.isCI&&this.c.info("Calling fork to start extension host...");const t=P.StopWatch.create(!1);this.a=(0,d.fork)(b.FileAccess.asFileUri("bootstrap-fork").fsPath,["--type=extensionHost","--skipWorkspaceStorageLock"],(0,v.mixin)({cwd:(0,f.cwd)()},R));const c=t.elapsed(),i=this.a.pid;this.c.info(`Starting extension host with pid ${i} (fork() took ${c} ms).`);const r=new h.StringDecoder("utf-8");this.a.stdout?.on("data",l=>{const o=typeof l=="string"?l:r.write(l);this._onStdout.fire(o)});const s=new h.StringDecoder("utf-8");this.a.stderr?.on("data",l=>{const o=typeof l=="string"?l:s.write(l);this._onStderr.fire(o)}),this.a.on("message",l=>{this._onMessage.fire(l)}),this.a.on("error",l=>{this._onError.fire({error:(0,I.transformErrorForSerialization)(l)})}),this.a.on("exit",(l,o)=>{this.b=!0,this._onExit.fire({pid:i,code:l,signal:o})})}enableInspectPort(){return this.a?(this.c.info(`Enabling inspect port on extension host with pid ${this.a.pid}.`),typeof process._debugProcess=="function"?(process._debugProcess(this.a.pid),!0):m.isWindows?!1:(this.a.kill("SIGUSR1"),!0)):!1}kill(){!this.a||(this.c.info(`Killing extension host with pid ${this.a.pid}.`),this.a.kill())}async waitForExit(R){if(!this.a)return;const t=this.a.pid;this.c.info(`Waiting for extension host with pid ${t} to exit.`),await Promise.race([n.Event.toPromise(this.onExit),(0,y.timeout)(R)]),this.b||(this.c.info(`Extension host with pid ${t} did not exit within ${R}ms.`),this.a.kill())}};k=ve([ee(1,C.ILogService)],k)}),define(te[259],ie([0,1,14,3,2,252,30]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let P=class extends n.Disposable{constructor(h){super(),this.b=h,this.a=this.B(new M.Emitter),this.onFoundInFrame=this.a.event,this.B(new C.WebviewProtocolProvider)}async setIgnoreMenuShortcuts(h,y){let b;if(typeof h.windowId=="number"){const{windowId:v}=h,m=this.b.getWindowById(v);if(!m?.win)throw new Error(`Invalid windowId: ${v}`);b=m.win.webContents}else{const{webContentsId:v}=h;if(b=I.webContents.fromId(v),!b)throw new Error(`Invalid webContentsId: ${v}`)}b.isDestroyed()||b.setIgnoreMenuShortcuts(y)}async findInFrame(h,y,b,v){const f=this.c(h,y);if(typeof f.findInFrame=="function"){f.findInFrame(b,{findNext:v.findNext,forward:v.forward});const w=(a,u)=>{u.finalUpdate&&(this.a.fire(u),f.removeListener("found-in-frame",w))};f.on("found-in-frame",w)}}async stopFindInFrame(h,y,b){const m=this.c(h,y);typeof m.stopFindInFrame=="function"&&m.stopFindInFrame(b.keepSelection?"keepSelection":"clearSelection")}c(h,y){const b=this.b.getWindowById(h.windowId);if(!b?.win)throw new Error(`Invalid windowId: ${h}`);const v=b.win.webContents.mainFrame.framesInSubtree.find(m=>m.name===y);if(!v)throw new Error(`Unknown frame: ${y}`);return v}};P=ve([ee(0,D.IWindowsMainService)],P),e.WebviewMainService=P}),define(te[260],ie([0,1,8,3,2]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class C extends n.Disposable{constructor({onDidOpenWindow:P,onDidFocusWindow:d,getActiveWindowId:h}){super(),this.a=this.B(new n.DisposableStore),M.Event.latch(M.Event.any(P,d))(this.f,this,this.a),this.b=(0,I.createCancelablePromise)(()=>h()),(async()=>{try{const b=await this.b;this.c=typeof this.c=="number"?this.c:b}catch{}finally{this.b=void 0}})()}f(P){this.b&&(this.b.cancel(),this.b=void 0),this.c=P}async getActiveClientId(){return`window:${this.b?await this.b:this.c}`}}e.ActiveWindowManager=C}),define(te[29],ie([0,1,176,9,60,20,7,6,15]),function(x,e,I,M,n,C,D,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_SUFFIX=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.UNKNOWN_EMPTY_WINDOW_WORKSPACE=e.EXTENSION_DEVELOPMENT_EMPTY_WINDOW_WORKSPACE=e.isEmptyWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,P.createDecorator)("contextService");function h(i){const r=i;return typeof r?.id=="string"&&D.URI.isUri(r.uri)}e.isSingleFolderWorkspaceIdentifier=h;function y(i){return typeof i?.id=="string"&&!h(i)&&!v(i)}e.isEmptyWorkspaceIdentifier=y,e.EXTENSION_DEVELOPMENT_EMPTY_WINDOW_WORKSPACE={id:"ext-dev"},e.UNKNOWN_EMPTY_WINDOW_WORKSPACE={id:"empty-window"};function b(i,r){if(typeof i=="string"||typeof i>"u")return typeof i=="string"?{id:(0,M.basename)(i)}:r?e.EXTENSION_DEVELOPMENT_EMPTY_WINDOW_WORKSPACE:e.UNKNOWN_EMPTY_WINDOW_WORKSPACE;const s=i;return s.configuration?{id:s.id,configPath:s.configuration}:s.folders.length===1?{id:s.id,uri:s.folders[0].uri}:{id:s.id}}e.toWorkspaceIdentifier=b;function v(i){const r=i;return typeof r?.id=="string"&&D.URI.isUri(r.configPath)}e.isWorkspaceIdentifier=v;function m(i){const r=i;if(r?.uri)return{id:r.id,uri:D.URI.revive(r.uri)};const s=i;if(s?.configPath)return{id:s.id,configPath:D.URI.revive(s.configPath)};if(i?.id)return{id:i.id}}e.reviveIdentifier=m;var f;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(f=e.WorkbenchState||(e.WorkbenchState={}));function w(i){const r=i;return!!(r&&typeof r=="object"&&typeof r.id=="string"&&Array.isArray(r.folders))}e.isWorkspace=w;function a(i){const r=i;return!!(r&&typeof r=="object"&&D.URI.isUri(r.uri)&&typeof r.name=="string"&&typeof r.toResource=="function")}e.isWorkspaceFolder=a;class u{constructor(r,s,l,o,g){this.h=r,this.j=l,this.k=o,this.l=g,this.c=n.TernarySearchTree.forUris(this.l,()=>!0),this.folders=s}update(r){this.h=r.id,this.k=r.configuration,this.j=r.transient,this.l=r.l,this.folders=r.folders}get folders(){return this.g}set folders(r){this.g=r,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(r){this.k=r}getFolder(r){return r&&this.c.findSubstr(r)||null}n(){this.c=n.TernarySearchTree.forUris(this.l,()=>!0);for(const r of this.folders)this.c.set(r.uri,r)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=u;class p{constructor(r,s){this.raw=s,this.uri=r.uri,this.index=r.index,this.name=r.name}toResource(r){return(0,C.joinPath)(this.uri,r)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=p;function k(i){return new p({uri:i,index:0,name:(0,C.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=k,e.WORKSPACE_EXTENSION="code-workspace",e.WORKSPACE_SUFFIX=`.${e.WORKSPACE_EXTENSION}`,e.WORKSPACE_FILTER=[{name:(0,I.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function E(i,r){return C.extUriBiasedIgnorePathCase.isEqualOrParent(i,r.untitledWorkspacesHome)}e.isUntitledWorkspace=E;function R(i){let r;return D.URI.isUri(i)?r=i:r=i.configuration,r?.scheme===d.Schemas.tmp}e.isTemporaryWorkspace=R;function t(i,r){return!E(i,r)&&!R(i)}e.isSavedWorkspace=t;function c(i){return(typeof i=="string"?(0,M.extname)(i):(0,C.extname)(i))===e.WORKSPACE_SUFFIX}e.hasWorkspaceFileExtension=c}),define(te[57],ie([0,1,14,8,71,37,2,79,4,10,23,153,6,5,29]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,v.createDecorator)("dialogMainService");let w=class{constructor(u){this.d=u,this.a=new Map,this.b=new Map,this.c=new M.Queue}pickFileFolder(u,p){return this.e({...u,pickFolders:!0,pickFiles:!0,title:(0,b.localize)(0,null)},p)}pickFolder(u,p){return this.e({...u,pickFolders:!0,title:(0,b.localize)(1,null)},p)}pickFile(u,p){return this.e({...u,pickFiles:!0,title:(0,b.localize)(2,null)},p)}pickWorkspace(u,p){const k=(0,b.localize)(3,null),E=(0,C.mnemonicButtonLabel)((0,b.localize)(4,null)),R=f.WORKSPACE_FILTER;return this.e({...u,pickFiles:!0,title:k,filters:R,buttonLabel:E},p)}async e(u,p){const k={title:u.title,buttonLabel:u.buttonLabel,filters:u.filters,defaultPath:u.defaultPath};(typeof u.pickFiles=="boolean"||typeof u.pickFolders=="boolean")&&(k.properties=void 0,u.pickFiles&&u.pickFolders&&(k.properties=["multiSelections","openDirectory","openFile","createDirectory"])),k.properties||(k.properties=["multiSelections",u.pickFolders?"openDirectory":"openFile","createDirectory"]),d.isMacintosh&&k.properties.push("treatPackageAsDirectory");const E=await this.showOpenDialog(k,(0,h.withNullAsUndefined)(p||I.BrowserWindow.getFocusedWindow()));if(E&&E.filePaths&&E.filePaths.length>0)return E.filePaths}f(u){if(u){let p=this.b.get(u.id);return p||(p=new M.Queue,this.b.set(u.id,p)),p}else return this.c}showMessageBox(u,p){return this.f(p).queue(async()=>p?I.dialog.showMessageBox(p,u):I.dialog.showMessageBox(u))}async showSaveDialog(u,p){const k=this.i(u,p);if(!k)return this.d.error("[DialogMainService]: file save dialog is already or will be showing for the window with the same configuration"),{canceled:!0};try{return await this.f(p).queue(async()=>{let E;return p?E=await I.dialog.showSaveDialog(p,u):E=await I.dialog.showSaveDialog(u),E.filePath=this.g(E.filePath),E})}finally{(0,D.dispose)(k)}}g(u){return u&&d.isMacintosh&&(u=(0,P.normalizeNFC)(u)),u}h(u){return u.map(p=>this.g(p))}async showOpenDialog(u,p){u.defaultPath&&(await y.Promises.exists(u.defaultPath)||(u.defaultPath=void 0));const k=this.i(u,p);if(!k)return this.d.error("[DialogMainService]: file open dialog is already or will be showing for the window with the same configuration"),{canceled:!0,filePaths:[]};try{return await this.f(p).queue(async()=>{let E;return p?E=await I.dialog.showOpenDialog(p,u):E=await I.dialog.showOpenDialog(u),E.filePaths=this.h(E.filePaths),E})}finally{(0,D.dispose)(k)}}i(u,p){if(!p)return D.Disposable.None;this.d.trace("[DialogMainService]: request to acquire file dialog lock",u);let k=this.a.get(p.id);k||(k=new Set,this.a.set(p.id,k));const E=(0,n.hash)(u);if(!k.has(E))return this.d.trace("[DialogMainService]: new file dialog lock created",u),k.add(E),(0,D.toDisposable)(()=>{this.d.trace("[DialogMainService]: file dialog lock disposed",u),k?.delete(E),k?.size===0&&this.a.delete(p.id)})}};w=ve([ee(0,m.ILogService)],w),e.DialogMainService=w}),define(te[261],ie([0,1,3,2,72,29]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class D extends M.Disposable{constructor(d,h){super(),this.f=d,this.g=h,this.b=this.B(new I.Emitter),this.c=new Map,this.h(h.applicationStorage,this.b)}h(d,h){this.B(I.Event.debounce(d.onDidChangeStorage,(y,b)=>(y?y.push(b):y=[b],y),D.a)(y=>{y.length&&h.fire(this.i(y,d))}))}i(d,h){const y=new Map,b=new Set;return d.forEach(v=>{const m=h.get(v.key);typeof m=="string"?y.set(v.key,m):b.add(v.key)}),{changed:Array.from(y.entries()),deleted:Array.from(b.values())}}listen(d,h,y){switch(h){case"onDidChangeStorage":{const b=y.profile?(0,n.revive)(y.profile):void 0;if(!b)return this.b.event;let v=this.c.get(b.id);return v||(v=this.B(new I.Emitter),this.h(this.g.profileStorage(b),v),this.c.set(b.id,v)),v.event}}throw new Error(`Event not found: ${h}`)}async call(d,h,y){const b=y.profile?(0,n.revive)(y.profile):void 0,v=(0,C.reviveIdentifier)(y.workspace),m=await this.j(b,v);switch(h){case"getItems":return Array.from(m.items.entries());case"updateItems":{const f=y;if(f.insert)for(const[w,a]of f.insert)m.set(w,a);f.delete?.forEach(w=>m.delete(w));break}case"isUsed":{const f=y.payload;if(typeof f=="string")return this.g.isUsed(f)}default:throw new Error(`Call not found: ${h}`)}}async j(d,h){let y;h?y=this.g.workspaceStorage(h):d?y=this.g.profileStorage(d):y=this.g.applicationStorage;try{await y.init()}catch(b){this.f.error(`StorageIPC#init: Unable to init ${h?"workspace":d?"profile":"application"} storage due to ${b}`)}return y}}e.StorageDatabaseChannel=D,D.a=100}),define(te[38],ie([0,1,71,3,2,20,7,173,33,16,6,5,29,35,40,8,31,27,10]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryUserDataProfilesService=e.UserDataProfilesService=e.toUserDataProfile=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function k(i){const r=i;return!!(r&&typeof r=="object"&&typeof r.id=="string"&&typeof r.isDefault=="boolean"&&typeof r.name=="string"&&D.URI.isUri(r.location)&&D.URI.isUri(r.globalStorageHome)&&D.URI.isUri(r.settingsResource)&&D.URI.isUri(r.keybindingsResource)&&D.URI.isUri(r.tasksResource)&&D.URI.isUri(r.snippetsHome)&&D.URI.isUri(r.extensionsResource))}e.isUserDataProfile=k,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,y.createDecorator)("IUserDataProfilesService");function E(i,r){return{id:i.id,isDefault:i.isDefault,name:i.name,shortName:i.shortName,location:D.URI.revive(i.location).with({scheme:r}),globalStorageHome:D.URI.revive(i.globalStorageHome).with({scheme:r}),settingsResource:D.URI.revive(i.settingsResource).with({scheme:r}),keybindingsResource:D.URI.revive(i.keybindingsResource).with({scheme:r}),tasksResource:D.URI.revive(i.tasksResource).with({scheme:r}),snippetsHome:D.URI.revive(i.snippetsHome).with({scheme:r}),extensionsResource:D.URI.revive(i.extensionsResource)?.with({scheme:r}),useDefaultFlags:i.useDefaultFlags,isTransient:i.isTransient}}e.reviveProfile=E;function R(i,r,s,l){return{id:i,name:r,location:s,isDefault:!1,shortName:l?.shortName,globalStorageHome:(0,C.joinPath)(s,"globalStorage"),settingsResource:(0,C.joinPath)(s,"settings.json"),keybindingsResource:(0,C.joinPath)(s,"keybindings.json"),tasksResource:(0,C.joinPath)(s,"tasks.json"),snippetsHome:(0,C.joinPath)(s,"snippets"),extensionsResource:(0,C.joinPath)(s,"extensions.json"),useDefaultFlags:l?.useDefaultFlags,isTransient:l?.transient}}e.toUserDataProfile=R;let t=class extends n.Disposable{get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.u.profiles,...this.l.profiles]}constructor(r,s,l,o){super(),this.m=r,this.n=s,this.r=l,this.s=o,this.f=!1,this.g=this.B(new M.Emitter),this.onDidChangeProfiles=this.g.event,this.h=this.B(new M.Emitter),this.onWillCreateProfile=this.h.event,this.i=this.B(new M.Emitter),this.onWillRemoveProfile=this.i.event,this.j=this.B(new M.Emitter),this.onDidResetWorkspaces=this.j.event,this.k=new Map,this.l={profiles:[],workspaces:new m.ResourceMap,emptyWindows:new Map},this.profilesHome=(0,C.joinPath)(this.m.userRoamingDataHome,"profiles")}setEnablement(r){this.f!==r&&(this.t=void 0,this.f=r)}isEnabled(){return this.f}get u(){if(!this.t){const r=[];if(this.f)for(const g of this.G()){if(!g.name||!(0,p.isString)(g.name)||!g.location){this.s.warn("Skipping the invalid stored profile",g.location||g.name);continue}r.push(R((0,C.basename)(g.location),g.name,g.location,{shortName:g.shortName,useDefaultFlags:g.useDefaultFlags}))}const s=new m.ResourceMap,l=new Map,o=R((0,I.hash)(this.m.userRoamingDataHome.path).toString(16),(0,P.localize)(0,null),this.m.userRoamingDataHome);if(r.unshift({...o,extensionsResource:this.L()??o.extensionsResource,isDefault:!0}),r.length){const g=this.I();if(g.workspaces)for(const[S,L]of Object.entries(g.workspaces)){const O=D.URI.parse(S),j=D.URI.parse(L),K=r.find(V=>this.r.extUri.isEqual(V.location,j));K&&s.set(O,K)}if(g.emptyWindows)for(const[S,L]of Object.entries(g.emptyWindows)){const O=D.URI.parse(L),j=r.find(K=>this.r.extUri.isEqual(K.location,O));j&&l.set(S,j)}}this.t={profiles:r,workspaces:s,emptyWindows:l}}return this.t}async createTransientProfile(r){const s="Temp",l=new RegExp(`${(0,u.escapeRegExpCharacters)(s)}\\s(\\d+)`);let o=0;for(const S of this.profiles){const L=l.exec(S.name),O=L?parseInt(L[1]):0;o=O>o?O:o}const g=`${s} ${o+1}`;return this.createProfile((0,I.hash)((0,a.generateUuid)()).toString(16),g,{transient:!0},r)}async createNamedProfile(r,s,l){return this.createProfile((0,I.hash)((0,a.generateUuid)()).toString(16),r,s,l)}async createProfile(r,s,l,o){if(!this.f)throw new Error(`Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);const g=await this.v(r,s,l);return o&&await this.setProfileForWorkspace(o,g),g}async v(r,s,l){if(!(0,p.isString)(s)||!s)throw new Error("Name of the profile is mandatory and must be of type `string`");let o=this.k.get(s);return o||(o=(async()=>{try{const g=this.profiles.find(O=>O.name===s||O.id===r);if(g)return g;const S=R(r,s,(0,C.joinPath)(this.profilesHome,r),l);await this.n.createFolder(S.location);const L=[];return this.h.fire({profile:S,join(O){L.push(O)}}),await w.Promises.settled(L),this.z([S],[],[]),S}finally{this.k.delete(s)}})(),this.k.set(s,o)),o}async updateProfile(r,s){if(!this.f)throw new Error(`Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);let l=this.profiles.find(o=>o.id===r.id);if(!l)throw new Error(`Profile '${r.name}' does not exist`);return l=R(l.id,s.name??l.name,l.location,{shortName:s.shortName??l.shortName,transient:s.transient??l.isTransient,useDefaultFlags:s.useDefaultFlags??l.useDefaultFlags}),this.z([],[],[l]),l}async removeProfile(r){if(!this.f)throw new Error(`Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(r.isDefault)throw new Error("Cannot remove default profile");const s=this.profiles.find(o=>o.id===r.id);if(!s)throw new Error(`Profile '${r.name}' does not exist`);const l=[];this.i.fire({profile:s,join(o){l.push(o)}});try{await Promise.allSettled(l)}catch(o){this.s.error(o)}for(const o of[...this.u.emptyWindows.keys()])s.id===this.u.emptyWindows.get(o)?.id&&this.u.emptyWindows.delete(o);for(const o of[...this.u.workspaces.keys()])s.id===this.u.workspaces.get(o)?.id&&this.u.workspaces.delete(o);this.F(),this.z([],[s],[]);try{this.profiles.length===1?await this.n.del(this.profilesHome,{recursive:!0}):await this.n.del(s.location,{recursive:!0})}catch(o){this.s.error(o)}}async setProfileForWorkspace(r,s){if(!this.f)throw new Error(`Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);const l=this.profiles.find(o=>o.id===s.id);if(!l)throw new Error(`Profile '${s.name}' does not exist`);this.D(r,l)}unsetWorkspace(r,s){if(!this.f)throw new Error(`Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);this.D(r,void 0,s)}async resetWorkspaces(){this.l.workspaces.clear(),this.l.emptyWindows.clear(),this.u.workspaces.clear(),this.u.emptyWindows.clear(),this.F(),this.j.fire()}async cleanUp(){if(!!this.f&&await this.n.exists(this.profilesHome)){const r=await this.n.resolve(this.profilesHome);await Promise.all((r.children||[]).filter(s=>s.isDirectory&&this.profiles.every(l=>!this.r.extUri.isEqual(l.location,s.resource))).map(s=>this.n.del(s.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const r=this.l.profiles.filter(s=>!this.y(s));await Promise.allSettled(r.map(s=>this.removeProfile(s)))}getProfileForWorkspace(r){const s=this.w(r);return D.URI.isUri(s)?this.l.workspaces.get(s)??this.u.workspaces.get(s):this.l.emptyWindows.get(s)??this.u.emptyWindows.get(s)}w(r){return(0,v.isSingleFolderWorkspaceIdentifier)(r)?r.uri:(0,v.isWorkspaceIdentifier)(r)?r.configPath:r.id}y(r){return!!([...this.l.emptyWindows.values()].some(s=>this.r.extUri.isEqual(s.location,r.location))||[...this.l.workspaces.values()].some(s=>this.r.extUri.isEqual(s.location,r.location))||[...this.u.emptyWindows.values()].some(s=>this.r.extUri.isEqual(s.location,r.location))||[...this.u.workspaces.values()].some(s=>this.r.extUri.isEqual(s.location,r.location)))}z(r,s,l){const o=[...this.profiles,...r],g=[];this.l.profiles=[];for(let S of o)S.isDefault||s.some(L=>S.id===L.id)||(S=l.find(L=>S.id===L.id)??S,S.isTransient?this.l.profiles.push(S):g.push({location:S.location,name:S.name,shortName:S.shortName,useDefaultFlags:S.useDefaultFlags}));this.H(g),this.t=void 0,this.C(r,s,l)}C(r,s,l){this.g.fire({added:r,removed:s,updated:l,all:this.profiles})}D(r,s,l){l=s?.isTransient?!0:l,l||this.D(r,void 0,!0);const o=this.w(r),g=l?this.l:this.u;D.URI.isUri(o)?(g.workspaces.delete(o),s&&g.workspaces.set(o,s)):(g.emptyWindows.delete(o),s&&g.emptyWindows.set(o,s)),l||this.F()}F(){const r={};for(const[l,o]of this.u.workspaces.entries())r[l.toString()]=o.location.toString();const s={};for(const[l,o]of this.u.emptyWindows.entries())s[l.toString()]=o.location.toString();this.J({workspaces:r,emptyWindows:s}),this.t=void 0}G(){return[]}H(r){throw new Error("not implemented")}I(){return{}}J(r){throw new Error("not implemented")}L(){}};t.b="userDataProfiles",t.c="profileAssociations",t=ve([ee(0,d.IEnvironmentService),ee(1,h.IFileService),ee(2,f.IUriIdentityService),ee(3,b.ILogService)],t),e.UserDataProfilesService=t;class c extends t{constructor(){super(...arguments),this.a=[],this.O={}}G(){return this.a}H(r){this.a=r}I(){return this.O}J(r){this.O=r}}e.InMemoryUserDataProfilesService=c}),define(te[77],ie([0,1,8,17,2,3,35,7,112,90,16,6,5,38,40,10,13,24]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionsProfileScannerService=e.IExtensionsProfileScannerService=e.ExtensionsProfileScanningError=e.ExtensionsProfileScanningErrorCode=void 0;var p;(function(c){c.ERROR_PROFILE_NOT_FOUND="ERROR_PROFILE_NOT_FOUND",c.ERROR_INVALID_CONTENT="ERROR_INVALID_CONTENT"})(p=e.ExtensionsProfileScanningErrorCode||(e.ExtensionsProfileScanningErrorCode={}));class k extends Error{constructor(i,r){super(i),this.code=r}}e.ExtensionsProfileScanningError=k,e.IExtensionsProfileScannerService=(0,b.createDecorator)("IExtensionsProfileScannerService");let E=class extends n.Disposable{constructor(i,r,s,l,o,g){super(),this.h=i,this.i=r,this.j=s,this.k=l,this.l=o,this.m=g,this.a=this.B(new C.Emitter),this.onAddExtensions=this.a.event,this.b=this.B(new C.Emitter),this.onDidAddExtensions=this.b.event,this.c=this.B(new C.Emitter),this.onRemoveExtensions=this.c.event,this.f=this.B(new C.Emitter),this.onDidRemoveExtensions=this.f.event,this.g=new D.ResourceMap}scanProfileExtensions(i,r){return this.n(i,void 0,r)}async addExtensionsToProfile(i,r){const s=[],l=[];try{return await this.n(r,o=>{const g=[];for(const S of o)i.some(([L])=>(0,d.areSameExtensions)(L.identifier,S.identifier)&&L.manifest.version!==S.version)?s.push(S):g.push(S);for(const[S,L]of i)if(!g.some(O=>(0,d.areSameExtensions)(O.identifier,S.identifier)&&O.version===S.manifest.version)){const O={identifier:S.identifier,version:S.manifest.version,location:S.location,metadata:L};l.push(O),g.push(O)}return l.length&&this.a.fire({extensions:l,profileLocation:r}),s.length&&this.c.fire({extensions:s,profileLocation:r}),g}),l.length&&this.b.fire({extensions:l,profileLocation:r}),s.length&&this.f.fire({extensions:s,profileLocation:r}),l}catch(o){throw l.length&&this.b.fire({extensions:l,error:o,profileLocation:r}),s.length&&this.f.fire({extensions:s,error:o,profileLocation:r}),o}}async updateMetadata(i,r){const s=[];return await this.n(r,l=>{const o=[];for(const g of l){const S=i.find(([L])=>(0,d.areSameExtensions)(L.identifier,g.identifier)&&L.manifest.version===g.version);S&&(g.metadata={...g.metadata,...S[1]},s.push(g)),o.push(g)}return o}),s}async removeExtensionFromProfile(i,r){const s=[];this.c.fire({extensions:s,profileLocation:r});try{await this.n(r,l=>{const o=[];for(const g of l)(0,d.areSameExtensions)(g.identifier,i.identifier)?s.push(g):o.push(g);return s.length&&this.c.fire({extensions:s,profileLocation:r}),o}),s.length&&this.f.fire({extensions:s,profileLocation:r})}catch(l){throw s.length&&this.f.fire({extensions:s,error:l,profileLocation:r}),l}}async n(i,r,s){return this.v(i).queue(async()=>{let l=[],o;try{const g=await this.i.readFile(i);o=JSON.parse(g.value.toString())}catch(g){if((0,y.toFileOperationResult)(g)!==1)throw g;if(this.k.extUri.isEqual(i,this.j.defaultProfile.extensionsResource)&&(o=await this.u()),!o&&s?.bailOutWhenFileNotFound)throw new k((0,a.getErrorMessage)(g),"ERROR_PROFILE_NOT_FOUND")}if(o){Array.isArray(o)||this.p(i);let g=!1;for(const S of o){R(S)||this.p(i);let L;if((0,w.isString)(S.location))L=this.s(S.location);else{L=P.URI.revive(S.location);const O=this.r(L);O&&(g=!0,S.location=O)}l.push({identifier:S.identifier,location:L,version:S.version,metadata:S.metadata})}g&&await this.i.writeFile(i,M.VSBuffer.fromString(JSON.stringify(o)))}if(r){l=r(l);const g=l.map(S=>({identifier:S.identifier,version:S.version,location:this.r(S.location)??S.location.toJSON(),metadata:S.metadata}));await this.i.writeFile(i,M.VSBuffer.fromString(JSON.stringify(g)))}return l})}p(i){const r=new k(`Invalid extensions content in ${i.toString()}`,"ERROR_INVALID_CONTENT");throw this.l.publicLogError2("extensionsProfileScanningError",{code:r.code}),r}r(i){return this.k.extUri.isEqualOrParent(i,this.h)?this.k.extUri.relativePath(this.h,i):void 0}s(i){return this.k.extUri.joinPath(this.h,i)}async u(){return this.t||(this.t=(async()=>{const i=this.k.extUri.joinPath(this.j.defaultProfile.location,"extensions.json");let r;try{r=(await this.i.readFile(i)).value.toString()}catch(l){if((0,y.toFileOperationResult)(l)===1)return;throw l}this.m.info("Migrating extensions from old default profile location",i.toString());let s;try{const l=JSON.parse(r);Array.isArray(l)&&l.every(o=>R(o))?s=l:this.m.warn("Skipping migrating from old default profile locaiton: Found invalid data",l)}catch(l){this.m.error(l)}if(s)try{await this.i.createFile(this.j.defaultProfile.extensionsResource,M.VSBuffer.fromString(JSON.stringify(s)),{overwrite:!1}),this.m.info("Migrated extensions from old default profile location to new location",i.toString(),this.j.defaultProfile.extensionsResource.toString())}catch(l){if((0,y.toFileOperationResult)(l)===3)this.m.info("Migration from old default profile location to new location is done by another window",i.toString(),this.j.defaultProfile.extensionsResource.toString());else throw l}try{await this.i.del(i)}catch(l){(0,y.toFileOperationResult)(l)!==1&&this.m.error(l)}return s})()),this.t}v(i){let r=this.g.get(i);return r||(r=new I.Queue,this.g.set(i,r)),r}};E=ve([ee(1,y.IFileService),ee(2,m.IUserDataProfilesService),ee(3,f.IUriIdentityService),ee(4,u.ITelemetryService),ee(5,v.ILogService)],E),e.AbstractExtensionsProfileScannerService=E;function R(c){return(0,w.isObject)(c)&&(0,h.isIExtensionIdentifier)(c.identifier)&&(t(c.location)||(0,w.isString)(c.location))&&c.version&&(0,w.isString)(c.version)}function t(c){return c?(0,w.isString)(c.path)&&(0,w.isString)(c.scheme):!1}}),define(te[118],ie([0,1,25,8,44,17,13,43,139,2,15,9,4,20,191,83,10,7,158,33,112,90,190,16,6,5,19,3,72,77,38,40,188,189]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtensionsScannerService=e.toExtensionDescription=e.ExtensionScannerInput=e.AbstractExtensionsScannerService=e.IExtensionsScannerService=e.Translations=void 0;var K;(function(ge){function H(F,W){if(F===W)return!0;const z=Object.keys(F),Y=new Set;for(const ne of Object.keys(W))Y.add(ne);if(z.length!==Y.size)return!1;for(const ne of z){if(F[ne]!==W[ne])return!1;Y.delete(ne)}return Y.size===0}ge.equals=H})(K=e.Translations||(e.Translations={})),e.IExtensionsScannerService=(0,i.createDecorator)("IExtensionsScannerService");let V=class extends h.Disposable{constructor(H,F,W,z,Y,ne,_,$,A,T,U,B){super(),this.systemExtensionsLocation=H,this.userExtensionsLocation=F,this.l=W,this.m=z,this.n=Y,this.p=ne,this.r=_,this.s=$,this.t=A,this.u=T,this.v=U,this.w=B,this.g=this.B(new l.Emitter),this.onDidChangeCache=this.g.event,this.h=(0,m.joinPath)(this.userExtensionsLocation,".obsolete"),this.i=this.B(this.w.createInstance(se,(0,m.joinPath)(this.m,R.BUILTIN_MANIFEST_CACHE_FILE),this.h)),this.j=this.B(this.w.createInstance(se,(0,m.joinPath)(this.m,R.USER_MANIFEST_CACHE_FILE),this.h)),this.k=this.B(this.w.createInstance(re,this.h)),this.z=void 0,this.B(this.i.onDidChangeCache(()=>this.g.fire(0))),this.B(this.j.onDidChangeCache(()=>this.g.fire(1)))}getTargetPlatform(){return this.y||(this.y=(0,E.computeTargetPlatform)(this.r,this.s)),this.y}async scanAllExtensions(H,F,W){const[z,Y]=await Promise.all([this.scanSystemExtensions(H),this.scanUserExtensions(F)]),ne=W?await this.scanExtensionsUnderDevelopment(H,[...z,...Y]):[];return this.F(z,Y,ne,await this.getTargetPlatform(),!0)}async scanSystemExtensions(H){const F=[];F.push(this.G(!!H.useCache,H.language)),F.push(this.H(H.language,!!H.checkControlFile));const[W,z]=await Promise.all(F);return this.D([...W,...z],0,H,!1)}async scanUserExtensions(H){const F=H.profileLocation??this.userExtensionsLocation;this.s.trace("Started scanning user extensions",F);const W=this.v.extUri.isEqual(H.profileLocation,this.n.defaultProfile.extensionsResource)?{bailOutWhenFileNotFound:!0}:void 0,z=await this.J(F,!!H.profileLocation,1,!H.includeUninstalled,H.language,!0,W),Y=H.useCache&&!z.devMode&&z.excludeObsolete?this.j:this.k;let ne;try{ne=await Y.scanExtensions(z)}catch(_){if(_ instanceof g.ExtensionsProfileScanningError&&_.code==="ERROR_PROFILE_NOT_FOUND")await this.C(),ne=await Y.scanExtensions(z);else throw _}return ne=await this.D(ne,1,H,!0),this.s.trace("Scanned user extensions:",ne.length),ne}async scanExtensionsUnderDevelopment(H,F){if(this.t.isExtensionDevelopment&&this.t.extensionDevelopmentLocationURI){const W=(await Promise.all(this.t.extensionDevelopmentLocationURI.filter(z=>z.scheme===y.Schemas.file).map(async z=>{const Y=await this.J(z,!1,1,!0,H.language,!1,void 0);return(await this.k.scanOneOrMultipleExtensions(Y)).map(_=>(_.type=F.find($=>(0,E.areSameExtensions)($.identifier,_.identifier))?.type??_.type,this.k.validate(_,Y)))}))).flat();return this.D(W,"development",H,!0)}return[]}async scanExistingExtension(H,F,W){const z=await this.J(H,!1,F,!0,W.language,!0,void 0),Y=await this.k.scanExtension(z);return!Y||!W.includeInvalid&&!Y.isValid?null:Y}async scanOneOrMultipleExtensions(H,F,W){const z=await this.J(H,!1,F,!0,W.language,!0,void 0),Y=await this.k.scanOneOrMultipleExtensions(z);return this.D(Y,F,W,!0)}async scanMetadata(H){const F=(0,m.joinPath)(H,"package.json"),W=(await this.r.readFile(F)).value.toString();return JSON.parse(W).__metadata}async updateMetadata(H,F){const W=(0,m.joinPath)(H,"package.json"),z=(await this.r.readFile(W)).value.toString(),Y=JSON.parse(z);F.isMachineScoped=F.isMachineScoped||void 0,F.isBuiltin=F.isBuiltin||void 0,F.installedTimestamp=F.installedTimestamp||void 0,Y.__metadata={...Y.__metadata,...F},await this.r.writeFile((0,m.joinPath)(H,"package.json"),C.VSBuffer.fromString(JSON.stringify(Y,null,"	")))}async initializeDefaultProfileExtensions(){try{await this.p.scanProfileExtensions(this.n.defaultProfile.extensionsResource,{bailOutWhenFileNotFound:!0})}catch(H){if(H instanceof g.ExtensionsProfileScanningError&&H.code==="ERROR_PROFILE_NOT_FOUND")await this.C();else throw H}}async C(){return this.z||(this.z=(async()=>{try{this.s.info("Started initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString());const H=await this.scanUserExtensions({includeInvalid:!0});if(H.length)await this.p.addExtensionsToProfile(H.map(F=>[F,F.metadata]),this.n.defaultProfile.extensionsResource);else try{await this.r.createFile(this.n.defaultProfile.extensionsResource,C.VSBuffer.fromString(JSON.stringify([])))}catch(F){(0,c.toFileOperationResult)(F)!==1&&this.s.warn("Failed to create default profile extensions manifest in extensions installation folder.",this.userExtensionsLocation.toString(),(0,D.getErrorMessage)(F))}this.s.info("Completed initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString())}catch(H){this.s.error(H)}finally{this.z=void 0}})()),this.z}async D(H,F,W,z){return W.includeAllVersions||(H=this.F(F===0?H:void 0,F===1?H:void 0,F==="development"?H:void 0,await this.getTargetPlatform(),z)),W.includeInvalid||(H=H.filter(Y=>Y.isValid)),H.sort((Y,ne)=>{const _=b.basename(Y.location.fsPath),$=b.basename(ne.location.fsPath);return _<$?-1:_>$?1:0})}F(H,F,W,z,Y){const ne=($,A,T)=>{if($.isValid&&!A.isValid)return!1;if($.isValid===A.isValid){if(Y&&f.gt($.manifest.version,A.manifest.version))return this.s.debug(`Skipping extension ${A.location.path} with lower version ${A.manifest.version} in favour of ${$.location.path} with version ${$.manifest.version}`),!1;if(f.eq($.manifest.version,A.manifest.version)){if($.type===0)return this.s.debug(`Skipping extension ${A.location.path} in favour of system extension ${$.location.path} with same version`),!1;if($.targetPlatform===z)return this.s.debug(`Skipping extension ${A.location.path} from different target platform ${A.targetPlatform}`),!1}}return T?this.s.warn(`Overwriting user extension ${$.location.path} with ${A.location.path}.`):this.s.debug(`Overwriting user extension ${$.location.path} with ${A.location.path}.`),!0},_=new Map;return H?.forEach($=>{const A=R.ExtensionIdentifier.toKey($.identifier.id),T=_.get(A);(!T||ne(T,$,!1))&&_.set(A,$)}),F?.forEach($=>{const A=R.ExtensionIdentifier.toKey($.identifier.id),T=_.get(A);if(!T&&H&&$.type===0){this.s.debug(`Skipping obsolete system extension ${$.location.path}.`);return}(!T||ne(T,$,!1))&&_.set(A,$)}),W?.forEach($=>{const A=R.ExtensionIdentifier.toKey($.identifier.id),T=_.get(A);(!T||ne(T,$,!0))&&_.set(A,$),_.set(A,$)}),[..._.values()]}async G(H,F){this.s.trace("Started scanning system extensions");const W=await this.J(this.systemExtensionsLocation,!1,0,!0,F,!0,void 0),Y=await(H&&!W.devMode?this.i:this.k).scanExtensions(W);return this.s.trace("Scanned system extensions:",Y.length),Y}async H(H,F){const W=this.t.isBuilt?[]:this.u.builtInExtensions;if(!W?.length)return[];this.s.trace("Started scanning dev system extensions");const z=F?await this.I():{},Y=[],ne=u.URI.file(b.normalize(b.join(y.FileAccess.asFileUri("").fsPath,"..",".build","builtInExtensions")));for(const $ of W){const A=z[$.name]||"marketplace";switch(A){case"disabled":break;case"marketplace":Y.push((0,m.joinPath)(ne,$.name));break;default:Y.push(u.URI.file(A));break}}const _=await Promise.all(Y.map(async $=>this.k.scanExtension(await this.J($,!1,0,!0,H,!0,void 0))));return this.s.trace("Scanned dev system extensions:",_.length),(0,I.coalesce)(_)}async I(){try{const H=await this.r.readFile(this.l);return JSON.parse(H.value.toString())}catch{return{}}}async J(H,F,W,z,Y,ne,_){const $=await this.f(Y??v.language),A=await this.L(H),T=F&&!this.v.extUri.isEqual(H,this.n.defaultProfile.extensionsResource)?this.n.defaultProfile.extensionsResource:void 0,U=T?await this.L(T):void 0;return new J(H,A,T,U,F,_,W,z,ne,this.u.version,this.u.date,this.u.commit,!this.t.isBuilt,Y,$)}async L(H){try{const F=await this.r.stat(H);if(typeof F.mtime=="number")return F.mtime}catch{}}};V=ve([ee(4,S.IUserDataProfilesService),ee(5,g.IExtensionsProfileScannerService),ee(6,c.IFileService),ee(7,r.ILogService),ee(8,k.IEnvironmentService),ee(9,s.IProductService),ee(10,L.IUriIdentityService),ee(11,i.IInstantiationService)],V),e.AbstractExtensionsScannerService=V;class J{constructor(H,F,W,z,Y,ne,_,$,A,T,U,B,G,N,q){this.location=H,this.mtime=F,this.applicationExtensionslocation=W,this.applicationExtensionslocationMtime=z,this.profile=Y,this.profileScanOptions=ne,this.type=_,this.excludeObsolete=$,this.validate=A,this.productVersion=T,this.productDate=U,this.productCommit=B,this.devMode=G,this.language=N,this.translations=q}static createNlsConfiguration(H){return{language:H.language,pseudo:H.language==="pseudo",devMode:H.devMode,translations:H.translations}}static equals(H,F){return(0,m.isEqual)(H.location,F.location)&&H.mtime===F.mtime&&(0,m.isEqual)(H.applicationExtensionslocation,F.applicationExtensionslocation)&&H.applicationExtensionslocationMtime===F.applicationExtensionslocationMtime&&H.profile===F.profile&&n.equals(H.profileScanOptions,F.profileScanOptions)&&H.type===F.type&&H.excludeObsolete===F.excludeObsolete&&H.validate===F.validate&&H.productVersion===F.productVersion&&H.productDate===F.productDate&&H.productCommit===F.productCommit&&H.devMode===F.devMode&&H.language===F.language&&K.equals(H.translations,F.translations)}}e.ExtensionScannerInput=J;let re=class extends h.Disposable{constructor(H,F,W,z,Y){super(),this.f=H,this.g=F,this.h=W,this.i=z,this.j=Y}async scanExtensions(H){const F=H.profile?await this.l(H):await this.k(H);let W={};if(H.excludeObsolete&&H.type===1)try{const z=(await this.i.readFile(this.f)).value.toString();W=JSON.parse(z)}catch{}return(0,a.isEmptyObject)(W)?F:F.filter(z=>!W[E.ExtensionKey.create(z).toString()])}async k(H){const F=await this.i.resolve(H.location);if(!F.children?.length)return[];const W=await Promise.all(F.children.map(async z=>{if(!z.isDirectory||H.type===1&&(0,m.basename)(z.resource).indexOf(".")===0)return null;const Y=new J(z.resource,H.mtime,H.applicationExtensionslocation,H.applicationExtensionslocationMtime,H.profile,H.profileScanOptions,H.type,H.excludeObsolete,H.validate,H.productVersion,H.productDate,H.productCommit,H.devMode,H.language,H.translations);return this.scanExtension(Y)}));return(0,I.coalesce)(W).sort((z,Y)=>z.location.path<Y.location.path?-1:1)}async l(H){let F=await this.m(H.location,()=>!0,H);if(H.applicationExtensionslocation&&!this.h.extUri.isEqual(H.location,H.applicationExtensionslocation)){F=F.filter(z=>!z.metadata?.isApplicationScoped);const W=await this.m(H.applicationExtensionslocation,z=>!!z.metadata?.isApplicationScoped,H);F.push(...W)}return F}async m(H,F,W){const z=await this.g.scanProfileExtensions(H,W.profileScanOptions);if(!z.length)return[];const Y=await Promise.all(z.map(async ne=>{if(F(ne)){const _=new J(ne.location,W.mtime,W.applicationExtensionslocation,W.applicationExtensionslocationMtime,W.profile,W.profileScanOptions,W.type,W.excludeObsolete,W.validate,W.productVersion,W.productDate,W.productCommit,W.devMode,W.language,W.translations);return this.scanExtension(_,ne.metadata)}return null}));return(0,I.coalesce)(Y)}async scanOneOrMultipleExtensions(H){try{if(await this.i.exists((0,m.joinPath)(H.location,"package.json"))){const F=await this.scanExtension(H);return F?[F]:[]}else return await this.scanExtensions(H)}catch(F){return this.j.error(`Error scanning extensions at ${H.location.path}:`,(0,D.getErrorMessage)(F)),[]}}async scanExtension(H,F){try{let W=await this.scanExtensionManifest(H.location);if(W){W.publisher||(W.publisher=R.UNDEFINED_PUBLISHER),F=F??W.__metadata,delete W.__metadata;const z=(0,E.getGalleryExtensionId)(W.publisher,W.name),Y=F?.id?{id:z,uuid:F.id}:{id:z},ne=F?.isSystem?0:H.type,_=ne===0||!!F?.isBuiltin;j.ImplicitActivationEvents.updateManifest(W),W=await this.n(H.location,W,J.createNlsConfiguration(H));const $={type:ne,identifier:Y,manifest:W,location:H.location,isBuiltin:_,targetPlatform:F?.targetPlatform??"undefined",metadata:F,isValid:!0,validations:[]};return H.validate?this.validate($,H):$}}catch(W){H.type!==0&&this.j.error(W)}return null}validate(H,F){let W=!0;const z=(0,t.validateExtensionManifest)(F.productVersion,F.productDate,F.location,H.manifest,H.isBuiltin);for(const[Y,ne]of z)Y===w.default.Error&&(W=!1,this.j.error(this.t(F.location,ne)));return H.isValid=W,H.validations=z,H}async scanExtensionManifest(H){const F=(0,m.joinPath)(H,"package.json");let W;try{W=(await this.i.readFile(F)).value.toString()}catch(Y){return(0,c.toFileOperationResult)(Y)!==1&&this.j.error(this.t(H,(0,p.localize)(0,null,F.path,Y.message))),null}let z;try{z=JSON.parse(W)}catch{const ne=[];(0,P.parse)(W,ne);for(const _ of ne)this.j.error(this.t(H,(0,p.localize)(1,null,F.path,_.offset,_.length,(0,d.getParseErrorMessage)(_.error))));return null}return(0,P.getNodeType)(z)!=="object"?(this.j.error(this.t(H,(0,p.localize)(2,null,F.path))),null):z}async n(H,F,W){const z=await this.p(H,F,W);if(z)try{const Y=[],ne=await this.r(z.default,Y);if(Y.length>0)return Y.forEach($=>{this.j.error(this.t(H,(0,p.localize)(3,null,z.default?.path,(0,d.getParseErrorMessage)($.error))))}),F;if((0,P.getNodeType)(z)!=="object")return this.j.error(this.t(H,(0,p.localize)(4,null,z.default?.path))),F;const _=z.values||Object.create(null);return(0,O.localizeManifest)(F,_,ne)}catch{}return F}async p(H,F,W){const z=(0,m.joinPath)(H,"package.nls.json"),Y=(A,T)=>{T.forEach(U=>{this.j.error(this.t(H,(0,p.localize)(5,null,A?.path,(0,d.getParseErrorMessage)(U.error))))})},ne=A=>{this.j.error(this.t(H,(0,p.localize)(6,null,A?.path)))},_=`${F.publisher}.${F.name}`,$=W.translations[_];if($)try{const A=u.URI.file($),T=(await this.i.readFile(A)).value.toString(),U=[],B=(0,P.parse)(T,U);return U.length>0?(Y(A,U),{values:void 0,default:z}):(0,P.getNodeType)(B)!=="object"?(ne(A),{values:void 0,default:z}):{values:B.contents?B.contents.package:void 0,default:z}}catch{return{values:void 0,default:z}}else{if(!await this.i.exists(z))return;let T;try{T=await this.s(H,W)}catch{return}if(!T.localized)return{values:void 0,default:T.original};try{const U=(await this.i.readFile(T.localized)).value.toString(),B=[],G=(0,P.parse)(U,B);return B.length>0?(Y(T.localized,B),{values:void 0,default:T.original}):(0,P.getNodeType)(G)!=="object"?(ne(T.localized),{values:void 0,default:T.original}):{values:G,default:T.original}}catch{return{values:void 0,default:T.original}}}}async r(H,F){if(H)try{const W=(await this.i.readFile(H)).value.toString();return(0,P.parse)(W,F)}catch{}}s(H,F){return new Promise((W,z)=>{const Y=ne=>{const _=(0,m.joinPath)(H,`package.nls.${ne}.json`);this.i.exists(_).then($=>{$&&W({localized:_,original:(0,m.joinPath)(H,"package.nls.json")});const A=ne.lastIndexOf("-");A===-1?W({localized:(0,m.joinPath)(H,"package.nls.json"),original:null}):(ne=ne.substring(0,A),Y(ne))})};if(F.devMode||F.pseudo||!F.language)return W({localized:(0,m.joinPath)(H,"package.nls.json"),original:null});Y(F.language)})}t(H,F){return`[${H.path}]: ${F}`}};re=ve([ee(1,g.IExtensionsProfileScannerService),ee(2,L.IUriIdentityService),ee(3,c.IFileService),ee(4,r.ILogService)],re);let se=class extends re{constructor(H,F,W,z,Y,ne){super(F,W,z,Y,ne),this.y=H,this.v=this.B(new M.ThrottledDelayer(3e3)),this.w=this.B(new l.Emitter),this.onDidChangeCache=this.w.event}async scanExtensions(H){const F=await this.z();if(this.u=H,F&&F.input&&J.equals(F.input,this.u))return this.j.debug("Using cached extensions scan result",H.location.toString()),this.v.trigger(()=>this.D()),F.result.map(z=>(z.location=u.URI.revive(z.location),z));const W=await super.scanExtensions(H);return await this.C({input:H,result:W}),W}async z(){try{const H=await this.i.readFile(this.y),F=JSON.parse(H.value.toString());return{result:F.result,input:(0,o.revive)(F.input)}}catch(H){this.j.debug("Error while reading the extension cache file:",this.y.path,(0,D.getErrorMessage)(H))}return null}async C(H){try{await this.i.writeFile(this.y,C.VSBuffer.fromString(JSON.stringify(H)))}catch(F){this.j.debug("Error while writing the extension cache file:",this.y.path,(0,D.getErrorMessage)(F))}}async D(){if(!this.u)return;const H=await this.z();if(!H)return;const F=H.result,W=JSON.parse(JSON.stringify(await super.scanExtensions(this.u)));if(!n.equals(W,F))try{await this.i.del(this.y),this.w.fire()}catch(z){this.j.error(z)}}};se=ve([ee(2,g.IExtensionsProfileScannerService),ee(3,L.IUriIdentityService),ee(4,c.IFileService),ee(5,r.ILogService)],se);function ae(ge,H){const F=(0,E.getExtensionId)(ge.manifest.publisher,ge.manifest.name);return{id:F,identifier:new R.ExtensionIdentifier(F),isBuiltin:ge.type===0,isUserBuiltin:ge.type===1&&ge.isBuiltin,isUnderDevelopment:H,extensionLocation:ge.location,uuid:ge.identifier.uuid,targetPlatform:ge.targetPlatform,...ge.manifest}}e.toExtensionDescription=ae;class fe extends V{constructor(H,F,W,z,Y,ne,_,$,A,T,U,B){super(H,F,(0,m.joinPath)(W,".vscode-oss-dev","extensions","control.json"),(0,m.joinPath)(z,R.MANIFEST_CACHE_FOLDER),Y,ne,_,$,A,T,U,B),this.M=(async()=>{if(v.translationsConfigFile)try{const G=await this.r.readFile(u.URI.file(v.translationsConfigFile));return JSON.parse(G.value.toString())}catch{}return Object.create(null)})()}f(H){return this.M}}e.NativeExtensionsScannerService=fe}),define(te[262],ie([0,1,5,38,40,24,77,16,33,7]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsProfileScannerService=void 0;let y=class extends D.AbstractExtensionsProfileScannerService{constructor(v,m,f,w,a,u){super(h.URI.file(v.extensionsPath),m,f,w,a,u)}};y=ve([ee(0,d.INativeEnvironmentService),ee(1,P.IFileService),ee(2,M.IUserDataProfilesService),ee(3,n.IUriIdentityService),ee(4,C.ITelemetryService),ee(5,I.ILogService)],y),e.ExtensionsProfileScannerService=y}),define(te[263],ie([0,1,7,33,77,118,16,6,5,19,40,38]),function(x,e,I,M,n,C,D,P,d,h,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScannerService=void 0;let v=class extends C.NativeExtensionsScannerService{constructor(f,w,a,u,p,k,E,R){super(I.URI.file(p.builtinExtensionsPath),I.URI.file(p.extensionsPath),p.userHome,I.URI.file(p.userDataPath),f,w,a,u,p,k,E,R)}};v=ve([ee(0,b.IUserDataProfilesService),ee(1,n.IExtensionsProfileScannerService),ee(2,D.IFileService),ee(3,d.ILogService),ee(4,M.INativeEnvironmentService),ee(5,h.IProductService),ee(6,y.IUriIdentityService),ee(7,P.IInstantiationService)],v),e.ExtensionsScannerService=v}),define(te[264],ie([0,1,14,2,15,9,4,60,7,31,42,33,5,38]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let f=class extends M.Disposable{constructor(a,u,p){super(),this.c=a,this.f=p,this.a=P.TernarySearchTree.forPaths(!D.isLinux),this.b=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp",".webp"]),this.addValidFileRoot(a.appRoot),this.addValidFileRoot(a.extensionsPath),this.addValidFileRoot(u.defaultProfile.globalStorageHome.fsPath),this.addValidFileRoot(a.workspaceStorageHome.fsPath),this.g()}g(){const{defaultSession:a}=I.session;a.protocol.registerFileProtocol(n.Schemas.vscodeFileResource,(u,p)=>this.i(u,p)),a.protocol.interceptFileProtocol(n.Schemas.file,(u,p)=>this.h(u,p)),this.B((0,M.toDisposable)(()=>{a.protocol.unregisterProtocol(n.Schemas.vscodeFileResource),a.protocol.uninterceptProtocol(n.Schemas.file)}))}addValidFileRoot(a){const u=(0,C.normalize)(a);return this.a.get(u)?M.Disposable.None:(this.a.set(u,!0),(0,M.toDisposable)(()=>this.a.delete(u)))}h(a,u){const p=d.URI.parse(a.url);return this.f.error(`Refused to load resource ${p.fsPath} from ${n.Schemas.file}: protocol (original URL: ${a.url})`),u({error:-3})}i(a,u){const p=this.j(a);let k;return this.c.crossOriginIsolated&&((0,C.basename)(p)==="workbench.html"||(0,C.basename)(p)==="workbench-dev.html"?k=n.COI.CoopAndCoep:k=n.COI.getHeadersFromQuery(a.url)),this.a.findSubstr(p)?u({path:p,headers:k}):this.b.has((0,C.extname)(p).toLowerCase())?u({path:p}):(this.f.error(`${n.Schemas.vscodeFileResource}: Refused to load resource ${p} from ${n.Schemas.vscodeFileResource}: protocol (original URL: ${a.url})`),u({error:-3}))}j(a){const u=d.URI.parse(a.url),p=n.FileAccess.uriToFileUri(u);return(0,C.normalize)(p.fsPath)}createIPCObjectUrl(){let a;const u=d.URI.from({scheme:"vscode",path:(0,h.generateUuid)()}),p=u.toString(),k=async()=>a;return y.validatedIpcMain.handle(p,k),this.f.trace(`IPC Object URL: Registered new channel ${p}.`),{resource:u,update:E=>a=E,dispose:()=>{this.f.trace(`IPC Object URL: Removed channel ${p}.`),y.validatedIpcMain.removeHandler(p)}}}};f=ve([ee(0,b.INativeEnvironmentService),ee(1,m.IUserDataProfilesService),ee(2,v.ILogService)],f),e.ProtocolMainService=f}),define(te[265],ie([0,1,14,42,8,3,2,15,10,104,28,21,5,65,66,68,45,38,39,64]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let E=class extends D.Disposable{constructor(t,c,i,r,s,l,o,g,S,L){super(),this.g=t,this.h=c,this.i=i,this.j=r,this.k=s,this.l=l,this.m=o,this.n=g,this.p=S,this.r=L,this.a=new n.Barrier,this.b=void 0,this.c=void 0,this.f=this.B(new C.Emitter),this.onDidError=C.Event.buffer(this.f.event),this.y=void 0,this.z=void 0,this.s()}s(){M.validatedIpcMain.on("vscode:createSharedProcessMessageChannel",(t,c)=>this.t(t,c)),M.validatedIpcMain.on("vscode:relaySharedProcessWorkerMessageChannel",(t,c)=>this.u(t,c)),this.B(this.k.onWillShutdown(()=>this.v()))}async t(t,c){this.l.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.a.isOpen()||this.a.open(),await this.whenReady();const i=await this.connect();if(t.sender.isDestroyed())return i.close();t.sender.postMessage("vscode:createSharedProcessMessageChannelResult",c,[i])}u(t,c){this.l.trace("SharedProcess: onWorkerConnection",c);const i=new D.DisposableStore,r=l=>{!this.G()||(this.l.trace(`SharedProcess: disposing worker (reason: '${l}')`,c),i.dispose(),this.w("vscode:electron-main->shared-process=disposeWorker",c))},s=I.BrowserWindow.fromId(c.reply.windowId);if(!s||s.isDestroyed()||s.webContents.isDestroyed()||!c.reply.channel){r("unavailable");return}i.add(C.Event.filter(this.k.onWillLoadWindow,l=>l.window.win===s)(()=>r("load"))),i.add(C.Event.fromNodeEventEmitter(s,"closed")(()=>r("closed"))),s.webContents.postMessage(c.reply.channel,c.reply.nonce,t.ports)}v(){const t=this.b;!t||(this.w("vscode:electron-main->shared-process=exit"),this.c&&(t.removeListener("close",this.c),this.c=void 0),setTimeout(()=>{try{t.close()}catch{}this.b=void 0},0))}w(t,...c){if(!this.G()){this.l.warn(`Sending IPC message to channel '${t}' for shared process window that is destroyed`);return}try{this.b?.webContents.send(t,...c)}catch(i){this.l.warn(`Error sending IPC message to channel '${t}' of shared process: ${(0,a.toErrorMessage)(i)}`)}}whenReady(){return this.y||(this.y=new Promise(t=>M.validatedIpcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.l.trace("SharedProcess: Overall ready"),t()}))),this.y}get C(){return this.z||(this.z=(async()=>{await this.a.wait(),this.D(),this.F(),await new Promise(t=>M.validatedIpcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.l.trace("SharedProcess: IPC ready"),t()}))})()),this.z}D(){const t=this.B(this.r.createIPCObjectUrl());this.b=new I.BrowserWindow({show:!1,backgroundColor:this.p.getBackgroundColor(),webPreferences:{preload:P.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js").fsPath,additionalArguments:[`--vscode-window-config=${t.resource.toString()}`,"--vscode-window-kind=shared-process"],v8CacheOptions:this.i.useCodeCache?"bypassHeatCheck":"none",nodeIntegration:!0,nodeIntegrationInWorker:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,images:!1,webgl:!1}}),t.update({machineId:this.g,windowId:this.b.id,appRoot:this.i.appRoot,codeCachePath:this.i.codeCachePath,profiles:this.j.profiles,userEnv:this.h,args:this.i.args,logLevel:this.l.getLevel(),loggers:this.m.getRegisteredLoggers(),product:m.default,policiesData:this.n.serialize()}),this.b.loadURL(P.FileAccess.asBrowserUri(`vs/code/electron-browser/sharedProcess/sharedProcess${this.i.isBuilt?"":"-dev"}.html`).toString(!0))}F(){!this.b||(this.c=t=>{this.l.trace("SharedProcess#close prevented"),t.preventDefault(),this.b?.isVisible()&&this.b.hide()},this.b.on("close",this.c),this.b.webContents.on("render-process-gone",(t,c)=>this.f.fire({type:2,details:c})),this.b.on("unresponsive",()=>this.f.fire({type:1})),this.b.webContents.on("did-fail-load",(t,c,i)=>this.f.fire({type:3,details:{reason:i,exitCode:c}})))}async connect(){await this.C;const t=(0,d.assertIsDefined)(this.b);return(0,h.connect)(t)}async toggle(){await this.C,this.b&&(this.b.isVisible()?(this.b.webContents.closeDevTools(),this.b.hide()):(this.b.show(),this.b.webContents.openDevTools()))}isVisible(){return this.b?.isVisible()??!1}G(){const t=this.b;return t?!t.isDestroyed()&&!t.webContents.isDestroyed():!1}};E=ve([ee(2,y.IEnvironmentMainService),ee(3,u.IUserDataProfilesService),ee(4,b.ILifecycleMainService),ee(5,v.ILogService),ee(6,k.ILoggerMainService),ee(7,p.IPolicyService),ee(8,w.IThemeMainService),ee(9,f.IProtocolMainService)],E),e.SharedProcess=E}),define(te[94],ie([0,1,8,3,2,63,10,105,6,38]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.loadKeyTargets=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.TARGET_KEY=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker",e.TARGET_KEY="__$__targetStorageMarker",e.IStorageService=(0,d.createDecorator)("storageService");var y;(function(p){p[p.NONE=0]="NONE",p[p.SHUTDOWN=1]="SHUTDOWN"})(y=e.WillSaveStateReason||(e.WillSaveStateReason={}));var b;(function(p){p[p.APPLICATION=-1]="APPLICATION",p[p.PROFILE=0]="PROFILE",p[p.WORKSPACE=1]="WORKSPACE"})(b=e.StorageScope||(e.StorageScope={}));var v;(function(p){p[p.USER=0]="USER",p[p.MACHINE=1]="MACHINE"})(v=e.StorageTarget||(e.StorageTarget={}));function m(p){const k=p.get(e.TARGET_KEY);if(k)try{return JSON.parse(k)}catch{}return Object.create(null)}e.loadKeyTargets=m;class f extends n.Disposable{constructor(k={flushInterval:f.a}){super(),this.j=k,this.b=this.B(new M.PauseableEmitter),this.onDidChangeValue=this.b.event,this.c=this.B(new M.PauseableEmitter),this.onDidChangeTarget=this.c.event,this.f=this.B(new M.Emitter),this.onWillSaveState=this.f.event,this.h=this.B(new I.RunOnceScheduler(()=>this.k(),this.j.flushInterval)),this.i=this.B(new n.MutableDisposable),this.v=void 0,this.y=void 0,this.C=void 0}k(){this.i.value=(0,I.runWhenIdle)(()=>{this.l()&&this.flush(),this.h.schedule()})}l(){return!0}m(){(0,n.dispose)([this.i,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,C.mark)("code/willInitStorage");try{await this.J()}finally{(0,C.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}n(k,E){if(E===e.TARGET_KEY){switch(k){case-1:this.C=void 0;break;case 0:this.y=void 0;break;case 1:this.v=void 0;break}this.c.fire({scope:k})}else this.b.fire({scope:k,key:E,target:this.F(k)[E]})}r(k){this.f.fire({reason:k})}get(k,E,R){return this.L(E)?.get(k,R)}getBoolean(k,E,R){return this.L(E)?.getBoolean(k,R)}getNumber(k,E,R){return this.L(E)?.getNumber(k,R)}store(k,E,R,t){if((0,D.isUndefinedOrNull)(E)){this.remove(k,R);return}this.t(()=>{this.u(k,R,t),this.L(R)?.set(k,E)})}remove(k,E){this.t(()=>{this.u(k,E,void 0),this.L(E)?.delete(k)})}t(k){this.b.pause(),this.c.pause();try{k()}finally{this.b.resume(),this.c.resume()}}keys(k,E){const R=[],t=this.F(k);for(const c of Object.keys(t))t[c]===E&&R.push(c);return R}u(k,E,R){const t=this.F(E);typeof R=="number"?t[k]!==R&&(t[k]=R,this.L(E)?.set(e.TARGET_KEY,JSON.stringify(t))):typeof t[k]=="number"&&(delete t[k],this.L(E)?.set(e.TARGET_KEY,JSON.stringify(t)))}get w(){return this.v||(this.v=this.G(1)),this.v}get z(){return this.y||(this.y=this.G(0)),this.y}get D(){return this.C||(this.C=this.G(-1)),this.C}F(k){switch(k){case-1:return this.D;case 0:return this.z;default:return this.w}}G(k){const E=this.L(k);return E?m(E):Object.create(null)}isNew(k){return this.getBoolean(e.IS_NEW_KEY,k)===!0}async flush(k=y.NONE){this.f.fire({reason:k});const E=this.L(-1),R=this.L(0),t=this.L(1);switch(k){case y.NONE:await I.Promises.settled([E?.whenFlushed()??Promise.resolve(),R?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case y.SHUTDOWN:await I.Promises.settled([E?.flush(0)??Promise.resolve(),R?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const k=this.L(-1)?.items??new Map,E=this.L(0)?.items??new Map,R=this.L(1)?.items??new Map;return u(k,E,R,this.M(-1)??"",this.M(0)??"",this.M(1)??"")}async switch(k,E){return this.r(y.NONE),(0,h.isUserDataProfile)(k)?this.N(k,E):this.O(k,E)}H(k,E){return!(k.id===E.id||w(E)&&w(k))}I(k,E,R,t){this.t(()=>{if(t)for(const[c,i]of k)E.set(c,i);else{const c=new Set;for(const[i,r]of k)c.add(i),E.get(i)!==r&&this.n(R,i);for(const[i]of E.items)c.has(i)||this.n(R,i)}})}}e.AbstractStorageService=f,f.a=60*1e3;function w(p){return p.isDefault||!!p.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=w;class a extends f{constructor(){super(),this.p=this.B(new P.Storage(new P.InMemoryStorageDatabase,{hint:P.StorageHint.STORAGE_IN_MEMORY})),this.P=this.B(new P.Storage(new P.InMemoryStorageDatabase,{hint:P.StorageHint.STORAGE_IN_MEMORY})),this.Q=this.B(new P.Storage(new P.InMemoryStorageDatabase,{hint:P.StorageHint.STORAGE_IN_MEMORY})),this.B(this.Q.onDidChangeStorage(k=>this.n(1,k))),this.B(this.P.onDidChangeStorage(k=>this.n(0,k))),this.B(this.p.onDidChangeStorage(k=>this.n(-1,k)))}L(k){switch(k){case-1:return this.p;case 0:return this.P;default:return this.Q}}M(k){switch(k){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async J(){}async N(){}async O(){}hasScope(k){return!1}}e.InMemoryStorageService=a;async function u(p,k,E,R,t,c){const i=j=>{try{return JSON.parse(j)}catch{return j}},r=new Map,s=new Map;p.forEach((j,K)=>{r.set(K,j),s.set(K,i(j))});const l=new Map,o=new Map;k.forEach((j,K)=>{l.set(K,j),o.set(K,i(j))});const g=new Map,S=new Map;E.forEach((j,K)=>{g.set(K,j),S.set(K,i(j))}),console.group(R!==t?`Storage: Application (path: ${R})`:`Storage: Application & Profile (path: ${R}, default profile)`);const L=[];if(r.forEach((j,K)=>{L.push({key:K,value:j})}),console.table(L),console.groupEnd(),console.log(s),R!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const j=[];l.forEach((K,V)=>{j.push({key:V,value:K})}),console.table(j),console.groupEnd(),console.log(o)}console.group(`Storage: Workspace (path: ${c})`);const O=[];g.forEach((j,K)=>{O.push({key:K,value:j})}),console.table(O),console.groupEnd(),console.log(S)}e.logStorage=u}),define(te[266],ie([0,1,25,8,3,2,9,70,7,23,105,150,5,94,24,29]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageMain=e.WorkspaceStorageMain=e.ApplicationStorageMain=e.ProfileStorageMain=void 0;class a extends C.Disposable{get storage(){return this.f}constructor(c,i){super(),this.j=c,this.k=i,this.b=this.B(new n.Emitter),this.onDidChangeStorage=this.b.event,this.c=this.B(new n.Emitter),this.onDidCloseStorage=this.c.event,this.f=new y.Storage(new y.InMemoryStorageDatabase,{hint:y.StorageHint.STORAGE_IN_MEMORY}),this.g=void 0,this.h=new M.DeferredPromise,this.whenInit=this.h.p,this.i=y.StorageState.None}isInMemory(){return this.f.isInMemory()}init(){return this.g||(this.g=(async()=>{if(this.i===y.StorageState.None)try{const c=await this.n();this.f.dispose(),this.f=c,this.B(c.onDidChangeStorage(r=>this.b.fire({key:r}))),await this.m(c);const i=c.getBoolean(m.IS_NEW_KEY);i===void 0?c.set(m.IS_NEW_KEY,!0):i&&c.set(m.IS_NEW_KEY,!1)}catch(c){this.j.error(`[storage main] initialize(): Unable to init storage due to ${c}`)}finally{this.i=y.StorageState.Initialized,this.h.complete()}})()),this.g}l(){return{logTrace:this.j.getLevel()===v.LogLevel.Trace?c=>this.j.trace(c):void 0,logError:c=>this.j.error(c)}}m(c){return c.init()}get items(){return this.f.items}get(c,i){return this.f.get(c,i)}set(c,i){return this.f.set(c,i)}delete(c){return this.f.delete(c)}async close(){const c=new P.StopWatch(!1);await this.s(),c.stop(),c.elapsed()>a.a&&await this.r(c),this.c.fire()}async r(c){if(!!this.path)try{const i=(0,I.top)(Array.from(this.f.items.entries()).map(([s,l])=>({key:s,length:l.length})),(s,l)=>l.length-s.length,5).map(s=>`${s.key}:${s.length}`).join(", "),r=(await this.k.stat(d.URI.file(this.path))).size;this.j.warn(`[storage main] detected slow close() operation: Time: ${c.elapsed()}ms, DB size: ${r}b, Large Keys: ${i}`)}catch(i){this.j.error("[storage main] figuring out stats for slow DB on close() resulted in an error",i)}}async s(){this.g&&await this.g,this.i=y.StorageState.Closed,await this.f.close()}}a.a=2e3;class u extends a{get path(){if(!this.v.useInMemoryStorage)return(0,D.join)(this.u.globalStorageHome.fsPath,u.t)}constructor(c,i,r,s){super(r,s),this.u=c,this.v=i}async n(){return new y.Storage(new b.SQLiteStorageDatabase(this.path??b.SQLiteStorageDatabase.IN_MEMORY_PATH,{logging:this.l()}),this.path?void 0:{hint:y.StorageHint.STORAGE_IN_MEMORY})}}u.t="state.vscdb";class p extends u{constructor(c,i,r,s){super(c,i,r,s)}}e.ProfileStorageMain=p;class k extends u{constructor(c,i,r,s){super(i.defaultProfile,c,r,s)}async m(c){await super.m(c),this.z(c)}z(c){c.get(f.firstSessionDateStorageKey,void 0)===void 0&&c.set(f.firstSessionDateStorageKey,new Date().toUTCString());const r=c.get(f.currentSessionDateStorageKey,void 0),s=new Date().toUTCString();c.set(f.lastSessionDateStorageKey,typeof r>"u"?null:r),c.set(f.currentSessionDateStorageKey,s)}}e.ApplicationStorageMain=k;class E extends a{get path(){if(!this.w.useInMemoryStorage)return(0,D.join)(this.y.workspaceStorageHome.fsPath,this.v.id,E.t)}constructor(c,i,r,s,l){super(r,l),this.v=c,this.w=i,this.y=s}async n(){const{storageFilePath:c,wasCreated:i}=await this.C();return new y.Storage(new b.SQLiteStorageDatabase(c,{logging:this.l()}),{hint:this.w.useInMemoryStorage?y.StorageHint.STORAGE_IN_MEMORY:i?y.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async C(){if(this.w.useInMemoryStorage)return{storageFilePath:b.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const c=(0,D.join)(this.y.workspaceStorageHome.fsPath,this.v.id),i=(0,D.join)(c,E.t);return await h.Promises.exists(c)?{storageFilePath:i,wasCreated:!1}:(await h.Promises.mkdir(c,{recursive:!0}),this.D(c),{storageFilePath:i,wasCreated:!0})}async D(c){let i;if((0,w.isSingleFolderWorkspaceIdentifier)(this.v)?i={folder:this.v.uri.toString()}:(0,w.isWorkspaceIdentifier)(this.v)&&(i={workspace:this.v.configPath.toString()}),i)try{const r=(0,D.join)(c,E.u);await h.Promises.exists(r)||await h.Promises.writeFile(r,JSON.stringify(i,void 0,2))}catch(r){this.j.error(`[storage main] ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${r}`)}}}e.WorkspaceStorageMain=E,E.t="state.vscdb",E.u="workspace.json";class R extends a{get path(){}async n(){return new y.Storage(new y.InMemoryStorageDatabase,{hint:y.StorageHint.STORAGE_IN_MEMORY})}}e.InMemoryStorageMain=R}),define(te[267],ie([0,1,3,2,94]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProfileStorageChangesListenerChannel=void 0;class C extends M.Disposable{constructor(P,d,h){super(),this.b=P,this.c=d,this.f=h;const y=this.B(new M.MutableDisposable);this.a=this.B(new I.Emitter({onWillAddFirstListener:()=>y.value=this.g(),onDidRemoveLastListener:()=>y.value=void 0}))}g(){this.f.debug("ProfileStorageChangesListenerChannel#registerStorageChangeListeners");const P=new M.DisposableStore;return P.add(I.Event.debounce(this.b.applicationStorage.onDidChangeStorage,(d,h)=>(d?d.push(h.key):d=[h.key],d),100)(d=>this.h(d))),P.add(I.Event.debounce(this.b.onDidChangeProfileStorage,(d,h)=>{d||(d=new Map);let y=d.get(h.profile.id);return y||d.set(h.profile.id,y={profile:h.profile,keys:[],storage:h.storage}),y.keys.push(h.key),d},100)(d=>this.i(d))),P}h(P){const d=P.includes(n.TARGET_KEY)?[this.c.defaultProfile]:[],h=[];if(P=P.filter(y=>y!==n.TARGET_KEY),P.length){const y=(0,n.loadKeyTargets)(this.b.applicationStorage.storage);h.push({profile:this.c.defaultProfile,changes:P.map(b=>({key:b,scope:0,target:y[b]}))})}this.j(d,h)}i(P){const d=[],h=new Map;for(const[y,b]of P.entries()){b.keys.includes(n.TARGET_KEY)&&d.push(b.profile);const v=b.keys.filter(m=>m!==n.TARGET_KEY);if(v.length){const m=(0,n.loadKeyTargets)(b.storage.storage);h.set(y,{profile:b.profile,changes:v.map(f=>({key:f,scope:0,target:m[f]}))})}}this.j(d,[...h.values()])}j(P,d){(P.length||d.length)&&this.a.fire({valueChanges:d,targetChanges:P})}listen(P,d,h){switch(d){case"onDidChange":return this.a.event}throw new Error(`Event not found: ${d}`)}async call(P,d){throw new Error(`Call not found: ${d}`)}}e.ProfileStorageChangesListenerChannel=C}),define(te[268],ie([0,1,72,7,33,16,5,233,40,38]),function(x,e,I,M,n,C,D,P,d,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.ServerUserDataProfilesService=void 0;let y=class extends h.UserDataProfilesService{constructor(m,f,w,a){super(f,w,m,a),this.a=f}L(){return this.r.extUri.joinPath(M.URI.file(this.a.extensionsPath).with({scheme:this.profilesHome.scheme}),"extensions.json")}};y=ve([ee(0,d.IUriIdentityService),ee(1,n.INativeEnvironmentService),ee(2,C.IFileService),ee(3,D.ILogService)],y),e.ServerUserDataProfilesService=y;let b=class pt extends y{constructor(m,f,w,a,u){super(f,w,a,u),this.N=m}G(){return(0,I.revive)(this.N.getItem(pt.b,[]))}I(){return(0,I.revive)(this.N.getItem(pt.c,{}))}L(){return this.r.extUri.joinPath(M.URI.file(this.a.extensionsPath).with({scheme:this.profilesHome.scheme}),"extensions.json")}};b=ve([ee(0,P.IStateService),ee(1,d.IUriIdentityService),ee(2,n.INativeEnvironmentService),ee(3,C.IFileService),ee(4,D.ILogService)],b),e.UserDataProfilesService=b}),define(te[52],ie([0,1,7,33,16,6,5,34,40,38,268]),function(x,e,I,M,n,C,D,P,d,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesMainService=e.IUserDataProfilesMainService=void 0,e.IUserDataProfilesMainService=(0,C.refineServiceDecorator)(h.IUserDataProfilesService);let b=class at extends y.UserDataProfilesService{constructor(m,f,w,a,u){super(m,f,w,a,u),this.R=m}setEnablement(m){super.setEnablement(m),this.f||(this.H([]),this.J({}))}getAssociatedEmptyWindows(){const m=[];for(const f of this.u.emptyWindows.keys())m.push({id:f});return m}H(m){m.length?this.R.setItem(at.b,m):this.R.removeItem(at.b)}J(m){m.emptyWindows||m.workspaces?this.R.setItem(at.c,m):this.R.removeItem(at.c)}I(){const m="workspaceAndProfileInfo",f=this.R.getItem(m,void 0);if(f){this.R.removeItem(m);const w=f.reduce((a,{workspace:u,profile:p})=>(a[I.URI.revive(u).toString()]=I.URI.revive(p).toString(),a),{});this.R.setItem(at.c,{workspaces:w})}return super.I()}};b=ve([ee(0,P.IStateMainService),ee(1,d.IUriIdentityService),ee(2,M.INativeEnvironmentService),ee(3,n.IFileService),ee(4,D.ILogService)],b),e.UserDataProfilesMainService=b}),define(te[95],ie([0,1,7,49,3,2,33,16,6,21,5,94,266,38,52,40]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplicationStorageMainService=e.IApplicationStorageMainService=e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,d.createDecorator)("storageMainService");let a=class extends C.Disposable{constructor(k,E,R,t,c,i){super(),this.c=k,this.f=E,this.g=R,this.h=t,this.i=c,this.j=i,this.a=void 0,this.b=this.B(new n.Emitter),this.onDidChangeProfileStorage=this.b.event,this.applicationStorage=this.m(),this.n=new Map,this.r=new Map,this.l()}k(){return{useInMemoryStorage:!!this.f.extensionTestsLocationURI}}l(){(async()=>(await this.h.when(3),this.applicationStorage.init()))(),this.B(this.h.onWillLoadWindow(k=>{k.window.profile&&this.profileStorage(k.window.profile).init(),k.workspace&&this.workspaceStorage(k.workspace).init()})),this.B(this.h.onWillShutdown(k=>{this.c.trace("storageMainService#onWillShutdown()"),this.a=k.reason,k.join(this.applicationStorage.close());for(const[,E]of this.n)k.join(E.close());for(const[,E]of this.r)k.join(E.close())})),this.B(this.g.onWillCreateProfile(k=>{k.join((async()=>{await this.i.exists(k.profile.globalStorageHome)||await this.i.createFolder(k.profile.globalStorageHome)})())})),this.B(this.g.onWillRemoveProfile(k=>{const E=this.n.get(k.profile.id);E&&k.join(E.close())}))}m(){this.c.trace("StorageMainService: creating application storage");const k=new v.ApplicationStorageMain(this.k(),this.g,this.c,this.i);return(0,M.once)(k.onDidCloseStorage)(()=>{this.c.trace("StorageMainService: closed application storage")}),k}profileStorage(k){if((0,b.isProfileUsingDefaultStorage)(k))return this.applicationStorage;let E=this.n.get(k.id);if(!E){this.c.trace(`StorageMainService: creating profile storage (${k.name})`),E=this.p(k),this.n.set(k.id,E);const R=this.B(E.onDidChangeStorage(t=>this.b.fire({...t,storage:E,profile:k})));(0,M.once)(E.onDidCloseStorage)(()=>{this.c.trace(`StorageMainService: closed profile storage (${k.name})`),this.n.delete(k.id),R.dispose()})}return E}p(k){return this.a===2?new v.InMemoryStorageMain(this.c,this.i):new v.ProfileStorageMain(k,this.k(),this.c,this.i)}workspaceStorage(k){let E=this.r.get(k.id);return E||(this.c.trace(`StorageMainService: creating workspace storage (${k.id})`),E=this.s(k),this.r.set(k.id,E),(0,M.once)(E.onDidCloseStorage)(()=>{this.c.trace(`StorageMainService: closed workspace storage (${k.id})`),this.r.delete(k.id)})),E}s(k){return this.a===2?new v.InMemoryStorageMain(this.c,this.i):new v.WorkspaceStorageMain(k,this.k(),this.c,this.f,this.i)}isUsed(k){const E=I.URI.file(k);for(const R of[this.applicationStorage,...this.n.values(),...this.r.values()])if(!!R.path&&this.j.extUri.isEqualOrParent(I.URI.file(R.path),E))return!0;return!1}};a=ve([ee(0,y.ILogService),ee(1,D.IEnvironmentService),ee(2,f.IUserDataProfilesMainService),ee(3,h.ILifecycleMainService),ee(4,P.IFileService),ee(5,w.IUriIdentityService)],a),e.StorageMainService=a,e.IApplicationStorageMainService=(0,d.createDecorator)("applicationStorageMainService");let u=class extends b.AbstractStorageService{constructor(k,E){super(),this.p=k,this.s=E,this.whenReady=this.s.applicationStorage.whenInit}J(){return this.s.applicationStorage.whenInit}L(k){if(k===-1)return this.s.applicationStorage.storage}M(k){if(k===-1)return this.p.defaultProfile.globalStorageHome.fsPath}l(){return!1}switch(){throw new Error("Migrating storage is unsupported from main process")}N(){throw new Error("Switching storage profile is unsupported from main process")}O(){throw new Error("Switching storage workspace is unsupported from main process")}hasScope(){throw new Error("Main process is never profile or workspace scoped")}};u=ve([ee(0,m.IUserDataProfilesService),ee(1,e.IStorageMainService)],u),e.ApplicationStorageMainService=u}),define(te[269],ie([0,1,2,21,52,29,8,30]),function(x,e,I,M,n,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesHandler=void 0;let d=class extends I.Disposable{constructor(y,b,v){super(),this.a=b,this.b=v,this.B(y.onWillLoadWindow(m=>{m.reason===2&&this.c(m.window)})),this.B(y.onBeforeCloseWindow(m=>this.c(m))),this.B(new D.RunOnceScheduler(()=>this.g(),30*1e3)).schedule()}async c(y){const b=this.f(y),v=this.a.getProfileForWorkspace(b);v&&((0,C.isEmptyWorkspaceIdentifier)(b)||v.isTransient)&&(this.a.unsetWorkspace(b,v.isTransient),v.isTransient&&await this.a.cleanUpTransientProfiles())}f(y){return y.openedWorkspace??(0,C.toWorkspaceIdentifier)(y.backupPath,y.isExtensionDevelopmentHost)}g(){const y=this.a.getAssociatedEmptyWindows();if(y.length===0)return;const b=this.b.getWindows().map(v=>this.f(v));for(const v of y)b.some(m=>m.id===v.id)||this.a.unsetWorkspace(v,!1)}};d=ve([ee(0,M.ILifecycleMainService),ee(1,n.IUserDataProfilesMainService),ee(2,P.IWindowsMainService)],d),e.UserDataProfilesHandler=d}),define(te[119],ie([0,1,20,7,29]),function(x,e,I,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;async function C(d,h,y){for(const v of d){const m=v.openedWorkspace;if((0,n.isWorkspaceIdentifier)(m)){const f=await y(m);if(f){if(f.folders.some(w=>I.extUriBiasedIgnorePathCase.isEqualOrParent(h,w.uri)))return v}else if(I.extUriBiasedIgnorePathCase.isEqualOrParent(h,m.configPath))return v}}const b=d.filter(v=>(0,n.isSingleFolderWorkspaceIdentifier)(v.openedWorkspace)&&I.extUriBiasedIgnorePathCase.isEqualOrParent(h,v.openedWorkspace.uri));if(b.length)return b.sort((v,m)=>-(v.openedWorkspace.uri.path.length-m.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=C;function D(d,h){for(const y of d)if((0,n.isWorkspaceIdentifier)(y.openedWorkspace)&&I.extUriBiasedIgnorePathCase.isEqual(y.openedWorkspace.configPath,h)||(0,n.isSingleFolderWorkspaceIdentifier)(y.openedWorkspace)&&I.extUriBiasedIgnorePathCase.isEqual(y.openedWorkspace.uri,h))return y}e.findWindowOnWorkspaceOrFolder=D;function P(d,h){const y=b=>h.some(v=>I.extUriBiasedIgnorePathCase.isEqual(M.URI.file(v),M.URI.file(b)));for(const b of d)if(b.config?.extensionDevelopmentPath?.some(v=>y(v)))return b}e.findWindowOnExtensionDevelopmentPath=P}),define(te[270],ie([0,1,14,2,4,20,7,18,21,5,34,30,117,29]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let f=class wt extends M.Disposable{get state(){return this.b}constructor(E,R,t,c,i){super(),this.g=E,this.h=R,this.i=t,this.j=c,this.k=i,this.b=w(this.h.getItem(wt.a)),this.c=void 0,this.f=!1,this.l()}l(){I.app.on("browser-window-blur",()=>{this.f||this.n()}),this.i.onBeforeCloseWindow(E=>this.p(E)),this.i.onBeforeShutdown(()=>this.m()),this.g.onDidChangeWindowsCount(E=>{E.newCount-E.oldCount>0&&(this.c=void 0)}),this.g.onDidDestroyWindow(E=>this.p(E))}m(){this.f=!0,this.n()}n(){const E=new Set,R={openedWindows:[],lastPluginDevelopmentHostWindow:this.b.lastPluginDevelopmentHostWindow,lastActiveWindow:this.c};if(!R.lastActiveWindow){let i=this.g.getLastActiveWindow();(!i||i.isExtensionDevelopmentHost)&&(i=this.g.getWindows().find(r=>!r.isExtensionDevelopmentHost)),i&&(R.lastActiveWindow=this.r(i),R.lastActiveWindow.uiState.mode===3&&E.add(R.lastActiveWindow.uiState.display))}const t=this.g.getWindows().find(i=>i.isExtensionDevelopmentHost&&!i.isExtensionTestHost);t&&(R.lastPluginDevelopmentHostWindow=this.r(t),R.lastPluginDevelopmentHostWindow.uiState.mode===3&&(E.has(R.lastPluginDevelopmentHostWindow.uiState.display)?n.isMacintosh&&!t.win?.isSimpleFullScreen()&&(R.lastPluginDevelopmentHostWindow.uiState.mode=1):E.add(R.lastPluginDevelopmentHostWindow.uiState.display))),this.g.getWindowCount()>1&&(R.openedWindows=this.g.getWindows().filter(i=>!i.isExtensionDevelopmentHost).map(i=>{const r=this.r(i);return r.uiState.mode===3&&(E.has(r.uiState.display)?n.isMacintosh&&r.windowId!==R.lastActiveWindow?.windowId&&!i.win?.isSimpleFullScreen()&&(r.uiState.mode=1):E.add(r.uiState.display)),r}));const c=u(R);this.h.setItem(wt.a,c),this.f&&this.j.trace("[WindowsStateHandler] onBeforeShutdown",c)}p(E){if(this.i.quitRequested)return;const R=this.r(E);E.isExtensionDevelopmentHost&&!E.isExtensionTestHost?this.b.lastPluginDevelopmentHostWindow=R:!E.isExtensionDevelopmentHost&&E.openedWorkspace&&this.b.openedWindows.forEach(t=>{const c=(0,m.isWorkspaceIdentifier)(E.openedWorkspace)&&t.workspace?.id===E.openedWorkspace.id,i=(0,m.isSingleFolderWorkspaceIdentifier)(E.openedWorkspace)&&t.folderUri&&C.extUriBiasedIgnorePathCase.isEqual(t.folderUri,E.openedWorkspace.uri);(c||i)&&(t.uiState=R.uiState)}),this.g.getWindowCount()===1&&(this.c=R)}r(E){return{windowId:E.id,workspace:(0,m.isWorkspaceIdentifier)(E.openedWorkspace)?E.openedWorkspace:void 0,folderUri:(0,m.isSingleFolderWorkspaceIdentifier)(E.openedWorkspace)?E.openedWorkspace.uri:void 0,backupPath:E.backupPath,remoteAuthority:E.remoteAuthority,uiState:E.serializeWindowState()}}getNewWindowState(E){const R=this.s(E),t=this.k.getValue("window");if(R.mode===3){let c;R.hasDefaultState?c=!!(t?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(t.newWindowDimensions)>=0):c=!!(this.i.wasRestarted||t?.restoreFullscreen),c||(R.mode=1)}return R}s(E){const R=this.g.getLastActiveWindow();if(!E.extensionTestsPath){if(!!E.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const l=E.workspace;if((0,m.isWorkspaceIdentifier)(l)){const g=this.state.openedWindows.filter(S=>S.workspace&&S.workspace.id===l.id).map(S=>S.uiState);if(g.length)return g[0]}if((0,m.isSingleFolderWorkspaceIdentifier)(l)){const g=this.state.openedWindows.filter(S=>S.folderUri&&C.extUriBiasedIgnorePathCase.isEqual(S.folderUri,l.uri)).map(S=>S.uiState);if(g.length)return g[0]}else if(E.backupPath){const g=this.state.openedWindows.filter(S=>S.backupPath===E.backupPath).map(S=>S.uiState);if(g.length)return g[0]}const o=this.c||this.state.lastActiveWindow;if(!R&&o)return o.uiState}let t;const c=I.screen.getAllDisplays();if(c.length===1)t=c[0];else{if(n.isMacintosh){const l=I.screen.getCursorScreenPoint();t=I.screen.getDisplayNearestPoint(l)}!t&&R&&(t=I.screen.getDisplayMatching(R.getBounds())),t||(t=I.screen.getPrimaryDisplay()||c[0])}let i=(0,v.defaultWindowState)();i.x=Math.round(t.bounds.x+t.bounds.width/2-i.width/2),i.y=Math.round(t.bounds.y+t.bounds.height/2-i.height/2);const r=this.k.getValue("window");let s=!0;if(r?.newWindowDimensions){if(r.newWindowDimensions==="maximized")i.mode=0,s=!1;else if(r.newWindowDimensions==="fullscreen")i.mode=3,s=!1;else if((r.newWindowDimensions==="inherit"||r.newWindowDimensions==="offset")&&R){const l=R.serializeWindowState();l.mode===3?i.mode=3:i=l,s=i.mode!==3&&r.newWindowDimensions==="offset"}}return s&&(i=this.t(i)),i.hasDefaultState=!0,i}t(E){if(this.g.getWindows().length===0)return E;E.x=typeof E.x=="number"?E.x:0,E.y=typeof E.y=="number"?E.y:0;const R=this.g.getWindows().map(t=>t.getBounds());for(;R.some(t=>t.x===E.x||t.y===E.y);)E.x+=30,E.y+=30;return E}};f.a="windowsState",f=ve([ee(0,b.IWindowsMainService),ee(1,y.IStateMainService),ee(2,d.ILifecycleMainService),ee(3,h.ILogService),ee(4,P.IConfigurationService)],f),e.WindowsStateHandler=f;function w(k){const E={openedWindows:[]},R=k||{openedWindows:[]};return R.lastActiveWindow&&(E.lastActiveWindow=a(R.lastActiveWindow)),R.lastPluginDevelopmentHostWindow&&(E.lastPluginDevelopmentHostWindow=a(R.lastPluginDevelopmentHostWindow)),Array.isArray(R.openedWindows)&&(E.openedWindows=R.openedWindows.map(t=>a(t))),E}e.restoreWindowsState=w;function a(k){const E={uiState:k.uiState};return k.backupPath&&(E.backupPath=k.backupPath),k.remoteAuthority&&(E.remoteAuthority=k.remoteAuthority),k.folder&&(E.folderUri=D.URI.parse(k.folder)),k.workspaceIdentifier&&(E.workspace={id:k.workspaceIdentifier.id,configPath:D.URI.parse(k.workspaceIdentifier.configURIPath)}),E}function u(k){return{lastActiveWindow:k.lastActiveWindow&&p(k.lastActiveWindow),lastPluginDevelopmentHostWindow:k.lastPluginDevelopmentHostWindow&&p(k.lastPluginDevelopmentHostWindow),openedWindows:k.openedWindows.map(E=>p(E))}}e.getWindowsStateStoreData=u;function p(k){return{workspaceIdentifier:k.workspace&&{id:k.workspace.id,configURIPath:k.workspace.configPath.toString()},folder:k.folderUri&&k.folderUri.toString(),backupPath:k.backupPath,remoteAuthority:k.remoteAuthority,uiState:k.uiState}}}),define(te[96],ie([0,1,32,43,124,37,15,9,4,20,7,6,55,29]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isStoredWorkspaceFolder=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=void 0,e.IWorkspacesService=(0,b.createDecorator)("workspacesService");function f(S){return S.hasOwnProperty("workspace")}e.isRecentWorkspace=f;function w(S){return S.hasOwnProperty("folderUri")}e.isRecentFolder=w;function a(S){return S.hasOwnProperty("fileUri")}e.isRecentFile=a;function u(S){return p(S)||k(S)}e.isStoredWorkspaceFolder=u;function p(S){const L=S;return typeof L?.path=="string"&&(!L.name||typeof L.name=="string")}function k(S){const L=S;return typeof L?.uri=="string"&&(!L.name||typeof L.name=="string")}function E(S,L,O,j,K){if(S.scheme!==j.scheme)return{name:O,uri:S.toString(!0)};let V=L?void 0:K.relativePath(j,S);if(V!==void 0)V.length===0?V=".":d.isWindows&&(V=R(V));else if(S.scheme===D.Schemas.file)V=S.fsPath,d.isWindows&&(V=R(V));else if(K.isEqualAuthority(S.authority,j.authority))V=S.path;else return{name:O,uri:S.toString(!0)};return{name:O,path:V}}e.getStoredWorkspaceFolder=E;function R(S){return S=(0,C.normalizeDriveLetter)(S),(0,I.isUNC)(S)||(S=(0,I.toSlashes)(S)),S}function t(S,L,O){const j=[],K=new Set,V=O.dirname(L);for(const J of S){let re;if(p(J))J.path&&(re=O.resolvePath(V,J.path));else if(k(J))try{re=y.URI.parse(J.uri),re.path[0]!==P.posix.sep&&(re=re.with({path:P.posix.sep+re.path}))}catch(se){console.warn(se)}if(re){const se=O.getComparisonKey(re);if(!K.has(se)){K.add(se);const ae=J.name||O.basenameOrAuthority(re);j.push(new m.WorkspaceFolder({uri:re,name:ae,index:j.length},J))}}}return j}e.toWorkspaceFolders=t;function c(S,L,O,j,K){const V=i(L,S),J=K.dirname(L),re=K.dirname(j),se=[];for(const H of V.folders){const F=p(H)?K.resolvePath(J,H.path):y.URI.parse(H.uri);let W;O?W=!1:W=!p(H)||(0,P.isAbsolute)(H.path),se.push(E(F,W,H.name,re,K))}const ae={insertSpaces:!1,tabSize:4,eol:d.isLinux||d.isMacintosh?`
`:`\r
`},fe=n.setProperty(S,["folders"],se,ae);let ge=n.applyEdits(S,fe);return(0,h.isEqualAuthority)(V.remoteAuthority,(0,v.getRemoteAuthority)(j))&&(ge=n.applyEdits(ge,n.removeProperty(ge,["remoteAuthority"],ae))),ge}e.rewriteWorkspaceFileForNewLocation=c;function i(S,L){const O=M.parse(L);if(O&&Array.isArray(O.folders))O.folders=O.folders.filter(j=>u(j));else throw new Error(`${S} looks like an invalid workspace file.`);return O}function r(S){return S.workspace&&typeof S.workspace=="object"&&typeof S.workspace.id=="string"&&typeof S.workspace.configPath=="string"}function s(S){return typeof S.folderUri=="string"}function l(S){return typeof S.fileUri=="string"}function o(S,L){const O={workspaces:[],files:[]};if(S){const j=function(V,J){for(let re=0;re<V.length;re++)try{J(V[re],re)}catch(se){L.warn(`Error restoring recent entry ${JSON.stringify(V[re])}: ${se.toString()}. Skip entry.`)}},K=S;Array.isArray(K.entries)&&j(K.entries,V=>{const J=V.label,re=V.remoteAuthority;r(V)?O.workspaces.push({label:J,remoteAuthority:re,workspace:{id:V.workspace.id,configPath:y.URI.parse(V.workspace.configPath)}}):s(V)?O.workspaces.push({label:J,remoteAuthority:re,folderUri:y.URI.parse(V.folderUri)}):l(V)&&O.files.push({label:J,remoteAuthority:re,fileUri:y.URI.parse(V.fileUri)})})}return O}e.restoreRecentlyOpened=o;function g(S){const L={entries:[]};for(const O of S.workspaces)w(O)?L.entries.push({folderUri:O.folderUri.toString(),label:O.label,remoteAuthority:O.remoteAuthority}):L.entries.push({workspace:{id:O.workspace.id,configPath:O.workspace.configPath.toString()},label:O.label,remoteAuthority:O.remoteAuthority});for(const O of S.files)L.entries.push({fileUri:O.fileUri.toString(),label:O.label,remoteAuthority:O.remoteAuthority});return L}e.toStoreData=g}),define(te[97],ie([0,1,80,15,4,20]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createEmptyWorkspaceIdentifier=e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=e.NON_EMPTY_WORKSPACE_ID_LENGTH=void 0,e.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4;function D(h){function y(){let b=h.scheme===M.Schemas.file?(0,C.originalFSPath)(h):h.toString();return n.isLinux||(b=b.toLowerCase()),(0,I.createHash)("md5").update(b).digest("hex")}return{id:y(),configPath:h}}e.getWorkspaceIdentifier=D;function P(h,y){function b(){if(h.scheme!==M.Schemas.file)return(0,I.createHash)("md5").update(h.toString()).digest("hex");if(!y)return;let m;return n.isLinux?m=y.ino:n.isMacintosh?m=y.birthtime.getTime():n.isWindows&&(typeof y.birthtimeMs=="number"?m=Math.floor(y.birthtimeMs):m=y.birthtime.getTime()),(0,I.createHash)("md5").update(h.fsPath).update(m?String(m):"").digest("hex")}const v=b();if(typeof v=="string")return{id:v,uri:h}}e.getSingleFolderWorkspaceIdentifier=P;function d(){return{id:(Date.now()+Math.round(Math.random()*1e3)).toString()}}e.createEmptyWorkspaceIdentifier=d}),define(te[271],ie([0,1,80,32,15,9,4,20,23,180,18,28,34,16,5,179,29,97]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let p=class vt{constructor(E,R,t,c){this.j=E,this.k=R,this.l=t,this.m=c,this.c=this.j.backupHome,this.d=[],this.e=[],this.g=[],this.h=P.extUriBiasedIgnorePathCase,this.i={isEqual:(i,r)=>(0,M.isEqual)(i,r,!D.isLinux)}}async initialize(){const E=this.m.getItem(vt.a)??{workspaces:[],folders:[],emptyWindows:[]};this.g=await this.w(E.emptyWindows),this.d=await this.u((0,h.deserializeWorkspaceInfos)(E)),this.e=await this.v((0,h.deserializeFolderInfos)(E)),this.C()}n(){return this.q()?[]:this.d.slice(0)}o(){return this.q()?[]:this.e.slice(0)}isHotExitEnabled(){return this.s()!==m.HotExitConfiguration.OFF}q(){return this.s()===m.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}s(){return this.k.getValue()?.files?.hotExit||m.HotExitConfiguration.ON_EXIT}getEmptyWindowBackups(){return this.g.slice(0)}registerWorkspaceBackup(E,R){this.d.some(c=>E.workspace.id===c.workspace.id)||(this.d.push(E),this.C());const t=(0,C.join)(this.c,E.workspace.id);return R?this.t(t,R).then(()=>t):t}async t(E,R){if(await d.Promises.exists(E)&&await this.z(E),await d.Promises.exists(R))try{await d.Promises.rename(R,E)}catch(t){this.l.error(`Backup: Could not move backup folder to new location: ${t.toString()}`)}}registerFolderBackup(E){return this.e.some(R=>this.h.isEqual(E.folderUri,R.folderUri))||(this.e.push(E),this.C()),(0,C.join)(this.c,this.D(E))}registerEmptyWindowBackup(E){return this.g.some(R=>!!R.backupFolder&&this.i.isEqual(R.backupFolder,E.backupFolder))||(this.g.push(E),this.C()),(0,C.join)(this.c,E.backupFolder)}async u(E){if(!Array.isArray(E))return[];const R=new Set,t=[];for(const c of E){const i=c.workspace;if(!(0,a.isWorkspaceIdentifier)(i))return[];if(!R.has(i.id)){R.add(i.id);const r=(0,C.join)(this.c,i.id);await this.B(r)?i.configPath.scheme!==n.Schemas.file||await d.Promises.exists(i.configPath.fsPath)?t.push(c):await this.z(r):await this.x(r)}}return t}async v(E){if(!Array.isArray(E))return[];const R=[],t=new Set;for(const c of E){const i=c.folderUri,r=this.h.getComparisonKey(i);if(!t.has(r)){t.add(r);const s=(0,C.join)(this.c,this.D(c));await this.B(s)?i.scheme!==n.Schemas.file||await d.Promises.exists(i.fsPath)?R.push(c):await this.z(s):await this.x(s)}}return R}async w(E){if(!Array.isArray(E))return[];const R=[],t=new Set;for(const c of E){const i=c.backupFolder;if(typeof i!="string")return[];if(!t.has(i)){t.add(i);const r=(0,C.join)(this.c,i);await this.B(r)?R.push(c):await this.x(r)}}return R}async x(E){try{await d.Promises.rm(E,d.RimRafMode.MOVE)}catch(R){this.l.error(`Backup: Could not delete stale backup: ${R.toString()}`)}}y(){let E=(0,u.createEmptyWorkspaceIdentifier)();for(;this.g.some(R=>!!R.backupFolder&&this.i.isEqual(R.backupFolder,E.id));)E=(0,u.createEmptyWorkspaceIdentifier)();return{backupFolder:E.id}}async z(E){const R=this.y(),t=(0,C.join)(this.c,R.backupFolder);try{await d.Promises.rename(E,t)}catch(c){return this.l.error(`Backup: Could not rename backup folder: ${c.toString()}`),!1}return this.g.push(R),!0}async getDirtyWorkspaces(){const E=[];for(const R of this.d)await this.A(R)&&E.push(R);for(const R of this.e)await this.A(R)&&E.push(R);return E}A(E){let R;return(0,h.isEmptyWindowBackupInfo)(E)?R=(0,C.join)(this.c,E.backupFolder):(0,w.isFolderBackupInfo)(E)?R=(0,C.join)(this.c,this.D(E)):R=(0,C.join)(this.c,E.workspace.id),this.B(R)}async B(E){try{const R=await d.Promises.readdir(E);for(const t of R)try{if((await d.Promises.readdir((0,C.join)(E,t))).length>0)return!0}catch{}}catch{}return!1}C(){const E={workspaces:this.d.map(({workspace:R,remoteAuthority:t})=>{const c={id:R.id,configURIPath:R.configPath.toString()};return t&&(c.remoteAuthority=t),c}),folders:this.e.map(({folderUri:R,remoteAuthority:t})=>{const c={folderUri:R.toString()};return t&&(c.remoteAuthority=t),c}),emptyWindows:this.g.map(({backupFolder:R,remoteAuthority:t})=>{const c={backupFolder:R};return t&&(c.remoteAuthority=t),c})};this.m.setItem(vt.a,E)}D(E){const R=E.folderUri;let t;return R.scheme===n.Schemas.file?t=D.isLinux?R.fsPath:R.fsPath.toLowerCase():t=R.toString().toLowerCase(),(0,I.createHash)("md5").update(t).digest("hex")}};p.a="backupWorkspaces",p=ve([ee(0,b.IEnvironmentMainService),ee(1,y.IConfigurationService),ee(2,f.ILogService),ee(3,v.IStateMainService)],p),e.BackupMainService=p}),define(te[53],ie([0,1,14,3,43,37,2,15,9,20,10,23,178,62,57,28,6,5,19,52,119,29,96,97]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,a.createDecorator)("workspacesManagementMainService");let i=class extends D.Disposable{constructor(s,l,o,g,S,L){super(),this.g=s,this.h=l,this.i=o,this.j=g,this.k=S,this.l=L,this.a=this.B(new M.Emitter),this.onDidDeleteUntitledWorkspace=this.a.event,this.b=this.B(new M.Emitter),this.onDidEnterWorkspace=this.b.event,this.c=this.g.untitledWorkspacesHome,this.f=[]}async initialize(){this.f=[];try{const s=(await b.Promises.readdir(this.c.fsPath)).map(l=>(0,h.joinPath)(this.c,l,R.UNTITLED_WORKSPACE_NAME));for(const l of s){const o=(0,c.getWorkspaceIdentifier)(l),g=await this.resolveLocalWorkspace(l);g?this.f.push({workspace:o,remoteAuthority:g.remoteAuthority}):await this.deleteUntitledWorkspace(o)}}catch(s){s.code!=="ENOENT"&&this.h.warn(`Unable to read folders in ${this.c} (${s}).`)}}resolveLocalWorkspace(s){return this.m(s,l=>b.Promises.readFile(l,"utf8"))}m(s,l){if(!!this.n(s)&&s.scheme===P.Schemas.file)try{const o=l(s.fsPath);return o instanceof Promise?o.then(g=>this.p(s,g),g=>{}):this.p(s,o)}catch{return}}n(s){return(0,R.isUntitledWorkspace)(s,this.g)||(0,R.hasWorkspaceFileExtension)(s)}p(s,l){try{const o=this.r(s,l),g=(0,c.getWorkspaceIdentifier)(s);return{id:g.id,configPath:g.configPath,folders:(0,t.toWorkspaceFolders)(o.folders,g.configPath,h.extUriBiasedIgnorePathCase),remoteAuthority:o.remoteAuthority,transient:o.transient}}catch(o){this.h.warn(o.toString())}}r(s,l){const o=(0,n.parse)(l);if(o&&Array.isArray(o.folders))o.folders=o.folders.filter(g=>(0,t.isStoredWorkspaceFolder)(g));else throw new Error(`${s.toString(!0)} looks like an invalid workspace file.`);return o}async createUntitledWorkspace(s,l){const{workspace:o,storedWorkspace:g}=this.s(s,l),S=o.configPath.fsPath;return await b.Promises.mkdir((0,d.dirname)(S),{recursive:!0}),await b.Promises.writeFile(S,JSON.stringify(g,null,"	")),this.f.push({workspace:o,remoteAuthority:l}),o}s(s=[],l){const o=(Date.now()+Math.round(Math.random()*1e3)).toString(),g=(0,h.joinPath)(this.c,o),S=(0,h.joinPath)(g,R.UNTITLED_WORKSPACE_NAME),L=[];for(const O of s)L.push((0,t.getStoredWorkspaceFolder)(O.uri,!0,O.name,g,h.extUriBiasedIgnorePathCase));return{workspace:(0,c.getWorkspaceIdentifier)(S),storedWorkspace:{folders:L,remoteAuthority:l}}}async getWorkspaceIdentifier(s){return(0,c.getWorkspaceIdentifier)(s)}isUntitledWorkspace(s){return(0,R.isUntitledWorkspace)(s.configPath,this.g)}async deleteUntitledWorkspace(s){!this.isUntitledWorkspace(s)||(await this.t(s),this.i.isEnabled()&&this.i.unsetWorkspace(s),this.a.fire(s))}async t(s){const l=(0,h.originalFSPath)(s.configPath);try{await b.Promises.rm((0,d.dirname)(l));const o=(0,d.join)(this.g.workspaceStorageHome.fsPath,s.id);await b.Promises.exists(o)&&await b.Promises.writeFile((0,d.join)(o,"obsolete"),""),this.f=this.f.filter(g=>g.workspace.id!==s.id)}catch(o){this.h.warn(`Unable to delete untitled workspace ${l} (${o}).`)}}getUntitledWorkspaces(){return this.f}async enterWorkspace(s,l,o){if(!s||!s.win||!s.isReady||!await this.u(s,l,o))return;const S=await this.v(s,(0,c.getWorkspaceIdentifier)(o));if(!!S)return this.b.fire({window:s,workspace:S.workspace}),S}async u(s,l,o){if(!o)return!0;if((0,R.isWorkspaceIdentifier)(s.openedWorkspace)&&h.extUriBiasedIgnorePathCase.isEqual(s.openedWorkspace.configPath,o))return!1;if((0,E.findWindowOnWorkspaceOrFolder)(l,o)){const g={title:this.l.nameLong,type:"info",buttons:[(0,C.mnemonicButtonLabel)((0,v.localize)(0,null))],message:(0,v.localize)(1,null,(0,h.basename)(o)),detail:(0,v.localize)(2,null),noLink:!0,defaultId:0};return await this.k.showMessageBox(g,(0,y.withNullAsUndefined)(I.BrowserWindow.getFocusedWindow())),!1}return!0}async v(s,l){if(!s.config)return;s.focus();let o;return s.config.extensionDevelopmentPath||(s.config.backupPath?o=await this.j.registerWorkspaceBackup({workspace:l,remoteAuthority:s.remoteAuthority},s.config.backupPath):o=this.j.registerWorkspaceBackup({workspace:l,remoteAuthority:s.remoteAuthority})),(0,R.isWorkspaceIdentifier)(s.openedWorkspace)&&this.isUntitledWorkspace(s.openedWorkspace)&&await this.deleteUntitledWorkspace(s.openedWorkspace),s.config.workspace=l,s.config.backupPath=o,{workspace:l,backupPath:o}}};i=ve([ee(0,w.IEnvironmentMainService),ee(1,u.ILogService),ee(2,k.IUserDataProfilesMainService),ee(3,m.IBackupMainService),ee(4,f.IDialogMainService),ee(5,p.IProductService)],i),e.WorkspacesManagementMainService=i}),define(te[120],ie([0,1,14,42,22,6,30,29,53,10,5]),function(x,e,I,M,n,C,D,P,d,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsMainService=e.IDiagnosticsMainService=e.ID=void 0,e.ID="diagnosticsMainService",e.IDiagnosticsMainService=(0,C.createDecorator)(e.ID);let b=class{constructor(m,f,w){this.a=m,this.b=f,this.c=w}async getRemoteDiagnostics(m){const f=this.a.getWindows();return(await Promise.all(f.map(async a=>{const u=a.remoteAuthority;if(!u)return;const p=`vscode:getDiagnosticInfoResponse${a.id}`,k={includeProcesses:m.includeProcesses,folders:m.includeWorkspaceMetadata?await this.f(a):void 0};return new Promise(E=>{a.sendWhenReady("vscode:getDiagnosticInfo",n.CancellationToken.None,{replyChannel:p,args:k}),M.validatedIpcMain.once(p,(R,t)=>{t||E({hostName:u,errorMessage:`Unable to resolve connection to '${u}'.`}),E(t)}),setTimeout(()=>{E({hostName:u,errorMessage:`Connection to '${u}' could not be established`})},5e3)})}))).filter(a=>!!a)}async getMainDiagnostics(){this.c.trace("Received request for main process info from other instance.");const m=[];for(const f of I.BrowserWindow.getAllWindows()){const w=this.a.getWindowById(f.id);w?m.push(await this.d(w)):m.push(this.e(f))}return{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:m,screenReader:!!I.app.accessibilitySupportEnabled,gpuFeatureStatus:I.app.getGPUFeatureStatus()}}async d(m){const f=await this.f(m),w=(0,h.assertIsDefined)(m.win);return this.e(w,f,m.remoteAuthority)}e(m,f=[],w){return{pid:m.webContents.getOSProcessId(),title:m.getTitle(),folderURIs:f,remoteAuthority:w}}async f(m){const f=[],w=m.openedWorkspace;if((0,P.isSingleFolderWorkspaceIdentifier)(w))f.push(w.uri);else if((0,P.isWorkspaceIdentifier)(w)){const a=await this.b.resolveLocalWorkspace(w.configPath);a&&a.folders.forEach(p=>{f.push(p.uri)})}return f}};b=ve([ee(0,D.IWindowsMainService),ee(1,d.IWorkspacesManagementMainService),ee(2,y.ILogService)],b),e.DiagnosticsMainService=b}),define(te[58],ie([0,1,46,14,26,144,54,3,37,2,15,9,4,7,101,84,23,99,168,57,28,6,21,5,19,68,30,29,53,17,227,220,34]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,R.createDecorator)("nativeHostMainService");let j=class extends h.Disposable{constructor(V,J,re,se,ae,fe,ge,H,F,W){super(),this.a=V,this.b=J,this.c=re,this.f=se,this.g=ae,this.h=fe,this.i=ge,this.j=H,this.k=F,this.l=W,this.onDidOpenWindow=P.Event.map(this.b.onDidOpenWindow,z=>z.id),this.onDidTriggerSystemContextMenu=P.Event.filter(P.Event.map(this.b.onDidTriggerSystemContextMenu,({window:z,x:Y,y:ne})=>({windowId:z.id,x:Y,y:ne})),({windowId:z})=>!!this.b.getWindowById(z)),this.onDidMaximizeWindow=P.Event.filter(P.Event.fromNodeEventEmitter(M.app,"browser-window-maximize",(z,Y)=>Y.id),z=>!!this.b.getWindowById(z)),this.onDidUnmaximizeWindow=P.Event.filter(P.Event.fromNodeEventEmitter(M.app,"browser-window-unmaximize",(z,Y)=>Y.id),z=>!!this.b.getWindowById(z)),this.onDidBlurWindow=P.Event.filter(P.Event.fromNodeEventEmitter(M.app,"browser-window-blur",(z,Y)=>Y.id),z=>!!this.b.getWindowById(z)),this.onDidFocusWindow=P.Event.any(P.Event.map(P.Event.filter(P.Event.map(this.b.onDidChangeWindowsCount,()=>this.b.getLastActiveWindow()),z=>!!z),z=>z.id),P.Event.filter(P.Event.fromNodeEventEmitter(M.app,"browser-window-focus",(z,Y)=>Y.id),z=>!!this.b.getWindowById(z))),this.onDidResumeOS=P.Event.fromNodeEventEmitter(M.powerMonitor,"resume"),this.onDidChangeColorScheme=this.j.onDidChangeColorScheme,this.m=this.B(new P.Emitter),this.onDidChangePassword=this.m.event,this.onDidChangeDisplay=P.Event.debounce(P.Event.any(P.Event.filter(P.Event.fromNodeEventEmitter(M.screen,"display-metrics-changed",(z,Y,ne)=>ne),z=>!(Array.isArray(z)&&z.length===1&&z[0]==="workArea")),P.Event.fromNodeEventEmitter(M.screen,"display-added"),P.Event.fromNodeEventEmitter(M.screen,"display-removed")),()=>{},100)}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.b.getWindows().map(J=>({id:J.id,workspace:J.openedWorkspace??(0,l.toWorkspaceIdentifier)(J.backupPath,J.isExtensionDevelopmentHost),title:J.win?.getTitle()??"",filename:J.getRepresentedFilename(),dirty:J.isDocumentEdited()}))}async getWindowCount(V){return this.b.getWindowCount()}async getActiveWindowId(V){const J=M.BrowserWindow.getFocusedWindow()||this.b.getLastActiveWindow();if(J)return J.id}openWindow(V,J,re){return Array.isArray(J)?this.n(V,J,re):this.p(V,J)}async n(V,J,re=Object.create(null)){J.length>0&&await this.b.open({context:5,contextWindowId:V,urisToOpen:J,cli:this.g.args,forceNewWindow:re.forceNewWindow,forceReuseWindow:re.forceReuseWindow,preferNewWindow:re.preferNewWindow,diffMode:re.diffMode,mergeMode:re.mergeMode,addMode:re.addMode,gotoLineMode:re.gotoLineMode,noRecentEntry:re.noRecentEntry,waitMarkerFileURI:re.waitMarkerFileURI,remoteAuthority:re.remoteAuthority||void 0,forceProfile:re.forceProfile,forceTempProfile:re.forceTempProfile})}async p(V,J){await this.b.openEmptyWindow({context:5,contextWindowId:V},J)}async toggleFullScreen(V){this.w(V)?.toggleFullScreen()}async handleTitleDoubleClick(V){this.w(V)?.handleTitleDoubleClick()}async isMaximized(V){const J=this.w(V);return J?.win?J.win.isMaximized():!1}async maximizeWindow(V){const J=this.w(V);J?.win&&J.win.maximize()}async unmaximizeWindow(V){const J=this.w(V);J?.win&&J.win.unmaximize()}async minimizeWindow(V){const J=this.w(V);J?.win&&J.win.minimize()}async updateWindowControls(V,J){const re=this.w(V);re&&re.updateWindowControls(J)}async focusWindow(V,J){J&&typeof J.windowId=="number"&&(V=J.windowId),this.w(V)?.focus({force:J?.force??!1})}async setMinimumSize(V,J,re){const se=this.w(V);if(se?.win){const[ae,fe]=se.win.getSize(),[ge,H]=se.win.getMinimumSize(),[F,W]=[J??ge,re??H],[z,Y]=[Math.max(ae,F),Math.max(fe,W)];(ge!==F||H!==W)&&se.win.setMinimumSize(F,W),(ae!==z||fe!==Y)&&se.win.setSize(z,Y)}}async saveWindowSplash(V,J){this.j.saveWindowSplash(V,J)}async installShellCommand(V){const{source:J,target:re}=await this.r();try{const{symbolicLink:se}=await a.SymlinkSupport.stat(J);if(se&&!se.dangling){const ae=await(0,f.realpath)(J);if(re===ae)return}await a.Promises.unlink(J)}catch(se){if(se.code!=="ENOENT")throw se}try{await a.Promises.symlink(re,J)}catch(se){if(se.code!=="EACCES"&&se.code!=="ENOENT")throw se;const{response:ae}=await this.showMessageBox(V,{title:this.i.nameLong,type:"info",message:(0,p.localize)(0,null,this.i.nameShort),buttons:[(0,d.mnemonicButtonLabel)((0,p.localize)(1,null)),(0,d.mnemonicButtonLabel)((0,p.localize)(2,null))],noLink:!0,defaultId:0,cancelId:1});if(ae===0)try{const fe=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${re}' '${J}'\\" with administrator privileges"`;await(0,C.promisify)(I.exec)(fe)}catch{throw new Error((0,p.localize)(3,null,J))}}}async uninstallShellCommand(V){const{source:J}=await this.r();try{await a.Promises.unlink(J)}catch(re){switch(re.code){case"EACCES":{const{response:se}=await this.showMessageBox(V,{title:this.i.nameLong,type:"info",message:(0,p.localize)(4,null,this.i.nameShort),buttons:[(0,d.mnemonicButtonLabel)((0,p.localize)(5,null)),(0,d.mnemonicButtonLabel)((0,p.localize)(6,null))],noLink:!0,defaultId:0,cancelId:1});if(se===0)try{const ae=`osascript -e "do shell script \\"rm '${J}'\\" with administrator privileges"`;await(0,C.promisify)(I.exec)(ae)}catch{throw new Error((0,p.localize)(7,null,J))}break}case"ENOENT":break;default:throw re}}}async r(){const V=(0,b.resolve)(this.g.appRoot,"bin","code"),J=`/usr/local/bin/${this.i.applicationName}`;if(!await a.Promises.exists(V))throw new Error((0,p.localize)(8,null,V));return{source:J,target:V}}async showMessageBox(V,J){return this.c.showMessageBox(J,this.s(V))}async showSaveDialog(V,J){return this.c.showSaveDialog(J,this.s(V))}async showOpenDialog(V,J){return this.c.showOpenDialog(J,this.s(V))}s(V){const J=this.w(V);if(J?.win)return J.win}async pickFileFolderAndOpen(V,J){const re=await this.c.pickFileFolder(J);re&&await this.t(await Promise.all(re.map(async se=>await a.SymlinkSupport.existsDirectory(se)?{folderUri:m.URI.file(se)}:{fileUri:m.URI.file(se)})),J,V)}async pickFolderAndOpen(V,J){const re=await this.c.pickFolder(J);re&&await this.t(re.map(se=>({folderUri:m.URI.file(se)})),J,V)}async pickFileAndOpen(V,J){const re=await this.c.pickFile(J);re&&await this.t(re.map(se=>({fileUri:m.URI.file(se)})),J,V)}async pickWorkspaceAndOpen(V,J){const re=await this.c.pickWorkspace(J);re&&await this.t(re.map(se=>({workspaceUri:m.URI.file(se)})),J,V)}async t(V,J,re){await this.b.open({context:3,contextWindowId:re,cli:this.g.args,urisToOpen:V,forceNewWindow:J.forceNewWindow})}async showItemInFolder(V,J){M.shell.showItemInFolder(J)}async setRepresentedFilename(V,J){this.w(V)?.setRepresentedFilename(J)}async setDocumentEdited(V,J){this.w(V)?.setDocumentEdited(J)}async openExternal(V,J){return v.isLinuxSnap?this.u(J):M.shell.openExternal(J),!0}u(V){const J=process.env.GDK_PIXBUF_MODULE_FILE,re=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,M.shell.openExternal(V),process.env.GDK_PIXBUF_MODULE_FILE=J,process.env.GDK_PIXBUF_MODULEDIR=re}moveItemToTrash(V,J){return M.shell.trashItem(J)}async isAdmin(){let V;return v.isWindows?V=(await new Promise((J,re)=>{x(["native-is-elevated"],J,re)}))():V=process.getuid()===0,V}async writeElevated(V,J,re,se){const ae=await new Promise((fe,ge)=>{x(["@vscode/sudo-prompt"],fe,ge)});return new Promise((fe,ge)=>{const H=[`"${this.v}"`];se?.unlock&&H.push("--file-chmod"),H.push("--file-write",`"${J.fsPath}"`,`"${re.fsPath}"`);const F={name:this.i.nameLong.replace("-",""),icns:v.isMacintosh&&this.g.isBuilt?(0,b.join)((0,b.dirname)(this.g.appRoot),`${this.i.nameShort}.icns`):void 0};ae.exec(H.join(" "),F,(W,z,Y)=>{z&&this.h.trace(`[sudo-prompt] received stdout: ${z}`),Y&&this.h.trace(`[sudo-prompt] received stderr: ${Y}`),W?ge(W):fe(void 0)})})}get v(){return v.isWindows?this.g.isBuilt?(0,b.join)((0,b.dirname)(process.execPath),"bin",`${this.i.applicationName}.cmd`):(0,b.join)(this.g.appRoot,"scripts","code-cli.bat"):v.isLinux?this.g.isBuilt?(0,b.join)((0,b.dirname)(process.execPath),"bin",`${this.i.applicationName}`):(0,b.join)(this.g.appRoot,"scripts","code-cli.sh"):this.g.isBuilt?(0,b.join)(this.g.appRoot,"bin","code"):(0,b.join)(this.g.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,n.totalmem)(),freemem:(0,n.freemem)(),loadavg:(0,n.loadavg)()}}async getOSProperties(){return{arch:(0,n.arch)(),platform:(0,n.platform)(),release:(0,n.release)(),type:(0,n.type)(),cpus:(0,n.cpus)()}}async getOSVirtualMachineHint(){return w.virtualMachineHint.value()}async getOSColorScheme(){return this.j.getColorScheme()}async hasWSLFeatureInstalled(){return v.isWindows&&(0,S.hasWSLFeatureInstalled)()}async killProcess(V,J,re){process.kill(J,re)}async readClipboardText(V,J){return M.clipboard.readText(J)}async writeClipboardText(V,J,re){return M.clipboard.writeText(J,re)}async readClipboardFindText(V){return M.clipboard.readFindText()}async writeClipboardFindText(V,J){return M.clipboard.writeFindText(J)}async writeClipboardBuffer(V,J,re,se){return M.clipboard.writeBuffer(J,Buffer.from(re.buffer),se)}async readClipboardBuffer(V,J){return g.VSBuffer.wrap(M.clipboard.readBuffer(J))}async hasClipboard(V,J,re){return M.clipboard.has(J,re)}async newWindowTab(){await this.b.open({context:5,cli:this.g.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.g.args.remote||void 0})}async showPreviousWindowTab(){M.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){M.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){M.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){M.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){M.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(V,J){this.w(V)?.updateTouchBar(J)}async notifyReady(V){this.w(V)?.setReady()}async relaunch(V,J){return this.f.relaunch(J)}async reload(V,J){const re=this.w(V);if(re){if((0,l.isWorkspaceIdentifier)(re.openedWorkspace)){const se=re.openedWorkspace.configPath;if(se.scheme===y.Schemas.file&&(await this.l.resolveLocalWorkspace(se))?.transient)return this.openWindow(re.id,{forceReuseWindow:!0})}return this.f.reload(re,J?.disableExtensions!==void 0?{_:[],"disable-extensions":J.disableExtensions}:void 0)}}async closeWindow(V){this.closeWindowById(V,V)}async closeWindowById(V,J){const re=this.w(J);if(re?.win)return re.win.close()}async quit(V){const J=this.b.getLastActiveWindow();J?.isExtensionDevelopmentHost&&this.b.getWindowCount()>1&&J.win?J.win.close():this.f.quit()}async exit(V,J){await this.f.kill(J)}async resolveProxy(V,J){const se=this.w(V)?.win?.webContents?.session;if(se)return se.resolveProxy(J)}findFreePort(V,J,re,se,ae=1){return(0,u.findFreePort)(J,re,se,ae)}async openDevTools(V,J){const re=this.w(V);re?.win&&re.win.webContents.openDevTools(J)}async toggleDevTools(V){const J=this.w(V);J?.win&&J.win.webContents.toggleDevTools()}async sendInputEvent(V,J){const re=this.w(V);re?.win&&(J.type==="mouseDown"||J.type==="mouseUp")&&re.win.webContents.sendInputEvent(J)}async enableSandbox(V,J){J?this.k.setItem("window.experimental.useSandbox",!0):this.k.removeItem("window.experimental.useSandbox")}async toggleSharedProcessWindow(){return this.a.toggle()}async profileRenderer(V,J,re){const se=this.w(V);if(!se||!se.win)throw new Error;return await new L.WindowProfiler(se.win,J,this.h).inspect(re)}async windowsGetStringRegKey(V,J,re,se){if(!v.isWindows)return;const ae=await new Promise((fe,ge)=>{x(["@vscode/windows-registry"],fe,ge)});try{return ae.GetStringRegKey(J,re,se)}catch{return}}w(V){if(typeof V=="number")return this.b.getWindowById(V)}};ve([D.memoize],j.prototype,"v",null),j=ve([ee(1,s.IWindowsMainService),ee(2,k.IDialogMainService),ee(3,t.ILifecycleMainService),ee(4,E.IEnvironmentMainService),ee(5,c.ILogService),ee(6,i.IProductService),ee(7,r.IThemeMainService),ee(8,O.IStateMainService),ee(9,o.IWorkspacesManagementMainService)],j),e.NativeHostMainService=j}),define(te[272],ie([0,1,14,42,26,37,2,15,4,102,166,87,120,57,28,6,5,58,65,19,66,76,32,10,34]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=(0,w.createDecorator)("issueMainService");const r="issue.processExplorerWindowState";let s=class kt{constructor(g,S,L,O,j,K,V,J,re,se){this.g=g,this.h=S,this.i=L,this.j=O,this.k=j,this.l=K,this.m=V,this.n=J,this.o=re,this.p=se,this.b=null,this.c=null,this.d=null,this.f=null,this.q()}q(){M.validatedIpcMain.on("vscode:issueSystemInfoRequest",async g=>{const[S,L]=await Promise.all([this.k.getMainDiagnostics(),this.k.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),O=await this.j.getSystemInfo(S,L);this.r(g,"vscode:issueSystemInfoResponse",O)}),M.validatedIpcMain.on("vscode:listProcesses",async g=>{const S=[];try{S.push({name:(0,y.localize)(0,null),rootProcess:await(0,h.listProcesses)(process.pid)}),(await this.k.getRemoteDiagnostics({includeProcesses:!0})).forEach(O=>{(0,b.isRemoteDiagnosticError)(O)?S.push({name:O.hostName,rootProcess:O}):O.processes&&S.push({name:O.hostName,rootProcess:O.processes})})}catch(L){this.i.error(`Listing processes failed: ${L}`)}this.r(g,"vscode:listProcessesResponse",S)}),M.validatedIpcMain.on("vscode:issueReporterClipboard",async g=>{const S={title:this.o.nameLong,message:(0,y.localize)(1,null),type:"warning",buttons:[(0,C.mnemonicButtonLabel)((0,y.localize)(2,null)),(0,C.mnemonicButtonLabel)((0,y.localize)(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.b){const L=await this.l.showMessageBox(S,this.b);this.r(g,"vscode:issueReporterClipboardResponse",L.response===0)}}),M.validatedIpcMain.on("vscode:issuePerformanceInfoRequest",async g=>{const S=await this.v();this.r(g,"vscode:issuePerformanceInfoResponse",S)}),M.validatedIpcMain.on("vscode:issueReporterConfirmClose",async()=>{const g={title:this.o.nameLong,message:(0,y.localize)(4,null),type:"warning",buttons:[(0,C.mnemonicButtonLabel)((0,y.localize)(5,null)),(0,C.mnemonicButtonLabel)((0,y.localize)(6,null))],defaultId:0,cancelId:1,noLink:!0};this.b&&(await this.l.showMessageBox(g,this.b)).response===0&&this.b&&(this.b.destroy(),this.b=null)}),M.validatedIpcMain.on("vscode:workbenchCommand",(g,S)=>{const{id:L,from:O,args:j}=S;let K;switch(O){case"issueReporter":K=this.c;break;case"processExplorer":K=this.f;break;default:throw new Error(`Unexpected command source: ${O}`)}K?.webContents.send("vscode:runAction",{id:L,from:O,args:j})}),M.validatedIpcMain.on("vscode:openExternal",(g,S)=>{this.m.openExternal(void 0,S)}),M.validatedIpcMain.on("vscode:closeIssueReporter",g=>{this.b?.close()}),M.validatedIpcMain.on("vscode:closeProcessExplorer",g=>{this.d?.close()}),M.validatedIpcMain.on("vscode:windowsInfoRequest",async g=>{const S=await this.k.getMainDiagnostics();this.r(g,"vscode:windowsInfoResponse",S.windows)})}r(g,S,...L){g.sender.isDestroyed()||g.sender.send(S,...L)}async openReporter(g){if(!this.b&&(this.c=I.BrowserWindow.getFocusedWindow(),this.c)){const S=new D.DisposableStore,L=S.add(this.n.createIPCObjectUrl()),O=this.u(this.c,700,800);this.b=this.t(O,L,{backgroundColor:g.styles.backgroundColor,title:(0,y.localize)(7,null),zoomLevel:g.zoomLevel,alwaysOnTop:!1},"issue-reporter"),L.update({appRoot:this.h.appRoot,windowId:this.b.id,userEnv:this.g,data:g,disableExtensions:!!this.h.disableExtensions,os:{type:(0,n.type)(),arch:(0,n.arch)(),release:(0,n.release)()},product:p.default}),this.b.loadURL(P.FileAccess.asBrowserUri(`vs/code/electron-sandbox/issue/issueReporter${this.h.isBuilt?"":"-dev"}.html`).toString(!0)),this.b.on("close",()=>{this.b=null,S.dispose()}),this.c.on("closed",()=>{this.b&&(this.b.close(),this.b=null,S.dispose())})}this.b&&this.s(this.b)}async openProcessExplorer(g){if(!this.d&&(this.f=I.BrowserWindow.getFocusedWindow(),this.f)){const S=new D.DisposableStore,L=S.add(this.n.createIPCObjectUrl()),O=this.p.getItem(r,void 0),j=l(O)?O:this.u(this.f,800,500),K=I.screen.getDisplayNearestPoint({x:j.x,y:j.y});j.width/=K.scaleFactor,j.height/=K.scaleFactor,this.d=this.t(j,L,{backgroundColor:g.styles.backgroundColor,title:(0,y.localize)(8,null),zoomLevel:g.zoomLevel,alwaysOnTop:!0},"process-explorer"),L.update({appRoot:this.h.appRoot,windowId:this.d.id,userEnv:this.g,data:g,product:p.default}),this.d.loadURL(P.FileAccess.asBrowserUri(`vs/code/electron-sandbox/processExplorer/processExplorer${this.h.isBuilt?"":"-dev"}.html`).toString(!0)),this.d.on("close",()=>{this.d=null,S.dispose()}),this.f.on("close",()=>{this.d&&(this.d.close(),this.d=null,S.dispose())});const V=()=>{if(!this.d)return;const J=this.d.getSize(),re=this.d.getPosition();if(!J||!re)return;const se={width:J[0],height:J[1],x:re[0],y:re[1]};this.p.setItem(r,se)};this.d.on("moved",V),this.d.on("resized",V)}this.d&&this.s(this.d)}s(g){g.isMinimized()&&g.restore(),g.focus()}t(g,S,L,O){const j=new I.BrowserWindow({fullscreen:!1,skipTaskbar:!1,resizable:!0,width:g.width,height:g.height,minWidth:300,minHeight:200,x:g.x,y:g.y,title:L.title,backgroundColor:L.backgroundColor||kt.a,webPreferences:{preload:P.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js").fsPath,additionalArguments:[`--vscode-window-config=${S.resource.toString()}`,`--vscode-window-kind=${O}`],v8CacheOptions:this.h.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,R.zoomLevelToZoomFactor)(L.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:L.alwaysOnTop,experimentalDarkMode:!0});return j.setMenuBarVisibility(!1),j}async getSystemStatus(){const[g,S]=await Promise.all([this.k.getMainDiagnostics(),this.k.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.j.getDiagnostics(g,S)}u(g,S,L){let O;const j=I.screen.getAllDisplays();if(j.length===1)O=j[0];else{if(d.isMacintosh){const J=I.screen.getCursorScreenPoint();O=I.screen.getDisplayNearestPoint(J)}!O&&g&&(O=I.screen.getDisplayMatching(g.getBounds())),O||(O=I.screen.getPrimaryDisplay()||j[0])}const K=O.bounds,V={width:S,height:L,x:K.x+K.width/2-S/2,y:K.y+K.height/2-L/2};return K.width>0&&K.height>0&&(V.x<K.x&&(V.x=K.x),V.y<K.y&&(V.y=K.y),V.x>K.x+K.width&&(V.x=K.x),V.y>K.y+K.height&&(V.y=K.y),V.width>K.width&&(V.width=K.width),V.height>K.height&&(V.height=K.height)),V}async v(){try{const[g,S]=await Promise.all([this.k.getMainDiagnostics(),this.k.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.j.getPerformanceInfo(g,S)}catch(g){throw this.i.warn("issueService#getPerformanceInfo ",g.message),g}}async stopTracing(){if(!this.h.args.trace)return;const g=await I.contentTracing.stopRecording(`${(0,t.randomPath)(this.h.userHome.fsPath,this.o.applicationName)}.trace.txt`);await this.l.showMessageBox({title:this.o.nameLong,type:"info",message:(0,y.localize)(9,null),detail:(0,y.localize)(10,null,g),buttons:[(0,C.mnemonicButtonLabel)((0,y.localize)(11,null))],defaultId:0,noLink:!0},(0,c.withNullAsUndefined)(I.BrowserWindow.getFocusedWindow())),this.m.showItemInFolder(void 0,g)}};s.a="#1E1E1E",s=ve([ee(1,f.IEnvironmentMainService),ee(2,a.ILogService),ee(3,b.IDiagnosticsService),ee(4,v.IDiagnosticsMainService),ee(5,m.IDialogMainService),ee(6,u.INativeHostMainService),ee(7,E.IProtocolMainService),ee(8,k.IProductService),ee(9,i.IStateMainService)],s),e.IssueMainService=s;function l(o){return typeof o!="object"||o===null?!1:"x"in o&&"y"in o&&"width"in o&&"height"in o}}),define(te[273],ie([0,1,22,18,28,21,5,58,19,56,24,48,93]),function(x,e,I,M,n,C,D,P,d,h,y,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let m=class extends v.AbstractUpdateService{constructor(w,a,u,p,k,E,R,t){super(w,a,p,k,E,t),this.e=u,this.t=R}r(w){return(0,v.createUpdateURL)(`linux-${process.arch}`,w,this.k)}s(w){!this.a||(this.d(b.State.CheckingForUpdates(w)),this.i.request({url:this.a},I.CancellationToken.None).then(h.asJson).then(a=>{!a||!a.url||!a.version||!a.productVersion?(this.e.publicLog2("update:notAvailable",{explicit:!!w}),this.d(b.State.Idle(1))):this.d(b.State.AvailableForDownload(a))}).then(void 0,a=>{this.j.error(a),this.e.publicLog2("update:notAvailable",{explicit:!!w});const u=w?a.message||a:void 0;this.d(b.State.Idle(1,u))}))}async n(w){this.k.downloadUrl&&this.k.downloadUrl.length>0?this.t.openExternal(void 0,this.k.downloadUrl):w.update.url&&this.t.openExternal(void 0,w.update.url),this.d(b.State.Idle(1))}};m=ve([ee(0,C.ILifecycleMainService),ee(1,M.IConfigurationService),ee(2,y.ITelemetryService),ee(3,n.IEnvironmentMainService),ee(4,h.IRequestService),ee(5,D.ILogService),ee(6,P.INativeHostMainService),ee(7,d.IProductService)],m),e.LinuxUpdateService=m}),define(te[274],ie([0,1,46,41,26,8,22,54,9,7,130,23,18,28,16,21,5,58,19,56,24,48,93]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function c(l,o=1e3){for(;!l();)await(0,C.timeout)(o)}let i;function r(){return typeof i>"u"&&(i=M.existsSync(d.join(d.dirname(process.execPath),"unins000.exe"))?0:1),i}let s=class extends t.AbstractUpdateService{get cachePath(){const o=d.join((0,n.tmpdir)(),`vscode-update-${this.k.target}-${process.arch}`);return b.Promises.mkdir(o,{recursive:!0}).then(()=>o)}constructor(o,g,S,L,O,j,K,V,J){super(o,g,L,O,j,J),this.t=S,this.u=K,this.v=V}async initialize(){if(this.k.target==="user"&&await this.v.isAdmin(void 0)){this.j.info("update#ctor - updates are disabled due to running as Admin in user setup");return}super.initialize()}r(o){let g="win32";return process.arch!=="ia32"&&(g+=`-${process.arch}`),r()===1?g+="-archive":this.k.target==="user"&&(g+="-user"),(0,t.createUpdateURL)(g,o,this.k)}s(o){!this.a||(this.d(R.State.CheckingForUpdates(o)),this.i.request({url:this.a},D.CancellationToken.None).then(k.asJson).then(g=>{const S=r();return!g||!g.url||!g.version||!g.productVersion?(this.t.publicLog2("update:notAvailable",{explicit:!!o}),this.d(R.State.Idle(S)),Promise.resolve(null)):S===1?(this.d(R.State.AvailableForDownload(g)),Promise.resolve(null)):(this.d(R.State.Downloading(g)),this.A(g.version).then(()=>this.z(g.version).then(L=>b.Promises.exists(L).then(O=>{if(O)return Promise.resolve(L);const j=g.url,K=g.hash,V=`${L}.tmp`;return this.i.request({url:j},D.CancellationToken.None).then(J=>this.u.writeFile(h.URI.file(V),J.stream)).then(K?()=>(0,y.checksum)(V,g.hash):()=>{}).then(()=>b.Promises.rename(V,L)).then(()=>L)})).then(L=>{const O=this.g.getValue("update.enableWindowsBackgroundUpdates");this.e={packagePath:L},O&&g.supportsFastUpdate?this.k.target==="user"?this.o():this.d(R.State.Downloaded(g)):this.d(R.State.Ready(g))})))}).then(void 0,g=>{this.j.error(g),this.t.publicLog2("update:notAvailable",{explicit:!!o});const S=o?g.message||g:void 0;this.d(R.State.Idle(r(),S))}))}async n(o){o.update.url&&this.v.openExternal(void 0,o.update.url),this.d(R.State.Idle(r()))}async z(o){const g=await this.cachePath;return d.join(g,`CodeSetup-${this.k.quality}-${o}.exe`)}async A(o=null){const g=o?j=>!new RegExp(`${this.k.quality}-${o}\\.exe$`).test(j):()=>!0,S=await this.cachePath,O=(await b.Promises.readdir(S)).filter(g).map(async j=>{try{await b.Promises.unlink(d.join(S,j))}catch{}});await Promise.all(O)}async o(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.e)return Promise.resolve(void 0);const o=this.state.update;this.d(R.State.Updating(o));const g=await this.cachePath;this.e.updateFilePath=d.join(g,`CodeSetup-${this.k.quality}-${o.version}.flag`),await b.Promises.writeFile(this.e.updateFilePath,"flag"),(0,I.spawn)(this.e.packagePath,["/verysilent",`/update="${this.e.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.e=void 0,this.d(R.State.Idle(r()))});const L=`${this.k.win32MutexName}-ready`,O=await new Promise((j,K)=>{x(["windows-mutex"],j,K)});c(()=>O.isActive(L)).then(()=>this.d(R.State.Ready(o)))}q(){this.state.type!=="ready"||!this.e||(this.j.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.e.updateFilePath?M.unlinkSync(this.e.updateFilePath):(0,I.spawn)(this.e.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}p(){return r()}async _applySpecificUpdate(o){if(this.state.type!=="idle")return;const g=this.g.getValue("update.enableWindowsBackgroundUpdates"),S={version:"unknown",productVersion:"unknown",supportsFastUpdate:!!g};this.d(R.State.Downloading(S)),this.e={packagePath:o},g?this.k.target==="user"?this.o():this.d(R.State.Downloaded(S)):this.d(R.State.Ready(S))}};ve([P.memoize],s.prototype,"cachePath",null),s=ve([ee(0,w.ILifecycleMainService),ee(1,v.IConfigurationService),ee(2,E.ITelemetryService),ee(3,m.IEnvironmentMainService),ee(4,k.IRequestService),ee(5,a.ILogService),ee(6,f.IFileService),ee(7,u.INativeHostMainService),ee(8,p.IProductService)],s),e.Win32UpdateService=s}),define(te[275],ie([0,1,14,8,22,45,3,37,2,15,9,63,4,7,174,62,18,57,28,61,16,21,5,19,66,238,95,24,129,68,76,30,29,53,117,121,39,34,52,58,240,113,51,92,26,114,64]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O,j,K,V,J,re,se,ae,fe,ge,H,F,W,z,Y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var ne;(function($){$[$.NONE=0]="NONE",$[$.NAVIGATING=1]="NAVIGATING",$[$.READY=2]="READY"})(ne||(ne={}));let _=class ct extends d.Disposable{get id(){return this.k}get win(){return this.l}get lastFocusTime(){return this.m}get backupPath(){return this.n?.backupPath}get openedWorkspace(){return this.n?.workspace}get profile(){if(!this.config)return;const A=this.P.profiles.find(T=>T.id===this.config?.profiles.profile.id);return this.isExtensionDevelopmentHost&&A?A:this.P.getProfileForWorkspace(this.config.workspace??(0,O.toWorkspaceIdentifier)(this.backupPath,this.isExtensionDevelopmentHost))??this.P.defaultProfile}get remoteAuthority(){return this.n?.remoteAuthority}get config(){return this.n}get isExtensionDevelopmentHost(){return!!this.n?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this.n?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this.n?.debugId}constructor(A,T,U,B,G,N,q,Q,oe,ue,ye,Re,Oe,Le,Ue,we,pe,ke,Z,ce,de){super(),this.L=T,this.M=U,this.N=B,this.O=G,this.P=N,this.Q=q,this.R=Q,this.S=oe,this.U=ue,this.W=ye,this.X=Re,this.Y=Oe,this.Z=Le,this.ab=Ue,this.bb=we,this.db=pe,this.eb=ke,this.fb=Z,this.gb=ce,this.hb=de,this.c=this.B(new D.Emitter),this.onWillLoad=this.c.event,this.f=this.B(new D.Emitter),this.onDidSignalReady=this.f.event,this.g=this.B(new D.Emitter),this.onDidTriggerSystemContextMenu=this.g.event,this.h=this.B(new D.Emitter),this.onDidClose=this.h.event,this.j=this.B(new D.Emitter),this.onDidDestroy=this.j.event,this.m=-1,this.t=void 0,this.u=void 0,this.z=!1,this.C=[],this.D=[],this.F=void 0,this.G=void 0,this.H=this.B(this.eb.createIPCObjectUrl()),this.J=!1,this.ib=0;{const[Ce,Me]=this.tb(A.state);this.r=Ce,this.L.trace("window#ctor: using window state",Ce);const Ae=this.r.mode===0||this.r.mode===3;typeof ct.b>"u"&&(ct.b=this.gb.getItem("window.experimental.useSandbox",!1));const Fe=this.U.getValue("window");let He=!1;typeof Fe?.experimental?.useSandbox=="boolean"?He=Fe.experimental.useSandbox:this.db.quality==="stable"&&ct.b?He=!0:He=typeof this.db.quality=="string"&&this.db.quality!=="stable";const Ne={width:this.r.width,height:this.r.height,x:this.r.x,y:this.r.y,backgroundColor:this.W.getBackgroundColor(),minWidth:S.WindowMinimumSize.WIDTH,minHeight:S.WindowMinimumSize.HEIGHT,show:!Ae,title:this.db.nameLong,webPreferences:{preload:h.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js").fsPath,additionalArguments:[`--vscode-window-config=${this.H.resource.toString()}`],v8CacheOptions:this.N.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,S.zoomLevelToZoomFactor)(Fe?.zoomLevel),autoplayPolicy:"user-gesture-required",enableBlinkFeatures:"HighlightAPI",...He?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}},experimentalDarkMode:!0};v.isLinux?Ne.icon=(0,y.join)(this.N.appRoot,"resources/linux/code.png"):v.isWindows&&!this.N.isBuilt&&(Ne.icon=(0,y.join)(this.N.appRoot,"resources/win32/code_150x150.png")),v.isMacintosh&&!this.Ab()&&(Ne.fullscreenable=!1),v.isMacintosh&&(Ne.acceptFirstMouse=!0,Fe?.clickThroughInactive===!1&&(Ne.acceptFirstMouse=!1));const $e=v.isMacintosh&&Fe?.nativeTabs===!0;$e&&(Ne.tabbingIdentifier=this.db.nameShort);const Ge=(0,S.getTitleBarStyle)(this.U)==="custom";if(Ge&&(Ne.titleBarStyle="hidden",v.isMacintosh||(Ne.frame=!1),(0,S.useWindowControlsOverlay)(this.U))){const We=this.W.getWindowSplash()?.colorInfo.titleBarBackground??this.W.getBackgroundColor(),Ve=V.Color.fromHex(We).isDarker()?"#FFFFFF":"#000000";Ne.titleBarOverlay={height:29,color:We,symbolColor:Ve},this.z=!0}if((0,b.mark)("code/willCreateCodeBrowserWindow"),this.l=new I.BrowserWindow(Ne),(0,b.mark)("code/didCreateCodeBrowserWindow"),this.k=this.l.id,v.isMacintosh&&Ge&&this.l.setSheetOffset(22),Ge&&(v.isWindows&&(0,S.useWindowControlsOverlay)(this.U)||v.isMacintosh)){const We=this.gb.getItem(ct.a);We&&this.updateWindowControls({height:We})}v.isWindows&&Ge&&this.l.hookWindowMessage(278,()=>{const[Ve,X]=this.l.getPosition(),le=I.screen.getCursorScreenPoint(),he=le.x-Ve,me=le.y-X;return(()=>!(he>30&&me>=0&&me<=Math.max(this.l.getBounds().height*.15,35)))()||(this.l.setEnabled(!1),this.l.setEnabled(!0),this.g.fire({x:he,y:me})),0}),(v.isMacintosh||v.isWindows)&&Me&&(!$e||I.BrowserWindow.getAllWindows().length===1)&&[this.r.width,this.r.height,this.r.x,this.r.y].every(We=>typeof We=="number")&&this.l.setBounds({width:this.r.width,height:this.r.height,x:this.r.x,y:this.r.y}),Ae&&((0,b.mark)("code/willMaximizeCodeWindow"),this.l.maximize(),this.r.mode===3&&this.wb(!0),this.l.show(),(0,b.mark)("code/didMaximizeCodeWindow")),this.m=Date.now()}this.N.args["open-devtools"]===!0&&this.l.webContents.openDevTools(),this.qb(),this.Eb(),this.jb()}setRepresentedFilename(A){v.isMacintosh?this.l.setRepresentedFilename(A):this.v=A}getRepresentedFilename(){return v.isMacintosh?this.l.getRepresentedFilename():this.v}setDocumentEdited(A){v.isMacintosh&&this.l.setDocumentEdited(A),this.w=A}isDocumentEdited(){return v.isMacintosh?this.l.isDocumentEdited():!!this.w}focus(A){v.isMacintosh&&A?.force&&I.app.focus({steal:!0}),this.l&&(this.l.isMinimized()&&this.l.restore(),this.l.focus())}setReady(){for(this.L.trace(`window#load: window reported ready (id: ${this.k})`),this.ib=2;this.C.length;)this.C.pop()(this);this.f.fire()}ready(){return new Promise(A=>{if(this.isReady)return A(this);this.C.push(A)})}get isReady(){return this.ib===2}get whenClosedOrLoaded(){return new Promise(A=>{function T(){U.dispose(),B.dispose(),A()}const U=this.onDidClose(()=>T()),B=this.onWillLoad(()=>T())})}jb(){this.l.on("unresponsive",()=>this.mb(1)),this.l.webContents.on("render-process-gone",(T,U)=>this.mb(2,U)),this.l.webContents.on("did-fail-load",(T,U,B)=>this.mb(3,{reason:B,exitCode:U})),this.l.webContents.on("will-prevent-unload",T=>{T.preventDefault()}),this.l.on("closed",()=>{this.h.fire(),this.dispose()}),this.l.webContents.on("did-finish-load",()=>{this.I&&(this.n=this.I,this.I=void 0)}),this.l.on("focus",()=>{this.m=Date.now()}),this.l.on("maximize",T=>{this.n&&(this.n.maximized=!0),I.app.emit("browser-window-maximize",T,this.l)}),this.l.on("unmaximize",T=>{this.n&&(this.n.maximized=!1),I.app.emit("browser-window-unmaximize",T,this.l)}),this.l.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",n.CancellationToken.None),this.u?.complete(),this.u=void 0}),this.l.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",n.CancellationToken.None),this.u?.complete(),this.u=void 0}),this.B(this.U.onDidChangeConfiguration(T=>this.qb(T))),this.B(this.X.onDidDeleteUntitledWorkspace(T=>this.pb(T)));const A=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this.l.webContents.session.webRequest.onBeforeSendHeaders({urls:A},async(T,U)=>{const B=await this.lb();U({cancel:!1,requestHeaders:Object.assign(T.requestHeaders,B)})})}lb(){return this.kb||(this.kb=(0,r.resolveMarketplaceHeaders)(this.db.version,this.db,this.N,this.U,this.Q,this.R,this.Z)),this.kb}async mb(A,T){switch(A){case 2:this.L.error(`CodeWindow: renderer process gone (reason: ${T?.reason||"<unknown>"}, code: ${T?.exitCode||"<unknown>"})`);break;case 1:this.L.error("CodeWindow: detected unresponsive");break;case 3:this.L.error(`CodeWindow: failed to load (reason: ${T?.reason||"<unknown>"}, code: ${T?.exitCode||"<unknown>"})`);break}switch(this.Z.publicLog2("windowerror",{type:A,reason:T?.reason,code:T?.exitCode}),A){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.bb.kill(1);return}if(this.N.args["enable-smoke-test-driver"]){await this.ob(!1,!1),this.bb.quit();return}if(A===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this.l&&this.l.webContents&&this.l.webContents.isDevToolsOpened())return;const U=await this.ab.showMessageBox({title:this.db.nameLong,type:"warning",buttons:[(0,P.mnemonicButtonLabel)((0,f.localize)(0,null)),(0,P.mnemonicButtonLabel)((0,f.localize)(1,null)),(0,P.mnemonicButtonLabel)((0,f.localize)(2,null))],message:(0,f.localize)(3,null),detail:(0,f.localize)(4,null),noLink:!0,defaultId:0,cancelId:1,checkboxLabel:this.n?.workspace?(0,f.localize)(5,null):void 0},this.l);if(U.response!==1){const B=U.response===0;await this.ob(B,U.checkboxChecked)}}else if(A===2)if(v.isWindows&&T?.reason==="launch-failed"&&T.exitCode===18&&await this.hb.isAdmin(void 0))await this.nb(T);else{let U;T?U=(0,f.localize)(7,null,T.reason,T.exitCode??"<unknown>"):U=(0,f.localize)(6,null);const B=await this.ab.showMessageBox({title:this.db.nameLong,type:"warning",buttons:[this.n?.workspace?(0,P.mnemonicButtonLabel)((0,f.localize)(8,null)):(0,P.mnemonicButtonLabel)((0,f.localize)(9,null)),(0,P.mnemonicButtonLabel)((0,f.localize)(10,null))],message:U,detail:this.n?.workspace?(0,f.localize)(11,null):(0,f.localize)(12,null),noLink:!0,defaultId:0,checkboxLabel:this.n?.workspace?(0,f.localize)(13,null):void 0},this.l),G=B.response===0;await this.ob(G,B.checkboxChecked)}break}}async nb(A){const T=[],U=(0,H.isInternalTelemetry)(this.db,this.U);if((0,H.supportsTelemetry)(this.db,this.N)){this.db.aiConfig&&this.db.aiConfig.ariaKey&&T.push(new fe.OneDataSystemAppender(U,"monacoworkbench",null,this.db.aiConfig.ariaKey));const{installSourcePath:G}=this.N,N=await(0,z.resolveMachineId)(this.gb),q={appenders:T,sendErrorTelemetry:!1,commonProperties:(0,F.resolveCommonProperties)(this.Q,(0,W.release)(),(0,W.hostname)(),process.arch,this.db.commit,this.db.version,N,U,G),piiPaths:(0,H.getPiiPathsFromEnvironment)(this.N)};await new ge.TelemetryService(q,this.U,this.db).publicLog2("windowadminerror",{reason:A.reason,code:A.exitCode})}(await this.ab.showMessageBox({title:this.db.nameLong,type:"error",buttons:[(0,P.mnemonicButtonLabel)((0,f.localize)(14,null)),(0,P.mnemonicButtonLabel)((0,f.localize)(15,null))],message:(0,f.localize)(16,null),detail:(0,f.localize)(17,null,this.db.nameLong),noLink:!0,defaultId:0},this.l)).response===0&&await this.hb.openExternal(void 0,"https://go.microsoft.com/fwlink/?linkid=2220179"),await Promise.all(T.map(G=>G.flush())),await this.ob(!1,!1)}async ob(A,T){const U=this.n?.workspace;if(T&&U)try{const B=this.S.workspaceStorage(U);await B.init(),B.delete("memento/workbench.parts.editor"),await B.close()}catch(B){this.L.error(B)}if(this.j.fire(),this.l?.destroy(),A&&this.n){let B,G;(0,O.isSingleFolderWorkspaceIdentifier)(U)?B={folderUri:U.uri}:(0,O.isWorkspaceIdentifier)(U)?B={workspaceUri:U.configPath}:G=!0;const[N]=await this.fb.open({context:5,userEnv:this.n.userEnv,cli:{...this.N.args,_:[]},urisToOpen:B?[B]:void 0,forceEmpty:G,forceNewWindow:!0,remoteAuthority:this.remoteAuthority});N.focus()}}pb(A){this.n?.workspace?.id===A.id&&(this.n.workspace=void 0)}qb(A){if(!A||A.affectsConfiguration("window.menuBarVisibility")){const T=this.Bb();T!==this.s&&(this.s=T,this.Cb(T))}if(!A||A.affectsConfiguration("http.proxy")){let T=(this.U.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;T?.endsWith("/")&&(T=T.substr(0,T.length-1));const U=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((T||"").indexOf("@")===-1&&(T!==this.F||U!==this.G)){this.F=T,this.G=U;const B=T||"",G=U?`${U},<local>`:"<local>";this.L.trace(`Setting proxy to '${B}', bypassing '${G}'`),this.l.webContents.session.setProxy({proxyRules:B,proxyBypassRules:G,pacScript:""})}}}addTabbedWindow(A){v.isMacintosh&&A.win&&this.l.addTabbedWindow(A.win)}load(A,T=Object.create(null)){this.L.trace(`window#load: attempt to load window (id: ${this.k})`),this.isDocumentEdited()&&(!T.isReload||!this.Y.isHotExitEnabled())&&this.setDocumentEdited(!1),T.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this.l.setTitle(this.db.nameLong)),this.rb(A,T),this.ib===0?this.n=A:this.I=A,this.ib=1,this.l.loadURL(h.FileAccess.asBrowserUri(`vs/code/electron-sandbox/workbench/workbench${this.N.isBuilt?"":"-dev"}.html`).toString(!0));const U=this.J;this.J=!0,!this.N.isBuilt&&!this.N.extensionTestsLocationURI&&this.B(new M.RunOnceScheduler(()=>{this.l&&!this.l.isVisible()&&!this.l.isMinimized()&&(this.l.show(),this.focus({force:!0}),this.l.webContents.openDevTools())},1e4)).schedule(),this.c.fire({workspace:A.workspace,reason:T.isReload?3:U?2:1})}rb(A,T){const U=(this.n??this.I)?.userEnv;if(U){const B=(0,k.isLaunchedFromCli)(U)&&!(0,k.isLaunchedFromCli)(A.userEnv),G=this.isExtensionDevelopmentHost;(B||G)&&(A.userEnv={...U,...A.userEnv})}process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(A.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),T.disableExtensions!==void 0&&(A["disable-extensions"]=T.disableExtensions),A.fullscreen=this.isFullScreen,A.maximized=this.l.isMaximized(),A.partsSplash=this.W.getWindowSplash(),(0,b.mark)("code/willOpenNewWindow"),A.perfMarks=(0,b.getMarks)(),this.H.update(A)}async reload(A){const T=Object.assign({},this.n);T.workspace=await this.sb(T),delete T.filesToOpenOrCreate,delete T.filesToDiff,delete T.filesToMerge,delete T.filesToWait,this.isExtensionDevelopmentHost&&A&&(T.verbose=A.verbose,T.debugId=A.debugId,T.extensionEnvironment=A.extensionEnvironment,T["inspect-extensions"]=A["inspect-extensions"],T["inspect-brk-extensions"]=A["inspect-brk-extensions"],T["extensions-dir"]=A["extensions-dir"]),T.accessibilitySupport=I.app.isAccessibilitySupportEnabled(),T.isInitialStartup=!1,T.policiesData=this.O.serialize(),T.continueOn=this.N.continueOn,T.profiles={all:this.P.profiles,profile:this.profile||this.P.defaultProfile},T.logLevel=this.L.getLevel(),T.loggers={window:this.M.getRegisteredLoggers(this.id),global:this.M.getRegisteredLoggers()},this.load(T,{isReload:!0,disableExtensions:A?.["disable-extensions"]})}async sb(A){if((0,O.isWorkspaceIdentifier)(A.workspace)){const T=A.workspace.configPath;if(T.scheme===h.Schemas.file&&!await this.Q.exists(T))return}else if((0,O.isSingleFolderWorkspaceIdentifier)(A.workspace)){const T=A.workspace.uri;if(T.scheme===h.Schemas.file&&!await this.Q.exists(T))return}return A.workspace}serializeWindowState(){if(!this.l)return(0,K.defaultWindowState)();if(this.isFullScreen){let U;try{U=I.screen.getDisplayMatching(this.getBounds())}catch{}const B=(0,K.defaultWindowState)();return{mode:3,display:U?U.id:void 0,width:this.r.width||B.width,height:this.r.height||B.height,x:this.r.x||0,y:this.r.y||0}}const A=Object.create(null);let T;if(!v.isMacintosh&&this.l.isMaximized()?T=0:T=1,T===0?A.mode=0:A.mode=1,T===1||T===0){let U;T===1?U=this.getBounds():U=this.l.getNormalBounds(),A.x=U.x,A.y=U.y,A.width=U.width,A.height=U.height}return A}updateWindowControls(A){if(A.height&&this.gb.setItem(ct.a,A.height),v.isWindows&&this.z)this.l.setTitleBarOverlay({color:A.backgroundColor?.trim()===""?void 0:A.backgroundColor,symbolColor:A.foregroundColor?.trim()===""?void 0:A.foregroundColor,height:A.height?A.height-1:void 0});else if(v.isMacintosh&&A.height!==void 0){const T=(A.height-15)/2;this.l.setTrafficLightPosition({x:T,y:T})}}tb(A){(0,b.mark)("code/willRestoreCodeWindowState");let T=!1;if(A)try{const U=I.screen.getAllDisplays();T=U.length>1,A=this.ub(A,U)}catch(U){this.L.warn(`Unexpected error validating window state: ${U}
${U.stack}`)}return(0,b.mark)("code/didRestoreCodeWindowState"),[A||(0,K.defaultWindowState)(),T]}ub(A,T){if(this.L.trace(`window#validateWindowState: validating window state on ${T.length} display(s)`,A),typeof A.x!="number"||typeof A.y!="number"||typeof A.width!="number"||typeof A.height!="number"){this.L.trace("window#validateWindowState: unexpected type of state values");return}if(A.width<=0||A.height<=0){this.L.trace("window#validateWindowState: unexpected negative values");return}if(T.length===1){const G=this.vb(T[0]);if(G){let N=function(){!A||typeof A.x!="number"||typeof A.y!="number"||!G||(A.x<G.x&&(A.x=G.x),A.y<G.y&&(A.y=G.y))};this.L.trace("window#validateWindowState: 1 monitor working area",G),N(),A.width>G.width&&(A.width=G.width),A.height>G.height&&(A.height=G.height),A.x>G.x+G.width-128&&(A.x=G.x+G.width-A.width),A.y>G.y+G.height-128&&(A.y=G.y+G.height-A.height),N()}return A}if(A.display&&A.mode===3){const G=T.find(N=>N.id===A.display);if(G&&typeof G.bounds?.x=="number"&&typeof G.bounds?.y=="number"){this.L.trace("window#validateWindowState: restoring fullscreen to previous display");const N=(0,K.defaultWindowState)(3);return N.x=G.bounds.x,N.y=G.bounds.y,N}}let U,B;try{U=I.screen.getDisplayMatching({x:A.x,y:A.y,width:A.width,height:A.height}),B=this.vb(U)}catch{}if(U&&B&&A.x+A.width>B.x&&A.y+A.height>B.y&&A.x<B.x+B.width&&A.y<B.y+B.height)return this.L.trace("window#validateWindowState: multi-monitor working area",B),A}vb(A){if(A.workArea.width>0&&A.workArea.height>0)return A.workArea;if(A.bounds.width>0&&A.bounds.height>0)return A.bounds}getBounds(){const[A,T]=this.l.getPosition(),[U,B]=this.l.getSize();return{x:A,y:T,width:U,height:B}}toggleFullScreen(){this.wb(!this.isFullScreen)}wb(A){this.Ab()?this.xb(A):this.zb(A),this.sendWhenReady(A?"vscode:enterFullScreen":"vscode:leaveFullScreen",n.CancellationToken.None),this.s&&this.Cb(this.s,!1)}get isFullScreen(){return v.isMacintosh&&typeof this.t=="boolean"?this.t:this.l.isFullScreen()||this.l.isSimpleFullScreen()}xb(A){this.l.isSimpleFullScreen()&&this.l.setSimpleFullScreen(!1),this.yb(A)}yb(A){v.isMacintosh&&(this.t=A,this.u=new M.DeferredPromise,Promise.race([this.u.p,(0,M.timeout)(1e3)]).finally(()=>this.t=void 0)),this.l.setFullScreen(A)}zb(A){this.l.isFullScreen()&&this.yb(!1),this.l.setSimpleFullScreen(A),this.l.webContents.focus()}Ab(){const A=this.U.getValue("window");return!A||typeof A.nativeFullScreen!="boolean"||A.nativeTabs?!0:A.nativeFullScreen!==!1}isMinimized(){return this.l.isMinimized()}Bb(){let A=(0,S.getMenuBarVisibility)(this.U);return["visible","toggle","hidden"].indexOf(A)<0&&(A="classic"),A}Cb(A,T=!0){v.isMacintosh||(A==="toggle"&&T&&this.send("vscode:showInfoMessage",(0,f.localize)(18,null)),A==="hidden"?setTimeout(()=>{this.Db(A)}):this.Db(A))}Db(A){const T=this.isFullScreen;switch(A){case"classic":this.l.setMenuBarVisibility(!T),this.l.autoHideMenuBar=T;break;case"visible":this.l.setMenuBarVisibility(!0),this.l.autoHideMenuBar=!1;break;case"toggle":this.l.setMenuBarVisibility(!1),this.l.autoHideMenuBar=!0;break;case"hidden":this.l.setMenuBarVisibility(!1),this.l.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(v.isMacintosh)switch(I.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this.l.minimize();break;case"None":break;case"Maximize":default:this.l.isMaximized()?this.l.unmaximize():this.l.maximize()}else this.l.isMaximized()?this.l.unmaximize():this.l.maximize()}close(){this.l?.close()}sendWhenReady(A,T,...U){this.isReady?this.send(A,...U):this.ready().then(()=>{T.isCancellationRequested||this.send(A,...U)})}send(A,...T){if(this.l){if(this.l.isDestroyed()||this.l.webContents.isDestroyed()){this.L.warn(`Sending IPC message to channel '${A}' for window that is destroyed`);return}try{this.l.webContents.send(A,...T)}catch(U){this.L.warn(`Error sending IPC message to channel '${A}' of window ${this.k}: ${(0,C.toErrorMessage)(U)}`)}}}updateTouchBar(A){!v.isMacintosh||this.D.forEach((T,U)=>{const B=A[U];T.segments=this.Gb(B)})}Eb(){if(!!v.isMacintosh){for(let A=0;A<10;A++){const T=this.Fb();this.D.push(T)}this.l.setTouchBar(new I.TouchBar({items:this.D}))}}Fb(A=[]){const T=this.Gb(A),U=new I.TouchBar.TouchBarSegmentedControl({segments:T,mode:"buttons",segmentStyle:"automatic",change:B=>{this.sendWhenReady("vscode:runAction",n.CancellationToken.None,{id:U.segments[B].id,from:"touchbar"})}});return U}Gb(A=[]){return A.map(U=>{let B;U.icon&&!o.ThemeIcon.isThemeIcon(U.icon)&&U.icon?.dark?.scheme===h.Schemas.file&&(B=I.nativeImage.createFromPath(m.URI.revive(U.icon.dark).fsPath),B.isEmpty()&&(B=void 0));let G;return typeof U.title=="string"?G=U.title:G=U.title.value,{id:U.id,label:B?void 0:G,icon:B}})}dispose(){super.dispose(),this.M.deregisterLoggers(this.id),this.l=null}};_.a="windowControlHeight",_.b=void 0,_=ve([ee(1,t.ILogService),ee(2,Y.ILoggerMainService),ee(3,p.IEnvironmentMainService),ee(4,J.IPolicyService),ee(5,se.IUserDataProfilesMainService),ee(6,E.IFileService),ee(7,s.IApplicationStorageMainService),ee(8,s.IStorageMainService),ee(9,a.IConfigurationService),ee(10,g.IThemeMainService),ee(11,j.IWorkspacesManagementMainService),ee(12,w.IBackupMainService),ee(13,l.ITelemetryService),ee(14,u.IDialogMainService),ee(15,R.ILifecycleMainService),ee(16,c.IProductService),ee(17,i.IProtocolMainService),ee(18,L.IWindowsMainService),ee(19,re.IStateMainService),ee(20,ae.INativeHostMainService)],_),e.CodeWindow=_}),define(te[78],ie([0,1,14,25,8,3,37,2,15,4,20,7,23,177,6,21,5,95,96,29,53,35]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,f.createDecorator)("workspacesHistoryMainService");let t=class nt extends P.Disposable{constructor(i,r,s,l){super(),this.f=i,this.g=r,this.h=s,this.j=l,this.c=this.B(new C.Emitter),this.onDidChangeRecentlyOpened=this.c.event,this.z=this.B(new n.ThrottledDelayer(800)),this.k()}k(){this.h.when(4).then(()=>this.C()),this.B(this.g.onDidEnterWorkspace(i=>this.addRecentlyOpened([{workspace:i.workspace,remoteAuthority:i.window.remoteAuthority}])))}async addRecentlyOpened(i){let r=[],s=[];for(const o of i)if((0,p.isRecentWorkspace)(o))!this.g.isUntitledWorkspace(o.workspace)&&!this.r(r,o.workspace)&&r.push(o);else if((0,p.isRecentFolder)(o))this.s(r,o.folderUri)||r.push(o);else{const g=this.t(s,o.fileUri),S=o.fileUri.scheme===d.Schemas.file&&nt.y.indexOf((0,y.basename)(o.fileUri))>=0;!g&&!S&&(s.push(o),h.isWindows&&o.fileUri.scheme===d.Schemas.file&&I.app.addRecentDocument(o.fileUri.fsPath))}const l=await this.l({workspaces:r,files:s});r=l.workspaces,s=l.files,r.length>nt.a&&(r.length=nt.a),s.length>nt.a&&(s.length=nt.a),await this.n({workspaces:r,files:s}),this.c.fire(),h.isMacintosh&&this.z.trigger(()=>this.H())}async removeRecentlyOpened(i){const r=g=>{const S=this.p(g);for(const L of i)if(y.extUriBiasedIgnorePathCase.isEqual(L,S))return!1;return!0},s=await this.getRecentlyOpened(),l=s.workspaces.filter(r),o=s.files.filter(r);(l.length!==s.workspaces.length||o.length!==s.files.length)&&(await this.n({files:o,workspaces:l}),this.c.fire(),h.isMacintosh&&this.z.trigger(()=>this.H()))}async clearRecentlyOpened(){await this.n({workspaces:[],files:[]}),I.app.clearRecentDocuments(),this.c.fire()}async getRecentlyOpened(){return this.l()}async l(i){const r=new R.ResourceMap(o=>y.extUriBiasedIgnorePathCase.getComparisonKey(o));if(i?.workspaces)for(const o of i.workspaces)r.set(this.p(o),o);const s=new R.ResourceMap(o=>y.extUriBiasedIgnorePathCase.getComparisonKey(o));if(i?.files)for(const o of i.files)s.set(this.p(o),o);const l=await this.m();for(const o of l.workspaces){const g=r.get(this.p(o));g?g.label=g.label??o.label:r.set(this.p(o),o)}for(const o of l.files){const g=s.get(this.p(o));g?g.label=g.label??o.label:s.set(this.p(o),o)}return{workspaces:[...r.values()],files:[...s.values()]}}async m(){await this.j.whenReady;let i;const r=this.j.get(nt.b,-1);if(typeof r=="string")try{i=JSON.parse(r)}catch(s){this.f.error("Unexpected error parsing opened paths list",s)}return(0,p.restoreRecentlyOpened)(i,this.f)}async n(i){await this.j.whenReady,this.j.store(nt.b,JSON.stringify((0,p.toStoreData)(i)),-1,1)}p(i){return(0,p.isRecentFolder)(i)?i.folderUri:(0,p.isRecentFile)(i)?i.fileUri:i.workspace.configPath}r(i,r){return!!i.find(s=>(0,p.isRecentWorkspace)(s)&&s.workspace.id===r.id)}s(i,r){return!!i.find(s=>(0,p.isRecentFolder)(s)&&y.extUriBiasedIgnorePathCase.isEqual(s.folderUri,r))}t(i,r){return!!i.find(s=>y.extUriBiasedIgnorePathCase.isEqual(s.fileUri,r))}async C(){!h.isWindows||(await this.D(),this.B(this.onDidChangeRecentlyOpened(()=>this.D())))}async D(){if(!h.isWindows)return;const i=[];if(i.push({type:"tasks",items:[{type:"task",title:(0,m.localize)(0,null),description:(0,m.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),(await this.getRecentlyOpened()).workspaces.length>0){const r=[];for(const o of I.app.getJumpListSettings().removedItems){const g=o.args;if(g){const S=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(g);S&&r.push(b.URI.parse(S[2]))}}await this.removeRecentlyOpened(r);let s=!1;const l=(0,M.coalesce)((await this.getRecentlyOpened()).workspaces.slice(0,nt.w).map(o=>{const g=(0,p.isRecentWorkspace)(o)?o.workspace:o.folderUri,{title:S,description:L}=this.F(g,o.label);let O;return b.URI.isUri(g)?O=`--folder-uri "${g.toString()}"`:(s=!0,O=`--file-uri "${g.configPath.toString()}"`),{type:"task",title:S.substr(0,255),description:L.substr(0,255),program:process.execPath,args:O,iconPath:"explorer.exe",iconIndex:0}}));l.length>0&&i.push({type:"custom",name:s?(0,m.localize)(2,null):(0,m.localize)(3,null),items:l})}i.push({type:"recent"});try{const r=I.app.setJumpList(i);r&&r!=="ok"&&this.f.warn(`updateWindowsJumpList#setJumpList unexpected result: ${r}`)}catch(r){this.f.warn("updateWindowsJumpList#setJumpList",r)}}F(i,r){if(r)return{title:(0,D.splitName)(r).name,description:r};if(b.URI.isUri(i))return{title:(0,y.basename)(i),description:this.G(i)};if(this.g.isUntitledWorkspace(i))return{title:(0,m.localize)(4,null),description:""};let s=(0,y.basename)(i.configPath);return s.endsWith(k.WORKSPACE_EXTENSION)&&(s=s.substr(0,s.length-k.WORKSPACE_EXTENSION.length-1)),{title:(0,m.localize)(5,null,s),description:this.G(i.configPath)}}G(i){return i.scheme==="file"?(0,D.normalizeDriveLetter)(i.fsPath):i.toString()}async H(){if(!h.isMacintosh)return;I.app.clearRecentDocuments();const i=await this.getRecentlyOpened(),r=[];let s=0;for(let o=0;o<i.workspaces.length&&s<nt.u;o++){const g=this.p(i.workspaces[o]);if(g.scheme===d.Schemas.file){const S=(0,y.originalFSPath)(g);await v.Promises.exists(S)&&(r.push(S),s++)}}const l=[];for(let o=0;o<i.files.length&&s<nt.v;o++){const g=this.p(i.files[o]);if(g.scheme===d.Schemas.file){const S=(0,y.originalFSPath)(g);if(nt.y.includes((0,y.basename)(g))||r.includes(S))continue;await v.Promises.exists(S)&&(l.push(S),s++)}}l.reverse().forEach(o=>I.app.addRecentDocument(o)),r.reverse().forEach(o=>I.app.addRecentDocument(o))}};t.a=500,t.b="history.recentlyOpenedPathsList",t.u=7,t.v=10,t.w=7,t.y=["COMMIT_EDITMSG","MERGE_MSG"],t=ve([ee(0,a.ILogService),ee(1,E.IWorkspacesManagementMainService),ee(2,w.ILifecycleMainService),ee(3,u.IApplicationStorageMainService)],t),e.WorkspacesHistoryMainService=t}),define(te[276],ie([0,1,14,8,22,37,4,7,167,18,28,21,5,216,58,19,34,24,48,76,30,78]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const t="menu";let c=class bt{constructor(s,l,o,g,S,L,O,j,K,V,J){this.n=s,this.o=l,this.p=o,this.q=g,this.r=S,this.s=L,this.t=O,this.u=j,this.v=K,this.w=V,this.x=J,this.m=Object.create(null),this.g=new M.RunOnceScheduler(()=>this.E(),0),this.h=new M.RunOnceScheduler(()=>{this.j=[]},1e4),this.k=Object.create(null),this.l=Object.create(null),(D.isMacintosh||(0,k.getTitleBarStyle)(this.o)==="native")&&this.y(),this.z(),this.d=!1,this.f=!1,this.j=[],this.H(),this.A()}y(){const s=this.t.getItem(bt.a);s&&(s.menus&&(this.k=s.menus),s.keybindings&&(this.l=s.keybindings))}z(){this.m["workbench.action.files.newUntitledFile"]=(L,O,j)=>this.p.openEmptyWindow({context:2,contextWindowId:O?.id}),this.m["workbench.action.newWindow"]=(L,O,j)=>this.p.openEmptyWindow({context:2,contextWindowId:O?.id}),this.m["workbench.action.files.openFileFolder"]=(L,O,j)=>this.w.pickFileFolderAndOpen(void 0,{forceNewWindow:this.P(j),telemetryExtraData:{from:t}}),this.m["workbench.action.files.openFolder"]=(L,O,j)=>this.w.pickFolderAndOpen(void 0,{forceNewWindow:this.P(j),telemetryExtraData:{from:t}}),this.m["workbench.action.openWorkspace"]=(L,O,j)=>this.w.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.P(j),telemetryExtraData:{from:t}}),this.m["workbench.action.clearRecentFiles"]=()=>this.s.clearRecentlyOpened();const s=this.x.twitterUrl;s&&(this.m["workbench.action.openTwitterUrl"]=()=>this.Z(s,"openTwitterUrl"));const l=this.x.requestFeatureUrl;l&&(this.m["workbench.action.openRequestFeatureUrl"]=()=>this.Z(l,"openUserVoiceUrl"));const o=this.x.reportIssueUrl;o&&(this.m["workbench.action.openIssueReporter"]=()=>this.Z(o,"openReportIssues"));const g=this.x.licenseUrl;g&&(this.m["workbench.action.openLicenseUrl"]=()=>{if(D.language){const L=g.indexOf("?")>0?"&":"?";this.Z(`${g}${L}lang=${D.language}`,"openLicenseUrl")}else this.Z(g,"openLicenseUrl")});const S=this.x.privacyStatementUrl;S&&g&&(this.m["workbench.action.openPrivacyStatementUrl"]=()=>{this.Z(S,"openPrivacyStatement")})}A(){this.u.onWillShutdown(()=>this.b=!0),this.p.onDidChangeWindowsCount(s=>this.F(s)),this.w.onDidBlurWindow(()=>this.G()),this.w.onDidFocusWindow(()=>this.G())}get B(){const s=this.o.getValue("window.enableMenuBarMnemonics");return typeof s!="boolean"?!0:s}get C(){if(!D.isMacintosh)return!1;const s=this.o.getValue("window.nativeTabs");return typeof s!="boolean"?!1:s}updateMenu(s,l){this.k=s.menus,this.l=s.keybindings,this.t.setItem(bt.a,s),this.D()}D(){this.g.schedule()}E(){this.b||setTimeout(()=>{this.b||this.H()},10)}F(s){!D.isMacintosh||(s.oldCount===0&&s.newCount>0||s.oldCount>0&&s.newCount===0)&&(this.d=s.newCount===0,this.D())}G(){!D.isMacintosh||(this.f=!I.BrowserWindow.getFocusedWindow(),this.D())}H(){const s=I.Menu.getApplicationMenu();if(s&&this.j.push(s),Object.keys(this.k).length===0){I.Menu.setApplicationMenu(D.isMacintosh?new I.Menu:null);return}const l=new I.Menu;let o;if(D.isMacintosh){const S=new I.Menu;o=new I.MenuItem({label:this.x.nameShort,submenu:S}),this.I(S),l.append(o)}if(D.isMacintosh&&!this.c){this.c=!0;const S=new I.Menu;S.append(new I.MenuItem({label:this.bb(d.localize(0,null)),click:()=>this.p.openEmptyWindow({context:1})})),I.app.dock.setMenu(S)}if(this.K("File")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(1,null)),submenu:S});this.M(S,"File"),l.append(L)}if(this.K("Edit")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(2,null)),submenu:S});this.M(S,"Edit"),l.append(L)}if(this.K("Selection")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(3,null)),submenu:S});this.M(S,"Selection"),l.append(L)}if(this.K("View")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(4,null)),submenu:S});this.M(S,"View"),l.append(L)}if(this.K("Go")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(5,null)),submenu:S});this.M(S,"Go"),l.append(L)}if(this.K("Run")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(6,null)),submenu:S});this.M(S,"Run"),l.append(L)}if(this.K("Terminal")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(7,null)),submenu:S});this.M(S,"Terminal"),l.append(L)}let g;if(this.K("Window")){const S=new I.Menu;g=new I.MenuItem({label:this.bb(d.localize(8,null)),submenu:S,role:"window"}),this.S(S)}if(g&&l.append(g),this.K("Help")){const S=new I.Menu,L=new I.MenuItem({label:this.bb(d.localize(9,null)),submenu:S,role:"help"});this.M(S,"Help"),l.append(L)}l.items&&l.items.length>0?I.Menu.setApplicationMenu(l):I.Menu.setApplicationMenu(null),this.h.schedule()}I(s){const l=this.U(d.localize(10,null,this.x.nameLong),"workbench.action.showAboutDialog"),o=this.T();let g;if(this.K("Preferences")){const re=new I.Menu;this.M(re,"Preferences"),g=new I.MenuItem({label:this.bb(d.localize(11,null)),submenu:re})}const S=new I.Menu,L=new I.MenuItem({label:d.localize(12,null),role:"services",submenu:S}),O=new I.MenuItem({label:d.localize(13,null,this.x.nameLong),role:"hide",accelerator:"Command+H"}),j=new I.MenuItem({label:d.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),K=new I.MenuItem({label:d.localize(15,null),role:"unhide"}),V=new I.MenuItem(this.Y("workbench.action.quit",{label:d.localize(16,null,this.x.nameLong),click:async(re,se,ae)=>{const fe=this.p.getLastActiveWindow();(this.p.getWindowCount()===0||!!I.BrowserWindow.getFocusedWindow()||fe?.isMinimized())&&await this.J(ae)&&this.w.quit(void 0)}})),J=[l];J.push(...o),g&&J.push(i(),g),J.push(i(),L,i(),O,j,K,i(),V),J.forEach(re=>s.append(re))}async J(s){if(this.p.getWindowCount()===0)return!0;const l=this.o.getValue("window.confirmBeforeClose");if(l==="always"||l==="keyboardOnly"&&this.Q(s)){const o={title:this.x.nameLong,type:"question",buttons:[(0,C.mnemonicButtonLabel)(d.localize(17,null)),(0,C.mnemonicButtonLabel)(d.localize(18,null))],message:d.localize(19,null),noLink:!0,defaultId:0,cancelId:1},{response:g}=await this.w.showMessageBox(this.p.getFocusedWindow()?.id,o);return g===0}return!0}K(s){if(!D.isMacintosh&&(0,k.getTitleBarStyle)(this.o)==="custom")return!1;switch(s){case"File":case"Help":if(D.isMacintosh)return this.p.getWindowCount()===0&&this.d||this.p.getWindowCount()>0&&this.f||!!this.k&&!!this.k[s];case"Window":if(D.isMacintosh)return this.p.getWindowCount()===0&&this.d||this.p.getWindowCount()>0&&this.f||!!this.k;default:return this.p.getWindowCount()>0&&!!this.k&&!!this.k[s]}}L(s,l){l.forEach(o=>{if((0,m.isMenubarMenuItemSeparator)(o))s.append(i());else if((0,m.isMenubarMenuItemSubmenu)(o)){const g=new I.Menu,S=new I.MenuItem({label:this.bb(o.label),submenu:g});this.L(g,o.submenu.items),s.append(S)}else(0,m.isMenubarMenuItemRecentAction)(o)?s.append(this.O(o)):(0,m.isMenubarMenuItemAction)(o)&&(o.id==="workbench.action.showAboutDialog"&&this.N(s),D.isMacintosh?this.p.getWindowCount()===0&&this.d||this.p.getWindowCount()>0&&this.f?this.m[o.id]?s.append(new I.MenuItem(this.Y(o.id,{label:this.bb(o.label),click:this.m[o.id]}))):s.append(this.U(o.label,o.id,!1,o.checked)):s.append(this.U(o.label,o.id,o.enabled!==!1,!!o.checked)):s.append(this.U(o.label,o.id,o.enabled!==!1,!!o.checked)))})}M(s,l){this.k&&this.k[l]&&this.L(s,this.k[l].items)}N(s){const l=this.T();l.length&&(l.forEach(o=>s.append(o)),s.append(i()))}O(s){const l=P.URI.revive(s.uri),o=s.id,g=o==="openRecentFile"?{fileUri:l}:o==="openRecentWorkspace"?{workspaceUri:l}:{folderUri:l};return new I.MenuItem(this.Y(o,{label:s.label,click:async(S,L,O)=>{const j=this.P(O);(await this.p.open({context:2,cli:this.q.args,urisToOpen:[g],forceNewWindow:j,gotoLineMode:!1,remoteAuthority:s.remoteAuthority})).length>0||await this.s.removeRecentlyOpened([l])}},!1))}P(s){return!!(s&&(!D.isMacintosh&&(s.ctrlKey||s.shiftKey)||D.isMacintosh&&(s.metaKey||s.altKey)))}Q(s){return!!(s.triggeredByAccelerator||s.altKey||s.ctrlKey||s.metaKey||s.shiftKey)}R(s,l,o){const g={label:this.bb(s),role:o,enabled:!0};return new I.MenuItem(this.X(l,g))}S(s){const l=new I.MenuItem({label:d.localize(20,null),role:"minimize",accelerator:"Command+M",enabled:this.p.getWindowCount()>0}),o=new I.MenuItem({label:d.localize(21,null),role:"zoom",enabled:this.p.getWindowCount()>0}),g=new I.MenuItem({label:d.localize(22,null),role:"front",enabled:this.p.getWindowCount()>0}),S=this.U(d.localize(23,null),"workbench.action.switchWindow"),L=[];this.C&&(L.push(i()),L.push(this.U(d.localize(24,null),"workbench.action.newWindowTab")),L.push(this.R(d.localize(25,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),L.push(this.R(d.localize(26,null),"workbench.action.showNextWindowTab","selectNextTab")),L.push(this.R(d.localize(27,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),L.push(this.R(d.localize(28,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[l,o,i(),S,...L,i(),g].forEach(O=>s.append(O))}T(){switch(this.n.state.type){case"uninitialized":return[];case"idle":return[new I.MenuItem({label:this.bb(d.localize(29,null)),click:()=>setTimeout(()=>{this.ab("CheckForUpdate"),this.n.checkForUpdates(!0)},0)})];case"checking for updates":return[new I.MenuItem({label:d.localize(30,null),enabled:!1})];case"available for download":return[new I.MenuItem({label:this.bb(d.localize(31,null)),click:()=>{this.n.downloadUpdate()}})];case"downloading":return[new I.MenuItem({label:d.localize(32,null),enabled:!1})];case"downloaded":return[new I.MenuItem({label:this.bb(d.localize(33,null)),click:()=>{this.ab("InstallUpdate"),this.n.applyUpdate()}})];case"updating":return[new I.MenuItem({label:d.localize(34,null),enabled:!1})];case"ready":return[new I.MenuItem({label:this.bb(d.localize(35,null)),click:()=>{this.ab("RestartToUpdate"),this.n.quitAndInstall()}})]}}U(s,l,o,g){const S=this.bb(s),L=typeof l=="function"?l:(J,re,se)=>{const ae=J?J.userSettingsLabel:null;let fe=l;Array.isArray(l)&&(fe=this.P(se)?l[1]:l[0]),ae&&se.triggeredByAccelerator?this.W({type:"keybinding",userSettingsLabel:ae}):this.W({type:"commandId",commandId:fe})},O=typeof o=="boolean"?o:this.p.getWindowCount()>0,j=typeof g=="boolean"?g:!1,K={label:S,click:L,enabled:O};j&&(K.type="checkbox",K.checked=j);let V;return typeof l=="string"?V=l:Array.isArray(l)&&(V=l[0]),D.isMacintosh&&(V==="editor.action.clipboardCutAction"?K.role="cut":V==="editor.action.clipboardCopyAction"?K.role="copy":V==="editor.action.clipboardPasteAction"&&(K.role="paste"),V==="undo"?K.click=this.V(L,{inDevTools:J=>J.undo(),inNoWindow:()=>I.Menu.sendActionToFirstResponder("undo:")}):V==="redo"?K.click=this.V(L,{inDevTools:J=>J.redo(),inNoWindow:()=>I.Menu.sendActionToFirstResponder("redo:")}):V==="editor.action.selectAll"&&(K.click=this.V(L,{inDevTools:J=>J.selectAll(),inNoWindow:()=>I.Menu.sendActionToFirstResponder("selectAll:")}))),new I.MenuItem(this.X(V,K))}V(s,l){return(o,g,S)=>{const L=I.BrowserWindow.getFocusedWindow();if(!L)return l.inNoWindow();if(L.webContents.isDevToolsFocused()&&L.webContents.devToolsWebContents)return l.inDevTools(L.webContents.devToolsWebContents);s(o,g||L,S)}}W(s){let l=I.BrowserWindow.getFocusedWindow();if(!l){const g=this.p.getLastActiveWindow();g?.isMinimized()&&(l=g.win)}const o=l?this.p.getWindowById(l.id):void 0;if(o){if(this.v.trace("menubar#runActionInRenderer",s),D.isMacintosh&&!this.q.isBuilt&&!o.isReady&&(s.type==="commandId"&&s.commandId==="workbench.action.toggleDevTools"||s.type!=="commandId"&&s.userSettingsLabel==="alt+cmd+i"))return;if(s.type==="commandId"){const g={id:s.commandId,from:"menu"};o.sendWhenReady("vscode:runAction",n.CancellationToken.None,g)}else{const g={userSettingsLabel:s.userSettingsLabel};o.sendWhenReady("vscode:runKeybinding",n.CancellationToken.None,g)}}else this.v.trace("menubar#runActionInRenderer: no active window found",s)}X(s,l){const o=typeof s=="string"?this.l[s]:void 0;if(o?.label){if(o.isNative!==!1)l.accelerator=o.label,l.userSettingsLabel=o.userSettingsLabel;else if(typeof l.label=="string"){const g=l.label.indexOf("[");g>=0?l.label=`${l.label.substr(0,g)} [${o.label}]`:l.label=`${l.label} [${o.label}]`}}else l.accelerator=void 0;return l}Y(s,l,o=!l.accelerator){o&&(l=this.X(s,l));const g=l.click;return l.click=(S,L,O)=>{this.ab(s),g?.(S,L,O)},l}Z(s,l){this.w.openExternal(void 0,s),this.ab(l)}ab(s){this.r.publicLog2("workbenchActionExecuted",{id:s,from:t})}bb(s){return(0,C.mnemonicMenuLabel)(s,!this.B)}};c.a="lastKnownMenubarData",c=ve([ee(0,p.IUpdateService),ee(1,h.IConfigurationService),ee(2,E.IWindowsMainService),ee(3,y.IEnvironmentMainService),ee(4,u.ITelemetryService),ee(5,R.IWorkspacesHistoryMainService),ee(6,a.IStateMainService),ee(7,b.ILifecycleMainService),ee(8,v.ILogService),ee(9,f.INativeHostMainService),ee(10,w.IProductService)],c),e.Menubar=c;function i(){return new I.MenuItem({type:"separator"})}}),define(te[277],ie([0,1,6,21,5,276]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,I.createDecorator)("menubarMainService");let D=class{constructor(d,h,y){this.b=d,this.c=h,this.d=y,this.a=this.e()}async e(){return await this.c.when(3),this.b.createInstance(C.Menubar)}async updateMenubar(d,h){this.d.trace("menubarService#updateMenubar",d),(await this.a).updateMenu(h,d)}};D=ve([ee(0,I.IInstantiationService),ee(1,M.ILifecycleMainService),ee(2,n.ILogService)],D),e.MenubarMainService=D}),define(te[278],ie([0,1,14,23,26,25,22,3,32,49,37,2,15,9,63,4,36,20,10,7,175,62,18,57,28,16,6,21,5,65,19,66,55,34,76,275,119,270,29,97,78,53,68,39,52,64]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O,j,K,V,J,re,se,ae,fe,ge,H,F,W,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function Y($){return(0,se.isWorkspaceIdentifier)($?.workspace)}function ne($){return(0,se.isSingleFolderWorkspaceIdentifier)($?.workspace)}let _=class lt extends b.Disposable{constructor(A,T,U,B,G,N,q,Q,oe,ue,ye,Re,Oe,Le,Ue,we,pe,ke,Z){super(),this.k=A,this.l=T,this.m=U,this.n=B,this.r=G,this.s=N,this.t=q,this.u=Q,this.v=oe,this.w=ue,this.z=ye,this.C=Re,this.D=Oe,this.F=Le,this.G=Ue,this.H=we,this.I=pe,this.J=ke,this.L=Z,this.b=this.B(new P.Emitter),this.onDidOpenWindow=this.b.event,this.c=this.B(new P.Emitter),this.onDidSignalReadyWindow=this.c.event,this.f=this.B(new P.Emitter),this.onDidDestroyWindow=this.f.event,this.g=this.B(new P.Emitter),this.onDidChangeWindowsCount=this.g.event,this.h=this.B(new P.Emitter),this.onDidTriggerSystemContextMenu=this.h.event,this.j=this.B(new re.WindowsStateHandler(this,this.r,this.v,this.m,this.z)),this.M()}M(){this.B(this.D.onDidEnterWorkspace(A=>this.c.fire(A.window))),this.B(this.onDidSignalReadyWindow(A=>{if(A.config?.extensionDevelopmentPath||A.config?.extensionTestsPath){const T=new b.DisposableStore;if(T.add(P.Event.any(A.onDidClose,A.onDidDestroy)(()=>T.dispose())),A.config.extensionDevelopmentPath)for(const U of A.config.extensionDevelopmentPath)T.add(this.J.addValidFileRoot(U));A.config.extensionTestsPath&&T.add(this.J.addValidFileRoot(A.config.extensionTestsPath))}}))}openEmptyWindow(A,T){const U=this.t.args,B=T?.remoteAuthority||void 0,G=!0,N=T?.forceReuseWindow,q=!N;return this.open({...A,cli:U,forceEmpty:G,forceNewWindow:q,forceReuseWindow:N,remoteAuthority:B})}openExistingWindow(A,T){A.focus(),this.N(T,[A])}async open(A){this.m.trace("windowsManager#open"),A.addMode&&(A.initialStartup||!this.getLastActiveWindow())&&(A.addMode=!1);const T=[],U=[],B=[],G=[],N=[];let q,Q=0;const oe=await this.U(A);this.m.trace("windowsManager#open pathsToOpen",oe);for(const Le of oe)ne(Le)?A.addMode?T.push(Le):U.push(Le):Y(Le)?B.push(Le):Le.fileUri?(q||(q={filesToOpenOrCreate:[],filesToDiff:[],filesToMerge:[],remoteAuthority:Le.remoteAuthority}),q.filesToOpenOrCreate.push(Le)):Le.backupPath?N.push({backupFolder:(0,m.basename)(Le.backupPath),remoteAuthority:Le.remoteAuthority}):Q++;A.diffMode&&q&&q.filesToOpenOrCreate.length>=2&&(q.filesToDiff=q.filesToOpenOrCreate.slice(0,2),q.filesToOpenOrCreate=[]),A.mergeMode&&q&&q.filesToOpenOrCreate.length===4&&(q.filesToMerge=q.filesToOpenOrCreate.slice(0,4),q.filesToOpenOrCreate=[],q.filesToDiff=[]),q&&A.waitMarkerFileURI&&(q.filesToWait={paths:(0,C.coalesce)([...q.filesToDiff,q.filesToMerge[3],...q.filesToOpenOrCreate]),waitMarkerFileUri:A.waitMarkerFileURI}),A.initialStartup?(G.push(...this.D.getUntitledWorkspaces()),B.push(...G),N.push(...this.w.getEmptyWindowBackups())):N.length=0;const{windows:ue,filesOpenedInWindow:ye}=await this.O(A,B,U,N,Q,q,T);if(this.m.trace(`windowsManager#open used window count ${ue.length} (workspacesToOpen: ${B.length}, foldersToOpen: ${U.length}, emptyToRestore: ${N.length}, emptyToOpen: ${Q})`),ue.length>1)if(ye)ye.focus();else{const Le=this.j.state.lastActiveWindow&&!A.forceEmpty&&!A.cli._.length&&!A.cli["file-uri"]&&!A.cli["folder-uri"]&&!(A.urisToOpen&&A.urisToOpen.length);let Ue=!0,we=!0;if(Le){const pe=ue.filter(ke=>this.j.state.lastActiveWindow&&ke.backupPath===this.j.state.lastActiveWindow.backupPath);pe.length&&(pe[0].focus(),Ue=!1,we=!1)}if(Ue)for(let pe=ue.length-1;pe>=0;pe--){const ke=ue[pe];if(!(ke.openedWorkspace&&G.some(Z=>ke.openedWorkspace&&Z.workspace.id===ke.openedWorkspace.id)||ke.backupPath&&N.some(Z=>ke.backupPath&&Z.backupFolder===(0,m.basename)(ke.backupPath)))){ke.focus(),we=!1;break}}we&&ue[ue.length-1].focus()}const Re=q&&q.filesToDiff.length>0,Oe=q&&q.filesToMerge.length>0;if(!ue.some(Le=>Le.isExtensionDevelopmentHost)&&!Re&&!Oe&&!A.noRecentEntry){const Le=[];for(const Ue of oe)Y(Ue)&&!Ue.transient?Le.push({label:Ue.label,workspace:Ue.workspace,remoteAuthority:Ue.remoteAuthority}):ne(Ue)?Le.push({label:Ue.label,folderUri:Ue.workspace.uri,remoteAuthority:Ue.remoteAuthority}):Ue.fileUri&&Le.push({label:Ue.label,fileUri:Ue.fileUri,remoteAuthority:Ue.remoteAuthority});this.C.addRecentlyOpened(Le)}return this.N(A,ue),ue}N(A,T){const U=A.waitMarkerFileURI;A.context===0&&U&&T.length===1&&T[0]&&(async()=>{await T[0].whenClosedOrLoaded;try{await this.H.del(U)}catch{}})()}async O(A,T,U,B,G,N,q){const Q=[];let oe;function ue(pe,ke){Q.push(pe),ke&&(oe=pe,N=void 0)}let{openFolderInNewWindow:ye,openFilesInNewWindow:Re}=this.gb(A);if(!A.initialStartup&&q.length>0){const pe=q[0].remoteAuthority,ke=this.lb(pe);ke&&ue(this.Q(ke,q.map(Z=>Z.workspace.uri)))}const Oe=U.length+T.length+B.length;if(N&&Oe===0){const pe=N.filesToOpenOrCreate[0]||N.filesToDiff[0]||N.filesToMerge[3],ke=this.getWindows().filter(ce=>N&&(0,u.isEqualAuthority)(ce.remoteAuthority,N.remoteAuthority));let Z;pe?.fileUri&&!Re&&((A.context===4||A.context===0||A.context===1)&&(Z=await(0,J.findWindowOnFile)(ke,pe.fileUri,async ce=>ce.configPath.scheme===v.Schemas.file?this.D.resolveLocalWorkspace(ce.configPath):void 0)),Z||(Z=this.mb(ke))),Z?(0,se.isWorkspaceIdentifier)(Z.openedWorkspace)?T.push({workspace:Z.openedWorkspace,remoteAuthority:Z.remoteAuthority}):(0,se.isSingleFolderWorkspaceIdentifier)(Z.openedWorkspace)?U.push({workspace:Z.openedWorkspace,remoteAuthority:Z.remoteAuthority}):ue(this.P(A,Z,N),!0):ue(await this.hb({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,filesToOpen:N,forceNewWindow:!0,remoteAuthority:N.remoteAuthority,forceNewTabbedWindow:A.forceNewTabbedWindow,forceProfile:A.forceProfile,forceTempProfile:A.forceTempProfile}),!0)}const Le=(0,C.distinct)(T,pe=>pe.workspace.id);if(Le.length>0){const pe=(0,C.coalesce)(Le.map(ke=>(0,J.findWindowOnWorkspaceOrFolder)(this.getWindows(),ke.workspace.configPath)));if(pe.length>0){const ke=pe[0],Z=(0,u.isEqualAuthority)(N?.remoteAuthority,ke.remoteAuthority)?N:void 0;ue(this.P(A,ke,Z),!!Z),ye=!0}for(const ke of Le){if(pe.some(de=>de.openedWorkspace&&de.openedWorkspace.id===ke.workspace.id))continue;const Z=ke.remoteAuthority,ce=(0,u.isEqualAuthority)(N?.remoteAuthority,Z)?N:void 0;ue(await this.S(A,ke,ye,ce),!!ce),ye=!0}}const Ue=(0,C.distinct)(U,pe=>u.extUriBiasedIgnorePathCase.getComparisonKey(pe.workspace.uri));if(Ue.length>0){const pe=(0,C.coalesce)(Ue.map(ke=>(0,J.findWindowOnWorkspaceOrFolder)(this.getWindows(),ke.workspace.uri)));if(pe.length>0){const ke=pe[0],Z=(0,u.isEqualAuthority)(N?.remoteAuthority,ke.remoteAuthority)?N:void 0;ue(this.P(A,ke,Z),!!Z),ye=!0}for(const ke of Ue){if(pe.some(de=>(0,se.isSingleFolderWorkspaceIdentifier)(de.openedWorkspace)&&u.extUriBiasedIgnorePathCase.isEqual(de.openedWorkspace.uri,ke.workspace.uri)))continue;const Z=ke.remoteAuthority,ce=(0,u.isEqualAuthority)(N?.remoteAuthority,Z)?N:void 0;ue(await this.S(A,ke,ye,ce),!!ce),ye=!0}}const we=(0,C.distinct)(B,pe=>pe.backupFolder);if(we.length>0)for(const pe of we){const ke=pe.remoteAuthority,Z=(0,u.isEqualAuthority)(N?.remoteAuthority,ke)?N:void 0;ue(await this.R(A,!0,ke,Z,pe),!!Z),ye=!0}if(Q.length===0||N){N&&!G&&G++;const pe=N?N.remoteAuthority:A.remoteAuthority;for(let ke=0;ke<G;ke++)ue(await this.R(A,ye,pe,N),!!N),ye=!0}return{windows:(0,C.distinct)(Q),filesOpenedInWindow:oe}}P(A,T,U){this.m.trace("windowsManager#doOpenFilesInExistingWindow",{filesToOpen:U}),T.focus();const B={filesToOpenOrCreate:U?.filesToOpenOrCreate,filesToDiff:U?.filesToDiff,filesToMerge:U?.filesToMerge,filesToWait:U?.filesToWait,termProgram:A?.userEnv?.TERM_PROGRAM};return T.sendWhenReady("vscode:openFiles",D.CancellationToken.None,B),T}Q(A,T){this.m.trace("windowsManager#doAddFoldersToExistingWindow",{foldersToAdd:T}),A.focus();const U={foldersToAdd:T};return A.sendWhenReady("vscode:addFolders",D.CancellationToken.None,U),A}R(A,T,U,B,G){this.m.trace("windowsManager#doOpenEmpty",{restore:!!G,remoteAuthority:U,filesToOpen:B,forceNewWindow:T});let N;return!T&&typeof A.contextWindowId=="number"&&(N=this.getWindowById(A.contextWindowId)),this.hb({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:U,forceNewWindow:T,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:B,windowToUse:N,emptyWindowBackupInfo:G,forceProfile:A.forceProfile,forceTempProfile:A.forceTempProfile})}S(A,T,U,B,G){return this.m.trace("windowsManager#doOpenFolderOrWorkspace",{folderOrWorkspace:T,filesToOpen:B}),!U&&!G&&typeof A.contextWindowId=="number"&&(G=this.getWindowById(A.contextWindowId)),this.hb({workspace:T.workspace,userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:T.remoteAuthority,forceNewWindow:U,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:B,windowToUse:G,forceProfile:A.forceProfile,forceTempProfile:A.forceTempProfile})}async U(A){let T,U=!1,B=!1;if(A.urisToOpen&&A.urisToOpen.length>0?(T=await this.W(A),U=!0):A.forceEmpty?T=[Object.create(null)]:A.cli._.length||A.cli["folder-uri"]||A.cli["file-uri"]?(T=await this.X(A.cli),T.length===0&&T.push(Object.create(null)),U=!0):(T=await this.Z(),T.length===0&&T.push(Object.create(null)),B=!0),!A.addMode&&U){const G=T.filter(N=>ne(N));if(G.length>1){const N=G[0].remoteAuthority;if(G.every(q=>(0,u.isEqualAuthority)(q.remoteAuthority,N))){const q=await this.D.createUntitledWorkspace(G.map(Q=>({uri:Q.workspace.uri})));T.push({workspace:q,remoteAuthority:N}),T=T.filter(Q=>!ne(Q))}}}if(A.initialStartup&&!B&&this.z.getValue("window")?.restoreWindows==="preserve"){const G=await this.Z();T.unshift(...G.filter(N=>Y(N)||ne(N)||N.backupPath))}return T}async W(A){const T={gotoLineMode:A.gotoLineMode,remoteAuthority:A.remoteAuthority},U=await Promise.all((0,C.coalesce)(A.urisToOpen||[]).map(async B=>{const G=await this.bb(B,T);if(G)return G.label=B.label,G;const N=this.db(B),q={title:this.I.nameLong,type:"info",buttons:[(0,y.mnemonicButtonLabel)((0,E.localize)(0,null))],defaultId:0,message:N.scheme===v.Schemas.file?(0,E.localize)(1,null):(0,E.localize)(2,null),detail:N.scheme===v.Schemas.file?(0,E.localize)(3,null,(0,y.getPathLabel)(N,{os:w.OS,tildify:this.t})):(0,E.localize)(4,null,N.toString(!0)),noLink:!0};this.G.showMessageBox(q,(0,p.withNullAsUndefined)(I.BrowserWindow.getFocusedWindow()))}));return(0,C.coalesce)(U)}async X(A){const T=[],U={ignoreFileNotFound:!0,gotoLineMode:A.goto,remoteAuthority:A.remote||void 0,forceOpenWorkspaceAsFile:A.diff&&A._.length===2||A.merge&&A._.length===4},B=A["folder-uri"];if(B){const q=await Promise.all(B.map(Q=>{const oe=this.Y(Q);if(!!oe)return this.bb({folderUri:oe},U)}));T.push(...(0,C.coalesce)(q))}const G=A["file-uri"];if(G){const q=await Promise.all(G.map(Q=>{const oe=this.Y(Q);if(!!oe)return this.bb((0,se.hasWorkspaceFileExtension)(Q)?{workspaceUri:oe}:{fileUri:oe},U)}));T.push(...(0,C.coalesce)(q))}const N=await Promise.all(A._.map(q=>U.remoteAuthority?this.fb(q,U):this.eb(q,U)));return T.push(...(0,C.coalesce)(N)),T}Y(A){try{const T=k.URI.parse(A);if(!T.scheme){this.m.error(`Invalid URI input string, scheme missing: ${A}`);return}return T}catch(T){this.m.error(`Invalid URI input string: ${A}, ${T.message}`)}}async Z(){const A=this.ab();switch(A){case"none":return[];case"one":case"all":case"preserve":case"folders":{const T=[];A!=="one"&&T.push(...this.j.state.openedWindows),this.j.state.lastActiveWindow&&T.push(this.j.state.lastActiveWindow);const U=await Promise.all(T.map(async B=>{if(B.workspace){const G=await this.bb({workspaceUri:B.workspace.configPath},{remoteAuthority:B.remoteAuthority,rejectTransientWorkspaces:!0});if(Y(G))return G}else if(B.folderUri){const G=await this.bb({folderUri:B.folderUri},{remoteAuthority:B.remoteAuthority});if(ne(G))return G}else if(A!=="folders"&&B.backupPath)return{backupPath:B.backupPath,remoteAuthority:B.remoteAuthority}}));return(0,C.coalesce)(U)}}}ab(){let A;return this.v.wasRestarted?A="all":(A=this.z.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(A)||(A="all")),A}async bb(A,T=Object.create(null)){const U=this.db(A);return U.scheme===v.Schemas.file?((0,K.isFileToOpen)(A)&&(T={...T,forceOpenWorkspaceAsFile:!0}),this.eb(U.fsPath,T)):this.cb(A,T)}cb(A,T){let U=this.db(A);const B=(0,O.getRemoteAuthority)(U)||T.remoteAuthority;if(U=(0,u.removeTrailingPathSeparator)((0,u.normalizePath)(U)),(0,K.isFileToOpen)(A)){if(T.gotoLineMode){const{path:G,line:N,column:q}=(0,d.parseLineAndColumnAware)(U.path);return{fileUri:U.with({path:G}),options:{selection:N?{startLineNumber:N,startColumn:q||1}:void 0},remoteAuthority:B}}return{fileUri:U,remoteAuthority:B}}else if((0,K.isWorkspaceToOpen)(A))return{workspace:(0,ae.getWorkspaceIdentifier)(U),remoteAuthority:B};return{workspace:(0,ae.getSingleFolderWorkspaceIdentifier)(U),remoteAuthority:B}}db(A){return(0,K.isWorkspaceToOpen)(A)?A.workspaceUri:(0,K.isFolderToOpen)(A)?A.folderUri:A.fileUri}async eb(A,T){let U,B;T.gotoLineMode&&({path:A,line:U,column:B}=(0,d.parseLineAndColumnAware)(A)),A=(0,d.sanitizeFilePath)((0,m.normalize)(A),(0,a.cwd)());try{const G=await M.Promises.stat(A);if(G.isFile()){if(!T.forceOpenWorkspaceAsFile){const N=await this.D.resolveLocalWorkspace(k.URI.file(A));if(N)return N.transient&&T.rejectTransientWorkspaces?void 0:{workspace:{id:N.id,configPath:N.configPath},type:r.FileType.File,exists:!0,remoteAuthority:N.remoteAuthority,transient:N.transient}}return{fileUri:k.URI.file(A),type:r.FileType.File,exists:!0,options:{selection:U?{startLineNumber:U,startColumn:B||1}:void 0}}}else{if(G.isDirectory())return{workspace:(0,ae.getSingleFolderWorkspaceIdentifier)(k.URI.file(A),G),type:r.FileType.Directory,exists:!0};if(!w.isWindows&&A==="/dev/null")return{fileUri:k.URI.file(A),type:r.FileType.File,exists:!0}}}catch{const N=k.URI.file(A);if(this.C.removeRecentlyOpened([N]),T.ignoreFileNotFound)return{fileUri:N,type:r.FileType.File,exists:!1}}}fb(A,T){const U=A.charCodeAt(0),B=T.remoteAuthority;let G,N;T.gotoLineMode&&({path:A,line:G,column:N}=(0,d.parseLineAndColumnAware)(A)),U!==47&&((0,d.isWindowsDriveLetter)(U)&&A.charCodeAt(A.charCodeAt(1))===58&&(A=(0,d.toSlashes)(A)),A=`/${A}`);const q=k.URI.from({scheme:v.Schemas.vscodeRemote,authority:B,path:A});if(A.charCodeAt(A.length-1)!==47){if((0,se.hasWorkspaceFileExtension)(A))return T.forceOpenWorkspaceAsFile?{fileUri:q,options:{selection:G?{startLineNumber:G,startColumn:N||1}:void 0},remoteAuthority:T.remoteAuthority}:{workspace:(0,ae.getWorkspaceIdentifier)(q),remoteAuthority:B};if(T.gotoLineMode||m.posix.basename(A).indexOf(".")!==-1)return{fileUri:q,options:{selection:G?{startLineNumber:G,startColumn:N||1}:void 0},remoteAuthority:B}}return{workspace:(0,ae.getSingleFolderWorkspaceIdentifier)(q),remoteAuthority:B}}gb(A){const T=this.z.getValue("window"),U=T?.openFoldersInNewWindow||"default",B=T?.openFilesInNewWindow||"off";let G=(A.preferNewWindow||A.forceNewWindow)&&!A.forceReuseWindow;!A.forceNewWindow&&!A.forceReuseWindow&&(U==="on"||U==="off")&&(G=U==="on");let N=!1;return A.forceNewWindow||A.forceReuseWindow?N=!!A.forceNewWindow&&!A.forceReuseWindow:(w.isMacintosh?A.context===1&&(N=!0):A.context!==3&&A.context!==2&&!(A.userEnv&&A.userEnv.TERM_PROGRAM==="vscode")&&(N=!0),!A.cli.extensionDevelopmentPath&&(B==="on"||B==="off")&&(N=B==="on")),{openFolderInNewWindow:!!G,openFilesInNewWindow:N}}async openExtensionDevelopmentHostWindow(A,T){const U=(0,J.findWindowOnExtensionDevelopmentPath)(this.getWindows(),A);if(U)return this.v.reload(U,T.cli),U.focus(),[U];let B=T.cli["folder-uri"]||[],G=T.cli["file-uri"]||[],N=T.cli._;if(!N.length&&!B.length&&!G.length&&!T.cli.extensionTestsPath){const oe=this.j.state.lastPluginDevelopmentHostWindow,ue=oe?.workspace??oe?.folderUri;ue&&(k.URI.isUri(ue)?ue.scheme===v.Schemas.file?N=[ue.fsPath]:B=[ue.toString()]:ue.configPath.scheme===v.Schemas.file?N=[(0,u.originalFSPath)(ue.configPath)]:G=[ue.configPath.toString()])}let q=T.remoteAuthority;for(const oe of A)if(oe.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const ue=k.URI.parse(oe),ye=(0,O.getRemoteAuthority)(ue);ye&&(q?(0,u.isEqualAuthority)(ye,q)||this.m.error("more than one extension development path authority"):q=ye)}N=N.filter(oe=>{const ue=k.URI.file(oe);return(0,J.findWindowOnWorkspaceOrFolder)(this.getWindows(),ue)?!1:(0,u.isEqualAuthority)((0,O.getRemoteAuthority)(ue),q)}),B=B.filter(oe=>{const ue=this.Y(oe);return ue&&!!(0,J.findWindowOnWorkspaceOrFolder)(this.getWindows(),ue)?!1:ue?(0,u.isEqualAuthority)((0,O.getRemoteAuthority)(ue),q):!1}),G=G.filter(oe=>{const ue=this.Y(oe);return ue&&!!(0,J.findWindowOnWorkspaceOrFolder)(this.getWindows(),ue)?!1:ue?(0,u.isEqualAuthority)((0,O.getRemoteAuthority)(ue),q):!1}),T.cli._=N,T.cli["folder-uri"]=B,T.cli["file-uri"]=G;const Q={context:T.context,cli:T.cli,forceNewWindow:!0,forceEmpty:!N.length&&!B.length&&!G.length,userEnv:T.userEnv,noRecentEntry:!0,waitMarkerFileURI:T.waitMarkerFileURI,remoteAuthority:q,forceProfile:T.forceProfile,forceTempProfile:T.forceTempProfile};return this.open(Q)}async hb(A){const T=this.z.getValue("window");let U;!A.forceNewWindow&&!A.forceNewTabbedWindow&&(U=A.windowToUse||this.getLastActiveWindow(),U&&U.focus());const B={...this.t.args,...A.cli,machineId:this.k,windowId:-1,mainPid:process.pid,appRoot:this.t.appRoot,execPath:process.execPath,codeCachePath:this.t.codeCachePath,backupPath:A.emptyWindowBackupInfo?(0,m.join)(this.t.backupHome,A.emptyWindowBackupInfo.backupFolder):void 0,profiles:{all:this.u.profiles,profile:this.u.defaultProfile},homeDir:this.t.userHome.fsPath,tmpDir:this.t.tmpDir.fsPath,userDataDir:this.t.userDataPath,remoteAuthority:A.remoteAuthority,workspace:A.workspace,userEnv:{...this.l,...A.userEnv},filesToOpenOrCreate:A.filesToOpen?.filesToOpenOrCreate,filesToDiff:A.filesToOpen?.filesToDiff,filesToMerge:A.filesToOpen?.filesToMerge,filesToWait:A.filesToOpen?.filesToWait,logLevel:this.m.getLevel(),loggers:{window:[],global:this.n.getRegisteredLoggers()},logsPath:this.t.logsPath,product:g.default,isInitialStartup:A.initialStartup,perfMarks:(0,f.getMarks)(),os:{release:(0,n.release)(),hostname:(0,n.hostname)()},zoomLevel:typeof T?.zoomLevel=="number"?T.zoomLevel:void 0,autoDetectHighContrast:T?.autoDetectHighContrast??!0,autoDetectColorScheme:T?.autoDetectColorScheme??!1,accessibilitySupport:I.app.accessibilitySupportEnabled,colorScheme:this.L.getColorScheme(),policiesData:this.s.serialize(),continueOn:this.t.continueOn};if(U){const G=U.config;!B.extensionDevelopmentPath&&G?.extensionDevelopmentPath&&(B.extensionDevelopmentPath=G.extensionDevelopmentPath,B.extensionDevelopmentKind=G.extensionDevelopmentKind,B["enable-proposed-api"]=G["enable-proposed-api"],B.verbose=G.verbose,B["inspect-extensions"]=G["inspect-extensions"],B["inspect-brk-extensions"]=G["inspect-brk-extensions"],B.debugId=G.debugId,B.extensionEnvironment=G.extensionEnvironment,B["extensions-dir"]=G["extensions-dir"],B["disable-extensions"]=G["disable-extensions"]),B.loggers=G?.loggers??B.loggers}else{const G=this.j.getNewWindowState(B);(0,f.mark)("code/willCreateCodeWindow");const N=U=this.F.createInstance(V.CodeWindow,{state:G,extensionDevelopmentPath:B.extensionDevelopmentPath,isExtensionTestHost:!!B.extensionTestsPath});(0,f.mark)("code/didCreateCodeWindow"),A.forceNewTabbedWindow&&this.getLastActiveWindow()?.addTabbedWindow(N),lt.a.push(N),this.b.fire(N),this.g.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,h.once)(N.onDidSignalReady)(()=>this.c.fire(N)),(0,h.once)(N.onDidClose)(()=>this.kb(N)),(0,h.once)(N.onDidDestroy)(()=>this.f.fire(N)),N.onDidTriggerSystemContextMenu(({x:Q,y:oe})=>this.h.fire({window:N,x:Q,y:oe}));const q=(0,p.assertIsDefined)(N.win?.webContents);q.removeAllListeners("devtools-reload-page"),q.on("devtools-reload-page",()=>this.v.reload(N)),this.v.registerWindow(N)}return B.windowId=U.id,U.isReady?this.v.unload(U,4).then(async G=>{G||await this.ib(U,B,A)}):await this.ib(U,B,A),U}async ib(A,T,U){if(T.extensionDevelopmentPath||((0,se.isWorkspaceIdentifier)(T.workspace)?T.backupPath=this.w.registerWorkspaceBackup({workspace:T.workspace,remoteAuthority:T.remoteAuthority}):(0,se.isSingleFolderWorkspaceIdentifier)(T.workspace)?T.backupPath=this.w.registerFolderBackup({folderUri:T.workspace.uri,remoteAuthority:T.remoteAuthority}):T.backupPath=this.w.registerEmptyWindowBackup({backupFolder:U.emptyWindowBackupInfo?.backupFolder??(0,ae.createEmptyWorkspaceIdentifier)().id,remoteAuthority:T.remoteAuthority})),this.u.isEnabled()){const B=T.workspace??(0,se.toWorkspaceIdentifier)(T.backupPath,!1),G=this.jb(U,B),N=G instanceof Promise?await G:G;T.profiles.profile=N,T.extensionDevelopmentPath||await this.u.setProfileForWorkspace(B,N)}A.load(T)}jb(A,T){return A.forceProfile?this.u.profiles.find(U=>U.name===A.forceProfile)??this.u.createNamedProfile(A.forceProfile):A.forceTempProfile?this.u.createTransientProfile():this.u.getProfileForWorkspace(T)??this.u.defaultProfile}kb(A){const T=lt.a.indexOf(A);lt.a.splice(T,1),this.g.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const A=I.BrowserWindow.getFocusedWindow();if(A)return this.getWindowById(A.id)}getLastActiveWindow(){return this.mb(this.getWindows())}lb(A){return this.mb(this.getWindows().filter(T=>(0,u.isEqualAuthority)(T.remoteAuthority,A)))}mb(A){const T=Math.max.apply(Math,A.map(U=>U.lastFocusTime));return A.find(U=>U.lastFocusTime===T)}sendToFocused(A,...T){(this.getFocusedWindow()||this.getLastActiveWindow())?.sendWhenReady(A,D.CancellationToken.None,...T)}sendToAll(A,T,U){for(const B of this.getWindows())U&&U.indexOf(B.id)>=0||B.sendWhenReady(A,D.CancellationToken.None,T)}getWindows(){return lt.a}getWindowCount(){return lt.a.length}getWindowById(A){const T=this.getWindows().filter(U=>U.id===A);return(0,C.firstOrDefault)(T)}getWindowByWebContents(A){const T=I.BrowserWindow.fromWebContents(A);if(!!T)return this.getWindowById(T.id)}};_.a=[],_=ve([ee(2,o.ILogService),ee(3,z.ILoggerMainService),ee(4,j.IStateMainService),ee(5,F.IPolicyService),ee(6,i.IEnvironmentMainService),ee(7,W.IUserDataProfilesMainService),ee(8,l.ILifecycleMainService),ee(9,R.IBackupMainService),ee(10,t.IConfigurationService),ee(11,fe.IWorkspacesHistoryMainService),ee(12,ge.IWorkspacesManagementMainService),ee(13,s.IInstantiationService),ee(14,c.IDialogMainService),ee(15,r.IFileService),ee(16,S.IProductService),ee(17,L.IProtocolMainService),ee(18,H.IThemeMainService)],_),e.WindowsMainService=_}),define(te[279],ie([0,1,62,30,78,53]),function(x,e,I,M,n,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let D=class{constructor(d,h,y,b){this.a=d,this.b=h,this.c=y,this.d=b,this.onDidChangeRecentlyOpened=this.c.onDidChangeRecentlyOpened}async enterWorkspace(d,h){const y=this.b.getWindowById(d);if(y)return this.a.enterWorkspace(y,this.b.getWindows(),h)}createUntitledWorkspace(d,h,y){return this.a.createUntitledWorkspace(h,y)}deleteUntitledWorkspace(d,h){return this.a.deleteUntitledWorkspace(h)}getWorkspaceIdentifier(d,h){return this.a.getWorkspaceIdentifier(h)}getRecentlyOpened(d){return this.c.getRecentlyOpened()}addRecentlyOpened(d,h){return this.c.addRecentlyOpened(h)}removeRecentlyOpened(d,h){return this.c.removeRecentlyOpened(h)}clearRecentlyOpened(d){return this.c.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.d.getDirtyWorkspaces()}};D=ve([ee(0,C.IWorkspacesManagementMainService),ee(1,M.IWindowsMainService),ee(2,n.IWorkspacesHistoryMainService),ee(3,I.IBackupMainService)],D),e.WorkspacesMainService=D}),define(te[280],ie([0,1,14,42,26,17,45,13,32,49,43,37,2,15,9,4,10,7,31,134,47,148,104,253,151,62,271,18,74,183,87,120,57,107,206,28,61,111,196,219,197,258,108,198,199,16,210,89,73,6,88,272,232,255,21,5,277,58,19,55,265,91,34,261,95,92,24,237,113,51,48,244,245,273,246,274,116,248,249,250,251,259,30,278,260,29,96,78,279,53,254,39,218,52,228,56,77,118,263,269,267,8,114,262,213,64]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O,j,K,V,J,re,se,ae,fe,ge,H,F,W,z,Y,ne,_,$,A,T,U,B,G,N,q,Q,oe,ue,ye,Re,Oe,Le,Ue,we,pe,ke,Z,ce,de,Ce,Me,Ae,Fe,He,Ne,$e,Ge,We,Ve,X,le,he,me,be,Te,ze,tt,Qe,Ke,et,it,ot,ut,Dt,Ct,Rt,Mt,Lt,At,gt,Ot,Tt,Ft,Ut){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let mt=class extends v.Disposable{constructor(Pe,Ie,Se,Ee,De,je,Je,Ye,qe,Be,xe){super(),this.c=Pe,this.f=Ie,this.g=Se,this.h=Ee,this.i=De,this.j=je,this.k=Je,this.l=Ye,this.m=qe,this.n=Be,this.p=xe,this.r(),this.s()}r(){const Pe=qe=>qe?.startsWith(`${m.Schemas.vscodeWebview}://`),Ie=new Set(["clipboard-read","clipboard-sanitized-write"]);I.session.defaultSession.setPermissionRequestHandler((qe,Be,xe,Xe)=>Pe(Xe.requestingUrl)?xe(Ie.has(Be)):xe(!1)),I.session.defaultSession.setPermissionCheckHandler((qe,Be,xe,Xe)=>Pe(Xe.requestingUrl)?Ie.has(Be):!1);const Se=new Set([m.Schemas.file,m.Schemas.vscodeFileResource,m.Schemas.vscodeRemoteResource,"devtools"]),Ee=qe=>{for(let Be=qe;Be;Be=Be.parent)if(Be.url.startsWith(`${m.Schemas.vscodeWebview}://`))return!0;return!1},De=qe=>qe.resourceType==="xhr"||Ee(qe.frame),je=qe=>{const Be=qe.frame;if(!Be||!this.a)return!1;const xe=I.BrowserWindow.getAllWindows();for(const Xe of xe)if(Be.processId===Xe.webContents.mainFrame.processId)return!0;return!1},Je=(qe,Be)=>{if(qe.path!=="/index.html")return!0;const xe=Be.frame;if(!xe||!this.a)return!1;for(const Xe of this.a.getWindows())if(Xe.win&&xe.processId===Xe.win.webContents.mainFrame.processId)return!0;return!1};I.session.defaultSession.webRequest.onBeforeRequest((qe,Be)=>{const xe=u.URI.parse(qe.url);return xe.scheme===m.Schemas.vscodeWebview&&!Je(xe,qe)?(this.h.error("Blocked vscode-webview request",qe.url),Be({cancel:!0})):xe.scheme===m.Schemas.vscodeFileResource&&!je(qe)?(this.h.error("Blocked vscode-file request",qe.url),Be({cancel:!0})):xe.path.endsWith(".svg")&&!Se.has(xe.scheme)?Be({cancel:!De(qe)}):Be({cancel:!1})}),I.session.defaultSession.webRequest.onHeadersReceived((qe,Be)=>{const xe=qe.responseHeaders,Xe=xe["content-type"]||xe["Content-Type"];if(Xe&&Array.isArray(Xe)){const Ze=u.URI.parse(qe.url);if(Ze.path.endsWith(".svg")&&Se.has(Ze.scheme))return xe["Content-Type"]=["image/svg+xml"],Be({cancel:!1,responseHeaders:xe});if(!Ze.path.endsWith(m.Schemas.vscodeRemoteResource)&&Xe.some(st=>st.toLowerCase().includes("image/svg")))return Be({cancel:!De(qe)})}return Be({cancel:!1})});const Ye=I.session.defaultSession;typeof Ye.setCodeCachePath=="function"&&this.i.codeCachePath&&Ye.setCodeCachePath((0,f.join)(this.i.codeCachePath,"chrome"))}s(){(0,P.setUnexpectedErrorHandler)(Se=>this.u(Se)),process.on("uncaughtException",Se=>(0,P.onUnexpectedError)(Se)),process.on("unhandledRejection",Se=>(0,P.onUnexpectedError)(Se)),this.j.onWillShutdown(()=>this.dispose()),(0,k.registerContextMenuListener)(),I.app.on("accessibility-support-changed",(Se,Ee)=>{this.a?.sendToAll("vscode:accessibilitySupportChanged",Ee)}),I.app.on("activate",async(Se,Ee)=>{this.h.trace("app#activate"),Ee||await this.a?.openEmptyWindow({context:1})}),I.app.on("web-contents-created",(Se,Ee)=>{Ee.on("will-navigate",De=>{this.h.error("webContents#will-navigate: Prevented webcontent navigation"),De.preventDefault()}),Ee.setWindowOpenHandler(({url:De})=>(this.b?.openExternal(void 0,De),{action:"deny"}))});let Pe=[],Ie;I.app.on("open-file",(Se,Ee)=>{this.h.trace("app#open-file: ",Ee),Se.preventDefault(),Pe.push((0,be.hasWorkspaceFileExtension)(Ee)?{workspaceUri:u.URI.file(Ee)}:{fileUri:u.URI.file(Ee)}),Ie!==void 0&&(clearTimeout(Ie),Ie=void 0),Ie=setTimeout(async()=>{await this.a?.open({context:1,cli:this.i.args,urisToOpen:Pe,gotoLineMode:!1,preferNewWindow:!0}),Pe=[],Ie=void 0},100)}),I.app.on("new-window-for-tab",async()=>{await this.a?.openEmptyWindow({context:4})}),M.validatedIpcMain.handle("vscode:fetchShellEnv",Se=>{const Ee=this.a?.getWindowByWebContents(Se.sender);let De,je;return Ee?.config?(De=Ee.config,je={...process.env,...Ee.config.userEnv}):(De=this.i.args,je=process.env),this.M(De,je,!1)}),M.validatedIpcMain.handle("vscode:writeNlsFile",(Se,Ee,De)=>{const je=this.t([Ee]);if(!je||typeof De!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.m.writeFile(je,C.VSBuffer.fromString(De))}),M.validatedIpcMain.handle("vscode:readNlsFile",async(Se,...Ee)=>{const De=this.t(Ee);if(!De)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.m.readFile(De)).value.toString()}),M.validatedIpcMain.on("vscode:toggleDevTools",Se=>Se.sender.toggleDevTools()),M.validatedIpcMain.on("vscode:openDevTools",Se=>Se.sender.openDevTools()),M.validatedIpcMain.on("vscode:reloadWindow",Se=>Se.sender.reload())}t(Pe){let Ie;for(const Se of Pe)typeof Se=="string"&&(typeof Ie!="string"?Ie=Se:Ie=(0,f.join)(Ie,Se));if(!(typeof Ie!="string"||!(0,f.isAbsolute)(Ie)||!(0,d.isEqualOrParent)(Ie,this.i.cachedLanguagesPath,!w.isLinux)))return u.URI.file(Ie)}u(Pe){if(Pe){const Ie={message:`[uncaught exception in main]: ${Pe.message}`,stack:Pe.stack};this.a?.sendToFocused("vscode:reportError",JSON.stringify(Ie))}this.h.error(`[uncaught exception in main]: ${Pe}`),Pe.stack&&this.h.error(Pe.stack)}async startup(){this.h.debug("Starting VS Code"),this.h.debug(`from: ${this.i.appRoot}`),this.h.debug("args:",this.i.args);const Pe=this.n.win32AppUserModelId;w.isWindows&&Pe&&I.app.setAppUserModelId(Pe);try{w.isMacintosh&&this.k.getValue("window.nativeTabs")===!0&&!I.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&I.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Be){this.h.error(Be)}const Ie=new R.Server;this.j.onWillShutdown(Be=>{Be.reason===2&&Ie.dispose()}),this.h.trace("Resolving machine identifier...");const Se=await(0,Ot.resolveMachineId)(this.l);this.h.trace(`Resolved machine identifier: ${Se}`);const{sharedProcess:Ee,sharedProcessReady:De,sharedProcessClient:je}=this.D(Se),Je=await this.F(Se,Ee,De);this.B(Je.createInstance(c.ProxyAuthHandler)),this.B(Je.createInstance(Lt.UserDataProfilesHandler)),Je.invokeFunction(Be=>this.G(Be,Ie,je));const Ye=Je.invokeFunction(Be=>this.v(Be,Ie));this.j.phase=2,await Je.invokeFunction(Be=>this.H(Be,Ye)),this.j.phase=3,Je.invokeFunction(Be=>this.I(Be,Ee)),this.B(new gt.RunOnceScheduler(()=>{this.B((0,gt.runWhenIdle)(()=>this.j.phase=4,2500))},2500)).schedule()}v(Pe,Ie){const Se=this.a=Pe.get(le.IWindowsMainService),Ee=Pe.get(Ne.IURLService),De=this.b=Pe.get(Q.INativeHostMainService),je=this;Ee.registerHandler({async handleURL(Xe,Ze){return je.C(Se,Ee,Xe,Ze)}});const Je=this.B(new me.ActiveWindowManager({onDidOpenWindow:De.onDidOpenWindow,onDidFocusWindow:De.onDidFocusWindow,getActiveWindowId:()=>De.getActiveWindowId(-1)})),Ye=new E.StaticRouter(Xe=>Je.getActiveClientId().then(Ze=>Xe===Ze)),qe=new $e.URLHandlerRouter(Ye,this.h),Be=Ie.getChannel("urlHandler",qe);Ee.registerHandler(new $e.URLHandlerChannelClient(Be));const xe=this.w();return this.B(new We.ElectronURLListener(xe?.urls,Ee,Se,this.i,this.n,this.h)),xe}w(){const Pe=this.i.args["open-url"]?this.i.args._urls||[]:[];Pe.length>0&&this.h.trace("app#resolveInitialProtocolUrls() protocol urls from command line:",Pe);const Ie=global.getOpenUrls()||[];if(Ie.length>0&&this.h.trace("app#resolveInitialProtocolUrls() protocol urls from macOS 'open-url' event:",Ie),Pe.length+Ie.length===0)return;const Se=[];return{urls:[...Pe,...Ie].map(De=>{try{return{uri:u.URI.parse(De),originalUrl:De}}catch{this.h.trace("app#resolveInitialProtocolUrls() protocol url failed to parse:",De);return}}).filter(De=>{if(!De)return!1;if(this.y(De.uri))return this.h.trace("app#resolveInitialProtocolUrls() protocol url was blocked:",De.uri.toString(!0)),!1;const je=this.z(De.uri);return je?(this.h.trace("app#resolveInitialProtocolUrls() protocol url will be handled as window to open:",De.uri.toString(!0),je),Se.push(je),!1):(this.h.trace("app#resolveInitialProtocolUrls() protocol url will be passed to active window for handling:",De.uri.toString(!0)),!0)}),openables:Se}}y(Pe){return!!(Pe.authority===m.Schemas.file&&w.isWindows&&I.dialog.showMessageBoxSync({title:this.n.nameLong,type:"question",buttons:[(0,b.mnemonicButtonLabel)((0,i.localize)(0,null)),(0,b.mnemonicButtonLabel)((0,i.localize)(1,null))],defaultId:0,cancelId:1,message:(0,i.localize)(2,null,(0,b.getPathLabel)(Pe,{os:w.OS,tildify:this.i}),this.n.nameShort),detail:(0,i.localize)(3,null),noLink:!0})===1)}z(Pe){if(!!Pe.path){if(Pe.authority===m.Schemas.file){const Ie=u.URI.file(Pe.fsPath);return(0,be.hasWorkspaceFileExtension)(Ie)?{workspaceUri:Ie}:{fileUri:Ie}}else if(Pe.authority===m.Schemas.vscodeRemote){const Ie=Pe.path.indexOf(f.posix.sep,1);if(Ie!==-1){const Se=Pe.path.substring(1,Ie),Ee=Pe.path.substring(Ie),De=u.URI.from({scheme:m.Schemas.vscodeRemote,authority:Se,path:Ee,query:Pe.query,fragment:Pe.fragment});return(0,be.hasWorkspaceFileExtension)(Ee)?{workspaceUri:De}:/:[\d]+$/.test(Ee)?{fileUri:De}:{folderUri:De}}}}}async C(Pe,Ie,Se,Ee){if(this.h.trace("app#handleProtocolUrl():",Se.toString(!0),Ee),Se.scheme===this.n.urlProtocol&&Se.path==="workspace"&&(Se=Se.with({authority:"file",path:u.URI.parse(Se.query).path,query:""})),this.y(Se))return this.h.trace("app#handleProtocolUrl() protocol url was blocked:",Se.toString(!0)),!0;let De=!1;const je=new URLSearchParams(Se.query);je.get("windowId")==="_blank"?(this.h.trace("app#handleProtocolUrl() found 'windowId=_blank' as parameter, setting shouldOpenInNewWindow=true:",Se.toString(!0)),je.delete("windowId"),Se=Se.with({query:je.toString()}),De=!0):w.isMacintosh&&Pe.getWindowCount()===0&&(this.h.trace("app#handleProtocolUrl() running on macOS with no window open, setting shouldOpenInNewWindow=true:",Se.toString(!0)),De=!0);const Je=je.get("continueOn");Je!==null&&(this.h.trace("app#handleProtocolUrl() found 'continueOn' as parameter:",Se.toString(!0)),je.delete("continueOn"),Se=Se.with({query:je.toString()}),this.i.continueOn=Je??void 0);const Ye=this.z(Se);if(Ye){this.h.trace("app#handleProtocolUrl() opening protocol url as window:",Ye,Se.toString(!0));const[qe]=await Pe.open({context:5,cli:{...this.i.args},urisToOpen:[Ye],forceNewWindow:De,gotoLineMode:!0});return qe.focus(),!0}if(De){this.h.trace("app#handleProtocolUrl() opening empty window and passing in protocol url:",Se.toString(!0));const[qe]=await Pe.open({context:5,cli:{...this.i.args},forceNewWindow:!0,forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,ue.getRemoteAuthority)(Se)});return await qe.ready(),Ie.open(Se,Ee)}return this.h.trace("app#handleProtocolUrl(): not handled",Se.toString(!0),Ee),!1}D(Pe){const Ie=this.B(this.g.createInstance(ye.SharedProcess,Pe,this.f)),Se=(async()=>{this.h.trace("Main->SharedProcess#connect");const De=await Ie.connect();return this.h.trace("Main->SharedProcess#connect: connection established"),new t.Client(De,"main")})(),Ee=(async()=>(await Ie.whenReady(),Se))();return{sharedProcess:Ie,sharedProcessReady:Ee,sharedProcessClient:Se}}async F(Pe,Ie,Se){const Ee=new A.ServiceCollection;switch(process.platform){case"win32":Ee.set(de.IUpdateService,new _.SyncDescriptor(He.Win32UpdateService));break;case"linux":w.isLinuxSnap?Ee.set(de.IUpdateService,new _.SyncDescriptor(Fe.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):Ee.set(de.IUpdateService,new _.SyncDescriptor(Ae.LinuxUpdateService));break;case"darwin":Ee.set(de.IUpdateService,new _.SyncDescriptor(Me.DarwinUpdateService));break}Ee.set(le.IWindowsMainService,new _.SyncDescriptor(he.WindowsMainService,[Pe,this.f],!1));const De=new O.DialogMainService(this.h);Ee.set(O.IDialogMainService,De),Ee.set(B.ILaunchMainService,new _.SyncDescriptor(B.LaunchMainService,void 0,!1)),Ee.set(L.IDiagnosticsMainService,new _.SyncDescriptor(L.DiagnosticsMainService,void 0,!1)),Ee.set(S.IDiagnosticsService,E.ProxyChannel.toService((0,E.getDelayedChannel)(Se.then(Ye=>Ye.getChannel("diagnostics"))))),Ee.set(T.IIssueMainService,new _.SyncDescriptor(T.IssueMainService,[this.f])),Ee.set(j.IEncryptionMainService,new _.SyncDescriptor(K.EncryptionMainService,[Pe])),Ee.set(U.IKeyboardLayoutMainService,new _.SyncDescriptor(U.KeyboardLayoutMainService)),Ee.set(Q.INativeHostMainService,new _.SyncDescriptor(Q.NativeHostMainService,[Ie],!1)),Ee.set(o.ICredentialsMainService,new _.SyncDescriptor(Ke.CredentialsNativeMainService)),Ee.set(Ve.IWebviewManagerService,new _.SyncDescriptor(X.WebviewMainService)),Ee.set(q.IMenubarMainService,new _.SyncDescriptor(q.MenubarMainService)),Ee.set(se.IExtensionUrlTrustService,new _.SyncDescriptor(ae.ExtensionUrlTrustService)),Ee.set(fe.IExtensionHostStarter,new _.SyncDescriptor(ge.ExtensionHostStarter)),Ee.set(Ue.IStorageMainService,new _.SyncDescriptor(Ue.StorageMainService)),Ee.set(Ue.IApplicationStorageMainService,new _.SyncDescriptor(Ue.ApplicationStorageMainService)),w.isWindows?Ee.set(H.IExternalTerminalMainService,new _.SyncDescriptor(F.WindowsExternalTerminalService)):w.isMacintosh?Ee.set(H.IExternalTerminalMainService,new _.SyncDescriptor(F.MacExternalTerminalService)):w.isLinux&&Ee.set(H.IExternalTerminalMainService,new _.SyncDescriptor(F.LinuxExternalTerminalService));const je=new s.BackupMainService(this.i,this.k,this.h,this.l);Ee.set(r.IBackupMainService,je);const Je=new Qe.WorkspacesManagementMainService(this.i,this.h,this.p,je,De,this.n);if(Ee.set(Qe.IWorkspacesManagementMainService,Je),Ee.set(Te.IWorkspacesService,new _.SyncDescriptor(tt.WorkspacesMainService,void 0,!1)),Ee.set(ze.IWorkspacesHistoryMainService,new _.SyncDescriptor(ze.WorkspacesHistoryMainService,void 0,!1)),Ee.set(Ne.IURLService,new _.SyncDescriptor(Ge.NativeURLService,void 0,!1)),(0,ce.supportsTelemetry)(this.n,this.i)){const Ye=(0,ce.isInternalTelemetry)(this.n,this.k),qe=(0,E.getDelayedChannel)(Se.then(st=>st.getChannel("telemetryAppender"))),Be=new ke.TelemetryAppenderClient(qe),xe=(0,we.resolveCommonProperties)(this.m,(0,n.release)(),(0,n.hostname)(),process.arch,this.n.commit,this.n.version,Pe,Ye,this.i.installSourcePath),Xe=(0,ce.getPiiPathsFromEnvironment)(this.i),Ze={appenders:[Be],commonProperties:xe,piiPaths:Xe,sendErrorTelemetry:!0};Ee.set(pe.ITelemetryService,new _.SyncDescriptor(Z.TelemetryService,[Ze],!1))}else Ee.set(pe.ITelemetryService,ce.NullTelemetryService);return Ee.set(Ct.IExtensionsProfileScannerService,new _.SyncDescriptor(Tt.ExtensionsProfileScannerService,void 0,!0)),Ee.set(Rt.IExtensionsScannerService,new _.SyncDescriptor(Mt.ExtensionsScannerService,void 0,!0)),await gt.Promises.settled([je.initialize(),Je.initialize()]),this.g.createChild(Ee)}G(Pe,Ie,Se){const Ee=E.ProxyChannel.fromService(Pe.get(B.ILaunchMainService),{disableMarshalling:!0});this.c.registerChannel("launch",Ee);const De=E.ProxyChannel.fromService(Pe.get(L.IDiagnosticsMainService),{disableMarshalling:!0});this.c.registerChannel("diagnostics",De);const je=new it.PolicyChannel(Pe.get(et.IPolicyService));Ie.registerChannel("policy",je),Se.then(_e=>_e.registerChannel("policy",je));const Je=this.m.getProvider(m.Schemas.file);(0,a.assertType)(Je instanceof ne.DiskFileSystemProvider);const Ye=new Y.DiskFileSystemProviderChannel(Je,this.h,this.i);Ie.registerChannel(W.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Ye),Se.then(_e=>_e.registerChannel(W.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Ye));const qe=E.ProxyChannel.fromService(Pe.get(ot.IUserDataProfilesMainService));Ie.registerChannel("userDataProfiles",qe),Se.then(_e=>_e.registerChannel("userDataProfiles",qe));const Be=new ut.RequestChannel(Pe.get(Dt.IRequestService));Se.then(_e=>_e.registerChannel("request",Be));const xe=new Ce.UpdateChannel(Pe.get(de.IUpdateService));Ie.registerChannel("update",xe);const Xe=E.ProxyChannel.fromService(Pe.get(T.IIssueMainService));Ie.registerChannel("issue",Xe);const Ze=E.ProxyChannel.fromService(Pe.get(j.IEncryptionMainService));Ie.registerChannel("encryption",Ze);const st=E.ProxyChannel.fromService(Pe.get(o.ICredentialsMainService));Ie.registerChannel("credentials",st);const rt=E.ProxyChannel.fromService(Pe.get(Re.ISignService));Ie.registerChannel("sign",rt);const ht=E.ProxyChannel.fromService(Pe.get(U.IKeyboardLayoutMainService));Ie.registerChannel("keyboardLayout",ht),this.b=Pe.get(Q.INativeHostMainService);const yt=E.ProxyChannel.fromService(this.b);Ie.registerChannel("nativeHost",yt),Se.then(_e=>_e.registerChannel("nativeHost",yt));const Wt=E.ProxyChannel.fromService(Pe.get(Te.IWorkspacesService));Ie.registerChannel("workspaces",Wt);const Nt=E.ProxyChannel.fromService(Pe.get(q.IMenubarMainService));Ie.registerChannel("menubar",Nt);const jt=E.ProxyChannel.fromService(Pe.get(Ne.IURLService));Ie.registerChannel("url",jt);const Bt=E.ProxyChannel.fromService(Pe.get(se.IExtensionUrlTrustService));Ie.registerChannel("extensionUrlTrust",Bt);const $t=E.ProxyChannel.fromService(Pe.get(Ve.IWebviewManagerService));Ie.registerChannel("webview",$t);const St=this.B(new Le.StorageDatabaseChannel(this.h,Pe.get(Ue.IStorageMainService)));Ie.registerChannel("storage",St),Se.then(_e=>_e.registerChannel("storage",St));const zt=this.B(new At.ProfileStorageChangesListenerChannel(Pe.get(Ue.IStorageMainService),Pe.get(ot.IUserDataProfilesMainService),this.h));Se.then(_e=>_e.registerChannel("profileStorageListener",zt));const qt=E.ProxyChannel.fromService(Pe.get(H.IExternalTerminalMainService));Ie.registerChannel("externalTerminal",qt);const Et=new Ft.LoggerChannel(Pe.get(Ut.ILoggerMainService));Ie.registerChannel("logger",Et),Se.then(_e=>_e.registerChannel("logger",Et));const Ht=new g.ElectronExtensionHostDebugBroadcastChannel(Pe.get(le.IWindowsMainService));Ie.registerChannel("extensionhostdebugservice",Ht);const Vt=E.ProxyChannel.fromService(Pe.get(fe.IExtensionHostStarter));Ie.registerChannel(fe.ipcExtensionHostStarterChannelName,Vt)}async H(Pe,Ie){const Se=this.a=Pe.get(le.IWindowsMainService),Ee=(0,J.isLaunchedFromCli)(process.env)?0:4,De=this.i.args;if(Ie){if(Ie.openables.length>0)return Se.open({context:Ee,cli:De,urisToOpen:Ie.openables,gotoLineMode:!0,initialStartup:!0});if(Ie.urls.length>0)for(const rt of Ie.urls){const ht=new URLSearchParams(rt.uri.query);if(ht.get("windowId")==="_blank")return ht.delete("windowId"),rt.originalUrl=rt.uri.toString(!0),rt.uri=rt.uri.with({query:ht.toString()}),Se.open({context:Ee,cli:De,forceNewWindow:!0,forceEmpty:!0,gotoLineMode:!0,initialStartup:!0})}}const je=global.macOpenFiles,Je=De._.length,Ye=!!De["folder-uri"],qe=!!De["file-uri"],Be=De["skip-add-to-recently-opened"]===!0,xe=De.wait&&De.waitMarkerFilePath?u.URI.file(De.waitMarkerFilePath):void 0,Xe=De.remote||void 0,Ze=De.profile,st=De["profile-temp"];if(!Je&&!Ye&&!qe){if(De["new-window"]||Ze||st)return Se.open({context:Ee,cli:De,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:Be,waitMarkerFileURI:xe,initialStartup:!0,remoteAuthority:Xe,forceProfile:Ze,forceTempProfile:st});if(je.length)return Se.open({context:1,cli:De,urisToOpen:je.map(rt=>(0,be.hasWorkspaceFileExtension)(rt)?{workspaceUri:u.URI.file(rt)}:{fileUri:u.URI.file(rt)}),noRecentEntry:Be,waitMarkerFileURI:xe,initialStartup:!0})}return Se.open({context:Ee,cli:De,forceNewWindow:De["new-window"]||!Je&&De["unity-launch"],diffMode:De.diff,mergeMode:De.merge,noRecentEntry:Be,waitMarkerFileURI:xe,gotoLineMode:De.goto,initialStartup:!0,remoteAuthority:Xe,forceProfile:Ze,forceTempProfile:st})}I(Pe,Ie){const Se=Pe.get(pe.ITelemetryService),Ee=Pe.get(de.IUpdateService);this.L(Se,Ie),this.J(),I.protocol.registerHttpProtocol(m.Schemas.vscodeRemoteResource,(De,je)=>{je({url:De.url.replace(/^vscode-remote-resource:/,"http:"),method:De.method})}),(Ee instanceof He.Win32UpdateService||Ee instanceof Ae.LinuxUpdateService||Ee instanceof Me.DarwinUpdateService)&&Ee.initialize(),this.M(this.i.args,process.env,!0),this.N()}async J(){const Pe=this.n.win32MutexName;if(w.isWindows&&Pe)try{const Ie=await new Promise((Ee,De)=>{x(["windows-mutex"],Ee,De)}),Se=new Ie.Mutex(Pe);(0,h.once)(this.j.onWillShutdown)(()=>Se.release())}catch(Ie){this.h.error(Ie)}}L(Pe,Ie){let Se=!1;(0,h.once)(this.j.onWillShutdown)(()=>Se=!0),this.B(Ie.onDidError(({type:Ee,details:De})=>{let je;switch(Ee){case 1:je="SharedProcess: detected unresponsive window";break;case 2:je=`SharedProcess: renderer process gone (detail: ${De?.reason??"<unknown>"}, code: ${De?.exitCode??"<unknown>"})`;break;case 3:je=`SharedProcess: failed to load (detail: ${De?.reason??"<unknown>"}, code: ${De?.exitCode??"<unknown>"})`;break}(0,P.onUnexpectedError)(new Error(je)),Pe.publicLog2("sharedprocesserror",{type:Ee,reason:De?.reason,code:De?.exitCode,visible:Ie.isVisible(),shuttingdown:Se})}))}async M(Pe,Ie,Se){try{return await(0,re.getResolvedShellEnv)(this.k,this.h,Pe,Ie)}catch(Ee){const De=(0,D.toErrorMessage)(Ee);Se?this.a?.sendToFocused("vscode:showResolveShellEnvError",De):this.h.error(De)}return{}}async N(){try{const Ie=(await this.m.readFile(this.i.argvResource)).value.toString(),Se=JSON.parse((0,y.stripComments)(Ie)),De=(0,ce.getTelemetryLevel)(this.k)>=1;if(Se["enable-crash-reporter"]===void 0){const je=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${De},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,p.generateUuid)()}"`,"}"],Je=Ie.substring(0,Ie.length-2).concat(`,
`,je.join(`
`));await this.m.writeFile(this.i.argvResource,C.VSBuffer.fromString(Je))}else{const je=Ie.replace(/"enable-crash-reporter": .*,/,`"enable-crash-reporter": ${De},`);je!==Ie&&await this.m.writeFile(this.i.argvResource,C.VSBuffer.fromString(je))}}catch(Pe){this.h.error(Pe)}}};mt=ve([ee(2,$.IInstantiationService),ee(3,N.ILogService),ee(4,V.IEnvironmentMainService),ee(5,G.ILifecycleMainService),ee(6,l.IConfigurationService),ee(7,Oe.IStateMainService),ee(8,z.IFileService),ee(9,oe.IProductService),ee(10,ot.IUserDataProfilesMainService)],mt),e.CodeApplication=mt}),define(te[281],ie([0,1,39,8,288,2,5]),function(x,e,I,M,n,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativePolicyService=void 0;let P=class extends I.AbstractPolicyService{constructor(h,y){super(),this.j=h,this.k=y,this.a=new M.Throttler,this.b=this.B(new C.MutableDisposable)}async i(h){this.j.trace(`NativePolicyService#_updatePolicyDefinitions - Found ${Object.keys(h).length} policy definitions`),await this.a.queue(()=>new Promise((y,b)=>{try{this.b.value=(0,n.createWatcher)(this.k,h,v=>{this.m(v),y()})}catch(v){this.j.error("NativePolicyService#_updatePolicyDefinitions - Error creating watcher:",v),b(v)}}))}m(h){this.j.trace(`NativePolicyService#_onDidPolicyChange - Updated policy values: ${JSON.stringify(h)}`);for(const y in h){const b=h[y];b===void 0?this.g.delete(y):this.g.set(y,b)}this.h.fire(Object.keys(h))}};P=ve([ee(0,D.ILogService)],P),e.NativePolicyService=P}),define(te[282],ie([0,1,230,8,17,13,2,10,18,33,111,5,229,289]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let f=class extends D.Disposable{constructor(a,u,p){super(),this.h=a,this.i=u,this.j=p,this.k(),this.B(a.onDidChangeConfiguration(k=>{k.affectsConfiguration("http")&&this.k()}))}k(){const a=this.h.getValue("http");this.a=a?.proxy,this.b=!!a?.proxyStrictSSL,this.f=a?.proxyAuthorization}async request(a,u){this.j.trace("RequestService#request (node) - begin",a.url);const{a:p,b:k}=this;let E;try{E=await(0,y.getResolvedShellEnv)(this.h,this.j,this.i.args,process.env)}catch(c){this.g||(this.g=!0,this.j.error("RequestService#request (node) resolving shell environment failed",c))}const R={...process.env,...E},t=a.agent?a.agent:await(0,v.getProxyAgent)(a.url||"",R,{proxyUrl:p,strictSSL:k});a.agent=t,a.strictSSL=k,this.f&&(a.headers={...a.headers||{},"Proxy-Authorization":this.f});try{const c=await this.m(a,u);return this.j.trace("RequestService#request (node) - success",a.url),c}catch(c){throw this.j.trace("RequestService#request (node) - error",a.url,c),c}}async l(a){return((0,I.parse)(a.url).protocol==="https:"?await new Promise((k,E)=>{x(["https"],k,E)}):await new Promise((k,E)=>{x(["http"],k,E)})).request}m(a,u){return M.Promises.withAsyncBody(async(p,k)=>{const E=(0,I.parse)(a.url),R=a.getRawRequest?a.getRawRequest(a):await this.l(a),t={hostname:E.hostname,port:E.port?parseInt(E.port):E.protocol==="https:"?443:80,protocol:E.protocol,path:E.path,method:a.type||"GET",headers:a.headers,agent:a.agent,rejectUnauthorized:(0,P.isBoolean)(a.strictSSL)?a.strictSSL:!0};a.user&&a.password&&(t.auth=a.user+":"+a.password);const c=R(t,i=>{const r=(0,P.isNumber)(a.followRedirects)?a.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&r>0&&i.headers.location)this.m({...a,url:i.headers.location,followRedirects:r-1},u).then(p,k);else{let s=i;!a.isChromiumNetwork&&i.headers["content-encoding"]==="gzip"&&(s=i.pipe((0,m.createGunzip)())),p({res:i,stream:(0,n.streamToBufferReadableStream)(s)})}});c.on("error",k),a.timeout&&c.setTimeout(a.timeout),a.isChromiumNetwork&&c.removeHeader("Content-Length"),a.data&&typeof a.data=="string"&&c.write(a.data),c.end(),u.onCancellationRequested(()=>{c.abort(),k(new C.CancellationError)})})}async resolveProxy(a){}};f=ve([ee(0,d.IConfigurationService),ee(1,h.INativeEnvironmentService),ee(2,b.ILogService)],f),e.RequestService=f}),define(te[283],ie([0,1,14,282]),function(x,e,I,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function n(D){return I.net.request}class C extends M.RequestService{request(P,d){return super.request({...P||{},getRawRequest:n,isChromiumNetwork:!0},d)}}e.RequestMainService=C}),define(te[290],ie([0,1,14,41,7,25,8,45,13,32,49,37,15,9,63,4,36,27,23,47,86,280,11,18,223,236,28,61,187,16,208,89,73,204,88,21,211,5,65,19,66,264,115,242,56,283,91,231,34,235,51,68,52,39,281,217,2,40,247,38,64,212,243]),function(x,e,I,M,n,C,D,P,d,h,y,b,v,m,f,w,a,u,p,k,E,R,t,c,i,r,s,l,o,g,S,L,O,j,K,V,J,re,se,ae,fe,ge,H,F,W,z,Y,ne,_,$,A,T,U,B,G,N,q,Q,oe,ue,ye,Re){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class Oe{main(){try{this.a()}catch(we){console.error(we.message),I.app.exit(1)}}async a(){(0,d.setUnexpectedErrorHandler)(Ae=>console.error(Ae));const[we,pe,ke,Z,ce,de,Ce,Me]=this.b();try{try{await this.d(ke,Me,Z,ce,Ce)}catch(Ae){throw this.f(ke,Ce.nameLong,Ae),Ae}await we.invokeFunction(async Ae=>{const Fe=Ae.get(re.ILogService),He=Ae.get(V.ILifecycleMainService),Ne=Ae.get(g.IFileService),$e=Ae.get(re.ILoggerService),Ge=await this.e(Fe,ke,He,we,Ce,!0);return p.Promises.writeFile(ke.mainLockfile,String(process.pid)).catch(We=>{Fe.warn(`Error writing main lockfile: ${We.stack}`)}),de.logger=$e.createLogger(n.URI.file((0,m.join)(ke.logsPath,"main.log")),{id:"mainLog",name:(0,t.localize)(0,null)}),(0,y.once)(He.onWillShutdown)(We=>{Ne.dispose(),Z.dispose(),We.join(p.Promises.unlink(ke.mainLockfile).catch(()=>{}))}),we.createInstance(R.CodeApplication,Ge,pe).startup()})}catch(Ae){we.invokeFunction(this.i,Ae)}}b(){const we=new K.ServiceCollection,pe=new q.DisposableStore;process.once("exit",()=>pe.dispose());const ke={_serviceBrand:void 0,...se.default};we.set(ae.IProductService,ke);const Z=new s.EnvironmentMainService(this.j(),ke),ce=this.c(Z);we.set(s.IEnvironmentMainService,Z);const de=new ye.LoggerMainService((0,re.getLogLevel)(Z));we.set(ye.ILoggerMainService,de);const Ce=new J.BufferLogger(de.getLogLevel()),Me=pe.add(new Re.LogService(Ce,[new re.ConsoleMainLogger(de.getLogLevel())]));we.set(re.ILogService,Me);const Ae=new S.FileService(Me);we.set(g.IFileService,Ae);const Fe=new L.DiskFileSystemProvider(Me);Ae.registerProvider(v.Schemas.file,Fe);const He=new oe.UriIdentityService(Ae);we.set(Q.IUriIdentityService,He);const Ne=new $.StateMainService(Z,Me,Ae);we.set(_.IStateMainService,Ne);const $e=new U.UserDataProfilesMainService(Ne,He,Z,Ae,Me);we.set(U.IUserDataProfilesMainService,$e);const Ge=w.isWindows&&ke.win32RegValueName?pe.add(new G.NativePolicyService(Me,ke.win32RegValueName)):Z.policyFile?pe.add(new N.FilePolicyService(Z.policyFile,Ae,Me)):new B.NullPolicyService;we.set(B.IPolicyService,Ge);const We=new i.ConfigurationService($e.defaultProfile.settingsResource,Ae,Ge,Me);return we.set(c.IConfigurationService,We),we.set(V.ILifecycleMainService,new O.SyncDescriptor(V.LifecycleMainService,void 0,!1)),we.set(W.IRequestService,new O.SyncDescriptor(z.RequestMainService,void 0,!0)),we.set(T.IThemeMainService,new O.SyncDescriptor(T.ThemeMainService)),we.set(Y.ISignService,new O.SyncDescriptor(ne.SignService,void 0,!1)),we.set(H.ITunnelService,new O.SyncDescriptor(F.TunnelService)),we.set(fe.IProtocolMainService,new ge.ProtocolMainService(Z,$e,Me)),[new j.InstantiationService(we,!0),ce,Z,We,Ne,Ce,ke,$e]}c(we){const pe={VSCODE_IPC_HOOK:we.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(ke=>{const Z=process.env[ke];typeof Z=="string"&&(pe[ke]=Z)}),Object.assign(process.env,pe),pe}async d(we,pe,ke,Z,ce){await D.Promises.settled([Promise.all([we.extensionsPath,we.codeCachePath,we.logsPath,pe.defaultProfile.globalStorageHome.fsPath,we.workspaceStorageHome.fsPath,we.localHistoryHome.fsPath,we.backupHome].map(de=>de?p.Promises.mkdir(de,{recursive:!0}):void 0)),Z.init(),ke.initialize()]),pe.setEnablement(ce.quality!=="stable"||ke.getValue(ue.PROFILES_ENABLEMENT_CONFIG))}async e(we,pe,ke,Z,ce,de){let Ce;try{(0,f.mark)("code/willStartMainServer"),Ce=await(0,E.serve)(pe.mainIPCHandle),(0,f.mark)("code/didStartMainServer"),(0,y.once)(ke.onWillShutdown)(()=>Ce.dispose())}catch(Me){if(Me.code!=="EADDRINUSE")throw this.f(pe,ce.nameLong,Me),Me;let Ae;try{Ae=await(0,E.connect)(pe.mainIPCHandle,"main")}catch($e){if(!de||w.isWindows||$e.code!=="ECONNREFUSED")throw $e.code==="EPERM"&&this.g((0,t.localize)(1,null,ce.nameShort),(0,t.localize)(2,null),ce.nameLong),$e;try{(0,M.unlinkSync)(pe.mainIPCHandle)}catch(Ge){throw we.warn("Could not delete obsolete instance handle",Ge),Ge}return this.e(we,pe,ke,Z,ce,!1)}if(pe.extensionTestsLocationURI&&!pe.debugExtensionHost.break){const $e=`Running extension tests from the command line is currently only supported if no other instance of ${ce.nameShort} is running.`;throw we.error($e),Ae.dispose(),new Error($e)}let Fe;!pe.args.wait&&!pe.args.status&&(Fe=setTimeout(()=>{this.g((0,t.localize)(3,null,ce.nameShort),(0,t.localize)(4,null),ce.nameLong)},1e4));const He=k.ProxyChannel.toService(Ae.getChannel("launch"),{disableMarshalling:!0}),Ne=k.ProxyChannel.toService(Ae.getChannel("diagnostics"),{disableMarshalling:!0});if(pe.args.status)return Z.invokeFunction(async()=>{const $e=new r.DiagnosticsService(A.NullTelemetryService,ce),Ge=await Ne.getMainDiagnostics(),We=await Ne.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),Ve=await $e.getDiagnostics(Ge,We);throw console.log(Ve),new d.ExpectedError});throw w.isWindows&&await this.h(He,we),we.trace("Sending env to running instance..."),await He.start(pe.args,process.env),Ae.dispose(),Fe&&clearTimeout(Fe),new d.ExpectedError("Sent env to running instance. Terminating...")}if(pe.args.status)throw we.warn(`Warning: The --status argument can only be used if ${ce.nameShort} is already running. Please run it again after {0} has started.`),new d.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),Ce}f(we,pe,ke){if(ke.code==="EACCES"||ke.code==="EPERM"){const Z=(0,C.coalesce)([we.userDataPath,we.extensionsPath,E.XDG_RUNTIME_DIR]).map(ce=>(0,b.getPathLabel)(n.URI.file(ce),{os:w.OS,tildify:we}));this.g((0,t.localize)(5,null),(0,t.localize)(6,null,(0,P.toErrorMessage)(ke),Z.join(`
`)),pe)}}g(we,pe,ke){I.dialog.showMessageBoxSync({title:ke,type:"warning",buttons:[(0,b.mnemonicButtonLabel)((0,t.localize)(7,null))],message:we,detail:pe,defaultId:0,noLink:!0})}async h(we,pe){if(w.isWindows){const ke=await we.getMainProcessId();pe.trace("Sending some foreground love to the running instance:",ke);try{(await new Promise((Z,ce)=>{x(["windows-foreground-love"],Z,ce)})).allowSetForegroundWindow(ke)}catch(Z){pe.error(Z)}}}i(we,pe){const ke=we.get(re.ILogService),Z=we.get(V.ILifecycleMainService);let ce=0;pe&&(pe.isExpected?pe.message&&ke.trace(pe.message):(ce=1,pe.stack?ke.error(pe.stack):ke.error(`Startup error: ${pe.toString()}`))),Z.kill(ce)}j(){const we=this.k((0,l.parseMainProcessArgv)(process.argv));if(we.wait&&!we.waitMarkerFilePath){const pe=(0,o.createWaitMarkerFileSync)(we.verbose);pe&&((0,l.addArg)(process.argv,"--waitMarkerFilePath",pe),we.waitMarkerFilePath=pe)}return we}k(we){if(we["open-url"]&&(we._urls=we._,we._=[]),!we.remote){const pe=this.l(we._,we.goto);we._=pe}return we}l(we,pe){const ke=(0,a.cwd)(),Z=we.map(Ce=>{let Me=String(Ce),Ae;pe&&(Ae=(0,h.parseLineAndColumnAware)(Me),Me=Ae.path),Me&&(Me=this.m(ke,Me));const Fe=(0,h.sanitizeFilePath)(Me,ke),He=(0,m.basename)(Fe);return He&&!(0,h.isValidBasename)(He)?null:pe&&Ae?(Ae.path=Fe,this.n(Ae)):Fe}),ce=w.isWindows||w.isMacintosh,de=(0,C.distinct)(Z,Ce=>Ce&&ce?Ce.toLowerCase():Ce||"");return(0,C.coalesce)(de)}m(we,pe){return w.isWindows&&(pe=(0,u.rtrim)(pe,'"')),pe=(0,u.trim)((0,u.trim)(pe," "),"	"),w.isWindows&&(pe=(0,m.resolve)(we,pe),pe=(0,u.rtrim)(pe,".")),pe}n(we){const pe=[we.path];return typeof we.line=="number"&&pe.push(String(we.line)),typeof we.column=="number"&&pe.push(String(we.column)),pe.join(":")}}new Oe().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/5d948e69dac8cbd477e5a7c4a6e8eaa1e0d83f69/core/vs/code/electron-main/main.js.map
