/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ge=["exports","require","vs/base/common/lifecycle","vs/base/common/event","vs/base/browser/dom","vs/base/common/platform","vs/base/common/types","vs/base/common/errors","vs/css!vs/code/electron-sandbox/processExplorer/processExplorerMain","vs/base/common/async","vs/nls!vs/code/electron-sandbox/processExplorer/processExplorerMain","vs/base/common/strings","vs/nls","vs/base/common/arrays","vs/base/browser/keyboardEvent","vs/base/common/uri","vs/base/common/codicons","vs/base/common/themables","vs/base/browser/browser","vs/base/browser/ui/widget","vs/base/browser/event","vs/base/browser/mouseEvent","vs/base/common/path","vs/base/browser/touch","vs/base/browser/ui/tree/tree","vs/base/common/decorators","vs/base/common/iterator","vs/base/common/cancellation","vs/base/parts/sandbox/electron-sandbox/globals","vs/base/common/buffer","vs/base/common/actions","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/network","vs/base/common/resources","vs/base/browser/ui/scrollbar/scrollbarArrow","vs/base/browser/ui/list/listWidget","vs/base/parts/ipc/common/ipc","vs/platform/instantiation/common/instantiation","vs/base/browser/fastDomNode","vs/base/browser/ui/scrollbar/scrollbarState","vs/base/common/functional","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/numbers","vs/base/common/range","vs/css!vs/base/browser/ui/actionbar/actionbar","vs/base/common/scrollable","vs/base/common/marshalling","vs/base/browser/dnd","vs/base/browser/formattedTextRenderer","vs/base/browser/globalPointerMoveMonitor","vs/base/browser/ui/aria/aria","vs/base/browser/ui/tree/indexTreeModel","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/browser/ui/scrollbar/scrollableElement","vs/base/browser/ui/list/listView","vs/base/common/htmlContent","vs/base/browser/ui/actionbar/actionViewItems","vs/base/browser/ui/actionbar/actionbar","vs/base/browser/ui/inputbox/inputBox","vs/base/browser/ui/toggle/toggle","vs/platform/instantiation/common/descriptors","vs/platform/registry/common/platform","vs/base/browser/iframe","vs/base/browser/ui/list/list","vs/base/browser/ui/list/splice","vs/base/common/collections","vs/base/common/color","vs/base/common/diff/diffChange","vs/base/common/assert","vs/base/common/idGenerator","vs/base/common/keybindings","vs/base/common/map","vs/base/common/marked/marked","vs/base/common/navigator","vs/base/common/history","vs/base/browser/ui/list/rangeMap","vs/base/common/stream","vs/base/common/objects","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/css!vs/base/browser/ui/aria/aria","vs/css!vs/base/browser/ui/codicons/codicon/codicon","vs/css!vs/base/browser/ui/codicons/codicon/codicon-modifiers","vs/base/browser/ui/codicons/codiconStyles","vs/css!vs/base/browser/ui/findinput/findInput","vs/css!vs/base/browser/ui/inputbox/inputBox","vs/css!vs/base/browser/ui/list/list","vs/css!vs/base/browser/ui/scrollbar/media/scrollbars","vs/css!vs/base/browser/ui/selectBox/selectBox","vs/css!vs/base/browser/ui/selectBox/selectBoxCustom","vs/css!vs/base/browser/ui/toggle/toggle","vs/css!vs/base/browser/ui/tree/media/tree","vs/css!vs/code/electron-sandbox/processExplorer/media/processExplorer","vs/nls!vs/base/browser/ui/actionbar/actionViewItems","vs/nls!vs/base/browser/ui/findinput/findInput","vs/nls!vs/base/browser/ui/findinput/findInputToggles","vs/nls!vs/base/browser/ui/iconLabel/iconLabelHover","vs/nls!vs/base/browser/ui/inputbox/inputBox","vs/nls!vs/base/browser/ui/selectBox/selectBoxCustom","vs/nls!vs/base/browser/ui/tree/abstractTree","vs/nls!vs/base/common/actions","vs/nls!vs/base/common/platform","vs/base/common/process","vs/base/common/mime","vs/base/common/stopwatch","vs/base/browser/canIUse","vs/base/common/cache","vs/base/common/extpath","vs/base/common/hash","vs/base/common/diff/diff","vs/base/common/ternarySearchTree","vs/base/browser/dompurify/dompurify","vs/base/browser/ui/iconLabel/iconLabels","vs/base/browser/ui/list/rowCache","vs/base/browser/ui/scrollbar/scrollbarVisibilityController","vs/base/browser/ui/selectBox/selectBoxNative","vs/base/browser/ui/tree/objectTreeModel","vs/base/browser/ui/scrollbar/horizontalScrollbar","vs/base/browser/ui/scrollbar/verticalScrollbar","vs/base/browser/markdownRenderer","vs/base/browser/ui/iconLabel/iconLabelHover","vs/base/browser/ui/selectBox/selectBoxCustom","vs/base/browser/ui/selectBox/selectBox","vs/base/browser/ui/findinput/findInputToggles","vs/base/browser/ui/findinput/findInput","vs/base/browser/ui/tree/abstractTree","vs/base/browser/ui/tree/dataTree","vs/base/parts/contextmenu/electron-sandbox/contextmenu","vs/base/parts/ipc/electron-sandbox/ipc.electron","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/theme/common/iconRegistry","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/files/common/files","vs/platform/ipc/electron-sandbox/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/platform/native/electron-sandbox/nativeHostService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/theme/common/iconRegistry","vs/platform/theme/browser/iconsStyleSheet","vs/platform/window/common/window","vs/platform/window/electron-sandbox/window","vs/code/electron-sandbox/processExplorer/processExplorerMain"],me=function(J){for(var t=[],A=0,I=J.length;A<I;A++)t[A]=ge[J[A]];return t};/*! @license DOMPurify 2.3.1 | (c) Cure53 and other contributors | Released under the Apache license 2.0 and Mozilla Public License 2.0 | github.com/cure53/DOMPurify/blob/2.3.1/LICENSE */function $t(J){if(Array.isArray(J)){for(var t=0,A=Array(J.length);t<J.length;t++)A[t]=J[t];return A}else return Array.from(J)}var xt=Object.hasOwnProperty,Nt=Object.setPrototypeOf,jt=Object.isFrozen,qt=Object.getPrototypeOf,Vt=Object.getOwnPropertyDescriptor,et=Object.freeze,ot=Object.seal,Kt=Object.create,It=typeof Reflect<"u"&&Reflect,wt=It.apply,At=It.construct;wt||(wt=function(t,A,I){return t.apply(A,I)}),et||(et=function(t){return t}),ot||(ot=function(t){return t}),At||(At=function(t,A){return new(Function.prototype.bind.apply(t,[null].concat($t(A))))});var Gt=nt(Array.prototype.forEach),Mt=nt(Array.prototype.pop),mt=nt(Array.prototype.push),ht=nt(String.prototype.toLowerCase),Pt=nt(String.prototype.match),lt=nt(String.prototype.replace),Yt=nt(String.prototype.indexOf),Xt=nt(String.prototype.trim),at=nt(RegExp.prototype.test),Rt=Zt(TypeError);function nt(J){return function(t){for(var A=arguments.length,I=Array(A>1?A-1:0),i=1;i<A;i++)I[i-1]=arguments[i];return wt(J,t,I)}}function Zt(J){return function(){for(var t=arguments.length,A=Array(t),I=0;I<t;I++)A[I]=arguments[I];return At(J,A)}}function ze(J,t){Nt&&Nt(J,null);for(var A=t.length;A--;){var I=t[A];if(typeof I=="string"){var i=ht(I);i!==I&&(jt(t)||(t[A]=i),I=i)}J[I]=!0}return J}function ct(J){var t=Kt(null),A=void 0;for(A in J)wt(xt,J,[A])&&(t[A]=J[A]);return t}function Dt(J,t){for(;J!==null;){var A=Vt(J,t);if(A){if(A.get)return nt(A.get);if(typeof A.value=="function")return nt(A.value)}J=qt(J)}function I(i){return console.warn("fallback value for",i),null}return I}var Ot=et(["a","abbr","acronym","address","area","article","aside","audio","b","bdi","bdo","big","blink","blockquote","body","br","button","canvas","caption","center","cite","code","col","colgroup","content","data","datalist","dd","decorator","del","details","dfn","dialog","dir","div","dl","dt","element","em","fieldset","figcaption","figure","font","footer","form","h1","h2","h3","h4","h5","h6","head","header","hgroup","hr","html","i","img","input","ins","kbd","label","legend","li","main","map","mark","marquee","menu","menuitem","meter","nav","nobr","ol","optgroup","option","output","p","picture","pre","progress","q","rp","rt","ruby","s","samp","section","select","shadow","small","source","spacer","span","strike","strong","style","sub","summary","sup","table","tbody","td","template","textarea","tfoot","th","thead","time","tr","track","tt","u","ul","var","video","wbr"]),St=et(["svg","a","altglyph","altglyphdef","altglyphitem","animatecolor","animatemotion","animatetransform","circle","clippath","defs","desc","ellipse","filter","font","g","glyph","glyphref","hkern","image","line","lineargradient","marker","mask","metadata","mpath","path","pattern","polygon","polyline","radialgradient","rect","stop","style","switch","symbol","text","textpath","title","tref","tspan","view","vkern"]),Ct=et(["feBlend","feColorMatrix","feComponentTransfer","feComposite","feConvolveMatrix","feDiffuseLighting","feDisplacementMap","feDistantLight","feFlood","feFuncA","feFuncB","feFuncG","feFuncR","feGaussianBlur","feMerge","feMergeNode","feMorphology","feOffset","fePointLight","feSpecularLighting","feSpotLight","feTile","feTurbulence"]),Qt=et(["animate","color-profile","cursor","discard","fedropshadow","feimage","font-face","font-face-format","font-face-name","font-face-src","font-face-uri","foreignobject","hatch","hatchpath","mesh","meshgradient","meshpatch","meshrow","missing-glyph","script","set","solidcolor","unknown","use"]),Ft=et(["math","menclose","merror","mfenced","mfrac","mglyph","mi","mlabeledtr","mmultiscripts","mn","mo","mover","mpadded","mphantom","mroot","mrow","ms","mspace","msqrt","mstyle","msub","msup","msubsup","mtable","mtd","mtext","mtr","munder","munderover"]),Jt=et(["maction","maligngroup","malignmark","mlongdiv","mscarries","mscarry","msgroup","mstack","msline","msrow","semantics","annotation","annotation-xml","mprescripts","none"]),Bt=et(["#text"]),zt=et(["accept","action","align","alt","autocapitalize","autocomplete","autopictureinpicture","autoplay","background","bgcolor","border","capture","cellpadding","cellspacing","checked","cite","class","clear","color","cols","colspan","controls","controlslist","coords","crossorigin","datetime","decoding","default","dir","disabled","disablepictureinpicture","disableremoteplayback","download","draggable","enctype","enterkeyhint","face","for","headers","height","hidden","high","href","hreflang","id","inputmode","integrity","ismap","kind","label","lang","list","loading","loop","low","max","maxlength","media","method","min","minlength","multiple","muted","name","noshade","novalidate","nowrap","open","optimum","pattern","placeholder","playsinline","poster","preload","pubdate","radiogroup","readonly","rel","required","rev","reversed","role","rows","rowspan","spellcheck","scope","selected","shape","size","sizes","span","srclang","start","src","srcset","step","style","summary","tabindex","title","translate","type","usemap","valign","value","width","xmlns","slot"]),kt=et(["accent-height","accumulate","additive","alignment-baseline","ascent","attributename","attributetype","azimuth","basefrequency","baseline-shift","begin","bias","by","class","clip","clippathunits","clip-path","clip-rule","color","color-interpolation","color-interpolation-filters","color-profile","color-rendering","cx","cy","d","dx","dy","diffuseconstant","direction","display","divisor","dur","edgemode","elevation","end","fill","fill-opacity","fill-rule","filter","filterunits","flood-color","flood-opacity","font-family","font-size","font-size-adjust","font-stretch","font-style","font-variant","font-weight","fx","fy","g1","g2","glyph-name","glyphref","gradientunits","gradienttransform","height","href","id","image-rendering","in","in2","k","k1","k2","k3","k4","kerning","keypoints","keysplines","keytimes","lang","lengthadjust","letter-spacing","kernelmatrix","kernelunitlength","lighting-color","local","marker-end","marker-mid","marker-start","markerheight","markerunits","markerwidth","maskcontentunits","maskunits","max","mask","media","method","mode","min","name","numoctaves","offset","operator","opacity","order","orient","orientation","origin","overflow","paint-order","path","pathlength","patterncontentunits","patterntransform","patternunits","points","preservealpha","preserveaspectratio","primitiveunits","r","rx","ry","radius","refx","refy","repeatcount","repeatdur","restart","result","rotate","scale","seed","shape-rendering","specularconstant","specularexponent","spreadmethod","startoffset","stddeviation","stitchtiles","stop-color","stop-opacity","stroke-dasharray","stroke-dashoffset","stroke-linecap","stroke-linejoin","stroke-miterlimit","stroke-opacity","stroke","stroke-width","style","surfacescale","systemlanguage","tabindex","targetx","targety","transform","text-anchor","text-decoration","text-rendering","textlength","type","u1","u2","unicode","values","viewbox","visibility","version","vert-adv-y","vert-origin-x","vert-origin-y","width","word-spacing","wrap","writing-mode","xchannelselector","ychannelselector","x","x1","x2","xmlns","y","y1","y2","z","zoomandpan"]),Ht=et(["accent","accentunder","align","bevelled","close","columnsalign","columnlines","columnspan","denomalign","depth","dir","display","displaystyle","encoding","fence","frame","height","href","id","largeop","length","linethickness","lspace","lquote","mathbackground","mathcolor","mathsize","mathvariant","maxsize","minsize","movablelimits","notation","numalign","open","rowalign","rowlines","rowspacing","rowspan","rspace","rquote","scriptlevel","scriptminsize","scriptsizemultiplier","selection","separator","separators","stretchy","subscriptshift","supscriptshift","symmetric","voffset","width","xmlns"]),yt=et(["xlink:href","xml:id","xlink:title","xml:space","xmlns:xlink"]),ei=ot(/\{\{[\s\S]*|[\s\S]*\}\}/gm),ti=ot(/<%[\s\S]*|[\s\S]*%>/gm),ii=ot(/^data-[\-\w.\u00B7-\uFFFF]/),ni=ot(/^aria-[\-\w]+$/),si=ot(/^(?:(?:(?:f|ht)tps?|mailto|tel|callto|cid|xmpp):|[^a-z]|[a-z+.\-]+(?:[^a-z+.\-:]|$))/i),ri=ot(/^(?:\w+script|data):/i),oi=ot(/[\u0000-\u0020\u00A0\u1680\u180E\u2000-\u2029\u205F\u3000]/g),bt=typeof Symbol=="function"&&typeof Symbol.iterator=="symbol"?function(J){return typeof J}:function(J){return J&&typeof Symbol=="function"&&J.constructor===Symbol&&J!==Symbol.prototype?"symbol":typeof J};function rt(J){if(Array.isArray(J)){for(var t=0,A=Array(J.length);t<J.length;t++)A[t]=J[t];return A}else return Array.from(J)}var ai=function(){return typeof window>"u"?null:window},li=function(t,A){if((typeof t>"u"?"undefined":bt(t))!=="object"||typeof t.createPolicy!="function")return null;var I=null,i="data-tt-policy-suffix";A.currentScript&&A.currentScript.hasAttribute(i)&&(I=A.currentScript.getAttribute(i));var _="dompurify"+(I?"#"+I:"");try{return t.createPolicy(_,{createHTML:function(v){return v}})}catch{return console.warn("TrustedTypes policy "+_+" could not be created."),null}};function Ut(){var J=arguments.length>0&&arguments[0]!==void 0?arguments[0]:ai(),t=function(ae){return Ut(ae)};if(t.version="2.3.1",t.removed=[],!J||!J.document||J.document.nodeType!==9)return t.isSupported=!1,t;var A=J.document,I=J.document,i=J.DocumentFragment,_=J.HTMLTemplateElement,w=J.Node,v=J.Element,d=J.NodeFilter,u=J.NamedNodeMap,c=u===void 0?J.NamedNodeMap||J.MozNamedAttrMap:u,M=J.Text,o=J.Comment,n=J.DOMParser,e=J.trustedTypes,s=v.prototype,r=Dt(s,"cloneNode"),a=Dt(s,"nextSibling"),l=Dt(s,"childNodes"),y=Dt(s,"parentNode");if(typeof _=="function"){var S=I.createElement("template");S.content&&S.content.ownerDocument&&(I=S.content.ownerDocument)}var F=li(e,A),f=F&&ie?F.createHTML(""):"",D=I,T=D.implementation,L=D.createNodeIterator,h=D.createDocumentFragment,p=D.getElementsByTagName,m=A.importNode,E={};try{E=ct(I).documentMode?I.documentMode:{}}catch{}var O={};t.isSupported=typeof y=="function"&&T&&typeof T.createHTMLDocument<"u"&&E!==9;var V=ei,ee=ti,Z=ii,te=ni,oe=ri,he=oi,de=si,ce=null,pe=ze({},[].concat(rt(Ot),rt(St),rt(Ct),rt(Ft),rt(Bt))),Te=null,Pe=ze({},[].concat(rt(zt),rt(kt),rt(Ht),rt(yt))),Oe=null,j=null,G=!0,se=!0,ne=!1,Q=!1,b=!1,R=!1,H=!1,g=!1,N=!1,$=!0,ie=!1,k=!0,P=!0,U=!1,C={},B=null,z=ze({},["annotation-xml","audio","colgroup","desc","foreignobject","head","iframe","math","mi","mn","mo","ms","mtext","noembed","noframes","noscript","plaintext","script","style","svg","template","thead","title","video","xmp"]),W=null,x=ze({},["audio","video","img","source","image","track"]),Y=null,re=ze({},["alt","class","for","id","label","name","pattern","placeholder","role","summary","title","value","style","xmlns"]),ue="http://www.w3.org/1998/Math/MathML",we="http://www.w3.org/2000/svg",De="http://www.w3.org/1999/xhtml",Le=De,Ae=!1,ve=null,Me=I.createElement("form"),Ie=function(ae){ve&&ve===ae||((!ae||(typeof ae>"u"?"undefined":bt(ae))!=="object")&&(ae={}),ae=ct(ae),ce="ALLOWED_TAGS"in ae?ze({},ae.ALLOWED_TAGS):pe,Te="ALLOWED_ATTR"in ae?ze({},ae.ALLOWED_ATTR):Pe,Y="ADD_URI_SAFE_ATTR"in ae?ze(ct(re),ae.ADD_URI_SAFE_ATTR):re,W="ADD_DATA_URI_TAGS"in ae?ze(ct(x),ae.ADD_DATA_URI_TAGS):x,B="FORBID_CONTENTS"in ae?ze({},ae.FORBID_CONTENTS):z,Oe="FORBID_TAGS"in ae?ze({},ae.FORBID_TAGS):{},j="FORBID_ATTR"in ae?ze({},ae.FORBID_ATTR):{},C="USE_PROFILES"in ae?ae.USE_PROFILES:!1,G=ae.ALLOW_ARIA_ATTR!==!1,se=ae.ALLOW_DATA_ATTR!==!1,ne=ae.ALLOW_UNKNOWN_PROTOCOLS||!1,Q=ae.SAFE_FOR_TEMPLATES||!1,b=ae.WHOLE_DOCUMENT||!1,g=ae.RETURN_DOM||!1,N=ae.RETURN_DOM_FRAGMENT||!1,$=ae.RETURN_DOM_IMPORT!==!1,ie=ae.RETURN_TRUSTED_TYPE||!1,H=ae.FORCE_BODY||!1,k=ae.SANITIZE_DOM!==!1,P=ae.KEEP_CONTENT!==!1,U=ae.IN_PLACE||!1,de=ae.ALLOWED_URI_REGEXP||de,Le=ae.NAMESPACE||De,Q&&(se=!1),N&&(g=!0),C&&(ce=ze({},[].concat(rt(Bt))),Te=[],C.html===!0&&(ze(ce,Ot),ze(Te,zt)),C.svg===!0&&(ze(ce,St),ze(Te,kt),ze(Te,yt)),C.svgFilters===!0&&(ze(ce,Ct),ze(Te,kt),ze(Te,yt)),C.mathMl===!0&&(ze(ce,Ft),ze(Te,Ht),ze(Te,yt))),ae.ADD_TAGS&&(ce===pe&&(ce=ct(ce)),ze(ce,ae.ADD_TAGS)),ae.ADD_ATTR&&(Te===Pe&&(Te=ct(Te)),ze(Te,ae.ADD_ATTR)),ae.ADD_URI_SAFE_ATTR&&ze(Y,ae.ADD_URI_SAFE_ATTR),ae.FORBID_CONTENTS&&(B===z&&(B=ct(B)),ze(B,ae.FORBID_CONTENTS)),P&&(ce["#text"]=!0),b&&ze(ce,["html","head","body"]),ce.table&&(ze(ce,["tbody"]),delete Oe.tbody),et&&et(ae),ve=ae)},_e=ze({},["mi","mo","mn","ms","mtext"]),He=ze({},["foreignobject","desc","title","annotation-xml"]),We=ze({},St);ze(We,Ct),ze(We,Qt);var Je=ze({},Ft);ze(Je,Jt);var it=function(ae){var Ee=y(ae);(!Ee||!Ee.tagName)&&(Ee={namespaceURI:De,tagName:"template"});var ke=ht(ae.tagName),Ue=ht(Ee.tagName);if(ae.namespaceURI===we)return Ee.namespaceURI===De?ke==="svg":Ee.namespaceURI===ue?ke==="svg"&&(Ue==="annotation-xml"||_e[Ue]):Boolean(We[ke]);if(ae.namespaceURI===ue)return Ee.namespaceURI===De?ke==="math":Ee.namespaceURI===we?ke==="math"&&He[Ue]:Boolean(Je[ke]);if(ae.namespaceURI===De){if(Ee.namespaceURI===we&&!He[Ue]||Ee.namespaceURI===ue&&!_e[Ue])return!1;var Ke=ze({},["title","style","font","a","script"]);return!Je[ke]&&(Ke[ke]||!We[ke])}return!1},Be=function(ae){mt(t.removed,{element:ae});try{ae.parentNode.removeChild(ae)}catch{try{ae.outerHTML=f}catch{ae.remove()}}},je=function(ae,Ee){try{mt(t.removed,{attribute:Ee.getAttributeNode(ae),from:Ee})}catch{mt(t.removed,{attribute:null,from:Ee})}if(Ee.removeAttribute(ae),ae==="is"&&!Te[ae])if(g||N)try{Be(Ee)}catch{}else try{Ee.setAttribute(ae,"")}catch{}},Ge=function(ae){var Ee=void 0,ke=void 0;if(H)ae="<remove></remove>"+ae;else{var Ue=Pt(ae,/^[\r\n\t ]+/);ke=Ue&&Ue[0]}var Ke=F?F.createHTML(ae):ae;if(Le===De)try{Ee=new n().parseFromString(Ke,"text/html")}catch{}if(!Ee||!Ee.documentElement){Ee=T.createDocument(Le,"template",null);try{Ee.documentElement.innerHTML=Ae?"":Ke}catch{}}var Xe=Ee.body||Ee.documentElement;return ae&&ke&&Xe.insertBefore(I.createTextNode(ke),Xe.childNodes[0]||null),Le===De?p.call(Ee,b?"html":"body")[0]:b?Ee.documentElement:Xe},q=function(ae){return L.call(ae.ownerDocument||ae,ae,d.SHOW_ELEMENT|d.SHOW_COMMENT|d.SHOW_TEXT,null,!1)},le=function(ae){return ae instanceof M||ae instanceof o?!1:typeof ae.nodeName!="string"||typeof ae.textContent!="string"||typeof ae.removeChild!="function"||!(ae.attributes instanceof c)||typeof ae.removeAttribute!="function"||typeof ae.setAttribute!="function"||typeof ae.namespaceURI!="string"||typeof ae.insertBefore!="function"},be=function(ae){return(typeof w>"u"?"undefined":bt(w))==="object"?ae instanceof w:ae&&(typeof ae>"u"?"undefined":bt(ae))==="object"&&typeof ae.nodeType=="number"&&typeof ae.nodeName=="string"},ye=function(ae,Ee,ke){!O[ae]||Gt(O[ae],function(Ue){Ue.call(t,Ee,ke,ve)})},Ce=function(ae){var Ee=void 0;if(ye("beforeSanitizeElements",ae,null),le(ae)||Pt(ae.nodeName,/[\u0080-\uFFFF]/))return Be(ae),!0;var ke=ht(ae.nodeName);if(ye("uponSanitizeElement",ae,{tagName:ke,allowedTags:ce}),!be(ae.firstElementChild)&&(!be(ae.content)||!be(ae.content.firstElementChild))&&at(/<[/\w]/g,ae.innerHTML)&&at(/<[/\w]/g,ae.textContent)||ke==="select"&&at(/<template/i,ae.innerHTML))return Be(ae),!0;if(!ce[ke]||Oe[ke]){if(P&&!B[ke]){var Ue=y(ae)||ae.parentNode,Ke=l(ae)||ae.childNodes;if(Ke&&Ue)for(var Xe=Ke.length,Ze=Xe-1;Ze>=0;--Ze)Ue.insertBefore(r(Ke[Ze],!0),a(ae))}return Be(ae),!0}return ae instanceof v&&!it(ae)||(ke==="noscript"||ke==="noembed")&&at(/<\/no(script|embed)/i,ae.innerHTML)?(Be(ae),!0):(Q&&ae.nodeType===3&&(Ee=ae.textContent,Ee=lt(Ee,V," "),Ee=lt(Ee,ee," "),ae.textContent!==Ee&&(mt(t.removed,{element:ae.cloneNode()}),ae.textContent=Ee)),ye("afterSanitizeElements",ae,null),!1)},Re=function(ae,Ee,ke){if(k&&(Ee==="id"||Ee==="name")&&(ke in I||ke in Me))return!1;if(!(se&&!j[Ee]&&at(Z,Ee))){if(!(G&&at(te,Ee))){if(!Te[Ee]||j[Ee])return!1;if(!Y[Ee]){if(!at(de,lt(ke,he,""))){if(!((Ee==="src"||Ee==="xlink:href"||Ee==="href")&&ae!=="script"&&Yt(ke,"data:")===0&&W[ae])){if(!(ne&&!at(oe,lt(ke,he,"")))){if(ke)return!1}}}}}}return!0},xe=function(ae){var Ee=void 0,ke=void 0,Ue=void 0,Ke=void 0;ye("beforeSanitizeAttributes",ae,null);var Xe=ae.attributes;if(!!Xe){var Ze={attrName:"",attrValue:"",keepAttr:!0,allowedAttributes:Te};for(Ke=Xe.length;Ke--;){Ee=Xe[Ke];var st=Ee,ut=st.name,Et=st.namespaceURI;if(ke=Xt(Ee.value),Ue=ht(ut),Ze.attrName=Ue,Ze.attrValue=ke,Ze.keepAttr=!0,Ze.forceKeepAttr=void 0,ye("uponSanitizeAttribute",ae,Ze),ke=Ze.attrValue,!Ze.forceKeepAttr&&(je(ut,ae),!!Ze.keepAttr)){if(at(/\/>/i,ke)){je(ut,ae);continue}Q&&(ke=lt(ke,V," "),ke=lt(ke,ee," "));var Tt=ae.nodeName.toLowerCase();if(!!Re(Tt,Ue,ke))try{Et?ae.setAttributeNS(Et,ut,ke):ae.setAttribute(ut,ke),Mt(t.removed)}catch{}}}ye("afterSanitizeAttributes",ae,null)}},tt=function Ne(ae){var Ee=void 0,ke=q(ae);for(ye("beforeSanitizeShadowDOM",ae,null);Ee=ke.nextNode();)ye("uponSanitizeShadowNode",Ee,null),!Ce(Ee)&&(Ee.content instanceof i&&Ne(Ee.content),xe(Ee));ye("afterSanitizeShadowDOM",ae,null)};return t.sanitize=function(Ne,ae){var Ee=void 0,ke=void 0,Ue=void 0,Ke=void 0,Xe=void 0;if(Ae=!Ne,Ae&&(Ne="<!-->"),typeof Ne!="string"&&!be(Ne)){if(typeof Ne.toString!="function")throw Rt("toString is not a function");if(Ne=Ne.toString(),typeof Ne!="string")throw Rt("dirty is not a string, aborting")}if(!t.isSupported){if(bt(J.toStaticHTML)==="object"||typeof J.toStaticHTML=="function"){if(typeof Ne=="string")return J.toStaticHTML(Ne);if(be(Ne))return J.toStaticHTML(Ne.outerHTML)}return Ne}if(R||Ie(ae),t.removed=[],typeof Ne=="string"&&(U=!1),!U)if(Ne instanceof w)Ee=Ge("<!---->"),ke=Ee.ownerDocument.importNode(Ne,!0),ke.nodeType===1&&ke.nodeName==="BODY"||ke.nodeName==="HTML"?Ee=ke:Ee.appendChild(ke);else{if(!g&&!Q&&!b&&Ne.indexOf("<")===-1)return F&&ie?F.createHTML(Ne):Ne;if(Ee=Ge(Ne),!Ee)return g?null:f}Ee&&H&&Be(Ee.firstChild);for(var Ze=q(U?Ne:Ee);Ue=Ze.nextNode();)Ue.nodeType===3&&Ue===Ke||Ce(Ue)||(Ue.content instanceof i&&tt(Ue.content),xe(Ue),Ke=Ue);if(Ke=null,U)return Ne;if(g){if(N)for(Xe=h.call(Ee.ownerDocument);Ee.firstChild;)Xe.appendChild(Ee.firstChild);else Xe=Ee;return $&&(Xe=m.call(A,Xe,!0)),Xe}var st=b?Ee.outerHTML:Ee.innerHTML;return Q&&(st=lt(st,V," "),st=lt(st,ee," ")),F&&ie?F.createHTML(st):st},t.setConfig=function(Ne){Ie(Ne),R=!0},t.clearConfig=function(){ve=null,R=!1},t.isValidAttribute=function(Ne,ae,Ee){ve||Ie({});var ke=ht(Ne),Ue=ht(ae);return Re(ke,Ue,Ee)},t.addHook=function(Ne,ae){typeof ae=="function"&&(O[Ne]=O[Ne]||[],mt(O[Ne],ae))},t.removeHook=function(Ne){O[Ne]&&Mt(O[Ne])},t.removeHooks=function(Ne){O[Ne]&&(O[Ne]=[])},t.removeAllHooks=function(){O={}},t}var ui=Ut();define("vs/base/browser/dompurify/dompurify",function(){return ui}),define(ge[39],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createFastDomNode=t.FastDomNode=void 0;class A{constructor(w){this.domNode=w,this.a="",this.b="",this.c="",this.d="",this.e="",this.f="",this.g="",this.h="",this.i="",this.j="",this.k="",this.l="",this.m="",this.n="",this.o="",this.p="",this.q="",this.r="",this.s="",this.t="",this.u="",this.v="",this.w="",this.x="",this.y="",this.z="",this.A=!1,this.B="none",this.C=""}setMaxWidth(w){const v=I(w);this.a!==v&&(this.a=v,this.domNode.style.maxWidth=this.a)}setWidth(w){const v=I(w);this.b!==v&&(this.b=v,this.domNode.style.width=this.b)}setHeight(w){const v=I(w);this.c!==v&&(this.c=v,this.domNode.style.height=this.c)}setTop(w){const v=I(w);this.d!==v&&(this.d=v,this.domNode.style.top=this.d)}setLeft(w){const v=I(w);this.e!==v&&(this.e=v,this.domNode.style.left=this.e)}setBottom(w){const v=I(w);this.f!==v&&(this.f=v,this.domNode.style.bottom=this.f)}setRight(w){const v=I(w);this.g!==v&&(this.g=v,this.domNode.style.right=this.g)}setPaddingTop(w){const v=I(w);this.h!==v&&(this.h=v,this.domNode.style.paddingTop=this.h)}setPaddingLeft(w){const v=I(w);this.i!==v&&(this.i=v,this.domNode.style.paddingLeft=this.i)}setPaddingBottom(w){const v=I(w);this.j!==v&&(this.j=v,this.domNode.style.paddingBottom=this.j)}setPaddingRight(w){const v=I(w);this.k!==v&&(this.k=v,this.domNode.style.paddingRight=this.k)}setFontFamily(w){this.l!==w&&(this.l=w,this.domNode.style.fontFamily=this.l)}setFontWeight(w){this.m!==w&&(this.m=w,this.domNode.style.fontWeight=this.m)}setFontSize(w){const v=I(w);this.n!==v&&(this.n=v,this.domNode.style.fontSize=this.n)}setFontStyle(w){this.o!==w&&(this.o=w,this.domNode.style.fontStyle=this.o)}setFontFeatureSettings(w){this.p!==w&&(this.p=w,this.domNode.style.fontFeatureSettings=this.p)}setFontVariationSettings(w){this.q!==w&&(this.q=w,this.domNode.style.fontVariationSettings=this.q)}setTextDecoration(w){this.r!==w&&(this.r=w,this.domNode.style.textDecoration=this.r)}setLineHeight(w){const v=I(w);this.s!==v&&(this.s=v,this.domNode.style.lineHeight=this.s)}setLetterSpacing(w){const v=I(w);this.t!==v&&(this.t=v,this.domNode.style.letterSpacing=this.t)}setClassName(w){this.u!==w&&(this.u=w,this.domNode.className=this.u)}toggleClassName(w,v){this.domNode.classList.toggle(w,v),this.u=this.domNode.className}setDisplay(w){this.v!==w&&(this.v=w,this.domNode.style.display=this.v)}setPosition(w){this.w!==w&&(this.w=w,this.domNode.style.position=this.w)}setVisibility(w){this.x!==w&&(this.x=w,this.domNode.style.visibility=this.x)}setColor(w){this.y!==w&&(this.y=w,this.domNode.style.color=this.y)}setBackgroundColor(w){this.z!==w&&(this.z=w,this.domNode.style.backgroundColor=this.z)}setLayerHinting(w){this.A!==w&&(this.A=w,this.domNode.style.transform=this.A?"translate3d(0px, 0px, 0px)":"")}setBoxShadow(w){this.C!==w&&(this.C=w,this.domNode.style.boxShadow=w)}setContain(w){this.B!==w&&(this.B=w,this.domNode.style.contain=this.B)}setAttribute(w,v){this.domNode.setAttribute(w,v)}removeAttribute(w){this.domNode.removeAttribute(w)}appendChild(w){this.domNode.appendChild(w.domNode)}removeChild(w){this.domNode.removeChild(w.domNode)}}t.FastDomNode=A;function I(_){return typeof _=="number"?`${_}px`:_}function i(_){return new A(_)}t.createFastDomNode=i}),define(ge[65],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IframeUtils=void 0;let A=!1,I=null;function i(w){if(!w.parent||w.parent===w)return null;try{const v=w.location,d=w.parent.location;if(v.origin!=="null"&&d.origin!=="null"&&v.origin!==d.origin)return A=!0,null}catch{return A=!0,null}return w.parent}class _{static getSameOriginWindowChain(){if(!I){I=[];let v=window,d;do d=i(v),d?I.push({window:v,iframeElement:v.frameElement||null}):I.push({window:v,iframeElement:null}),v=d;while(v)}return I.slice(0)}static hasDifferentOriginAncestor(){return I||this.getSameOriginWindowChain(),A}static getPositionOfChildWindowRelativeToAncestorWindow(v,d){if(!d||v===d)return{top:0,left:0};let u=0,c=0;const M=this.getSameOriginWindowChain();for(const o of M){if(u+=o.window.scrollY,c+=o.window.scrollX,o.window===d||!o.iframeElement)break;const n=o.iframeElement.getBoundingClientRect();u+=n.top,c+=n.left}return{top:u,left:c}}}t.IframeUtils=_}),define(ge[66],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CachedListVirtualDelegate=t.ListError=t.ListDragOverReactions=t.ListDragOverEffect=void 0;var A;(function(_){_[_.Copy=0]="Copy",_[_.Move=1]="Move"})(A=t.ListDragOverEffect||(t.ListDragOverEffect={})),t.ListDragOverReactions={reject(){return{accept:!1}},accept(){return{accept:!0}}};class I extends Error{constructor(w,v){super(`ListError [${w}] ${v}`)}}t.ListError=I;class i{constructor(){this.c=new WeakMap}getHeight(w){return this.c.get(w)??this.d(w)}setDynamicHeight(w,v){v>0&&this.c.set(w,v)}}t.CachedListVirtualDelegate=i}),define(ge[67],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CombinedSpliceable=void 0;class A{constructor(i){this.a=i}splice(i,_,w){this.a.forEach(v=>v.splice(i,_,w))}}t.CombinedSpliceable=A}),define(ge[40],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarState=void 0;const A=20;class I{constructor(_,w,v,d,u,c){this.a=Math.round(w),this.b=Math.round(v),this.c=Math.round(_),this.d=d,this.e=u,this.f=c,this.g=0,this.h=!1,this.i=0,this.j=0,this.k=0,this.m()}clone(){return new I(this.c,this.a,this.b,this.d,this.e,this.f)}setVisibleSize(_){const w=Math.round(_);return this.d!==w?(this.d=w,this.m(),!0):!1}setScrollSize(_){const w=Math.round(_);return this.e!==w?(this.e=w,this.m(),!0):!1}setScrollPosition(_){const w=Math.round(_);return this.f!==w?(this.f=w,this.m(),!0):!1}setScrollbarSize(_){this.a=Math.round(_)}setOppositeScrollbarSize(_){this.b=Math.round(_)}static l(_,w,v,d,u){const c=Math.max(0,v-_),M=Math.max(0,c-2*w),o=d>0&&d>v;if(!o)return{computedAvailableSize:Math.round(c),computedIsNeeded:o,computedSliderSize:Math.round(M),computedSliderRatio:0,computedSliderPosition:0};const n=Math.round(Math.max(A,Math.floor(v*M/d))),e=(M-n)/(d-v),s=u*e;return{computedAvailableSize:Math.round(c),computedIsNeeded:o,computedSliderSize:Math.round(n),computedSliderRatio:e,computedSliderPosition:Math.round(s)}}m(){const _=I.l(this.b,this.c,this.d,this.e,this.f);this.g=_.computedAvailableSize,this.h=_.computedIsNeeded,this.i=_.computedSliderSize,this.j=_.computedSliderRatio,this.k=_.computedSliderPosition}getArrowSize(){return this.c}getScrollPosition(){return this.f}getRectangleLargeSize(){return this.g}getRectangleSmallSize(){return this.a}isNeeded(){return this.h}getSliderSize(){return this.i}getSliderPosition(){return this.k}getDesiredScrollPositionFromOffset(_){if(!this.h)return 0;const w=_-this.c-this.i/2;return Math.round(w/this.j)}getDesiredScrollPositionFromOffsetPaged(_){if(!this.h)return 0;const w=_-this.c;let v=this.f;return w<this.k?v-=this.d:v+=this.d,v}getDesiredScrollPositionFromDelta(_){if(!this.h)return 0;const w=this.k+_;return Math.round(w/this.j)}}t.ScrollbarState=I}),define(ge[24],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WeakMapper=t.TreeError=t.TreeDragOverReactions=t.TreeDragOverBubble=t.TreeMouseEventTarget=t.TreeVisibility=void 0;var A;(function(v){v[v.Hidden=0]="Hidden",v[v.Visible=1]="Visible",v[v.Recurse=2]="Recurse"})(A=t.TreeVisibility||(t.TreeVisibility={}));var I;(function(v){v[v.Unknown=0]="Unknown",v[v.Twistie=1]="Twistie",v[v.Element=2]="Element",v[v.Filter=3]="Filter"})(I=t.TreeMouseEventTarget||(t.TreeMouseEventTarget={}));var i;(function(v){v[v.Down=0]="Down",v[v.Up=1]="Up"})(i=t.TreeDragOverBubble||(t.TreeDragOverBubble={})),t.TreeDragOverReactions={acceptBubbleUp(){return{accept:!0,bubble:1}},acceptBubbleDown(v=!1){return{accept:!0,bubble:0,autoExpand:v}},acceptCopyBubbleUp(){return{accept:!0,bubble:1,effect:0}},acceptCopyBubbleDown(v=!1){return{accept:!0,bubble:0,effect:0,autoExpand:v}}};class _ extends Error{constructor(d,u){super(`TreeError [${d}] ${u}`)}}t.TreeError=_;class w{constructor(d){this.a=d,this.b=new WeakMap}map(d){let u=this.b.get(d);return u||(u=this.a(d),this.b.set(d,u)),u}}t.WeakMapper=w}),define(ge[68],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SetMap=t.diffMaps=t.diffSets=t.groupBy=void 0;function A(w,v){const d=Object.create(null);for(const u of w){const c=v(u);let M=d[c];M||(M=d[c]=[]),M.push(u)}return d}t.groupBy=A;function I(w,v){const d=[],u=[];for(const c of w)v.has(c)||d.push(c);for(const c of v)w.has(c)||u.push(c);return{removed:d,added:u}}t.diffSets=I;function i(w,v){const d=[],u=[];for(const[c,M]of w)v.has(c)||d.push(M);for(const[c,M]of v)w.has(c)||u.push(M);return{removed:d,added:u}}t.diffMaps=i;class _{constructor(){this.a=new Map}add(v,d){let u=this.a.get(v);u||(u=new Set,this.a.set(v,u)),u.add(d)}delete(v,d){const u=this.a.get(v);!u||(u.delete(d),u.size===0&&this.a.delete(v))}forEach(v,d){const u=this.a.get(v);!u||u.forEach(d)}}t.SetMap=_}),define(ge[69],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Color=t.HSVA=t.HSLA=t.RGBA=void 0;function A(v,d){const u=Math.pow(10,d);return Math.round(v*u)/u}class I{constructor(d,u,c,M=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,d))|0,this.g=Math.min(255,Math.max(0,u))|0,this.b=Math.min(255,Math.max(0,c))|0,this.a=A(Math.max(Math.min(1,M),0),3)}static equals(d,u){return d.r===u.r&&d.g===u.g&&d.b===u.b&&d.a===u.a}}t.RGBA=I;class i{constructor(d,u,c,M){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,d),0)|0,this.s=A(Math.max(Math.min(1,u),0),3),this.l=A(Math.max(Math.min(1,c),0),3),this.a=A(Math.max(Math.min(1,M),0),3)}static equals(d,u){return d.h===u.h&&d.s===u.s&&d.l===u.l&&d.a===u.a}static fromRGBA(d){const u=d.r/255,c=d.g/255,M=d.b/255,o=d.a,n=Math.max(u,c,M),e=Math.min(u,c,M);let s=0,r=0;const a=(e+n)/2,l=n-e;if(l>0){switch(r=Math.min(a<=.5?l/(2*a):l/(2-2*a),1),n){case u:s=(c-M)/l+(c<M?6:0);break;case c:s=(M-u)/l+2;break;case M:s=(u-c)/l+4;break}s*=60,s=Math.round(s)}return new i(s,r,a,o)}static i(d,u,c){return c<0&&(c+=1),c>1&&(c-=1),c<1/6?d+(u-d)*6*c:c<1/2?u:c<2/3?d+(u-d)*(2/3-c)*6:d}static toRGBA(d){const u=d.h/360,{s:c,l:M,a:o}=d;let n,e,s;if(c===0)n=e=s=M;else{const r=M<.5?M*(1+c):M+c-M*c,a=2*M-r;n=i.i(a,r,u+1/3),e=i.i(a,r,u),s=i.i(a,r,u-1/3)}return new I(Math.round(n*255),Math.round(e*255),Math.round(s*255),o)}}t.HSLA=i;class _{constructor(d,u,c,M){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,d),0)|0,this.s=A(Math.max(Math.min(1,u),0),3),this.v=A(Math.max(Math.min(1,c),0),3),this.a=A(Math.max(Math.min(1,M),0),3)}static equals(d,u){return d.h===u.h&&d.s===u.s&&d.v===u.v&&d.a===u.a}static fromRGBA(d){const u=d.r/255,c=d.g/255,M=d.b/255,o=Math.max(u,c,M),n=Math.min(u,c,M),e=o-n,s=o===0?0:e/o;let r;return e===0?r=0:o===u?r=((c-M)/e%6+6)%6:o===c?r=(M-u)/e+2:r=(u-c)/e+4,new _(Math.round(r*60),s,o,d.a)}static toRGBA(d){const{h:u,s:c,v:M,a:o}=d,n=M*c,e=n*(1-Math.abs(u/60%2-1)),s=M-n;let[r,a,l]=[0,0,0];return u<60?(r=n,a=e):u<120?(r=e,a=n):u<180?(a=n,l=e):u<240?(a=e,l=n):u<300?(r=e,l=n):u<=360&&(r=n,l=e),r=Math.round((r+s)*255),a=Math.round((a+s)*255),l=Math.round((l+s)*255),new I(r,a,l,o)}}t.HSVA=_;class w{static fromHex(d){return w.Format.CSS.parseHex(d)||w.red}static equals(d,u){return!d&&!u?!0:!d||!u?!1:d.equals(u)}get hsla(){return this.i?this.i:i.fromRGBA(this.rgba)}get hsva(){return this.j?this.j:_.fromRGBA(this.rgba)}constructor(d){if(d)if(d instanceof I)this.rgba=d;else if(d instanceof i)this.i=d,this.rgba=i.toRGBA(d);else if(d instanceof _)this.j=d,this.rgba=_.toRGBA(d);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}equals(d){return!!d&&I.equals(this.rgba,d.rgba)&&i.equals(this.hsla,d.hsla)&&_.equals(this.hsva,d.hsva)}getRelativeLuminance(){const d=w.k(this.rgba.r),u=w.k(this.rgba.g),c=w.k(this.rgba.b),M=.2126*d+.7152*u+.0722*c;return A(M,4)}static k(d){const u=d/255;return u<=.03928?u/12.92:Math.pow((u+.055)/1.055,2.4)}getContrastRatio(d){const u=this.getRelativeLuminance(),c=d.getRelativeLuminance();return u>c?(u+.05)/(c+.05):(c+.05)/(u+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(d){const u=this.getRelativeLuminance(),c=d.getRelativeLuminance();return u>c}isDarkerThan(d){const u=this.getRelativeLuminance(),c=d.getRelativeLuminance();return u<c}lighten(d){return new w(new i(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*d,this.hsla.a))}darken(d){return new w(new i(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*d,this.hsla.a))}transparent(d){const{r:u,g:c,b:M,a:o}=this.rgba;return new w(new I(u,c,M,o*d))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new w(new I(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(d){const u=d.rgba,c=this.rgba.a,M=u.a,o=c+M*(1-c);if(o<1e-6)return w.transparent;const n=this.rgba.r*c/o+u.r*M*(1-c)/o,e=this.rgba.g*c/o+u.g*M*(1-c)/o,s=this.rgba.b*c/o+u.b*M*(1-c)/o;return new w(new I(n,e,s,o))}makeOpaque(d){if(this.isOpaque()||d.rgba.a!==1)return this;const{r:u,g:c,b:M,a:o}=this.rgba;return new w(new I(d.rgba.r-o*(d.rgba.r-u),d.rgba.g-o*(d.rgba.g-c),d.rgba.b-o*(d.rgba.b-M),1))}flatten(...d){const u=d.reduceRight((c,M)=>w.o(M,c));return w.o(this,u)}static o(d,u){const c=1-d.rgba.a;return new w(new I(c*u.rgba.r+d.rgba.a*d.rgba.r,c*u.rgba.g+d.rgba.a*d.rgba.g,c*u.rgba.b+d.rgba.a*d.rgba.b))}toString(){return this.u||(this.u=w.Format.CSS.format(this)),this.u}static getLighterColor(d,u,c){if(d.isLighterThan(u))return d;c=c||.5;const M=d.getRelativeLuminance(),o=u.getRelativeLuminance();return c=c*(o-M)/o,d.lighten(c)}static getDarkerColor(d,u,c){if(d.isDarkerThan(u))return d;c=c||.5;const M=d.getRelativeLuminance(),o=u.getRelativeLuminance();return c=c*(M-o)/M,d.darken(c)}}t.Color=w,w.white=new w(new I(255,255,255,1)),w.black=new w(new I(0,0,0,1)),w.red=new w(new I(255,0,0,1)),w.blue=new w(new I(0,0,255,1)),w.green=new w(new I(0,255,0,1)),w.cyan=new w(new I(0,255,255,1)),w.lightgrey=new w(new I(211,211,211,1)),w.transparent=new w(new I(0,0,0,0)),function(v){let d;(function(u){let c;(function(M){function o(f){return f.rgba.a===1?`rgb(${f.rgba.r}, ${f.rgba.g}, ${f.rgba.b})`:v.Format.CSS.formatRGBA(f)}M.formatRGB=o;function n(f){return`rgba(${f.rgba.r}, ${f.rgba.g}, ${f.rgba.b}, ${+f.rgba.a.toFixed(2)})`}M.formatRGBA=n;function e(f){return f.hsla.a===1?`hsl(${f.hsla.h}, ${(f.hsla.s*100).toFixed(2)}%, ${(f.hsla.l*100).toFixed(2)}%)`:v.Format.CSS.formatHSLA(f)}M.formatHSL=e;function s(f){return`hsla(${f.hsla.h}, ${(f.hsla.s*100).toFixed(2)}%, ${(f.hsla.l*100).toFixed(2)}%, ${f.hsla.a.toFixed(2)})`}M.formatHSLA=s;function r(f){const D=f.toString(16);return D.length!==2?"0"+D:D}function a(f){return`#${r(f.rgba.r)}${r(f.rgba.g)}${r(f.rgba.b)}`}M.formatHex=a;function l(f,D=!1){return D&&f.rgba.a===1?v.Format.CSS.formatHex(f):`#${r(f.rgba.r)}${r(f.rgba.g)}${r(f.rgba.b)}${r(Math.round(f.rgba.a*255))}`}M.formatHexA=l;function y(f){return f.isOpaque()?v.Format.CSS.formatHex(f):v.Format.CSS.formatRGBA(f)}M.format=y;function S(f){const D=f.length;if(D===0||f.charCodeAt(0)!==35)return null;if(D===7){const T=16*F(f.charCodeAt(1))+F(f.charCodeAt(2)),L=16*F(f.charCodeAt(3))+F(f.charCodeAt(4)),h=16*F(f.charCodeAt(5))+F(f.charCodeAt(6));return new v(new I(T,L,h,1))}if(D===9){const T=16*F(f.charCodeAt(1))+F(f.charCodeAt(2)),L=16*F(f.charCodeAt(3))+F(f.charCodeAt(4)),h=16*F(f.charCodeAt(5))+F(f.charCodeAt(6)),p=16*F(f.charCodeAt(7))+F(f.charCodeAt(8));return new v(new I(T,L,h,p/255))}if(D===4){const T=F(f.charCodeAt(1)),L=F(f.charCodeAt(2)),h=F(f.charCodeAt(3));return new v(new I(16*T+T,16*L+L,16*h+h))}if(D===5){const T=F(f.charCodeAt(1)),L=F(f.charCodeAt(2)),h=F(f.charCodeAt(3)),p=F(f.charCodeAt(4));return new v(new I(16*T+T,16*L+L,16*h+h,(16*p+p)/255))}return null}M.parseHex=S;function F(f){switch(f){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(c=u.CSS||(u.CSS={}))})(d=v.Format||(v.Format={}))}(w=t.Color||(t.Color={}))}),define(ge[25],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=void 0;function A(w){return(v,d,u)=>{let c=null,M=null;if(typeof u.value=="function"?(c="value",M=u.value):typeof u.get=="function"&&(c="get",M=u.get),!M)throw new Error("not supported");u[c]=w(M,d)}}function I(w,v,d){let u=null,c=null;if(typeof d.value=="function"?(u="value",c=d.value,c.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof d.get=="function"&&(u="get",c=d.get),!c)throw new Error("not supported");const M=`$memoize$${v}`;d[u]=function(...o){return this.hasOwnProperty(M)||Object.defineProperty(this,M,{configurable:!1,enumerable:!1,writable:!1,value:c.apply(this,o)}),this[M]}}t.memoize=I;function i(w,v,d){return A((u,c)=>{const M=`$debounce$${c}`,o=`$debounce$result$${c}`;return function(...n){this[o]||(this[o]=d?d():void 0),clearTimeout(this[M]),v&&(this[o]=v(this[o],...n),n=[this[o]]),this[M]=setTimeout(()=>{u.apply(this,n),this[o]=d?d():void 0},w)}})}t.debounce=i;function _(w,v,d){return A((u,c)=>{const M=`$throttle$timer$${c}`,o=`$throttle$result$${c}`,n=`$throttle$lastRun$${c}`,e=`$throttle$pending$${c}`;return function(...s){if(this[o]||(this[o]=d?d():void 0),(this[n]===null||this[n]===void 0)&&(this[n]=-Number.MAX_VALUE),v&&(this[o]=v(this[o],...s)),this[e])return;const r=this[n]+w;r<=Date.now()?(this[n]=Date.now(),u.apply(this,[this[o]]),this[o]=d?d():void 0):(this[e]=!0,this[M]=setTimeout(()=>{this[e]=!1,this[n]=Date.now(),u.apply(this,[this[o]]),this[o]=d?d():void 0},r-Date.now()))}})}t.throttle=_}),define(ge[70],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffChange=void 0;class A{constructor(i,_,w,v){this.originalStart=i,this.originalLength=_,this.modifiedStart=w,this.modifiedLength=v}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.DiffChange=A}),define(ge[7],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BugIndicatingError=t.ErrorNoTelemetry=t.ExpectedError=t.NotSupportedError=t.NotImplementedError=t.getErrorMessage=t.disposed=t.readonly=t.illegalState=t.illegalArgument=t.canceled=t.CancellationError=t.isCancellationError=t.transformErrorForSerialization=t.onUnexpectedExternalError=t.onUnexpectedError=t.isSigPipeError=t.setUnexpectedErrorHandler=t.errorHandler=t.ErrorHandler=void 0;class A{constructor(){this.b=[],this.a=function(D){setTimeout(()=>{throw D.stack?S.isErrorNoTelemetry(D)?new S(D.message+`

`+D.stack):new Error(D.message+`

`+D.stack):D},0)}}addListener(D){return this.b.push(D),()=>{this.d(D)}}c(D){this.b.forEach(T=>{T(D)})}d(D){this.b.splice(this.b.indexOf(D),1)}setUnexpectedErrorHandler(D){this.a=D}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(D){this.a(D),this.c(D)}onUnexpectedExternalError(D){this.a(D)}}t.ErrorHandler=A,t.errorHandler=new A;function I(f){t.errorHandler.setUnexpectedErrorHandler(f)}t.setUnexpectedErrorHandler=I;function i(f){return!!f&&typeof f=="object"&&f.code==="EPIPE"&&f.syscall==="WRITE"}t.isSigPipeError=i;function _(f){u(f)||t.errorHandler.onUnexpectedError(f)}t.onUnexpectedError=_;function w(f){u(f)||t.errorHandler.onUnexpectedExternalError(f)}t.onUnexpectedExternalError=w;function v(f){if(f instanceof Error){const{name:D,message:T}=f,L=f.stacktrace||f.stack;return{$isError:!0,name:D,message:T,stack:L,noTelemetry:S.isErrorNoTelemetry(f)}}return f}t.transformErrorForSerialization=v;const d="Canceled";function u(f){return f instanceof c?!0:f instanceof Error&&f.name===d&&f.message===d}t.isCancellationError=u;class c extends Error{constructor(){super(d),this.name=this.message}}t.CancellationError=c;function M(){const f=new Error(d);return f.name=f.message,f}t.canceled=M;function o(f){return f?new Error(`Illegal argument: ${f}`):new Error("Illegal argument")}t.illegalArgument=o;function n(f){return f?new Error(`Illegal state: ${f}`):new Error("Illegal state")}t.illegalState=n;function e(f){return f?new Error(`readonly property '${f} cannot be changed'`):new Error("readonly property cannot be changed")}t.readonly=e;function s(f){const D=new Error(`${f} has been disposed`);return D.name="DISPOSED",D}t.disposed=s;function r(f){return f?f.message?f.message:f.stack?f.stack.split(`
`)[0]:String(f):"Error"}t.getErrorMessage=r;class a extends Error{constructor(D){super("NotImplemented"),D&&(this.message=D)}}t.NotImplementedError=a;class l extends Error{constructor(D){super("NotSupported"),D&&(this.message=D)}}t.NotSupportedError=l;class y extends Error{constructor(){super(...arguments),this.isExpected=!0}}t.ExpectedError=y;class S extends Error{constructor(D){super(D),this.name="CodeExpectedError"}static fromError(D){if(D instanceof S)return D;const T=new S;return T.message=D.message,T.stack=D.stack,T}static isErrorNoTelemetry(D){return D.name==="CodeExpectedError"}}t.ErrorNoTelemetry=S;class F extends Error{constructor(D){super(D||"An unexpected bug occurred."),Object.setPrototypeOf(this,F.prototype);debugger}}t.BugIndicatingError=F}),define(ge[13],me([1,0,7]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CallbackIterable=t.ArrayQueue=t.findMinBy=t.findLastMaxBy=t.findMaxBy=t.numberComparator=t.tieBreakComparators=t.compareBy=t.CompareResult=t.splice=t.insertInto=t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushMany=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.lastOrDefault=t.firstOrDefault=t.lastIndex=t.findLast=t.uniqueFilter=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.quickSelect=t.findFirstInSorted=t.binarySearch2=t.binarySearch=t.removeFastWithoutKeepingOrder=t.equals=t.tail2=t.tail=void 0;function I(k,P=0){return k[k.length-(1+P)]}t.tail=I;function i(k){if(k.length===0)throw new Error("Invalid tail call");return[k.slice(0,k.length-1),k[k.length-1]]}t.tail2=i;function _(k,P,U=(C,B)=>C===B){if(k===P)return!0;if(!k||!P||k.length!==P.length)return!1;for(let C=0,B=k.length;C<B;C++)if(!U(k[C],P[C]))return!1;return!0}t.equals=_;function w(k,P){const U=k.length-1;P<U&&(k[P]=k[U]),k.pop()}t.removeFastWithoutKeepingOrder=w;function v(k,P,U){return d(k.length,C=>U(k[C],P))}t.binarySearch=v;function d(k,P){let U=0,C=k-1;for(;U<=C;){const B=(U+C)/2|0,z=P(B);if(z<0)U=B+1;else if(z>0)C=B-1;else return B}return-(U+1)}t.binarySearch2=d;function u(k,P){let U=0,C=k.length;if(C===0)return 0;for(;U<C;){const B=Math.floor((U+C)/2);P(k[B])?C=B:U=B+1}return U}t.findFirstInSorted=u;function c(k,P,U){if(k=k|0,k>=P.length)throw new TypeError("invalid index");const C=P[Math.floor(P.length*Math.random())],B=[],z=[],W=[];for(const x of P){const Y=U(x,C);Y<0?B.push(x):Y>0?z.push(x):W.push(x)}return k<B.length?c(k,B,U):k<B.length+W.length?W[0]:c(k-(B.length+W.length),z,U)}t.quickSelect=c;function M(k,P){const U=[];let C;for(const B of k.slice(0).sort(P))!C||P(C[0],B)!==0?(C=[B],U.push(C)):C.push(B);return U}t.groupBy=M;function o(k,P,U){const C=[];function B(x,Y,re){if(Y===0&&re.length===0)return;const ue=C[C.length-1];ue&&ue.start+ue.deleteCount===x?(ue.deleteCount+=Y,ue.toInsert.push(...re)):C.push({start:x,deleteCount:Y,toInsert:re})}let z=0,W=0;for(;;){if(z===k.length){B(z,0,P.slice(W));break}if(W===P.length){B(z,k.length-z,[]);break}const x=k[z],Y=P[W],re=U(x,Y);re===0?(z+=1,W+=1):re<0?(B(z,1,[]),z+=1):re>0&&(B(z,0,[Y]),W+=1)}return C}t.sortedDiff=o;function n(k,P,U){const C=o(k,P,U),B=[],z=[];for(const W of C)B.push(...k.slice(W.start,W.start+W.deleteCount)),z.push(...W.toInsert);return{removed:B,added:z}}t.delta=n;function e(k,P,U){if(U===0)return[];const C=k.slice(0,U).sort(P);return r(k,P,C,U,k.length),C}t.top=e;function s(k,P,U,C,B){return U===0?Promise.resolve([]):new Promise((z,W)=>{(async()=>{const x=k.length,Y=k.slice(0,U).sort(P);for(let re=U,ue=Math.min(U+C,x);re<x;re=ue,ue=Math.min(ue+C,x)){if(re>U&&await new Promise(we=>setTimeout(we)),B&&B.isCancellationRequested)throw new A.CancellationError;r(k,P,Y,re,ue)}return Y})().then(z,W)})}t.topAsync=s;function r(k,P,U,C,B){for(const z=U.length;C<B;C++){const W=k[C];if(P(W,U[z-1])<0){U.pop();const x=u(U,Y=>P(W,Y)<0);U.splice(x,0,W)}}}function a(k){return k.filter(P=>!!P)}t.coalesce=a;function l(k){let P=0;for(let U=0;U<k.length;U++)k[U]&&(k[P]=k[U],P+=1);k.length=P}t.coalesceInPlace=l;function y(k,P,U){k.splice(U,0,k.splice(P,1)[0])}t.move=y;function S(k){return!Array.isArray(k)||k.length===0}t.isFalsyOrEmpty=S;function F(k){return Array.isArray(k)&&k.length>0}t.isNonEmptyArray=F;function f(k,P=U=>U){const U=new Set;return k.filter(C=>{const B=P(C);return U.has(B)?!1:(U.add(B),!0)})}t.distinct=f;function D(k){const P=new Set;return U=>{const C=k(U);return P.has(C)?!1:(P.add(C),!0)}}t.uniqueFilter=D;function T(k,P){const U=L(k,P);if(U!==-1)return k[U]}t.findLast=T;function L(k,P){for(let U=k.length-1;U>=0;U--){const C=k[U];if(P(C))return U}return-1}t.lastIndex=L;function h(k,P){return k.length>0?k[0]:P}t.firstOrDefault=h;function p(k,P){return k.length>0?k[k.length-1]:P}t.lastOrDefault=p;function m(k,P,U=(C,B)=>C===B){let C=0;for(let B=0,z=Math.min(k.length,P.length);B<z&&U(k[B],P[B]);B++)C++;return C}t.commonPrefixLength=m;function E(k){return[].concat(...k)}t.flatten=E;function O(k,P){let U=typeof P=="number"?k:0;typeof P=="number"?U=k:(U=0,P=k);const C=[];if(U<=P)for(let B=U;B<P;B++)C.push(B);else for(let B=U;B>P;B--)C.push(B);return C}t.range=O;function V(k,P,U){return k.reduce((C,B)=>(C[P(B)]=U?U(B):B,C),Object.create(null))}t.index=V;function ee(k,P){return k.push(P),()=>Z(k,P)}t.insert=ee;function Z(k,P){const U=k.indexOf(P);if(U>-1)return k.splice(U,1),P}t.remove=Z;function te(k,P,U){const C=k.slice(0,P),B=k.slice(P);return C.concat(U,B)}t.arrayInsert=te;function oe(k,P){let U;if(typeof P=="number"){let C=P;U=()=>{const B=Math.sin(C++)*179426549;return B-Math.floor(B)}}else U=Math.random;for(let C=k.length-1;C>0;C-=1){const B=Math.floor(U()*(C+1)),z=k[C];k[C]=k[B],k[B]=z}}t.shuffle=oe;function he(k,P){const U=k.indexOf(P);U>-1&&(k.splice(U,1),k.unshift(P))}t.pushToStart=he;function de(k,P){const U=k.indexOf(P);U>-1&&(k.splice(U,1),k.push(P))}t.pushToEnd=de;function ce(k,P){for(const U of P)k.push(U)}t.pushMany=ce;function pe(k,P){return Array.isArray(k)?k.map(P):P(k)}t.mapArrayOrNot=pe;function Te(k){return Array.isArray(k)?k:[k]}t.asArray=Te;function Pe(k){return k[Math.floor(Math.random()*k.length)]}t.getRandomElement=Pe;function Oe(k,P){for(const U of k){const C=P(U);if(C!==void 0)return C}}t.mapFind=Oe;function j(k,P,U){const C=se(k,P),B=k.length,z=U.length;k.length=B+z;for(let W=B-1;W>=C;W--)k[W+z]=k[W];for(let W=0;W<z;W++)k[W+C]=U[W]}t.insertInto=j;function G(k,P,U,C){const B=se(k,P),z=k.splice(B,U);return j(k,B,C),z}t.splice=G;function se(k,P){return P<0?Math.max(P+k.length,0):Math.min(P,k.length)}var ne;(function(k){function P(B){return B<0}k.isLessThan=P;function U(B){return B>0}k.isGreaterThan=U;function C(B){return B===0}k.isNeitherLessOrGreaterThan=C,k.greaterThan=1,k.lessThan=-1,k.neitherLessOrGreaterThan=0})(ne=t.CompareResult||(t.CompareResult={}));function Q(k,P){return(U,C)=>P(k(U),k(C))}t.compareBy=Q;function b(...k){return(P,U)=>{for(const C of k){const B=C(P,U);if(!ne.isNeitherLessOrGreaterThan(B))return B}return ne.neitherLessOrGreaterThan}}t.tieBreakComparators=b;const R=(k,P)=>k-P;t.numberComparator=R;function H(k,P){if(k.length===0)return;let U=k[0];for(let C=1;C<k.length;C++){const B=k[C];P(B,U)>0&&(U=B)}return U}t.findMaxBy=H;function g(k,P){if(k.length===0)return;let U=k[0];for(let C=1;C<k.length;C++){const B=k[C];P(B,U)>=0&&(U=B)}return U}t.findLastMaxBy=g;function N(k,P){return H(k,(U,C)=>-P(U,C))}t.findMinBy=N;class ${constructor(P){this.f=P,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(P){let U=this.c;for(;U<this.f.length&&P(this.f[U]);)U++;const C=U===this.c?null:this.f.slice(this.c,U);return this.c=U,C}takeFromEndWhile(P){let U=this.d;for(;U>=0&&P(this.f[U]);)U--;const C=U===this.d?null:this.f.slice(U+1,this.d+1);return this.d=U,C}peek(){if(this.length!==0)return this.f[this.c]}peekLast(){if(this.length!==0)return this.f[this.d]}dequeue(){const P=this.f[this.c];return this.c++,P}removeLast(){const P=this.f[this.d];return this.d--,P}takeCount(P){const U=this.f.slice(this.c,this.c+P);return this.c+=P,U}}t.ArrayQueue=$;class ie{constructor(P){this.iterate=P}forEach(P){this.iterate(U=>(P(U),!0))}toArray(){const P=[];return this.iterate(U=>(P.push(U),!0)),P}filter(P){return new ie(U=>this.iterate(C=>P(C)?U(C):!0))}map(P){return new ie(U=>this.iterate(C=>U(P(C))))}some(P){let U=!1;return this.iterate(C=>(U=P(C),!U)),U}findFirst(P){let U;return this.iterate(C=>P(C)?(U=C,!1):!0),U}findLast(P){let U;return this.iterate(C=>(P(C)&&(U=C),!0)),U}findLastMaxBy(P){let U,C=!0;return this.iterate(B=>((C||ne.isGreaterThan(P(B,U)))&&(C=!1,U=B),!0)),U}}t.CallbackIterable=ie,ie.empty=new ie(k=>{})}),define(ge[71],me([1,0,7]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.checkAdjacentItems=t.assertFn=t.assert=t.assertNever=t.ok=void 0;function I(d,u){if(!d)throw new Error(u?`Assertion failed (${u})`:"Assertion Failed")}t.ok=I;function i(d,u="Unreachable"){throw new Error(u)}t.assertNever=i;function _(d){if(!d)throw new A.BugIndicatingError("Assertion Failed")}t.assert=_;function w(d){if(!d()){debugger;d(),(0,A.onUnexpectedError)(new A.BugIndicatingError("Assertion Failed"))}}t.assertFn=w;function v(d,u){let c=0;for(;c<d.length-1;){const M=d[c],o=d[c+1];if(!u(M,o))return!1;c++}return!0}t.checkAdjacentItems=v}),define(ge[41],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=void 0;function A(I){const i=this;let _=!1,w;return function(){return _||(_=!0,w=I.apply(i,arguments)),w}}t.once=A}),define(ge[72],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.defaultGenerator=t.IdGenerator=void 0;class A{constructor(i){this.a=i,this.b=0}nextId(){return this.a+ ++this.b}}t.IdGenerator=A,t.defaultGenerator=new A("id#")}),define(ge[26],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var A;(function(I){function i(S){return S&&typeof S=="object"&&typeof S[Symbol.iterator]=="function"}I.is=i;const _=Object.freeze([]);function w(){return _}I.empty=w;function*v(S){yield S}I.single=v;function d(S){return i(S)?S:v(S)}I.wrap=d;function u(S){return S||_}I.from=u;function c(S){return!S||S[Symbol.iterator]().next().done===!0}I.isEmpty=c;function M(S){return S[Symbol.iterator]().next().value}I.first=M;function o(S,F){for(const f of S)if(F(f))return!0;return!1}I.some=o;function n(S,F){for(const f of S)if(F(f))return f}I.find=n;function*e(S,F){for(const f of S)F(f)&&(yield f)}I.filter=e;function*s(S,F){let f=0;for(const D of S)yield F(D,f++)}I.map=s;function*r(...S){for(const F of S)for(const f of F)yield f}I.concat=r;function a(S,F,f){let D=f;for(const T of S)D=F(D,T);return D}I.reduce=a;function*l(S,F,f=S.length){for(F<0&&(F+=S.length),f<0?f+=S.length:f>S.length&&(f=S.length);F<f;F++)yield S[F]}I.slice=l;function y(S,F=Number.POSITIVE_INFINITY){const f=[];if(F===0)return[f,S];const D=S[Symbol.iterator]();for(let T=0;T<F;T++){const L=D.next();if(L.done)return[f,I.empty()];f.push(L.value)}return[f,{[Symbol.iterator](){return D}}]}I.consume=y})(A=t.Iterable||(t.Iterable={}))}),define(ge[42],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.KeyChord=t.KeyMod=t.KeyCodeUtils=t.IMMUTABLE_KEY_CODE_TO_CODE=t.IMMUTABLE_CODE_TO_KEY_CODE=t.ScanCodeUtils=t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=t.EVENT_KEY_CODE_MAP=t.ScanCode=t.KeyCode=void 0;var A;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.Digit0=21]="Digit0",e[e.Digit1=22]="Digit1",e[e.Digit2=23]="Digit2",e[e.Digit3=24]="Digit3",e[e.Digit4=25]="Digit4",e[e.Digit5=26]="Digit5",e[e.Digit6=27]="Digit6",e[e.Digit7=28]="Digit7",e[e.Digit8=29]="Digit8",e[e.Digit9=30]="Digit9",e[e.KeyA=31]="KeyA",e[e.KeyB=32]="KeyB",e[e.KeyC=33]="KeyC",e[e.KeyD=34]="KeyD",e[e.KeyE=35]="KeyE",e[e.KeyF=36]="KeyF",e[e.KeyG=37]="KeyG",e[e.KeyH=38]="KeyH",e[e.KeyI=39]="KeyI",e[e.KeyJ=40]="KeyJ",e[e.KeyK=41]="KeyK",e[e.KeyL=42]="KeyL",e[e.KeyM=43]="KeyM",e[e.KeyN=44]="KeyN",e[e.KeyO=45]="KeyO",e[e.KeyP=46]="KeyP",e[e.KeyQ=47]="KeyQ",e[e.KeyR=48]="KeyR",e[e.KeyS=49]="KeyS",e[e.KeyT=50]="KeyT",e[e.KeyU=51]="KeyU",e[e.KeyV=52]="KeyV",e[e.KeyW=53]="KeyW",e[e.KeyX=54]="KeyX",e[e.KeyY=55]="KeyY",e[e.KeyZ=56]="KeyZ",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.Semicolon=80]="Semicolon",e[e.Equal=81]="Equal",e[e.Comma=82]="Comma",e[e.Minus=83]="Minus",e[e.Period=84]="Period",e[e.Slash=85]="Slash",e[e.Backquote=86]="Backquote",e[e.BracketLeft=87]="BracketLeft",e[e.Backslash=88]="Backslash",e[e.BracketRight=89]="BracketRight",e[e.Quote=90]="Quote",e[e.OEM_8=91]="OEM_8",e[e.IntlBackslash=92]="IntlBackslash",e[e.Numpad0=93]="Numpad0",e[e.Numpad1=94]="Numpad1",e[e.Numpad2=95]="Numpad2",e[e.Numpad3=96]="Numpad3",e[e.Numpad4=97]="Numpad4",e[e.Numpad5=98]="Numpad5",e[e.Numpad6=99]="Numpad6",e[e.Numpad7=100]="Numpad7",e[e.Numpad8=101]="Numpad8",e[e.Numpad9=102]="Numpad9",e[e.NumpadMultiply=103]="NumpadMultiply",e[e.NumpadAdd=104]="NumpadAdd",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NumpadSubtract=106]="NumpadSubtract",e[e.NumpadDecimal=107]="NumpadDecimal",e[e.NumpadDivide=108]="NumpadDivide",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.AudioVolumeMute=112]="AudioVolumeMute",e[e.AudioVolumeUp=113]="AudioVolumeUp",e[e.AudioVolumeDown=114]="AudioVolumeDown",e[e.BrowserSearch=115]="BrowserSearch",e[e.BrowserHome=116]="BrowserHome",e[e.BrowserBack=117]="BrowserBack",e[e.BrowserForward=118]="BrowserForward",e[e.MediaTrackNext=119]="MediaTrackNext",e[e.MediaTrackPrevious=120]="MediaTrackPrevious",e[e.MediaStop=121]="MediaStop",e[e.MediaPlayPause=122]="MediaPlayPause",e[e.LaunchMediaPlayer=123]="LaunchMediaPlayer",e[e.LaunchMail=124]="LaunchMail",e[e.LaunchApp2=125]="LaunchApp2",e[e.Clear=126]="Clear",e[e.MAX_VALUE=127]="MAX_VALUE"})(A=t.KeyCode||(t.KeyCode={}));var I;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.None=0]="None",e[e.Hyper=1]="Hyper",e[e.Super=2]="Super",e[e.Fn=3]="Fn",e[e.FnLock=4]="FnLock",e[e.Suspend=5]="Suspend",e[e.Resume=6]="Resume",e[e.Turbo=7]="Turbo",e[e.Sleep=8]="Sleep",e[e.WakeUp=9]="WakeUp",e[e.KeyA=10]="KeyA",e[e.KeyB=11]="KeyB",e[e.KeyC=12]="KeyC",e[e.KeyD=13]="KeyD",e[e.KeyE=14]="KeyE",e[e.KeyF=15]="KeyF",e[e.KeyG=16]="KeyG",e[e.KeyH=17]="KeyH",e[e.KeyI=18]="KeyI",e[e.KeyJ=19]="KeyJ",e[e.KeyK=20]="KeyK",e[e.KeyL=21]="KeyL",e[e.KeyM=22]="KeyM",e[e.KeyN=23]="KeyN",e[e.KeyO=24]="KeyO",e[e.KeyP=25]="KeyP",e[e.KeyQ=26]="KeyQ",e[e.KeyR=27]="KeyR",e[e.KeyS=28]="KeyS",e[e.KeyT=29]="KeyT",e[e.KeyU=30]="KeyU",e[e.KeyV=31]="KeyV",e[e.KeyW=32]="KeyW",e[e.KeyX=33]="KeyX",e[e.KeyY=34]="KeyY",e[e.KeyZ=35]="KeyZ",e[e.Digit1=36]="Digit1",e[e.Digit2=37]="Digit2",e[e.Digit3=38]="Digit3",e[e.Digit4=39]="Digit4",e[e.Digit5=40]="Digit5",e[e.Digit6=41]="Digit6",e[e.Digit7=42]="Digit7",e[e.Digit8=43]="Digit8",e[e.Digit9=44]="Digit9",e[e.Digit0=45]="Digit0",e[e.Enter=46]="Enter",e[e.Escape=47]="Escape",e[e.Backspace=48]="Backspace",e[e.Tab=49]="Tab",e[e.Space=50]="Space",e[e.Minus=51]="Minus",e[e.Equal=52]="Equal",e[e.BracketLeft=53]="BracketLeft",e[e.BracketRight=54]="BracketRight",e[e.Backslash=55]="Backslash",e[e.IntlHash=56]="IntlHash",e[e.Semicolon=57]="Semicolon",e[e.Quote=58]="Quote",e[e.Backquote=59]="Backquote",e[e.Comma=60]="Comma",e[e.Period=61]="Period",e[e.Slash=62]="Slash",e[e.CapsLock=63]="CapsLock",e[e.F1=64]="F1",e[e.F2=65]="F2",e[e.F3=66]="F3",e[e.F4=67]="F4",e[e.F5=68]="F5",e[e.F6=69]="F6",e[e.F7=70]="F7",e[e.F8=71]="F8",e[e.F9=72]="F9",e[e.F10=73]="F10",e[e.F11=74]="F11",e[e.F12=75]="F12",e[e.PrintScreen=76]="PrintScreen",e[e.ScrollLock=77]="ScrollLock",e[e.Pause=78]="Pause",e[e.Insert=79]="Insert",e[e.Home=80]="Home",e[e.PageUp=81]="PageUp",e[e.Delete=82]="Delete",e[e.End=83]="End",e[e.PageDown=84]="PageDown",e[e.ArrowRight=85]="ArrowRight",e[e.ArrowLeft=86]="ArrowLeft",e[e.ArrowDown=87]="ArrowDown",e[e.ArrowUp=88]="ArrowUp",e[e.NumLock=89]="NumLock",e[e.NumpadDivide=90]="NumpadDivide",e[e.NumpadMultiply=91]="NumpadMultiply",e[e.NumpadSubtract=92]="NumpadSubtract",e[e.NumpadAdd=93]="NumpadAdd",e[e.NumpadEnter=94]="NumpadEnter",e[e.Numpad1=95]="Numpad1",e[e.Numpad2=96]="Numpad2",e[e.Numpad3=97]="Numpad3",e[e.Numpad4=98]="Numpad4",e[e.Numpad5=99]="Numpad5",e[e.Numpad6=100]="Numpad6",e[e.Numpad7=101]="Numpad7",e[e.Numpad8=102]="Numpad8",e[e.Numpad9=103]="Numpad9",e[e.Numpad0=104]="Numpad0",e[e.NumpadDecimal=105]="NumpadDecimal",e[e.IntlBackslash=106]="IntlBackslash",e[e.ContextMenu=107]="ContextMenu",e[e.Power=108]="Power",e[e.NumpadEqual=109]="NumpadEqual",e[e.F13=110]="F13",e[e.F14=111]="F14",e[e.F15=112]="F15",e[e.F16=113]="F16",e[e.F17=114]="F17",e[e.F18=115]="F18",e[e.F19=116]="F19",e[e.F20=117]="F20",e[e.F21=118]="F21",e[e.F22=119]="F22",e[e.F23=120]="F23",e[e.F24=121]="F24",e[e.Open=122]="Open",e[e.Help=123]="Help",e[e.Select=124]="Select",e[e.Again=125]="Again",e[e.Undo=126]="Undo",e[e.Cut=127]="Cut",e[e.Copy=128]="Copy",e[e.Paste=129]="Paste",e[e.Find=130]="Find",e[e.AudioVolumeMute=131]="AudioVolumeMute",e[e.AudioVolumeUp=132]="AudioVolumeUp",e[e.AudioVolumeDown=133]="AudioVolumeDown",e[e.NumpadComma=134]="NumpadComma",e[e.IntlRo=135]="IntlRo",e[e.KanaMode=136]="KanaMode",e[e.IntlYen=137]="IntlYen",e[e.Convert=138]="Convert",e[e.NonConvert=139]="NonConvert",e[e.Lang1=140]="Lang1",e[e.Lang2=141]="Lang2",e[e.Lang3=142]="Lang3",e[e.Lang4=143]="Lang4",e[e.Lang5=144]="Lang5",e[e.Abort=145]="Abort",e[e.Props=146]="Props",e[e.NumpadParenLeft=147]="NumpadParenLeft",e[e.NumpadParenRight=148]="NumpadParenRight",e[e.NumpadBackspace=149]="NumpadBackspace",e[e.NumpadMemoryStore=150]="NumpadMemoryStore",e[e.NumpadMemoryRecall=151]="NumpadMemoryRecall",e[e.NumpadMemoryClear=152]="NumpadMemoryClear",e[e.NumpadMemoryAdd=153]="NumpadMemoryAdd",e[e.NumpadMemorySubtract=154]="NumpadMemorySubtract",e[e.NumpadClear=155]="NumpadClear",e[e.NumpadClearEntry=156]="NumpadClearEntry",e[e.ControlLeft=157]="ControlLeft",e[e.ShiftLeft=158]="ShiftLeft",e[e.AltLeft=159]="AltLeft",e[e.MetaLeft=160]="MetaLeft",e[e.ControlRight=161]="ControlRight",e[e.ShiftRight=162]="ShiftRight",e[e.AltRight=163]="AltRight",e[e.MetaRight=164]="MetaRight",e[e.BrightnessUp=165]="BrightnessUp",e[e.BrightnessDown=166]="BrightnessDown",e[e.MediaPlay=167]="MediaPlay",e[e.MediaRecord=168]="MediaRecord",e[e.MediaFastForward=169]="MediaFastForward",e[e.MediaRewind=170]="MediaRewind",e[e.MediaTrackNext=171]="MediaTrackNext",e[e.MediaTrackPrevious=172]="MediaTrackPrevious",e[e.MediaStop=173]="MediaStop",e[e.Eject=174]="Eject",e[e.MediaPlayPause=175]="MediaPlayPause",e[e.MediaSelect=176]="MediaSelect",e[e.LaunchMail=177]="LaunchMail",e[e.LaunchApp2=178]="LaunchApp2",e[e.LaunchApp1=179]="LaunchApp1",e[e.SelectTask=180]="SelectTask",e[e.LaunchScreenSaver=181]="LaunchScreenSaver",e[e.BrowserSearch=182]="BrowserSearch",e[e.BrowserHome=183]="BrowserHome",e[e.BrowserBack=184]="BrowserBack",e[e.BrowserForward=185]="BrowserForward",e[e.BrowserStop=186]="BrowserStop",e[e.BrowserRefresh=187]="BrowserRefresh",e[e.BrowserFavorites=188]="BrowserFavorites",e[e.ZoomToggle=189]="ZoomToggle",e[e.MailReply=190]="MailReply",e[e.MailForward=191]="MailForward",e[e.MailSend=192]="MailSend",e[e.MAX_VALUE=193]="MAX_VALUE"})(I=t.ScanCode||(t.ScanCode={}));class i{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(s,r){this._keyCodeToStr[s]=r,this._strToKeyCode[r.toLowerCase()]=s}keyCodeToStr(s){return this._keyCodeToStr[s]}strToKeyCode(s){return this._strToKeyCode[s.toLowerCase()]||0}}const _=new i,w=new i,v=new i;t.EVENT_KEY_CODE_MAP=new Array(230),t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const d=[],u=Object.create(null),c=Object.create(null);t.ScanCodeUtils={lowerCaseToEnum:e=>c[e]||0,toEnum:e=>u[e]||0,toString:e=>d[e]||"None"},t.IMMUTABLE_CODE_TO_KEY_CODE=[],t.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let e=0;e<=193;e++)t.IMMUTABLE_CODE_TO_KEY_CODE[e]=-1;for(let e=0;e<=127;e++)t.IMMUTABLE_KEY_CODE_TO_CODE[e]=-1;(function(){const e="",s=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[0,1,1,"Hyper",0,e,0,e,e,e],[0,1,2,"Super",0,e,0,e,e,e],[0,1,3,"Fn",0,e,0,e,e,e],[0,1,4,"FnLock",0,e,0,e,e,e],[0,1,5,"Suspend",0,e,0,e,e,e],[0,1,6,"Resume",0,e,0,e,e,e],[0,1,7,"Turbo",0,e,0,e,e,e],[0,1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[0,1,9,"WakeUp",0,e,0,e,e,e],[31,0,10,"KeyA",31,"A",65,"VK_A",e,e],[32,0,11,"KeyB",32,"B",66,"VK_B",e,e],[33,0,12,"KeyC",33,"C",67,"VK_C",e,e],[34,0,13,"KeyD",34,"D",68,"VK_D",e,e],[35,0,14,"KeyE",35,"E",69,"VK_E",e,e],[36,0,15,"KeyF",36,"F",70,"VK_F",e,e],[37,0,16,"KeyG",37,"G",71,"VK_G",e,e],[38,0,17,"KeyH",38,"H",72,"VK_H",e,e],[39,0,18,"KeyI",39,"I",73,"VK_I",e,e],[40,0,19,"KeyJ",40,"J",74,"VK_J",e,e],[41,0,20,"KeyK",41,"K",75,"VK_K",e,e],[42,0,21,"KeyL",42,"L",76,"VK_L",e,e],[43,0,22,"KeyM",43,"M",77,"VK_M",e,e],[44,0,23,"KeyN",44,"N",78,"VK_N",e,e],[45,0,24,"KeyO",45,"O",79,"VK_O",e,e],[46,0,25,"KeyP",46,"P",80,"VK_P",e,e],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[48,0,27,"KeyR",48,"R",82,"VK_R",e,e],[49,0,28,"KeyS",49,"S",83,"VK_S",e,e],[50,0,29,"KeyT",50,"T",84,"VK_T",e,e],[51,0,30,"KeyU",51,"U",85,"VK_U",e,e],[52,0,31,"KeyV",52,"V",86,"VK_V",e,e],[53,0,32,"KeyW",53,"W",87,"VK_W",e,e],[54,0,33,"KeyX",54,"X",88,"VK_X",e,e],[55,0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[22,0,36,"Digit1",22,"1",49,"VK_1",e,e],[23,0,37,"Digit2",23,"2",50,"VK_2",e,e],[24,0,38,"Digit3",24,"3",51,"VK_3",e,e],[25,0,39,"Digit4",25,"4",52,"VK_4",e,e],[26,0,40,"Digit5",26,"5",53,"VK_5",e,e],[27,0,41,"Digit6",27,"6",54,"VK_6",e,e],[28,0,42,"Digit7",28,"7",55,"VK_7",e,e],[29,0,43,"Digit8",29,"8",56,"VK_8",e,e],[30,0,44,"Digit9",30,"9",57,"VK_9",e,e],[21,0,45,"Digit0",21,"0",48,"VK_0",e,e],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[10,1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,e,0,e,e,e],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[59,1,64,"F1",59,"F1",112,"VK_F1",e,e],[60,1,65,"F2",60,"F2",113,"VK_F2",e,e],[61,1,66,"F3",61,"F3",114,"VK_F3",e,e],[62,1,67,"F4",62,"F4",115,"VK_F4",e,e],[63,1,68,"F5",63,"F5",116,"VK_F5",e,e],[64,1,69,"F6",64,"F6",117,"VK_F6",e,e],[65,1,70,"F7",65,"F7",118,"VK_F7",e,e],[66,1,71,"F8",66,"F8",119,"VK_F8",e,e],[67,1,72,"F9",67,"F9",120,"VK_F9",e,e],[68,1,73,"F10",68,"F10",121,"VK_F10",e,e],[69,1,74,"F11",69,"F11",122,"VK_F11",e,e],[70,1,75,"F12",70,"F12",123,"VK_F12",e,e],[0,1,76,"PrintScreen",0,e,0,e,e,e],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",e,e],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[14,1,80,"Home",14,"Home",36,"VK_HOME",e,e],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[13,1,83,"End",13,"End",35,"VK_END",e,e],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",e,e],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",e,e],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",e,e],[3,1,94,"NumpadEnter",3,e,0,e,e,e],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",e,e],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",e,e],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",e,e],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",e,e],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",e,e],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",e,e],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",e,e],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",e,e],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",e,e],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",e,e],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",e,e],[58,1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[0,1,108,"Power",0,e,0,e,e,e],[0,1,109,"NumpadEqual",0,e,0,e,e,e],[71,1,110,"F13",71,"F13",124,"VK_F13",e,e],[72,1,111,"F14",72,"F14",125,"VK_F14",e,e],[73,1,112,"F15",73,"F15",126,"VK_F15",e,e],[74,1,113,"F16",74,"F16",127,"VK_F16",e,e],[75,1,114,"F17",75,"F17",128,"VK_F17",e,e],[76,1,115,"F18",76,"F18",129,"VK_F18",e,e],[77,1,116,"F19",77,"F19",130,"VK_F19",e,e],[0,1,117,"F20",0,e,0,"VK_F20",e,e],[0,1,118,"F21",0,e,0,"VK_F21",e,e],[0,1,119,"F22",0,e,0,"VK_F22",e,e],[0,1,120,"F23",0,e,0,"VK_F23",e,e],[0,1,121,"F24",0,e,0,"VK_F24",e,e],[0,1,122,"Open",0,e,0,e,e,e],[0,1,123,"Help",0,e,0,e,e,e],[0,1,124,"Select",0,e,0,e,e,e],[0,1,125,"Again",0,e,0,e,e,e],[0,1,126,"Undo",0,e,0,e,e,e],[0,1,127,"Cut",0,e,0,e,e,e],[0,1,128,"Copy",0,e,0,e,e,e],[0,1,129,"Paste",0,e,0,e,e,e],[0,1,130,"Find",0,e,0,e,e,e],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",e,e],[0,1,136,"KanaMode",0,e,0,e,e,e],[0,0,137,"IntlYen",0,e,0,e,e,e],[0,1,138,"Convert",0,e,0,e,e,e],[0,1,139,"NonConvert",0,e,0,e,e,e],[0,1,140,"Lang1",0,e,0,e,e,e],[0,1,141,"Lang2",0,e,0,e,e,e],[0,1,142,"Lang3",0,e,0,e,e,e],[0,1,143,"Lang4",0,e,0,e,e,e],[0,1,144,"Lang5",0,e,0,e,e,e],[0,1,145,"Abort",0,e,0,e,e,e],[0,1,146,"Props",0,e,0,e,e,e],[0,1,147,"NumpadParenLeft",0,e,0,e,e,e],[0,1,148,"NumpadParenRight",0,e,0,e,e,e],[0,1,149,"NumpadBackspace",0,e,0,e,e,e],[0,1,150,"NumpadMemoryStore",0,e,0,e,e,e],[0,1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[0,1,152,"NumpadMemoryClear",0,e,0,e,e,e],[0,1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[0,1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[0,1,155,"NumpadClear",126,"Clear",12,"VK_CLEAR",e,e],[0,1,156,"NumpadClearEntry",0,e,0,e,e,e],[5,1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[4,1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[6,1,0,e,6,"Alt",18,"VK_MENU",e,e],[57,1,0,e,57,"Meta",0,"VK_COMMAND",e,e],[5,1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[4,1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[6,1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[57,1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[5,1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[4,1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[6,1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[57,1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[0,1,165,"BrightnessUp",0,e,0,e,e,e],[0,1,166,"BrightnessDown",0,e,0,e,e,e],[0,1,167,"MediaPlay",0,e,0,e,e,e],[0,1,168,"MediaRecord",0,e,0,e,e,e],[0,1,169,"MediaFastForward",0,e,0,e,e,e],[0,1,170,"MediaRewind",0,e,0,e,e,e],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",e,e],[0,1,174,"Eject",0,e,0,e,e,e],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[0,1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[0,1,180,"SelectTask",0,e,0,e,e,e],[0,1,181,"LaunchScreenSaver",0,e,0,e,e,e],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[0,1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[0,1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[0,1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[0,1,189,"ZoomToggle",0,e,0,e,e,e],[0,1,190,"MailReply",0,e,0,e,e,e],[0,1,191,"MailForward",0,e,0,e,e,e],[0,1,192,"MailSend",0,e,0,e,e,e],[109,1,0,e,109,"KeyInComposition",229,e,e,e],[111,1,0,e,111,"ABNT_C2",194,"VK_ABNT_C2",e,e],[91,1,0,e,91,"OEM_8",223,"VK_OEM_8",e,e],[0,1,0,e,0,e,0,"VK_KANA",e,e],[0,1,0,e,0,e,0,"VK_HANGUL",e,e],[0,1,0,e,0,e,0,"VK_JUNJA",e,e],[0,1,0,e,0,e,0,"VK_FINAL",e,e],[0,1,0,e,0,e,0,"VK_HANJA",e,e],[0,1,0,e,0,e,0,"VK_KANJI",e,e],[0,1,0,e,0,e,0,"VK_CONVERT",e,e],[0,1,0,e,0,e,0,"VK_NONCONVERT",e,e],[0,1,0,e,0,e,0,"VK_ACCEPT",e,e],[0,1,0,e,0,e,0,"VK_MODECHANGE",e,e],[0,1,0,e,0,e,0,"VK_SELECT",e,e],[0,1,0,e,0,e,0,"VK_PRINT",e,e],[0,1,0,e,0,e,0,"VK_EXECUTE",e,e],[0,1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[0,1,0,e,0,e,0,"VK_HELP",e,e],[0,1,0,e,0,e,0,"VK_APPS",e,e],[0,1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[0,1,0,e,0,e,0,"VK_PACKET",e,e],[0,1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_ATTN",e,e],[0,1,0,e,0,e,0,"VK_CRSEL",e,e],[0,1,0,e,0,e,0,"VK_EXSEL",e,e],[0,1,0,e,0,e,0,"VK_EREOF",e,e],[0,1,0,e,0,e,0,"VK_PLAY",e,e],[0,1,0,e,0,e,0,"VK_ZOOM",e,e],[0,1,0,e,0,e,0,"VK_NONAME",e,e],[0,1,0,e,0,e,0,"VK_PA1",e,e],[0,1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],r=[],a=[];for(const l of s){const[y,S,F,f,D,T,L,h,p,m]=l;if(a[F]||(a[F]=!0,d[F]=f,u[f]=F,c[f.toLowerCase()]=F,S&&(t.IMMUTABLE_CODE_TO_KEY_CODE[F]=D,D!==0&&D!==3&&D!==5&&D!==4&&D!==6&&D!==57&&(t.IMMUTABLE_KEY_CODE_TO_CODE[D]=F))),!r[D]){if(r[D]=!0,!T)throw new Error(`String representation missing for key code ${D} around scan code ${f}`);_.define(D,T),w.define(D,p||T),v.define(D,m||p||T)}L&&(t.EVENT_KEY_CODE_MAP[L]=D),h&&(t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[h]=D)}t.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var M;(function(e){function s(F){return _.keyCodeToStr(F)}e.toString=s;function r(F){return _.strToKeyCode(F)}e.fromString=r;function a(F){return w.keyCodeToStr(F)}e.toUserSettingsUS=a;function l(F){return v.keyCodeToStr(F)}e.toUserSettingsGeneral=l;function y(F){return w.strToKeyCode(F)||v.strToKeyCode(F)}e.fromUserSettings=y;function S(F){if(F>=93&&F<=108)return null;switch(F){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return _.keyCodeToStr(F)}e.toElectronAccelerator=S})(M=t.KeyCodeUtils||(t.KeyCodeUtils={}));var o;(function(e){e[e.CtrlCmd=2048]="CtrlCmd",e[e.Shift=1024]="Shift",e[e.Alt=512]="Alt",e[e.WinCtrl=256]="WinCtrl"})(o=t.KeyMod||(t.KeyMod={}));function n(e,s){const r=(s&65535)<<16>>>0;return(e|r)>>>0}t.KeyChord=n}),define(ge[73],me([1,0,7]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ResolvedKeybinding=t.ResolvedChord=t.Keybinding=t.ScanCodeChord=t.KeyCodeChord=t.createSimpleKeybinding=t.decodeKeybinding=void 0;var I;(function(M){M[M.CtrlCmd=2048]="CtrlCmd",M[M.Shift=1024]="Shift",M[M.Alt=512]="Alt",M[M.WinCtrl=256]="WinCtrl",M[M.KeyCode=255]="KeyCode"})(I||(I={}));function i(M,o){if(M===0)return null;const n=(M&65535)>>>0,e=(M&4294901760)>>>16;return e!==0?new d([_(n,o),_(e,o)]):new d([_(n,o)])}t.decodeKeybinding=i;function _(M,o){const n=!!(M&2048),e=!!(M&256),s=o===2?e:n,r=!!(M&1024),a=!!(M&512),l=o===2?n:e,y=M&255;return new w(s,r,a,l,y)}t.createSimpleKeybinding=_;class w{constructor(o,n,e,s,r){this.ctrlKey=o,this.shiftKey=n,this.altKey=e,this.metaKey=s,this.keyCode=r}equals(o){return o instanceof w&&this.ctrlKey===o.ctrlKey&&this.shiftKey===o.shiftKey&&this.altKey===o.altKey&&this.metaKey===o.metaKey&&this.keyCode===o.keyCode}getHashCode(){const o=this.ctrlKey?"1":"0",n=this.shiftKey?"1":"0",e=this.altKey?"1":"0",s=this.metaKey?"1":"0";return`${o}${n}${e}${s}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toKeybinding(){return new d([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}t.KeyCodeChord=w;class v{constructor(o,n,e,s,r){this.ctrlKey=o,this.shiftKey=n,this.altKey=e,this.metaKey=s,this.scanCode=r}equals(o){return o instanceof v&&this.ctrlKey===o.ctrlKey&&this.shiftKey===o.shiftKey&&this.altKey===o.altKey&&this.metaKey===o.metaKey&&this.scanCode===o.scanCode}getHashCode(){const o=this.ctrlKey?"1":"0",n=this.shiftKey?"1":"0",e=this.altKey?"1":"0",s=this.metaKey?"1":"0";return`${o}${n}${e}${s}${this.scanCode}`}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}t.ScanCodeChord=v;class d{constructor(o){if(o.length===0)throw(0,A.illegalArgument)("chords");this.chords=o}getHashCode(){let o="";for(let n=0,e=this.chords.length;n<e;n++)n!==0&&(o+=";"),o+=this.chords[n].getHashCode();return o}equals(o){if(o===null||this.chords.length!==o.chords.length)return!1;for(let n=0;n<this.chords.length;n++)if(!this.chords[n].equals(o.chords[n]))return!1;return!0}}t.Keybinding=d;class u{constructor(o,n,e,s,r,a){this.ctrlKey=o,this.shiftKey=n,this.altKey=e,this.metaKey=s,this.keyLabel=r,this.keyAriaLabel=a}}t.ResolvedChord=u;class c{}t.ResolvedKeybinding=c}),define(ge[43],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Lazy=void 0;class A{constructor(i){this.d=i,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(i){this.c=i}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}t.Lazy=A}),define(ge[2],me([1,0,41,26]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DisposableMap=t.disposeOnReturn=t.ImmortalReference=t.AsyncReferenceCollection=t.ReferenceCollection=t.SafeDisposable=t.RefCountedDisposable=t.MutableDisposable=t.Disposable=t.DisposableStore=t.toDisposable=t.combinedDisposable=t.disposeIfDisposable=t.dispose=t.isDisposable=t.markAsSingleton=t.setDisposableTracker=void 0;const i=!1;let _=null;function w(p){_=p}if(t.setDisposableTracker=w,i){const p="__is_disposable_tracked__";w(new class{trackDisposable(m){const E=new Error("Potentially leaked disposable").stack;setTimeout(()=>{m[p]||console.log(E)},3e3)}setParent(m,E){if(m&&m!==l.None)try{m[p]=!0}catch{}}markAsDisposed(m){if(m&&m!==l.None)try{m[p]=!0}catch{}}markAsSingleton(m){}})}function v(p){return _?.trackDisposable(p),p}function d(p){_?.markAsDisposed(p)}function u(p,m){_?.setParent(p,m)}function c(p,m){if(!!_)for(const E of p)_.setParent(E,m)}function M(p){return _?.markAsSingleton(p),p}t.markAsSingleton=M;function o(p){return typeof p.dispose=="function"&&p.dispose.length===0}t.isDisposable=o;function n(p){if(I.Iterable.is(p)){const m=[];for(const E of p)if(E)try{E.dispose()}catch(O){m.push(O)}if(m.length===1)throw m[0];if(m.length>1)throw new AggregateError(m,"Encountered errors while disposing of store");return Array.isArray(p)?[]:p}else if(p)return p.dispose(),p}t.dispose=n;function e(p){for(const m of p)o(m)&&m.dispose();return[]}t.disposeIfDisposable=e;function s(...p){const m=r(()=>n(p));return c(p,m),m}t.combinedDisposable=s;function r(p){const m=v({dispose:(0,A.once)(()=>{d(m),p()})});return m}t.toDisposable=r;class a{constructor(){this.c=new Set,this.f=!1,v(this)}dispose(){this.f||(d(this),this.f=!0,this.clear())}get isDisposed(){return this.f}clear(){if(this.c.size!==0)try{n(this.c)}finally{this.c.clear()}}add(m){if(!m)return m;if(m===this)throw new Error("Cannot register a disposable on itself!");return u(m,this),this.f?a.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.c.add(m),m}}t.DisposableStore=a,a.DISABLE_DISPOSED_WARNING=!1;class l{constructor(){this.q=new a,v(this),u(this.q,this)}dispose(){d(this),this.q.dispose()}B(m){if(m===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(m)}}t.Disposable=l,l.None=Object.freeze({dispose(){}});class y{constructor(){this.b=!1,v(this)}get value(){return this.b?void 0:this.a}set value(m){this.b||m===this.a||(this.a?.dispose(),m&&u(m,this),this.a=m)}clear(){this.value=void 0}dispose(){this.b=!0,d(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const m=this.a;return this.a=void 0,m&&u(m,null),m}}t.MutableDisposable=y;class S{constructor(m){this.b=m,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}t.RefCountedDisposable=S;class F{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,v(this)}set(m){let E=m;return this.unset=()=>E=void 0,this.isset=()=>E!==void 0,this.dispose=()=>{E&&(E(),E=void 0,d(this))},this}}t.SafeDisposable=F;class f{constructor(){this.a=new Map}acquire(m,...E){let O=this.a.get(m);O||(O={counter:0,object:this.b(m,...E)},this.a.set(m,O));const{object:V}=O,ee=(0,A.once)(()=>{--O.counter===0&&(this.c(m,O.object),this.a.delete(m))});return O.counter++,{object:V,dispose:ee}}}t.ReferenceCollection=f;class D{constructor(m){this.a=m}async acquire(m,...E){const O=this.a.acquire(m,...E);try{return{object:await O.object,dispose:()=>O.dispose()}}catch(V){throw O.dispose(),V}}}t.AsyncReferenceCollection=D;class T{constructor(m){this.object=m}dispose(){}}t.ImmortalReference=T;function L(p){const m=new a;try{p(m)}finally{m.dispose()}}t.disposeOnReturn=L;class h{constructor(){this.a=new Map,this.b=!1,v(this)}dispose(){d(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(!!this.a.size)try{n(this.a.values())}finally{this.a.clear()}}has(m){return this.a.has(m)}get(m){return this.a.get(m)}set(m,E,O=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),O||this.a.get(m)?.dispose(),this.a.set(m,E)}deleteAndDispose(m){this.a.get(m)?.dispose(),this.a.delete(m)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}t.DisposableMap=h}),define(ge[44],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LinkedList=void 0;class A{constructor(_){this.element=_,this.next=A.Undefined,this.prev=A.Undefined}}A.Undefined=new A(void 0);class I{constructor(){this.a=A.Undefined,this.b=A.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===A.Undefined}clear(){let _=this.a;for(;_!==A.Undefined;){const w=_.next;_.prev=A.Undefined,_.next=A.Undefined,_=w}this.a=A.Undefined,this.b=A.Undefined,this.c=0}unshift(_){return this.d(_,!1)}push(_){return this.d(_,!0)}d(_,w){const v=new A(_);if(this.a===A.Undefined)this.a=v,this.b=v;else if(w){const u=this.b;this.b=v,v.prev=u,u.next=v}else{const u=this.a;this.a=v,v.next=u,u.prev=v}this.c+=1;let d=!1;return()=>{d||(d=!0,this.e(v))}}shift(){if(this.a!==A.Undefined){const _=this.a.element;return this.e(this.a),_}}pop(){if(this.b!==A.Undefined){const _=this.b.element;return this.e(this.b),_}}e(_){if(_.prev!==A.Undefined&&_.next!==A.Undefined){const w=_.prev;w.next=_.next,_.next.prev=w}else _.prev===A.Undefined&&_.next===A.Undefined?(this.a=A.Undefined,this.b=A.Undefined):_.next===A.Undefined?(this.b=this.b.prev,this.b.next=A.Undefined):_.prev===A.Undefined&&(this.a=this.a.next,this.a.prev=A.Undefined);this.c-=1}*[Symbol.iterator](){let _=this.a;for(;_!==A.Undefined;)yield _.element,_=_.next}}t.LinkedList=I}),define(ge[74],me([1,0]),function(J,t){"use strict";var A,I,i;Object.defineProperty(t,"__esModule",{value:!0}),t.LRUCache=t.LinkedMap=t.Touch=t.ResourceSet=t.ResourceMap=t.setToString=t.mapToString=t.getOrSet=void 0;function _(e,s,r){let a=e.get(s);return a===void 0&&(a=r,e.set(s,a)),a}t.getOrSet=_;function w(e){const s=[];return e.forEach((r,a)=>{s.push(`${a} => ${r}`)}),`Map(${e.size}) {${s.join(", ")}}`}t.mapToString=w;function v(e){const s=[];return e.forEach(r=>{s.push(r)}),`Set(${e.size}) {${s.join(", ")}}`}t.setToString=v;class d{constructor(s,r){this.uri=s,this.value=r}}class u{constructor(s,r){this[A]="ResourceMap",s instanceof u?(this.b=new Map(s.b),this.c=r??u.a):(this.b=new Map,this.c=s??u.a)}set(s,r){return this.b.set(this.c(s),new d(s,r)),this}get(s){return this.b.get(this.c(s))?.value}has(s){return this.b.has(this.c(s))}get size(){return this.b.size}clear(){this.b.clear()}delete(s){return this.b.delete(this.c(s))}forEach(s,r){typeof r<"u"&&(s=s.bind(r));for(const[a,l]of this.b)s(l.value,l.uri,this)}*values(){for(const s of this.b.values())yield s.value}*keys(){for(const s of this.b.values())yield s.uri}*entries(){for(const s of this.b.values())yield[s.uri,s.value]}*[(A=Symbol.toStringTag,Symbol.iterator)](){for(const[,s]of this.b)yield[s.uri,s.value]}}t.ResourceMap=u,u.a=e=>e.toString();class c{constructor(s,r){this[I]="ResourceSet",!s||typeof s=="function"?this.a=new u(s):(this.a=new u(r),s.forEach(this.add,this))}get size(){return this.a.size}add(s){return this.a.set(s,s),this}clear(){this.a.clear()}delete(s){return this.a.delete(s)}forEach(s,r){this.a.forEach((a,l)=>s.call(r,l,l,this))}has(s){return this.a.has(s)}entries(){return this.a.entries()}keys(){return this.a.keys()}values(){return this.a.keys()}[(I=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}t.ResourceSet=c;var M;(function(e){e[e.None=0]="None",e[e.AsOld=1]="AsOld",e[e.AsNew=2]="AsNew"})(M=t.Touch||(t.Touch={}));class o{constructor(){this[i]="LinkedMap",this.a=new Map,this.b=void 0,this.c=void 0,this.d=0,this.e=0}clear(){this.a.clear(),this.b=void 0,this.c=void 0,this.d=0,this.e++}isEmpty(){return!this.b&&!this.c}get size(){return this.d}get first(){return this.b?.value}get last(){return this.c?.value}has(s){return this.a.has(s)}get(s,r=0){const a=this.a.get(s);if(!!a)return r!==0&&this.j(a,r),a.value}set(s,r,a=0){let l=this.a.get(s);if(l)l.value=r,a!==0&&this.j(l,a);else{switch(l={key:s,value:r,next:void 0,previous:void 0},a){case 0:this.h(l);break;case 1:this.g(l);break;case 2:this.h(l);break;default:this.h(l);break}this.a.set(s,l),this.d++}return this}delete(s){return!!this.remove(s)}remove(s){const r=this.a.get(s);if(!!r)return this.a.delete(s),this.i(r),this.d--,r.value}shift(){if(!this.b&&!this.c)return;if(!this.b||!this.c)throw new Error("Invalid list");const s=this.b;return this.a.delete(s.key),this.i(s),this.d--,s.value}forEach(s,r){const a=this.e;let l=this.b;for(;l;){if(r?s.bind(r)(l.value,l.key,this):s(l.value,l.key,this),this.e!==a)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const s=this,r=this.e;let a=this.b;const l={[Symbol.iterator](){return l},next(){if(s.e!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:a.key,done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}values(){const s=this,r=this.e;let a=this.b;const l={[Symbol.iterator](){return l},next(){if(s.e!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:a.value,done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}entries(){const s=this,r=this.e;let a=this.b;const l={[Symbol.iterator](){return l},next(){if(s.e!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:[a.key,a.value],done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}[(i=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}f(s){if(s>=this.size)return;if(s===0){this.clear();return}let r=this.b,a=this.size;for(;r&&a>s;)this.a.delete(r.key),r=r.next,a--;this.b=r,this.d=a,r&&(r.previous=void 0),this.e++}g(s){if(!this.b&&!this.c)this.c=s;else if(this.b)s.next=this.b,this.b.previous=s;else throw new Error("Invalid list");this.b=s,this.e++}h(s){if(!this.b&&!this.c)this.b=s;else if(this.c)s.previous=this.c,this.c.next=s;else throw new Error("Invalid list");this.c=s,this.e++}i(s){if(s===this.b&&s===this.c)this.b=void 0,this.c=void 0;else if(s===this.b){if(!s.next)throw new Error("Invalid list");s.next.previous=void 0,this.b=s.next}else if(s===this.c){if(!s.previous)throw new Error("Invalid list");s.previous.next=void 0,this.c=s.previous}else{const r=s.next,a=s.previous;if(!r||!a)throw new Error("Invalid list");r.previous=a,a.next=r}s.next=void 0,s.previous=void 0,this.e++}j(s,r){if(!this.b||!this.c)throw new Error("Invalid list");if(!(r!==1&&r!==2)){if(r===1){if(s===this.b)return;const a=s.next,l=s.previous;s===this.c?(l.next=void 0,this.c=l):(a.previous=l,l.next=a),s.previous=void 0,s.next=this.b,this.b.previous=s,this.b=s,this.e++}else if(r===2){if(s===this.c)return;const a=s.next,l=s.previous;s===this.b?(a.previous=void 0,this.b=a):(a.previous=l,l.next=a),s.next=void 0,s.previous=this.c,this.c.next=s,this.c=s,this.e++}}}toJSON(){const s=[];return this.forEach((r,a)=>{s.push([a,r])}),s}fromJSON(s){this.clear();for(const[r,a]of s)this.set(r,a)}}t.LinkedMap=o;class n extends o{constructor(s,r=1){super(),this.k=s,this.l=Math.min(Math.max(0,r),1)}get limit(){return this.k}set limit(s){this.k=s,this.m()}get ratio(){return this.l}set ratio(s){this.l=Math.min(Math.max(0,s),1),this.m()}get(s,r=2){return super.get(s,r)}peek(s){return super.get(s,0)}set(s,r){return super.set(s,r,2),this.m(),this}m(){this.size>this.k&&this.f(Math.round(this.k*this.l))}}t.LRUCache=n}),function(J,t){typeof exports=="object"&&typeof module<"u"?t(exports):typeof define=="function"&&define.amd?define(ge[75],me([0]),t):(J=typeof globalThis<"u"?globalThis:J||self,t(J.marked={}))}(this,function(J){"use strict";function t(k,P){for(var U=0;U<P.length;U++){var C=P[U];C.enumerable=C.enumerable||!1,C.configurable=!0,"value"in C&&(C.writable=!0),Object.defineProperty(k,C.key,C)}}function A(k,P,U){return P&&t(k.prototype,P),U&&t(k,U),Object.defineProperty(k,"prototype",{writable:!1}),k}function I(k,P){if(!!k){if(typeof k=="string")return i(k,P);var U=Object.prototype.toString.call(k).slice(8,-1);if(U==="Object"&&k.constructor&&(U=k.constructor.name),U==="Map"||U==="Set")return Array.from(k);if(U==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(U))return i(k,P)}}function i(k,P){(P==null||P>k.length)&&(P=k.length);for(var U=0,C=new Array(P);U<P;U++)C[U]=k[U];return C}function _(k,P){var U=typeof Symbol<"u"&&k[Symbol.iterator]||k["@@iterator"];if(U)return(U=U.call(k)).next.bind(U);if(Array.isArray(k)||(U=I(k))||P&&k&&typeof k.length=="number"){U&&(k=U);var C=0;return function(){return C>=k.length?{done:!0}:{done:!1,value:k[C++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function w(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}J.defaults=w();function v(k){J.defaults=k}var d=/[&<>"']/,u=/[&<>"']/g,c=/[<>"']|&(?!#?\w+;)/,M=/[<>"']|&(?!#?\w+;)/g,o={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},n=function(P){return o[P]};function e(k,P){if(P){if(d.test(k))return k.replace(u,n)}else if(c.test(k))return k.replace(M,n);return k}var s=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function r(k){return k.replace(s,function(P,U){return U=U.toLowerCase(),U==="colon"?":":U.charAt(0)==="#"?U.charAt(1)==="x"?String.fromCharCode(parseInt(U.substring(2),16)):String.fromCharCode(+U.substring(1)):""})}var a=/(^|[^\[])\^/g;function l(k,P){k=typeof k=="string"?k:k.source,P=P||"";var U={replace:function(B,z){return z=z.source||z,z=z.replace(a,"$1"),k=k.replace(B,z),U},getRegex:function(){return new RegExp(k,P)}};return U}var y=/[^\w:]/g,S=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function F(k,P,U){if(k){var C;try{C=decodeURIComponent(r(U)).replace(y,"").toLowerCase()}catch{return null}if(C.indexOf("javascript:")===0||C.indexOf("vbscript:")===0||C.indexOf("data:")===0)return null}P&&!S.test(U)&&(U=h(P,U));try{U=encodeURI(U).replace(/%25/g,"%")}catch{return null}return U}var f={},D=/^[^:]+:\/*[^/]*$/,T=/^([^:]+:)[\s\S]*$/,L=/^([^:]+:\/*[^/]*)[\s\S]*$/;function h(k,P){f[" "+k]||(D.test(k)?f[" "+k]=k+"/":f[" "+k]=O(k,"/",!0)),k=f[" "+k];var U=k.indexOf(":")===-1;return P.substring(0,2)==="//"?U?P:k.replace(T,"$1")+P:P.charAt(0)==="/"?U?P:k.replace(L,"$1")+P:k+P}var p={exec:function(){}};function m(k){for(var P=1,U,C;P<arguments.length;P++){U=arguments[P];for(C in U)Object.prototype.hasOwnProperty.call(U,C)&&(k[C]=U[C])}return k}function E(k,P){var U=k.replace(/\|/g,function(z,W,x){for(var Y=!1,re=W;--re>=0&&x[re]==="\\";)Y=!Y;return Y?"|":" |"}),C=U.split(/ \|/),B=0;if(C[0].trim()||C.shift(),C.length>0&&!C[C.length-1].trim()&&C.pop(),C.length>P)C.splice(P);else for(;C.length<P;)C.push("");for(;B<C.length;B++)C[B]=C[B].trim().replace(/\\\|/g,"|");return C}function O(k,P,U){var C=k.length;if(C===0)return"";for(var B=0;B<C;){var z=k.charAt(C-B-1);if(z===P&&!U)B++;else if(z!==P&&U)B++;else break}return k.slice(0,C-B)}function V(k,P){if(k.indexOf(P[1])===-1)return-1;for(var U=k.length,C=0,B=0;B<U;B++)if(k[B]==="\\")B++;else if(k[B]===P[0])C++;else if(k[B]===P[1]&&(C--,C<0))return B;return-1}function ee(k){k&&k.sanitize&&!k.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function Z(k,P){if(P<1)return"";for(var U="";P>1;)P&1&&(U+=k),P>>=1,k+=k;return U+k}function te(k,P,U,C){var B=P.href,z=P.title?e(P.title):null,W=k[1].replace(/\\([\[\]])/g,"$1");if(k[0].charAt(0)!=="!"){C.state.inLink=!0;var x={type:"link",raw:U,href:B,title:z,text:W,tokens:C.inlineTokens(W)};return C.state.inLink=!1,x}return{type:"image",raw:U,href:B,title:z,text:e(W)}}function oe(k,P){var U=k.match(/^(\s+)(?:```)/);if(U===null)return P;var C=U[1];return P.split(`
`).map(function(B){var z=B.match(/^\s+/);if(z===null)return B;var W=z[0];return W.length>=C.length?B.slice(C.length):B}).join(`
`)}var he=function(){function k(U){this.options=U||J.defaults}var P=k.prototype;return P.space=function(C){var B=this.rules.block.newline.exec(C);if(B&&B[0].length>0)return{type:"space",raw:B[0]}},P.code=function(C){var B=this.rules.block.code.exec(C);if(B){var z=B[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:B[0],codeBlockStyle:"indented",text:this.options.pedantic?z:O(z,`
`)}}},P.fences=function(C){var B=this.rules.block.fences.exec(C);if(B){var z=B[0],W=oe(z,B[3]||"");return{type:"code",raw:z,lang:B[2]?B[2].trim():B[2],text:W}}},P.heading=function(C){var B=this.rules.block.heading.exec(C);if(B){var z=B[2].trim();if(/#$/.test(z)){var W=O(z,"#");(this.options.pedantic||!W||/ $/.test(W))&&(z=W.trim())}return{type:"heading",raw:B[0],depth:B[1].length,text:z,tokens:this.lexer.inline(z)}}},P.hr=function(C){var B=this.rules.block.hr.exec(C);if(B)return{type:"hr",raw:B[0]}},P.blockquote=function(C){var B=this.rules.block.blockquote.exec(C);if(B){var z=B[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:B[0],tokens:this.lexer.blockTokens(z,[]),text:z}}},P.list=function(C){var B=this.rules.block.list.exec(C);if(B){var z,W,x,Y,re,ue,we,De,Le,Ae,ve,Me,Ie=B[1].trim(),_e=Ie.length>1,He={type:"list",raw:"",ordered:_e,start:_e?+Ie.slice(0,-1):"",loose:!1,items:[]};Ie=_e?"\\d{1,9}\\"+Ie.slice(-1):"\\"+Ie,this.options.pedantic&&(Ie=_e?Ie:"[*+-]");for(var We=new RegExp("^( {0,3}"+Ie+")((?:[	 ][^\\n]*)?(?:\\n|$))");C&&(Me=!1,!(!(B=We.exec(C))||this.rules.block.hr.test(C)));){if(z=B[0],C=C.substring(z.length),De=B[2].split(`
`,1)[0],Le=C.split(`
`,1)[0],this.options.pedantic?(Y=2,ve=De.trimLeft()):(Y=B[2].search(/[^ ]/),Y=Y>4?1:Y,ve=De.slice(Y),Y+=B[1].length),ue=!1,!De&&/^ *$/.test(Le)&&(z+=Le+`
`,C=C.substring(Le.length+1),Me=!0),!Me)for(var Je=new RegExp("^ {0,"+Math.min(3,Y-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),it=new RegExp("^ {0,"+Math.min(3,Y-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),Be=new RegExp("^ {0,"+Math.min(3,Y-1)+"}(?:```|~~~)"),je=new RegExp("^ {0,"+Math.min(3,Y-1)+"}#");C&&(Ae=C.split(`
`,1)[0],De=Ae,this.options.pedantic&&(De=De.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(Be.test(De)||je.test(De)||Je.test(De)||it.test(C)));){if(De.search(/[^ ]/)>=Y||!De.trim())ve+=`
`+De.slice(Y);else if(!ue)ve+=`
`+De;else break;!ue&&!De.trim()&&(ue=!0),z+=Ae+`
`,C=C.substring(Ae.length+1)}He.loose||(we?He.loose=!0:/\n *\n *$/.test(z)&&(we=!0)),this.options.gfm&&(W=/^\[[ xX]\] /.exec(ve),W&&(x=W[0]!=="[ ] ",ve=ve.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:z,task:!!W,checked:x,loose:!1,text:ve}),He.raw+=z}He.items[He.items.length-1].raw=z.trimRight(),He.items[He.items.length-1].text=ve.trimRight(),He.raw=He.raw.trimRight();var Ge=He.items.length;for(re=0;re<Ge;re++){this.lexer.state.top=!1,He.items[re].tokens=this.lexer.blockTokens(He.items[re].text,[]);var q=He.items[re].tokens.filter(function(be){return be.type==="space"}),le=q.every(function(be){for(var ye=be.raw.split(""),Ce=0,Re=_(ye),xe;!(xe=Re()).done;){var tt=xe.value;if(tt===`
`&&(Ce+=1),Ce>1)return!0}return!1});!He.loose&&q.length&&le&&(He.loose=!0,He.items[re].loose=!0)}return He}},P.html=function(C){var B=this.rules.block.html.exec(C);if(B){var z={type:"html",raw:B[0],pre:!this.options.sanitizer&&(B[1]==="pre"||B[1]==="script"||B[1]==="style"),text:B[0]};if(this.options.sanitize){var W=this.options.sanitizer?this.options.sanitizer(B[0]):e(B[0]);z.type="paragraph",z.text=W,z.tokens=this.lexer.inline(W)}return z}},P.def=function(C){var B=this.rules.block.def.exec(C);if(B){B[3]&&(B[3]=B[3].substring(1,B[3].length-1));var z=B[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:z,raw:B[0],href:B[2],title:B[3]}}},P.table=function(C){var B=this.rules.block.table.exec(C);if(B){var z={type:"table",header:E(B[1]).map(function(we){return{text:we}}),align:B[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:B[3]&&B[3].trim()?B[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(z.header.length===z.align.length){z.raw=B[0];var W=z.align.length,x,Y,re,ue;for(x=0;x<W;x++)/^ *-+: *$/.test(z.align[x])?z.align[x]="right":/^ *:-+: *$/.test(z.align[x])?z.align[x]="center":/^ *:-+ *$/.test(z.align[x])?z.align[x]="left":z.align[x]=null;for(W=z.rows.length,x=0;x<W;x++)z.rows[x]=E(z.rows[x],z.header.length).map(function(we){return{text:we}});for(W=z.header.length,Y=0;Y<W;Y++)z.header[Y].tokens=this.lexer.inline(z.header[Y].text);for(W=z.rows.length,Y=0;Y<W;Y++)for(ue=z.rows[Y],re=0;re<ue.length;re++)ue[re].tokens=this.lexer.inline(ue[re].text);return z}}},P.lheading=function(C){var B=this.rules.block.lheading.exec(C);if(B)return{type:"heading",raw:B[0],depth:B[2].charAt(0)==="="?1:2,text:B[1],tokens:this.lexer.inline(B[1])}},P.paragraph=function(C){var B=this.rules.block.paragraph.exec(C);if(B){var z=B[1].charAt(B[1].length-1)===`
`?B[1].slice(0,-1):B[1];return{type:"paragraph",raw:B[0],text:z,tokens:this.lexer.inline(z)}}},P.text=function(C){var B=this.rules.block.text.exec(C);if(B)return{type:"text",raw:B[0],text:B[0],tokens:this.lexer.inline(B[0])}},P.escape=function(C){var B=this.rules.inline.escape.exec(C);if(B)return{type:"escape",raw:B[0],text:e(B[1])}},P.tag=function(C){var B=this.rules.inline.tag.exec(C);if(B)return!this.lexer.state.inLink&&/^<a /i.test(B[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(B[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(B[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(B[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:B[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(B[0]):e(B[0]):B[0]}},P.link=function(C){var B=this.rules.inline.link.exec(C);if(B){var z=B[2].trim();if(!this.options.pedantic&&/^</.test(z)){if(!/>$/.test(z))return;var W=O(z.slice(0,-1),"\\");if((z.length-W.length)%2===0)return}else{var x=V(B[2],"()");if(x>-1){var Y=B[0].indexOf("!")===0?5:4,re=Y+B[1].length+x;B[2]=B[2].substring(0,x),B[0]=B[0].substring(0,re).trim(),B[3]=""}}var ue=B[2],we="";if(this.options.pedantic){var De=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(ue);De&&(ue=De[1],we=De[3])}else we=B[3]?B[3].slice(1,-1):"";return ue=ue.trim(),/^</.test(ue)&&(this.options.pedantic&&!/>$/.test(z)?ue=ue.slice(1):ue=ue.slice(1,-1)),te(B,{href:ue&&ue.replace(this.rules.inline._escapes,"$1"),title:we&&we.replace(this.rules.inline._escapes,"$1")},B[0],this.lexer)}},P.reflink=function(C,B){var z;if((z=this.rules.inline.reflink.exec(C))||(z=this.rules.inline.nolink.exec(C))){var W=(z[2]||z[1]).replace(/\s+/g," ");if(W=B[W.toLowerCase()],!W||!W.href){var x=z[0].charAt(0);return{type:"text",raw:x,text:x}}return te(z,W,z[0],this.lexer)}},P.emStrong=function(C,B,z){z===void 0&&(z="");var W=this.rules.inline.emStrong.lDelim.exec(C);if(!!W&&!(W[3]&&z.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var x=W[1]||W[2]||"";if(!x||x&&(z===""||this.rules.inline.punctuation.exec(z))){var Y=W[0].length-1,re,ue,we=Y,De=0,Le=W[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(Le.lastIndex=0,B=B.slice(-1*C.length+Y);(W=Le.exec(B))!=null;)if(re=W[1]||W[2]||W[3]||W[4]||W[5]||W[6],!!re){if(ue=re.length,W[3]||W[4]){we+=ue;continue}else if((W[5]||W[6])&&Y%3&&!((Y+ue)%3)){De+=ue;continue}if(we-=ue,!(we>0)){if(ue=Math.min(ue,ue+we+De),Math.min(Y,ue)%2){var Ae=C.slice(1,Y+W.index+ue);return{type:"em",raw:C.slice(0,Y+W.index+ue+1),text:Ae,tokens:this.lexer.inlineTokens(Ae)}}var ve=C.slice(2,Y+W.index+ue-1);return{type:"strong",raw:C.slice(0,Y+W.index+ue+1),text:ve,tokens:this.lexer.inlineTokens(ve)}}}}}},P.codespan=function(C){var B=this.rules.inline.code.exec(C);if(B){var z=B[2].replace(/\n/g," "),W=/[^ ]/.test(z),x=/^ /.test(z)&&/ $/.test(z);return W&&x&&(z=z.substring(1,z.length-1)),z=e(z,!0),{type:"codespan",raw:B[0],text:z}}},P.br=function(C){var B=this.rules.inline.br.exec(C);if(B)return{type:"br",raw:B[0]}},P.del=function(C){var B=this.rules.inline.del.exec(C);if(B)return{type:"del",raw:B[0],text:B[2],tokens:this.lexer.inlineTokens(B[2])}},P.autolink=function(C,B){var z=this.rules.inline.autolink.exec(C);if(z){var W,x;return z[2]==="@"?(W=e(this.options.mangle?B(z[1]):z[1]),x="mailto:"+W):(W=e(z[1]),x=W),{type:"link",raw:z[0],text:W,href:x,tokens:[{type:"text",raw:W,text:W}]}}},P.url=function(C,B){var z;if(z=this.rules.inline.url.exec(C)){var W,x;if(z[2]==="@")W=e(this.options.mangle?B(z[0]):z[0]),x="mailto:"+W;else{var Y;do Y=z[0],z[0]=this.rules.inline._backpedal.exec(z[0])[0];while(Y!==z[0]);W=e(z[0]),z[1]==="www."?x="http://"+W:x=W}return{type:"link",raw:z[0],text:W,href:x,tokens:[{type:"text",raw:W,text:W}]}}},P.inlineText=function(C,B){var z=this.rules.inline.text.exec(C);if(z){var W;return this.lexer.state.inRawBlock?W=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(z[0]):e(z[0]):z[0]:W=e(this.options.smartypants?B(z[0]):z[0]),{type:"text",raw:z[0],text:W}}},k}(),de={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:p,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};de._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,de._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,de.def=l(de.def).replace("label",de._label).replace("title",de._title).getRegex(),de.bullet=/(?:[*+-]|\d{1,9}[.)])/,de.listItemStart=l(/^( *)(bull) */).replace("bull",de.bullet).getRegex(),de.list=l(de.list).replace(/bull/g,de.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+de.def.source+")").getRegex(),de._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",de._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,de.html=l(de.html,"i").replace("comment",de._comment).replace("tag",de._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),de.paragraph=l(de._paragraph).replace("hr",de.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",de._tag).getRegex(),de.blockquote=l(de.blockquote).replace("paragraph",de.paragraph).getRegex(),de.normal=m({},de),de.gfm=m({},de.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),de.gfm.table=l(de.gfm.table).replace("hr",de.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",de._tag).getRegex(),de.gfm.paragraph=l(de._paragraph).replace("hr",de.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",de.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",de._tag).getRegex(),de.pedantic=m({},de.normal,{html:l(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",de._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:p,paragraph:l(de.normal._paragraph).replace("hr",de.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",de.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var ce={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:p,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:p,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};ce._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",ce.punctuation=l(ce.punctuation).replace(/punctuation/g,ce._punctuation).getRegex(),ce.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,ce.escapedEmSt=/\\\*|\\_/g,ce._comment=l(de._comment).replace("(?:-->|$)","-->").getRegex(),ce.emStrong.lDelim=l(ce.emStrong.lDelim).replace(/punct/g,ce._punctuation).getRegex(),ce.emStrong.rDelimAst=l(ce.emStrong.rDelimAst,"g").replace(/punct/g,ce._punctuation).getRegex(),ce.emStrong.rDelimUnd=l(ce.emStrong.rDelimUnd,"g").replace(/punct/g,ce._punctuation).getRegex(),ce._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,ce._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,ce._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,ce.autolink=l(ce.autolink).replace("scheme",ce._scheme).replace("email",ce._email).getRegex(),ce._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,ce.tag=l(ce.tag).replace("comment",ce._comment).replace("attribute",ce._attribute).getRegex(),ce._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,ce._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,ce._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,ce.link=l(ce.link).replace("label",ce._label).replace("href",ce._href).replace("title",ce._title).getRegex(),ce.reflink=l(ce.reflink).replace("label",ce._label).replace("ref",de._label).getRegex(),ce.nolink=l(ce.nolink).replace("ref",de._label).getRegex(),ce.reflinkSearch=l(ce.reflinkSearch,"g").replace("reflink",ce.reflink).replace("nolink",ce.nolink).getRegex(),ce.normal=m({},ce),ce.pedantic=m({},ce.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:l(/^!?\[(label)\]\((.*?)\)/).replace("label",ce._label).getRegex(),reflink:l(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",ce._label).getRegex()}),ce.gfm=m({},ce.normal,{escape:l(ce.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),ce.gfm.url=l(ce.gfm.url,"i").replace("email",ce.gfm._extended_email).getRegex(),ce.breaks=m({},ce.gfm,{br:l(ce.br).replace("{2,}","*").getRegex(),text:l(ce.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function pe(k){return k.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Te(k){var P="",U,C,B=k.length;for(U=0;U<B;U++)C=k.charCodeAt(U),Math.random()>.5&&(C="x"+C.toString(16)),P+="&#"+C+";";return P}var Pe=function(){function k(U){this.tokens=[],this.tokens.links=Object.create(null),this.options=U||J.defaults,this.options.tokenizer=this.options.tokenizer||new he,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var C={block:de.normal,inline:ce.normal};this.options.pedantic?(C.block=de.pedantic,C.inline=ce.pedantic):this.options.gfm&&(C.block=de.gfm,this.options.breaks?C.inline=ce.breaks:C.inline=ce.gfm),this.tokenizer.rules=C}k.lex=function(C,B){var z=new k(B);return z.lex(C)},k.lexInline=function(C,B){var z=new k(B);return z.inlineTokens(C)};var P=k.prototype;return P.lex=function(C){C=C.replace(/\r\n|\r/g,`
`),this.blockTokens(C,this.tokens);for(var B;B=this.inlineQueue.shift();)this.inlineTokens(B.src,B.tokens);return this.tokens},P.blockTokens=function(C,B){var z=this;B===void 0&&(B=[]),this.options.pedantic?C=C.replace(/\t/g,"    ").replace(/^ +$/gm,""):C=C.replace(/^( *)(\t+)/gm,function(we,De,Le){return De+"    ".repeat(Le.length)});for(var W,x,Y,re;C;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(we){return(W=we.call({lexer:z},C,B))?(C=C.substring(W.raw.length),B.push(W),!0):!1}))){if(W=this.tokenizer.space(C)){C=C.substring(W.raw.length),W.raw.length===1&&B.length>0?B[B.length-1].raw+=`
`:B.push(W);continue}if(W=this.tokenizer.code(C)){C=C.substring(W.raw.length),x=B[B.length-1],x&&(x.type==="paragraph"||x.type==="text")?(x.raw+=`
`+W.raw,x.text+=`
`+W.text,this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(W);continue}if(W=this.tokenizer.fences(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.heading(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.hr(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.blockquote(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.list(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.html(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.def(C)){C=C.substring(W.raw.length),x=B[B.length-1],x&&(x.type==="paragraph"||x.type==="text")?(x.raw+=`
`+W.raw,x.text+=`
`+W.raw,this.inlineQueue[this.inlineQueue.length-1].src=x.text):this.tokens.links[W.tag]||(this.tokens.links[W.tag]={href:W.href,title:W.title});continue}if(W=this.tokenizer.table(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.lheading(C)){C=C.substring(W.raw.length),B.push(W);continue}if(Y=C,this.options.extensions&&this.options.extensions.startBlock&&function(){var we=1/0,De=C.slice(1),Le=void 0;z.options.extensions.startBlock.forEach(function(Ae){Le=Ae.call({lexer:this},De),typeof Le=="number"&&Le>=0&&(we=Math.min(we,Le))}),we<1/0&&we>=0&&(Y=C.substring(0,we+1))}(),this.state.top&&(W=this.tokenizer.paragraph(Y))){x=B[B.length-1],re&&x.type==="paragraph"?(x.raw+=`
`+W.raw,x.text+=`
`+W.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(W),re=Y.length!==C.length,C=C.substring(W.raw.length);continue}if(W=this.tokenizer.text(C)){C=C.substring(W.raw.length),x=B[B.length-1],x&&x.type==="text"?(x.raw+=`
`+W.raw,x.text+=`
`+W.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(W);continue}if(C){var ue="Infinite loop on byte: "+C.charCodeAt(0);if(this.options.silent){console.error(ue);break}else throw new Error(ue)}}return this.state.top=!0,B},P.inline=function(C,B){return B===void 0&&(B=[]),this.inlineQueue.push({src:C,tokens:B}),B},P.inlineTokens=function(C,B){var z=this;B===void 0&&(B=[]);var W,x,Y,re=C,ue,we,De;if(this.tokens.links){var Le=Object.keys(this.tokens.links);if(Le.length>0)for(;(ue=this.tokenizer.rules.inline.reflinkSearch.exec(re))!=null;)Le.includes(ue[0].slice(ue[0].lastIndexOf("[")+1,-1))&&(re=re.slice(0,ue.index)+"["+Z("a",ue[0].length-2)+"]"+re.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(ue=this.tokenizer.rules.inline.blockSkip.exec(re))!=null;)re=re.slice(0,ue.index)+"["+Z("a",ue[0].length-2)+"]"+re.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(ue=this.tokenizer.rules.inline.escapedEmSt.exec(re))!=null;)re=re.slice(0,ue.index)+"++"+re.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;C;)if(we||(De=""),we=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(ve){return(W=ve.call({lexer:z},C,B))?(C=C.substring(W.raw.length),B.push(W),!0):!1}))){if(W=this.tokenizer.escape(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.tag(C)){C=C.substring(W.raw.length),x=B[B.length-1],x&&W.type==="text"&&x.type==="text"?(x.raw+=W.raw,x.text+=W.text):B.push(W);continue}if(W=this.tokenizer.link(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.reflink(C,this.tokens.links)){C=C.substring(W.raw.length),x=B[B.length-1],x&&W.type==="text"&&x.type==="text"?(x.raw+=W.raw,x.text+=W.text):B.push(W);continue}if(W=this.tokenizer.emStrong(C,re,De)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.codespan(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.br(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.del(C)){C=C.substring(W.raw.length),B.push(W);continue}if(W=this.tokenizer.autolink(C,Te)){C=C.substring(W.raw.length),B.push(W);continue}if(!this.state.inLink&&(W=this.tokenizer.url(C,Te))){C=C.substring(W.raw.length),B.push(W);continue}if(Y=C,this.options.extensions&&this.options.extensions.startInline&&function(){var ve=1/0,Me=C.slice(1),Ie=void 0;z.options.extensions.startInline.forEach(function(_e){Ie=_e.call({lexer:this},Me),typeof Ie=="number"&&Ie>=0&&(ve=Math.min(ve,Ie))}),ve<1/0&&ve>=0&&(Y=C.substring(0,ve+1))}(),W=this.tokenizer.inlineText(Y,pe)){C=C.substring(W.raw.length),W.raw.slice(-1)!=="_"&&(De=W.raw.slice(-1)),we=!0,x=B[B.length-1],x&&x.type==="text"?(x.raw+=W.raw,x.text+=W.text):B.push(W);continue}if(C){var Ae="Infinite loop on byte: "+C.charCodeAt(0);if(this.options.silent){console.error(Ae);break}else throw new Error(Ae)}}return B},A(k,null,[{key:"rules",get:function(){return{block:de,inline:ce}}}]),k}(),Oe=function(){function k(U){this.options=U||J.defaults}var P=k.prototype;return P.code=function(C,B,z){var W=(B||"").match(/\S*/)[0];if(this.options.highlight){var x=this.options.highlight(C,W);x!=null&&x!==C&&(z=!0,C=x)}return C=C.replace(/\n$/,"")+`
`,W?'<pre><code class="'+this.options.langPrefix+e(W,!0)+'">'+(z?C:e(C,!0))+`</code></pre>
`:"<pre><code>"+(z?C:e(C,!0))+`</code></pre>
`},P.blockquote=function(C){return`<blockquote>
`+C+`</blockquote>
`},P.html=function(C){return C},P.heading=function(C,B,z,W){if(this.options.headerIds){var x=this.options.headerPrefix+W.slug(z);return"<h"+B+' id="'+x+'">'+C+"</h"+B+`>
`}return"<h"+B+">"+C+"</h"+B+`>
`},P.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},P.list=function(C,B,z){var W=B?"ol":"ul",x=B&&z!==1?' start="'+z+'"':"";return"<"+W+x+`>
`+C+"</"+W+`>
`},P.listitem=function(C){return"<li>"+C+`</li>
`},P.checkbox=function(C){return"<input "+(C?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},P.paragraph=function(C){return"<p>"+C+`</p>
`},P.table=function(C,B){return B&&(B="<tbody>"+B+"</tbody>"),`<table>
<thead>
`+C+`</thead>
`+B+`</table>
`},P.tablerow=function(C){return`<tr>
`+C+`</tr>
`},P.tablecell=function(C,B){var z=B.header?"th":"td",W=B.align?"<"+z+' align="'+B.align+'">':"<"+z+">";return W+C+("</"+z+`>
`)},P.strong=function(C){return"<strong>"+C+"</strong>"},P.em=function(C){return"<em>"+C+"</em>"},P.codespan=function(C){return"<code>"+C+"</code>"},P.br=function(){return this.options.xhtml?"<br/>":"<br>"},P.del=function(C){return"<del>"+C+"</del>"},P.link=function(C,B,z){if(C=F(this.options.sanitize,this.options.baseUrl,C),C===null)return z;var W='<a href="'+e(C)+'"';return B&&(W+=' title="'+B+'"'),W+=">"+z+"</a>",W},P.image=function(C,B,z){if(C=F(this.options.sanitize,this.options.baseUrl,C),C===null)return z;var W='<img src="'+C+'" alt="'+z+'"';return B&&(W+=' title="'+B+'"'),W+=this.options.xhtml?"/>":">",W},P.text=function(C){return C},k}(),j=function(){function k(){}var P=k.prototype;return P.strong=function(C){return C},P.em=function(C){return C},P.codespan=function(C){return C},P.del=function(C){return C},P.html=function(C){return C},P.text=function(C){return C},P.link=function(C,B,z){return""+z},P.image=function(C,B,z){return""+z},P.br=function(){return""},k}(),G=function(){function k(){this.seen={}}var P=k.prototype;return P.serialize=function(C){return C.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},P.getNextSafeSlug=function(C,B){var z=C,W=0;if(this.seen.hasOwnProperty(z)){W=this.seen[C];do W++,z=C+"-"+W;while(this.seen.hasOwnProperty(z))}return B||(this.seen[C]=W,this.seen[z]=0),z},P.slug=function(C,B){B===void 0&&(B={});var z=this.serialize(C);return this.getNextSafeSlug(z,B.dryrun)},k}(),se=function(){function k(U){this.options=U||J.defaults,this.options.renderer=this.options.renderer||new Oe,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new j,this.slugger=new G}k.parse=function(C,B){var z=new k(B);return z.parse(C)},k.parseInline=function(C,B){var z=new k(B);return z.parseInline(C)};var P=k.prototype;return P.parse=function(C,B){B===void 0&&(B=!0);var z="",W,x,Y,re,ue,we,De,Le,Ae,ve,Me,Ie,_e,He,We,Je,it,Be,je,Ge=C.length;for(W=0;W<Ge;W++){if(ve=C[W],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ve.type]&&(je=this.options.extensions.renderers[ve.type].call({parser:this},ve),je!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(ve.type))){z+=je||"";continue}switch(ve.type){case"space":continue;case"hr":{z+=this.renderer.hr();continue}case"heading":{z+=this.renderer.heading(this.parseInline(ve.tokens),ve.depth,r(this.parseInline(ve.tokens,this.textRenderer)),this.slugger);continue}case"code":{z+=this.renderer.code(ve.text,ve.lang,ve.escaped);continue}case"table":{for(Le="",De="",re=ve.header.length,x=0;x<re;x++)De+=this.renderer.tablecell(this.parseInline(ve.header[x].tokens),{header:!0,align:ve.align[x]});for(Le+=this.renderer.tablerow(De),Ae="",re=ve.rows.length,x=0;x<re;x++){for(we=ve.rows[x],De="",ue=we.length,Y=0;Y<ue;Y++)De+=this.renderer.tablecell(this.parseInline(we[Y].tokens),{header:!1,align:ve.align[Y]});Ae+=this.renderer.tablerow(De)}z+=this.renderer.table(Le,Ae);continue}case"blockquote":{Ae=this.parse(ve.tokens),z+=this.renderer.blockquote(Ae);continue}case"list":{for(Me=ve.ordered,Ie=ve.start,_e=ve.loose,re=ve.items.length,Ae="",x=0;x<re;x++)We=ve.items[x],Je=We.checked,it=We.task,He="",We.task&&(Be=this.renderer.checkbox(Je),_e?We.tokens.length>0&&We.tokens[0].type==="paragraph"?(We.tokens[0].text=Be+" "+We.tokens[0].text,We.tokens[0].tokens&&We.tokens[0].tokens.length>0&&We.tokens[0].tokens[0].type==="text"&&(We.tokens[0].tokens[0].text=Be+" "+We.tokens[0].tokens[0].text)):We.tokens.unshift({type:"text",text:Be}):He+=Be),He+=this.parse(We.tokens,_e),Ae+=this.renderer.listitem(He,it,Je);z+=this.renderer.list(Ae,Me,Ie);continue}case"html":{z+=this.renderer.html(ve.text);continue}case"paragraph":{z+=this.renderer.paragraph(this.parseInline(ve.tokens));continue}case"text":{for(Ae=ve.tokens?this.parseInline(ve.tokens):ve.text;W+1<Ge&&C[W+1].type==="text";)ve=C[++W],Ae+=`
`+(ve.tokens?this.parseInline(ve.tokens):ve.text);z+=B?this.renderer.paragraph(Ae):Ae;continue}default:{var q='Token with "'+ve.type+'" type was not found.';if(this.options.silent){console.error(q);return}else throw new Error(q)}}}return z},P.parseInline=function(C,B){B=B||this.renderer;var z="",W,x,Y,re=C.length;for(W=0;W<re;W++){if(x=C[W],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[x.type]&&(Y=this.options.extensions.renderers[x.type].call({parser:this},x),Y!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(x.type))){z+=Y||"";continue}switch(x.type){case"escape":{z+=B.text(x.text);break}case"html":{z+=B.html(x.text);break}case"link":{z+=B.link(x.href,x.title,this.parseInline(x.tokens,B));break}case"image":{z+=B.image(x.href,x.title,x.text);break}case"strong":{z+=B.strong(this.parseInline(x.tokens,B));break}case"em":{z+=B.em(this.parseInline(x.tokens,B));break}case"codespan":{z+=B.codespan(x.text);break}case"br":{z+=B.br();break}case"del":{z+=B.del(this.parseInline(x.tokens,B));break}case"text":{z+=B.text(x.text);break}default:{var ue='Token with "'+x.type+'" type was not found.';if(this.options.silent){console.error(ue);return}else throw new Error(ue)}}}return z},k}();function ne(k,P,U){if(typeof k>"u"||k===null)throw new Error("marked(): input parameter is undefined or null");if(typeof k!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(k)+", string expected");if(typeof P=="function"&&(U=P,P=null),P=m({},ne.defaults,P||{}),ee(P),U){var C=P.highlight,B;try{B=Pe.lex(k,P)}catch(re){return U(re)}var z=function(ue){var we;if(!ue)try{P.walkTokens&&ne.walkTokens(B,P.walkTokens),we=se.parse(B,P)}catch(De){ue=De}return P.highlight=C,ue?U(ue):U(null,we)};if(!C||C.length<3||(delete P.highlight,!B.length))return z();var W=0;ne.walkTokens(B,function(re){re.type==="code"&&(W++,setTimeout(function(){C(re.text,re.lang,function(ue,we){if(ue)return z(ue);we!=null&&we!==re.text&&(re.text=we,re.escaped=!0),W--,W===0&&z()})},0))}),W===0&&z();return}function x(re){if(re.message+=`
Please report this to https://github.com/markedjs/marked.`,P.silent)return"<p>An error occurred:</p><pre>"+e(re.message+"",!0)+"</pre>";throw re}try{var Y=Pe.lex(k,P);if(P.walkTokens){if(P.async)return Promise.all(ne.walkTokens(Y,P.walkTokens)).then(function(){return se.parse(Y,P)}).catch(x);ne.walkTokens(Y,P.walkTokens)}return se.parse(Y,P)}catch(re){x(re)}}ne.options=ne.setOptions=function(k){return m(ne.defaults,k),v(ne.defaults),ne},ne.getDefaults=w,ne.defaults=J.defaults,ne.use=function(){for(var k=arguments.length,P=new Array(k),U=0;U<k;U++)P[U]=arguments[U];var C=m.apply(void 0,[{}].concat(P)),B=ne.defaults.extensions||{renderers:{},childTokens:{}},z;P.forEach(function(W){if(W.extensions&&(z=!0,W.extensions.forEach(function(Y){if(!Y.name)throw new Error("extension name required");if(Y.renderer){var re=B.renderers?B.renderers[Y.name]:null;re?B.renderers[Y.name]=function(){for(var ue=arguments.length,we=new Array(ue),De=0;De<ue;De++)we[De]=arguments[De];var Le=Y.renderer.apply(this,we);return Le===!1&&(Le=re.apply(this,we)),Le}:B.renderers[Y.name]=Y.renderer}if(Y.tokenizer){if(!Y.level||Y.level!=="block"&&Y.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");B[Y.level]?B[Y.level].unshift(Y.tokenizer):B[Y.level]=[Y.tokenizer],Y.start&&(Y.level==="block"?B.startBlock?B.startBlock.push(Y.start):B.startBlock=[Y.start]:Y.level==="inline"&&(B.startInline?B.startInline.push(Y.start):B.startInline=[Y.start]))}Y.childTokens&&(B.childTokens[Y.name]=Y.childTokens)})),W.renderer&&function(){var Y=ne.defaults.renderer||new Oe,re=function(De){var Le=Y[De];Y[De]=function(){for(var Ae=arguments.length,ve=new Array(Ae),Me=0;Me<Ae;Me++)ve[Me]=arguments[Me];var Ie=W.renderer[De].apply(Y,ve);return Ie===!1&&(Ie=Le.apply(Y,ve)),Ie}};for(var ue in W.renderer)re(ue);C.renderer=Y}(),W.tokenizer&&function(){var Y=ne.defaults.tokenizer||new he,re=function(De){var Le=Y[De];Y[De]=function(){for(var Ae=arguments.length,ve=new Array(Ae),Me=0;Me<Ae;Me++)ve[Me]=arguments[Me];var Ie=W.tokenizer[De].apply(Y,ve);return Ie===!1&&(Ie=Le.apply(Y,ve)),Ie}};for(var ue in W.tokenizer)re(ue);C.tokenizer=Y}(),W.walkTokens){var x=ne.defaults.walkTokens;C.walkTokens=function(Y){var re=[];return re.push(W.walkTokens.call(this,Y)),x&&(re=re.concat(x.call(this,Y))),re}}z&&(C.extensions=B),ne.setOptions(C)})},ne.walkTokens=function(k,P){for(var U=[],C=function(){var x=z.value;switch(U=U.concat(P.call(ne,x)),x.type){case"table":{for(var Y=_(x.header),re;!(re=Y()).done;){var ue=re.value;U=U.concat(ne.walkTokens(ue.tokens,P))}for(var we=_(x.rows),De;!(De=we()).done;)for(var Le=De.value,Ae=_(Le),ve;!(ve=Ae()).done;){var Me=ve.value;U=U.concat(ne.walkTokens(Me.tokens,P))}break}case"list":{U=U.concat(ne.walkTokens(x.items,P));break}default:ne.defaults.extensions&&ne.defaults.extensions.childTokens&&ne.defaults.extensions.childTokens[x.type]?ne.defaults.extensions.childTokens[x.type].forEach(function(Ie){U=U.concat(ne.walkTokens(x[Ie],P))}):x.tokens&&(U=U.concat(ne.walkTokens(x.tokens,P)))}},B=_(k),z;!(z=B()).done;)C();return U},ne.parseInline=function(k,P){if(typeof k>"u"||k===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof k!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(k)+", string expected");P=m({},ne.defaults,P||{}),ee(P);try{var U=Pe.lexInline(k,P);return P.walkTokens&&ne.walkTokens(U,P.walkTokens),se.parseInline(U,P)}catch(C){if(C.message+=`
Please report this to https://github.com/markedjs/marked.`,P.silent)return"<p>An error occurred:</p><pre>"+e(C.message+"",!0)+"</pre>";throw C}},ne.Parser=se,ne.parser=se.parse,ne.Renderer=Oe,ne.TextRenderer=j,ne.Lexer=Pe,ne.lexer=Pe.lex,ne.Tokenizer=he,ne.Slugger=G,ne.parse=ne;var Q=ne.options,b=ne.setOptions,R=ne.use,H=ne.walkTokens,g=ne.parseInline,N=ne,$=se.parse,ie=Pe.lex;J.Lexer=Pe,J.Parser=se,J.Renderer=Oe,J.Slugger=G,J.TextRenderer=j,J.Tokenizer=he,J.getDefaults=w,J.lexer=ie,J.marked=ne,J.options=Q,J.parse=N,J.parseInline=g,J.parser=$,J.setOptions=b,J.use=R,J.walkTokens=H,Object.defineProperty(J,"__esModule",{value:!0})}),define(ge[76],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ArrayNavigator=void 0;class A{constructor(i,_=0,w=i.length,v=_-1){this.a=i,this.b=_,this.c=w,this.d=v}current(){return this.d===this.b-1||this.d===this.c?null:this.a[this.d]}next(){return this.d=Math.min(this.d+1,this.c),this.current()}previous(){return this.d=Math.max(this.d-1,this.b-1),this.current()}first(){return this.d=this.b,this.current()}last(){return this.d=this.c-1,this.current()}}t.ArrayNavigator=A}),define(ge[77],me([1,0,76]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HistoryNavigator2=t.HistoryNavigator=void 0;class I{constructor(w=[],v=10){this.h(w),this.b=v,this.d()}getHistory(){return this.j}add(w){this.a.delete(w),this.a.add(w),this.d()}next(){return this.g()!==this.j.length-1?this.c.next():null}previous(){return this.g()!==0?this.c.previous():null}current(){return this.c.current()}first(){return this.c.first()}last(){return this.c.last()}isFirst(){return this.g()===0}isLast(){return this.g()===this.j.length-1}isNowhere(){return this.c.current()===null}has(w){return this.a.has(w)}clear(){this.h([]),this.d()}d(){this.f();const w=this.j;this.c=new A.ArrayNavigator(w,0,w.length,w.length)}f(){const w=this.j;w.length>this.b&&this.h(w.slice(w.length-this.b))}g(){const w=this.c.current();return w?this.j.indexOf(w):-1}h(w){this.a=new Set;for(const v of w)this.a.add(v)}get j(){const w=[];return this.a.forEach(v=>w.push(v)),w}}t.HistoryNavigator=I;class i{constructor(w,v=10){if(this.f=v,w.length<1)throw new Error("not supported");this.d=1,this.a=this.b=this.c={value:w[0],previous:void 0,next:void 0};for(let d=1;d<w.length;d++)this.add(w[d])}add(w){const v={value:w,previous:this.b,next:void 0};for(this.b.next=v,this.b=v,this.c=this.b,this.d++;this.d>this.f;)this.a=this.a.next,this.a.previous=void 0,this.d--}replaceLast(w){const v=this.b.value;return this.b.value=w,v}isAtEnd(){return this.c===this.b}current(){return this.c.value}previous(){return this.c.previous&&(this.c=this.c.previous),this.c.value}next(){return this.c.next&&(this.c=this.c.next),this.c.value}has(w){let v=this.a;for(;v;){if(v.value===w)return!0;v=v.next}return!1}resetCursor(){return this.c=this.b,this.c.value}*[Symbol.iterator](){let w=this.a;for(;w;)yield w.value,w=w.next}}t.HistoryNavigator2=i}),define(ge[45],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SlidingWindowAverage=t.MovingAverage=t.Counter=t.rot=t.clamp=void 0;function A(v,d,u){return Math.min(Math.max(v,d),u)}t.clamp=A;function I(v,d){return(d+v%d)%d}t.rot=I;class i{constructor(){this.a=0}getNext(){return this.a++}}t.Counter=i;class _{constructor(){this.a=1,this.b=0}update(d){return this.b=this.b+(d-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}t.MovingAverage=_;class w{constructor(d){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(d),this.c.fill(0,0,d)}update(d){const u=this.c[this.d];return this.c[this.d]=d,this.d=(this.d+1)%this.c.length,this.e-=u,this.e+=d,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}t.SlidingWindowAverage=w}),define(ge[46],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Range=void 0;var A;(function(I){function i(d,u){if(d.start>=u.end||u.start>=d.end)return{start:0,end:0};const c=Math.max(d.start,u.start),M=Math.min(d.end,u.end);return M-c<=0?{start:0,end:0}:{start:c,end:M}}I.intersect=i;function _(d){return d.end-d.start<=0}I.isEmpty=_;function w(d,u){return!_(i(d,u))}I.intersects=w;function v(d,u){const c=[],M={start:d.start,end:Math.min(u.start,d.end)},o={start:Math.max(u.end,d.start),end:d.end};return _(M)||c.push(M),_(o)||c.push(o),c}I.relativeComplement=v})(A=t.Range||(t.Range={}))}),define(ge[78],me([1,0,46]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RangeMap=t.consolidate=t.shift=t.groupIntersect=void 0;function I(d,u){const c=[];for(const M of u){if(d.start>=M.range.end)continue;if(d.end<M.range.start)break;const o=A.Range.intersect(d,M.range);A.Range.isEmpty(o)||c.push({range:o,size:M.size})}return c}t.groupIntersect=I;function i({start:d,end:u},c){return{start:d+c,end:u+c}}t.shift=i;function _(d){const u=[];let c=null;for(const M of d){const o=M.range.start,n=M.range.end,e=M.size;if(c&&e===c.size){c.range.end=n;continue}c={range:{start:o,end:n},size:e},u.push(c)}return u}t.consolidate=_;function w(...d){return _(d.reduce((u,c)=>u.concat(c),[]))}class v{constructor(){this.a=[],this.b=0}splice(u,c,M=[]){const o=M.length-c,n=I({start:0,end:u},this.a),e=I({start:u+c,end:Number.POSITIVE_INFINITY},this.a).map(r=>({range:i(r.range,o),size:r.size})),s=M.map((r,a)=>({range:{start:u+a,end:u+a+1},size:r.size}));this.a=w(n,s,e),this.b=this.a.reduce((r,a)=>r+a.size*(a.range.end-a.range.start),0)}get count(){const u=this.a.length;return u?this.a[u-1].range.end:0}get size(){return this.b}indexAt(u){if(u<0)return-1;let c=0,M=0;for(const o of this.a){const n=o.range.end-o.range.start,e=M+n*o.size;if(u<e)return c+Math.floor((u-M)/o.size);c+=n,M=e}return c}indexAfter(u){return Math.min(this.indexAt(u)+1,this.count)}positionAt(u){if(u<0)return-1;let c=0,M=0;for(const o of this.a){const n=o.range.end-o.range.start,e=M+n;if(u<e)return c+(u-M)*o.size;c+=n*o.size,M=e}return-1}}t.RangeMap=v}),define(ge[79],me([1,0,7,2]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prefixedStream=t.prefixedReadable=t.transform=t.toReadable=t.emptyStream=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=t.isReadable=void 0;function i(S){const F=S;return F?typeof F.read=="function":!1}t.isReadable=i;function _(S){const F=S;return F?[F.on,F.pause,F.resume,F.destroy].every(f=>typeof f=="function"):!1}t.isReadableStream=_;function w(S){const F=S;return F?_(F.stream)&&Array.isArray(F.buffer)&&typeof F.ended=="boolean":!1}t.isReadableBufferedStream=w;function v(S,F){return new d(S,F)}t.newWriteableStream=v;class d{constructor(F,f){this.e=F,this.f=f,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(F){if(!this.a.destroyed){if(this.a.flowing)this.g(F);else if(this.b.data.push(F),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(f=>this.d.push(f))}}error(F){this.a.destroyed||(this.a.flowing?this.h(F):this.b.error.push(F))}end(F){this.a.destroyed||(typeof F<"u"&&this.write(F),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(F){this.c.data.slice(0).forEach(f=>f(F))}h(F){this.c.error.length===0?(0,A.onUnexpectedError)(F):this.c.error.slice(0).forEach(f=>f(F))}i(){this.c.end.slice(0).forEach(F=>F())}on(F,f){if(!this.a.destroyed)switch(F){case"data":this.c.data.push(f),this.resume();break;case"end":this.c.end.push(f),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(f),this.a.flowing&&this.k();break}}removeListener(F,f){if(this.a.destroyed)return;let D;switch(F){case"data":D=this.c.data;break;case"end":D=this.c.end;break;case"error":D=this.c.error;break}if(D){const T=D.indexOf(f);T>=0&&D.splice(T,1)}}j(){if(this.b.data.length>0){const F=this.e(this.b.data);this.g(F),this.b.data.length=0;const f=[...this.d];this.d.length=0,f.forEach(D=>D())}}k(){if(this.c.error.length>0){for(const F of this.b.error)this.h(F);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function u(S,F){const f=[];let D;for(;(D=S.read())!==null;)f.push(D);return F(f)}t.consumeReadable=u;function c(S,F,f){const D=[];let T;for(;(T=S.read())!==null&&D.length<f;)D.push(T);return T===null&&D.length>0?F(D):{read:()=>{if(D.length>0)return D.shift();if(typeof T<"u"){const L=T;return T=void 0,L}return S.read()}}}t.peekReadable=c;function M(S,F){return new Promise((f,D)=>{const T=[];o(S,{onData:L=>{F&&T.push(L)},onError:L=>{F?D(L):f(void 0)},onEnd:()=>{f(F?F(T):void 0)}})})}t.consumeStream=M;function o(S,F){let f=!1;return S.on("error",D=>{f||F.onError(D)}),S.on("end",()=>{f||F.onEnd()}),S.on("data",D=>{f||F.onData(D)}),(0,I.toDisposable)(()=>f=!0)}t.listenStream=o;function n(S,F){return new Promise((f,D)=>{const T=new I.DisposableStore,L=[],h=E=>{if(L.push(E),L.length>F)return T.dispose(),S.pause(),f({stream:S,buffer:L,ended:!1})},p=E=>D(E),m=()=>f({stream:S,buffer:L,ended:!0});T.add((0,I.toDisposable)(()=>S.removeListener("error",p))),S.on("error",p),T.add((0,I.toDisposable)(()=>S.removeListener("end",m))),S.on("end",m),T.add((0,I.toDisposable)(()=>S.removeListener("data",h))),S.on("data",h)})}t.peekStream=n;function e(S,F){const f=v(F);return f.end(S),f}t.toStream=e;function s(){const S=v(()=>{throw new Error("not supported")});return S.end(),S}t.emptyStream=s;function r(S){let F=!1;return{read:()=>F?null:(F=!0,S)}}t.toReadable=r;function a(S,F,f){const D=v(f);return o(S,{onData:T=>D.write(F.data(T)),onError:T=>D.error(F.error?F.error(T):T),onEnd:()=>D.end()}),D}t.transform=a;function l(S,F,f){let D=!1;return{read:()=>{const T=F.read();return D?T:(D=!0,T!==null?f([S,T]):S)}}}t.prefixedReadable=l;function y(S,F,f){let D=!1;const T=v(f);return o(F,{onData:L=>D?T.write(L):(D=!0,T.write(f([S,L]))),onError:L=>T.error(L),onEnd:()=>{D||(D=!0,T.write(S)),T.end()}}),T}t.prefixedStream=y}),define(ge[29],me([1,0,79]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.encodeBase64=t.decodeBase64=t.prefixedBufferStream=t.prefixedBufferReadable=t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const I=typeof Buffer<"u";let i,_;class w{static alloc(E){return I?new w(Buffer.allocUnsafe(E)):new w(new Uint8Array(E))}static wrap(E){return I&&!Buffer.isBuffer(E)&&(E=Buffer.from(E.buffer,E.byteOffset,E.byteLength)),new w(E)}static fromString(E,O){return!(O?.dontUseNodeBuffer||!1)&&I?new w(Buffer.from(E)):(i||(i=new TextEncoder),new w(i.encode(E)))}static fromByteArray(E){const O=w.alloc(E.length);for(let V=0,ee=E.length;V<ee;V++)O.buffer[V]=E[V];return O}static concat(E,O){if(typeof O>"u"){O=0;for(let Z=0,te=E.length;Z<te;Z++)O+=E[Z].byteLength}const V=w.alloc(O);let ee=0;for(let Z=0,te=E.length;Z<te;Z++){const oe=E[Z];V.set(oe,ee),ee+=oe.byteLength}return V}constructor(E){this.buffer=E,this.byteLength=this.buffer.byteLength}clone(){const E=w.alloc(this.byteLength);return E.set(this),E}toString(){return I?this.buffer.toString():(_||(_=new TextDecoder),_.decode(this.buffer))}slice(E,O){return new w(this.buffer.subarray(E,O))}set(E,O){if(E instanceof w)this.buffer.set(E.buffer,O);else if(E instanceof Uint8Array)this.buffer.set(E,O);else if(E instanceof ArrayBuffer)this.buffer.set(new Uint8Array(E),O);else if(ArrayBuffer.isView(E))this.buffer.set(new Uint8Array(E.buffer,E.byteOffset,E.byteLength),O);else throw new Error("Unknown argument 'array'")}readUInt32BE(E){return u(this.buffer,E)}writeUInt32BE(E,O){c(this.buffer,E,O)}readUInt32LE(E){return M(this.buffer,E)}writeUInt32LE(E,O){o(this.buffer,E,O)}readUInt8(E){return n(this.buffer,E)}writeUInt8(E,O){e(this.buffer,E,O)}}t.VSBuffer=w;function v(m,E){return m[E+0]<<0>>>0|m[E+1]<<8>>>0}t.readUInt16LE=v;function d(m,E,O){m[O+0]=E&255,E=E>>>8,m[O+1]=E&255}t.writeUInt16LE=d;function u(m,E){return m[E]*2**24+m[E+1]*2**16+m[E+2]*2**8+m[E+3]}t.readUInt32BE=u;function c(m,E,O){m[O+3]=E,E=E>>>8,m[O+2]=E,E=E>>>8,m[O+1]=E,E=E>>>8,m[O]=E}t.writeUInt32BE=c;function M(m,E){return m[E+0]<<0>>>0|m[E+1]<<8>>>0|m[E+2]<<16>>>0|m[E+3]<<24>>>0}t.readUInt32LE=M;function o(m,E,O){m[O+0]=E&255,E=E>>>8,m[O+1]=E&255,E=E>>>8,m[O+2]=E&255,E=E>>>8,m[O+3]=E&255}t.writeUInt32LE=o;function n(m,E){return m[E]}t.readUInt8=n;function e(m,E,O){m[O]=E}t.writeUInt8=e;function s(m){return A.consumeReadable(m,E=>w.concat(E))}t.readableToBuffer=s;function r(m){return A.toReadable(m)}t.bufferToReadable=r;function a(m){return A.consumeStream(m,E=>w.concat(E))}t.streamToBuffer=a;async function l(m){return m.ended?w.concat(m.buffer):w.concat([...m.buffer,await a(m.stream)])}t.bufferedStreamToBuffer=l;function y(m){return A.toStream(m,E=>w.concat(E))}t.bufferToStream=y;function S(m){return A.transform(m,{data:E=>typeof E=="string"?w.fromString(E):w.wrap(E)},E=>w.concat(E))}t.streamToBufferReadableStream=S;function F(m){return A.newWriteableStream(E=>w.concat(E),m)}t.newWriteableBufferStream=F;function f(m,E){return A.prefixedReadable(m,E,O=>w.concat(O))}t.prefixedBufferReadable=f;function D(m,E){return A.prefixedStream(m,E,O=>w.concat(O))}t.prefixedBufferStream=D;function T(m){let E=0,O=0,V=0;const ee=new Uint8Array(Math.floor(m.length/4*3)),Z=oe=>{switch(O){case 3:ee[V++]=E|oe,O=0;break;case 2:ee[V++]=E|oe>>>2,E=oe<<6,O=3;break;case 1:ee[V++]=E|oe>>>4,E=oe<<4,O=2;break;default:E=oe<<2,O=1}};for(let oe=0;oe<m.length;oe++){const he=m.charCodeAt(oe);if(he>=65&&he<=90)Z(he-65);else if(he>=97&&he<=122)Z(he-97+26);else if(he>=48&&he<=57)Z(he-48+52);else if(he===43||he===45)Z(62);else if(he===47||he===95)Z(63);else{if(he===61)break;throw new SyntaxError(`Unexpected base64 character ${m[oe]}`)}}const te=V;for(;O>0;)Z(0);return w.wrap(ee).slice(0,te)}t.decodeBase64=T;const L="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",h="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function p({buffer:m},E=!0,O=!1){const V=O?h:L;let ee="";const Z=m.byteLength%3;let te=0;for(;te<m.byteLength-Z;te+=3){const oe=m[te+0],he=m[te+1],de=m[te+2];ee+=V[oe>>>2],ee+=V[(oe<<4|he>>>4)&63],ee+=V[(he<<2|de>>>6)&63],ee+=V[de&63]}if(Z===1){const oe=m[te+0];ee+=V[oe>>>2],ee+=V[oe<<4&63],E&&(ee+="==")}else if(Z===2){const oe=m[te+0],he=m[te+1];ee+=V[oe>>>2],ee+=V[(oe<<4|he>>>4)&63],ee+=V[he<<2&63],E&&(ee+="=")}return ee}t.encodeBase64=p}),define(ge[6],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.withUndefinedAsNull=t.withNullAsUndefined=t.validateConstraint=t.validateConstraints=t.areFunctions=t.isFunction=t.isEmptyObject=t.assertAllDefined=t.assertIsDefined=t.assertType=t.isUndefinedOrNull=t.isDefined=t.isUndefined=t.isBoolean=t.isIterable=t.isNumber=t.isTypedArray=t.isObject=t.isStringArray=t.isString=void 0;function A(D){return typeof D=="string"}t.isString=A;function I(D){return Array.isArray(D)&&D.every(T=>A(T))}t.isStringArray=I;function i(D){return typeof D=="object"&&D!==null&&!Array.isArray(D)&&!(D instanceof RegExp)&&!(D instanceof Date)}t.isObject=i;function _(D){const T=Object.getPrototypeOf(Uint8Array);return typeof D=="object"&&D instanceof T}t.isTypedArray=_;function w(D){return typeof D=="number"&&!isNaN(D)}t.isNumber=w;function v(D){return!!D&&typeof D[Symbol.iterator]=="function"}t.isIterable=v;function d(D){return D===!0||D===!1}t.isBoolean=d;function u(D){return typeof D>"u"}t.isUndefined=u;function c(D){return!M(D)}t.isDefined=c;function M(D){return u(D)||D===null}t.isUndefinedOrNull=M;function o(D,T){if(!D)throw new Error(T?`Unexpected type, expected '${T}'`:"Unexpected type")}t.assertType=o;function n(D){if(M(D))throw new Error("Assertion Failed: argument is undefined or null");return D}t.assertIsDefined=n;function e(...D){const T=[];for(let L=0;L<D.length;L++){const h=D[L];if(M(h))throw new Error(`Assertion Failed: argument at index ${L} is undefined or null`);T.push(h)}return T}t.assertAllDefined=e;const s=Object.prototype.hasOwnProperty;function r(D){if(!i(D))return!1;for(const T in D)if(s.call(D,T))return!1;return!0}t.isEmptyObject=r;function a(D){return typeof D=="function"}t.isFunction=a;function l(...D){return D.length>0&&D.every(a)}t.areFunctions=l;function y(D,T){const L=Math.min(D.length,T.length);for(let h=0;h<L;h++)S(D[h],T[h])}t.validateConstraints=y;function S(D,T){if(A(T)){if(typeof D!==T)throw new Error(`argument does not match constraint: typeof ${T}`)}else if(a(T)){try{if(D instanceof T)return}catch{}if(!M(D)&&D.constructor===T||T.length===1&&T.call(void 0,D)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}t.validateConstraint=S;function F(D){return D===null?void 0:D}t.withNullAsUndefined=F;function f(D){return typeof D>"u"?null:D}t.withUndefinedAsNull=f}),define(ge[16],me([1,0,6]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Codicon=t.getAllCodicons=t.getCodiconFontCharacters=void 0;const I=Object.create(null);function i(v,d){if((0,A.isString)(d)){const u=I[d];if(u===void 0)throw new Error(`${v} references an unknown codicon: ${d}`);d=u}return I[v]=d,{id:v}}function _(){return I}t.getCodiconFontCharacters=_;function w(){return Object.values(t.Codicon)}t.getAllCodicons=w,t.Codicon={add:i("add",6e4),plus:i("plus",6e4),gistNew:i("gist-new",6e4),repoCreate:i("repo-create",6e4),lightbulb:i("lightbulb",60001),lightBulb:i("light-bulb",60001),repo:i("repo",60002),repoDelete:i("repo-delete",60002),gistFork:i("gist-fork",60003),repoForked:i("repo-forked",60003),gitPullRequest:i("git-pull-request",60004),gitPullRequestAbandoned:i("git-pull-request-abandoned",60004),recordKeys:i("record-keys",60005),keyboard:i("keyboard",60005),tag:i("tag",60006),tagAdd:i("tag-add",60006),tagRemove:i("tag-remove",60006),person:i("person",60007),personFollow:i("person-follow",60007),personOutline:i("person-outline",60007),personFilled:i("person-filled",60007),gitBranch:i("git-branch",60008),gitBranchCreate:i("git-branch-create",60008),gitBranchDelete:i("git-branch-delete",60008),sourceControl:i("source-control",60008),mirror:i("mirror",60009),mirrorPublic:i("mirror-public",60009),star:i("star",60010),starAdd:i("star-add",60010),starDelete:i("star-delete",60010),starEmpty:i("star-empty",60010),comment:i("comment",60011),commentAdd:i("comment-add",60011),alert:i("alert",60012),warning:i("warning",60012),search:i("search",60013),searchSave:i("search-save",60013),logOut:i("log-out",60014),signOut:i("sign-out",60014),logIn:i("log-in",60015),signIn:i("sign-in",60015),eye:i("eye",60016),eyeUnwatch:i("eye-unwatch",60016),eyeWatch:i("eye-watch",60016),circleFilled:i("circle-filled",60017),primitiveDot:i("primitive-dot",60017),closeDirty:i("close-dirty",60017),debugBreakpoint:i("debug-breakpoint",60017),debugBreakpointDisabled:i("debug-breakpoint-disabled",60017),debugHint:i("debug-hint",60017),primitiveSquare:i("primitive-square",60018),edit:i("edit",60019),pencil:i("pencil",60019),info:i("info",60020),issueOpened:i("issue-opened",60020),gistPrivate:i("gist-private",60021),gitForkPrivate:i("git-fork-private",60021),lock:i("lock",60021),mirrorPrivate:i("mirror-private",60021),close:i("close",60022),removeClose:i("remove-close",60022),x:i("x",60022),repoSync:i("repo-sync",60023),sync:i("sync",60023),clone:i("clone",60024),desktopDownload:i("desktop-download",60024),beaker:i("beaker",60025),microscope:i("microscope",60025),vm:i("vm",60026),deviceDesktop:i("device-desktop",60026),file:i("file",60027),fileText:i("file-text",60027),more:i("more",60028),ellipsis:i("ellipsis",60028),kebabHorizontal:i("kebab-horizontal",60028),mailReply:i("mail-reply",60029),reply:i("reply",60029),organization:i("organization",60030),organizationFilled:i("organization-filled",60030),organizationOutline:i("organization-outline",60030),newFile:i("new-file",60031),fileAdd:i("file-add",60031),newFolder:i("new-folder",60032),fileDirectoryCreate:i("file-directory-create",60032),trash:i("trash",60033),trashcan:i("trashcan",60033),history:i("history",60034),clock:i("clock",60034),folder:i("folder",60035),fileDirectory:i("file-directory",60035),symbolFolder:i("symbol-folder",60035),logoGithub:i("logo-github",60036),markGithub:i("mark-github",60036),github:i("github",60036),terminal:i("terminal",60037),console:i("console",60037),repl:i("repl",60037),zap:i("zap",60038),symbolEvent:i("symbol-event",60038),error:i("error",60039),stop:i("stop",60039),variable:i("variable",60040),symbolVariable:i("symbol-variable",60040),array:i("array",60042),symbolArray:i("symbol-array",60042),symbolModule:i("symbol-module",60043),symbolPackage:i("symbol-package",60043),symbolNamespace:i("symbol-namespace",60043),symbolObject:i("symbol-object",60043),symbolMethod:i("symbol-method",60044),symbolFunction:i("symbol-function",60044),symbolConstructor:i("symbol-constructor",60044),symbolBoolean:i("symbol-boolean",60047),symbolNull:i("symbol-null",60047),symbolNumeric:i("symbol-numeric",60048),symbolNumber:i("symbol-number",60048),symbolStructure:i("symbol-structure",60049),symbolStruct:i("symbol-struct",60049),symbolParameter:i("symbol-parameter",60050),symbolTypeParameter:i("symbol-type-parameter",60050),symbolKey:i("symbol-key",60051),symbolText:i("symbol-text",60051),symbolReference:i("symbol-reference",60052),goToFile:i("go-to-file",60052),symbolEnum:i("symbol-enum",60053),symbolValue:i("symbol-value",60053),symbolRuler:i("symbol-ruler",60054),symbolUnit:i("symbol-unit",60054),activateBreakpoints:i("activate-breakpoints",60055),archive:i("archive",60056),arrowBoth:i("arrow-both",60057),arrowDown:i("arrow-down",60058),arrowLeft:i("arrow-left",60059),arrowRight:i("arrow-right",60060),arrowSmallDown:i("arrow-small-down",60061),arrowSmallLeft:i("arrow-small-left",60062),arrowSmallRight:i("arrow-small-right",60063),arrowSmallUp:i("arrow-small-up",60064),arrowUp:i("arrow-up",60065),bell:i("bell",60066),bold:i("bold",60067),book:i("book",60068),bookmark:i("bookmark",60069),debugBreakpointConditionalUnverified:i("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:i("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:i("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:i("debug-breakpoint-data-unverified",60072),debugBreakpointData:i("debug-breakpoint-data",60073),debugBreakpointDataDisabled:i("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:i("debug-breakpoint-log-unverified",60074),debugBreakpointLog:i("debug-breakpoint-log",60075),debugBreakpointLogDisabled:i("debug-breakpoint-log-disabled",60075),briefcase:i("briefcase",60076),broadcast:i("broadcast",60077),browser:i("browser",60078),bug:i("bug",60079),calendar:i("calendar",60080),caseSensitive:i("case-sensitive",60081),check:i("check",60082),checklist:i("checklist",60083),chevronDown:i("chevron-down",60084),dropDownButton:i("drop-down-button",60084),chevronLeft:i("chevron-left",60085),chevronRight:i("chevron-right",60086),chevronUp:i("chevron-up",60087),chromeClose:i("chrome-close",60088),chromeMaximize:i("chrome-maximize",60089),chromeMinimize:i("chrome-minimize",60090),chromeRestore:i("chrome-restore",60091),circle:i("circle",60092),circleOutline:i("circle-outline",60092),debugBreakpointUnverified:i("debug-breakpoint-unverified",60092),circleSlash:i("circle-slash",60093),circuitBoard:i("circuit-board",60094),clearAll:i("clear-all",60095),clippy:i("clippy",60096),closeAll:i("close-all",60097),cloudDownload:i("cloud-download",60098),cloudUpload:i("cloud-upload",60099),code:i("code",60100),collapseAll:i("collapse-all",60101),colorMode:i("color-mode",60102),commentDiscussion:i("comment-discussion",60103),compareChanges:i("compare-changes",60157),creditCard:i("credit-card",60105),dash:i("dash",60108),dashboard:i("dashboard",60109),database:i("database",60110),debugContinue:i("debug-continue",60111),debugDisconnect:i("debug-disconnect",60112),debugPause:i("debug-pause",60113),debugRestart:i("debug-restart",60114),debugStart:i("debug-start",60115),debugStepInto:i("debug-step-into",60116),debugStepOut:i("debug-step-out",60117),debugStepOver:i("debug-step-over",60118),debugStop:i("debug-stop",60119),debug:i("debug",60120),deviceCameraVideo:i("device-camera-video",60121),deviceCamera:i("device-camera",60122),deviceMobile:i("device-mobile",60123),diffAdded:i("diff-added",60124),diffIgnored:i("diff-ignored",60125),diffModified:i("diff-modified",60126),diffRemoved:i("diff-removed",60127),diffRenamed:i("diff-renamed",60128),diff:i("diff",60129),discard:i("discard",60130),editorLayout:i("editor-layout",60131),emptyWindow:i("empty-window",60132),exclude:i("exclude",60133),extensions:i("extensions",60134),eyeClosed:i("eye-closed",60135),fileBinary:i("file-binary",60136),fileCode:i("file-code",60137),fileMedia:i("file-media",60138),filePdf:i("file-pdf",60139),fileSubmodule:i("file-submodule",60140),fileSymlinkDirectory:i("file-symlink-directory",60141),fileSymlinkFile:i("file-symlink-file",60142),fileZip:i("file-zip",60143),files:i("files",60144),filter:i("filter",60145),flame:i("flame",60146),foldDown:i("fold-down",60147),foldUp:i("fold-up",60148),fold:i("fold",60149),folderActive:i("folder-active",60150),folderOpened:i("folder-opened",60151),gear:i("gear",60152),gift:i("gift",60153),gistSecret:i("gist-secret",60154),gist:i("gist",60155),gitCommit:i("git-commit",60156),gitCompare:i("git-compare",60157),gitMerge:i("git-merge",60158),githubAction:i("github-action",60159),githubAlt:i("github-alt",60160),globe:i("globe",60161),grabber:i("grabber",60162),graph:i("graph",60163),gripper:i("gripper",60164),heart:i("heart",60165),home:i("home",60166),horizontalRule:i("horizontal-rule",60167),hubot:i("hubot",60168),inbox:i("inbox",60169),issueClosed:i("issue-closed",60324),issueReopened:i("issue-reopened",60171),issues:i("issues",60172),italic:i("italic",60173),jersey:i("jersey",60174),json:i("json",60175),bracket:i("bracket",60175),kebabVertical:i("kebab-vertical",60176),key:i("key",60177),law:i("law",60178),lightbulbAutofix:i("lightbulb-autofix",60179),linkExternal:i("link-external",60180),link:i("link",60181),listOrdered:i("list-ordered",60182),listUnordered:i("list-unordered",60183),liveShare:i("live-share",60184),loading:i("loading",60185),location:i("location",60186),mailRead:i("mail-read",60187),mail:i("mail",60188),markdown:i("markdown",60189),megaphone:i("megaphone",60190),mention:i("mention",60191),milestone:i("milestone",60192),mortarBoard:i("mortar-board",60193),move:i("move",60194),multipleWindows:i("multiple-windows",60195),mute:i("mute",60196),noNewline:i("no-newline",60197),note:i("note",60198),octoface:i("octoface",60199),openPreview:i("open-preview",60200),package_:i("package",60201),paintcan:i("paintcan",60202),pin:i("pin",60203),play:i("play",60204),run:i("run",60204),plug:i("plug",60205),preserveCase:i("preserve-case",60206),preview:i("preview",60207),project:i("project",60208),pulse:i("pulse",60209),question:i("question",60210),quote:i("quote",60211),radioTower:i("radio-tower",60212),reactions:i("reactions",60213),references:i("references",60214),refresh:i("refresh",60215),regex:i("regex",60216),remoteExplorer:i("remote-explorer",60217),remote:i("remote",60218),remove:i("remove",60219),replaceAll:i("replace-all",60220),replace:i("replace",60221),repoClone:i("repo-clone",60222),repoForcePush:i("repo-force-push",60223),repoPull:i("repo-pull",60224),repoPush:i("repo-push",60225),report:i("report",60226),requestChanges:i("request-changes",60227),rocket:i("rocket",60228),rootFolderOpened:i("root-folder-opened",60229),rootFolder:i("root-folder",60230),rss:i("rss",60231),ruby:i("ruby",60232),saveAll:i("save-all",60233),saveAs:i("save-as",60234),save:i("save",60235),screenFull:i("screen-full",60236),screenNormal:i("screen-normal",60237),searchStop:i("search-stop",60238),server:i("server",60240),settingsGear:i("settings-gear",60241),settings:i("settings",60242),shield:i("shield",60243),smiley:i("smiley",60244),sortPrecedence:i("sort-precedence",60245),splitHorizontal:i("split-horizontal",60246),splitVertical:i("split-vertical",60247),squirrel:i("squirrel",60248),starFull:i("star-full",60249),starHalf:i("star-half",60250),symbolClass:i("symbol-class",60251),symbolColor:i("symbol-color",60252),symbolCustomColor:i("symbol-customcolor",60252),symbolConstant:i("symbol-constant",60253),symbolEnumMember:i("symbol-enum-member",60254),symbolField:i("symbol-field",60255),symbolFile:i("symbol-file",60256),symbolInterface:i("symbol-interface",60257),symbolKeyword:i("symbol-keyword",60258),symbolMisc:i("symbol-misc",60259),symbolOperator:i("symbol-operator",60260),symbolProperty:i("symbol-property",60261),wrench:i("wrench",60261),wrenchSubaction:i("wrench-subaction",60261),symbolSnippet:i("symbol-snippet",60262),tasklist:i("tasklist",60263),telescope:i("telescope",60264),textSize:i("text-size",60265),threeBars:i("three-bars",60266),thumbsdown:i("thumbsdown",60267),thumbsup:i("thumbsup",60268),tools:i("tools",60269),triangleDown:i("triangle-down",60270),triangleLeft:i("triangle-left",60271),triangleRight:i("triangle-right",60272),triangleUp:i("triangle-up",60273),twitter:i("twitter",60274),unfold:i("unfold",60275),unlock:i("unlock",60276),unmute:i("unmute",60277),unverified:i("unverified",60278),verified:i("verified",60279),versions:i("versions",60280),vmActive:i("vm-active",60281),vmOutline:i("vm-outline",60282),vmRunning:i("vm-running",60283),watch:i("watch",60284),whitespace:i("whitespace",60285),wholeWord:i("whole-word",60286),window:i("window",60287),wordWrap:i("word-wrap",60288),zoomIn:i("zoom-in",60289),zoomOut:i("zoom-out",60290),listFilter:i("list-filter",60291),listFlat:i("list-flat",60292),listSelection:i("list-selection",60293),selection:i("selection",60293),listTree:i("list-tree",60294),debugBreakpointFunctionUnverified:i("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:i("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:i("debug-breakpoint-function-disabled",60296),debugStackframeActive:i("debug-stackframe-active",60297),circleSmallFilled:i("circle-small-filled",60298),debugStackframeDot:i("debug-stackframe-dot",60298),debugStackframe:i("debug-stackframe",60299),debugStackframeFocused:i("debug-stackframe-focused",60299),debugBreakpointUnsupported:i("debug-breakpoint-unsupported",60300),symbolString:i("symbol-string",60301),debugReverseContinue:i("debug-reverse-continue",60302),debugStepBack:i("debug-step-back",60303),debugRestartFrame:i("debug-restart-frame",60304),callIncoming:i("call-incoming",60306),callOutgoing:i("call-outgoing",60307),menu:i("menu",60308),expandAll:i("expand-all",60309),feedback:i("feedback",60310),groupByRefType:i("group-by-ref-type",60311),ungroupByRefType:i("ungroup-by-ref-type",60312),account:i("account",60313),bellDot:i("bell-dot",60314),debugConsole:i("debug-console",60315),library:i("library",60316),output:i("output",60317),runAll:i("run-all",60318),syncIgnored:i("sync-ignored",60319),pinned:i("pinned",60320),githubInverted:i("github-inverted",60321),debugAlt:i("debug-alt",60305),serverProcess:i("server-process",60322),serverEnvironment:i("server-environment",60323),pass:i("pass",60324),stopCircle:i("stop-circle",60325),playCircle:i("play-circle",60326),record:i("record",60327),debugAltSmall:i("debug-alt-small",60328),vmConnect:i("vm-connect",60329),cloud:i("cloud",60330),merge:i("merge",60331),exportIcon:i("export",60332),graphLeft:i("graph-left",60333),magnet:i("magnet",60334),notebook:i("notebook",60335),redo:i("redo",60336),checkAll:i("check-all",60337),pinnedDirty:i("pinned-dirty",60338),passFilled:i("pass-filled",60339),circleLargeFilled:i("circle-large-filled",60340),circleLarge:i("circle-large",60341),circleLargeOutline:i("circle-large-outline",60341),combine:i("combine",60342),gather:i("gather",60342),table:i("table",60343),variableGroup:i("variable-group",60344),typeHierarchy:i("type-hierarchy",60345),typeHierarchySub:i("type-hierarchy-sub",60346),typeHierarchySuper:i("type-hierarchy-super",60347),gitPullRequestCreate:i("git-pull-request-create",60348),runAbove:i("run-above",60349),runBelow:i("run-below",60350),notebookTemplate:i("notebook-template",60351),debugRerun:i("debug-rerun",60352),workspaceTrusted:i("workspace-trusted",60353),workspaceUntrusted:i("workspace-untrusted",60354),workspaceUnspecified:i("workspace-unspecified",60355),terminalCmd:i("terminal-cmd",60356),terminalDebian:i("terminal-debian",60357),terminalLinux:i("terminal-linux",60358),terminalPowershell:i("terminal-powershell",60359),terminalTmux:i("terminal-tmux",60360),terminalUbuntu:i("terminal-ubuntu",60361),terminalBash:i("terminal-bash",60362),arrowSwap:i("arrow-swap",60363),copy:i("copy",60364),personAdd:i("person-add",60365),filterFilled:i("filter-filled",60366),wand:i("wand",60367),debugLineByLine:i("debug-line-by-line",60368),inspect:i("inspect",60369),layers:i("layers",60370),layersDot:i("layers-dot",60371),layersActive:i("layers-active",60372),compass:i("compass",60373),compassDot:i("compass-dot",60374),compassActive:i("compass-active",60375),azure:i("azure",60376),issueDraft:i("issue-draft",60377),gitPullRequestClosed:i("git-pull-request-closed",60378),gitPullRequestDraft:i("git-pull-request-draft",60379),debugAll:i("debug-all",60380),debugCoverage:i("debug-coverage",60381),runErrors:i("run-errors",60382),folderLibrary:i("folder-library",60383),debugContinueSmall:i("debug-continue-small",60384),beakerStop:i("beaker-stop",60385),graphLine:i("graph-line",60386),graphScatter:i("graph-scatter",60387),pieChart:i("pie-chart",60388),bracketDot:i("bracket-dot",60389),bracketError:i("bracket-error",60390),lockSmall:i("lock-small",60391),azureDevops:i("azure-devops",60392),verifiedFilled:i("verified-filled",60393),newLine:i("newline",60394),layout:i("layout",60395),layoutActivitybarLeft:i("layout-activitybar-left",60396),layoutActivitybarRight:i("layout-activitybar-right",60397),layoutPanelLeft:i("layout-panel-left",60398),layoutPanelCenter:i("layout-panel-center",60399),layoutPanelJustify:i("layout-panel-justify",60400),layoutPanelRight:i("layout-panel-right",60401),layoutPanel:i("layout-panel",60402),layoutSidebarLeft:i("layout-sidebar-left",60403),layoutSidebarRight:i("layout-sidebar-right",60404),layoutStatusbar:i("layout-statusbar",60405),layoutMenubar:i("layout-menubar",60406),layoutCentered:i("layout-centered",60407),layoutSidebarRightOff:i("layout-sidebar-right-off",60416),layoutPanelOff:i("layout-panel-off",60417),layoutSidebarLeftOff:i("layout-sidebar-left-off",60418),target:i("target",60408),indent:i("indent",60409),recordSmall:i("record-small",60410),errorSmall:i("error-small",60411),arrowCircleDown:i("arrow-circle-down",60412),arrowCircleLeft:i("arrow-circle-left",60413),arrowCircleRight:i("arrow-circle-right",60414),arrowCircleUp:i("arrow-circle-up",60415),heartFilled:i("heart-filled",60420),map:i("map",60421),mapFilled:i("map-filled",60422),circleSmall:i("circle-small",60423),bellSlash:i("bell-slash",60424),bellSlashDot:i("bell-slash-dot",60425),commentUnresolved:i("comment-unresolved",60426),gitPullRequestGoToChanges:i("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:i("git-pull-request-new-changes",60428),searchFuzzy:i("search-fuzzy",60429),commentDraft:i("comment-draft",60430),dialogError:i("dialog-error","error"),dialogWarning:i("dialog-warning","warning"),dialogInfo:i("dialog-info","info"),dialogClose:i("dialog-close","close"),treeItemExpanded:i("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:i("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:i("tree-filter-on-type-off","list-selection"),treeFilterClear:i("tree-filter-clear","close"),treeItemLoading:i("tree-item-loading","loading"),menuSelection:i("menu-selection","check"),menuSubmenu:i("menu-submenu","chevron-right"),menuBarMore:i("menubar-more","more"),scrollbarButtonLeft:i("scrollbar-button-left","triangle-left"),scrollbarButtonRight:i("scrollbar-button-right","triangle-right"),scrollbarButtonUp:i("scrollbar-button-up","triangle-up"),scrollbarButtonDown:i("scrollbar-button-down","triangle-down"),toolBarMore:i("toolbar-more","more"),quickInputBack:i("quick-input-back","arrow-left")}}),define(ge[80],me([1,0,6]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createProxyObject=t.getAllMethodNames=t.getAllPropertyNames=t.filter=t.getCaseInsensitive=t.distinct=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function I(a){if(!a||typeof a!="object"||a instanceof RegExp)return a;const l=Array.isArray(a)?[]:{};return Object.entries(a).forEach(([y,S])=>{l[y]=S&&typeof S=="object"?I(S):S}),l}t.deepClone=I;function i(a){if(!a||typeof a!="object")return a;const l=[a];for(;l.length>0;){const y=l.shift();Object.freeze(y);for(const S in y)if(_.call(y,S)){const F=y[S];typeof F=="object"&&!Object.isFrozen(F)&&!(0,A.isTypedArray)(F)&&l.push(F)}}return a}t.deepFreeze=i;const _=Object.prototype.hasOwnProperty;function w(a,l){return v(a,l,new Set)}t.cloneAndChange=w;function v(a,l,y){if((0,A.isUndefinedOrNull)(a))return a;const S=l(a);if(typeof S<"u")return S;if(Array.isArray(a)){const F=[];for(const f of a)F.push(v(f,l,y));return F}if((0,A.isObject)(a)){if(y.has(a))throw new Error("Cannot clone recursive data-structure");y.add(a);const F={};for(const f in a)_.call(a,f)&&(F[f]=v(a[f],l,y));return y.delete(a),F}return a}function d(a,l,y=!0){return(0,A.isObject)(a)?((0,A.isObject)(l)&&Object.keys(l).forEach(S=>{S in a?y&&((0,A.isObject)(a[S])&&(0,A.isObject)(l[S])?d(a[S],l[S],y):a[S]=l[S]):a[S]=l[S]}),a):l}t.mixin=d;function u(a,l){if(a===l)return!0;if(a==null||l===null||l===void 0||typeof a!=typeof l||typeof a!="object"||Array.isArray(a)!==Array.isArray(l))return!1;let y,S;if(Array.isArray(a)){if(a.length!==l.length)return!1;for(y=0;y<a.length;y++)if(!u(a[y],l[y]))return!1}else{const F=[];for(S in a)F.push(S);F.sort();const f=[];for(S in l)f.push(S);if(f.sort(),!u(F,f))return!1;for(y=0;y<F.length;y++)if(!u(a[F[y]],l[F[y]]))return!1}return!0}t.equals=u;function c(a){const l=new Set;return JSON.stringify(a,(y,S)=>{if((0,A.isObject)(S)||Array.isArray(S)){if(l.has(S))return"[Circular]";l.add(S)}return S})}t.safeStringify=c;function M(a,l){const y=Object.create(null);return!a||!l||Object.keys(l).forEach(F=>{const f=a[F],D=l[F];u(f,D)||(y[F]=D)}),y}t.distinct=M;function o(a,l){const y=l.toLowerCase(),S=Object.keys(a).find(F=>F.toLowerCase()===y);return S?a[S]:a[l]}t.getCaseInsensitive=o;function n(a,l){const y=Object.create(null);for(const[S,F]of Object.entries(a))l(S,F)&&(y[S]=F);return y}t.filter=n;function e(a){let l=[],y=Object.getPrototypeOf(a);for(;Object.prototype!==y;)l=l.concat(Object.getOwnPropertyNames(y)),y=Object.getPrototypeOf(y);return l}t.getAllPropertyNames=e;function s(a){const l=[];for(const y of e(a))typeof a[y]=="function"&&l.push(y);return l}t.getAllMethodNames=s;function r(a,l){const y=F=>function(){const f=Array.prototype.slice.call(arguments,0);return l(F,f)},S={};for(const F of a)S[F]=y(F);return S}t.createProxyObject=r}),define(ge[17],me([1,0,16]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ThemeIcon=t.themeColorFromId=t.ThemeColor=void 0;var I;(function(w){function v(d){return d&&typeof d=="object"&&typeof d.id=="string"}w.isThemeColor=v})(I=t.ThemeColor||(t.ThemeColor={}));function i(w){return{id:w}}t.themeColorFromId=i;var _;(function(w){w.iconNameSegment="[A-Za-z0-9]+",w.iconNameExpression="[A-Za-z0-9-]+",w.iconModifierExpression="~[A-Za-z]+",w.iconNameCharacter="[A-Za-z0-9~-]";const v=new RegExp(`^(${w.iconNameExpression})(${w.iconModifierExpression})?$`);function d(l){const y=v.exec(l.id);if(!y)return d(A.Codicon.error);const[,S,F]=y,f=["codicon","codicon-"+S];return F&&f.push("codicon-modifier-"+F.substring(1)),f}w.asClassNameArray=d;function u(l){return d(l).join(" ")}w.asClassName=u;function c(l){return"."+d(l).join(".")}w.asCSSSelector=c;function M(l){return l&&typeof l=="object"&&typeof l.id=="string"&&(typeof l.color>"u"||I.isThemeColor(l.color))}w.isThemeIcon=M;const o=new RegExp(`^\\$\\((${w.iconNameExpression}(?:${w.iconModifierExpression})?)\\)$`);function n(l){const y=o.exec(l);if(!y)return;const[,S]=y;return{id:S}}w.fromString=n;function e(l){return{id:l}}w.fromId=e;function s(l,y){let S=l.id;const F=S.lastIndexOf("~");return F!==-1&&(S=S.substring(0,F)),y&&(S=`${S}~${y}`),{id:S}}w.modify=s;function r(l){const y=l.id.lastIndexOf("~");if(y!==-1)return l.id.substring(y+1)}w.getModifier=r;function a(l,y){return l.id===y.id&&l.color?.id===y.color?.id}w.isEqual=a})(_=t.ThemeIcon||(t.ThemeIcon={}))}),define(ge[81],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CONTEXT_MENU_CLOSE_CHANNEL=t.CONTEXT_MENU_CHANNEL=void 0,t.CONTEXT_MENU_CHANNEL="vscode:contextmenu",t.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(ge[82],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Protocol=void 0;class A{constructor(i,_){this.a=i,this.onMessage=_}send(i){try{this.a.send("vscode:message",i.buffer)}catch{}}disconnect(){this.a.send("vscode:disconnect",null)}}t.Protocol=A}),define(ge[47],me([8]),{}),define(ge[83],me([8]),{}),define(ge[84],me([8]),{}),define(ge[85],me([8]),{}),define(ge[86],me([1,0,84,85]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0})}),define(ge[87],me([8]),{}),define(ge[88],me([8]),{}),define(ge[89],me([8]),{}),define(ge[90],me([8]),{}),define(ge[91],me([8]),{}),define(ge[92],me([8]),{}),define(ge[93],me([8]),{}),define(ge[94],me([8]),{}),define(ge[95],me([8]),{}),define(ge[96],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/actionbar/actionViewItems",t)}),define(ge[97],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/findinput/findInput",t)}),define(ge[98],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/findinput/findInputToggles",t)}),define(ge[99],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/iconLabel/iconLabelHover",t)}),define(ge[100],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/inputbox/inputBox",t)}),define(ge[101],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/selectBox/selectBoxCustom",t)}),define(ge[102],me([12,10]),function(J,t){return J.create("vs/base/browser/ui/tree/abstractTree",t)}),define(ge[103],me([12,10]),function(J,t){return J.create("vs/base/common/actions",t)}),define(ge[104],me([12,10]),function(J,t){return J.create("vs/base/common/platform",t)}),define(ge[5],me([1,0,104]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isAndroid=t.isEdge=t.isSafari=t.isFirefox=t.isChrome=t.isLittleEndian=t.OS=t.OperatingSystem=t.setTimeout0=t.setTimeout0IsFaster=t.translationsConfigFile=t.locale=t.Language=t.language=t.userAgent=t.platform=t.isCI=t.isMobile=t.isIOS=t.isWebWorker=t.isWeb=t.isElectron=t.isNative=t.isLinuxSnap=t.isLinux=t.isMacintosh=t.isWindows=t.PlatformToString=t.Platform=t.globals=t.LANGUAGE_DEFAULT=void 0,t.LANGUAGE_DEFAULT="en";let I=!1,i=!1,_=!1,w=!1,v=!1,d=!1,u=!1,c=!1,M=!1,o=!1,n,e=t.LANGUAGE_DEFAULT,s,r;t.globals=typeof self=="object"?self:typeof global=="object"?global:{};let a;typeof t.globals.vscode<"u"&&typeof t.globals.vscode.process<"u"?a=t.globals.vscode.process:typeof process<"u"&&(a=process);const l=typeof a?.versions?.electron=="string",y=l&&a?.type==="renderer";if(typeof navigator=="object"&&!y)r=navigator.userAgent,I=r.indexOf("Windows")>=0,i=r.indexOf("Macintosh")>=0,c=(r.indexOf("Macintosh")>=0||r.indexOf("iPad")>=0||r.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,_=r.indexOf("Linux")>=0,o=r?.indexOf("Mobi")>=0,d=!0,n=A.getConfiguredDefaultLocale(A.localize(0,null))||t.LANGUAGE_DEFAULT,e=n;else if(typeof a=="object"){I=a.platform==="win32",i=a.platform==="darwin",_=a.platform==="linux",w=_&&!!a.env.SNAP&&!!a.env.SNAP_REVISION,u=l,M=!!a.env.CI||!!a.env.BUILD_ARTIFACTSTAGINGDIRECTORY,n=t.LANGUAGE_DEFAULT,e=t.LANGUAGE_DEFAULT;const m=a.env.VSCODE_NLS_CONFIG;if(m)try{const E=JSON.parse(m),O=E.availableLanguages["*"];n=E.locale,e=O||t.LANGUAGE_DEFAULT,s=E._translationsConfigFile}catch{}v=!0}else console.error("Unable to resolve platform.");var S;(function(m){m[m.Web=0]="Web",m[m.Mac=1]="Mac",m[m.Linux=2]="Linux",m[m.Windows=3]="Windows"})(S=t.Platform||(t.Platform={}));function F(m){switch(m){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}t.PlatformToString=F;let f=0;i?f=1:I?f=3:_&&(f=2),t.isWindows=I,t.isMacintosh=i,t.isLinux=_,t.isLinuxSnap=w,t.isNative=v,t.isElectron=u,t.isWeb=d,t.isWebWorker=d&&typeof t.globals.importScripts=="function",t.isIOS=c,t.isMobile=o,t.isCI=M,t.platform=f,t.userAgent=r,t.language=e;var D;(function(m){function E(){return t.language}m.value=E;function O(){return t.language.length===2?t.language==="en":t.language.length>=3?t.language[0]==="e"&&t.language[1]==="n"&&t.language[2]==="-":!1}m.isDefaultVariant=O;function V(){return t.language==="en"}m.isDefault=V})(D=t.Language||(t.Language={})),t.locale=n,t.translationsConfigFile=s,t.setTimeout0IsFaster=typeof t.globals.postMessage=="function"&&!t.globals.importScripts,t.setTimeout0=(()=>{if(t.setTimeout0IsFaster){const m=[];t.globals.addEventListener("message",O=>{if(O.data&&O.data.vscodeScheduleAsyncWork)for(let V=0,ee=m.length;V<ee;V++){const Z=m[V];if(Z.id===O.data.vscodeScheduleAsyncWork){m.splice(V,1),Z.callback();return}}});let E=0;return O=>{const V=++E;m.push({id:V,callback:O}),t.globals.postMessage({vscodeScheduleAsyncWork:V},"*")}}return m=>setTimeout(m)})();var T;(function(m){m[m.Windows=1]="Windows",m[m.Macintosh=2]="Macintosh",m[m.Linux=3]="Linux"})(T=t.OperatingSystem||(t.OperatingSystem={})),t.OS=i||c?2:I?1:3;let L=!0,h=!1;function p(){if(!h){h=!0;const m=new Uint8Array(2);m[0]=1,m[1]=2,L=new Uint16Array(m.buffer)[0]===(2<<8)+1}return L}t.isLittleEndian=p,t.isChrome=!!(t.userAgent&&t.userAgent.indexOf("Chrome")>=0),t.isFirefox=!!(t.userAgent&&t.userAgent.indexOf("Firefox")>=0),t.isSafari=!!(!t.isChrome&&t.userAgent&&t.userAgent.indexOf("Safari")>=0),t.isEdge=!!(t.userAgent&&t.userAgent.indexOf("Edg/")>=0),t.isAndroid=!!(t.userAgent&&t.userAgent.indexOf("Android")>=0)}),define(ge[105],me([1,0,5]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.arch=t.platform=t.env=t.cwd=void 0;let I;if(typeof A.globals.vscode<"u"&&typeof A.globals.vscode.process<"u"){const i=A.globals.vscode.process;I={get platform(){return i.platform},get arch(){return i.arch},get env(){return i.env},cwd(){return i.cwd()}}}else typeof process<"u"?I={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:I={get platform(){return A.isWindows?"win32":A.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};t.cwd=I.cwd,t.env=I.env,t.platform=I.platform,t.arch=I.arch}),define(ge[22],me([1,0,105]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.delimiter=t.sep=t.toNamespacedPath=t.parse=t.format=t.extname=t.basename=t.dirname=t.relative=t.resolve=t.join=t.isAbsolute=t.normalize=t.posix=t.win32=void 0;const I=65,i=97,_=90,w=122,v=46,d=47,u=92,c=58,M=63;class o extends Error{constructor(D,T,L){let h;typeof T=="string"&&T.indexOf("not ")===0?(h="must not be",T=T.replace(/^not /,"")):h="must be";const p=D.indexOf(".")!==-1?"property":"argument";let m=`The "${D}" ${p} ${h} of type ${T}`;m+=`. Received type ${typeof L}`,super(m),this.code="ERR_INVALID_ARG_TYPE"}}function n(f,D){if(f===null||typeof f!="object")throw new o(D,"Object",f)}function e(f,D){if(typeof f!="string")throw new o(D,"string",f)}const s=A.platform==="win32";function r(f){return f===d||f===u}function a(f){return f===d}function l(f){return f>=I&&f<=_||f>=i&&f<=w}function y(f,D,T,L){let h="",p=0,m=-1,E=0,O=0;for(let V=0;V<=f.length;++V){if(V<f.length)O=f.charCodeAt(V);else{if(L(O))break;O=d}if(L(O)){if(!(m===V-1||E===1))if(E===2){if(h.length<2||p!==2||h.charCodeAt(h.length-1)!==v||h.charCodeAt(h.length-2)!==v){if(h.length>2){const ee=h.lastIndexOf(T);ee===-1?(h="",p=0):(h=h.slice(0,ee),p=h.length-1-h.lastIndexOf(T)),m=V,E=0;continue}else if(h.length!==0){h="",p=0,m=V,E=0;continue}}D&&(h+=h.length>0?`${T}..`:"..",p=2)}else h.length>0?h+=`${T}${f.slice(m+1,V)}`:h=f.slice(m+1,V),p=V-m-1;m=V,E=0}else O===v&&E!==-1?++E:E=-1}return h}function S(f,D){n(D,"pathObject");const T=D.dir||D.root,L=D.base||`${D.name||""}${D.ext||""}`;return T?T===D.root?`${T}${L}`:`${T}${f}${L}`:L}t.win32={resolve(...f){let D="",T="",L=!1;for(let h=f.length-1;h>=-1;h--){let p;if(h>=0){if(p=f[h],e(p,"path"),p.length===0)continue}else D.length===0?p=A.cwd():(p=A.env[`=${D}`]||A.cwd(),(p===void 0||p.slice(0,2).toLowerCase()!==D.toLowerCase()&&p.charCodeAt(2)===u)&&(p=`${D}\\`));const m=p.length;let E=0,O="",V=!1;const ee=p.charCodeAt(0);if(m===1)r(ee)&&(E=1,V=!0);else if(r(ee))if(V=!0,r(p.charCodeAt(1))){let Z=2,te=Z;for(;Z<m&&!r(p.charCodeAt(Z));)Z++;if(Z<m&&Z!==te){const oe=p.slice(te,Z);for(te=Z;Z<m&&r(p.charCodeAt(Z));)Z++;if(Z<m&&Z!==te){for(te=Z;Z<m&&!r(p.charCodeAt(Z));)Z++;(Z===m||Z!==te)&&(O=`\\\\${oe}\\${p.slice(te,Z)}`,E=Z)}}}else E=1;else l(ee)&&p.charCodeAt(1)===c&&(O=p.slice(0,2),E=2,m>2&&r(p.charCodeAt(2))&&(V=!0,E=3));if(O.length>0)if(D.length>0){if(O.toLowerCase()!==D.toLowerCase())continue}else D=O;if(L){if(D.length>0)break}else if(T=`${p.slice(E)}\\${T}`,L=V,V&&D.length>0)break}return T=y(T,!L,"\\",r),L?`${D}\\${T}`:`${D}${T}`||"."},normalize(f){e(f,"path");const D=f.length;if(D===0)return".";let T=0,L,h=!1;const p=f.charCodeAt(0);if(D===1)return a(p)?"\\":f;if(r(p))if(h=!0,r(f.charCodeAt(1))){let E=2,O=E;for(;E<D&&!r(f.charCodeAt(E));)E++;if(E<D&&E!==O){const V=f.slice(O,E);for(O=E;E<D&&r(f.charCodeAt(E));)E++;if(E<D&&E!==O){for(O=E;E<D&&!r(f.charCodeAt(E));)E++;if(E===D)return`\\\\${V}\\${f.slice(O)}\\`;E!==O&&(L=`\\\\${V}\\${f.slice(O,E)}`,T=E)}}}else T=1;else l(p)&&f.charCodeAt(1)===c&&(L=f.slice(0,2),T=2,D>2&&r(f.charCodeAt(2))&&(h=!0,T=3));let m=T<D?y(f.slice(T),!h,"\\",r):"";return m.length===0&&!h&&(m="."),m.length>0&&r(f.charCodeAt(D-1))&&(m+="\\"),L===void 0?h?`\\${m}`:m:h?`${L}\\${m}`:`${L}${m}`},isAbsolute(f){e(f,"path");const D=f.length;if(D===0)return!1;const T=f.charCodeAt(0);return r(T)||D>2&&l(T)&&f.charCodeAt(1)===c&&r(f.charCodeAt(2))},join(...f){if(f.length===0)return".";let D,T;for(let p=0;p<f.length;++p){const m=f[p];e(m,"path"),m.length>0&&(D===void 0?D=T=m:D+=`\\${m}`)}if(D===void 0)return".";let L=!0,h=0;if(typeof T=="string"&&r(T.charCodeAt(0))){++h;const p=T.length;p>1&&r(T.charCodeAt(1))&&(++h,p>2&&(r(T.charCodeAt(2))?++h:L=!1))}if(L){for(;h<D.length&&r(D.charCodeAt(h));)h++;h>=2&&(D=`\\${D.slice(h)}`)}return t.win32.normalize(D)},relative(f,D){if(e(f,"from"),e(D,"to"),f===D)return"";const T=t.win32.resolve(f),L=t.win32.resolve(D);if(T===L||(f=T.toLowerCase(),D=L.toLowerCase(),f===D))return"";let h=0;for(;h<f.length&&f.charCodeAt(h)===u;)h++;let p=f.length;for(;p-1>h&&f.charCodeAt(p-1)===u;)p--;const m=p-h;let E=0;for(;E<D.length&&D.charCodeAt(E)===u;)E++;let O=D.length;for(;O-1>E&&D.charCodeAt(O-1)===u;)O--;const V=O-E,ee=m<V?m:V;let Z=-1,te=0;for(;te<ee;te++){const he=f.charCodeAt(h+te);if(he!==D.charCodeAt(E+te))break;he===u&&(Z=te)}if(te!==ee){if(Z===-1)return L}else{if(V>ee){if(D.charCodeAt(E+te)===u)return L.slice(E+te+1);if(te===2)return L.slice(E+te)}m>ee&&(f.charCodeAt(h+te)===u?Z=te:te===2&&(Z=3)),Z===-1&&(Z=0)}let oe="";for(te=h+Z+1;te<=p;++te)(te===p||f.charCodeAt(te)===u)&&(oe+=oe.length===0?"..":"\\..");return E+=Z,oe.length>0?`${oe}${L.slice(E,O)}`:(L.charCodeAt(E)===u&&++E,L.slice(E,O))},toNamespacedPath(f){if(typeof f!="string"||f.length===0)return f;const D=t.win32.resolve(f);if(D.length<=2)return f;if(D.charCodeAt(0)===u){if(D.charCodeAt(1)===u){const T=D.charCodeAt(2);if(T!==M&&T!==v)return`\\\\?\\UNC\\${D.slice(2)}`}}else if(l(D.charCodeAt(0))&&D.charCodeAt(1)===c&&D.charCodeAt(2)===u)return`\\\\?\\${D}`;return f},dirname(f){e(f,"path");const D=f.length;if(D===0)return".";let T=-1,L=0;const h=f.charCodeAt(0);if(D===1)return r(h)?f:".";if(r(h)){if(T=L=1,r(f.charCodeAt(1))){let E=2,O=E;for(;E<D&&!r(f.charCodeAt(E));)E++;if(E<D&&E!==O){for(O=E;E<D&&r(f.charCodeAt(E));)E++;if(E<D&&E!==O){for(O=E;E<D&&!r(f.charCodeAt(E));)E++;if(E===D)return f;E!==O&&(T=L=E+1)}}}}else l(h)&&f.charCodeAt(1)===c&&(T=D>2&&r(f.charCodeAt(2))?3:2,L=T);let p=-1,m=!0;for(let E=D-1;E>=L;--E)if(r(f.charCodeAt(E))){if(!m){p=E;break}}else m=!1;if(p===-1){if(T===-1)return".";p=T}return f.slice(0,p)},basename(f,D){D!==void 0&&e(D,"ext"),e(f,"path");let T=0,L=-1,h=!0,p;if(f.length>=2&&l(f.charCodeAt(0))&&f.charCodeAt(1)===c&&(T=2),D!==void 0&&D.length>0&&D.length<=f.length){if(D===f)return"";let m=D.length-1,E=-1;for(p=f.length-1;p>=T;--p){const O=f.charCodeAt(p);if(r(O)){if(!h){T=p+1;break}}else E===-1&&(h=!1,E=p+1),m>=0&&(O===D.charCodeAt(m)?--m===-1&&(L=p):(m=-1,L=E))}return T===L?L=E:L===-1&&(L=f.length),f.slice(T,L)}for(p=f.length-1;p>=T;--p)if(r(f.charCodeAt(p))){if(!h){T=p+1;break}}else L===-1&&(h=!1,L=p+1);return L===-1?"":f.slice(T,L)},extname(f){e(f,"path");let D=0,T=-1,L=0,h=-1,p=!0,m=0;f.length>=2&&f.charCodeAt(1)===c&&l(f.charCodeAt(0))&&(D=L=2);for(let E=f.length-1;E>=D;--E){const O=f.charCodeAt(E);if(r(O)){if(!p){L=E+1;break}continue}h===-1&&(p=!1,h=E+1),O===v?T===-1?T=E:m!==1&&(m=1):T!==-1&&(m=-1)}return T===-1||h===-1||m===0||m===1&&T===h-1&&T===L+1?"":f.slice(T,h)},format:S.bind(null,"\\"),parse(f){e(f,"path");const D={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return D;const T=f.length;let L=0,h=f.charCodeAt(0);if(T===1)return r(h)?(D.root=D.dir=f,D):(D.base=D.name=f,D);if(r(h)){if(L=1,r(f.charCodeAt(1))){let Z=2,te=Z;for(;Z<T&&!r(f.charCodeAt(Z));)Z++;if(Z<T&&Z!==te){for(te=Z;Z<T&&r(f.charCodeAt(Z));)Z++;if(Z<T&&Z!==te){for(te=Z;Z<T&&!r(f.charCodeAt(Z));)Z++;Z===T?L=Z:Z!==te&&(L=Z+1)}}}}else if(l(h)&&f.charCodeAt(1)===c){if(T<=2)return D.root=D.dir=f,D;if(L=2,r(f.charCodeAt(2))){if(T===3)return D.root=D.dir=f,D;L=3}}L>0&&(D.root=f.slice(0,L));let p=-1,m=L,E=-1,O=!0,V=f.length-1,ee=0;for(;V>=L;--V){if(h=f.charCodeAt(V),r(h)){if(!O){m=V+1;break}continue}E===-1&&(O=!1,E=V+1),h===v?p===-1?p=V:ee!==1&&(ee=1):p!==-1&&(ee=-1)}return E!==-1&&(p===-1||ee===0||ee===1&&p===E-1&&p===m+1?D.base=D.name=f.slice(m,E):(D.name=f.slice(m,p),D.base=f.slice(m,E),D.ext=f.slice(p,E))),m>0&&m!==L?D.dir=f.slice(0,m-1):D.dir=D.root,D},sep:"\\",delimiter:";",win32:null,posix:null};const F=(()=>{if(s){const f=/\\/g;return()=>{const D=A.cwd().replace(f,"/");return D.slice(D.indexOf("/"))}}return()=>A.cwd()})();t.posix={resolve(...f){let D="",T=!1;for(let L=f.length-1;L>=-1&&!T;L--){const h=L>=0?f[L]:F();e(h,"path"),h.length!==0&&(D=`${h}/${D}`,T=h.charCodeAt(0)===d)}return D=y(D,!T,"/",a),T?`/${D}`:D.length>0?D:"."},normalize(f){if(e(f,"path"),f.length===0)return".";const D=f.charCodeAt(0)===d,T=f.charCodeAt(f.length-1)===d;return f=y(f,!D,"/",a),f.length===0?D?"/":T?"./":".":(T&&(f+="/"),D?`/${f}`:f)},isAbsolute(f){return e(f,"path"),f.length>0&&f.charCodeAt(0)===d},join(...f){if(f.length===0)return".";let D;for(let T=0;T<f.length;++T){const L=f[T];e(L,"path"),L.length>0&&(D===void 0?D=L:D+=`/${L}`)}return D===void 0?".":t.posix.normalize(D)},relative(f,D){if(e(f,"from"),e(D,"to"),f===D||(f=t.posix.resolve(f),D=t.posix.resolve(D),f===D))return"";const T=1,L=f.length,h=L-T,p=1,m=D.length-p,E=h<m?h:m;let O=-1,V=0;for(;V<E;V++){const Z=f.charCodeAt(T+V);if(Z!==D.charCodeAt(p+V))break;Z===d&&(O=V)}if(V===E)if(m>E){if(D.charCodeAt(p+V)===d)return D.slice(p+V+1);if(V===0)return D.slice(p+V)}else h>E&&(f.charCodeAt(T+V)===d?O=V:V===0&&(O=0));let ee="";for(V=T+O+1;V<=L;++V)(V===L||f.charCodeAt(V)===d)&&(ee+=ee.length===0?"..":"/..");return`${ee}${D.slice(p+O)}`},toNamespacedPath(f){return f},dirname(f){if(e(f,"path"),f.length===0)return".";const D=f.charCodeAt(0)===d;let T=-1,L=!0;for(let h=f.length-1;h>=1;--h)if(f.charCodeAt(h)===d){if(!L){T=h;break}}else L=!1;return T===-1?D?"/":".":D&&T===1?"//":f.slice(0,T)},basename(f,D){D!==void 0&&e(D,"ext"),e(f,"path");let T=0,L=-1,h=!0,p;if(D!==void 0&&D.length>0&&D.length<=f.length){if(D===f)return"";let m=D.length-1,E=-1;for(p=f.length-1;p>=0;--p){const O=f.charCodeAt(p);if(O===d){if(!h){T=p+1;break}}else E===-1&&(h=!1,E=p+1),m>=0&&(O===D.charCodeAt(m)?--m===-1&&(L=p):(m=-1,L=E))}return T===L?L=E:L===-1&&(L=f.length),f.slice(T,L)}for(p=f.length-1;p>=0;--p)if(f.charCodeAt(p)===d){if(!h){T=p+1;break}}else L===-1&&(h=!1,L=p+1);return L===-1?"":f.slice(T,L)},extname(f){e(f,"path");let D=-1,T=0,L=-1,h=!0,p=0;for(let m=f.length-1;m>=0;--m){const E=f.charCodeAt(m);if(E===d){if(!h){T=m+1;break}continue}L===-1&&(h=!1,L=m+1),E===v?D===-1?D=m:p!==1&&(p=1):D!==-1&&(p=-1)}return D===-1||L===-1||p===0||p===1&&D===L-1&&D===T+1?"":f.slice(D,L)},format:S.bind(null,"/"),parse(f){e(f,"path");const D={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return D;const T=f.charCodeAt(0)===d;let L;T?(D.root="/",L=1):L=0;let h=-1,p=0,m=-1,E=!0,O=f.length-1,V=0;for(;O>=L;--O){const ee=f.charCodeAt(O);if(ee===d){if(!E){p=O+1;break}continue}m===-1&&(E=!1,m=O+1),ee===v?h===-1?h=O:V!==1&&(V=1):h!==-1&&(V=-1)}if(m!==-1){const ee=p===0&&T?1:p;h===-1||V===0||V===1&&h===m-1&&h===p+1?D.base=D.name=f.slice(ee,m):(D.name=f.slice(ee,h),D.base=f.slice(ee,m),D.ext=f.slice(h,m))}return p>0?D.dir=f.slice(0,p-1):T&&(D.dir="/"),D},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize=s?t.win32.normalize:t.posix.normalize,t.isAbsolute=s?t.win32.isAbsolute:t.posix.isAbsolute,t.join=s?t.win32.join:t.posix.join,t.resolve=s?t.win32.resolve:t.posix.resolve,t.relative=s?t.win32.relative:t.posix.relative,t.dirname=s?t.win32.dirname:t.posix.dirname,t.basename=s?t.win32.basename:t.posix.basename,t.extname=s?t.win32.extname:t.posix.extname,t.format=s?t.win32.format:t.posix.format,t.parse=s?t.win32.parse:t.posix.parse,t.toNamespacedPath=s?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep=s?t.win32.sep:t.posix.sep,t.delimiter=s?t.win32.delimiter:t.posix.delimiter}),define(ge[106],me([1,0,22]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.normalizeMimeType=t.getExtensionForMimeType=t.getMediaMime=t.getMediaOrTextMime=t.Mimes=void 0,t.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const I={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},i={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function _(c){const M=(0,A.extname)(c),o=I[M.toLowerCase()];return o!==void 0?o:w(c)}t.getMediaOrTextMime=_;function w(c){const M=(0,A.extname)(c);return i[M.toLowerCase()]}t.getMediaMime=w;function v(c){for(const M in i)if(i[M]===c)return M}t.getExtensionForMimeType=v;const d=/^(.+)\/(.+?)(;.+)?$/;function u(c,M){const o=d.exec(c);return o?`${o[1].toLowerCase()}/${o[2].toLowerCase()}${o[3]??""}`:M?void 0:c}t.normalizeMimeType=u}),define(ge[107],me([1,0,5]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StopWatch=void 0;const I=A.globals.performance&&typeof A.globals.performance.now=="function";class i{static create(w=!0){return new i(w)}constructor(w){this.a=I&&w,this.b=this.d(),this.c=-1}stop(){this.c=this.d()}reset(){this.b=this.d(),this.c=-1}elapsed(){return this.c!==-1?this.c-this.b:this.d()-this.b}d(){return this.a?A.globals.performance.now():Date.now()}}t.StopWatch=i}),define(ge[3],me([1,0,7,41,2,44,107]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Relay=t.EventBufferer=t.EventMultiplexer=t.MicrotaskEmitter=t.DebounceEmitter=t.PauseableEmitter=t.AsyncEmitter=t.EventDeliveryQueue=t.Emitter=t.setGlobalLeakWarningThreshold=t.EventProfiling=t.Event=void 0;const v=!1,d=!1;var u;(function(p){p.None=()=>i.Disposable.None;function m(N){if(d){const{onDidAddListener:$}=N,ie=e.create();let k=0;N.onDidAddListener=()=>{++k===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ie.print()),$?.()}}}function E(N,$){return ce(N,()=>{},0,void 0,void 0,$)}p.defer=E;function O(N){return($,ie=null,k)=>{let P=!1,U;return U=N(C=>{if(!P)return U?U.dispose():P=!0,$.call(ie,C)},null,k),P&&U.dispose(),U}}p.once=O;function V(N,$,ie){return de((k,P=null,U)=>N(C=>k.call(P,$(C)),null,U),ie)}p.map=V;function ee(N,$,ie){return de((k,P=null,U)=>N(C=>{$(C),k.call(P,C)},null,U),ie)}p.forEach=ee;function Z(N,$,ie){return de((k,P=null,U)=>N(C=>$(C)&&k.call(P,C),null,U),ie)}p.filter=Z;function te(N){return N}p.signal=te;function oe(...N){return($,ie=null,k)=>(0,i.combinedDisposable)(...N.map(P=>P(U=>$.call(ie,U),null,k)))}p.any=oe;function he(N,$,ie,k){let P=ie;return V(N,U=>(P=$(P,U),P),k)}p.reduce=he;function de(N,$){let ie;const k={onWillAddFirstListener(){ie=N(P.fire,P)},onDidRemoveLastListener(){ie?.dispose()}};$||m(k);const P=new r(k);return $?.add(P),P.event}function ce(N,$,ie=100,k=!1,P,U){let C,B,z,W=0;const x={leakWarningThreshold:P,onWillAddFirstListener(){C=N(re=>{W++,B=$(B,re),k&&!z&&(Y.fire(B),B=void 0),clearTimeout(z),z=setTimeout(()=>{const ue=B;B=void 0,z=void 0,(!k||W>1)&&Y.fire(ue),W=0},ie)})},onDidRemoveLastListener(){C.dispose()}};U||m(x);const Y=new r(x);return U?.add(Y),Y.event}p.debounce=ce;function pe(N,$=0,ie){return p.debounce(N,(k,P)=>k?(k.push(P),k):[P],$,void 0,void 0,ie)}p.accumulate=pe;function Te(N,$=(k,P)=>k===P,ie){let k=!0,P;return Z(N,U=>{const C=k||!$(U,P);return k=!1,P=U,C},ie)}p.latch=Te;function Pe(N,$,ie){return[p.filter(N,$,ie),p.filter(N,k=>!$(k),ie)]}p.split=Pe;function Oe(N,$=!1,ie=[]){let k=ie.slice(),P=N(B=>{k?k.push(B):C.fire(B)});const U=()=>{k?.forEach(B=>C.fire(B)),k=null},C=new r({onWillAddFirstListener(){P||(P=N(B=>C.fire(B)))},onDidAddFirstListener(){k&&($?setTimeout(U):U())},onDidRemoveLastListener(){P&&P.dispose(),P=null}});return C.event}p.buffer=Oe;class j{constructor($){this.event=$,this.c=new i.DisposableStore}map($){return new j(V(this.event,$,this.c))}forEach($){return new j(ee(this.event,$,this.c))}filter($){return new j(Z(this.event,$,this.c))}reduce($,ie){return new j(he(this.event,$,ie,this.c))}latch(){return new j(Te(this.event,void 0,this.c))}debounce($,ie=100,k=!1,P){return new j(ce(this.event,$,ie,k,P,this.c))}on($,ie,k){return this.event($,ie,k)}once($,ie,k){return O(this.event)($,ie,k)}dispose(){this.c.dispose()}}function G(N){return new j(N)}p.chain=G;function se(N,$,ie=k=>k){const k=(...B)=>C.fire(ie(...B)),P=()=>N.on($,k),U=()=>N.removeListener($,k),C=new r({onWillAddFirstListener:P,onDidRemoveLastListener:U});return C.event}p.fromNodeEventEmitter=se;function ne(N,$,ie=k=>k){const k=(...B)=>C.fire(ie(...B)),P=()=>N.addEventListener($,k),U=()=>N.removeEventListener($,k),C=new r({onWillAddFirstListener:P,onDidRemoveLastListener:U});return C.event}p.fromDOMEventEmitter=ne;function Q(N){return new Promise($=>O(N)($))}p.toPromise=Q;function b(N,$){return $(void 0),N(ie=>$(ie))}p.runAndSubscribe=b;function R(N,$){let ie=null;function k(U){ie?.dispose(),ie=new i.DisposableStore,$(U,ie)}k(void 0);const P=N(U=>k(U));return(0,i.toDisposable)(()=>{P.dispose(),ie?.dispose()})}p.runAndSubscribeWithStore=R;class H{constructor($,ie){this.obs=$,this.c=0,this.d=!1;const k={onWillAddFirstListener:()=>{$.addObserver(this)},onDidRemoveLastListener:()=>{$.removeObserver(this)}};ie||m(k),this.emitter=new r(k),ie&&ie.add(this.emitter)}beginUpdate($){this.c++}handleChange($,ie){this.d=!0}endUpdate($){--this.c===0&&this.d&&(this.d=!1,this.emitter.fire(this.obs.get()))}}function g(N,$){return new H(N,$).emitter.event}p.fromObservable=g})(u=t.Event||(t.Event={}));class c{constructor(m){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${m}_${c.c++}`,c.all.add(this)}start(m){this.d=new w.StopWatch(!0),this.listenerCount=m}stop(){if(this.d){const m=this.d.elapsed();this.durations.push(m),this.elapsedOverall+=m,this.invocationCount+=1,this.d=void 0}}}t.EventProfiling=c,c.all=new Set,c.c=0;let M=-1;function o(p){const m=M;return M=p,{dispose(){M=m}}}t.setGlobalLeakWarningThreshold=o;class n{constructor(m,E=Math.random().toString(18).slice(2,5)){this.threshold=m,this.name=E,this.d=0}dispose(){this.c?.clear()}check(m,E){const O=this.threshold;if(O<=0||E<O)return;this.c||(this.c=new Map);const V=this.c.get(m.value)||0;if(this.c.set(m.value,V+1),this.d-=1,this.d<=0){this.d=O*.5;let ee,Z=0;for(const[te,oe]of this.c)(!ee||Z<oe)&&(ee=te,Z=oe);console.warn(`[${this.name}] potential listener LEAK detected, having ${E} listeners already. MOST frequent listener (${Z}):`),console.warn(ee)}return()=>{const ee=this.c.get(m.value)||0;this.c.set(m.value,ee-1)}}}class e{static create(){return new e(new Error().stack??"")}constructor(m){this.value=m}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class s{constructor(m,E,O){this.callback=m,this.callbackThis=E,this.stack=O,this.subscription=new i.SafeDisposable}invoke(m){this.callback.call(this.callbackThis,m)}}class r{constructor(m){this.j=!1,this.d=m,this.f=M>0||this.d?.leakWarningThreshold?new n(this.d?.leakWarningThreshold??M):void 0,this.g=this.d?._profName?new c(this.d._profName):void 0,this.m=this.d?.deliveryQueue}dispose(){if(!this.j){if(this.j=!0,this.q){if(v){const m=Array.from(this.q);queueMicrotask(()=>{for(const E of m)E.subscription.isset()&&(E.subscription.unset(),E.stack?.print())})}this.q.clear()}this.m?.clear(this),this.d?.onDidRemoveLastListener?.(),this.f?.dispose()}}get event(){return this.l||(this.l=(m,E,O)=>{if(this.q||(this.q=new _.LinkedList),this.f&&this.q.size>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),i.Disposable.None;const V=this.q.isEmpty();V&&this.d?.onWillAddFirstListener&&this.d.onWillAddFirstListener(this);let ee,Z;this.f&&this.q.size>=Math.ceil(this.f.threshold*.2)&&(Z=e.create(),ee=this.f.check(Z,this.q.size+1)),v&&(Z=Z??e.create());const te=new s(m,E,Z),oe=this.q.push(te);V&&this.d?.onDidAddFirstListener&&this.d.onDidAddFirstListener(this),this.d?.onDidAddListener&&this.d.onDidAddListener(this,m,E);const he=te.subscription.set(()=>{ee?.(),this.j||(oe(),this.d&&this.d.onDidRemoveLastListener&&(this.q&&!this.q.isEmpty()||this.d.onDidRemoveLastListener(this)))});return O instanceof i.DisposableStore?O.add(he):Array.isArray(O)&&O.push(he),he}),this.l}fire(m){if(this.q){this.m||(this.m=new l);for(const E of this.q)this.m.push(this,E,m);this.g?.start(this.m.size),this.m.deliver(),this.g?.stop()}}hasListeners(){return this.q?!this.q.isEmpty():!1}}t.Emitter=r;class a{constructor(){this.c=new _.LinkedList}get size(){return this.c.size}push(m,E,O){this.c.push(new y(m,E,O))}clear(m){const E=new _.LinkedList;for(const O of this.c)O.emitter!==m&&E.push(O);this.c=E}deliver(){for(;this.c.size>0;){const m=this.c.shift();try{m.listener.invoke(m.event)}catch(E){(0,A.onUnexpectedError)(E)}}}}t.EventDeliveryQueue=a;class l extends a{clear(m){this.c.clear()}}class y{constructor(m,E,O){this.emitter=m,this.listener=E,this.event=O}}class S extends r{async fireAsync(m,E,O){if(!!this.q){this.c||(this.c=new _.LinkedList);for(const V of this.q)this.c.push([V,m]);for(;this.c.size>0&&!E.isCancellationRequested;){const[V,ee]=this.c.shift(),Z=[],te={...ee,token:E,waitUntil:oe=>{if(Object.isFrozen(Z))throw new Error("waitUntil can NOT be called asynchronous");O&&(oe=O(oe,V.callback)),Z.push(oe)}};try{V.invoke(te)}catch(oe){(0,A.onUnexpectedError)(oe);continue}Object.freeze(Z),await Promise.allSettled(Z).then(oe=>{for(const he of oe)he.status==="rejected"&&(0,A.onUnexpectedError)(he.reason)})}}}}t.AsyncEmitter=S;class F extends r{constructor(m){super(m),this.h=0,this.s=new _.LinkedList,this.t=m?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.t){if(this.s.size>0){const m=Array.from(this.s);this.s.clear(),super.fire(this.t(m))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(m){this.q&&(this.h!==0?this.s.push(m):super.fire(m))}}t.PauseableEmitter=F;class f extends F{constructor(m){super(m),this.c=m.delay??100}fire(m){this.k||(this.pause(),this.k=setTimeout(()=>{this.k=void 0,this.resume()},this.c)),super.fire(m)}}t.DebounceEmitter=f;class D extends r{constructor(m){super(m),this.c=[],this.h=m?.merge}fire(m){!this.hasListeners()||(this.c.push(m),this.c.length===1&&queueMicrotask(()=>{this.h?super.fire(this.h(this.c)):this.c.forEach(E=>super.fire(E)),this.c=[]}))}}t.MicrotaskEmitter=D;class T{constructor(){this.d=!1,this.f=[],this.c=new r({onWillAddFirstListener:()=>this.g(),onDidRemoveLastListener:()=>this.h()})}get event(){return this.c.event}add(m){const E={event:m,listener:null};this.f.push(E),this.d&&this.j(E);const O=()=>{this.d&&this.k(E);const V=this.f.indexOf(E);this.f.splice(V,1)};return(0,i.toDisposable)((0,I.once)(O))}g(){this.d=!0,this.f.forEach(m=>this.j(m))}h(){this.d=!1,this.f.forEach(m=>this.k(m))}j(m){m.listener=m.event(E=>this.c.fire(E))}k(m){m.listener&&m.listener.dispose(),m.listener=null}dispose(){this.c.dispose()}}t.EventMultiplexer=T;class L{constructor(){this.c=[]}wrapEvent(m){return(E,O,V)=>m(ee=>{const Z=this.c[this.c.length-1];Z?Z.push(()=>E.call(O,ee)):E.call(O,ee)},void 0,V)}bufferEvents(m){const E=[];this.c.push(E);const O=m();return this.c.pop(),E.forEach(V=>V()),O}}t.EventBufferer=L;class h{constructor(){this.c=!1,this.d=u.None,this.f=i.Disposable.None,this.g=new r({onDidAddFirstListener:()=>{this.c=!0,this.f=this.d(this.g.fire,this.g)},onDidRemoveLastListener:()=>{this.c=!1,this.f.dispose()}}),this.event=this.g.event}set input(m){this.d=m,this.c&&(this.f.dispose(),this.f=m(this.g.fire,this.g))}dispose(){this.f.dispose(),this.g.dispose()}}t.Relay=h}),define(ge[18],me([1,0,3,2]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isWCOEnabled=t.isStandalone=t.isAndroid=t.isElectron=t.isWebkitWebView=t.isSafari=t.isChrome=t.isWebKit=t.isFirefox=t.onDidChangeFullscreen=t.isFullscreen=t.setFullscreen=t.setZoomFactor=t.getZoomFactor=t.getZoomLevel=t.setZoomLevel=t.PixelRatio=t.addMatchMediaChangeListener=void 0;class i{constructor(){this.a=0,this.b=1,this.c=!1,this.d=new A.Emitter,this.onDidChangeFullscreen=this.d.event}getZoomLevel(){return this.a}setZoomLevel(S,F){this.a!==S&&(this.a=S)}getZoomFactor(){return this.b}setZoomFactor(S){this.b=S}setFullscreen(S){this.c!==S&&(this.c=S,this.d.fire())}isFullscreen(){return this.c}}i.INSTANCE=new i;class _ extends I.Disposable{constructor(){super(),this.a=this.B(new A.Emitter),this.onDidChange=this.a.event,this.b=()=>this.f(!0),this.c=null,this.f(!1)}f(S){this.c?.removeEventListener("change",this.b),this.c=window.matchMedia(`(resolution: ${window.devicePixelRatio}dppx)`),this.c.addEventListener("change",this.b),S&&this.a.fire()}}class w extends I.Disposable{get value(){return this.b}constructor(){super(),this.a=this.B(new A.Emitter),this.onDidChange=this.a.event,this.b=this.c();const S=this.B(new _);this.B(S.onDidChange(()=>{this.b=this.c(),this.a.fire(this.b)}))}c(){const S=document.createElement("canvas").getContext("2d"),F=window.devicePixelRatio||1,f=S.webkitBackingStorePixelRatio||S.mozBackingStorePixelRatio||S.msBackingStorePixelRatio||S.oBackingStorePixelRatio||S.backingStorePixelRatio||1;return F/f}}class v{constructor(){this.a=null}b(){return this.a||(this.a=(0,I.markAsSingleton)(new w)),this.a}get value(){return this.b().value}get onDidChange(){return this.b().onDidChange}}function d(y,S){typeof y=="string"&&(y=window.matchMedia(y)),y.addEventListener("change",S)}t.addMatchMediaChangeListener=d,t.PixelRatio=new v;function u(y,S){i.INSTANCE.setZoomLevel(y,S)}t.setZoomLevel=u;function c(){return i.INSTANCE.getZoomLevel()}t.getZoomLevel=c;function M(){return i.INSTANCE.getZoomFactor()}t.getZoomFactor=M;function o(y){i.INSTANCE.setZoomFactor(y)}t.setZoomFactor=o;function n(y){i.INSTANCE.setFullscreen(y)}t.setFullscreen=n;function e(){return i.INSTANCE.isFullscreen()}t.isFullscreen=e,t.onDidChangeFullscreen=i.INSTANCE.onDidChangeFullscreen;const s=navigator.userAgent;t.isFirefox=s.indexOf("Firefox")>=0,t.isWebKit=s.indexOf("AppleWebKit")>=0,t.isChrome=s.indexOf("Chrome")>=0,t.isSafari=!t.isChrome&&s.indexOf("Safari")>=0,t.isWebkitWebView=!t.isChrome&&!t.isSafari&&t.isWebKit,t.isElectron=s.indexOf("Electron/")>=0,t.isAndroid=s.indexOf("Android")>=0;let r=!1;if(window.matchMedia){const y=window.matchMedia("(display-mode: standalone) or (display-mode: window-controls-overlay)"),S=window.matchMedia("(display-mode: fullscreen)");r=y.matches,d(y,({matches:F})=>{r&&S.matches||(r=F)})}function a(){return r}t.isStandalone=a;function l(){return navigator?.windowControlsOverlay?.visible}t.isWCOEnabled=l}),define(ge[108],me([1,0,18,5]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BrowserFeatures=t.KeyboardSupport=void 0;var i;(function(_){_[_.Always=0]="Always",_[_.FullScreen=1]="FullScreen",_[_.None=2]="None"})(i=t.KeyboardSupport||(t.KeyboardSupport={})),t.BrowserFeatures={clipboard:{writeText:I.isNative||document.queryCommandSupported&&document.queryCommandSupported("copy")||!!(navigator&&navigator.clipboard&&navigator.clipboard.writeText),readText:I.isNative||!!(navigator&&navigator.clipboard&&navigator.clipboard.readText)},keyboard:(()=>I.isNative||A.isStandalone()?0:navigator.keyboard||A.isSafari?1:2)(),touch:"ontouchstart"in window||navigator.maxTouchPoints>0,pointerEvents:window.PointerEvent&&("ontouchstart"in window||window.navigator.maxTouchPoints>0||navigator.maxTouchPoints>0)}}),define(ge[20],me([1,0,3]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DomEmitter=void 0;class I{get event(){return this.a.event}constructor(_,w,v){const d=u=>this.a.fire(u);this.a=new A.Emitter({onWillAddFirstListener:()=>_.addEventListener(w,d,v),onDidRemoveLastListener:()=>_.removeEventListener(w,d,v)})}dispose(){this.a.dispose()}}t.DomEmitter=I}),define(ge[14],me([1,0,18,42,73,5]),function(J,t,A,I,i,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardKeyboardEvent=t.printStandardKeyboardEvent=t.printKeyboardEvent=void 0;function w(e){if(e.charCode){const r=String.fromCharCode(e.charCode).toUpperCase();return I.KeyCodeUtils.fromString(r)}const s=e.keyCode;if(s===3)return 7;if(A.isFirefox){if(s===59)return 80;if(s===107)return 81;if(s===109)return 83;if(_.isMacintosh&&s===224)return 57}else if(A.isWebKit){if(s===91)return 57;if(_.isMacintosh&&s===93)return 57;if(!_.isMacintosh&&s===92)return 57}return I.EVENT_KEY_CODE_MAP[s]||0}const v=_.isMacintosh?256:2048,d=512,u=1024,c=_.isMacintosh?2048:256;function M(e){const s=[];return e.ctrlKey&&s.push("ctrl"),e.shiftKey&&s.push("shift"),e.altKey&&s.push("alt"),e.metaKey&&s.push("meta"),`modifiers: [${s.join(",")}], code: ${e.code}, keyCode: ${e.keyCode}, key: ${e.key}`}t.printKeyboardEvent=M;function o(e){const s=[];return e.ctrlKey&&s.push("ctrl"),e.shiftKey&&s.push("shift"),e.altKey&&s.push("alt"),e.metaKey&&s.push("meta"),`modifiers: [${s.join(",")}], code: ${e.code}, keyCode: ${e.keyCode} ('${I.KeyCodeUtils.toString(e.keyCode)}')`}t.printStandardKeyboardEvent=o;class n{constructor(s){this._standardKeyboardEventBrand=!0;const r=s;this.browserEvent=r,this.target=r.target,this.ctrlKey=r.ctrlKey,this.shiftKey=r.shiftKey,this.altKey=r.altKey,this.metaKey=r.metaKey,this.altGraphKey=r.getModifierState("AltGraph"),this.keyCode=w(r),this.code=r.code,this.ctrlKey=this.ctrlKey||this.keyCode===5,this.altKey=this.altKey||this.keyCode===6,this.shiftKey=this.shiftKey||this.keyCode===4,this.metaKey=this.metaKey||this.keyCode===57,this.a=this.c(),this.b=this.d()}preventDefault(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()}stopPropagation(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()}toKeyCodeChord(){return this.b}equals(s){return this.a===s}c(){let s=0;this.keyCode!==5&&this.keyCode!==4&&this.keyCode!==6&&this.keyCode!==57&&(s=this.keyCode);let r=0;return this.ctrlKey&&(r|=v),this.altKey&&(r|=d),this.shiftKey&&(r|=u),this.metaKey&&(r|=c),r|=s,r}d(){let s=0;return this.keyCode!==5&&this.keyCode!==4&&this.keyCode!==6&&this.keyCode!==57&&(s=this.keyCode),new i.KeyCodeChord(this.ctrlKey,this.shiftKey,this.altKey,this.metaKey,s)}}t.StandardKeyboardEvent=n}),define(ge[21],me([1,0,18,65,5]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardWheelEvent=t.DragMouseEvent=t.StandardMouseEvent=void 0;class _{constructor(u){this.timestamp=Date.now(),this.browserEvent=u,this.leftButton=u.button===0,this.middleButton=u.button===1,this.rightButton=u.button===2,this.buttons=u.buttons,this.target=u.target,this.detail=u.detail||1,u.type==="dblclick"&&(this.detail=2),this.ctrlKey=u.ctrlKey,this.shiftKey=u.shiftKey,this.altKey=u.altKey,this.metaKey=u.metaKey,typeof u.pageX=="number"?(this.posx=u.pageX,this.posy=u.pageY):(this.posx=u.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,this.posy=u.clientY+document.body.scrollTop+document.documentElement.scrollTop);const c=I.IframeUtils.getPositionOfChildWindowRelativeToAncestorWindow(self,u.view);this.posx-=c.left,this.posy-=c.top}preventDefault(){this.browserEvent.preventDefault()}stopPropagation(){this.browserEvent.stopPropagation()}}t.StandardMouseEvent=_;class w extends _{constructor(u){super(u),this.dataTransfer=u.dataTransfer}}t.DragMouseEvent=w;class v{constructor(u,c=0,M=0){if(this.browserEvent=u||null,this.target=u?u.target||u.targetNode||u.srcElement:null,this.deltaY=M,this.deltaX=c,u){const o=u,n=u;if(typeof o.wheelDeltaY<"u")this.deltaY=o.wheelDeltaY/120;else if(typeof n.VERTICAL_AXIS<"u"&&n.axis===n.VERTICAL_AXIS)this.deltaY=-n.detail/3;else if(u.type==="wheel"){const e=u;e.deltaMode===e.DOM_DELTA_LINE?A.isFirefox&&!i.isMacintosh?this.deltaY=-u.deltaY/3:this.deltaY=-u.deltaY:this.deltaY=-u.deltaY/40}if(typeof o.wheelDeltaX<"u")A.isSafari&&i.isWindows?this.deltaX=-(o.wheelDeltaX/120):this.deltaX=o.wheelDeltaX/120;else if(typeof n.HORIZONTAL_AXIS<"u"&&n.axis===n.HORIZONTAL_AXIS)this.deltaX=-u.detail/3;else if(u.type==="wheel"){const e=u;e.deltaMode===e.DOM_DELTA_LINE?A.isFirefox&&!i.isMacintosh?this.deltaX=-u.deltaX/3:this.deltaX=-u.deltaX:this.deltaX=-u.deltaX/40}this.deltaY===0&&this.deltaX===0&&u.wheelDelta&&(this.deltaY=u.wheelDelta/120)}}preventDefault(){this.browserEvent?.preventDefault()}stopPropagation(){this.browserEvent?.stopPropagation()}}t.StandardWheelEvent=v}),define(ge[30],me([1,0,3,2,103]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toAction=t.EmptySubmenuAction=t.SubmenuAction=t.Separator=t.ActionRunner=t.Action=void 0;class _ extends I.Disposable{constructor(o,n="",e="",s=!0,r){super(),this.h=this.B(new A.Emitter),this.onDidChange=this.h.event,this.w=!0,this.j=o,this.m=n,this.u=e,this.w=s,this.C=r}get id(){return this.j}get label(){return this.m}set label(o){this.D(o)}D(o){this.m!==o&&(this.m=o,this.h.fire({label:o}))}get tooltip(){return this.n||""}set tooltip(o){this.F(o)}F(o){this.n!==o&&(this.n=o,this.h.fire({tooltip:o}))}get class(){return this.u}set class(o){this.G(o)}G(o){this.u!==o&&(this.u=o,this.h.fire({class:o}))}get enabled(){return this.w}set enabled(o){this.H(o)}H(o){this.w!==o&&(this.w=o,this.h.fire({enabled:o}))}get checked(){return this.z}set checked(o){this.I(o)}I(o){this.z!==o&&(this.z=o,this.h.fire({checked:o}))}async run(o,n){this.C&&await this.C(o)}}t.Action=_;class w extends I.Disposable{constructor(){super(...arguments),this.f=this.B(new A.Emitter),this.onWillRun=this.f.event,this.h=this.B(new A.Emitter),this.onDidRun=this.h.event}async run(o,n){if(!o.enabled)return;this.f.fire({action:o});let e;try{await this.runAction(o,n)}catch(s){e=s}this.h.fire({action:o,error:e})}async runAction(o,n){await o.run(n)}}t.ActionRunner=w;class v{constructor(){this.id=v.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...o){let n=[];for(const e of o)e.length&&(n.length?n=[...n,new v,...e]:n=e);return n}async run(){}}t.Separator=v,v.ID="vs.actions.separator";class d{get actions(){return this.a}constructor(o,n,e,s){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=o,this.label=n,this.class=s,this.a=e}async run(){}}t.SubmenuAction=d;class u extends _{constructor(){super(u.ID,i.localize(0,null),void 0,!1)}}t.EmptySubmenuAction=u,u.ID="vs.actions.empty";function c(M){return{id:M.id,label:M.label,class:void 0,enabled:M.enabled??!0,checked:M.checked??!1,run:async()=>M.run(),tooltip:M.label}}t.toAction=c}),define(ge[27],me([1,0,3]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CancellationTokenSource=t.CancellationToken=void 0;const I=Object.freeze(function(v,d){const u=setTimeout(v.bind(d),0);return{dispose(){clearTimeout(u)}}});var i;(function(v){function d(u){return u===v.None||u===v.Cancelled||u instanceof _?!0:!u||typeof u!="object"?!1:typeof u.isCancellationRequested=="boolean"&&typeof u.onCancellationRequested=="function"}v.isCancellationToken=d,v.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:A.Event.None}),v.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:I})})(i=t.CancellationToken||(t.CancellationToken={}));class _{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?I:(this.b||(this.b=new A.Emitter),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class w{constructor(d){this.a=void 0,this.b=void 0,this.b=d&&d.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new _),this.a}cancel(){this.a?this.a instanceof _&&this.a.cancel():this.a=i.Cancelled}dispose(d=!1){d&&this.cancel(),this.b?.dispose(),this.a?this.a instanceof _&&this.a.dispose():this.a=i.None}}t.CancellationTokenSource=w}),define(ge[109],me([1,0,27]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CachedFunction=t.LRUCachedFunction=t.Cache=void 0;class I{constructor(v){this.b=v,this.a=null}get(){if(this.a)return this.a;const v=new A.CancellationTokenSource,d=this.b(v.token);return this.a={promise:d,dispose:()=>{this.a=null,v.cancel(),v.dispose()}},this.a}}t.Cache=I;class i{constructor(v){this.c=v,this.a=void 0,this.b=void 0}get(v){const d=JSON.stringify(v);return this.b!==d&&(this.b=d,this.a=this.c(v)),this.a}}t.LRUCachedFunction=i;class _{get cachedValues(){return this.a}constructor(v){this.b=v,this.a=new Map}get(v){if(this.a.has(v))return this.a.get(v);const d=this.b(v);return this.a.set(v,d),d}}t.CachedFunction=_}),define(ge[48],me([1,0,3,2]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SmoothScrollingOperation=t.SmoothScrollingUpdate=t.Scrollable=t.ScrollState=t.ScrollbarVisibility=void 0;var i;(function(n){n[n.Auto=1]="Auto",n[n.Hidden=2]="Hidden",n[n.Visible=3]="Visible"})(i=t.ScrollbarVisibility||(t.ScrollbarVisibility={}));class _{constructor(e,s,r,a,l,y,S){this.c=e,this._scrollStateBrand=void 0,this.c&&(s=s|0,r=r|0,a=a|0,l=l|0,y=y|0,S=S|0),this.rawScrollLeft=a,this.rawScrollTop=S,s<0&&(s=0),a+s>r&&(a=r-s),a<0&&(a=0),l<0&&(l=0),S+l>y&&(S=y-l),S<0&&(S=0),this.width=s,this.scrollWidth=r,this.scrollLeft=a,this.height=l,this.scrollHeight=y,this.scrollTop=S}equals(e){return this.rawScrollLeft===e.rawScrollLeft&&this.rawScrollTop===e.rawScrollTop&&this.width===e.width&&this.scrollWidth===e.scrollWidth&&this.scrollLeft===e.scrollLeft&&this.height===e.height&&this.scrollHeight===e.scrollHeight&&this.scrollTop===e.scrollTop}withScrollDimensions(e,s){return new _(this.c,typeof e.width<"u"?e.width:this.width,typeof e.scrollWidth<"u"?e.scrollWidth:this.scrollWidth,s?this.rawScrollLeft:this.scrollLeft,typeof e.height<"u"?e.height:this.height,typeof e.scrollHeight<"u"?e.scrollHeight:this.scrollHeight,s?this.rawScrollTop:this.scrollTop)}withScrollPosition(e){return new _(this.c,this.width,this.scrollWidth,typeof e.scrollLeft<"u"?e.scrollLeft:this.rawScrollLeft,this.height,this.scrollHeight,typeof e.scrollTop<"u"?e.scrollTop:this.rawScrollTop)}createScrollEvent(e,s){const r=this.width!==e.width,a=this.scrollWidth!==e.scrollWidth,l=this.scrollLeft!==e.scrollLeft,y=this.height!==e.height,S=this.scrollHeight!==e.scrollHeight,F=this.scrollTop!==e.scrollTop;return{inSmoothScrolling:s,oldWidth:e.width,oldScrollWidth:e.scrollWidth,oldScrollLeft:e.scrollLeft,width:this.width,scrollWidth:this.scrollWidth,scrollLeft:this.scrollLeft,oldHeight:e.height,oldScrollHeight:e.scrollHeight,oldScrollTop:e.scrollTop,height:this.height,scrollHeight:this.scrollHeight,scrollTop:this.scrollTop,widthChanged:r,scrollWidthChanged:a,scrollLeftChanged:l,heightChanged:y,scrollHeightChanged:S,scrollTopChanged:F}}}t.ScrollState=_;class w extends I.Disposable{constructor(e){super(),this._scrollableBrand=void 0,this.i=this.B(new A.Emitter),this.onScroll=this.i.event,this.c=e.smoothScrollDuration,this.f=e.scheduleAtNextAnimationFrame,this.g=new _(e.forceIntegerValues,0,0,0,0,0,0),this.h=null}dispose(){this.h&&(this.h.dispose(),this.h=null),super.dispose()}setSmoothScrollDuration(e){this.c=e}validateScrollPosition(e){return this.g.withScrollPosition(e)}getScrollDimensions(){return this.g}setScrollDimensions(e,s){const r=this.g.withScrollDimensions(e,s);this.k(r,Boolean(this.h)),this.h?.acceptScrollDimensions(this.g)}getFutureScrollPosition(){return this.h?this.h.to:this.g}getCurrentScrollPosition(){return this.g}setScrollPositionNow(e){const s=this.g.withScrollPosition(e);this.h&&(this.h.dispose(),this.h=null),this.k(s,!1)}setScrollPositionSmooth(e,s){if(this.c===0)return this.setScrollPositionNow(e);if(this.h){e={scrollLeft:typeof e.scrollLeft>"u"?this.h.to.scrollLeft:e.scrollLeft,scrollTop:typeof e.scrollTop>"u"?this.h.to.scrollTop:e.scrollTop};const r=this.g.withScrollPosition(e);if(this.h.to.scrollLeft===r.scrollLeft&&this.h.to.scrollTop===r.scrollTop)return;let a;s?a=new c(this.h.from,r,this.h.startTime,this.h.duration):a=this.h.combine(this.g,r,this.c),this.h.dispose(),this.h=a}else{const r=this.g.withScrollPosition(e);this.h=c.start(this.g,r,this.c)}this.h.animationFrameDisposable=this.f(()=>{!this.h||(this.h.animationFrameDisposable=null,this.j())})}j(){if(!this.h)return;const e=this.h.tick(),s=this.g.withScrollPosition(e);if(this.k(s,!0),!!this.h){if(e.isDone){this.h.dispose(),this.h=null;return}this.h.animationFrameDisposable=this.f(()=>{!this.h||(this.h.animationFrameDisposable=null,this.j())})}}k(e,s){const r=this.g;r.equals(e)||(this.g=e,this.i.fire(this.g.createScrollEvent(r,s)))}}t.Scrollable=w;class v{constructor(e,s,r){this.scrollLeft=e,this.scrollTop=s,this.isDone=r}}t.SmoothScrollingUpdate=v;function d(n,e){const s=e-n;return function(r){return n+s*o(r)}}function u(n,e,s){return function(r){return r<s?n(r/s):e((r-s)/(1-s))}}class c{constructor(e,s,r,a){this.from=e,this.to=s,this.duration=a,this.startTime=r,this.animationFrameDisposable=null,this.e()}e(){this.c=this.f(this.from.scrollLeft,this.to.scrollLeft,this.to.width),this.d=this.f(this.from.scrollTop,this.to.scrollTop,this.to.height)}f(e,s,r){if(Math.abs(e-s)>2.5*r){let l,y;return e<s?(l=e+.75*r,y=s-.75*r):(l=e-.75*r,y=s+.75*r),u(d(e,l),d(y,s),.33)}return d(e,s)}dispose(){this.animationFrameDisposable!==null&&(this.animationFrameDisposable.dispose(),this.animationFrameDisposable=null)}acceptScrollDimensions(e){this.to=e.withScrollPosition(this.to),this.e()}tick(){return this.g(Date.now())}g(e){const s=(e-this.startTime)/this.duration;if(s<1){const r=this.c(s),a=this.d(s);return new v(r,a,!1)}return new v(this.to.scrollLeft,this.to.scrollTop,!0)}combine(e,s,r){return c.start(e,s,r)}static start(e,s,r){r=r+10;const a=Date.now()-10;return new c(e,s,a,r)}}t.SmoothScrollingOperation=c;function M(n){return Math.pow(n,3)}function o(n){return 1-M(1-n)}}),define(ge[11],me([1,0,109,43]),function(J,t,A,I){"use strict";var i;Object.defineProperty(t,"__esModule",{value:!0}),t.InvisibleCharacters=t.AmbiguousCharacters=t.noBreakWhitespace=t.getLeftDeleteOffset=t.GraphemeBreakType=t.getGraphemeBreakType=t.singleLetterHash=t.getNLines=t.uppercaseFirstLetter=t.containsUppercaseCharacter=t.fuzzyContains=t.stripUTF8BOM=t.startsWithUTF8BOM=t.UTF8_BOM_CHARACTER=t.removeAnsiEscapeCodes=t.lcut=t.isEmojiImprecise=t.isFullWidthCharacter=t.containsUnusualLineTerminators=t.UNUSUAL_LINE_TERMINATORS=t.isBasicASCII=t.containsRTL=t.charCount=t.getCharContainingOffset=t.prevCharLength=t.nextCharLength=t.GraphemeIterator=t.CodePointIterator=t.getNextCodePoint=t.computeCodePoint=t.isLowSurrogate=t.isHighSurrogate=t.commonSuffixLength=t.commonPrefixLength=t.startsWithIgnoreCase=t.equalsIgnoreCase=t.isUpperAsciiLetter=t.isLowerAsciiLetter=t.isAsciiDigit=t.compareSubstringIgnoreCase=t.compareIgnoreCase=t.compareSubstring=t.compare=t.replaceAsync=t.lastNonWhitespaceIndex=t.getLeadingWhitespace=t.firstNonWhitespaceIndex=t.splitLines=t.regExpFlags=t.regExpContainsBackreference=t.regExpLeadsToEndlessLoop=t.createRegExp=t.stripWildcards=t.convertSimple2RegExpPattern=t.rtrim=t.ltrim=t.trim=t.truncate=t.count=t.escapeRegExpCharacters=t.escape=t.format2=t.format=t.isFalsyOrWhitespace=void 0;function _(q){return!q||typeof q!="string"?!0:q.trim().length===0}t.isFalsyOrWhitespace=_;const w=/{(\d+)}/g;function v(q,...le){return le.length===0?q:q.replace(w,function(be,ye){const Ce=parseInt(ye,10);return isNaN(Ce)||Ce<0||Ce>=le.length?be:le[Ce]})}t.format=v;const d=/{([^}]+)}/g;function u(q,le){return q.replace(d,(be,ye)=>le[ye]??be)}t.format2=u;function c(q){return q.replace(/[<>&]/g,function(le){switch(le){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return le}})}t.escape=c;function M(q){return q.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}t.escapeRegExpCharacters=M;function o(q,le){let be=0;const ye=le.charCodeAt(0);for(let Ce=q.length-1;Ce>=0;Ce--)q.charCodeAt(Ce)===ye&&be++;return be}t.count=o;function n(q,le,be="\u2026"){return q.length<=le?q:`${q.substr(0,le)}${be}`}t.truncate=n;function e(q,le=" "){const be=s(q,le);return r(be,le)}t.trim=e;function s(q,le){if(!q||!le)return q;const be=le.length;if(be===0||q.length===0)return q;let ye=0;for(;q.indexOf(le,ye)===ye;)ye=ye+be;return q.substring(ye)}t.ltrim=s;function r(q,le){if(!q||!le)return q;const be=le.length,ye=q.length;if(be===0||ye===0)return q;let Ce=ye,Re=-1;for(;Re=q.lastIndexOf(le,Ce-1),!(Re===-1||Re+be!==Ce);){if(Re===0)return"";Ce=Re}return q.substring(0,Ce)}t.rtrim=r;function a(q){return q.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}t.convertSimple2RegExpPattern=a;function l(q){return q.replace(/\*/g,"")}t.stripWildcards=l;function y(q,le,be={}){if(!q)throw new Error("Cannot create regex from empty string");le||(q=M(q)),be.wholeWord&&(/\B/.test(q.charAt(0))||(q="\\b"+q),/\B/.test(q.charAt(q.length-1))||(q=q+"\\b"));let ye="";return be.global&&(ye+="g"),be.matchCase||(ye+="i"),be.multiline&&(ye+="m"),be.unicode&&(ye+="u"),new RegExp(q,ye)}t.createRegExp=y;function S(q){return q.source==="^"||q.source==="^$"||q.source==="$"||q.source==="^\\s*$"?!1:!!(q.exec("")&&q.lastIndex===0)}t.regExpLeadsToEndlessLoop=S;function F(q){return!!q.match(/([^\\]|^)(\\\\)*\\\d+/)}t.regExpContainsBackreference=F;function f(q){return(q.global?"g":"")+(q.ignoreCase?"i":"")+(q.multiline?"m":"")+(q.unicode?"u":"")}t.regExpFlags=f;function D(q){return q.split(/\r\n|\r|\n/)}t.splitLines=D;function T(q){for(let le=0,be=q.length;le<be;le++){const ye=q.charCodeAt(le);if(ye!==32&&ye!==9)return le}return-1}t.firstNonWhitespaceIndex=T;function L(q,le=0,be=q.length){for(let ye=le;ye<be;ye++){const Ce=q.charCodeAt(ye);if(Ce!==32&&Ce!==9)return q.substring(le,ye)}return q.substring(le,be)}t.getLeadingWhitespace=L;function h(q,le=q.length-1){for(let be=le;be>=0;be--){const ye=q.charCodeAt(be);if(ye!==32&&ye!==9)return be}return-1}t.lastNonWhitespaceIndex=h;function p(q,le,be){const ye=[];let Ce=0;for(const Re of q.matchAll(le)){if(ye.push(q.slice(Ce,Re.index)),Re.index===void 0)throw new Error("match.index should be defined");Ce=Re.index+Re[0].length,ye.push(be(Re[0],...Re.slice(1),Re.index,q,Re.groups))}return ye.push(q.slice(Ce)),Promise.all(ye).then(Re=>Re.join(""))}t.replaceAsync=p;function m(q,le){return q<le?-1:q>le?1:0}t.compare=m;function E(q,le,be=0,ye=q.length,Ce=0,Re=le.length){for(;be<ye&&Ce<Re;be++,Ce++){const Ne=q.charCodeAt(be),ae=le.charCodeAt(Ce);if(Ne<ae)return-1;if(Ne>ae)return 1}const xe=ye-be,tt=Re-Ce;return xe<tt?-1:xe>tt?1:0}t.compareSubstring=E;function O(q,le){return V(q,le,0,q.length,0,le.length)}t.compareIgnoreCase=O;function V(q,le,be=0,ye=q.length,Ce=0,Re=le.length){for(;be<ye&&Ce<Re;be++,Ce++){let Ne=q.charCodeAt(be),ae=le.charCodeAt(Ce);if(Ne===ae)continue;if(Ne>=128||ae>=128)return E(q.toLowerCase(),le.toLowerCase(),be,ye,Ce,Re);Z(Ne)&&(Ne-=32),Z(ae)&&(ae-=32);const Ee=Ne-ae;if(Ee!==0)return Ee}const xe=ye-be,tt=Re-Ce;return xe<tt?-1:xe>tt?1:0}t.compareSubstringIgnoreCase=V;function ee(q){return q>=48&&q<=57}t.isAsciiDigit=ee;function Z(q){return q>=97&&q<=122}t.isLowerAsciiLetter=Z;function te(q){return q>=65&&q<=90}t.isUpperAsciiLetter=te;function oe(q,le){return q.length===le.length&&V(q,le)===0}t.equalsIgnoreCase=oe;function he(q,le){const be=le.length;return le.length>q.length?!1:V(q,le,0,be)===0}t.startsWithIgnoreCase=he;function de(q,le){const be=Math.min(q.length,le.length);let ye;for(ye=0;ye<be;ye++)if(q.charCodeAt(ye)!==le.charCodeAt(ye))return ye;return be}t.commonPrefixLength=de;function ce(q,le){const be=Math.min(q.length,le.length);let ye;const Ce=q.length-1,Re=le.length-1;for(ye=0;ye<be;ye++)if(q.charCodeAt(Ce-ye)!==le.charCodeAt(Re-ye))return ye;return be}t.commonSuffixLength=ce;function pe(q){return 55296<=q&&q<=56319}t.isHighSurrogate=pe;function Te(q){return 56320<=q&&q<=57343}t.isLowSurrogate=Te;function Pe(q,le){return(q-55296<<10)+(le-56320)+65536}t.computeCodePoint=Pe;function Oe(q,le,be){const ye=q.charCodeAt(be);if(pe(ye)&&be+1<le){const Ce=q.charCodeAt(be+1);if(Te(Ce))return Pe(ye,Ce)}return ye}t.getNextCodePoint=Oe;function j(q,le){const be=q.charCodeAt(le-1);if(Te(be)&&le>1){const ye=q.charCodeAt(le-2);if(pe(ye))return Pe(ye,be)}return be}class G{get offset(){return this.e}constructor(le,be=0){this.c=le,this.d=le.length,this.e=be}setOffset(le){this.e=le}prevCodePoint(){const le=j(this.c,this.e);return this.e-=le>=65536?2:1,le}nextCodePoint(){const le=Oe(this.c,this.d,this.e);return this.e+=le>=65536?2:1,le}eol(){return this.e>=this.d}}t.CodePointIterator=G;class se{get offset(){return this.c.offset}constructor(le,be=0){this.c=new G(le,be)}nextGraphemeLength(){const le=_e.getInstance(),be=this.c,ye=be.offset;let Ce=le.getGraphemeBreakType(be.nextCodePoint());for(;!be.eol();){const Re=be.offset,xe=le.getGraphemeBreakType(be.nextCodePoint());if(Me(Ce,xe)){be.setOffset(Re);break}Ce=xe}return be.offset-ye}prevGraphemeLength(){const le=_e.getInstance(),be=this.c,ye=be.offset;let Ce=le.getGraphemeBreakType(be.prevCodePoint());for(;be.offset>0;){const Re=be.offset,xe=le.getGraphemeBreakType(be.prevCodePoint());if(Me(xe,Ce)){be.setOffset(Re);break}Ce=xe}return ye-be.offset}eol(){return this.c.eol()}}t.GraphemeIterator=se;function ne(q,le){return new se(q,le).nextGraphemeLength()}t.nextCharLength=ne;function Q(q,le){return new se(q,le).prevGraphemeLength()}t.prevCharLength=Q;function b(q,le){le>0&&Te(q.charCodeAt(le))&&le--;const be=le+ne(q,le);return[be-Q(q,be),be]}t.getCharContainingOffset=b;function R(q){const le=new se(q);let be=0;for(;!le.eol();)be++,le.nextGraphemeLength();return be}t.charCount=R;let H;function g(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function N(q){return H||(H=g()),H.test(q)}t.containsRTL=N;const $=/^[\t\n\r\x20-\x7E]*$/;function ie(q){return $.test(q)}t.isBasicASCII=ie,t.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function k(q){return t.UNUSUAL_LINE_TERMINATORS.test(q)}t.containsUnusualLineTerminators=k;function P(q){return q>=11904&&q<=55215||q>=63744&&q<=64255||q>=65281&&q<=65374}t.isFullWidthCharacter=P;function U(q){return q>=127462&&q<=127487||q===8986||q===8987||q===9200||q===9203||q>=9728&&q<=10175||q===11088||q===11093||q>=127744&&q<=128591||q>=128640&&q<=128764||q>=128992&&q<=129008||q>=129280&&q<=129535||q>=129648&&q<=129782}t.isEmojiImprecise=U;function C(q,le){if(q.length<le)return q;const be=/\b/g;let ye=0;for(;be.test(q)&&!(q.length-be.lastIndex<le);)ye=be.lastIndex,be.lastIndex+=1;return q.substring(ye).replace(/^\s/,"")}t.lcut=C;const B=/\x1B\x5B[12]?K/g,z=/\x1b\[\d+m/g,W=/\x1b\[0?m/g;function x(q){return q&&(q=q.replace(B,""),q=q.replace(z,""),q=q.replace(W,"")),q}t.removeAnsiEscapeCodes=x,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Y(q){return!!(q&&q.length>0&&q.charCodeAt(0)===65279)}t.startsWithUTF8BOM=Y;function re(q){return Y(q)?q.substr(1):q}t.stripUTF8BOM=re;function ue(q,le){if(!q||!le||q.length<le.length)return!1;const be=le.length,ye=q.toLowerCase();let Ce=0,Re=-1;for(;Ce<be;){const xe=ye.indexOf(le[Ce],Re+1);if(xe<0)return!1;Re=xe,Ce++}return!0}t.fuzzyContains=ue;function we(q,le=!1){return q?(le&&(q=q.replace(/\\./g,"")),q.toLowerCase()!==q):!1}t.containsUppercaseCharacter=we;function De(q){return q.charAt(0).toUpperCase()+q.slice(1)}t.uppercaseFirstLetter=De;function Le(q,le=1){if(le===0)return"";let be=-1;do be=q.indexOf(`
`,be+1),le--;while(le>0&&be>=0);return be===-1?q:(q[be-1]==="\r"&&be--,q.substr(0,be))}t.getNLines=Le;function Ae(q){return q=q%(2*26),q<26?String.fromCharCode(97+q):String.fromCharCode(65+q-26)}t.singleLetterHash=Ae;function ve(q){return _e.getInstance().getGraphemeBreakType(q)}t.getGraphemeBreakType=ve;function Me(q,le){return q===0?le!==5&&le!==7:q===2&&le===3?!1:q===4||q===2||q===3||le===4||le===2||le===3?!0:!(q===8&&(le===8||le===9||le===11||le===12)||(q===11||q===9)&&(le===9||le===10)||(q===12||q===10)&&le===10||le===5||le===13||le===7||q===1||q===13&&le===14||q===6&&le===6)}var Ie;(function(q){q[q.Other=0]="Other",q[q.Prepend=1]="Prepend",q[q.CR=2]="CR",q[q.LF=3]="LF",q[q.Control=4]="Control",q[q.Extend=5]="Extend",q[q.Regional_Indicator=6]="Regional_Indicator",q[q.SpacingMark=7]="SpacingMark",q[q.L=8]="L",q[q.V=9]="V",q[q.T=10]="T",q[q.LV=11]="LV",q[q.LVT=12]="LVT",q[q.ZWJ=13]="ZWJ",q[q.Extended_Pictographic=14]="Extended_Pictographic"})(Ie=t.GraphemeBreakType||(t.GraphemeBreakType={}));class _e{static getInstance(){return _e.c||(_e.c=new _e),_e.c}constructor(){this.d=He()}getGraphemeBreakType(le){if(le<32)return le===10?3:le===13?2:4;if(le<127)return 0;const be=this.d,ye=be.length/3;let Ce=1;for(;Ce<=ye;)if(le<be[3*Ce])Ce=2*Ce;else if(le>be[3*Ce+1])Ce=2*Ce+1;else return be[3*Ce+2];return 0}}_e.c=null;function He(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function We(q,le){if(q===0)return 0;const be=Je(q,le);if(be!==void 0)return be;const ye=new G(le,q);return ye.prevCodePoint(),ye.offset}t.getLeftDeleteOffset=We;function Je(q,le){const be=new G(le,q);let ye=be.prevCodePoint();for(;it(ye)||ye===65039||ye===8419;){if(be.offset===0)return;ye=be.prevCodePoint()}if(!U(ye))return;let Ce=be.offset;return Ce>0&&be.prevCodePoint()===8205&&(Ce=be.offset),Ce}function it(q){return 127995<=q&&q<=127999}var Be;(function(q){q[q.zwj=8205]="zwj",q[q.emojiVariantSelector=65039]="emojiVariantSelector",q[q.enclosingKeyCap=8419]="enclosingKeyCap"})(Be||(Be={})),t.noBreakWhitespace="\xA0";class je{static getInstance(le){return je.d.get(Array.from(le))}static getLocales(){return je.e.value}constructor(le){this.f=le}isAmbiguous(le){return this.f.has(le)}getPrimaryConfusable(le){return this.f.get(le)}getConfusableCodePoints(){return new Set(this.f.keys())}}t.AmbiguousCharacters=je,i=je,je.c=new I.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),je.d=new A.LRUCachedFunction(q=>{function le(ae){const Ee=new Map;for(let ke=0;ke<ae.length;ke+=2)Ee.set(ae[ke],ae[ke+1]);return Ee}function be(ae,Ee){const ke=new Map(ae);for(const[Ue,Ke]of Ee)ke.set(Ue,Ke);return ke}function ye(ae,Ee){if(!ae)return Ee;const ke=new Map;for(const[Ue,Ke]of ae)Ee.has(Ue)&&ke.set(Ue,Ke);return ke}const Ce=i.c.value;let Re=q.filter(ae=>!ae.startsWith("_")&&ae in Ce);Re.length===0&&(Re=["_default"]);let xe;for(const ae of Re){const Ee=le(Ce[ae]);xe=ye(xe,Ee)}const tt=le(Ce._common),Ne=be(tt,xe);return new je(Ne)}),je.e=new I.Lazy(()=>Object.keys(je.c.value).filter(q=>!q.startsWith("_")));class Ge{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(Ge.c())),this.d}static isInvisibleCharacter(le){return Ge.e().has(le)}static get codePoints(){return Ge.e()}}t.InvisibleCharacters=Ge,Ge.d=void 0}),define(ge[110],me([1,0,22,5,11,6]),function(J,t,A,I,i,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.randomPath=t.parseLineAndColumnAware=t.indexOfPath=t.getDriveLetter=t.hasDriveLetter=t.isRootOrDriveLetter=t.sanitizeFilePath=t.isWindowsDriveLetter=t.isEqualOrParent=t.isEqual=t.isValidBasename=t.isUNC=t.getRoot=t.toPosixPath=t.toSlashes=t.isPathSeparator=void 0;function w(h){return h===47||h===92}t.isPathSeparator=w;function v(h){return h.replace(/[\\/]/g,A.posix.sep)}t.toSlashes=v;function d(h){return h.indexOf("/")===-1&&(h=v(h)),/^[a-zA-Z]:(\/|$)/.test(h)&&(h="/"+h),h}t.toPosixPath=d;function u(h,p=A.posix.sep){if(!h)return"";const m=h.length,E=h.charCodeAt(0);if(w(E)){if(w(h.charCodeAt(1))&&!w(h.charCodeAt(2))){let V=3;const ee=V;for(;V<m&&!w(h.charCodeAt(V));V++);if(ee!==V&&!w(h.charCodeAt(V+1))){for(V+=1;V<m;V++)if(w(h.charCodeAt(V)))return h.slice(0,V+1).replace(/[\\/]/g,p)}}return p}else if(a(E)&&h.charCodeAt(1)===58)return w(h.charCodeAt(2))?h.slice(0,2)+p:h.slice(0,2);let O=h.indexOf("://");if(O!==-1){for(O+=3;O<m;O++)if(w(h.charCodeAt(O)))return h.slice(0,O+1)}return""}t.getRoot=u;function c(h){if(!I.isWindows||!h||h.length<5)return!1;let p=h.charCodeAt(0);if(p!==92||(p=h.charCodeAt(1),p!==92))return!1;let m=2;const E=m;for(;m<h.length&&(p=h.charCodeAt(m),p!==92);m++);return!(E===m||(p=h.charCodeAt(m+1),isNaN(p)||p===92))}t.isUNC=c;const M=/[\\/:\*\?"<>\|]/g,o=/[\\/]/g,n=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function e(h,p=I.isWindows){const m=p?M:o;return!(!h||h.length===0||/^\s+$/.test(h)||(m.lastIndex=0,m.test(h))||p&&n.test(h)||h==="."||h===".."||p&&h[h.length-1]==="."||p&&h.length!==h.trim().length||h.length>255)}t.isValidBasename=e;function s(h,p,m){const E=h===p;return!m||E?E:!h||!p?!1:(0,i.equalsIgnoreCase)(h,p)}t.isEqual=s;function r(h,p,m,E=A.sep){if(h===p)return!0;if(!h||!p||p.length>h.length)return!1;if(m){if(!(0,i.startsWithIgnoreCase)(h,p))return!1;if(p.length===h.length)return!0;let V=p.length;return p.charAt(p.length-1)===E&&V--,h.charAt(V)===E}return p.charAt(p.length-1)!==E&&(p+=E),h.indexOf(p)===0}t.isEqualOrParent=r;function a(h){return h>=65&&h<=90||h>=97&&h<=122}t.isWindowsDriveLetter=a;function l(h,p){return I.isWindows&&h.endsWith(":")&&(h+=A.sep),(0,A.isAbsolute)(h)||(h=(0,A.join)(p,h)),h=(0,A.normalize)(h),I.isWindows?(h=(0,i.rtrim)(h,A.sep),h.endsWith(":")&&(h+=A.sep)):(h=(0,i.rtrim)(h,A.sep),h||(h=A.sep)),h}t.sanitizeFilePath=l;function y(h){const p=(0,A.normalize)(h);return I.isWindows?h.length>3?!1:S(p)&&(h.length===2||p.charCodeAt(2)===92):p===A.posix.sep}t.isRootOrDriveLetter=y;function S(h,p=I.isWindows){return p?a(h.charCodeAt(0))&&h.charCodeAt(1)===58:!1}t.hasDriveLetter=S;function F(h){return S(h)?h[0]:void 0}t.getDriveLetter=F;function f(h,p,m){return p.length>h.length?-1:h===p?0:(m&&(h=h.toLowerCase(),p=p.toLowerCase()),h.indexOf(p))}t.indexOfPath=f;function D(h){const p=h.split(":");let m,E,O;for(const V of p){const ee=Number(V);(0,_.isNumber)(ee)?E===void 0?E=ee:O===void 0&&(O=ee):m=m?[m,V].join(":"):V}if(!m)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:m,line:E!==void 0?E:void 0,column:O!==void 0?O:E!==void 0?1:void 0}}t.parseLineAndColumnAware=D;const T="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function L(h,p,m=8){let E="";for(let V=0;V<m;V++)E+=T.charAt(Math.floor(Math.random()*T.length));let O;return p?O=`${p}-${E}`:O=E,h?(0,A.join)(h,O):O}t.randomPath=L}),define(ge[31],me([1,0,74,11]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.fuzzyScoreGraceful=t.fuzzyScoreGracefulAggressive=t.fuzzyScore=t.FuzzyScoreOptions=t.FuzzyScore=t.isPatternInWord=t.createMatches=t.anyScore=t.matchesFuzzy2=t.matchesFuzzy=t.matchesWords=t.matchesCamelCase=t.isUpper=t.matchesSubString=t.matchesContiguousSubString=t.matchesPrefix=t.matchesStrictPrefix=t.or=void 0;function i(...z){return function(W,x){for(let Y=0,re=z.length;Y<re;Y++){const ue=z[Y](W,x);if(ue)return ue}return null}}t.or=i,t.matchesStrictPrefix=_.bind(void 0,!1),t.matchesPrefix=_.bind(void 0,!0);function _(z,W,x){if(!x||x.length<W.length)return null;let Y;return z?Y=I.startsWithIgnoreCase(x,W):Y=x.indexOf(W)===0,Y?W.length>0?[{start:0,end:W.length}]:[]:null}function w(z,W){const x=W.toLowerCase().indexOf(z.toLowerCase());return x===-1?null:[{start:x,end:x+z.length}]}t.matchesContiguousSubString=w;function v(z,W){return d(z.toLowerCase(),W.toLowerCase(),0,0)}t.matchesSubString=v;function d(z,W,x,Y){if(x===z.length)return[];if(Y===W.length)return null;if(z[x]===W[Y]){let re=null;return(re=d(z,W,x+1,Y+1))?a({start:Y,end:Y+1},re):null}return d(z,W,x,Y+1)}function u(z){return 97<=z&&z<=122}function c(z){return 65<=z&&z<=90}t.isUpper=c;function M(z){return 48<=z&&z<=57}function o(z){return z===32||z===9||z===10||z===13}const n=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(z=>n.add(z.charCodeAt(0)));function e(z){return o(z)||n.has(z)}function s(z,W){return z===W||e(z)&&e(W)}function r(z){return u(z)||c(z)||M(z)}function a(z,W){return W.length===0?W=[z]:z.end===W[0].start?W[0].start=z.start:W.unshift(z),W}function l(z,W){for(let x=W;x<z.length;x++){const Y=z.charCodeAt(x);if(c(Y)||M(Y)||x>0&&!r(z.charCodeAt(x-1)))return x}return z.length}function y(z,W,x,Y){if(x===z.length)return[];if(Y===W.length)return null;if(z[x]!==W[Y].toLowerCase())return null;{let re=null,ue=Y+1;for(re=y(z,W,x+1,Y+1);!re&&(ue=l(W,ue))<W.length;)re=y(z,W,x+1,ue),ue++;return re===null?null:a({start:Y,end:Y+1},re)}}function S(z){let W=0,x=0,Y=0,re=0,ue=0;for(let ve=0;ve<z.length;ve++)ue=z.charCodeAt(ve),c(ue)&&W++,u(ue)&&x++,r(ue)&&Y++,M(ue)&&re++;const we=W/z.length,De=x/z.length,Le=Y/z.length,Ae=re/z.length;return{upperPercent:we,lowerPercent:De,alphaPercent:Le,numericPercent:Ae}}function F(z){const{upperPercent:W,lowerPercent:x}=z;return x===0&&W>.6}function f(z){const{upperPercent:W,lowerPercent:x,alphaPercent:Y,numericPercent:re}=z;return x>.2&&W<.8&&Y>.6&&re<.2}function D(z){let W=0,x=0,Y=0,re=0;for(let ue=0;ue<z.length;ue++)Y=z.charCodeAt(ue),c(Y)&&W++,u(Y)&&x++,o(Y)&&re++;return(W===0||x===0)&&re===0?z.length<=30:W<=5}function T(z,W){if(!W||(W=W.trim(),W.length===0)||!D(z)||W.length>60)return null;const x=S(W);if(!f(x)){if(!F(x))return null;W=W.toLowerCase()}let Y=null,re=0;for(z=z.toLowerCase();re<W.length&&(Y=y(z,W,0,re))===null;)re=l(W,re+1);return Y}t.matchesCamelCase=T;function L(z,W,x=!1){if(!W||W.length===0)return null;let Y=null,re=0;for(z=z.toLowerCase(),W=W.toLowerCase();re<W.length&&(Y=h(z,W,0,re,x))===null;)re=p(W,re+1);return Y}t.matchesWords=L;function h(z,W,x,Y,re){if(x===z.length)return[];if(Y===W.length)return null;if(s(z.charCodeAt(x),W.charCodeAt(Y))){let ue=null,we=Y+1;if(ue=h(z,W,x+1,Y+1,re),!re)for(;!ue&&(we=p(W,we))<W.length;)ue=h(z,W,x+1,we,re),we++;return ue?z.charCodeAt(x)!==W.charCodeAt(Y)?ue:a({start:Y,end:Y+1},ue):null}else return null}function p(z,W){for(let x=W;x<z.length;x++)if(e(z.charCodeAt(x))||x>0&&e(z.charCodeAt(x-1)))return x;return z.length}const m=i(t.matchesPrefix,T,w),E=i(t.matchesPrefix,T,v),O=new A.LRUCache(1e4);function V(z,W,x=!1){if(typeof z!="string"||typeof W!="string")return null;let Y=O.get(z);Y||(Y=new RegExp(I.convertSimple2RegExpPattern(z),"i"),O.set(z,Y));const re=Y.exec(W);return re?[{start:re.index,end:re.index+re[0].length}]:x?E(z,W):m(z,W)}t.matchesFuzzy=V;function ee(z,W){const x=$(z,z.toLowerCase(),0,W,W.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return x?te(x):null}t.matchesFuzzy2=ee;function Z(z,W,x,Y,re,ue){const we=Math.min(13,z.length);for(;x<we;x++){const De=$(z,W,x,Y,re,ue,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(De)return De}return[0,ue]}t.anyScore=Z;function te(z){if(typeof z>"u")return[];const W=[],x=z[1];for(let Y=z.length-1;Y>1;Y--){const re=z[Y]+x,ue=W[W.length-1];ue&&ue.end===re?ue.end=re+1:W.push({start:re,end:re+1})}return W}t.createMatches=te;const oe=128;function he(){const z=[],W=[];for(let x=0;x<=oe;x++)W[x]=0;for(let x=0;x<=oe;x++)z.push(W.slice(0));return z}function de(z){const W=[];for(let x=0;x<=z;x++)W[x]=0;return W}const ce=de(2*oe),pe=de(2*oe),Te=he(),Pe=he(),Oe=he(),j=!1;function G(z,W,x,Y,re){function ue(De,Le,Ae=" "){for(;De.length<Le;)De=Ae+De;return De}let we=` |   |${Y.split("").map(De=>ue(De,3)).join("|")}
`;for(let De=0;De<=x;De++)De===0?we+=" |":we+=`${W[De-1]}|`,we+=z[De].slice(0,re+1).map(Le=>ue(Le.toString(),3)).join("|")+`
`;return we}function se(z,W,x,Y){z=z.substr(W),x=x.substr(Y),console.log(G(Pe,z,z.length,x,x.length)),console.log(G(Oe,z,z.length,x,x.length)),console.log(G(Te,z,z.length,x,x.length))}function ne(z,W){if(W<0||W>=z.length)return!1;const x=z.codePointAt(W);switch(x){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!I.isEmojiImprecise(x)}}function Q(z,W){if(W<0||W>=z.length)return!1;switch(z.charCodeAt(W)){case 32:case 9:return!0;default:return!1}}function b(z,W,x){return W[z]!==x[z]}function R(z,W,x,Y,re,ue,we=!1){for(;W<x&&re<ue;)z[W]===Y[re]&&(we&&(ce[W]=re),W+=1),re+=1;return W===x}t.isPatternInWord=R;var H;(function(z){z[z.Diag=1]="Diag",z[z.Left=2]="Left",z[z.LeftLeft=3]="LeftLeft"})(H||(H={}));var g;(function(z){z.Default=[-100,0];function W(x){return!x||x.length===2&&x[0]===-100&&x[1]===0}z.isDefault=W})(g=t.FuzzyScore||(t.FuzzyScore={}));class N{constructor(W,x){this.firstMatchCanBeWeak=W,this.boostFullMatch=x}}t.FuzzyScoreOptions=N,N.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function $(z,W,x,Y,re,ue,we=N.default){const De=z.length>oe?oe:z.length,Le=Y.length>oe?oe:Y.length;if(x>=De||ue>=Le||De-x>Le-ue||!R(W,x,De,re,ue,Le,!0))return;ie(De,Le,x,ue,W,re);let Ae=1,ve=1,Me=x,Ie=ue;const _e=[!1];for(Ae=1,Me=x;Me<De;Ae++,Me++){const Be=ce[Me],je=pe[Me],Ge=Me+1<De?pe[Me+1]:Le;for(ve=Be-ue+1,Ie=Be;Ie<Ge;ve++,Ie++){let q=Number.MIN_SAFE_INTEGER,le=!1;Ie<=je&&(q=k(z,W,Me,x,Y,re,Ie,Le,ue,Te[Ae-1][ve-1]===0,_e));let be=0;q!==Number.MAX_SAFE_INTEGER&&(le=!0,be=q+Pe[Ae-1][ve-1]);const ye=Ie>Be,Ce=ye?Pe[Ae][ve-1]+(Te[Ae][ve-1]>0?-5:0):0,Re=Ie>Be+1&&Te[Ae][ve-1]>0,xe=Re?Pe[Ae][ve-2]+(Te[Ae][ve-2]>0?-5:0):0;if(Re&&(!ye||xe>=Ce)&&(!le||xe>=be))Pe[Ae][ve]=xe,Oe[Ae][ve]=3,Te[Ae][ve]=0;else if(ye&&(!le||Ce>=be))Pe[Ae][ve]=Ce,Oe[Ae][ve]=2,Te[Ae][ve]=0;else if(le)Pe[Ae][ve]=be,Oe[Ae][ve]=1,Te[Ae][ve]=Te[Ae-1][ve-1]+1;else throw new Error("not possible")}}if(j&&se(z,x,Y,ue),!_e[0]&&!we.firstMatchCanBeWeak)return;Ae--,ve--;const He=[Pe[Ae][ve],ue];let We=0,Je=0;for(;Ae>=1;){let Be=ve;do{const je=Oe[Ae][Be];if(je===3)Be=Be-2;else if(je===2)Be=Be-1;else break}while(Be>=1);We>1&&W[x+Ae-1]===re[ue+ve-1]&&!b(Be+ue-1,Y,re)&&We+1>Te[Ae][Be]&&(Be=ve),Be===ve?We++:We=1,Je||(Je=Be),Ae--,ve=Be-1,He.push(ve)}Le===De&&we.boostFullMatch&&(He[0]+=2);const it=Je-De;return He[0]-=it,He}t.fuzzyScore=$;function ie(z,W,x,Y,re,ue){let we=z-1,De=W-1;for(;we>=x&&De>=Y;)re[we]===ue[De]&&(pe[we]=De,we--),De--}function k(z,W,x,Y,re,ue,we,De,Le,Ae,ve){if(W[x]!==ue[we])return Number.MIN_SAFE_INTEGER;let Me=1,Ie=!1;return we===x-Y?Me=z[x]===re[we]?7:5:b(we,re,ue)&&(we===0||!b(we-1,re,ue))?(Me=z[x]===re[we]?7:5,Ie=!0):ne(ue,we)&&(we===0||!ne(ue,we-1))?Me=5:(ne(ue,we-1)||Q(ue,we-1))&&(Me=5,Ie=!0),Me>1&&x===Y&&(ve[0]=!0),Ie||(Ie=b(we,re,ue)||ne(ue,we-1)||Q(ue,we-1)),x===Y?we>Le&&(Me-=Ie?3:5):Ae?Me+=Ie?2:0:Me+=Ie?0:1,we+1===De&&(Me-=Ie?3:5),Me}function P(z,W,x,Y,re,ue,we){return C(z,W,x,Y,re,ue,!0,we)}t.fuzzyScoreGracefulAggressive=P;function U(z,W,x,Y,re,ue,we){return C(z,W,x,Y,re,ue,!1,we)}t.fuzzyScoreGraceful=U;function C(z,W,x,Y,re,ue,we,De){let Le=$(z,W,x,Y,re,ue,De);if(Le&&!we)return Le;if(z.length>=3){const Ae=Math.min(7,z.length-1);for(let ve=x+1;ve<Ae;ve++){const Me=B(z,ve);if(Me){const Ie=$(Me,Me.toLowerCase(),x,Y,re,ue,De);Ie&&(Ie[0]-=3,(!Le||Ie[0]>Le[0])&&(Le=Ie))}}}return Le}function B(z,W){if(W+1>=z.length)return;const x=z[W],Y=z[W+1];if(x!==Y)return z.slice(0,W)+Y+x+z.slice(W+2)}}),define(ge[111],me([1,0,11]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.numberHash=t.doHash=t.hash=void 0;function I(a){return i(a,0)}t.hash=I;function i(a,l){switch(typeof a){case"object":return a===null?_(349,l):Array.isArray(a)?d(a,l):u(a,l);case"string":return v(a,l);case"boolean":return w(a,l);case"number":return _(a,l);case"undefined":return _(937,l);default:return _(617,l)}}t.doHash=i;function _(a,l){return(l<<5)-l+a|0}t.numberHash=_;function w(a,l){return _(a?433:863,l)}function v(a,l){l=_(149417,l);for(let y=0,S=a.length;y<S;y++)l=_(a.charCodeAt(y),l);return l}t.stringHash=v;function d(a,l){return l=_(104579,l),a.reduce((y,S)=>i(S,y),l)}function u(a,l){return l=_(181387,l),Object.keys(a).sort().reduce((y,S)=>(y=v(S,y),i(a[S],y)),l)}class c{constructor(){this.g=0}get value(){return this.g}hash(l){return this.g=i(l,this.g),this.g}}t.Hasher=c;var M;(function(a){a[a.BLOCK_SIZE=64]="BLOCK_SIZE",a[a.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(M||(M={}));function o(a,l,y=32){const S=y-l,F=~((1<<S)-1);return(a<<l|(F&a)>>>S)>>>0}function n(a,l=0,y=a.byteLength,S=0){for(let F=0;F<y;F++)a[l+F]=S}function e(a,l,y="0"){for(;a.length<l;)a=y+a;return a}function s(a,l=32){return a instanceof ArrayBuffer?Array.from(new Uint8Array(a)).map(y=>y.toString(16).padStart(2,"0")).join(""):e((a>>>0).toString(16),l/4)}t.toHexString=s;class r{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(l){const y=l.length;if(y===0)return;const S=this.p;let F=this.r,f=this.u,D,T;for(f!==0?(D=f,T=-1,f=0):(D=l.charCodeAt(0),T=0);;){let L=D;if(A.isHighSurrogate(D))if(T+1<y){const h=l.charCodeAt(T+1);A.isLowSurrogate(h)?(T++,L=A.computeCodePoint(D,h)):L=65533}else{f=D;break}else A.isLowSurrogate(D)&&(L=65533);if(F=this.w(S,F,L),T++,T<y)D=l.charCodeAt(T);else break}this.r=F,this.u=f}w(l,y,S){return S<128?l[y++]=S:S<2048?(l[y++]=192|(S&1984)>>>6,l[y++]=128|(S&63)>>>0):S<65536?(l[y++]=224|(S&61440)>>>12,l[y++]=128|(S&4032)>>>6,l[y++]=128|(S&63)>>>0):(l[y++]=240|(S&1835008)>>>18,l[y++]=128|(S&258048)>>>12,l[y++]=128|(S&4032)>>>6,l[y++]=128|(S&63)>>>0),y>=64&&(this.y(),y-=64,this.t+=64,l[0]=l[64+0],l[1]=l[64+1],l[2]=l[64+2]),y}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),s(this.h)+s(this.l)+s(this.m)+s(this.n)+s(this.o)}x(){this.p[this.r++]=128,n(this.p,this.r),this.r>56&&(this.y(),n(this.p));const l=8*this.t;this.q.setUint32(56,Math.floor(l/4294967296),!1),this.q.setUint32(60,l%4294967296,!1),this.y()}y(){const l=r.g,y=this.q;for(let m=0;m<64;m+=4)l.setUint32(m,y.getUint32(m,!1),!1);for(let m=64;m<320;m+=4)l.setUint32(m,o(l.getUint32(m-12,!1)^l.getUint32(m-32,!1)^l.getUint32(m-56,!1)^l.getUint32(m-64,!1),1),!1);let S=this.h,F=this.l,f=this.m,D=this.n,T=this.o,L,h,p;for(let m=0;m<80;m++)m<20?(L=F&f|~F&D,h=1518500249):m<40?(L=F^f^D,h=1859775393):m<60?(L=F&f|F&D|f&D,h=2400959708):(L=F^f^D,h=3395469782),p=o(S,5)+L+T+h+l.getUint32(m*4,!1)&4294967295,T=D,D=f,f=o(F,30),F=S,S=p;this.h=this.h+S&4294967295,this.l=this.l+F&4294967295,this.m=this.m+f&4294967295,this.n=this.n+D&4294967295,this.o=this.o+T&4294967295}}t.StringSHA1=r,r.g=new DataView(new ArrayBuffer(320))}),define(ge[112],me([1,0,70,111]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LcsDiff=t.stringDiff=t.StringDiffSequence=void 0;class i{constructor(o){this.a=o}getElements(){const o=this.a,n=new Int32Array(o.length);for(let e=0,s=o.length;e<s;e++)n[e]=o.charCodeAt(e);return n}}t.StringDiffSequence=i;function _(M,o,n){return new c(new i(M),new i(o)).ComputeDiff(n).changes}t.stringDiff=_;class w{static Assert(o,n){if(!o)throw new Error(n)}}class v{static Copy(o,n,e,s,r){for(let a=0;a<r;a++)e[s+a]=o[n+a]}static Copy2(o,n,e,s,r){for(let a=0;a<r;a++)e[s+a]=o[n+a]}}var d;(function(M){M[M.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(d||(d={}));class u{constructor(){this.a=[],this.b=1073741824,this.c=1073741824,this.d=0,this.e=0}MarkNextChange(){(this.d>0||this.e>0)&&this.a.push(new A.DiffChange(this.b,this.d,this.c,this.e)),this.d=0,this.e=0,this.b=1073741824,this.c=1073741824}AddOriginalElement(o,n){this.b=Math.min(this.b,o),this.c=Math.min(this.c,n),this.d++}AddModifiedElement(o,n){this.b=Math.min(this.b,o),this.c=Math.min(this.c,n),this.e++}getChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a}getReverseChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a.reverse(),this.a}}class c{constructor(o,n,e=null){this.a=e,this.b=o,this.c=n;const[s,r,a]=c.o(o),[l,y,S]=c.o(n);this.d=a&&S,this.e=s,this.f=r,this.g=l,this.h=y,this.k=[],this.m=[]}static n(o){return o.length>0&&typeof o[0]=="string"}static o(o){const n=o.getElements();if(c.n(n)){const e=new Int32Array(n.length);for(let s=0,r=n.length;s<r;s++)e[s]=(0,I.stringHash)(n[s],0);return[n,e,!0]}return n instanceof Int32Array?[[],n,!1]:[[],new Int32Array(n),!1]}p(o,n){return this.f[o]!==this.h[n]?!1:this.d?this.e[o]===this.g[n]:!0}q(o,n){if(!this.p(o,n))return!1;const e=c.r(this.b,o),s=c.r(this.c,n);return e===s}static r(o,n){return typeof o.getStrictElement=="function"?o.getStrictElement(n):null}s(o,n){return this.f[o]!==this.f[n]?!1:this.d?this.e[o]===this.e[n]:!0}u(o,n){return this.h[o]!==this.h[n]?!1:this.d?this.g[o]===this.g[n]:!0}ComputeDiff(o){return this.v(0,this.f.length-1,0,this.h.length-1,o)}v(o,n,e,s,r){const a=[!1];let l=this.w(o,n,e,s,a);return r&&(l=this.z(l)),{quitEarly:a[0],changes:l}}w(o,n,e,s,r){for(r[0]=!1;o<=n&&e<=s&&this.p(o,e);)o++,e++;for(;n>=o&&s>=e&&this.p(n,s);)n--,s--;if(o>n||e>s){let f;return e<=s?(w.Assert(o===n+1,"originalStart should only be one more than originalEnd"),f=[new A.DiffChange(o,0,e,s-e+1)]):o<=n?(w.Assert(e===s+1,"modifiedStart should only be one more than modifiedEnd"),f=[new A.DiffChange(o,n-o+1,e,0)]):(w.Assert(o===n+1,"originalStart should only be one more than originalEnd"),w.Assert(e===s+1,"modifiedStart should only be one more than modifiedEnd"),f=[]),f}const a=[0],l=[0],y=this.y(o,n,e,s,a,l,r),S=a[0],F=l[0];if(y!==null)return y;if(!r[0]){const f=this.w(o,S,e,F,r);let D=[];return r[0]?D=[new A.DiffChange(S+1,n-(S+1)+1,F+1,s-(F+1)+1)]:D=this.w(S+1,n,F+1,s,r),this.H(f,D)}return[new A.DiffChange(o,n-o+1,e,s-e+1)]}x(o,n,e,s,r,a,l,y,S,F,f,D,T,L,h,p,m,E){let O=null,V=null,ee=new u,Z=n,te=e,oe=T[0]-p[0]-s,he=-1073741824,de=this.k.length-1;do{const ce=oe+o;ce===Z||ce<te&&S[ce-1]<S[ce+1]?(f=S[ce+1],L=f-oe-s,f<he&&ee.MarkNextChange(),he=f,ee.AddModifiedElement(f+1,L),oe=ce+1-o):(f=S[ce-1]+1,L=f-oe-s,f<he&&ee.MarkNextChange(),he=f-1,ee.AddOriginalElement(f,L+1),oe=ce-1-o),de>=0&&(S=this.k[de],o=S[0],Z=1,te=S.length-1)}while(--de>=-1);if(O=ee.getReverseChanges(),E[0]){let ce=T[0]+1,pe=p[0]+1;if(O!==null&&O.length>0){const Te=O[O.length-1];ce=Math.max(ce,Te.getOriginalEnd()),pe=Math.max(pe,Te.getModifiedEnd())}V=[new A.DiffChange(ce,D-ce+1,pe,h-pe+1)]}else{ee=new u,Z=a,te=l,oe=T[0]-p[0]-y,he=1073741824,de=m?this.m.length-1:this.m.length-2;do{const ce=oe+r;ce===Z||ce<te&&F[ce-1]>=F[ce+1]?(f=F[ce+1]-1,L=f-oe-y,f>he&&ee.MarkNextChange(),he=f+1,ee.AddOriginalElement(f+1,L+1),oe=ce+1-r):(f=F[ce-1],L=f-oe-y,f>he&&ee.MarkNextChange(),he=f,ee.AddModifiedElement(f+1,L+1),oe=ce-1-r),de>=0&&(F=this.m[de],r=F[0],Z=1,te=F.length-1)}while(--de>=-1);V=ee.getChanges()}return this.H(O,V)}y(o,n,e,s,r,a,l){let y=0,S=0,F=0,f=0,D=0,T=0;o--,e--,r[0]=0,a[0]=0,this.k=[],this.m=[];const L=n-o+(s-e),h=L+1,p=new Int32Array(h),m=new Int32Array(h),E=s-e,O=n-o,V=o-e,ee=n-s,te=(O-E)%2===0;p[E]=o,m[O]=n,l[0]=!1;for(let oe=1;oe<=L/2+1;oe++){let he=0,de=0;F=this.J(E-oe,oe,E,h),f=this.J(E+oe,oe,E,h);for(let pe=F;pe<=f;pe+=2){pe===F||pe<f&&p[pe-1]<p[pe+1]?y=p[pe+1]:y=p[pe-1]+1,S=y-(pe-E)-V;const Te=y;for(;y<n&&S<s&&this.p(y+1,S+1);)y++,S++;if(p[pe]=y,y+S>he+de&&(he=y,de=S),!te&&Math.abs(pe-O)<=oe-1&&y>=m[pe])return r[0]=y,a[0]=S,Te<=m[pe]&&1447>0&&oe<=1447+1?this.x(E,F,f,V,O,D,T,ee,p,m,y,n,r,S,s,a,te,l):null}const ce=(he-o+(de-e)-oe)/2;if(this.a!==null&&!this.a(he,ce))return l[0]=!0,r[0]=he,a[0]=de,ce>0&&1447>0&&oe<=1447+1?this.x(E,F,f,V,O,D,T,ee,p,m,y,n,r,S,s,a,te,l):(o++,e++,[new A.DiffChange(o,n-o+1,e,s-e+1)]);D=this.J(O-oe,oe,O,h),T=this.J(O+oe,oe,O,h);for(let pe=D;pe<=T;pe+=2){pe===D||pe<T&&m[pe-1]>=m[pe+1]?y=m[pe+1]-1:y=m[pe-1],S=y-(pe-O)-ee;const Te=y;for(;y>o&&S>e&&this.p(y,S);)y--,S--;if(m[pe]=y,te&&Math.abs(pe-E)<=oe&&y<=p[pe])return r[0]=y,a[0]=S,Te>=p[pe]&&1447>0&&oe<=1447+1?this.x(E,F,f,V,O,D,T,ee,p,m,y,n,r,S,s,a,te,l):null}if(oe<=1447){let pe=new Int32Array(f-F+2);pe[0]=E-F+1,v.Copy2(p,F,pe,1,f-F+1),this.k.push(pe),pe=new Int32Array(T-D+2),pe[0]=O-D+1,v.Copy2(m,D,pe,1,T-D+1),this.m.push(pe)}}return this.x(E,F,f,V,O,D,T,ee,p,m,y,n,r,S,s,a,te,l)}z(o){for(let n=0;n<o.length;n++){const e=o[n],s=n<o.length-1?o[n+1].originalStart:this.f.length,r=n<o.length-1?o[n+1].modifiedStart:this.h.length,a=e.originalLength>0,l=e.modifiedLength>0;for(;e.originalStart+e.originalLength<s&&e.modifiedStart+e.modifiedLength<r&&(!a||this.s(e.originalStart,e.originalStart+e.originalLength))&&(!l||this.u(e.modifiedStart,e.modifiedStart+e.modifiedLength));){const S=this.q(e.originalStart,e.modifiedStart);if(this.q(e.originalStart+e.originalLength,e.modifiedStart+e.modifiedLength)&&!S)break;e.originalStart++,e.modifiedStart++}const y=[null];if(n<o.length-1&&this.I(o[n],o[n+1],y)){o[n]=y[0],o.splice(n+1,1),n--;continue}}for(let n=o.length-1;n>=0;n--){const e=o[n];let s=0,r=0;if(n>0){const f=o[n-1];s=f.originalStart+f.originalLength,r=f.modifiedStart+f.modifiedLength}const a=e.originalLength>0,l=e.modifiedLength>0;let y=0,S=this.G(e.originalStart,e.originalLength,e.modifiedStart,e.modifiedLength);for(let f=1;;f++){const D=e.originalStart-f,T=e.modifiedStart-f;if(D<s||T<r||a&&!this.s(D,D+e.originalLength)||l&&!this.u(T,T+e.modifiedLength))break;const h=(D===s&&T===r?5:0)+this.G(D,e.originalLength,T,e.modifiedLength);h>S&&(S=h,y=f)}e.originalStart-=y,e.modifiedStart-=y;const F=[null];if(n>0&&this.I(o[n-1],o[n],F)){o[n-1]=F[0],o.splice(n,1),n++;continue}}if(this.d)for(let n=1,e=o.length;n<e;n++){const s=o[n-1],r=o[n],a=r.originalStart-s.originalStart-s.originalLength,l=s.originalStart,y=r.originalStart+r.originalLength,S=y-l,F=s.modifiedStart,f=r.modifiedStart+r.modifiedLength,D=f-F;if(a<5&&S<20&&D<20){const T=this.A(l,S,F,D,a);if(T){const[L,h]=T;(L!==s.originalStart+s.originalLength||h!==s.modifiedStart+s.modifiedLength)&&(s.originalLength=L-s.originalStart,s.modifiedLength=h-s.modifiedStart,r.originalStart=L+a,r.modifiedStart=h+a,r.originalLength=y-r.originalStart,r.modifiedLength=f-r.modifiedStart)}}}return o}A(o,n,e,s,r){if(n<r||s<r)return null;const a=o+n-r+1,l=e+s-r+1;let y=0,S=0,F=0;for(let f=o;f<a;f++)for(let D=e;D<l;D++){const T=this.B(f,D,r);T>0&&T>y&&(y=T,S=f,F=D)}return y>0?[S,F]:null}B(o,n,e){let s=0;for(let r=0;r<e;r++){if(!this.p(o+r,n+r))return 0;s+=this.e[o+r].length}return s}C(o){return o<=0||o>=this.f.length-1?!0:this.d&&/^\s*$/.test(this.e[o])}D(o,n){if(this.C(o)||this.C(o-1))return!0;if(n>0){const e=o+n;if(this.C(e-1)||this.C(e))return!0}return!1}E(o){return o<=0||o>=this.h.length-1?!0:this.d&&/^\s*$/.test(this.g[o])}F(o,n){if(this.E(o)||this.E(o-1))return!0;if(n>0){const e=o+n;if(this.E(e-1)||this.E(e))return!0}return!1}G(o,n,e,s){const r=this.D(o,n)?1:0,a=this.F(e,s)?1:0;return r+a}H(o,n){const e=[];if(o.length===0||n.length===0)return n.length>0?n:o;if(this.I(o[o.length-1],n[0],e)){const s=new Array(o.length+n.length-1);return v.Copy(o,0,s,0,o.length-1),s[o.length-1]=e[0],v.Copy(n,1,s,o.length,n.length-1),s}else{const s=new Array(o.length+n.length);return v.Copy(o,0,s,0,o.length),v.Copy(n,0,s,o.length,n.length),s}}I(o,n,e){if(w.Assert(o.originalStart<=n.originalStart,"Left change is not less than or equal to right change"),w.Assert(o.modifiedStart<=n.modifiedStart,"Left change is not less than or equal to right change"),o.originalStart+o.originalLength>=n.originalStart||o.modifiedStart+o.modifiedLength>=n.modifiedStart){const s=o.originalStart;let r=o.originalLength;const a=o.modifiedStart;let l=o.modifiedLength;return o.originalStart+o.originalLength>=n.originalStart&&(r=n.originalStart+n.originalLength-o.originalStart),o.modifiedStart+o.modifiedLength>=n.modifiedStart&&(l=n.modifiedStart+n.modifiedLength-o.modifiedStart),e[0]=new A.DiffChange(s,r,a,l),!0}else return e[0]=null,!1}J(o,n,e,s){if(o>=0&&o<s)return o;const r=e,a=s-e-1,l=n%2===0;if(o<0){const y=r%2===0;return l===y?0:1}else{const y=a%2===0;return l===y?s-1:s-2}}}t.LcsDiff=c}),define(ge[32],me([1,0,31,11,17]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.matchesFuzzyIconAware=t.parseLabelWithIcons=t.getCodiconAriaLabel=t.stripIcons=t.markdownEscapeEscapedIcons=t.escapeIcons=void 0;const _="$(",w=new RegExp(`\\$\\(${i.ThemeIcon.iconNameExpression}(?:${i.ThemeIcon.iconModifierExpression})?\\)`,"g"),v=new RegExp(`(\\\\)?${w.source}`,"g");function d(a){return a.replace(v,(l,y)=>y?l:`\\${l}`)}t.escapeIcons=d;const u=new RegExp(`\\\\${w.source}`,"g");function c(a){return a.replace(u,l=>`\\${l}`)}t.markdownEscapeEscapedIcons=c;const M=new RegExp(`(\\s)?(\\\\)?${w.source}(\\s)?`,"g");function o(a){return a.indexOf(_)===-1?a:a.replace(M,(l,y,S,F)=>S?l:y||F||"")}t.stripIcons=o;function n(a){return a?a.replace(/\$\((.*?)\)/g,(l,y)=>` ${y} `).trim():""}t.getCodiconAriaLabel=n;const e=new RegExp(`\\$\\(${i.ThemeIcon.iconNameCharacter}+\\)`,"g");function s(a){e.lastIndex=0;let l="";const y=[];let S=0;for(;;){const F=e.lastIndex,f=e.exec(a),D=a.substring(F,f?.index);if(D.length>0){l+=D;for(let T=0;T<D.length;T++)y.push(S)}if(!f)break;S+=f[0].length}return{text:l,iconOffsets:y}}t.parseLabelWithIcons=s;function r(a,l,y=!1){const{text:S,iconOffsets:F}=l;if(!F||F.length===0)return(0,A.matchesFuzzy)(a,S,y);const f=(0,I.ltrim)(S," "),D=S.length-f.length,T=(0,A.matchesFuzzy)(a,f,y);if(T)for(const L of T){const h=F[L.start+D]+D;L.start+=h,L.end+=h}return T}t.matchesFuzzyIconAware=r}),define(ge[113],me([1,0,13,11]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TernarySearchTree=t.UriIterator=t.PathIterator=t.ConfigKeysIterator=t.StringIterator=void 0;class i{constructor(){this.b="",this.c=0}reset(n){return this.b=n,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(n){const e=n.charCodeAt(0),s=this.b.charCodeAt(this.c);return e-s}value(){return this.b[this.c]}}t.StringIterator=i;class _{constructor(n=!0){this.e=n}reset(n){return this.b=n,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let n=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(n)this.c++;else break;else n=!1;return this}cmp(n){return this.e?(0,I.compareSubstring)(n,this.b,0,n.length,this.c,this.d):(0,I.compareSubstringIgnoreCase)(n,this.b,0,n.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}t.ConfigKeysIterator=_;class w{constructor(n=!0,e=!0){this.f=n,this.g=e}reset(n){this.d=0,this.e=0,this.b=n,this.c=n.length;for(let e=n.length-1;e>=0;e--,this.c--){const s=this.b.charCodeAt(e);if(!(s===47||this.f&&s===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let n=!0;for(;this.e<this.c;this.e++){const e=this.b.charCodeAt(this.e);if(e===47||this.f&&e===92)if(n)this.d++;else break;else n=!1}return this}cmp(n){return this.g?(0,I.compareSubstring)(n,this.b,0,n.length,this.d,this.e):(0,I.compareSubstringIgnoreCase)(n,this.b,0,n.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}t.PathIterator=w;var v;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(v||(v={}));class d{constructor(n,e){this.f=n,this.g=e,this.d=[],this.e=0}reset(n){return this.c=n,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new w(!1,!this.f(n)),this.b.reset(n.path),this.b.value()&&this.d.push(3)),this.g(n)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(n){if(this.d[this.e]===1)return(0,I.compareIgnoreCase)(n,this.c.scheme);if(this.d[this.e]===2)return(0,I.compareIgnoreCase)(n,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(n);if(this.d[this.e]===4)return(0,I.compare)(n,this.c.query);if(this.d[this.e]===5)return(0,I.compare)(n,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}t.UriIterator=d;class u{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var c;(function(o){o[o.Left=-1]="Left",o[o.Mid=0]="Mid",o[o.Right=1]="Right"})(c||(c={}));class M{static forUris(n=()=>!1,e=()=>!1){return new M(new d(n,e))}static forPaths(n=!1){return new M(new w(void 0,!n))}static forStrings(){return new M(new i)}static forConfigKeys(){return new M(new _)}constructor(n){this.b=n}clear(){this.c=void 0}fill(n,e){if(e){const s=e.slice(0);(0,A.shuffle)(s);for(const r of s)this.set(r,n)}else{const s=n.slice(0);(0,A.shuffle)(s);for(const r of s)this.set(r[0],r[1])}}set(n,e){const s=this.b.reset(n);let r;this.c||(this.c=new u,this.c.segment=s.value());const a=[];for(r=this.c;;){const y=s.cmp(r.segment);if(y>0)r.left||(r.left=new u,r.left.segment=s.value()),a.push([-1,r]),r=r.left;else if(y<0)r.right||(r.right=new u,r.right.segment=s.value()),a.push([1,r]),r=r.right;else if(s.hasNext())s.next(),r.mid||(r.mid=new u,r.mid.segment=s.value()),a.push([0,r]),r=r.mid;else break}const l=r.value;r.value=e,r.key=n;for(let y=a.length-1;y>=0;y--){const S=a[y][1];S.updateHeight();const F=S.balanceFactor();if(F<-1||F>1){const f=a[y][0],D=a[y+1][0];if(f===1&&D===1)a[y][1]=S.rotateLeft();else if(f===-1&&D===-1)a[y][1]=S.rotateRight();else if(f===1&&D===-1)S.right=a[y+1][1]=a[y+1][1].rotateRight(),a[y][1]=S.rotateLeft();else if(f===-1&&D===1)S.left=a[y+1][1]=a[y+1][1].rotateLeft(),a[y][1]=S.rotateRight();else throw new Error;if(y>0)switch(a[y-1][0]){case-1:a[y-1][1].left=a[y][1];break;case 1:a[y-1][1].right=a[y][1];break;case 0:a[y-1][1].mid=a[y][1];break}else this.c=a[0][1]}}return l}get(n){return this.d(n)?.value}d(n){const e=this.b.reset(n);let s=this.c;for(;s;){const r=e.cmp(s.segment);if(r>0)s=s.left;else if(r<0)s=s.right;else if(e.hasNext())e.next(),s=s.mid;else break}return s}has(n){const e=this.d(n);return!(e?.value===void 0&&e?.mid===void 0)}delete(n){return this.e(n,!1)}deleteSuperstr(n){return this.e(n,!0)}e(n,e){const s=this.b.reset(n),r=[];let a=this.c;for(;a;){const l=s.cmp(a.segment);if(l>0)r.push([-1,a]),a=a.left;else if(l<0)r.push([1,a]),a=a.right;else if(s.hasNext())s.next(),r.push([0,a]),a=a.mid;else break}if(!!a){if(e?(a.left=void 0,a.mid=void 0,a.right=void 0,a.height=1):(a.key=void 0,a.value=void 0),!a.mid&&!a.value)if(a.left&&a.right){const l=this.f(a.right);if(l.key){const{key:y,value:S,segment:F}=l;this.e(l.key,!1),a.key=y,a.value=S,a.segment=F}}else{const l=a.left??a.right;if(r.length>0){const[y,S]=r[r.length-1];switch(y){case-1:S.left=l;break;case 0:S.mid=l;break;case 1:S.right=l;break}}else this.c=l}for(let l=r.length-1;l>=0;l--){const y=r[l][1];y.updateHeight();const S=y.balanceFactor();if(S>1?(y.right.balanceFactor()>=0||(y.right=y.right.rotateRight()),r[l][1]=y.rotateLeft()):S<-1&&(y.left.balanceFactor()<=0||(y.left=y.left.rotateLeft()),r[l][1]=y.rotateRight()),l>0)switch(r[l-1][0]){case-1:r[l-1][1].left=r[l][1];break;case 1:r[l-1][1].right=r[l][1];break;case 0:r[l-1][1].mid=r[l][1];break}else this.c=r[0][1]}}}f(n){for(;n.left;)n=n.left;return n}findSubstr(n){const e=this.b.reset(n);let s=this.c,r;for(;s;){const a=e.cmp(s.segment);if(a>0)s=s.left;else if(a<0)s=s.right;else if(e.hasNext())e.next(),r=s.value||r,s=s.mid;else break}return s&&s.value||r}findSuperstr(n){return this.g(n,!1)}g(n,e){const s=this.b.reset(n);let r=this.c;for(;r;){const a=s.cmp(r.segment);if(a>0)r=r.left;else if(a<0)r=r.right;else if(s.hasNext())s.next(),r=r.mid;else return r.mid?this.h(r.mid):e?r.value:void 0}}hasElementOrSubtree(n){return this.g(n,!0)!==void 0}forEach(n){for(const[e,s]of this)n(s,e)}*[Symbol.iterator](){yield*this.h(this.c)}h(n){const e=[];return this.j(n,e),e[Symbol.iterator]()}j(n,e){!n||(n.left&&this.j(n.left,e),n.value&&e.push([n.key,n.value]),n.mid&&this.j(n.mid,e),n.right&&this.j(n.right,e))}_isBalanced(){const n=e=>{if(!e)return!0;const s=e.balanceFactor();return s<-1||s>1?!1:n(e.left)&&n(e.right)};return n(this.c)}}t.TernarySearchTree=M}),define(ge[15],me([1,0,22,5]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.uriToFsPath=t.URI=void 0;const i=/^\w[\w\d+.-]*$/,_=/^\//,w=/^\/\//;function v(T,L){if(!T.scheme&&L)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${T.authority}", path: "${T.path}", query: "${T.query}", fragment: "${T.fragment}"}`);if(T.scheme&&!i.test(T.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(T.path){if(T.authority){if(!_.test(T.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(w.test(T.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function d(T,L){return!T&&!L?"file":T}function u(T,L){switch(T){case"https":case"http":case"file":L?L[0]!==M&&(L=M+L):L=M;break}return L}const c="",M="/",o=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class n{static isUri(L){return L instanceof n?!0:L?typeof L.authority=="string"&&typeof L.fragment=="string"&&typeof L.path=="string"&&typeof L.query=="string"&&typeof L.scheme=="string"&&typeof L.fsPath=="string"&&typeof L.with=="function"&&typeof L.toString=="function":!1}constructor(L,h,p,m,E,O=!1){typeof L=="object"?(this.scheme=L.scheme||c,this.authority=L.authority||c,this.path=L.path||c,this.query=L.query||c,this.fragment=L.fragment||c):(this.scheme=d(L,O),this.authority=h||c,this.path=u(this.scheme,p||c),this.query=m||c,this.fragment=E||c,v(this,O))}get fsPath(){return y(this,!1)}with(L){if(!L)return this;let{scheme:h,authority:p,path:m,query:E,fragment:O}=L;return h===void 0?h=this.scheme:h===null&&(h=c),p===void 0?p=this.authority:p===null&&(p=c),m===void 0?m=this.path:m===null&&(m=c),E===void 0?E=this.query:E===null&&(E=c),O===void 0?O=this.fragment:O===null&&(O=c),h===this.scheme&&p===this.authority&&m===this.path&&E===this.query&&O===this.fragment?this:new s(h,p,m,E,O)}static parse(L,h=!1){const p=o.exec(L);return p?new s(p[2]||c,D(p[4]||c),D(p[5]||c),D(p[7]||c),D(p[9]||c),h):new s(c,c,c,c,c)}static file(L){let h=c;if(I.isWindows&&(L=L.replace(/\\/g,M)),L[0]===M&&L[1]===M){const p=L.indexOf(M,2);p===-1?(h=L.substring(2),L=M):(h=L.substring(2,p),L=L.substring(p)||M)}return new s("file",h,L,c,c)}static from(L){const h=new s(L.scheme,L.authority,L.path,L.query,L.fragment);return v(h,!0),h}static joinPath(L,...h){if(!L.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let p;return I.isWindows&&L.scheme==="file"?p=n.file(A.win32.join(y(L,!0),...h)).path:p=A.posix.join(L.path,...h),L.with({path:p})}toString(L=!1){return S(this,L)}toJSON(){return this}static revive(L){if(L){if(L instanceof n)return L;{const h=new s(L);return h._formatted=L.external,h._fsPath=L._sep===e?L.fsPath:null,h}}else return L}}t.URI=n;const e=I.isWindows?1:void 0;class s extends n{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=y(this,!1)),this._fsPath}toString(L=!1){return L?S(this,!0):(this._formatted||(this._formatted=S(this,!1)),this._formatted)}toJSON(){const L={$mid:1};return this._fsPath&&(L.fsPath=this._fsPath,L._sep=e),this._formatted&&(L.external=this._formatted),this.path&&(L.path=this.path),this.scheme&&(L.scheme=this.scheme),this.authority&&(L.authority=this.authority),this.query&&(L.query=this.query),this.fragment&&(L.fragment=this.fragment),L}}const r={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function a(T,L,h){let p,m=-1;for(let E=0;E<T.length;E++){const O=T.charCodeAt(E);if(O>=97&&O<=122||O>=65&&O<=90||O>=48&&O<=57||O===45||O===46||O===95||O===126||L&&O===47||h&&O===91||h&&O===93||h&&O===58)m!==-1&&(p+=encodeURIComponent(T.substring(m,E)),m=-1),p!==void 0&&(p+=T.charAt(E));else{p===void 0&&(p=T.substr(0,E));const V=r[O];V!==void 0?(m!==-1&&(p+=encodeURIComponent(T.substring(m,E)),m=-1),p+=V):m===-1&&(m=E)}}return m!==-1&&(p+=encodeURIComponent(T.substring(m))),p!==void 0?p:T}function l(T){let L;for(let h=0;h<T.length;h++){const p=T.charCodeAt(h);p===35||p===63?(L===void 0&&(L=T.substr(0,h)),L+=r[p]):L!==void 0&&(L+=T[h])}return L!==void 0?L:T}function y(T,L){let h;return T.authority&&T.path.length>1&&T.scheme==="file"?h=`//${T.authority}${T.path}`:T.path.charCodeAt(0)===47&&(T.path.charCodeAt(1)>=65&&T.path.charCodeAt(1)<=90||T.path.charCodeAt(1)>=97&&T.path.charCodeAt(1)<=122)&&T.path.charCodeAt(2)===58?L?h=T.path.substr(1):h=T.path[1].toLowerCase()+T.path.substr(2):h=T.path,I.isWindows&&(h=h.replace(/\//g,"\\")),h}t.uriToFsPath=y;function S(T,L){const h=L?l:a;let p="",{scheme:m,authority:E,path:O,query:V,fragment:ee}=T;if(m&&(p+=m,p+=":"),(E||m==="file")&&(p+=M,p+=M),E){let Z=E.indexOf("@");if(Z!==-1){const te=E.substr(0,Z);E=E.substr(Z+1),Z=te.lastIndexOf(":"),Z===-1?p+=h(te,!1,!1):(p+=h(te.substr(0,Z),!1,!1),p+=":",p+=h(te.substr(Z+1),!1,!0)),p+="@"}E=E.toLowerCase(),Z=E.lastIndexOf(":"),Z===-1?p+=h(E,!1,!0):(p+=h(E.substr(0,Z),!1,!0),p+=E.substr(Z))}if(O){if(O.length>=3&&O.charCodeAt(0)===47&&O.charCodeAt(2)===58){const Z=O.charCodeAt(1);Z>=65&&Z<=90&&(O=`/${String.fromCharCode(Z+32)}:${O.substr(3)}`)}else if(O.length>=2&&O.charCodeAt(1)===58){const Z=O.charCodeAt(0);Z>=65&&Z<=90&&(O=`${String.fromCharCode(Z+32)}:${O.substr(2)}`)}p+=h(O,!0,!1)}return V&&(p+="?",p+=h(V,!1,!1)),ee&&(p+="#",p+=L?ee:a(ee,!1,!1)),p}function F(T){try{return decodeURIComponent(T)}catch{return T.length>3?T.substr(0,3)+F(T.substr(3)):T}}const f=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function D(T){return T.match(f)?T.replace(f,L=>F(L)):T}}),define(ge[49],me([1,0,29,11,15]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.parse=t.stringify=void 0;function _(u){return JSON.stringify(u,v)}t.stringify=_;function w(u){let c=JSON.parse(u);return c=d(c),c}t.parse=w;function v(u,c){return c instanceof RegExp?{$mid:2,source:c.source,flags:(0,I.regExpFlags)(c)}:c}function d(u,c=0){if(!u||c>200)return u;if(typeof u=="object"){switch(u.$mid){case 1:return i.URI.revive(u);case 2:return new RegExp(u.source,u.flags);case 16:return new Date(u.source)}if(u instanceof A.VSBuffer||u instanceof Uint8Array)return u;if(Array.isArray(u))for(let M=0;M<u.length;++M)u[M]=d(u[M],c+1);else for(const M in u)Object.hasOwnProperty.call(u,M)&&(u[M]=d(u[M],c+1))}return u}t.revive=d}),define(ge[33],me([1,0,7,5,15]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.COI=t.FileAccess=t.nodeModulesAsarUnpackedPath=t.nodeModulesAsarPath=t.nodeModulesPath=t.builtinExtensionsPath=t.RemoteAuthorities=t.connectionTokenQueryName=t.connectionTokenCookieName=t.Schemas=void 0;var _;(function(u){u.inMemory="inmemory",u.vscode="vscode",u.internal="private",u.walkThrough="walkThrough",u.walkThroughSnippet="walkThroughSnippet",u.http="http",u.https="https",u.file="file",u.mailto="mailto",u.untitled="untitled",u.data="data",u.command="command",u.vscodeRemote="vscode-remote",u.vscodeRemoteResource="vscode-remote-resource",u.vscodeUserData="vscode-userdata",u.vscodeCustomEditor="vscode-custom-editor",u.vscodeNotebook="vscode-notebook",u.vscodeNotebookCell="vscode-notebook-cell",u.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",u.vscodeNotebookCellOutput="vscode-notebook-cell-output",u.vscodeInteractive="vscode-interactive",u.vscodeInteractiveInput="vscode-interactive-input",u.vscodeSettings="vscode-settings",u.vscodeWorkspaceTrust="vscode-workspace-trust",u.vscodeTerminal="vscode-terminal",u.webviewPanel="webview-panel",u.vscodeWebview="vscode-webview",u.extension="extension",u.vscodeFileResource="vscode-file",u.tmp="tmp",u.vsls="vsls",u.vscodeSourceControl="vscode-scm"})(_=t.Schemas||(t.Schemas={})),t.connectionTokenCookieName="vscode-tkn",t.connectionTokenQueryName="tkn";class w{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${_.vscodeRemoteResource}`}setPreferredWebSchema(c){this.d=c}setDelegate(c){this.e=c}setServerRootPath(c){this.f=`${c}/${_.vscodeRemoteResource}`}set(c,M,o){this.a[c]=M,this.b[c]=o}setConnectionToken(c,M){this.c[c]=M}getPreferredWebSchema(){return this.d}rewrite(c){if(this.e)try{return this.e(c)}catch(r){return A.onUnexpectedError(r),c}const M=c.authority;let o=this.a[M];o&&o.indexOf(":")!==-1&&o.indexOf("[")===-1&&(o=`[${o}]`);const n=this.b[M],e=this.c[M];let s=`path=${encodeURIComponent(c.path)}`;return typeof e=="string"&&(s+=`&${t.connectionTokenQueryName}=${encodeURIComponent(e)}`),i.URI.from({scheme:I.isWeb?this.d:_.vscodeRemoteResource,authority:`${o}:${n}`,path:this.f,query:s})}}t.RemoteAuthorities=new w,t.builtinExtensionsPath="vs/../../extensions",t.nodeModulesPath="vs/../../node_modules",t.nodeModulesAsarPath="vs/../../node_modules.asar",t.nodeModulesAsarUnpackedPath="vs/../../node_modules.asar.unpacked";class v{asBrowserUri(c){const M=this.b(c,J);return this.uriToBrowserUri(M)}uriToBrowserUri(c){return c.scheme===_.vscodeRemote?t.RemoteAuthorities.rewrite(c):c.scheme===_.file&&(I.isNative||I.isWebWorker&&I.globals.origin===`${_.vscodeFileResource}://${v.a}`)?c.with({scheme:_.vscodeFileResource,authority:c.authority||v.a,query:null,fragment:null}):c}asFileUri(c){const M=this.b(c,J);return this.uriToFileUri(M)}uriToFileUri(c){return c.scheme===_.vscodeFileResource?c.with({scheme:_.file,authority:c.authority!==v.a?c.authority:null,query:null,fragment:null}):c}b(c,M){return i.URI.isUri(c)?c:i.URI.parse(M.toUrl(c))}}v.a="vscode-app",t.FileAccess=new v;var d;(function(u){const c=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);u.CoopAndCoep=Object.freeze(c.get("3"));const M="vscode-coi";function o(e){let s;typeof e=="string"?s=new URL(e).searchParams:e instanceof URL?s=e.searchParams:i.URI.isUri(e)&&(s=new URL(e.toString(!0)).searchParams);const r=s?.get(M);if(!!r)return c.get(r)}u.getHeadersFromQuery=o;function n(e,s,r){if(!globalThis.crossOriginIsolated)return;const a=s&&r?"3":r?"2":"1";e instanceof URLSearchParams?e.set(M,a):e[M]=a}u.addSearchParam=n})(d=t.COI||(t.COI={}))}),define(ge[34],me([1,0,110,33,22,5,11,15]),function(J,t,A,I,i,_,w,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalResource=t.DataUri=t.distinctParents=t.addTrailingPathSeparator=t.removeTrailingPathSeparator=t.hasTrailingPathSeparator=t.isEqualAuthority=t.isAbsolutePath=t.resolvePath=t.relativePath=t.normalizePath=t.joinPath=t.dirname=t.extname=t.basename=t.basenameOrAuthority=t.getComparisonKey=t.isEqualOrParent=t.isEqual=t.extUriIgnorePathCase=t.extUriBiasedIgnorePathCase=t.extUri=t.ExtUri=t.originalFSPath=void 0;function d(n){return(0,v.uriToFsPath)(n,!0)}t.originalFSPath=d;class u{constructor(e){this.a=e}compare(e,s,r=!1){return e===s?0:(0,w.compare)(this.getComparisonKey(e,r),this.getComparisonKey(s,r))}isEqual(e,s,r=!1){return e===s?!0:!e||!s?!1:this.getComparisonKey(e,r)===this.getComparisonKey(s,r)}getComparisonKey(e,s=!1){return e.with({path:this.a(e)?e.path.toLowerCase():void 0,fragment:s?null:void 0}).toString()}ignorePathCasing(e){return this.a(e)}isEqualOrParent(e,s,r=!1){if(e.scheme===s.scheme){if(e.scheme===I.Schemas.file)return A.isEqualOrParent(d(e),d(s),this.a(e))&&e.query===s.query&&(r||e.fragment===s.fragment);if((0,t.isEqualAuthority)(e.authority,s.authority))return A.isEqualOrParent(e.path,s.path,this.a(e),"/")&&e.query===s.query&&(r||e.fragment===s.fragment)}return!1}joinPath(e,...s){return v.URI.joinPath(e,...s)}basenameOrAuthority(e){return(0,t.basename)(e)||e.authority}basename(e){return i.posix.basename(e.path)}extname(e){return i.posix.extname(e.path)}dirname(e){if(e.path.length===0)return e;let s;return e.scheme===I.Schemas.file?s=v.URI.file(i.dirname(d(e))).path:(s=i.posix.dirname(e.path),e.authority&&s.length&&s.charCodeAt(0)!==47&&(console.error(`dirname("${e.toString})) resulted in a relative path`),s="/")),e.with({path:s})}normalizePath(e){if(!e.path.length)return e;let s;return e.scheme===I.Schemas.file?s=v.URI.file(i.normalize(d(e))).path:s=i.posix.normalize(e.path),e.with({path:s})}relativePath(e,s){if(e.scheme!==s.scheme||!(0,t.isEqualAuthority)(e.authority,s.authority))return;if(e.scheme===I.Schemas.file){const l=i.relative(d(e),d(s));return _.isWindows?A.toSlashes(l):l}let r=e.path||"/";const a=s.path||"/";if(this.a(e)){let l=0;for(const y=Math.min(r.length,a.length);l<y&&!(r.charCodeAt(l)!==a.charCodeAt(l)&&r.charAt(l).toLowerCase()!==a.charAt(l).toLowerCase());l++);r=a.substr(0,l)+r.substr(l)}return i.posix.relative(r,a)}resolvePath(e,s){if(e.scheme===I.Schemas.file){const r=v.URI.file(i.resolve(d(e),s));return e.with({authority:r.authority,path:r.path})}return s=A.toPosixPath(s),e.with({path:i.posix.resolve(e.path,s)})}isAbsolutePath(e){return!!e.path&&e.path[0]==="/"}isEqualAuthority(e,s){return e===s||e!==void 0&&s!==void 0&&(0,w.equalsIgnoreCase)(e,s)}hasTrailingPathSeparator(e,s=i.sep){if(e.scheme===I.Schemas.file){const r=d(e);return r.length>A.getRoot(r).length&&r[r.length-1]===s}else{const r=e.path;return r.length>1&&r.charCodeAt(r.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(e.fsPath)}}removeTrailingPathSeparator(e,s=i.sep){return(0,t.hasTrailingPathSeparator)(e,s)?e.with({path:e.path.substr(0,e.path.length-1)}):e}addTrailingPathSeparator(e,s=i.sep){let r=!1;if(e.scheme===I.Schemas.file){const a=d(e);r=a!==void 0&&a.length===A.getRoot(a).length&&a[a.length-1]===s}else{s="/";const a=e.path;r=a.length===1&&a.charCodeAt(a.length-1)===47}return!r&&!(0,t.hasTrailingPathSeparator)(e,s)?e.with({path:e.path+"/"}):e}}t.ExtUri=u,t.extUri=new u(()=>!1),t.extUriBiasedIgnorePathCase=new u(n=>n.scheme===I.Schemas.file?!_.isLinux:!0),t.extUriIgnorePathCase=new u(n=>!0),t.isEqual=t.extUri.isEqual.bind(t.extUri),t.isEqualOrParent=t.extUri.isEqualOrParent.bind(t.extUri),t.getComparisonKey=t.extUri.getComparisonKey.bind(t.extUri),t.basenameOrAuthority=t.extUri.basenameOrAuthority.bind(t.extUri),t.basename=t.extUri.basename.bind(t.extUri),t.extname=t.extUri.extname.bind(t.extUri),t.dirname=t.extUri.dirname.bind(t.extUri),t.joinPath=t.extUri.joinPath.bind(t.extUri),t.normalizePath=t.extUri.normalizePath.bind(t.extUri),t.relativePath=t.extUri.relativePath.bind(t.extUri),t.resolvePath=t.extUri.resolvePath.bind(t.extUri),t.isAbsolutePath=t.extUri.isAbsolutePath.bind(t.extUri),t.isEqualAuthority=t.extUri.isEqualAuthority.bind(t.extUri),t.hasTrailingPathSeparator=t.extUri.hasTrailingPathSeparator.bind(t.extUri),t.removeTrailingPathSeparator=t.extUri.removeTrailingPathSeparator.bind(t.extUri),t.addTrailingPathSeparator=t.extUri.addTrailingPathSeparator.bind(t.extUri);function c(n,e){const s=[];for(let r=0;r<n.length;r++){const a=e(n[r]);n.some((l,y)=>y===r?!1:(0,t.isEqualOrParent)(a,e(l)))||s.push(n[r])}return s}t.distinctParents=c;var M;(function(n){n.META_DATA_LABEL="label",n.META_DATA_DESCRIPTION="description",n.META_DATA_SIZE="size",n.META_DATA_MIME="mime";function e(s){const r=new Map;s.path.substring(s.path.indexOf(";")+1,s.path.lastIndexOf(";")).split(";").forEach(y=>{const[S,F]=y.split(":");S&&F&&r.set(S,F)});const l=s.path.substring(0,s.path.indexOf(";"));return l&&r.set(n.META_DATA_MIME,l),r}n.parseMetaData=e})(M=t.DataUri||(t.DataUri={}));function o(n,e,s){if(e){let r=n.path;return r&&r[0]!==i.posix.sep&&(r=i.posix.sep+r),n.with({scheme:s,authority:e,path:r})}return n.with({scheme:s})}t.toLocalResource=o}),define(ge[9],me([1,0,27,7,3,2,34,5]),function(J,t,A,I,i,_,w,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createCancelableAsyncIterable=t.CancelableAsyncIterableObject=t.AsyncIterableObject=t.Promises=t.DeferredPromise=t.IntervalCounter=t.TaskSequentializer=t.retry=t.IdleValue=t.runWhenIdle=t.ThrottledWorker=t.RunOnceWorker=t.ProcessTimeRunOnceScheduler=t.RunOnceScheduler=t.IntervalTimer=t.TimeoutTimer=t.ResourceQueue=t.Queue=t.Limiter=t.firstParallel=t.first=t.sequence=t.disposableTimeout=t.timeout=t.AutoOpenBarrier=t.Barrier=t.ThrottledDelayer=t.Delayer=t.MicrotaskDelay=t.SequencerByKey=t.Sequencer=t.Throttler=t.asPromise=t.raceTimeout=t.raceCancellablePromises=t.raceCancellationError=t.raceCancellation=t.createCancelablePromise=t.isThenable=void 0;function d(b){return!!b&&typeof b.then=="function"}t.isThenable=d;function u(b){const R=new A.CancellationTokenSource,H=b(R.token),g=new Promise((N,$)=>{const ie=R.token.onCancellationRequested(()=>{ie.dispose(),R.dispose(),$(new I.CancellationError)});Promise.resolve(H).then(k=>{ie.dispose(),R.dispose(),N(k)},k=>{ie.dispose(),R.dispose(),$(k)})});return new class{cancel(){R.cancel()}then(N,$){return g.then(N,$)}catch(N){return this.then(void 0,N)}finally(N){return g.finally(N)}}}t.createCancelablePromise=u;function c(b,R,H){return new Promise((g,N)=>{const $=R.onCancellationRequested(()=>{$.dispose(),g(H)});b.then(g,N).finally(()=>$.dispose())})}t.raceCancellation=c;function M(b,R){return new Promise((H,g)=>{const N=R.onCancellationRequested(()=>{N.dispose(),g(new I.CancellationError)});b.then(H,g).finally(()=>N.dispose())})}t.raceCancellationError=M;async function o(b){let R=-1;const H=b.map((N,$)=>N.then(ie=>(R=$,ie))),g=await Promise.race(H);return b.forEach((N,$)=>{$!==R&&N.cancel()}),g}t.raceCancellablePromises=o;function n(b,R,H){let g;const N=setTimeout(()=>{g?.(void 0),H?.()},R);return Promise.race([b.finally(()=>clearTimeout(N)),new Promise($=>g=$)])}t.raceTimeout=n;function e(b){return new Promise((R,H)=>{const g=b();d(g)?g.then(R,H):R(g)})}t.asPromise=e;class s{constructor(){this.a=null,this.b=null,this.d=null}queue(R){if(this.a){if(this.d=R,!this.b){const H=()=>{this.b=null;const g=this.queue(this.d);return this.d=null,g};this.b=new Promise(g=>{this.a.then(H,H).then(g)})}return new Promise((H,g)=>{this.b.then(H,g)})}return this.a=R(),new Promise((H,g)=>{this.a.then(N=>{this.a=null,H(N)},N=>{this.a=null,g(N)})})}}t.Throttler=s;class r{constructor(){this.a=Promise.resolve(null)}queue(R){return this.a=this.a.then(()=>R(),()=>R())}}t.Sequencer=r;class a{constructor(){this.a=new Map}queue(R,H){const N=(this.a.get(R)??Promise.resolve()).catch(()=>{}).then(H).finally(()=>{this.a.get(R)===N&&this.a.delete(R)});return this.a.set(R,N),N}}t.SequencerByKey=a;const l=(b,R)=>{let H=!0;const g=setTimeout(()=>{H=!1,R()},b);return{isTriggered:()=>H,dispose:()=>{clearTimeout(g),H=!1}}},y=b=>{let R=!0;return queueMicrotask(()=>{R&&(R=!1,b())}),{isTriggered:()=>R,dispose:()=>{R=!1}}};t.MicrotaskDelay=Symbol("MicrotaskDelay");class S{constructor(R){this.defaultDelay=R,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(R,H=this.defaultDelay){this.g=R,this.h(),this.b||(this.b=new Promise((N,$)=>{this.d=N,this.f=$}).then(()=>{if(this.b=null,this.d=null,this.g){const N=this.g;return this.g=null,N()}}));const g=()=>{this.a=null,this.d?.(null)};return this.a=H===t.MicrotaskDelay?y(g):l(H,g),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new I.CancellationError),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}t.Delayer=S;class F{constructor(R){this.a=new S(R),this.b=new s}trigger(R,H){return this.a.trigger(()=>this.b.queue(R),H)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose()}}t.ThrottledDelayer=F;class f{constructor(){this.a=!1,this.b=new Promise((R,H)=>{this.d=R})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}t.Barrier=f;class D extends f{constructor(R){super(),this.f=setTimeout(()=>this.open(),R)}open(){clearTimeout(this.f),super.open()}}t.AutoOpenBarrier=D;function T(b,R){return R?new Promise((H,g)=>{const N=setTimeout(()=>{$.dispose(),H()},b),$=R.onCancellationRequested(()=>{clearTimeout(N),$.dispose(),g(new I.CancellationError)})}):u(H=>T(b,H))}t.timeout=T;function L(b,R=0){const H=setTimeout(b,R);return(0,_.toDisposable)(()=>clearTimeout(H))}t.disposableTimeout=L;function h(b){const R=[];let H=0;const g=b.length;function N(){return H<g?b[H++]():null}function $(ie){ie!=null&&R.push(ie);const k=N();return k?k.then($):Promise.resolve(R)}return Promise.resolve(null).then($)}t.sequence=h;function p(b,R=g=>!!g,H=null){let g=0;const N=b.length,$=()=>{if(g>=N)return Promise.resolve(H);const ie=b[g++];return Promise.resolve(ie()).then(P=>R(P)?Promise.resolve(P):$())};return $()}t.first=p;function m(b,R=g=>!!g,H=null){if(b.length===0)return Promise.resolve(H);let g=b.length;const N=()=>{g=-1;for(const $ of b)$.cancel?.()};return new Promise(($,ie)=>{for(const k of b)k.then(P=>{--g>=0&&R(P)?(N(),$(P)):g===0&&$(H)}).catch(P=>{--g>=0&&(N(),ie(P))})})}t.firstParallel=m;class E{constructor(R){this.a=0,this.d=R,this.f=[],this.b=0,this.g=new i.Emitter}get onDrained(){return this.g.event}get size(){return this.a}queue(R){return this.a++,new Promise((H,g)=>{this.f.push({factory:R,c:H,e:g}),this.h()})}h(){for(;this.f.length&&this.b<this.d;){const R=this.f.shift();this.b++;const H=R.factory();H.then(R.c,R.e),H.then(()=>this.j(),()=>this.j())}}j(){this.a--,this.b--,this.f.length>0?this.h():this.g.fire()}dispose(){this.g.dispose()}}t.Limiter=E;class O extends E{constructor(){super(1)}}t.Queue=O;class V{constructor(){this.a=new Map,this.b=new Set}async whenDrained(){if(this.d())return;const R=new Oe;return this.b.add(R),R.p}d(){for(const[,R]of this.a)if(R.size>0)return!1;return!0}queueFor(R,H=w.extUri){const g=H.getComparisonKey(R);let N=this.a.get(g);return N||(N=new O,i.Event.once(N.onDrained)(()=>{N?.dispose(),this.a.delete(g),this.f()}),this.a.set(g,N)),N}f(){!this.d()||this.g()}g(){for(const R of this.b)R.complete();this.b.clear()}dispose(){for(const[,R]of this.a)R.dispose();this.a.clear(),this.g()}}t.ResourceQueue=V;class ee{constructor(R,H){this.a=-1,typeof R=="function"&&typeof H=="number"&&this.setIfNotSet(R,H)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(R,H){this.cancel(),this.a=setTimeout(()=>{this.a=-1,R()},H)}setIfNotSet(R,H){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,R()},H))}}t.TimeoutTimer=ee;class Z{constructor(){this.a=-1}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearInterval(this.a),this.a=-1)}cancelAndSet(R,H){this.cancel(),this.a=setInterval(()=>{R()},H)}}t.IntervalTimer=Z;class te{constructor(R,H){this.b=-1,this.a=R,this.d=H,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(R=this.d){this.cancel(),this.b=setTimeout(this.f,R)}get delay(){return this.d}set delay(R){this.d=R}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}t.RunOnceScheduler=te;class oe{constructor(R,H){H%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${H}ms is not a multiple of 1000ms.`),this.a=R,this.b=H,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(R=this.b){R%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${R}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(R/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}t.ProcessTimeRunOnceScheduler=oe;class he extends te{constructor(R,H){super(R,H),this.j=[]}work(R){this.j.push(R),this.isScheduled()||this.schedule()}h(){const R=this.j;this.j=[],this.a?.(R)}dispose(){this.j=[],super.dispose()}}t.RunOnceWorker=he;class de extends _.Disposable{constructor(R,H){super(),this.g=R,this.h=H,this.a=[],this.b=this.B(new _.MutableDisposable),this.f=!1}get pending(){return this.a.length}work(R){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+R.length>this.g.maxBufferedWork)return!1}else if(this.pending+R.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const H of R)this.a.push(H);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new te(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}t.ThrottledWorker=de,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?t.runWhenIdle=b=>{(0,v.setTimeout0)(()=>{if(R)return;const H=Date.now()+15;b(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,H-Date.now())}}))});let R=!1;return{dispose(){R||(R=!0)}}}:t.runWhenIdle=(b,R)=>{const H=requestIdleCallback(b,typeof R=="number"?{timeout:R}:void 0);let g=!1;return{dispose(){g||(g=!0,cancelIdleCallback(H))}}}}();class ce{constructor(R){this.d=!1,this.a=()=>{try{this.f=R()}catch(H){this.g=H}finally{this.d=!0}},this.b=(0,t.runWhenIdle)(()=>this.a())}dispose(){this.b.dispose()}get value(){if(this.d||(this.b.dispose(),this.a()),this.g)throw this.g;return this.f}get isInitialized(){return this.d}}t.IdleValue=ce;async function pe(b,R,H){let g;for(let N=0;N<H;N++)try{return await b()}catch($){g=$,await T(R)}throw g}t.retry=pe;class Te{hasPending(R){return this.a?typeof R=="number"?this.a.taskId===R:!!this.a:!1}get pending(){return this.a?.promise}cancelPending(){this.a?.cancel()}setPending(R,H,g){return this.a={taskId:R,cancel:()=>g?.(),promise:H},H.then(()=>this.d(R),()=>this.d(R)),H}d(R){this.a&&R===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const R=this.b;this.b=void 0,R.run().then(R.promiseResolve,R.promiseReject)}}setNext(R){if(this.b)this.b.run=R;else{let H,g;const N=new Promise(($,ie)=>{H=$,g=ie});this.b={run:R,promise:N,promiseResolve:H,promiseReject:g}}return this.b.promise}hasNext(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}t.TaskSequentializer=Te;class Pe{constructor(R,H=()=>Date.now()){this.d=R,this.f=H,this.a=0,this.b=0}increment(){const R=this.f();return R-this.a>this.d&&(this.a=R,this.b=0),this.b++,this.b}}t.IntervalCounter=Pe;class Oe{get isRejected(){return this.d}get isResolved(){return this.f}get isSettled(){return this.d||this.f}constructor(){this.d=!1,this.f=!1,this.p=new Promise((R,H)=>{this.a=R,this.b=H})}complete(R){return new Promise(H=>{this.a(R),this.f=!0,H()})}error(R){return new Promise(H=>{this.b(R),this.d=!0,H()})}cancel(){new Promise(R=>{this.b(new I.CancellationError),this.d=!0,R()})}}t.DeferredPromise=Oe;var j;(function(b){async function R(g){let N;const $=await Promise.all(g.map(ie=>ie.then(k=>k,k=>{N||(N=k)})));if(typeof N<"u")throw N;return $}b.settled=R;function H(g){return new Promise(async(N,$)=>{try{await g(N,$)}catch(ie){$(ie)}})}b.withAsyncBody=H})(j=t.Promises||(t.Promises={}));var G;(function(b){b[b.Initial=0]="Initial",b[b.DoneOK=1]="DoneOK",b[b.DoneError=2]="DoneError"})(G||(G={}));class se{static fromArray(R){return new se(H=>{H.emitMany(R)})}static fromPromise(R){return new se(async H=>{H.emitMany(await R)})}static fromPromises(R){return new se(async H=>{await Promise.all(R.map(async g=>H.emitOne(await g)))})}static merge(R){return new se(async H=>{await Promise.all(R.map(async g=>{for await(const N of g)H.emitOne(N)}))})}constructor(R){this.a=0,this.b=[],this.d=null,this.f=new i.Emitter,queueMicrotask(async()=>{const H={emitOne:g=>this.g(g),emitMany:g=>this.h(g),reject:g=>this.k(g)};try{await Promise.resolve(R(H)),this.j()}catch(g){this.k(g)}finally{H.emitOne=void 0,H.emitMany=void 0,H.reject=void 0}})}[Symbol.asyncIterator](){let R=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(R<this.b.length)return{done:!1,value:this.b[R++]};if(this.a===1)return{done:!0,value:void 0};await i.Event.toPromise(this.f.event)}while(!0)}}}static map(R,H){return new se(async g=>{for await(const N of R)g.emitOne(H(N))})}map(R){return se.map(this,R)}static filter(R,H){return new se(async g=>{for await(const N of R)H(N)&&g.emitOne(N)})}filter(R){return se.filter(this,R)}static coalesce(R){return se.filter(R,H=>!!H)}coalesce(){return se.coalesce(this)}static async toPromise(R){const H=[];for await(const g of R)H.push(g);return H}toPromise(){return se.toPromise(this)}g(R){this.a===0&&(this.b.push(R),this.f.fire())}h(R){this.a===0&&(this.b=this.b.concat(R),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(R){this.a===0&&(this.a=2,this.d=R,this.f.fire())}}t.AsyncIterableObject=se,se.EMPTY=se.fromArray([]);class ne extends se{constructor(R,H){super(H),this.l=R}cancel(){this.l.cancel()}}t.CancelableAsyncIterableObject=ne;function Q(b){const R=new A.CancellationTokenSource,H=b(R.token);return new ne(R,async g=>{const N=R.token.onCancellationRequested(()=>{N.dispose(),R.dispose(),g.reject(new I.CancellationError)});try{for await(const $ of H){if(R.token.isCancellationRequested)return;g.emitOne($)}N.dispose(),R.dispose()}catch($){N.dispose(),R.dispose(),g.reject($)}})}t.createCancelableAsyncIterable=Q}),define(ge[4],me([1,0,18,108,14,21,9,7,3,114,2,33,5,6,15]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.h=t.DragAndDropObserver=t.getCookieValue=t.ModifierKeyEmitter=t.multibyteAwareBtoa=t.safeInnerHtml=t.basicMarkupHtmlTags=t.hookDomPurifyHrefAndSrcSanitizer=t.detectFullscreen=t.DetectedFullscreenMode=t.triggerUpload=t.triggerDownload=t.asCssValueWithDefault=t.asCSSPropertyValue=t.asCSSUrl=t.animate=t.windowOpenWithSuccess=t.windowOpenPopup=t.windowOpenNoOpener=t.computeScreenAwareSize=t.domContentLoaded=t.finalHandler=t.removeTabIndexAndUpdateFocus=t.hide=t.show=t.join=t.$=t.Namespace=t.reset=t.prepend=t.append=t.after=t.trackFocus=t.restoreParentsScrollTop=t.saveParentsScrollTop=t.EventHelper=t.isEventLike=t.EventType=t.isHTMLElement=t.removeCSSRulesContainingSelector=t.createCSSRule=t.createMetaElement=t.createStyleSheet=t.getActiveElement=t.getShadowRoot=t.isInShadowDOM=t.isShadowRoot=t.hasParentWithClass=t.findParentWithClass=t.isAncestorUsingFlowTo=t.setParentFlowTo=t.isAncestor=t.getLargestChildWidth=t.getTotalHeight=t.getContentHeight=t.getTotalScrollWidth=t.getContentWidth=t.getTotalWidth=t.getDomNodeZoomLevel=t.getDomNodePagePosition=t.position=t.size=t.getTopLeftOffset=t.Dimension=t.getClientArea=t.getComputedStyle=t.addDisposableThrottledListener=t.modify=t.measure=t.scheduleAtNextAnimationFrame=t.runAtThisOrScheduleAtNextAnimationFrame=t.addDisposableGenericMouseUpListener=t.addDisposableGenericMouseMoveListener=t.addDisposableGenericMouseDownListener=t.addStandardDisposableGenericMouseUpListener=t.addStandardDisposableGenericMouseDownListener=t.addStandardDisposableListener=t.addDisposableListener=t.isInDOM=t.clearNode=void 0;function s(X){for(;X.firstChild;)X.firstChild.remove()}t.clearNode=s;function r(X){return X?.isConnected??!1}t.isInDOM=r;class a{constructor(K,fe,Se,Fe){this.f=K,this.g=fe,this.d=Se,this.j=Fe||!1,this.f.addEventListener(this.g,this.d,this.j)}dispose(){!this.d||(this.f.removeEventListener(this.g,this.d,this.j),this.f=null,this.d=null)}}function l(X,K,fe,Se){return new a(X,K,fe,Se)}t.addDisposableListener=l;function y(X){return function(K){return X(new _.StandardMouseEvent(K))}}function S(X){return function(K){return X(new i.StandardKeyboardEvent(K))}}const F=function(K,fe,Se,Fe){let qe=Se;return fe==="click"||fe==="mousedown"?qe=y(Se):(fe==="keydown"||fe==="keypress"||fe==="keyup")&&(qe=S(Se)),l(K,fe,qe,Fe)};t.addStandardDisposableListener=F;const f=function(K,fe,Se){const Fe=y(fe);return T(K,Fe,Se)};t.addStandardDisposableGenericMouseDownListener=f;const D=function(K,fe,Se){const Fe=y(fe);return h(K,Fe,Se)};t.addStandardDisposableGenericMouseUpListener=D;function T(X,K,fe){return l(X,o.isIOS&&I.BrowserFeatures.pointerEvents?t.EventType.POINTER_DOWN:t.EventType.MOUSE_DOWN,K,fe)}t.addDisposableGenericMouseDownListener=T;function L(X,K,fe){return l(X,o.isIOS&&I.BrowserFeatures.pointerEvents?t.EventType.POINTER_MOVE:t.EventType.MOUSE_MOVE,K,fe)}t.addDisposableGenericMouseMoveListener=L;function h(X,K,fe){return l(X,o.isIOS&&I.BrowserFeatures.pointerEvents?t.EventType.POINTER_UP:t.EventType.MOUSE_UP,K,fe)}t.addDisposableGenericMouseUpListener=h;class p{constructor(K,fe=0){this.d=K,this.priority=fe,this.f=!1}dispose(){this.f=!0}execute(){if(!this.f)try{this.d()}catch(K){(0,v.onUnexpectedError)(K)}}static sort(K,fe){return fe.priority-K.priority}}(function(){let X=[],K=null,fe=!1,Se=!1;const Fe=()=>{for(fe=!1,K=X,X=[],Se=!0;K.length>0;)K.sort(p.sort),K.shift().execute();Se=!1};t.scheduleAtNextAnimationFrame=(qe,$e=0)=>{const Ye=new p(qe,$e);return X.push(Ye),fe||(fe=!0,requestAnimationFrame(Fe)),Ye},t.runAtThisOrScheduleAtNextAnimationFrame=(qe,$e)=>{if(Se){const Ye=new p(qe,$e);return K.push(Ye),Ye}else return(0,t.scheduleAtNextAnimationFrame)(qe,$e)}})();function m(X){return(0,t.scheduleAtNextAnimationFrame)(X,1e4)}t.measure=m;function E(X){return(0,t.scheduleAtNextAnimationFrame)(X,-1e4)}t.modify=E;const O=8,V=function(X,K){return K};class ee extends c.Disposable{constructor(K,fe,Se,Fe=V,qe=O){super();let $e=null,Ye=0;const Qe=this.B(new w.TimeoutTimer),ft=()=>{Ye=new Date().getTime(),Se($e),$e=null};this.B(l(K,fe,Lt=>{$e=Fe($e,Lt);const gt=new Date().getTime()-Ye;gt>=qe?(Qe.cancel(),ft()):Qe.setIfNotSet(ft,qe-gt)}))}}function Z(X,K,fe,Se,Fe){return new ee(X,K,fe,Se,Fe)}t.addDisposableThrottledListener=Z;function te(X){return document.defaultView.getComputedStyle(X,null)}t.getComputedStyle=te;function oe(X){if(X!==document.body)return new de(X.clientWidth,X.clientHeight);if(o.isIOS&&window.visualViewport)return new de(window.visualViewport.width,window.visualViewport.height);if(window.innerWidth&&window.innerHeight)return new de(window.innerWidth,window.innerHeight);if(document.body&&document.body.clientWidth&&document.body.clientHeight)return new de(document.body.clientWidth,document.body.clientHeight);if(document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight)return new de(document.documentElement.clientWidth,document.documentElement.clientHeight);throw new Error("Unable to figure out browser width and height")}t.getClientArea=oe;class he{static d(K,fe){return parseFloat(fe)||0}static f(K,fe,Se){const Fe=te(K),qe=Fe?Fe.getPropertyValue(fe):"0";return he.d(K,qe)}static getBorderLeftWidth(K){return he.f(K,"border-left-width","borderLeftWidth")}static getBorderRightWidth(K){return he.f(K,"border-right-width","borderRightWidth")}static getBorderTopWidth(K){return he.f(K,"border-top-width","borderTopWidth")}static getBorderBottomWidth(K){return he.f(K,"border-bottom-width","borderBottomWidth")}static getPaddingLeft(K){return he.f(K,"padding-left","paddingLeft")}static getPaddingRight(K){return he.f(K,"padding-right","paddingRight")}static getPaddingTop(K){return he.f(K,"padding-top","paddingTop")}static getPaddingBottom(K){return he.f(K,"padding-bottom","paddingBottom")}static getMarginLeft(K){return he.f(K,"margin-left","marginLeft")}static getMarginTop(K){return he.f(K,"margin-top","marginTop")}static getMarginRight(K){return he.f(K,"margin-right","marginRight")}static getMarginBottom(K){return he.f(K,"margin-bottom","marginBottom")}}class de{constructor(K,fe){this.width=K,this.height=fe}with(K=this.width,fe=this.height){return K!==this.width||fe!==this.height?new de(K,fe):this}static is(K){return typeof K=="object"&&typeof K.height=="number"&&typeof K.width=="number"}static lift(K){return K instanceof de?K:new de(K.width,K.height)}static equals(K,fe){return K===fe?!0:!K||!fe?!1:K.width===fe.width&&K.height===fe.height}}t.Dimension=de,de.None=new de(0,0);function ce(X){let K=X.offsetParent,fe=X.offsetTop,Se=X.offsetLeft;for(;(X=X.parentNode)!==null&&X!==document.body&&X!==document.documentElement;){fe-=X.scrollTop;const Fe=U(X)?null:te(X);Fe&&(Se-=Fe.direction!=="rtl"?X.scrollLeft:-X.scrollLeft),X===K&&(Se+=he.getBorderLeftWidth(X),fe+=he.getBorderTopWidth(X),fe+=X.offsetTop,Se+=X.offsetLeft,K=X.offsetParent)}return{left:Se,top:fe}}t.getTopLeftOffset=ce;function pe(X,K,fe){typeof K=="number"&&(X.style.width=`${K}px`),typeof fe=="number"&&(X.style.height=`${fe}px`)}t.size=pe;function Te(X,K,fe,Se,Fe,qe="absolute"){typeof K=="number"&&(X.style.top=`${K}px`),typeof fe=="number"&&(X.style.right=`${fe}px`),typeof Se=="number"&&(X.style.bottom=`${Se}px`),typeof Fe=="number"&&(X.style.left=`${Fe}px`),X.style.position=qe}t.position=Te;function Pe(X){const K=X.getBoundingClientRect();return{left:K.left+window.scrollX,top:K.top+window.scrollY,width:K.width,height:K.height}}t.getDomNodePagePosition=Pe;function Oe(X){let K=X,fe=1;do{const Se=te(K).zoom;Se!=null&&Se!=="1"&&(fe*=Se),K=K.parentElement}while(K!==null&&K!==document.documentElement);return fe}t.getDomNodeZoomLevel=Oe;function j(X){const K=he.getMarginLeft(X)+he.getMarginRight(X);return X.offsetWidth+K}t.getTotalWidth=j;function G(X){const K=he.getBorderLeftWidth(X)+he.getBorderRightWidth(X),fe=he.getPaddingLeft(X)+he.getPaddingRight(X);return X.offsetWidth-K-fe}t.getContentWidth=G;function se(X){const K=he.getMarginLeft(X)+he.getMarginRight(X);return X.scrollWidth+K}t.getTotalScrollWidth=se;function ne(X){const K=he.getBorderTopWidth(X)+he.getBorderBottomWidth(X),fe=he.getPaddingTop(X)+he.getPaddingBottom(X);return X.offsetHeight-K-fe}t.getContentHeight=ne;function Q(X){const K=he.getMarginTop(X)+he.getMarginBottom(X);return X.offsetHeight+K}t.getTotalHeight=Q;function b(X,K){if(X===null)return 0;const fe=ce(X),Se=ce(K);return fe.left-Se.left}function R(X,K){const fe=K.map(Fe=>Math.max(se(Fe),j(Fe))+b(Fe,X)||0);return Math.max(...fe)}t.getLargestChildWidth=R;function H(X,K){for(;X;){if(X===K)return!0;X=X.parentNode}return!1}t.isAncestor=H;const g="parentFlowToElementId";function N(X,K){X.dataset[g]=K.id}t.setParentFlowTo=N;function $(X){const K=X.dataset[g];return typeof K=="string"?document.getElementById(K):null}function ie(X,K){let fe=X;for(;fe;){if(fe===K)return!0;if(fe instanceof HTMLElement){const Se=$(fe);if(Se){fe=Se;continue}}fe=fe.parentNode}return!1}t.isAncestorUsingFlowTo=ie;function k(X,K,fe){for(;X&&X.nodeType===X.ELEMENT_NODE;){if(X.classList.contains(K))return X;if(fe){if(typeof fe=="string"){if(X.classList.contains(fe))return null}else if(X===fe)return null}X=X.parentNode}return null}t.findParentWithClass=k;function P(X,K,fe){return!!k(X,K,fe)}t.hasParentWithClass=P;function U(X){return X&&!!X.host&&!!X.mode}t.isShadowRoot=U;function C(X){return!!B(X)}t.isInShadowDOM=C;function B(X){for(;X.parentNode;){if(X===document.body)return null;X=X.parentNode}return U(X)?X:null}t.getShadowRoot=B;function z(){let X=document.activeElement;for(;X?.shadowRoot;)X=X.shadowRoot.activeElement;return X}t.getActiveElement=z;function W(X=document.getElementsByTagName("head")[0]){const K=document.createElement("style");return K.type="text/css",K.media="screen",X.appendChild(K),K}t.createStyleSheet=W;function x(X=document.getElementsByTagName("head")[0]){const K=document.createElement("meta");return X.appendChild(K),K}t.createMetaElement=x;let Y=null;function re(){return Y||(Y=W()),Y}function ue(X){return X?.sheet?.rules?X.sheet.rules:X?.sheet?.cssRules?X.sheet.cssRules:[]}function we(X,K,fe=re()){!fe||!K||fe.sheet.insertRule(X+"{"+K+"}",0)}t.createCSSRule=we;function De(X,K=re()){if(!K)return;const fe=ue(K),Se=[];for(let Fe=0;Fe<fe.length;Fe++)fe[Fe].selectorText.indexOf(X)!==-1&&Se.push(Fe);for(let Fe=Se.length-1;Fe>=0;Fe--)K.sheet.deleteRule(Se[Fe])}t.removeCSSRulesContainingSelector=De;function Le(X){return typeof HTMLElement=="object"?X instanceof HTMLElement:X&&typeof X=="object"&&X.nodeType===1&&typeof X.nodeName=="string"}t.isHTMLElement=Le,t.EventType={CLICK:"click",AUXCLICK:"auxclick",DBLCLICK:"dblclick",MOUSE_UP:"mouseup",MOUSE_DOWN:"mousedown",MOUSE_OVER:"mouseover",MOUSE_MOVE:"mousemove",MOUSE_OUT:"mouseout",MOUSE_ENTER:"mouseenter",MOUSE_LEAVE:"mouseleave",MOUSE_WHEEL:"wheel",POINTER_UP:"pointerup",POINTER_DOWN:"pointerdown",POINTER_MOVE:"pointermove",POINTER_LEAVE:"pointerleave",CONTEXT_MENU:"contextmenu",WHEEL:"wheel",KEY_DOWN:"keydown",KEY_PRESS:"keypress",KEY_UP:"keyup",LOAD:"load",BEFORE_UNLOAD:"beforeunload",UNLOAD:"unload",PAGE_SHOW:"pageshow",PAGE_HIDE:"pagehide",ABORT:"abort",ERROR:"error",RESIZE:"resize",SCROLL:"scroll",FULLSCREEN_CHANGE:"fullscreenchange",WK_FULLSCREEN_CHANGE:"webkitfullscreenchange",SELECT:"select",CHANGE:"change",SUBMIT:"submit",RESET:"reset",FOCUS:"focus",FOCUS_IN:"focusin",FOCUS_OUT:"focusout",BLUR:"blur",INPUT:"input",STORAGE:"storage",DRAG_START:"dragstart",DRAG:"drag",DRAG_ENTER:"dragenter",DRAG_LEAVE:"dragleave",DRAG_OVER:"dragover",DROP:"drop",DRAG_END:"dragend",ANIMATION_START:A.isWebKit?"webkitAnimationStart":"animationstart",ANIMATION_END:A.isWebKit?"webkitAnimationEnd":"animationend",ANIMATION_ITERATION:A.isWebKit?"webkitAnimationIteration":"animationiteration"};function Ae(X){const K=X;return!!(K&&typeof K.preventDefault=="function"&&typeof K.stopPropagation=="function")}t.isEventLike=Ae,t.EventHelper={stop:(X,K)=>(X.preventDefault(),K&&X.stopPropagation(),X)};function ve(X){const K=[];for(let fe=0;X&&X.nodeType===X.ELEMENT_NODE;fe++)K[fe]=X.scrollTop,X=X.parentNode;return K}t.saveParentsScrollTop=ve;function Me(X,K){for(let fe=0;X&&X.nodeType===X.ELEMENT_NODE;fe++)X.scrollTop!==K[fe]&&(X.scrollTop=K[fe]),X=X.parentNode}t.restoreParentsScrollTop=Me;class Ie extends c.Disposable{static l(K){const fe=B(K),Se=fe?fe.activeElement:document.activeElement;return H(Se,K)}constructor(K){super(),this.f=this.B(new d.Emitter),this.onDidFocus=this.f.event,this.g=this.B(new d.Emitter),this.onDidBlur=this.g.event;let fe=Ie.l(K),Se=!1;const Fe=()=>{Se=!1,fe||(fe=!0,this.f.fire())},qe=()=>{fe&&(Se=!0,window.setTimeout(()=>{Se&&(Se=!1,fe=!1,this.g.fire())},0))};this.j=()=>{Ie.l(K)!==fe&&(fe?qe():Fe())},this.B(l(K,t.EventType.FOCUS,Fe,!0)),this.B(l(K,t.EventType.BLUR,qe,!0)),this.B(l(K,t.EventType.FOCUS_IN,()=>this.j())),this.B(l(K,t.EventType.FOCUS_OUT,()=>this.j()))}refreshState(){this.j()}}function _e(X){return new Ie(X)}t.trackFocus=_e;function He(X,K){return X.after(K),K}t.after=He;function We(X,...K){if(X.append(...K),K.length===1&&typeof K[0]!="string")return K[0]}t.append=We;function Je(X,K){return X.insertBefore(K,X.firstChild),K}t.prepend=Je;function it(X,...K){X.innerText="",We(X,...K)}t.reset=it;const Be=/([\w\-]+)?(#([\w\-]+))?((\.([\w\-]+))*)/;var je;(function(X){X.HTML="http://www.w3.org/1999/xhtml",X.SVG="http://www.w3.org/2000/svg"})(je=t.Namespace||(t.Namespace={}));function Ge(X,K,fe,...Se){const Fe=Be.exec(K);if(!Fe)throw new Error("Bad use of emmet");const qe=Fe[1]||"div";let $e;return X!==je.HTML?$e=document.createElementNS(X,qe):$e=document.createElement(qe),Fe[3]&&($e.id=Fe[3]),Fe[4]&&($e.className=Fe[4].replace(/\./g," ").trim()),fe&&Object.entries(fe).forEach(([Ye,Qe])=>{typeof Qe>"u"||(/^on\w+$/.test(Ye)?$e[Ye]=Qe:Ye==="selected"?Qe&&$e.setAttribute(Ye,"true"):$e.setAttribute(Ye,Qe))}),$e.append(...Se),$e}function q(X,K,...fe){return Ge(je.HTML,X,K,...fe)}t.$=q,q.SVG=function(X,K,...fe){return Ge(je.SVG,X,K,...fe)};function le(X,K){const fe=[];return X.forEach((Se,Fe)=>{Fe>0&&(K instanceof Node?fe.push(K.cloneNode()):fe.push(document.createTextNode(K))),fe.push(Se)}),fe}t.join=le;function be(...X){for(const K of X)K.style.display="",K.removeAttribute("aria-hidden")}t.show=be;function ye(...X){for(const K of X)K.style.display="none",K.setAttribute("aria-hidden","true")}t.hide=ye;function Ce(X,K){for(;X&&X.nodeType===X.ELEMENT_NODE;){if(X instanceof HTMLElement&&X.hasAttribute(K))return X;X=X.parentNode}return null}function Re(X){!X||!X.hasAttribute("tabIndex")||(document.activeElement===X&&Ce(X.parentElement,"tabIndex")?.focus(),X.removeAttribute("tabindex"))}t.removeTabIndexAndUpdateFocus=Re;function xe(X){return K=>{K.preventDefault(),K.stopPropagation(),X(K)}}t.finalHandler=xe;function tt(){return new Promise(X=>{document.readyState==="complete"||document&&document.body!==null?X(void 0):window.addEventListener("DOMContentLoaded",X,!1)})}t.domContentLoaded=tt;function Ne(X){const K=window.devicePixelRatio*X;return Math.max(1,Math.floor(K))/window.devicePixelRatio}t.computeScreenAwareSize=Ne;function ae(X){window.open(X,"_blank","noopener")}t.windowOpenNoOpener=ae;const Ee=780,ke=640;function Ue(X){const K=Math.floor(window.screenLeft+window.innerWidth/2-Ee/2),fe=Math.floor(window.screenTop+window.innerHeight/2-ke/2);window.open(X,"_blank",`width=${Ee},height=${ke},top=${fe},left=${K}`)}t.windowOpenPopup=Ue;function Ke(X,K=!0){const fe=window.open();return fe?(K&&(fe.opener=null),fe.location.href=X,!0):!1}t.windowOpenWithSuccess=Ke;function Xe(X){const K=()=>{X(),fe=(0,t.scheduleAtNextAnimationFrame)(K)};let fe=(0,t.scheduleAtNextAnimationFrame)(K);return(0,c.toDisposable)(()=>fe.dispose())}t.animate=Xe,M.RemoteAuthorities.setPreferredWebSchema(/^https:/.test(window.location.href)?"https":"http");function Ze(X){return X?`url('${M.FileAccess.uriToBrowserUri(X).toString(!0).replace(/'/g,"%27")}')`:"url('')"}t.asCSSUrl=Ze;function st(X){return`'${X.replace(/'/g,"%27")}'`}t.asCSSPropertyValue=st;function ut(X,K){if(X!==void 0){const fe=X.match(/^\s*var\((.+)\)$/);if(fe){const Se=fe[1].split(",",2);return Se.length===2&&(K=ut(Se[1].trim(),K)),`var(${Se[0]}, ${K})`}return X}return K}t.asCssValueWithDefault=ut;function Et(X,K){let fe;if(e.URI.isUri(X))fe=X.toString(!0);else{const Fe=new Blob([X]);fe=URL.createObjectURL(Fe),setTimeout(()=>URL.revokeObjectURL(fe))}const Se=document.createElement("a");document.body.appendChild(Se),Se.download=K,Se.href=fe,Se.click(),setTimeout(()=>document.body.removeChild(Se))}t.triggerDownload=Et;function Tt(){return new Promise(X=>{const K=document.createElement("input");document.body.appendChild(K),K.type="file",K.multiple=!0,d.Event.once(d.Event.fromDOMEventEmitter(K,"input"))(()=>{X((0,n.withNullAsUndefined)(K.files))}),K.click(),setTimeout(()=>document.body.removeChild(K))})}t.triggerUpload=Tt;var vt;(function(X){X[X.DOCUMENT=1]="DOCUMENT",X[X.BROWSER=2]="BROWSER"})(vt=t.DetectedFullscreenMode||(t.DetectedFullscreenMode={}));function hi(){return document.fullscreenElement||document.webkitFullscreenElement||document.webkitIsFullScreen?{mode:vt.DOCUMENT,guess:!1}:window.innerHeight===screen.height?{mode:vt.BROWSER,guess:!1}:(o.isMacintosh||o.isLinux)&&window.outerHeight===screen.height&&window.outerWidth===screen.width?{mode:vt.BROWSER,guess:!0}:null}t.detectFullscreen=hi;function Wt(X,K=!1){const fe=document.createElement("a");return u.addHook("afterSanitizeAttributes",Se=>{for(const Fe of["href","src"])if(Se.hasAttribute(Fe)){const qe=Se.getAttribute(Fe);if(Fe==="href"&&qe.startsWith("#"))continue;if(fe.href=qe,!X.includes(fe.protocol.replace(/:$/,""))){if(K&&Fe==="src"&&fe.href.startsWith("data:"))continue;Se.removeAttribute(Fe)}}}),(0,c.toDisposable)(()=>{u.removeHook("afterSanitizeAttributes")})}t.hookDomPurifyHrefAndSrcSanitizer=Wt;const ci=[M.Schemas.http,M.Schemas.https,M.Schemas.command];t.basicMarkupHtmlTags=Object.freeze(["a","abbr","b","bdo","blockquote","br","caption","cite","code","col","colgroup","dd","del","details","dfn","div","dl","dt","em","figcaption","figure","h1","h2","h3","h4","h5","h6","hr","i","img","ins","kbd","label","li","mark","ol","p","pre","q","rp","rt","ruby","samp","small","small","span","strike","strong","sub","summary","sup","table","tbody","td","tfoot","th","thead","time","tr","tt","u","ul","var","video","wbr"]);const di=Object.freeze({ALLOWED_TAGS:["a","button","blockquote","code","div","h1","h2","h3","h4","h5","h6","hr","input","label","li","p","pre","select","small","span","strong","textarea","ul","ol"],ALLOWED_ATTR:["href","data-href","data-command","target","title","name","src","alt","class","id","role","tabindex","style","data-code","width","height","align","x-dispatch","required","checked","placeholder","type"],RETURN_DOM:!1,RETURN_DOM_FRAGMENT:!1,RETURN_TRUSTED_TYPE:!0});function fi(X,K){const fe=Wt(ci);try{const Se=u.sanitize(K,di);X.innerHTML=Se}finally{fe.dispose()}}t.safeInnerHtml=fi;function gi(X){const K=new Uint16Array(X.length);for(let Fe=0;Fe<K.length;Fe++)K[Fe]=X.charCodeAt(Fe);let fe="";const Se=new Uint8Array(K.buffer);for(let Fe=0;Fe<Se.length;Fe++)fe+=String.fromCharCode(Se[Fe]);return fe}function mi(X){return btoa(gi(X))}t.multibyteAwareBtoa=mi;class dt extends d.Emitter{constructor(){super(),this.s=new c.DisposableStore,this.t={altKey:!1,shiftKey:!1,ctrlKey:!1,metaKey:!1},this.s.add(l(window,"keydown",K=>{if(K.defaultPrevented)return;const fe=new i.StandardKeyboardEvent(K);if(!(fe.keyCode===6&&K.repeat)){if(K.altKey&&!this.t.altKey)this.t.lastKeyPressed="alt";else if(K.ctrlKey&&!this.t.ctrlKey)this.t.lastKeyPressed="ctrl";else if(K.metaKey&&!this.t.metaKey)this.t.lastKeyPressed="meta";else if(K.shiftKey&&!this.t.shiftKey)this.t.lastKeyPressed="shift";else if(fe.keyCode!==6)this.t.lastKeyPressed=void 0;else return;this.t.altKey=K.altKey,this.t.ctrlKey=K.ctrlKey,this.t.metaKey=K.metaKey,this.t.shiftKey=K.shiftKey,this.t.lastKeyPressed&&(this.t.event=K,this.fire(this.t))}},!0)),this.s.add(l(window,"keyup",K=>{K.defaultPrevented||(!K.altKey&&this.t.altKey?this.t.lastKeyReleased="alt":!K.ctrlKey&&this.t.ctrlKey?this.t.lastKeyReleased="ctrl":!K.metaKey&&this.t.metaKey?this.t.lastKeyReleased="meta":!K.shiftKey&&this.t.shiftKey?this.t.lastKeyReleased="shift":this.t.lastKeyReleased=void 0,this.t.lastKeyPressed!==this.t.lastKeyReleased&&(this.t.lastKeyPressed=void 0),this.t.altKey=K.altKey,this.t.ctrlKey=K.ctrlKey,this.t.metaKey=K.metaKey,this.t.shiftKey=K.shiftKey,this.t.lastKeyReleased&&(this.t.event=K,this.fire(this.t)))},!0)),this.s.add(l(document.body,"mousedown",()=>{this.t.lastKeyPressed=void 0},!0)),this.s.add(l(document.body,"mouseup",()=>{this.t.lastKeyPressed=void 0},!0)),this.s.add(l(document.body,"mousemove",K=>{K.buttons&&(this.t.lastKeyPressed=void 0)},!0)),this.s.add(l(window,"blur",()=>{this.resetKeyStatus()}))}get keyStatus(){return this.t}get isModifierPressed(){return this.t.altKey||this.t.ctrlKey||this.t.metaKey||this.t.shiftKey}resetKeyStatus(){this.v(),this.fire(this.t)}v(){this.t={altKey:!1,shiftKey:!1,ctrlKey:!1,metaKey:!1}}static getInstance(){return dt.u||(dt.u=new dt),dt.u}dispose(){super.dispose(),this.s.dispose()}}t.ModifierKeyEmitter=dt;function bi(X){const K=document.cookie.match("(^|[^;]+)\\s*"+X+"\\s*=\\s*([^;]+)");return K?K.pop():void 0}t.getCookieValue=bi;class pi extends c.Disposable{constructor(K,fe){super(),this.j=K,this.l=fe,this.f=0,this.g=0,this.m()}m(){this.B(l(this.j,t.EventType.DRAG_ENTER,K=>{this.f++,this.g=K.timeStamp,this.l.onDragEnter(K)})),this.B(l(this.j,t.EventType.DRAG_OVER,K=>{K.preventDefault(),this.l.onDragOver?.(K,K.timeStamp-this.g)})),this.B(l(this.j,t.EventType.DRAG_LEAVE,K=>{this.f--,this.f===0&&(this.g=0,this.l.onDragLeave(K))})),this.B(l(this.j,t.EventType.DRAG_END,K=>{this.f=0,this.g=0,this.l.onDragEnd(K)})),this.B(l(this.j,t.EventType.DROP,K=>{this.f=0,this.g=0,this.l.onDrop(K)}))}}t.DragAndDropObserver=pi;const vi=/(?<tag>[\w\-]+)?(?:#(?<id>[\w\-]+))?(?<class>(?:\.(?:[\w\-]+))*)(?:@(?<name>(?:[\w\_])+))?/;function wi(X,...K){let fe,Se;Array.isArray(K[0])?(fe={},Se=K[0]):(fe=K[0]||{},Se=K[1]);const Fe=vi.exec(X);if(!Fe||!Fe.groups)throw new Error("Bad use of h");const qe=Fe.groups.tag||"div",$e=document.createElement(qe);Fe.groups.id&&($e.id=Fe.groups.id),Fe.groups.class&&($e.className=Fe.groups.class.replace(/\./g," ").trim());const Ye={};if(Fe.groups.name&&(Ye[Fe.groups.name]=$e),Se)for(const Qe of Se)Qe instanceof HTMLElement?$e.appendChild(Qe):typeof Qe=="string"?$e.append(Qe):(Object.assign(Ye,Qe),$e.appendChild(Qe.root));for(const[Qe,ft]of Object.entries(fe))if(Qe==="style")for(const[Lt,gt]of Object.entries(ft))$e.style.setProperty(_t(Lt),typeof gt=="number"?gt+"px":""+gt);else Qe==="tabIndex"?$e.tabIndex=ft:$e.setAttribute(_t(Qe),ft.toString());return Ye.root=$e,Ye}t.h=wi;function _t(X){return X.replace(/([a-z])([A-Z])/g,"$1-$2").toLowerCase()}}),define(ge[50],me([1,0,4,2,106]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.applyDragImage=t.DataTransfers=t.DelayedDragHandler=void 0;class _ extends I.Disposable{constructor(d,u){super(),this.B((0,A.addDisposableListener)(d,"dragover",c=>{c.preventDefault(),this.a||(this.a=setTimeout(()=>{u(),this.a=null},800))})),["dragleave","drop","dragend"].forEach(c=>{this.B((0,A.addDisposableListener)(d,c,()=>{this.b()}))})}b(){this.a&&(clearTimeout(this.a),this.a=null)}dispose(){super.dispose(),this.b()}}t.DelayedDragHandler=_,t.DataTransfers={RESOURCES:"ResourceURLs",DOWNLOAD_URL:"DownloadURL",FILES:"Files",TEXT:i.Mimes.text};function w(v,d,u,c,M){const o=document.createElement("div");o.className=u,o.textContent=d,M&&(o.style.color=M),c&&(o.style.background=c),v.dataTransfer&&(document.body.appendChild(o),v.dataTransfer.setDragImage(o,-10,-10),setTimeout(()=>document.body.removeChild(o),0))}t.applyDragImage=w}),define(ge[51],me([1,0,4]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createElement=t.renderFormattedText=t.renderText=void 0;function I(o,n={}){const e=_(n);return e.textContent=o,e}t.renderText=I;function i(o,n={}){const e=_(n);return d(e,u(o,!!n.renderCodeSegments),n.actionHandler,n.renderCodeSegments),e}t.renderFormattedText=i;function _(o){const n=o.inline?"span":"div",e=document.createElement(n);return o.className&&(e.className=o.className),e}t.createElement=_;class w{constructor(n){this.b=n,this.c=0}eos(){return this.c>=this.b.length}next(){const n=this.peek();return this.advance(),n}peek(){return this.b[this.c]}advance(){this.c++}}var v;(function(o){o[o.Invalid=0]="Invalid",o[o.Root=1]="Root",o[o.Text=2]="Text",o[o.Bold=3]="Bold",o[o.Italics=4]="Italics",o[o.Action=5]="Action",o[o.ActionClose=6]="ActionClose",o[o.Code=7]="Code",o[o.NewLine=8]="NewLine"})(v||(v={}));function d(o,n,e,s){let r;if(n.type===2)r=document.createTextNode(n.content||"");else if(n.type===3)r=document.createElement("b");else if(n.type===4)r=document.createElement("i");else if(n.type===7&&s)r=document.createElement("code");else if(n.type===5&&e){const a=document.createElement("a");e.disposables.add(A.addStandardDisposableListener(a,"click",l=>{e.callback(String(n.index),l)})),r=a}else n.type===8?r=document.createElement("br"):n.type===1&&(r=o);r&&o!==r&&o.appendChild(r),r&&Array.isArray(n.children)&&n.children.forEach(a=>{d(r,a,e,s)})}function u(o,n){const e={type:1,children:[]};let s=0,r=e;const a=[],l=new w(o);for(;!l.eos();){let y=l.next();const S=y==="\\"&&M(l.peek(),n)!==0;if(S&&(y=l.next()),!S&&c(y,n)&&y===l.peek()){l.advance(),r.type===2&&(r=a.pop());const F=M(y,n);if(r.type===F||r.type===5&&F===6)r=a.pop();else{const f={type:F,children:[]};F===5&&(f.index=s,s++),r.children.push(f),a.push(r),r=f}}else if(y===`
`)r.type===2&&(r=a.pop()),r.children.push({type:8});else if(r.type!==2){const F={type:2,content:y};r.children.push(F),a.push(r),r=F}else r.content+=y}return r.type===2&&(r=a.pop()),a.length,e}function c(o,n){return M(o,n)!==0}function M(o,n){switch(o){case"*":return 3;case"_":return 4;case"[":return 5;case"]":return 6;case"`":return n?7:0;default:return 0}}}),define(ge[52],me([1,0,4,2]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.GlobalPointerMoveMonitor=void 0;class i{constructor(){this.a=new I.DisposableStore,this.b=null,this.c=null}dispose(){this.stopMonitoring(!1),this.a.dispose()}stopMonitoring(w,v){if(!this.isMonitoring())return;this.a.clear(),this.b=null;const d=this.c;this.c=null,w&&d&&d(v)}isMonitoring(){return!!this.b}startMonitoring(w,v,d,u,c){this.isMonitoring()&&this.stopMonitoring(!1),this.b=u,this.c=c;let M=w;try{w.setPointerCapture(v),this.a.add((0,I.toDisposable)(()=>{try{w.releasePointerCapture(v)}catch{}}))}catch{M=window}this.a.add(A.addDisposableListener(M,A.EventType.POINTER_MOVE,o=>{if(o.buttons!==d){this.stopMonitoring(!0);return}o.preventDefault(),this.b(o)})),this.a.add(A.addDisposableListener(M,A.EventType.POINTER_UP,o=>this.stopMonitoring(!0)))}}t.GlobalPointerMoveMonitor=i});var Ve=this&&this.__decorate||function(J,t,A,I){var i=arguments.length,_=i<3?t:I===null?I=Object.getOwnPropertyDescriptor(t,A):I,w;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")_=Reflect.decorate(J,t,A,I);else for(var v=J.length-1;v>=0;v--)(w=J[v])&&(_=(i<3?w(_):i>3?w(t,A,_):w(t,A))||_);return i>3&&_&&Object.defineProperty(t,A,_),_};define(ge[23],me([1,0,4,13,25,2,44]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Gesture=t.EventType=void 0;var v;(function(u){u.Tap="-monaco-gesturetap",u.Change="-monaco-gesturechange",u.Start="-monaco-gesturestart",u.End="-monaco-gesturesend",u.Contextmenu="-monaco-gesturecontextmenu"})(v=t.EventType||(t.EventType={}));class d extends _.Disposable{constructor(){super(),this.f=!1,this.g=new w.LinkedList,this.h=new w.LinkedList,this.k={},this.j=null,this.l=0,this.B(A.addDisposableListener(document,"touchstart",c=>this.n(c),{passive:!1})),this.B(A.addDisposableListener(document,"touchend",c=>this.p(c))),this.B(A.addDisposableListener(document,"touchmove",c=>this.v(c),{passive:!1}))}static addTarget(c){if(!d.isTouchDevice())return _.Disposable.None;d.b||(d.b=new d);const M=d.b.g.push(c);return(0,_.toDisposable)(M)}static ignoreTarget(c){if(!d.isTouchDevice())return _.Disposable.None;d.b||(d.b=new d);const M=d.b.h.push(c);return(0,_.toDisposable)(M)}static isTouchDevice(){return"ontouchstart"in window||navigator.maxTouchPoints>0}dispose(){this.j&&(this.j.dispose(),this.j=null),super.dispose()}n(c){const M=Date.now();this.j&&(this.j.dispose(),this.j=null);for(let o=0,n=c.targetTouches.length;o<n;o++){const e=c.targetTouches.item(o);this.k[e.identifier]={id:e.identifier,initialTarget:e.target,initialTimeStamp:M,initialPageX:e.pageX,initialPageY:e.pageY,rollingTimestamps:[M],rollingPageX:[e.pageX],rollingPageY:[e.pageY]};const s=this.r(v.Start,e.target);s.pageX=e.pageX,s.pageY=e.pageY,this.s(s)}this.f&&(c.preventDefault(),c.stopPropagation(),this.f=!1)}p(c){const M=Date.now(),o=Object.keys(this.k).length;for(let n=0,e=c.changedTouches.length;n<e;n++){const s=c.changedTouches.item(n);if(!this.k.hasOwnProperty(String(s.identifier))){console.warn("move of an UNKNOWN touch",s);continue}const r=this.k[s.identifier],a=Date.now()-r.initialTimeStamp;if(a<d.c&&Math.abs(r.initialPageX-I.tail(r.rollingPageX))<30&&Math.abs(r.initialPageY-I.tail(r.rollingPageY))<30){const l=this.r(v.Tap,r.initialTarget);l.pageX=I.tail(r.rollingPageX),l.pageY=I.tail(r.rollingPageY),this.s(l)}else if(a>=d.c&&Math.abs(r.initialPageX-I.tail(r.rollingPageX))<30&&Math.abs(r.initialPageY-I.tail(r.rollingPageY))<30){const l=this.r(v.Contextmenu,r.initialTarget);l.pageX=I.tail(r.rollingPageX),l.pageY=I.tail(r.rollingPageY),this.s(l)}else if(o===1){const l=I.tail(r.rollingPageX),y=I.tail(r.rollingPageY),S=I.tail(r.rollingTimestamps)-r.rollingTimestamps[0],F=l-r.rollingPageX[0],f=y-r.rollingPageY[0],D=[...this.g].filter(T=>r.initialTarget instanceof Node&&T.contains(r.initialTarget));this.u(D,M,Math.abs(F)/S,F>0?1:-1,l,Math.abs(f)/S,f>0?1:-1,y)}this.s(this.r(v.End,r.initialTarget)),delete this.k[s.identifier]}this.f&&(c.preventDefault(),c.stopPropagation(),this.f=!1)}r(c,M){const o=document.createEvent("CustomEvent");return o.initEvent(c,!1,!0),o.initialTarget=M,o.tapCount=0,o}s(c){if(c.type===v.Tap){const M=new Date().getTime();let o=0;M-this.l>d.m?o=1:o=2,this.l=M,c.tapCount=o}else(c.type===v.Change||c.type===v.Contextmenu)&&(this.l=0);if(c.initialTarget instanceof Node){for(const M of this.h)if(M.contains(c.initialTarget))return;for(const M of this.g)M.contains(c.initialTarget)&&(M.dispatchEvent(c),this.f=!0)}}u(c,M,o,n,e,s,r,a){this.j=A.scheduleAtNextAnimationFrame(()=>{const l=Date.now(),y=l-M;let S=0,F=0,f=!0;o+=d.a*y,s+=d.a*y,o>0&&(f=!1,S=n*o*y),s>0&&(f=!1,F=r*s*y);const D=this.r(v.Change);D.translationX=S,D.translationY=F,c.forEach(T=>T.dispatchEvent(D)),f||this.u(c,l,o,n,e+S,s,r,a+F)})}v(c){const M=Date.now();for(let o=0,n=c.changedTouches.length;o<n;o++){const e=c.changedTouches.item(o);if(!this.k.hasOwnProperty(String(e.identifier))){console.warn("end of an UNKNOWN touch",e);continue}const s=this.k[e.identifier],r=this.r(v.Change,s.initialTarget);r.translationX=e.pageX-I.tail(s.rollingPageX),r.translationY=e.pageY-I.tail(s.rollingPageY),r.pageX=e.pageX,r.pageY=e.pageY,this.s(r),s.rollingPageX.length>3&&(s.rollingPageX.shift(),s.rollingPageY.shift(),s.rollingTimestamps.shift()),s.rollingPageX.push(e.pageX),s.rollingPageY.push(e.pageY),s.rollingTimestamps.push(M)}this.f&&(c.preventDefault(),c.stopPropagation(),this.f=!1)}}d.a=-.005,d.c=700,d.m=400,Ve([i.memoize],d,"isTouchDevice",null),t.Gesture=d}),define(ge[53],me([1,0,4,5,83]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.status=t.alert=t.setARIAContainer=void 0;const i=2e4;let _,w,v,d,u;function c(e){_=document.createElement("div"),_.className="monaco-aria-container";const s=()=>{const a=document.createElement("div");return a.className="monaco-alert",a.setAttribute("role","alert"),a.setAttribute("aria-atomic","true"),_.appendChild(a),a};w=s(),v=s();const r=()=>{const a=document.createElement("div");return a.className="monaco-status",a.setAttribute("role","complementary"),a.setAttribute("aria-live","polite"),a.setAttribute("aria-atomic","true"),_.appendChild(a),a};d=r(),u=r(),e.appendChild(_)}t.setARIAContainer=c;function M(e){!_||(w.textContent!==e?(A.clearNode(v),n(w,e)):(A.clearNode(w),n(v,e)))}t.alert=M;function o(e){!_||(I.isMacintosh?M(e):d.textContent!==e?(A.clearNode(u),n(d,e)):(A.clearNode(d),n(u,e)))}t.status=o;function n(e,s){A.clearNode(e),s.length>i&&(s=s.substr(0,i)),e.textContent=s,e.style.visibility="hidden",e.style.visibility="visible"}}),define(ge[115],me([1,0,4,17]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.renderIcon=t.renderLabelWithIcons=void 0;const i=new RegExp(`(\\\\)?\\$\\((${I.ThemeIcon.iconNameExpression}(?:${I.ThemeIcon.iconModifierExpression})?)\\)`,"g");function _(v){const d=new Array;let u,c=0,M=0;for(;(u=i.exec(v))!==null;){M=u.index||0,c<M&&d.push(v.substring(c,M)),c=(u.index||0)+u[0].length;const[,o,n]=u;d.push(o?`$(${n})`:w({id:n}))}return c<v.length&&d.push(v.substring(c)),d}t.renderLabelWithIcons=_;function w(v){const d=A.$("span");return d.classList.add(...I.ThemeIcon.asClassNameArray(v)),d}t.renderIcon=w}),define(ge[116],me([1,0,4]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RowCache=void 0;function I(_){try{_.parentElement?.removeChild(_)}catch{}}class i{constructor(w){this.d=w,this.a=new Map,this.b=new Set,this.c=!1}alloc(w){let v=this.h(w).pop(),d=!1;if(v)d=this.b.has(v.domNode),d&&this.b.delete(v.domNode);else{const u=(0,A.$)(".monaco-list-row"),M=this.i(w).renderTemplate(u);v={domNode:u,templateId:w,templateData:M}}return{row:v,isReusingConnectedDomNode:d}}release(w){!w||this.f(w)}transact(w){if(this.c)throw new Error("Already in transaction");this.c=!0;try{w()}finally{for(const v of this.b)this.g(v);this.b.clear(),this.c=!1}}f(w){const{domNode:v,templateId:d}=w;v&&(this.c?this.b.add(v):this.g(v)),this.h(d).push(w)}g(w){w.classList.remove("scrolling"),I(w)}h(w){let v=this.a.get(w);return v||(v=[],this.a.set(w,v)),v}dispose(){this.a.forEach((w,v)=>{for(const d of w)this.i(v).disposeTemplate(d.templateData),d.templateData=null}),this.a.clear(),this.b.clear()}i(w){const v=this.d.get(w);if(!v)throw new Error(`No renderer found for ${w}`);return v}}t.RowCache=i}),define(ge[117],me([1,0,9,2]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarVisibilityController=void 0;class i extends I.Disposable{constructor(w,v,d){super(),this.a=w,this.b=v,this.c=d,this.f=null,this.j=!1,this.i=!1,this.g=!1,this.h=!1,this.k=this.B(new A.TimeoutTimer)}setVisibility(w){this.a!==w&&(this.a=w,this.m())}setShouldBeVisible(w){this.g=w,this.m()}l(){return this.a===2?!1:this.a===3?!0:this.g}m(){const w=this.l();this.h!==w&&(this.h=w,this.ensureVisibility())}setIsNeeded(w){this.i!==w&&(this.i=w,this.ensureVisibility())}setDomNode(w){this.f=w,this.f.setClassName(this.c),this.setShouldBeVisible(!1)}ensureVisibility(){if(!this.i){this.p(!1);return}this.h?this.n():this.p(!0)}n(){this.j||(this.j=!0,this.k.setIfNotSet(()=>{this.f?.setClassName(this.b)},0))}p(w){this.k.cancel(),this.j&&(this.j=!1,this.f?.setClassName(this.c+(w?" fade":"")))}}t.ScrollbarVisibilityController=i}),define(ge[118],me([1,0,4,23,13,3,2,5]),function(J,t,A,I,i,_,w,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBoxNative=void 0;class d extends w.Disposable{constructor(c,M,o,n){super(),this.f=0,this.b=n||Object.create(null),this.c=[],this.a=document.createElement("select"),this.a.className="monaco-select-box",typeof this.b.ariaLabel=="string"&&this.a.setAttribute("aria-label",this.b.ariaLabel),typeof this.b.ariaDescription=="string"&&this.a.setAttribute("aria-description",this.b.ariaDescription),this.g=this.B(new _.Emitter),this.h=o,this.i(),this.setOptions(c,M)}i(){this.B(I.Gesture.addTarget(this.a)),[I.EventType.Tap].forEach(c=>{this.B(A.addDisposableListener(this.a,c,M=>{this.a.focus()}))}),this.B(A.addStandardDisposableListener(this.a,"click",c=>{A.EventHelper.stop(c,!0)})),this.B(A.addStandardDisposableListener(this.a,"change",c=>{this.a.title=c.target.value,this.g.fire({index:c.target.selectedIndex,selected:c.target.value})})),this.B(A.addStandardDisposableListener(this.a,"keydown",c=>{let M=!1;v.isMacintosh?(c.keyCode===18||c.keyCode===16||c.keyCode===10)&&(M=!0):(c.keyCode===18&&c.altKey||c.keyCode===10||c.keyCode===3)&&(M=!0),M&&c.stopPropagation()}))}get onDidSelect(){return this.g.event}setOptions(c,M){(!this.c||!i.equals(this.c,c))&&(this.c=c,this.a.options.length=0,this.c.forEach((o,n)=>{this.a.add(this.j(o.text,n,o.isDisabled))})),M!==void 0&&this.select(M)}select(c){this.c.length===0?this.f=0:c>=0&&c<this.c.length?this.f=c:c>this.c.length-1?this.select(this.c.length-1):this.f<0&&(this.f=0),this.a.selectedIndex=this.f,this.f<this.c.length&&typeof this.c[this.f].text=="string"?this.a.title=this.c[this.f].text:this.a.title=""}setAriaLabel(c){this.b.ariaLabel=c,this.a.setAttribute("aria-label",c)}focus(){this.a&&(this.a.tabIndex=0,this.a.focus())}blur(){this.a&&(this.a.tabIndex=-1,this.a.blur())}setFocusable(c){this.a.tabIndex=c?0:-1}render(c){c.classList.add("select-container"),c.appendChild(this.a),this.setOptions(this.c,this.f),this.applyStyles()}style(c){this.h=c,this.applyStyles()}applyStyles(){if(this.a){const c=this.h.selectBackground?this.h.selectBackground.toString():"",M=this.h.selectForeground?this.h.selectForeground.toString():"",o=this.h.selectBorder?this.h.selectBorder.toString():"";this.a.style.backgroundColor=c,this.a.style.color=M,this.a.style.borderColor=o}}j(c,M,o){const n=document.createElement("option");return n.value=c,n.text=c,n.disabled=!!o,n}}t.SelectBoxNative=d}),define(ge[54],me([1,0,24,13,9,112,3,26]),function(J,t,A,I,i,_,w,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IndexTreeModel=t.getVisibleState=t.isFilterResult=void 0;function d(o){return typeof o=="object"&&"visibility"in o&&"data"in o}t.isFilterResult=d;function u(o){switch(o){case!0:return 1;case!1:return 0;default:return o}}t.getVisibleState=u;function c(o){return typeof o.collapsible=="boolean"}class M{constructor(n,e,s,r={}){this.o=n,this.p=e,this.rootRef=[],this.d=new w.EventBufferer,this.f=new w.Emitter,this.onDidChangeCollapseState=this.d.wrapEvent(this.f.event),this.g=new w.Emitter,this.onDidChangeRenderNodeCount=this.d.wrapEvent(this.g.event),this.l=new w.Emitter,this.onDidSplice=this.l.event,this.m=new i.Delayer(i.MicrotaskDelay),this.h=typeof r.collapseByDefault>"u"?!1:r.collapseByDefault,this.j=r.filter,this.k=typeof r.autoExpandSingleChildren>"u"?!1:r.autoExpandSingleChildren,this.c={parent:void 0,element:s,children:[],depth:0,visibleChildrenCount:0,visibleChildIndex:-1,collapsible:!1,collapsed:!1,renderNodeCount:0,visibility:1,visible:!0,filterData:void 0}}splice(n,e,s=v.Iterable.empty(),r={}){if(n.length===0)throw new A.TreeError(this.o,"Invalid tree location");r.diffIdentityProvider?this.q(r.diffIdentityProvider,n,e,s,r):this.s(n,e,s,r)}q(n,e,s,r=v.Iterable.empty(),a,l=a.diffDepth??0){const{parentNode:y}=this.G(e);if(!y.lastDiffIds)return this.s(e,s,r,a);const S=[...r],F=e[e.length-1],f=new _.LcsDiff({getElements:()=>y.lastDiffIds},{getElements:()=>[...y.children.slice(0,F),...S,...y.children.slice(F+s)].map(p=>n.getId(p.element).toString())}).ComputeDiff(!1);if(f.quitEarly)return y.lastDiffIds=void 0,this.s(e,s,S,a);const D=e.slice(0,-1),T=(p,m,E)=>{if(l>0)for(let O=0;O<E;O++)p--,m--,this.q(n,[...D,p,0],Number.MAX_SAFE_INTEGER,S[m].children,a,l-1)};let L=Math.min(y.children.length,F+s),h=S.length;for(const p of f.changes.sort((m,E)=>E.originalStart-m.originalStart))T(L,h,L-(p.originalStart+p.originalLength)),L=p.originalStart,h=p.modifiedStart-F,this.s([...D,L],p.originalLength,v.Iterable.slice(S,h,h+p.modifiedLength),a);T(L,h,L)}s(n,e,s=v.Iterable.empty(),{onDidCreateNode:r,onDidDeleteNode:a,diffIdentityProvider:l}){const{parentNode:y,listIndex:S,revealed:F,visible:f}=this.G(n),D=[],T=v.Iterable.map(s,oe=>this.w(oe,y,y.visible?1:0,F,D,r)),L=n[n.length-1],h=y.children.length>0;let p=0;for(let oe=L;oe>=0&&oe<y.children.length;oe--){const he=y.children[oe];if(he.visible){p=he.visibleChildIndex;break}}const m=[];let E=0,O=0;for(const oe of T)m.push(oe),O+=oe.renderNodeCount,oe.visible&&(oe.visibleChildIndex=p+E++);const V=(0,I.splice)(y.children,L,e,m);l?y.lastDiffIds?(0,I.splice)(y.lastDiffIds,L,e,m.map(oe=>l.getId(oe.element).toString())):y.lastDiffIds=y.children.map(oe=>l.getId(oe.element).toString()):y.lastDiffIds=void 0;let ee=0;for(const oe of V)oe.visible&&ee++;if(ee!==0)for(let oe=L+m.length;oe<y.children.length;oe++){const he=y.children[oe];he.visible&&(he.visibleChildIndex-=ee)}if(y.visibleChildrenCount+=E-ee,F&&f){const oe=V.reduce((he,de)=>he+(de.visible?de.renderNodeCount:0),0);this.B(y,O-oe),this.p.splice(S,oe,D)}if(V.length>0&&a){const oe=he=>{a(he),he.children.forEach(oe)};V.forEach(oe)}this.l.fire({insertedNodes:m,deletedNodes:V});const Z=y.children.length>0;h!==Z&&this.setCollapsible(n.slice(0,-1),Z);let te=y;for(;te;){if(te.visibility===2){this.m.trigger(()=>this.refilter());break}te=te.parent}}rerender(n){if(n.length===0)throw new A.TreeError(this.o,"Invalid tree location");const{node:e,listIndex:s,revealed:r}=this.F(n);e.visible&&r&&this.p.splice(s,1,[e])}updateElementHeight(n,e){if(n.length===0)throw new A.TreeError(this.o,"Invalid tree location");const{listIndex:s}=this.F(n);this.p.updateElementHeight(s,e)}has(n){return this.D(n)}getListIndex(n){const{listIndex:e,visible:s,revealed:r}=this.F(n);return s&&r?e:-1}getListRenderCount(n){return this.E(n).renderNodeCount}isCollapsible(n){return this.E(n).collapsible}setCollapsible(n,e){const s=this.E(n);typeof e>"u"&&(e=!s.collapsible);const r={collapsible:e};return this.d.bufferEvents(()=>this.t(n,r))}isCollapsed(n){return this.E(n).collapsed}setCollapsed(n,e,s){const r=this.E(n);typeof e>"u"&&(e=!r.collapsed);const a={collapsed:e,recursive:s||!1};return this.d.bufferEvents(()=>this.t(n,a))}t(n,e){const{node:s,listIndex:r,revealed:a}=this.F(n),l=this.u(s,r,a,e);if(s!==this.c&&this.k&&l&&!c(e)&&s.collapsible&&!s.collapsed&&!e.recursive){let y=-1;for(let S=0;S<s.children.length;S++)if(s.children[S].visible)if(y>-1){y=-1;break}else y=S;y>-1&&this.t([...n,y],e)}return l}u(n,e,s,r){const a=this.v(n,r,!1);if(!s||!n.visible||!a)return a;const l=n.renderNodeCount,y=this.x(n),S=l-(e===-1?0:1);return this.p.splice(e+1,S,y.slice(1)),a}v(n,e,s){let r;if(n===this.c?r=!1:(c(e)?(r=n.collapsible!==e.collapsible,n.collapsible=e.collapsible):n.collapsible?(r=n.collapsed!==e.collapsed,n.collapsed=e.collapsed):r=!1,r&&this.f.fire({node:n,deep:s})),!c(e)&&e.recursive)for(const a of n.children)r=this.v(a,e,!0)||r;return r}expandTo(n){this.d.bufferEvents(()=>{let e=this.E(n);for(;e.parent;)e=e.parent,n=n.slice(0,n.length-1),e.collapsed&&this.t(n,{collapsed:!1,recursive:!1})})}refilter(){const n=this.c.renderNodeCount,e=this.z(this.c);this.p.splice(0,n,e),this.m.cancel()}w(n,e,s,r,a,l){const y={parent:e,element:n.element,children:[],depth:e.depth+1,visibleChildrenCount:0,visibleChildIndex:-1,collapsible:typeof n.collapsible=="boolean"?n.collapsible:typeof n.collapsed<"u",collapsed:typeof n.collapsed>"u"?this.h:n.collapsed,renderNodeCount:1,visibility:1,visible:!0,filterData:void 0},S=this.C(y,s);y.visibility=S,r&&a.push(y);const F=n.children||v.Iterable.empty(),f=r&&S!==0&&!y.collapsed;let D=0,T=1;for(const L of F){const h=this.w(L,y,S,f,a,l);y.children.push(h),T+=h.renderNodeCount,h.visible&&(h.visibleChildIndex=D++)}return y.collapsible=y.collapsible||y.children.length>0,y.visibleChildrenCount=D,y.visible=S===2?D>0:S===1,y.visible?y.collapsed||(y.renderNodeCount=T):(y.renderNodeCount=0,r&&a.pop()),l?.(y),y}x(n){const e=n.renderNodeCount,s=[];return this.y(n,s),this.B(n.parent,s.length-e),s}y(n,e){if(n.visible===!1)return 0;if(e.push(n),n.renderNodeCount=1,!n.collapsed)for(const s of n.children)n.renderNodeCount+=this.y(s,e);return this.g.fire(n),n.renderNodeCount}z(n){const e=n.renderNodeCount,s=[];return this.A(n,n.visible?1:0,s),this.B(n.parent,s.length-e),s}A(n,e,s,r=!0){let a;if(n!==this.c){if(a=this.C(n,e),a===0)return n.visible=!1,n.renderNodeCount=0,!1;r&&s.push(n)}const l=s.length;n.renderNodeCount=n===this.c?0:1;let y=!1;if(!n.collapsed||a!==0){let S=0;for(const F of n.children)y=this.A(F,a,s,r&&!n.collapsed)||y,F.visible&&(F.visibleChildIndex=S++);n.visibleChildrenCount=S}else n.visibleChildrenCount=0;return n!==this.c&&(n.visible=a===2?y:a===1,n.visibility=a),n.visible?n.collapsed||(n.renderNodeCount+=s.length-l):(n.renderNodeCount=0,r&&s.pop()),this.g.fire(n),n.visible}B(n,e){if(e!==0)for(;n;)n.renderNodeCount+=e,this.g.fire(n),n=n.parent}C(n,e){const s=this.j?this.j.filter(n.element,e):1;return typeof s=="boolean"?(n.filterData=void 0,s?1:0):d(s)?(n.filterData=s.data,u(s.visibility)):(n.filterData=void 0,u(s))}D(n,e=this.c){if(!n||n.length===0)return!0;const[s,...r]=n;return s<0||s>e.children.length?!1:this.D(r,e.children[s])}E(n,e=this.c){if(!n||n.length===0)return e;const[s,...r]=n;if(s<0||s>e.children.length)throw new A.TreeError(this.o,"Invalid tree location");return this.E(r,e.children[s])}F(n){if(n.length===0)return{node:this.c,listIndex:-1,revealed:!0,visible:!1};const{parentNode:e,listIndex:s,revealed:r,visible:a}=this.G(n),l=n[n.length-1];if(l<0||l>e.children.length)throw new A.TreeError(this.o,"Invalid tree location");const y=e.children[l];return{node:y,listIndex:s,revealed:r,visible:a&&y.visible}}G(n,e=this.c,s=0,r=!0,a=!0){const[l,...y]=n;if(l<0||l>e.children.length)throw new A.TreeError(this.o,"Invalid tree location");for(let S=0;S<l;S++)s+=e.children[S].renderNodeCount;return r=r&&!e.collapsed,a=a&&e.visible,y.length===0?{parentNode:e,listIndex:s,revealed:r,visible:a}:this.G(y,e.children[l],s+1,r,a)}getNode(n=[]){return this.E(n)}getNodeLocation(n){const e=[];let s=n;for(;s.parent;)e.push(s.parent.children.indexOf(s)),s=s.parent;return e.reverse()}getParentNodeLocation(n){if(n.length!==0)return n.length===1?[]:(0,I.tail2)(n)[0]}getFirstElementChild(n){const e=this.E(n);if(e.children.length!==0)return e.children[0].element}getLastElementAncestor(n=[]){const e=this.E(n);if(e.children.length!==0)return this.H(e)}H(n){return n.children.length===0?n.element:this.H(n.children[n.children.length-1])}}t.IndexTreeModel=M}),define(ge[119],me([1,0,54,24,26]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ObjectTreeModel=void 0;class _{get size(){return this.d.size}constructor(v,d,u={}){this.k=v,this.rootRef=null,this.d=new Map,this.f=new Map,this.c=new A.IndexTreeModel(v,d,null,u),this.onDidSplice=this.c.onDidSplice,this.onDidChangeCollapseState=this.c.onDidChangeCollapseState,this.onDidChangeRenderNodeCount=this.c.onDidChangeRenderNodeCount,u.sorter&&(this.j={compare(c,M){return u.sorter.compare(c.element,M.element)}}),this.h=u.identityProvider}setChildren(v,d=i.Iterable.empty(),u={}){const c=this.o(v);this.l(c,this.m(d),u)}l(v,d=i.Iterable.empty(),u){const c=new Set,M=new Set,o=e=>{if(e.element===null)return;const s=e;if(c.add(s.element),this.d.set(s.element,s),this.h){const r=this.h.getId(s.element).toString();M.add(r),this.f.set(r,s)}u.onDidCreateNode?.(s)},n=e=>{if(e.element===null)return;const s=e;if(c.has(s.element)||this.d.delete(s.element),this.h){const r=this.h.getId(s.element).toString();M.has(r)||this.f.delete(r)}u.onDidDeleteNode?.(s)};this.c.splice([...v,0],Number.MAX_VALUE,d,{...u,onDidCreateNode:o,onDidDeleteNode:n})}m(v=i.Iterable.empty()){return this.j&&(v=[...v].sort(this.j.compare.bind(this.j))),i.Iterable.map(v,d=>{let u=this.d.get(d.element);if(!u&&this.h){const o=this.h.getId(d.element).toString();u=this.f.get(o)}if(!u)return{...d,children:this.m(d.children)};const c=typeof d.collapsible=="boolean"?d.collapsible:u.collapsible,M=typeof d.collapsed<"u"?d.collapsed:u.collapsed;return{...d,collapsible:c,collapsed:M,children:this.m(d.children)}})}rerender(v){const d=this.o(v);this.c.rerender(d)}updateElementHeight(v,d){const u=this.o(v);this.c.updateElementHeight(u,d)}resort(v=null,d=!0){if(!this.j)return;const u=this.o(v),c=this.c.getNode(u);this.l(u,this.n(c,d),{})}n(v,d,u=!0){let c=[...v.children];return(d||u)&&(c=c.sort(this.j.compare.bind(this.j))),i.Iterable.map(c,M=>({element:M.element,collapsible:M.collapsible,collapsed:M.collapsed,children:this.n(M,d,!1)}))}getFirstElementChild(v=null){const d=this.o(v);return this.c.getFirstElementChild(d)}getLastElementAncestor(v=null){const d=this.o(v);return this.c.getLastElementAncestor(d)}has(v){return this.d.has(v)}getListIndex(v){const d=this.o(v);return this.c.getListIndex(d)}getListRenderCount(v){const d=this.o(v);return this.c.getListRenderCount(d)}isCollapsible(v){const d=this.o(v);return this.c.isCollapsible(d)}setCollapsible(v,d){const u=this.o(v);return this.c.setCollapsible(u,d)}isCollapsed(v){const d=this.o(v);return this.c.isCollapsed(d)}setCollapsed(v,d,u){const c=this.o(v);return this.c.setCollapsed(c,d,u)}expandTo(v){const d=this.o(v);this.c.expandTo(d)}refilter(){this.c.refilter()}getNode(v=null){if(v===null)return this.c.getNode(this.c.rootRef);const d=this.d.get(v);if(!d)throw new I.TreeError(this.k,`Tree element not found: ${v}`);return d}getNodeLocation(v){return v.element}getParentNodeLocation(v){if(v===null)throw new I.TreeError(this.k,"Invalid getParentNodeLocation call");const d=this.d.get(v);if(!d)throw new I.TreeError(this.k,`Tree element not found: ${v}`);const u=this.c.getNodeLocation(d),c=this.c.getParentNodeLocation(u);return this.c.getNode(c).element}o(v){if(v===null)return[];const d=this.d.get(v);if(!d)throw new I.TreeError(this.k,`Tree element not found: ${v}`);return this.c.getNodeLocation(d)}}t.ObjectTreeModel=_}),define(ge[19],me([1,0,4,14,21,23,2]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Widget=void 0;class v extends w.Disposable{f(u,c){this.B(A.addDisposableListener(u,A.EventType.CLICK,M=>c(new i.StandardMouseEvent(M))))}j(u,c){this.B(A.addDisposableListener(u,A.EventType.MOUSE_DOWN,M=>c(new i.StandardMouseEvent(M))))}m(u,c){this.B(A.addDisposableListener(u,A.EventType.MOUSE_OVER,M=>c(new i.StandardMouseEvent(M))))}p(u,c){this.B(A.addDisposableListener(u,A.EventType.MOUSE_LEAVE,M=>c(new i.StandardMouseEvent(M))))}u(u,c){this.B(A.addDisposableListener(u,A.EventType.KEY_DOWN,M=>c(new I.StandardKeyboardEvent(M))))}z(u,c){this.B(A.addDisposableListener(u,A.EventType.KEY_UP,M=>c(new I.StandardKeyboardEvent(M))))}C(u,c){this.B(A.addDisposableListener(u,A.EventType.INPUT,c))}D(u,c){this.B(A.addDisposableListener(u,A.EventType.BLUR,c))}F(u,c){this.B(A.addDisposableListener(u,A.EventType.FOCUS,c))}G(u,c){this.B(A.addDisposableListener(u,A.EventType.CHANGE,c))}H(u){return _.Gesture.ignoreTarget(u)}}t.Widget=v}),define(ge[35],me([1,0,52,19,9,17,4]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarArrow=t.ARROW_IMG_SIZE=void 0,t.ARROW_IMG_SIZE=11;class v extends I.Widget{constructor(u){super(),this.a=u.onActivate,this.bgDomNode=document.createElement("div"),this.bgDomNode.className="arrow-background",this.bgDomNode.style.position="absolute",this.bgDomNode.style.width=u.bgWidth+"px",this.bgDomNode.style.height=u.bgHeight+"px",typeof u.top<"u"&&(this.bgDomNode.style.top="0px"),typeof u.left<"u"&&(this.bgDomNode.style.left="0px"),typeof u.bottom<"u"&&(this.bgDomNode.style.bottom="0px"),typeof u.right<"u"&&(this.bgDomNode.style.right="0px"),this.domNode=document.createElement("div"),this.domNode.className=u.className,this.domNode.classList.add(..._.ThemeIcon.asClassNameArray(u.icon)),this.domNode.style.position="absolute",this.domNode.style.width=t.ARROW_IMG_SIZE+"px",this.domNode.style.height=t.ARROW_IMG_SIZE+"px",typeof u.top<"u"&&(this.domNode.style.top=u.top+"px"),typeof u.left<"u"&&(this.domNode.style.left=u.left+"px"),typeof u.bottom<"u"&&(this.domNode.style.bottom=u.bottom+"px"),typeof u.right<"u"&&(this.domNode.style.right=u.right+"px"),this.g=this.B(new A.GlobalPointerMoveMonitor),this.B(w.addStandardDisposableListener(this.bgDomNode,w.EventType.POINTER_DOWN,c=>this.h(c))),this.B(w.addStandardDisposableListener(this.domNode,w.EventType.POINTER_DOWN,c=>this.h(c))),this.b=this.B(new i.IntervalTimer),this.c=this.B(new i.TimeoutTimer)}h(u){if(!u.target||!(u.target instanceof Element))return;const c=()=>{this.b.cancelAndSet(()=>this.a(),1e3/24)};this.a(),this.b.cancel(),this.c.cancelAndSet(c,200),this.g.startMonitoring(u.target,u.pointerId,u.buttons,M=>{},()=>{this.b.cancel(),this.c.cancel()}),u.preventDefault()}}t.ScrollbarArrow=v}),define(ge[55],me([1,0,4,39,52,35,117,19,5]),function(J,t,A,I,i,_,w,v,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractScrollbar=void 0;const u=140;class c extends v.Widget{constructor(o){super(),this.g=o.lazyRender,this.a=o.host,this.b=o.scrollable,this.c=o.scrollByPage,this.h=o.scrollbarState,this.i=this.B(new w.ScrollbarVisibilityController(o.visibility,"visible scrollbar "+o.extraScrollbarClassName,"invisible scrollbar "+o.extraScrollbarClassName)),this.i.setIsNeeded(this.h.isNeeded()),this.k=this.B(new i.GlobalPointerMoveMonitor),this.l=!0,this.domNode=(0,I.createFastDomNode)(document.createElement("div")),this.domNode.setAttribute("role","presentation"),this.domNode.setAttribute("aria-hidden","true"),this.i.setDomNode(this.domNode),this.domNode.setPosition("absolute"),this.B(A.addDisposableListener(this.domNode.domNode,A.EventType.POINTER_DOWN,n=>this.w(n)))}n(o){const n=this.B(new _.ScrollbarArrow(o));this.domNode.domNode.appendChild(n.bgDomNode),this.domNode.domNode.appendChild(n.domNode)}r(o,n,e,s){this.slider=(0,I.createFastDomNode)(document.createElement("div")),this.slider.setClassName("slider"),this.slider.setPosition("absolute"),this.slider.setTop(o),this.slider.setLeft(n),typeof e=="number"&&this.slider.setWidth(e),typeof s=="number"&&this.slider.setHeight(s),this.slider.setLayerHinting(!0),this.slider.setContain("strict"),this.domNode.domNode.appendChild(this.slider.domNode),this.B(A.addDisposableListener(this.slider.domNode,A.EventType.POINTER_DOWN,r=>{r.button===0&&(r.preventDefault(),this.I(r))})),this.f(this.slider.domNode,r=>{r.leftButton&&r.stopPropagation()})}s(o){return this.h.setVisibleSize(o)&&(this.i.setIsNeeded(this.h.isNeeded()),this.l=!0,this.g||this.render()),this.l}t(o){return this.h.setScrollSize(o)&&(this.i.setIsNeeded(this.h.isNeeded()),this.l=!0,this.g||this.render()),this.l}v(o){return this.h.setScrollPosition(o)&&(this.i.setIsNeeded(this.h.isNeeded()),this.l=!0,this.g||this.render()),this.l}beginReveal(){this.i.setShouldBeVisible(!0)}beginHide(){this.i.setShouldBeVisible(!1)}render(){!this.l||(this.l=!1,this.L(this.h.getRectangleLargeSize(),this.h.getRectangleSmallSize()),this.M(this.h.getSliderSize(),this.h.getArrowSize()+this.h.getSliderPosition()))}w(o){o.target===this.domNode.domNode&&this.y(o)}delegatePointerDown(o){const n=this.domNode.domNode.getClientRects()[0].top,e=n+this.h.getSliderPosition(),s=n+this.h.getSliderPosition()+this.h.getSliderSize(),r=this.O(o);e<=r&&r<=s?o.button===0&&(o.preventDefault(),this.I(o)):this.y(o)}y(o){let n,e;if(o.target===this.domNode.domNode&&typeof o.offsetX=="number"&&typeof o.offsetY=="number")n=o.offsetX,e=o.offsetY;else{const r=A.getDomNodePagePosition(this.domNode.domNode);n=o.pageX-r.left,e=o.pageY-r.top}const s=this.N(n,e);this.J(this.c?this.h.getDesiredScrollPositionFromOffsetPaged(s):this.h.getDesiredScrollPositionFromOffset(s)),o.button===0&&(o.preventDefault(),this.I(o))}I(o){if(!o.target||!(o.target instanceof Element))return;const n=this.O(o),e=this.P(o),s=this.h.clone();this.slider.toggleClassName("active",!0),this.k.startMonitoring(o.target,o.pointerId,o.buttons,r=>{const a=this.P(r),l=Math.abs(a-e);if(d.isWindows&&l>u){this.J(s.getScrollPosition());return}const S=this.O(r)-n;this.J(s.getDesiredScrollPositionFromDelta(S))},()=>{this.slider.toggleClassName("active",!1),this.a.onDragEnd()}),this.a.onDragStart()}J(o){const n={};this.writeScrollPosition(n,o),this.b.setScrollPositionNow(n)}updateScrollbarSize(o){this.Q(o),this.h.setScrollbarSize(o),this.l=!0,this.g||this.render()}isNeeded(){return this.h.isNeeded()}}t.AbstractScrollbar=c}),define(ge[120],me([1,0,21,55,35,40,16]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HorizontalScrollbar=void 0;class v extends I.AbstractScrollbar{constructor(u,c,M){const o=u.getScrollDimensions(),n=u.getCurrentScrollPosition();if(super({lazyRender:c.lazyRender,host:M,scrollbarState:new _.ScrollbarState(c.horizontalHasArrows?c.arrowSize:0,c.horizontal===2?0:c.horizontalScrollbarSize,c.vertical===2?0:c.verticalScrollbarSize,o.width,o.scrollWidth,n.scrollLeft),visibility:c.horizontal,extraScrollbarClassName:"horizontal",scrollable:u,scrollByPage:c.scrollByPage}),c.horizontalHasArrows){const e=(c.arrowSize-i.ARROW_IMG_SIZE)/2,s=(c.horizontalScrollbarSize-i.ARROW_IMG_SIZE)/2;this.n({className:"scra",icon:w.Codicon.scrollbarButtonLeft,top:s,left:e,bottom:void 0,right:void 0,bgWidth:c.arrowSize,bgHeight:c.horizontalScrollbarSize,onActivate:()=>this.a.onMouseWheel(new A.StandardWheelEvent(null,1,0))}),this.n({className:"scra",icon:w.Codicon.scrollbarButtonRight,top:s,left:void 0,bottom:void 0,right:e,bgWidth:c.arrowSize,bgHeight:c.horizontalScrollbarSize,onActivate:()=>this.a.onMouseWheel(new A.StandardWheelEvent(null,-1,0))})}this.r(Math.floor((c.horizontalScrollbarSize-c.horizontalSliderSize)/2),0,void 0,c.horizontalSliderSize)}M(u,c){this.slider.setWidth(u),this.slider.setLeft(c)}L(u,c){this.domNode.setWidth(u),this.domNode.setHeight(c),this.domNode.setLeft(0),this.domNode.setBottom(0)}onDidScroll(u){return this.l=this.t(u.scrollWidth)||this.l,this.l=this.v(u.scrollLeft)||this.l,this.l=this.s(u.width)||this.l,this.l}N(u,c){return u}O(u){return u.pageX}P(u){return u.pageY}Q(u){this.slider.setHeight(u)}writeScrollPosition(u,c){u.scrollLeft=c}updateOptions(u){this.updateScrollbarSize(u.horizontal===2?0:u.horizontalScrollbarSize),this.h.setOppositeScrollbarSize(u.vertical===2?0:u.verticalScrollbarSize),this.i.setVisibility(u.horizontal),this.c=u.scrollByPage}}t.HorizontalScrollbar=v}),define(ge[121],me([1,0,21,55,35,40,16]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.VerticalScrollbar=void 0;class v extends I.AbstractScrollbar{constructor(u,c,M){const o=u.getScrollDimensions(),n=u.getCurrentScrollPosition();if(super({lazyRender:c.lazyRender,host:M,scrollbarState:new _.ScrollbarState(c.verticalHasArrows?c.arrowSize:0,c.vertical===2?0:c.verticalScrollbarSize,0,o.height,o.scrollHeight,n.scrollTop),visibility:c.vertical,extraScrollbarClassName:"vertical",scrollable:u,scrollByPage:c.scrollByPage}),c.verticalHasArrows){const e=(c.arrowSize-i.ARROW_IMG_SIZE)/2,s=(c.verticalScrollbarSize-i.ARROW_IMG_SIZE)/2;this.n({className:"scra",icon:w.Codicon.scrollbarButtonUp,top:e,left:s,bottom:void 0,right:void 0,bgWidth:c.verticalScrollbarSize,bgHeight:c.arrowSize,onActivate:()=>this.a.onMouseWheel(new A.StandardWheelEvent(null,0,1))}),this.n({className:"scra",icon:w.Codicon.scrollbarButtonDown,top:void 0,left:s,bottom:e,right:void 0,bgWidth:c.verticalScrollbarSize,bgHeight:c.arrowSize,onActivate:()=>this.a.onMouseWheel(new A.StandardWheelEvent(null,0,-1))})}this.r(0,Math.floor((c.verticalScrollbarSize-c.verticalSliderSize)/2),c.verticalSliderSize,void 0)}M(u,c){this.slider.setHeight(u),this.slider.setTop(c)}L(u,c){this.domNode.setWidth(c),this.domNode.setHeight(u),this.domNode.setRight(0),this.domNode.setTop(0)}onDidScroll(u){return this.l=this.t(u.scrollHeight)||this.l,this.l=this.v(u.scrollTop)||this.l,this.l=this.s(u.height)||this.l,this.l}N(u,c){return c}O(u){return u.pageY}P(u){return u.pageX}Q(u){this.slider.setWidth(u)}writeScrollPosition(u,c){u.scrollTop=c}updateOptions(u){this.updateScrollbarSize(u.vertical===2?0:u.verticalScrollbarSize),this.h.setOppositeScrollbarSize(0),this.i.setVisibility(u.vertical),this.c=u.scrollByPage}}t.VerticalScrollbar=v}),define(ge[56],me([1,0,18,4,39,21,120,121,19,9,3,2,5,48,90]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DomScrollableElement=t.SmoothScrollableElement=t.ScrollableElement=t.AbstractScrollableElement=t.MouseWheelClassifier=void 0;const e=500,s=50,r=!0;class a{constructor(L,h,p){this.timestamp=L,this.deltaX=h,this.deltaY=p,this.score=0}}class l{constructor(){this.a=5,this.b=[],this.c=-1,this.d=-1}isPhysicalMouseWheel(){if(this.c===-1&&this.d===-1)return!1;let L=1,h=0,p=1,m=this.d;do{const E=m===this.c?L:Math.pow(2,-p);if(L-=E,h+=this.b[m].score*E,m===this.c)break;m=(this.a+m-1)%this.a,p++}while(!0);return h<=.5}acceptStandardWheelEvent(L){const h=window.devicePixelRatio/(0,A.getZoomFactor)();o.isWindows||o.isLinux?this.accept(Date.now(),L.deltaX/h,L.deltaY/h):this.accept(Date.now(),L.deltaX,L.deltaY)}accept(L,h,p){const m=new a(L,h,p);m.score=this.f(m),this.c===-1&&this.d===-1?(this.b[0]=m,this.c=0,this.d=0):(this.d=(this.d+1)%this.a,this.d===this.c&&(this.c=(this.c+1)%this.a),this.b[this.d]=m)}f(L){if(Math.abs(L.deltaX)>0&&Math.abs(L.deltaY)>0)return 1;let h=.5;const p=this.c===-1&&this.d===-1?null:this.b[this.d];return(!this.g(L.deltaX)||!this.g(L.deltaY))&&(h+=.25),Math.min(Math.max(h,0),1)}g(L){return Math.abs(Math.round(L)-L)<.01}}t.MouseWheelClassifier=l,l.INSTANCE=new l;class y extends d.Widget{get options(){return this.a}constructor(L,h,p){super(),this.I=this.B(new c.Emitter),this.onScroll=this.I.event,this.J=this.B(new c.Emitter),this.onWillScroll=this.J.event,L.style.overflow="hidden",this.a=D(h),this.b=p,this.B(this.b.onScroll(E=>{this.J.fire(E),this.N(E),this.I.fire(E)}));const m={onMouseWheel:E=>this.M(E),onDragStart:()=>this.P(),onDragEnd:()=>this.Q()};this.c=this.B(new v.VerticalScrollbar(this.b,this.a,m)),this.g=this.B(new w.HorizontalScrollbar(this.b,this.a,m)),this.h=document.createElement("div"),this.h.className="monaco-scrollable-element "+this.a.className,this.h.setAttribute("role","presentation"),this.h.style.position="relative",this.h.style.overflow="hidden",this.h.appendChild(L),this.h.appendChild(this.g.domNode.domNode),this.h.appendChild(this.c.domNode.domNode),this.a.useShadows?(this.i=(0,i.createFastDomNode)(document.createElement("div")),this.i.setClassName("shadow"),this.h.appendChild(this.i.domNode),this.k=(0,i.createFastDomNode)(document.createElement("div")),this.k.setClassName("shadow"),this.h.appendChild(this.k.domNode),this.l=(0,i.createFastDomNode)(document.createElement("div")),this.l.setClassName("shadow"),this.h.appendChild(this.l.domNode)):(this.i=null,this.k=null,this.l=null),this.n=this.a.listenOnDomNode||this.h,this.r=[],this.L(this.a.handleMouseWheel),this.m(this.n,E=>this.S(E)),this.p(this.n,E=>this.R(E)),this.v=this.B(new u.TimeoutTimer),this.s=!1,this.t=!1,this.w=!0,this.y=!0}dispose(){this.r=(0,M.dispose)(this.r),super.dispose()}getDomNode(){return this.h}getOverviewRulerLayoutInfo(){return{parent:this.h,insertBefore:this.c.domNode.domNode}}delegateVerticalScrollbarPointerDown(L){this.c.delegatePointerDown(L)}getScrollDimensions(){return this.b.getScrollDimensions()}setScrollDimensions(L){this.b.setScrollDimensions(L,!1)}updateClassName(L){this.a.className=L,o.isMacintosh&&(this.a.className+=" mac"),this.h.className="monaco-scrollable-element "+this.a.className}updateOptions(L){typeof L.handleMouseWheel<"u"&&(this.a.handleMouseWheel=L.handleMouseWheel,this.L(this.a.handleMouseWheel)),typeof L.mouseWheelScrollSensitivity<"u"&&(this.a.mouseWheelScrollSensitivity=L.mouseWheelScrollSensitivity),typeof L.fastScrollSensitivity<"u"&&(this.a.fastScrollSensitivity=L.fastScrollSensitivity),typeof L.scrollPredominantAxis<"u"&&(this.a.scrollPredominantAxis=L.scrollPredominantAxis),typeof L.horizontal<"u"&&(this.a.horizontal=L.horizontal),typeof L.vertical<"u"&&(this.a.vertical=L.vertical),typeof L.horizontalScrollbarSize<"u"&&(this.a.horizontalScrollbarSize=L.horizontalScrollbarSize),typeof L.verticalScrollbarSize<"u"&&(this.a.verticalScrollbarSize=L.verticalScrollbarSize),typeof L.scrollByPage<"u"&&(this.a.scrollByPage=L.scrollByPage),this.g.updateOptions(this.a),this.c.updateOptions(this.a),this.a.lazyRender||this.O()}setRevealOnScroll(L){this.y=L}delegateScrollFromMouseWheelEvent(L){this.M(new _.StandardWheelEvent(L))}L(L){if(this.r.length>0!==L&&(this.r=(0,M.dispose)(this.r),L)){const p=m=>{this.M(new _.StandardWheelEvent(m))};this.r.push(I.addDisposableListener(this.n,I.EventType.MOUSE_WHEEL,p,{passive:!1}))}}M(L){const h=l.INSTANCE;r&&h.acceptStandardWheelEvent(L);let p=!1;if(L.deltaY||L.deltaX){let E=L.deltaY*this.a.mouseWheelScrollSensitivity,O=L.deltaX*this.a.mouseWheelScrollSensitivity;this.a.scrollPredominantAxis&&(Math.abs(E)>=Math.abs(O)?O=0:E=0),this.a.flipAxes&&([E,O]=[O,E]);const V=!o.isMacintosh&&L.browserEvent&&L.browserEvent.shiftKey;(this.a.scrollYToX||V)&&!O&&(O=E,E=0),L.browserEvent&&L.browserEvent.altKey&&(O=O*this.a.fastScrollSensitivity,E=E*this.a.fastScrollSensitivity);const ee=this.b.getFutureScrollPosition();let Z={};if(E){const te=s*E,oe=ee.scrollTop-(te<0?Math.floor(te):Math.ceil(te));this.c.writeScrollPosition(Z,oe)}if(O){const te=s*O,oe=ee.scrollLeft-(te<0?Math.floor(te):Math.ceil(te));this.g.writeScrollPosition(Z,oe)}Z=this.b.validateScrollPosition(Z),(ee.scrollLeft!==Z.scrollLeft||ee.scrollTop!==Z.scrollTop)&&(r&&this.a.mouseWheelSmoothScroll&&h.isPhysicalMouseWheel()?this.b.setScrollPositionSmooth(Z):this.b.setScrollPositionNow(Z),p=!0)}let m=p;!m&&this.a.alwaysConsumeMouseWheel&&(m=!0),!m&&this.a.consumeMouseWheelIfScrollbarIsNeeded&&(this.c.isNeeded()||this.g.isNeeded())&&(m=!0),m&&(L.preventDefault(),L.stopPropagation())}N(L){this.w=this.g.onDidScroll(L)||this.w,this.w=this.c.onDidScroll(L)||this.w,this.a.useShadows&&(this.w=!0),this.y&&this.U(),this.a.lazyRender||this.O()}renderNow(){if(!this.a.lazyRender)throw new Error("Please use `lazyRender` together with `renderNow`!");this.O()}O(){if(!!this.w&&(this.w=!1,this.g.render(),this.c.render(),this.a.useShadows)){const L=this.b.getCurrentScrollPosition(),h=L.scrollTop>0,p=L.scrollLeft>0,m=p?" left":"",E=h?" top":"",O=p||h?" top-left-corner":"";this.i.setClassName(`shadow${m}`),this.k.setClassName(`shadow${E}`),this.l.setClassName(`shadow${O}${E}${m}`)}}P(){this.s=!0,this.U()}Q(){this.s=!1,this.W()}R(L){this.t=!1,this.W()}S(L){this.t=!0,this.U()}U(){this.c.beginReveal(),this.g.beginReveal(),this.X()}W(){!this.t&&!this.s&&(this.c.beginHide(),this.g.beginHide())}X(){!this.t&&!this.s&&this.v.cancelAndSet(()=>this.W(),e)}}t.AbstractScrollableElement=y;class S extends y{constructor(L,h){h=h||{},h.mouseWheelSmoothScroll=!1;const p=new n.Scrollable({forceIntegerValues:!0,smoothScrollDuration:0,scheduleAtNextAnimationFrame:m=>I.scheduleAtNextAnimationFrame(m)});super(L,h,p),this.B(p)}setScrollPosition(L){this.b.setScrollPositionNow(L)}getScrollPosition(){return this.b.getCurrentScrollPosition()}}t.ScrollableElement=S;class F extends y{constructor(L,h,p){super(L,h,p)}setScrollPosition(L){L.reuseAnimation?this.b.setScrollPositionSmooth(L,L.reuseAnimation):this.b.setScrollPositionNow(L)}getScrollPosition(){return this.b.getCurrentScrollPosition()}}t.SmoothScrollableElement=F;class f extends y{constructor(L,h){h=h||{},h.mouseWheelSmoothScroll=!1;const p=new n.Scrollable({forceIntegerValues:!1,smoothScrollDuration:0,scheduleAtNextAnimationFrame:m=>I.scheduleAtNextAnimationFrame(m)});super(L,h,p),this.B(p),this.Y=L,this.onScroll(m=>{m.scrollTopChanged&&(this.Y.scrollTop=m.scrollTop),m.scrollLeftChanged&&(this.Y.scrollLeft=m.scrollLeft)}),this.scanDomNode()}setScrollPosition(L){this.b.setScrollPositionNow(L)}getScrollPosition(){return this.b.getCurrentScrollPosition()}scanDomNode(){this.setScrollDimensions({width:this.Y.clientWidth,scrollWidth:this.Y.scrollWidth,height:this.Y.clientHeight,scrollHeight:this.Y.scrollHeight}),this.setScrollPosition({scrollLeft:this.Y.scrollLeft,scrollTop:this.Y.scrollTop})}}t.DomScrollableElement=f;function D(T){const L={lazyRender:typeof T.lazyRender<"u"?T.lazyRender:!1,className:typeof T.className<"u"?T.className:"",useShadows:typeof T.useShadows<"u"?T.useShadows:!0,handleMouseWheel:typeof T.handleMouseWheel<"u"?T.handleMouseWheel:!0,flipAxes:typeof T.flipAxes<"u"?T.flipAxes:!1,consumeMouseWheelIfScrollbarIsNeeded:typeof T.consumeMouseWheelIfScrollbarIsNeeded<"u"?T.consumeMouseWheelIfScrollbarIsNeeded:!1,alwaysConsumeMouseWheel:typeof T.alwaysConsumeMouseWheel<"u"?T.alwaysConsumeMouseWheel:!1,scrollYToX:typeof T.scrollYToX<"u"?T.scrollYToX:!1,mouseWheelScrollSensitivity:typeof T.mouseWheelScrollSensitivity<"u"?T.mouseWheelScrollSensitivity:1,fastScrollSensitivity:typeof T.fastScrollSensitivity<"u"?T.fastScrollSensitivity:5,scrollPredominantAxis:typeof T.scrollPredominantAxis<"u"?T.scrollPredominantAxis:!0,mouseWheelSmoothScroll:typeof T.mouseWheelSmoothScroll<"u"?T.mouseWheelSmoothScroll:!0,arrowSize:typeof T.arrowSize<"u"?T.arrowSize:11,listenOnDomNode:typeof T.listenOnDomNode<"u"?T.listenOnDomNode:null,horizontal:typeof T.horizontal<"u"?T.horizontal:1,horizontalScrollbarSize:typeof T.horizontalScrollbarSize<"u"?T.horizontalScrollbarSize:10,horizontalSliderSize:typeof T.horizontalSliderSize<"u"?T.horizontalSliderSize:0,horizontalHasArrows:typeof T.horizontalHasArrows<"u"?T.horizontalHasArrows:!1,vertical:typeof T.vertical<"u"?T.vertical:1,verticalScrollbarSize:typeof T.verticalScrollbarSize<"u"?T.verticalScrollbarSize:10,verticalHasArrows:typeof T.verticalHasArrows<"u"?T.verticalHasArrows:!1,verticalSliderSize:typeof T.verticalSliderSize<"u"?T.verticalSliderSize:0,scrollByPage:typeof T.scrollByPage<"u"?T.scrollByPage:!1};return L.horizontalSliderSize=typeof T.horizontalSliderSize<"u"?T.horizontalSliderSize:L.horizontalScrollbarSize,L.verticalSliderSize=typeof T.verticalSliderSize<"u"?T.verticalSliderSize:L.verticalScrollbarSize,o.isMacintosh&&(L.className+=" mac"),L}}),define(ge[57],me([1,0,50,4,20,23,56,13,9,25,3,2,46,48,78,116,7]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e,s,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ListView=t.NativeDragAndDropData=t.ExternalElementsDragAndDropData=t.ElementsDragAndDropData=void 0;const a={CurrentDragAndDropData:void 0},l={useShadows:!0,verticalScrollMode:1,setRowLineHeight:!0,setRowHeight:!0,supportDynamicHeights:!1,dnd:{getDragElements(L){return[L]},getDragURI(){return null},onDragStart(){},onDragOver(){return!1},drop(){}},horizontalScrolling:!1,transformOptimization:!0,alwaysConsumeMouseWheel:!0};class y{get context(){return this.d}set context(h){this.d=h}constructor(h){this.elements=h}update(){}getData(){return this.elements}}t.ElementsDragAndDropData=y;class S{constructor(h){this.elements=h}update(){}getData(){return this.elements}}t.ExternalElementsDragAndDropData=S;class F{constructor(){this.types=[],this.files=[]}update(h){if(h.types&&this.types.splice(0,this.types.length,...h.types),h.files){this.files.splice(0,this.files.length);for(let p=0;p<h.files.length;p++){const m=h.files.item(p);m&&(m.size||m.type)&&this.files.push(m)}}}getData(){return{types:this.types,files:this.files}}}t.NativeDragAndDropData=F;function f(L,h){return Array.isArray(L)&&Array.isArray(h)?(0,v.equals)(L,h):L===h}class D{constructor(h){h?.getSetSize?this.getSetSize=h.getSetSize.bind(h):this.getSetSize=(p,m,E)=>E,h?.getPosInSet?this.getPosInSet=h.getPosInSet.bind(h):this.getPosInSet=(p,m)=>m+1,h?.getRole?this.getRole=h.getRole.bind(h):this.getRole=p=>"listitem",h?.isChecked?this.isChecked=h.isChecked.bind(h):this.isChecked=p=>{}}}class T{get contentHeight(){return this.g.size}get onDidScroll(){return this.q.onScroll}get onWillScroll(){return this.q.onWillScroll}get containerDomNode(){return this.o}get scrollableElementDomNode(){return this.q.getDomNode()}get O(){return this.N}set O(h){if(h!==this.N){if(h&&this.B)throw new Error("Horizontal scrolling and dynamic heights not supported simultaneously");if(this.N=h,this.domNode.classList.toggle("horizontal-scrolling",this.N),this.N){for(const p of this.d)this.X(p);this.U(),this.q.setScrollDimensions({width:(0,I.getContentWidth)(this.domNode)}),this.o.style.width=`${Math.max(this.E||0,this.n)}px`}else this.u.cancel(),this.q.setScrollDimensions({width:this.n,scrollWidth:this.n}),this.o.style.width=""}}constructor(h,p,m,E=l){if(this.P=p,this.domId=`list_id_${++T.c}`,this.j=new Map,this.n=0,this.s=0,this.t=null,this.u=new d.Delayer(50),this.v=!1,this.x=M.Disposable.None,this.y=0,this.G=!1,this.J=M.Disposable.None,this.K=M.Disposable.None,this.L=new M.DisposableStore,this.M=new c.Emitter,this.onDidChangeContentHeight=c.Event.latch(this.M.event,void 0,this.L),this.N=!1,E.horizontalScrolling&&E.supportDynamicHeights)throw new Error("Horizontal scrolling and dynamic heights not supported simultaneously");this.d=[],this.f=0,this.g=new e.RangeMap;for(const V of m)this.j.set(V.templateId,V);this.h=this.L.add(new s.RowCache(this.j)),this.k=0,this.m=0,this.domNode=document.createElement("div"),this.domNode.className="monaco-list",this.domNode.classList.add(this.domId),this.domNode.tabIndex=0,this.domNode.classList.toggle("mouse-support",typeof E.mouseSupport=="boolean"?E.mouseSupport:!0),this.N=E.horizontalScrolling??l.horizontalScrolling,this.domNode.classList.toggle("horizontal-scrolling",this.N),this.C=typeof E.additionalScrollHeight>"u"?0:E.additionalScrollHeight,this.D=new D(E.accessibilityProvider),this.o=document.createElement("div"),this.o.className="monaco-list-rows",(E.transformOptimization??l.transformOptimization)&&(this.o.style.transform="translate3d(0px, 0px, 0px)",this.o.style.overflow="hidden",this.o.style.contain="strict"),this.L.add(_.Gesture.addTarget(this.o)),this.p=new n.Scrollable({forceIntegerValues:!0,smoothScrollDuration:E.smoothScrolling??!1?125:0,scheduleAtNextAnimationFrame:V=>(0,I.scheduleAtNextAnimationFrame)(V)}),this.q=this.L.add(new w.SmoothScrollableElement(this.o,{alwaysConsumeMouseWheel:E.alwaysConsumeMouseWheel??l.alwaysConsumeMouseWheel,horizontal:1,vertical:E.verticalScrollMode??l.verticalScrollMode,useShadows:E.useShadows??l.useShadows,mouseWheelScrollSensitivity:E.mouseWheelScrollSensitivity,fastScrollSensitivity:E.fastScrollSensitivity,scrollByPage:E.scrollByPage},this.p)),this.domNode.appendChild(this.q.getDomNode()),h.appendChild(this.domNode),this.q.onScroll(this.fb,this,this.L),this.L.add((0,I.addDisposableListener)(this.o,_.EventType.Change,V=>this.gb(V))),this.L.add((0,I.addDisposableListener)(this.q.getDomNode(),"scroll",V=>V.target.scrollTop=0)),this.L.add((0,I.addDisposableListener)(this.domNode,"dragover",V=>this.ib(this.eb(V)))),this.L.add((0,I.addDisposableListener)(this.domNode,"drop",V=>this.kb(this.eb(V)))),this.L.add((0,I.addDisposableListener)(this.domNode,"dragleave",V=>this.jb(this.eb(V)))),this.L.add((0,I.addDisposableListener)(this.domNode,"dragend",V=>this.lb(V))),this.z=E.setRowLineHeight??l.setRowLineHeight,this.A=E.setRowHeight??l.setRowHeight,this.B=E.supportDynamicHeights??l.supportDynamicHeights,this.F=E.dnd??l.dnd,this.layout(E.initialSize?.height,E.initialSize?.width)}updateOptions(h){h.additionalScrollHeight!==void 0&&(this.C=h.additionalScrollHeight,this.q.setScrollDimensions({scrollHeight:this.scrollHeight})),h.smoothScrolling!==void 0&&this.p.setSmoothScrollDuration(h.smoothScrolling?125:0),h.horizontalScrolling!==void 0&&(this.O=h.horizontalScrolling);let p;h.scrollByPage!==void 0&&(p={...p??{},scrollByPage:h.scrollByPage}),h.mouseWheelScrollSensitivity!==void 0&&(p={...p??{},mouseWheelScrollSensitivity:h.mouseWheelScrollSensitivity}),h.fastScrollSensitivity!==void 0&&(p={...p??{},fastScrollSensitivity:h.fastScrollSensitivity}),p&&this.q.updateOptions(p)}delegateScrollFromMouseWheelEvent(h){this.q.delegateScrollFromMouseWheelEvent(h)}delegateVerticalScrollbarPointerDown(h){this.q.delegateVerticalScrollbarPointerDown(h)}updateElementHeight(h,p,m){if(h<0||h>=this.d.length)return;const E=this.d[h].size;if(typeof p>"u"){if(!this.B){console.warn("Dynamic heights not supported");return}this.d[h].lastDynamicHeightWidth=void 0,p=E+this.tb(h)}if(E===p)return;const O=this.rb(this.k,this.m);let V=0;h<O.start||m!==null&&m>h&&m<=O.end?V=p-E:V=0,this.g.splice(h,1,[{size:p}]),this.d[h].size=p,this.V(O,Math.max(0,this.k+V),this.m,void 0,void 0,!0),this.setScrollTop(this.k),this.R(),this.B&&this.sb(this.k,this.m)}splice(h,p,m=[]){if(this.v)throw new Error("Can't run recursive splices.");this.v=!0;try{return this.Q(h,p,m)}finally{this.v=!1,this.M.fire(this.contentHeight)}}Q(h,p,m=[]){const E=this.rb(this.k,this.m),O={start:h,end:h+p},V=o.Range.intersect(E,O),ee=new Map;for(let Q=V.end-1;Q>=V.start;Q--){const b=this.d[Q];if(b.dragStartDisposable.dispose(),b.checkedDisposable.dispose(),b.row){let R=ee.get(b.templateId);R||(R=[],ee.set(b.templateId,R));const H=this.j.get(b.templateId);H&&H.disposeElement&&H.disposeElement(b.element,Q,b.row.templateData,b.size),R.push(b.row)}b.row=null}const Z={start:h+p,end:this.d.length},te=o.Range.intersect(Z,E),oe=o.Range.relativeComplement(Z,E),he=m.map(Q=>({id:String(this.f++),element:Q,templateId:this.P.getTemplateId(Q),size:this.P.getHeight(Q),width:void 0,hasDynamicHeight:!!this.P.hasDynamicHeight&&this.P.hasDynamicHeight(Q),lastDynamicHeightWidth:void 0,row:null,uri:void 0,dropTarget:!1,dragStartDisposable:M.Disposable.None,checkedDisposable:M.Disposable.None}));let de;h===0&&p>=this.d.length?(this.g=new e.RangeMap,this.g.splice(0,0,he),de=this.d,this.d=he):(this.g.splice(h,p,he),de=this.d.splice(h,p,...he));const ce=m.length-p,pe=this.rb(this.k,this.m),Te=(0,e.shift)(te,ce),Pe=o.Range.intersect(pe,Te);for(let Q=Pe.start;Q<Pe.end;Q++)this.Y(this.d[Q],Q);const Oe=o.Range.relativeComplement(Te,pe);for(const Q of Oe)for(let b=Q.start;b<Q.end;b++)this.Z(b);const j=oe.map(Q=>(0,e.shift)(Q,ce)),se=[{start:h,end:h+m.length},...j].map(Q=>o.Range.intersect(pe,Q)),ne=this.ub(se);for(const Q of se)for(let b=Q.start;b<Q.end;b++){const R=this.d[b],g=ee.get(R.templateId)?.pop();this.W(b,ne,g)}for(const Q of ee.values())for(const b of Q)this.h.release(b);return this.R(),this.B&&this.sb(this.scrollTop,this.renderHeight),de.map(Q=>Q.element)}R(){this.s=this.contentHeight,this.o.style.height=`${this.s}px`,this.t||(this.t=(0,I.scheduleAtNextAnimationFrame)(()=>{this.q.setScrollDimensions({scrollHeight:this.scrollHeight}),this.U(),this.t=null}))}S(){if(!this.O){this.u.cancel();return}this.u.trigger(()=>this.U())}U(){if(!this.O)return;let h=0;for(const p of this.d)typeof p.width<"u"&&(h=Math.max(h,p.width));this.E=h,this.q.setScrollDimensions({scrollWidth:h===0?0:h+10})}updateWidth(h){if(!this.O||typeof this.E>"u")return;const p=this.d[h];this.X(p),typeof p.width<"u"&&p.width>this.E&&(this.E=p.width,this.q.setScrollDimensions({scrollWidth:this.E+10}))}rerender(){if(!!this.B){for(const h of this.d)h.lastDynamicHeightWidth=void 0;this.sb(this.k,this.m)}}get length(){return this.d.length}get renderHeight(){return this.q.getScrollDimensions().height}get firstVisibleIndex(){const h=this.rb(this.k,this.m),p=this.g.positionAt(h.start),m=this.g.positionAt(h.start+1);return m!==-1&&(m-p)/2+p<this.scrollTop?h.start+1:h.start}get lastVisibleIndex(){return this.rb(this.k,this.m).end-1}element(h){return this.d[h].element}indexOf(h){return this.d.findIndex(p=>p.element===h)}domElement(h){const p=this.d[h].row;return p&&p.domNode}elementHeight(h){return this.d[h].size}elementTop(h){return this.g.positionAt(h)}indexAt(h){return this.g.indexAt(h)}indexAfter(h){return this.g.indexAfter(h)}layout(h,p){const m={height:typeof h=="number"?h:(0,I.getContentHeight)(this.domNode)};this.t&&(this.t.dispose(),this.t=null,m.scrollHeight=this.scrollHeight),this.q.setScrollDimensions(m),typeof p<"u"&&(this.n=p,this.B&&this.sb(this.scrollTop,this.renderHeight)),this.O&&this.q.setScrollDimensions({width:typeof p=="number"?p:(0,I.getContentWidth)(this.domNode)})}V(h,p,m,E,O,V=!1){const ee=this.rb(p,m),Z=o.Range.relativeComplement(ee,h),te=o.Range.relativeComplement(h,ee),oe=this.ub(Z);if(V){const he=o.Range.intersect(h,ee);for(let de=he.start;de<he.end;de++)this.Y(this.d[de],de)}this.h.transact(()=>{for(const he of te)for(let de=he.start;de<he.end;de++)this.Z(de);for(const he of Z)for(let de=he.start;de<he.end;de++)this.W(de,oe)}),E!==void 0&&(this.o.style.left=`-${E}px`),this.o.style.top=`-${p}px`,this.O&&O!==void 0&&(this.o.style.width=`${Math.max(O,this.n)}px`),this.k=p,this.m=m}W(h,p,m){const E=this.d[h];let O=!1;if(!E.row)if(m)E.row=m;else{const oe=this.h.alloc(E.templateId);E.row=oe.row,O=oe.isReusingConnectedDomNode}const V=this.D.getRole(E.element)||"listitem";E.row.domNode.setAttribute("role",V);const ee=this.D.isChecked(E.element);if(typeof ee=="boolean")E.row.domNode.setAttribute("aria-checked",String(!!ee));else if(ee){const oe=he=>E.row.domNode.setAttribute("aria-checked",String(!!he));oe(ee.value),E.checkedDisposable=ee.onDidChange(oe)}(O||!E.row.domNode.parentElement)&&(p?this.o.insertBefore(E.row.domNode,p):this.o.appendChild(E.row.domNode)),this.Y(E,h);const Z=this.j.get(E.templateId);if(!Z)throw new Error(`No renderer found for template id ${E.templateId}`);Z?.renderElement(E.element,h,E.row.templateData,E.size);const te=this.F.getDragURI(E.element);E.dragStartDisposable.dispose(),E.row.domNode.draggable=!!te,te&&(E.dragStartDisposable=(0,I.addDisposableListener)(E.row.domNode,"dragstart",oe=>this.hb(E.element,te,oe))),this.O&&(this.X(E),this.S())}X(h){if(!h.row||!h.row.domNode)return;h.row.domNode.style.width="fit-content",h.width=(0,I.getContentWidth)(h.row.domNode);const p=window.getComputedStyle(h.row.domNode);p.paddingLeft&&(h.width+=parseFloat(p.paddingLeft)),p.paddingRight&&(h.width+=parseFloat(p.paddingRight)),h.row.domNode.style.width=""}Y(h,p){h.row.domNode.style.top=`${this.elementTop(p)}px`,this.A&&(h.row.domNode.style.height=`${h.size}px`),this.z&&(h.row.domNode.style.lineHeight=`${h.size}px`),h.row.domNode.setAttribute("data-index",`${p}`),h.row.domNode.setAttribute("data-last-element",p===this.length-1?"true":"false"),h.row.domNode.setAttribute("data-parity",p%2===0?"even":"odd"),h.row.domNode.setAttribute("aria-setsize",String(this.D.getSetSize(h.element,p,this.length))),h.row.domNode.setAttribute("aria-posinset",String(this.D.getPosInSet(h.element,p))),h.row.domNode.setAttribute("id",this.getElementDomId(p)),h.row.domNode.classList.toggle("drop-target",h.dropTarget)}Z(h){const p=this.d[h];if(p.dragStartDisposable.dispose(),p.checkedDisposable.dispose(),p.row){const m=this.j.get(p.templateId);m&&m.disposeElement&&m.disposeElement(p.element,h,p.row.templateData,p.size),this.h.release(p.row),p.row=null}this.O&&this.S()}getScrollTop(){return this.q.getScrollPosition().scrollTop}setScrollTop(h,p){this.t&&(this.t.dispose(),this.t=null,this.q.setScrollDimensions({scrollHeight:this.scrollHeight})),this.q.setScrollPosition({scrollTop:h,reuseAnimation:p})}getScrollLeft(){return this.q.getScrollPosition().scrollLeft}setScrollLeft(h){this.t&&(this.t.dispose(),this.t=null,this.q.setScrollDimensions({scrollWidth:this.E})),this.q.setScrollPosition({scrollLeft:h})}get scrollTop(){return this.getScrollTop()}set scrollTop(h){this.setScrollTop(h)}get scrollHeight(){return this.s+(this.O?10:0)+this.C}get onMouseClick(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"click")).event,h=>this.ab(h),this.L)}get onMouseDblClick(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"dblclick")).event,h=>this.ab(h),this.L)}get onMouseMiddleClick(){return c.Event.filter(c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"auxclick")).event,h=>this.ab(h),this.L),h=>h.browserEvent.button===1,this.L)}get onMouseUp(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"mouseup")).event,h=>this.ab(h),this.L)}get onMouseDown(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"mousedown")).event,h=>this.ab(h),this.L)}get onMouseOver(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"mouseover")).event,h=>this.ab(h),this.L)}get onMouseMove(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"mousemove")).event,h=>this.ab(h),this.L)}get onMouseOut(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"mouseout")).event,h=>this.ab(h),this.L)}get onContextMenu(){return c.Event.any(c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"contextmenu")).event,h=>this.ab(h),this.L),c.Event.map(this.L.add(new i.DomEmitter(this.domNode,_.EventType.Contextmenu)).event,h=>this.db(h),this.L))}get onTouchStart(){return c.Event.map(this.L.add(new i.DomEmitter(this.domNode,"touchstart")).event,h=>this.bb(h),this.L)}get onTap(){return c.Event.map(this.L.add(new i.DomEmitter(this.o,_.EventType.Tap)).event,h=>this.db(h),this.L)}ab(h){const p=this.qb(h.target||null),m=typeof p>"u"?void 0:this.d[p],E=m&&m.element;return{browserEvent:h,index:p,element:E}}bb(h){const p=this.qb(h.target||null),m=typeof p>"u"?void 0:this.d[p],E=m&&m.element;return{browserEvent:h,index:p,element:E}}db(h){const p=this.qb(h.initialTarget||null),m=typeof p>"u"?void 0:this.d[p],E=m&&m.element;return{browserEvent:h,index:p,element:E}}eb(h){const p=this.qb(h.target||null),m=typeof p>"u"?void 0:this.d[p],E=m&&m.element;return{browserEvent:h,index:p,element:E}}fb(h){try{const p=this.rb(this.k,this.m);this.V(p,h.scrollTop,h.height,h.scrollLeft,h.scrollWidth),this.B&&this.sb(h.scrollTop,h.height,h.inSmoothScrolling)}catch(p){throw console.error("Got bad scroll event:",h),p}}gb(h){h.preventDefault(),h.stopPropagation(),this.scrollTop-=h.translationY}hb(h,p,m){if(!m.dataTransfer)return;const E=this.F.getDragElements(h);if(m.dataTransfer.effectAllowed="copyMove",m.dataTransfer.setData(A.DataTransfers.TEXT,p),m.dataTransfer.setDragImage){let O;this.F.getDragLabel&&(O=this.F.getDragLabel(E,m)),typeof O>"u"&&(O=String(E.length));const V=(0,I.$)(".monaco-drag-image");V.textContent=O,document.body.appendChild(V),m.dataTransfer.setDragImage(V,-10,-10),setTimeout(()=>document.body.removeChild(V),0)}this.domNode.classList.add("dragging"),this.H=new y(E),a.CurrentDragAndDropData=new S(E),this.F.onDragStart?.(this.H,m)}ib(h){if(h.browserEvent.preventDefault(),this.K.dispose(),a.CurrentDragAndDropData&&a.CurrentDragAndDropData.getData()==="vscode-ui"||(this.nb(h.browserEvent),!h.browserEvent.dataTransfer))return!1;if(!this.H)if(a.CurrentDragAndDropData)this.H=a.CurrentDragAndDropData;else{if(!h.browserEvent.dataTransfer.types)return!1;this.H=new F}const p=this.F.onDragOver(this.H,h.element,h.index,h.browserEvent);if(this.G=typeof p=="boolean"?p:p.accept,!this.G)return this.I=void 0,this.J.dispose(),!1;h.browserEvent.dataTransfer.dropEffect=typeof p!="boolean"&&p.effect===0?"copy":"move";let m;if(typeof p!="boolean"&&p.feedback?m=p.feedback:typeof h.index>"u"?m=[-1]:m=[h.index],m=(0,v.distinct)(m).filter(E=>E>=-1&&E<this.length).sort((E,O)=>E-O),m=m[0]===-1?[-1]:m,f(this.I,m))return!0;if(this.I=m,this.J.dispose(),m[0]===-1)this.domNode.classList.add("drop-target"),this.o.classList.add("drop-target"),this.J=(0,M.toDisposable)(()=>{this.domNode.classList.remove("drop-target"),this.o.classList.remove("drop-target")});else{for(const E of m){const O=this.d[E];O.dropTarget=!0,O.row?.domNode.classList.add("drop-target")}this.J=(0,M.toDisposable)(()=>{for(const E of m){const O=this.d[E];O.dropTarget=!1,O.row?.domNode.classList.remove("drop-target")}})}return!0}jb(h){this.K.dispose(),this.K=(0,d.disposableTimeout)(()=>this.mb(),100),this.H&&this.F.onDragLeave?.(this.H,h.element,h.index,h.browserEvent)}kb(h){if(!this.G)return;const p=this.H;this.pb(),this.mb(),this.domNode.classList.remove("dragging"),this.H=void 0,a.CurrentDragAndDropData=void 0,!(!p||!h.browserEvent.dataTransfer)&&(h.browserEvent.preventDefault(),p.update(h.browserEvent.dataTransfer),this.F.drop(p,h.element,h.index,h.browserEvent))}lb(h){this.G=!1,this.pb(),this.mb(),this.domNode.classList.remove("dragging"),this.H=void 0,a.CurrentDragAndDropData=void 0,this.F.onDragEnd?.(h)}mb(){this.I=void 0,this.J.dispose(),this.J=M.Disposable.None}nb(h){if(!this.w){const p=(0,I.getTopLeftOffset)(this.domNode).top;this.w=(0,I.animate)(this.ob.bind(this,p))}this.x.dispose(),this.x=(0,d.disposableTimeout)(()=>{this.w&&(this.w.dispose(),this.w=void 0)},1e3),this.y=h.pageY}ob(h){if(this.y===void 0)return;const p=this.y-h,m=this.renderHeight-35;p<35?this.scrollTop+=Math.max(-14,Math.floor(.3*(p-35))):p>m&&(this.scrollTop+=Math.min(14,Math.floor(.3*(p-m))))}pb(){this.x.dispose(),this.w&&(this.w.dispose(),this.w=void 0)}qb(h){const p=this.q.getDomNode();let m=h;for(;m instanceof HTMLElement&&m!==this.o&&p.contains(m);){const E=m.getAttribute("data-index");if(E){const O=Number(E);if(!isNaN(O))return O}m=m.parentElement}}rb(h,p){return{start:this.g.indexAt(h),end:this.g.indexAfter(h+p-1)}}sb(h,p,m){const E=this.rb(h,p);let O,V;h===this.elementTop(E.start)?(O=E.start,V=0):E.end-E.start>1&&(O=E.start+1,V=this.elementTop(O)-h);let ee=0;for(;;){const Z=this.rb(h,p);let te=!1;for(let oe=Z.start;oe<Z.end;oe++){const he=this.tb(oe);he!==0&&this.g.splice(oe,1,[this.d[oe]]),ee+=he,te=te||he!==0}if(!te){ee!==0&&this.R();const oe=o.Range.relativeComplement(E,Z);for(const de of oe)for(let ce=de.start;ce<de.end;ce++)this.d[ce].row&&this.Z(ce);const he=o.Range.relativeComplement(Z,E);for(const de of he)for(let ce=de.start;ce<de.end;ce++){const pe=ce+1,Te=pe<this.d.length?this.d[pe].row:null,Pe=Te?Te.domNode:null;this.W(ce,Pe)}for(let de=Z.start;de<Z.end;de++)this.d[de].row&&this.Y(this.d[de],de);if(typeof O=="number"){const de=this.p.getFutureScrollPosition().scrollTop-h,ce=this.elementTop(O)-V+de;this.setScrollTop(ce,m)}this.M.fire(this.contentHeight);return}}}tb(h){const p=this.d[h];if(this.P.getDynamicHeight){const V=this.P.getDynamicHeight(p.element);if(V!==null){const ee=p.size;return p.size=V,p.lastDynamicHeightWidth=this.n,V-ee}}if(!p.hasDynamicHeight||p.lastDynamicHeightWidth===this.n||!!this.P.hasDynamicHeight&&!this.P.hasDynamicHeight(p.element))return 0;const m=p.size;if(p.row)return p.row.domNode.style.height="",p.size=p.row.domNode.offsetHeight,p.lastDynamicHeightWidth=this.n,p.size-m;const{row:E}=this.h.alloc(p.templateId);E.domNode.style.height="",this.o.appendChild(E.domNode);const O=this.j.get(p.templateId);if(!O)throw new r.BugIndicatingError("Missing renderer for templateId: "+p.templateId);return O.renderElement(p.element,h,E.templateData,void 0),p.size=E.domNode.offsetHeight,O.disposeElement?.(p.element,h,E.templateData,void 0),this.P.setDynamicHeight?.(p.element,p.size),p.lastDynamicHeightWidth=this.n,this.o.removeChild(E.domNode),this.h.release(E),p.size-m}ub(h){const p=h[h.length-1];if(!p)return null;const m=this.d[p.end];return!m||!m.row?null:m.row.domNode}getElementDomId(h){return`${this.domId}_${h}`}dispose(){if(this.d){for(const h of this.d)if(h.row){const p=this.j.get(h.row.templateId);p&&(p.disposeElement?.(h.element,-1,h.row.templateData,void 0),p.disposeTemplate(h.row.templateData))}this.d=[]}this.domNode&&this.domNode.parentNode&&this.domNode.parentNode.removeChild(this.domNode),(0,M.dispose)(this.L)}}T.c=0,Ve([u.memoize],T.prototype,"onMouseClick",null),Ve([u.memoize],T.prototype,"onMouseDblClick",null),Ve([u.memoize],T.prototype,"onMouseMiddleClick",null),Ve([u.memoize],T.prototype,"onMouseUp",null),Ve([u.memoize],T.prototype,"onMouseDown",null),Ve([u.memoize],T.prototype,"onMouseOver",null),Ve([u.memoize],T.prototype,"onMouseMove",null),Ve([u.memoize],T.prototype,"onMouseOut",null),Ve([u.memoize],T.prototype,"onContextMenu",null),Ve([u.memoize],T.prototype,"onTouchStart",null),Ve([u.memoize],T.prototype,"onTap",null),t.ListView=T}),define(ge[36],me([1,0,4,20,14,23,53,67,13,9,69,25,3,31,2,45,5,6,66,57,89]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e,s,r,a,l,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.List=t.unthemedListStyles=t.DefaultStyleController=t.MouseController=t.isSelectionRangeChangeEvent=t.isSelectionSingleChangeEvent=t.DefaultKeyboardNavigationDelegate=t.TypeNavigationMode=t.isButton=t.isMonacoEditor=t.isInputElement=void 0;class S{constructor(b){this.d=b,this.c=[]}get templateId(){return`template:${this.d.name}`}renderTemplate(b){return b}renderElement(b,R,H){const g=this.c.findIndex(N=>N.templateData===H);if(g>=0){const N=this.c[g];this.d.unrender(H),N.index=R}else{const N={index:R,templateData:H};this.c.push(N)}this.d.renderIndex(R,H)}splice(b,R,H){const g=[];for(const N of this.c)N.index<b?g.push(N):N.index>=b+R&&g.push({index:N.index+H-R,templateData:N.templateData});this.c=g}renderIndexes(b){for(const{index:R,templateData:H}of this.c)b.indexOf(R)>-1&&this.d.renderIndex(R,H)}disposeTemplate(b){const R=this.c.findIndex(H=>H.templateData===b);R<0||this.c.splice(R,1)}}class F{get name(){return this.h}get renderer(){return new S(this)}constructor(b){this.h=b,this.c=0,this.d=[],this.f=[],this.g=new o.Emitter,this.onChange=this.g.event}splice(b,R,H){R=Math.max(0,Math.min(R,this.c-b));const g=H.length-R,N=b+R,$=[...this.f.filter(k=>k<b),...H.map((k,P)=>k?P+b:-1).filter(k=>k!==-1),...this.f.filter(k=>k>=N).map(k=>k+g)],ie=this.c+g;if(this.f.length>0&&$.length===0&&ie>0){const k=this.f.find(P=>P>=b)??ie-1;$.push(Math.min(k,ie-1))}this.renderer.splice(b,R,H.length),this.k($,$),this.c=ie}renderIndex(b,R){R.classList.toggle(this.h,this.contains(b))}unrender(b){b.classList.remove(this.h)}set(b,R){return this.k(b,[...b].sort(Oe),R)}k(b,R,H){const g=this.d,N=this.f;this.d=b,this.f=R;const $=Te(N,b);return this.renderer.renderIndexes($),this.g.fire({indexes:b,browserEvent:H}),g}get(){return this.d}contains(b){return(0,d.binarySearch)(this.f,b,Oe)>=0}dispose(){(0,e.dispose)(this.g)}}Ve([M.memoize],F.prototype,"renderer",null);class f extends F{constructor(b){super("selected"),this.l=b}renderIndex(b,R){super.renderIndex(b,R),this.l&&(this.contains(b)?R.setAttribute("aria-selected","true"):R.setAttribute("aria-selected","false"))}}class D{constructor(b,R,H){this.c=b,this.d=R,this.f=H}splice(b,R,H){if(!this.f)return this.c.splice(b,R,H.map(()=>!1));const g=this.c.get().map($=>this.f.getId(this.d.element($)).toString()),N=H.map($=>g.indexOf(this.f.getId($).toString())>-1);this.c.splice(b,R,N)}}function T(Q){return Q.tagName==="INPUT"||Q.tagName==="TEXTAREA"}t.isInputElement=T;function L(Q){return Q.classList.contains("monaco-editor")?!0:Q.classList.contains("monaco-list")||!Q.parentElement?!1:L(Q.parentElement)}t.isMonacoEditor=L;function h(Q){return Q.tagName==="A"&&Q.classList.contains("monaco-button")||Q.tagName==="DIV"&&Q.classList.contains("monaco-button-dropdown")?!0:Q.classList.contains("monaco-list")||!Q.parentElement?!1:h(Q.parentElement)}t.isButton=h;class p{get f(){return this.c.add(o.Event.chain(this.c.add(new I.DomEmitter(this.h.domNode,"keydown")).event).filter(b=>!T(b.target)).map(b=>new i.StandardKeyboardEvent(b)))}constructor(b,R,H){this.g=b,this.h=R,this.c=new e.DisposableStore,this.d=new e.DisposableStore,this.f.filter(g=>g.keyCode===3).on(this.k,this,this.c),this.f.filter(g=>g.keyCode===16).on(this.l,this,this.c),this.f.filter(g=>g.keyCode===18).on(this.o,this,this.c),this.f.filter(g=>g.keyCode===11).on(this.p,this,this.c),this.f.filter(g=>g.keyCode===12).on(this.q,this,this.c),this.f.filter(g=>g.keyCode===9).on(this.t,this,this.c),H.multipleSelectionSupport!==!1&&this.f.filter(g=>(r.isMacintosh?g.metaKey:g.ctrlKey)&&g.keyCode===31).on(this.s,this,this.d)}updateOptions(b){b.multipleSelectionSupport!==void 0&&(this.d.clear(),b.multipleSelectionSupport&&this.f.filter(R=>(r.isMacintosh?R.metaKey:R.ctrlKey)&&R.keyCode===31).on(this.s,this,this.d))}k(b){b.preventDefault(),b.stopPropagation(),this.g.setSelection(this.g.getFocus(),b.browserEvent)}l(b){b.preventDefault(),b.stopPropagation(),this.g.focusPrevious(1,!1,b.browserEvent);const R=this.g.getFocus()[0];this.g.setAnchor(R),this.g.reveal(R),this.h.domNode.focus()}o(b){b.preventDefault(),b.stopPropagation(),this.g.focusNext(1,!1,b.browserEvent);const R=this.g.getFocus()[0];this.g.setAnchor(R),this.g.reveal(R),this.h.domNode.focus()}p(b){b.preventDefault(),b.stopPropagation(),this.g.focusPreviousPage(b.browserEvent);const R=this.g.getFocus()[0];this.g.setAnchor(R),this.g.reveal(R),this.h.domNode.focus()}q(b){b.preventDefault(),b.stopPropagation(),this.g.focusNextPage(b.browserEvent);const R=this.g.getFocus()[0];this.g.setAnchor(R),this.g.reveal(R),this.h.domNode.focus()}s(b){b.preventDefault(),b.stopPropagation(),this.g.setSelection((0,d.range)(this.g.length),b.browserEvent),this.g.setAnchor(void 0),this.h.domNode.focus()}t(b){this.g.getSelection().length&&(b.preventDefault(),b.stopPropagation(),this.g.setSelection([],b.browserEvent),this.g.setAnchor(void 0),this.h.domNode.focus())}dispose(){this.c.dispose(),this.d.dispose()}}Ve([M.memoize],p.prototype,"f",null);var m;(function(Q){Q[Q.Automatic=0]="Automatic",Q[Q.Trigger=1]="Trigger"})(m=t.TypeNavigationMode||(t.TypeNavigationMode={}));var E;(function(Q){Q[Q.Idle=0]="Idle",Q[Q.Typing=1]="Typing"})(E||(E={})),t.DefaultKeyboardNavigationDelegate=new class{mightProducePrintableCharacter(Q){return Q.ctrlKey||Q.metaKey||Q.altKey?!1:Q.keyCode>=31&&Q.keyCode<=56||Q.keyCode>=21&&Q.keyCode<=30||Q.keyCode>=93&&Q.keyCode<=102||Q.keyCode>=80&&Q.keyCode<=90}};class O{constructor(b,R,H,g,N){this.o=b,this.p=R,this.q=H,this.s=g,this.t=N,this.c=!1,this.d=E.Idle,this.f=m.Automatic,this.g=!1,this.h=-1,this.k=new e.DisposableStore,this.l=new e.DisposableStore,this.updateOptions(b.options)}updateOptions(b){b.typeNavigationEnabled??!0?this.u():this.v(),this.f=b.typeNavigationMode??m.Automatic}trigger(){this.g=!this.g}u(){if(this.c)return;let b=!1;const R=this.k.add(o.Event.chain(this.k.add(new I.DomEmitter(this.p.domNode,"keydown")).event)).filter(N=>!T(N.target)).filter(()=>this.f===m.Automatic||this.g).map(N=>new i.StandardKeyboardEvent(N)).filter(N=>b||this.s(N)).filter(N=>this.t.mightProducePrintableCharacter(N)).forEach(N=>A.EventHelper.stop(N,!0)).map(N=>N.browserEvent.key).event,H=o.Event.debounce(R,()=>null,800,void 0,void 0,this.k);o.Event.reduce(o.Event.any(R,H),(N,$)=>$===null?null:(N||"")+$,void 0,this.k)(this.z,this,this.k),H(this.w,this,this.k),R(()=>b=!0,void 0,this.k),H(()=>b=!1,void 0,this.k),this.c=!0,this.g=!1}v(){!this.c||(this.k.clear(),this.c=!1,this.g=!1)}w(){const b=this.o.getFocus();if(b.length>0&&b[0]===this.h){const R=this.o.options.accessibilityProvider?.getAriaLabel(this.o.element(b[0]));R&&(0,w.alert)(R)}this.h=-1}z(b){if(!b){this.d=E.Idle,this.g=!1;return}const R=this.o.getFocus(),H=R.length>0?R[0]:0,g=this.d===E.Idle?1:0;this.d=E.Typing;for(let N=0;N<this.o.length;N++){const $=(H+N+g)%this.o.length,ie=this.q.getKeyboardNavigationLabel(this.p.element($)),k=ie&&ie.toString();if(typeof k>"u"||(0,n.matchesPrefix)(b,k)){this.h=H,this.o.setFocus([$]),this.o.reveal($);return}}}dispose(){this.v(),this.k.dispose(),this.l.dispose()}}class V{constructor(b,R){this.d=b,this.f=R,this.c=new e.DisposableStore,this.c.add(o.Event.chain(this.c.add(new I.DomEmitter(R.domNode,"keydown")).event)).filter(g=>!T(g.target)).map(g=>new i.StandardKeyboardEvent(g)).filter(g=>g.keyCode===2&&!g.ctrlKey&&!g.metaKey&&!g.shiftKey&&!g.altKey).on(this.g,this,this.c)}g(b){if(b.target!==this.f.domNode)return;const R=this.d.getFocus();if(R.length===0)return;const H=this.f.domElement(R[0]);if(!H)return;const g=H.querySelector("[tabIndex]");if(!g||!(g instanceof HTMLElement)||g.tabIndex===-1)return;const N=window.getComputedStyle(g);N.visibility==="hidden"||N.display==="none"||(b.preventDefault(),b.stopPropagation(),g.focus())}dispose(){this.c.dispose()}}function ee(Q){return r.isMacintosh?Q.browserEvent.metaKey:Q.browserEvent.ctrlKey}t.isSelectionSingleChangeEvent=ee;function Z(Q){return Q.browserEvent.shiftKey}t.isSelectionRangeChangeEvent=Z;function te(Q){return Q instanceof MouseEvent&&Q.button===2}const oe={isSelectionSingleChangeEvent:ee,isSelectionRangeChangeEvent:Z};class he{constructor(b){this.k=b,this.f=new e.DisposableStore,this.g=new o.Emitter,this.onPointer=this.g.event,b.options.multipleSelectionSupport!==!1&&(this.c=this.k.options.multipleSelectionController||oe),this.d=typeof b.options.mouseSupport>"u"||!!b.options.mouseSupport,this.d&&(b.onMouseDown(this.s,this,this.f),b.onContextMenu(this.t,this,this.f),b.onMouseDblClick(this.v,this,this.f),b.onTouchStart(this.s,this,this.f),this.f.add(_.Gesture.addTarget(b.getHTMLElement()))),o.Event.any(b.onMouseClick,b.onMouseMiddleClick,b.onTap)(this.u,this,this.f)}updateOptions(b){b.multipleSelectionSupport!==void 0&&(this.c=void 0,b.multipleSelectionSupport&&(this.c=this.k.options.multipleSelectionController||oe))}o(b){return this.c?this.c.isSelectionSingleChangeEvent(b):!1}p(b){return this.c?this.c.isSelectionRangeChangeEvent(b):!1}q(b){return this.o(b)||this.p(b)}s(b){L(b.browserEvent.target)||document.activeElement!==b.browserEvent.target&&this.k.domFocus()}t(b){if(T(b.browserEvent.target)||L(b.browserEvent.target))return;const R=typeof b.index>"u"?[]:[b.index];this.k.setFocus(R,b.browserEvent)}u(b){if(!this.d||T(b.browserEvent.target)||L(b.browserEvent.target))return;const R=b.index;if(typeof R>"u"){this.k.setFocus([],b.browserEvent),this.k.setSelection([],b.browserEvent),this.k.setAnchor(void 0);return}if(this.p(b))return this.w(b);if(this.q(b))return this.w(b);this.k.setFocus([R],b.browserEvent),this.k.setAnchor(R),te(b.browserEvent)||this.k.setSelection([R],b.browserEvent),this.g.fire(b)}v(b){if(T(b.browserEvent.target)||L(b.browserEvent.target)||this.q(b))return;const R=this.k.getFocus();this.k.setSelection(R,b.browserEvent)}w(b){const R=b.index;let H=this.k.getAnchor();if(this.p(b)){typeof H>"u"&&(H=this.k.getFocus()[0]??R,this.k.setAnchor(H));const g=Math.min(H,R),N=Math.max(H,R),$=(0,d.range)(g,N+1),ie=this.k.getSelection(),k=pe(Te(ie,[H]),H);if(k.length===0)return;const P=Te($,Pe(ie,k));this.k.setSelection(P,b.browserEvent),this.k.setFocus([R],b.browserEvent)}else if(this.o(b)){const g=this.k.getSelection(),N=g.filter($=>$!==R);this.k.setFocus([R]),this.k.setAnchor(R),g.length===N.length?this.k.setSelection([...N,R],b.browserEvent):this.k.setSelection(N,b.browserEvent)}}dispose(){this.f.dispose()}}t.MouseController=he;class de{constructor(b,R){this.c=b,this.d=R}style(b){const R=this.d&&`.${this.d}`,H=[];b.listBackground&&H.push(`.monaco-list${R} .monaco-list-rows { background: ${b.listBackground}; }`),b.listFocusBackground&&(H.push(`.monaco-list${R}:focus .monaco-list-row.focused { background-color: ${b.listFocusBackground}; }`),H.push(`.monaco-list${R}:focus .monaco-list-row.focused:hover { background-color: ${b.listFocusBackground}; }`)),b.listFocusForeground&&H.push(`.monaco-list${R}:focus .monaco-list-row.focused { color: ${b.listFocusForeground}; }`),b.listActiveSelectionBackground&&(H.push(`.monaco-list${R}:focus .monaco-list-row.selected { background-color: ${b.listActiveSelectionBackground}; }`),H.push(`.monaco-list${R}:focus .monaco-list-row.selected:hover { background-color: ${b.listActiveSelectionBackground}; }`)),b.listActiveSelectionForeground&&H.push(`.monaco-list${R}:focus .monaco-list-row.selected { color: ${b.listActiveSelectionForeground}; }`),b.listActiveSelectionIconForeground&&H.push(`.monaco-list${R}:focus .monaco-list-row.selected .codicon { color: ${b.listActiveSelectionIconForeground}; }`),b.listFocusAndSelectionOutline&&H.push(`.monaco-list${R}:focus .monaco-list-row.selected { outline-color: ${b.listFocusAndSelectionOutline} !important; }`),b.listFocusAndSelectionBackground&&H.push(`
				.monaco-drag-image,
				.monaco-list${R}:focus .monaco-list-row.selected.focused { background-color: ${b.listFocusAndSelectionBackground}; }
			`),b.listFocusAndSelectionForeground&&H.push(`
				.monaco-drag-image,
				.monaco-list${R}:focus .monaco-list-row.selected.focused { color: ${b.listFocusAndSelectionForeground}; }
			`),b.listInactiveFocusForeground&&(H.push(`.monaco-list${R} .monaco-list-row.focused { color:  ${b.listInactiveFocusForeground}; }`),H.push(`.monaco-list${R} .monaco-list-row.focused:hover { color:  ${b.listInactiveFocusForeground}; }`)),b.listInactiveSelectionIconForeground&&H.push(`.monaco-list${R} .monaco-list-row.focused .codicon { color:  ${b.listInactiveSelectionIconForeground}; }`),b.listInactiveFocusBackground&&(H.push(`.monaco-list${R} .monaco-list-row.focused { background-color:  ${b.listInactiveFocusBackground}; }`),H.push(`.monaco-list${R} .monaco-list-row.focused:hover { background-color:  ${b.listInactiveFocusBackground}; }`)),b.listInactiveSelectionBackground&&(H.push(`.monaco-list${R} .monaco-list-row.selected { background-color:  ${b.listInactiveSelectionBackground}; }`),H.push(`.monaco-list${R} .monaco-list-row.selected:hover { background-color:  ${b.listInactiveSelectionBackground}; }`)),b.listInactiveSelectionForeground&&H.push(`.monaco-list${R} .monaco-list-row.selected { color: ${b.listInactiveSelectionForeground}; }`),b.listHoverBackground&&H.push(`.monaco-list${R}:not(.drop-target):not(.dragging) .monaco-list-row:hover:not(.selected):not(.focused) { background-color: ${b.listHoverBackground}; }`),b.listHoverForeground&&H.push(`.monaco-list${R}:not(.drop-target):not(.dragging) .monaco-list-row:hover:not(.selected):not(.focused) { color:  ${b.listHoverForeground}; }`),b.listSelectionOutline&&H.push(`.monaco-list${R} .monaco-list-row.selected { outline: 1px dotted ${b.listSelectionOutline}; outline-offset: -1px; }`),b.listFocusOutline&&H.push(`
				.monaco-drag-image,
				.monaco-list${R}:focus .monaco-list-row.focused { outline: 1px solid ${b.listFocusOutline}; outline-offset: -1px; }
				.monaco-workbench.context-menu-visible .monaco-list${R}.last-focused .monaco-list-row.focused { outline: 1px solid ${b.listFocusOutline}; outline-offset: -1px; }
			`),b.listInactiveFocusOutline&&H.push(`.monaco-list${R} .monaco-list-row.focused { outline: 1px dotted ${b.listInactiveFocusOutline}; outline-offset: -1px; }`),b.listHoverOutline&&H.push(`.monaco-list${R} .monaco-list-row:hover { outline: 1px dashed ${b.listHoverOutline}; outline-offset: -1px; }`),b.listDropBackground&&H.push(`
				.monaco-list${R}.drop-target,
				.monaco-list${R} .monaco-list-rows.drop-target,
				.monaco-list${R} .monaco-list-row.drop-target { background-color: ${b.listDropBackground} !important; color: inherit !important; }
			`),b.tableColumnsBorder&&H.push(`
				.monaco-table > .monaco-split-view2,
				.monaco-table > .monaco-split-view2 .monaco-sash.vertical::before,
				.monaco-workbench:not(.reduce-motion) .monaco-table:hover > .monaco-split-view2,
				.monaco-workbench:not(.reduce-motion) .monaco-table:hover > .monaco-split-view2 .monaco-sash.vertical::before {
					border-color: ${b.tableColumnsBorder};
				}

				.monaco-workbench:not(.reduce-motion) .monaco-table > .monaco-split-view2,
				.monaco-workbench:not(.reduce-motion) .monaco-table > .monaco-split-view2 .monaco-sash.vertical::before {
					border-color: transparent;
				}
			`),b.tableOddRowsBackgroundColor&&H.push(`
				.monaco-table .monaco-list-row[data-parity=odd]:not(.focused):not(.selected):not(:hover) .monaco-table-tr,
				.monaco-table .monaco-list:not(:focus) .monaco-list-row[data-parity=odd].focused:not(.selected):not(:hover) .monaco-table-tr,
				.monaco-table .monaco-list:not(.focused) .monaco-list-row[data-parity=odd].focused:not(.selected):not(:hover) .monaco-table-tr {
					background-color: ${b.tableOddRowsBackgroundColor};
				}
			`),this.c.textContent=H.join(`
`)}}t.DefaultStyleController=de,t.unthemedListStyles={listFocusBackground:"#7FB0D0",listActiveSelectionBackground:"#0E639C",listActiveSelectionForeground:"#FFFFFF",listActiveSelectionIconForeground:"#FFFFFF",listFocusAndSelectionOutline:"#90C2F9",listFocusAndSelectionBackground:"#094771",listFocusAndSelectionForeground:"#FFFFFF",listInactiveSelectionBackground:"#3F3F46",listInactiveSelectionIconForeground:"#FFFFFF",listHoverBackground:"#2A2D2E",listDropBackground:"#383B3D",treeIndentGuidesStroke:"#a9a9a9",treeInactiveIndentGuidesStroke:c.Color.fromHex("#a9a9a9").transparent(.4).toString(),tableColumnsBorder:c.Color.fromHex("#cccccc").transparent(.2).toString(),tableOddRowsBackgroundColor:c.Color.fromHex("#cccccc").transparent(.04).toString(),listBackground:void 0,listFocusForeground:void 0,listInactiveSelectionForeground:void 0,listInactiveFocusForeground:void 0,listInactiveFocusBackground:void 0,listHoverForeground:void 0,listFocusOutline:void 0,listInactiveFocusOutline:void 0,listSelectionOutline:void 0,listHoverOutline:void 0};const ce={keyboardSupport:!0,mouseSupport:!0,multipleSelectionSupport:!0,dnd:{getDragURI(){return null},onDragStart(){},onDragOver(){return!1},drop(){}}};function pe(Q,b){const R=Q.indexOf(b);if(R===-1)return[];const H=[];let g=R-1;for(;g>=0&&Q[g]===b-(R-g);)H.push(Q[g--]);for(H.reverse(),g=R;g<Q.length&&Q[g]===b+(g-R);)H.push(Q[g++]);return H}function Te(Q,b){const R=[];let H=0,g=0;for(;H<Q.length||g<b.length;)if(H>=Q.length)R.push(b[g++]);else if(g>=b.length)R.push(Q[H++]);else if(Q[H]===b[g]){R.push(Q[H]),H++,g++;continue}else Q[H]<b[g]?R.push(Q[H++]):R.push(b[g++]);return R}function Pe(Q,b){const R=[];let H=0,g=0;for(;H<Q.length||g<b.length;)if(H>=Q.length)R.push(b[g++]);else if(g>=b.length)R.push(Q[H++]);else if(Q[H]===b[g]){H++,g++;continue}else Q[H]<b[g]?R.push(Q[H++]):g++;return R}const Oe=(Q,b)=>Q-b;class j{constructor(b,R){this.c=b,this.d=R}get templateId(){return this.c}renderTemplate(b){return this.d.map(R=>R.renderTemplate(b))}renderElement(b,R,H,g){let N=0;for(const $ of this.d)$.renderElement(b,R,H[N++],g)}disposeElement(b,R,H,g){let N=0;for(const $ of this.d)$.disposeElement?.(b,R,H[N],g),N+=1}disposeTemplate(b){let R=0;for(const H of this.d)H.disposeTemplate(b[R++])}}class G{constructor(b){this.c=b,this.templateId="a18n"}renderTemplate(b){return b}renderElement(b,R,H){const g=this.c.getAriaLabel(b);g?H.setAttribute("aria-label",g):H.removeAttribute("aria-label");const N=this.c.getAriaLevel&&this.c.getAriaLevel(b);typeof N=="number"?H.setAttribute("aria-level",`${N}`):H.removeAttribute("aria-level")}disposeTemplate(b){}}class se{constructor(b,R){this.c=b,this.d=R}getDragElements(b){const R=this.c.getSelectedElements();return R.indexOf(b)>-1?R:[b]}getDragURI(b){return this.d.getDragURI(b)}getDragLabel(b,R){if(this.d.getDragLabel)return this.d.getDragLabel(b,R)}onDragStart(b,R){this.d.onDragStart?.(b,R)}onDragOver(b,R,H,g){return this.d.onDragOver(b,R,H,g)}onDragLeave(b,R,H,g){this.d.onDragLeave?.(b,R,H,g)}onDragEnd(b){this.d.onDragEnd?.(b)}drop(b,R,H,g){this.d.drop(b,R,H,g)}}class ne{get onDidChangeFocus(){return o.Event.map(this.g.wrapEvent(this.c.onChange),b=>this.H(b),this.z)}get onDidChangeSelection(){return o.Event.map(this.g.wrapEvent(this.d.onChange),b=>this.H(b),this.z)}get domId(){return this.view.domId}get onDidScroll(){return this.view.onDidScroll}get onMouseClick(){return this.view.onMouseClick}get onMouseDblClick(){return this.view.onMouseDblClick}get onMouseMiddleClick(){return this.view.onMouseMiddleClick}get onPointer(){return this.v.onPointer}get onMouseUp(){return this.view.onMouseUp}get onMouseDown(){return this.view.onMouseDown}get onMouseOver(){return this.view.onMouseOver}get onMouseMove(){return this.view.onMouseMove}get onMouseOut(){return this.view.onMouseOut}get onTouchStart(){return this.view.onTouchStart}get onTap(){return this.view.onTap}get onContextMenu(){let b=!1;const R=this.z.add(o.Event.chain(this.z.add(new I.DomEmitter(this.view.domNode,"keydown")).event)).map(N=>new i.StandardKeyboardEvent(N)).filter(N=>b=N.keyCode===58||N.shiftKey&&N.keyCode===68).map(N=>A.EventHelper.stop(N,!0)).filter(()=>!1).event,H=this.z.add(o.Event.chain(this.z.add(new I.DomEmitter(this.view.domNode,"keyup")).event)).forEach(()=>b=!1).map(N=>new i.StandardKeyboardEvent(N)).filter(N=>N.keyCode===58||N.shiftKey&&N.keyCode===68).map(N=>A.EventHelper.stop(N,!0)).map(({browserEvent:N})=>{const $=this.getFocus(),ie=$.length?$[0]:void 0,k=typeof ie<"u"?this.view.element(ie):void 0,P=typeof ie<"u"?this.view.domElement(ie):this.view.domNode;return{index:ie,element:k,anchor:P,browserEvent:N}}).event,g=this.z.add(o.Event.chain(this.view.onContextMenu)).filter(N=>!b).map(({element:N,index:$,browserEvent:ie})=>({element:N,index:$,anchor:{x:ie.pageX+1,y:ie.pageY},browserEvent:ie})).event;return o.Event.any(R,H,g)}get onKeyDown(){return this.z.add(new I.DomEmitter(this.view.domNode,"keydown")).event}get onKeyUp(){return this.z.add(new I.DomEmitter(this.view.domNode,"keyup")).event}get onKeyPress(){return this.z.add(new I.DomEmitter(this.view.domNode,"keypress")).event}get onDidFocus(){return o.Event.signal(this.z.add(new I.DomEmitter(this.view.domNode,"focus",!0)).event)}get onDidBlur(){return o.Event.signal(this.z.add(new I.DomEmitter(this.view.domNode,"blur",!0)).event)}constructor(b,R,H,g,N=ce){this.B=b,this.C=N,this.c=new F("focused"),this.f=new F("anchor"),this.g=new o.EventBufferer,this.w="",this.z=new e.DisposableStore,this.A=new o.Emitter,this.onDidDispose=this.A.event;const $=this.C.accessibilityProvider&&this.C.accessibilityProvider.getWidgetRole?this.C.accessibilityProvider?.getWidgetRole():"list";this.d=new f($!=="listbox");const ie=[this.c.renderer,this.d.renderer];this.t=N.accessibilityProvider,this.t&&(ie.push(new G(this.t)),this.t.onDidChangeActiveDescendant?.(this.J,this,this.z)),g=g.map(P=>new j(P.templateId,[...ie,P]));const k={...N,dnd:N.dnd&&new se(this,N.dnd)};if(this.view=this.D(R,H,g,k),this.view.domNode.setAttribute("role",$),N.styleController)this.o=N.styleController(this.view.domId);else{const P=(0,A.createStyleSheet)(this.view.domNode);this.o=new de(P,this.view.domId)}if(this.k=new v.CombinedSpliceable([new D(this.c,this.view,N.identityProvider),new D(this.d,this.view,N.identityProvider),new D(this.f,this.view,N.identityProvider),this.view]),this.z.add(this.c),this.z.add(this.d),this.z.add(this.f),this.z.add(this.view),this.z.add(this.A),this.z.add(new V(this,this.view)),(typeof N.keyboardSupport!="boolean"||N.keyboardSupport)&&(this.u=new p(this,this.view,N),this.z.add(this.u)),N.keyboardNavigationLabelProvider){const P=N.keyboardNavigationDelegate||t.DefaultKeyboardNavigationDelegate;this.q=new O(this,this.view,N.keyboardNavigationLabelProvider,N.keyboardNavigationEventFilter??(()=>!0),P),this.z.add(this.q)}this.v=this.E(N),this.z.add(this.v),this.onDidChangeFocus(this.I,this,this.z),this.onDidChangeSelection(this.K,this,this.z),this.t&&(this.ariaLabel=this.t.getWidgetAriaLabel()),this.C.multipleSelectionSupport!==!1&&this.view.domNode.setAttribute("aria-multiselectable","true")}D(b,R,H,g){return new y.ListView(b,R,H,g)}E(b){return new he(this)}updateOptions(b={}){this.C={...this.C,...b},this.q?.updateOptions(this.C),this.C.multipleSelectionController!==void 0&&(this.C.multipleSelectionSupport?this.view.domNode.setAttribute("aria-multiselectable","true"):this.view.domNode.removeAttribute("aria-multiselectable")),this.v.updateOptions(b),this.u?.updateOptions(b),this.view.updateOptions(b)}get options(){return this.C}splice(b,R,H=[]){if(b<0||b>this.view.length)throw new l.ListError(this.B,`Invalid start index: ${b}`);if(R<0)throw new l.ListError(this.B,`Invalid delete count: ${R}`);R===0&&H.length===0||this.g.bufferEvents(()=>this.k.splice(b,R,H))}updateWidth(b){this.view.updateWidth(b)}updateElementHeight(b,R){this.view.updateElementHeight(b,R,null)}rerender(){this.view.rerender()}element(b){return this.view.element(b)}indexOf(b){return this.view.indexOf(b)}get length(){return this.view.length}get contentHeight(){return this.view.contentHeight}get onDidChangeContentHeight(){return this.view.onDidChangeContentHeight}get scrollTop(){return this.view.getScrollTop()}set scrollTop(b){this.view.setScrollTop(b)}get scrollLeft(){return this.view.getScrollLeft()}set scrollLeft(b){this.view.setScrollLeft(b)}get scrollHeight(){return this.view.scrollHeight}get renderHeight(){return this.view.renderHeight}get firstVisibleIndex(){return this.view.firstVisibleIndex}get lastVisibleIndex(){return this.view.lastVisibleIndex}get ariaLabel(){return this.w}set ariaLabel(b){this.w=b,this.view.domNode.setAttribute("aria-label",b)}domFocus(){this.view.domNode.focus({preventScroll:!0})}layout(b,R){this.view.layout(b,R)}triggerTypeNavigation(){this.q?.trigger()}setSelection(b,R){for(const H of b)if(H<0||H>=this.length)throw new l.ListError(this.B,`Invalid index ${H}`);this.d.set(b,R)}getSelection(){return this.d.get()}getSelectedElements(){return this.getSelection().map(b=>this.view.element(b))}setAnchor(b){if(typeof b>"u"){this.f.set([]);return}if(b<0||b>=this.length)throw new l.ListError(this.B,`Invalid index ${b}`);this.f.set([b])}getAnchor(){return(0,d.firstOrDefault)(this.f.get(),void 0)}getAnchorElement(){const b=this.getAnchor();return typeof b>"u"?void 0:this.element(b)}setFocus(b,R){for(const H of b)if(H<0||H>=this.length)throw new l.ListError(this.B,`Invalid index ${H}`);this.c.set(b,R)}focusNext(b=1,R=!1,H,g){if(this.length===0)return;const N=this.c.get(),$=this.F(N.length>0?N[0]+b:0,R,g);$>-1&&this.setFocus([$],H)}focusPrevious(b=1,R=!1,H,g){if(this.length===0)return;const N=this.c.get(),$=this.G(N.length>0?N[0]-b:0,R,g);$>-1&&this.setFocus([$],H)}async focusNextPage(b,R){let H=this.view.indexAt(this.view.getScrollTop()+this.view.renderHeight);H=H===0?0:H-1;const g=this.getFocus()[0];if(g!==H&&(g===void 0||H>g)){const N=this.G(H,!1,R);N>-1&&g!==N?this.setFocus([N],b):this.setFocus([H],b)}else{const N=this.view.getScrollTop();let $=N+this.view.renderHeight;H>g&&($-=this.view.elementHeight(H)),this.view.setScrollTop($),this.view.getScrollTop()!==N&&(this.setFocus([]),await(0,u.timeout)(0),await this.focusNextPage(b,R))}}async focusPreviousPage(b,R){let H;const g=this.view.getScrollTop();g===0?H=this.view.indexAt(g):H=this.view.indexAfter(g-1);const N=this.getFocus()[0];if(N!==H&&(N===void 0||N>=H)){const $=this.F(H,!1,R);$>-1&&N!==$?this.setFocus([$],b):this.setFocus([H],b)}else{const $=g;this.view.setScrollTop(g-this.view.renderHeight),this.view.getScrollTop()!==$&&(this.setFocus([]),await(0,u.timeout)(0),await this.focusPreviousPage(b,R))}}focusLast(b,R){if(this.length===0)return;const H=this.G(this.length-1,!1,R);H>-1&&this.setFocus([H],b)}focusFirst(b,R){this.focusNth(0,b,R)}focusNth(b,R,H){if(this.length===0)return;const g=this.F(b,!1,H);g>-1&&this.setFocus([g],R)}F(b,R=!1,H){for(let g=0;g<this.length;g++){if(b>=this.length&&!R)return-1;if(b=b%this.length,!H||H(this.element(b)))return b;b++}return-1}G(b,R=!1,H){for(let g=0;g<this.length;g++){if(b<0&&!R)return-1;if(b=(this.length+b%this.length)%this.length,!H||H(this.element(b)))return b;b--}return-1}getFocus(){return this.c.get()}getFocusedElements(){return this.getFocus().map(b=>this.view.element(b))}reveal(b,R){if(b<0||b>=this.length)throw new l.ListError(this.B,`Invalid index ${b}`);const H=this.view.getScrollTop(),g=this.view.elementTop(b),N=this.view.elementHeight(b);if((0,a.isNumber)(R)){const $=N-this.view.renderHeight;this.view.setScrollTop($*(0,s.clamp)(R,0,1)+g)}else{const $=g+N,ie=H+this.view.renderHeight;g<H&&$>=ie||(g<H||$>=ie&&N>=this.view.renderHeight?this.view.setScrollTop(g):$>=ie&&this.view.setScrollTop($-this.view.renderHeight))}}getRelativeTop(b){if(b<0||b>=this.length)throw new l.ListError(this.B,`Invalid index ${b}`);const R=this.view.getScrollTop(),H=this.view.elementTop(b),g=this.view.elementHeight(b);if(H<R||H+g>R+this.view.renderHeight)return null;const N=g-this.view.renderHeight;return Math.abs((R-H)/N)}isDOMFocused(){return this.view.domNode===document.activeElement}getHTMLElement(){return this.view.domNode}getElementID(b){return this.view.getElementDomId(b)}style(b){this.o.style(b)}H({indexes:b,browserEvent:R}){return{indexes:b,elements:b.map(H=>this.view.element(H)),browserEvent:R}}I(){const b=this.c.get();this.view.domNode.classList.toggle("element-focused",b.length>0),this.J()}J(){const b=this.c.get();if(b.length>0){let R;this.t?.getActiveDescendantId&&(R=this.t.getActiveDescendantId(this.view.element(b[0]))),this.view.domNode.setAttribute("aria-activedescendant",R||this.view.getElementDomId(b[0]))}else this.view.domNode.removeAttribute("aria-activedescendant")}K(){const b=this.d.get();this.view.domNode.classList.toggle("selection-none",b.length===0),this.view.domNode.classList.toggle("selection-single",b.length===1),this.view.domNode.classList.toggle("selection-multiple",b.length>1)}dispose(){this.A.fire(),this.z.dispose(),this.A.dispose()}}Ve([M.memoize],ne.prototype,"onDidChangeFocus",null),Ve([M.memoize],ne.prototype,"onDidChangeSelection",null),Ve([M.memoize],ne.prototype,"onContextMenu",null),Ve([M.memoize],ne.prototype,"onKeyDown",null),Ve([M.memoize],ne.prototype,"onKeyUp",null),Ve([M.memoize],ne.prototype,"onKeyPress",null),Ve([M.memoize],ne.prototype,"onDidFocus",null),Ve([M.memoize],ne.prototype,"onDidBlur",null),t.List=ne}),define(ge[58],me([1,0,7,32,34,11,15]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parseHrefAndDimensions=t.removeMarkdownEscapes=t.escapeDoubleQuotes=t.escapeMarkdownSyntaxTokens=t.markdownStringEqual=t.isMarkdownString=t.isEmptyMarkdownString=t.MarkdownString=t.MarkdownStringTextNewlineStyle=void 0;var v;(function(r){r[r.Paragraph=0]="Paragraph",r[r.Break=1]="Break"})(v=t.MarkdownStringTextNewlineStyle||(t.MarkdownStringTextNewlineStyle={}));class d{constructor(a="",l=!1){if(this.value=a,typeof this.value!="string")throw(0,A.illegalArgument)("value");typeof l=="boolean"?(this.isTrusted=l,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=l.isTrusted??void 0,this.supportThemeIcons=l.supportThemeIcons??!1,this.supportHtml=l.supportHtml??!1)}appendText(a,l=0){return this.value+=o(this.supportThemeIcons?(0,I.escapeIcons)(a):a).replace(/([ \t]+)/g,(y,S)=>"&nbsp;".repeat(S.length)).replace(/\>/gm,"\\>").replace(/\n/g,l===1?`\\
`:`

`),this}appendMarkdown(a){return this.value+=a,this}appendCodeblock(a,l){return this.value+="\n```",this.value+=a,this.value+=`
`,this.value+=l,this.value+="\n```\n",this}appendLink(a,l,y){return this.value+="[",this.value+=this.c(l,"]"),this.value+="](",this.value+=this.c(String(a),")"),y&&(this.value+=` "${this.c(this.c(y,'"'),")")}"`),this.value+=")",this}c(a,l){const y=new RegExp((0,_.escapeRegExpCharacters)(l),"g");return a.replace(y,(S,F)=>a.charAt(F-1)!=="\\"?`\\${S}`:S)}}t.MarkdownString=d;function u(r){return c(r)?!r.value:Array.isArray(r)?r.every(u):!0}t.isEmptyMarkdownString=u;function c(r){return r instanceof d?!0:r&&typeof r=="object"?typeof r.value=="string"&&(typeof r.isTrusted=="boolean"||r.isTrusted===void 0)&&(typeof r.supportThemeIcons=="boolean"||r.supportThemeIcons===void 0):!1}t.isMarkdownString=c;function M(r,a){return r===a?!0:!r||!a?!1:r.value===a.value&&r.isTrusted===a.isTrusted&&r.supportThemeIcons===a.supportThemeIcons&&r.supportHtml===a.supportHtml&&(r.baseUri===a.baseUri||!!r.baseUri&&!!a.baseUri&&(0,i.isEqual)(w.URI.from(r.baseUri),w.URI.from(a.baseUri)))}t.markdownStringEqual=M;function o(r){return r.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}t.escapeMarkdownSyntaxTokens=o;function n(r){return r.replace(/"/g,"&quot;")}t.escapeDoubleQuotes=n;function e(r){return r&&r.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}t.removeMarkdownEscapes=e;function s(r){const a=[],l=r.split("|").map(S=>S.trim());r=l[0];const y=l[1];if(y){const S=/height=(\d+)/.exec(y),F=/width=(\d+)/.exec(y),f=S?S[1]:"",D=F?F[1]:"",T=isFinite(parseInt(D)),L=isFinite(parseInt(f));T&&a.push(`width="${D}"`),L&&a.push(`height="${f}"`)}return{href:r,dimensions:a}}t.parseHrefAndDimensions=s}),define(ge[122],me([1,0,4,114,20,51,14,21,115,7,3,58,32,72,43,2,75,49,33,80,34,11,15]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e,s,r,a,l,y,S,F,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.renderMarkdownAsPlaintext=t.renderStringAsPlaintext=t.allowedMarkdownAttr=t.renderMarkdown=void 0;const D=Object.freeze({image:(Z,te,oe)=>{let he=[],de=[];return Z&&({href:Z,dimensions:he}=(0,M.parseHrefAndDimensions)(Z),de.push(`src="${(0,M.escapeDoubleQuotes)(Z)}"`)),oe&&de.push(`alt="${(0,M.escapeDoubleQuotes)(oe)}"`),te&&de.push(`title="${(0,M.escapeDoubleQuotes)(te)}"`),he.length&&(de=de.concat(he)),"<img "+de.join(" ")+">"},paragraph:Z=>`<p>${Z}</p>`,link:(Z,te,oe)=>typeof Z!="string"?"":(Z===oe&&(oe=(0,M.removeMarkdownEscapes)(oe)),te=typeof te=="string"?(0,M.escapeDoubleQuotes)((0,M.removeMarkdownEscapes)(te)):"",Z=(0,M.removeMarkdownEscapes)(Z),Z=Z.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;"),`<a href="${Z}" title="${te||Z}">${oe}</a>`)});function T(Z,te={},oe={}){const he=new s.DisposableStore;let de=!1;const ce=(0,_.createElement)(te),pe=function(Q){let b;try{b=(0,a.parse)(decodeURIComponent(Q))}catch{}return b?(b=(0,y.cloneAndChange)(b,R=>{if(Z.uris&&Z.uris[R])return f.URI.revive(Z.uris[R])}),encodeURIComponent(JSON.stringify(b))):Q},Te=function(Q,b){const R=Z.uris&&Z.uris[Q];let H=f.URI.revive(R);return b?Q.startsWith(l.Schemas.data+":")?Q:(H||(H=f.URI.parse(Q)),l.FileAccess.uriToBrowserUri(H).toString(!0)):!H||f.URI.parse(Q).toString()===H.toString()?Q:(H.query&&(H=H.with({query:pe(H.query)})),H.toString())},Pe=new r.marked.Renderer;Pe.image=D.image,Pe.link=D.link,Pe.paragraph=D.paragraph;const Oe=[];if(te.codeBlockRenderer&&(Pe.code=(Q,b)=>{const R=n.defaultGenerator.nextId(),H=te.codeBlockRenderer(L(b),Q);return Oe.push(H.then(g=>[R,g])),`<div class="code" data-code="${R}">${(0,F.escape)(Q)}</div>`}),te.actionHandler){const Q=function(H){let g=H.target;if(!(g.tagName!=="A"&&(g=g.parentElement,!g||g.tagName!=="A")))try{let N=g.dataset.href;N&&(Z.baseUri&&(N=h(f.URI.from(Z.baseUri),N)),te.actionHandler.callback(N,H))}catch(N){(0,u.onUnexpectedError)(N)}finally{H.preventDefault()}},b=te.actionHandler.disposables.add(new i.DomEmitter(ce,"click")),R=te.actionHandler.disposables.add(new i.DomEmitter(ce,"auxclick"));te.actionHandler.disposables.add(c.Event.any(b.event,R.event)(H=>{const g=new v.StandardMouseEvent(H);!g.leftButton&&!g.middleButton||Q(g)})),te.actionHandler.disposables.add(A.addDisposableListener(ce,"keydown",H=>{const g=new w.StandardKeyboardEvent(H);!g.equals(10)&&!g.equals(3)||Q(g)}))}Z.supportHtml||(oe.sanitizer=Q=>(Z.isTrusted?Q.match(/^(<span[^>]+>)|(<\/\s*span>)$/):void 0)?Q:"",oe.sanitize=!0,oe.silent=!0),oe.renderer=Pe;let j=Z.value??"";j.length>1e5&&(j=`${j.substr(0,1e5)}\u2026`),Z.supportThemeIcons&&(j=(0,o.markdownEscapeEscapedIcons)(j));let G=r.marked.parse(j,oe);Z.supportThemeIcons&&(G=(0,d.renderLabelWithIcons)(G).map(b=>typeof b=="string"?b:b.outerHTML).join(""));const ne=new DOMParser().parseFromString(p(Z,G),"text/html");if(ne.body.querySelectorAll("img").forEach(Q=>{const b=Q.getAttribute("src");if(b){let R=b;try{Z.baseUri&&(R=h(f.URI.from(Z.baseUri),R))}catch{}Q.src=Te(R,!0)}}),ne.body.querySelectorAll("a").forEach(Q=>{const b=Q.getAttribute("href");if(Q.removeAttribute("href"),!b||/^data:|javascript:/i.test(b)||/^command:/i.test(b)&&!Z.isTrusted||/^command:(\/\/\/)?_workbench\.downloadResource/i.test(b))Q.replaceWith(...Q.childNodes);else{let R=Te(b,!1);Z.baseUri&&(R=h(f.URI.from(Z.baseUri),b)),Q.dataset.href=R}}),ce.innerHTML=p(Z,ne.body.innerHTML),Oe.length>0&&Promise.all(Oe).then(Q=>{if(de)return;const b=new Map(Q),R=ce.querySelectorAll("div[data-code]");for(const H of R){const g=b.get(H.dataset.code??"");g&&A.reset(H,g)}te.asyncRenderCallback?.()}),te.asyncRenderCallback)for(const Q of ce.getElementsByTagName("img")){const b=he.add(A.addDisposableListener(Q,"load",()=>{b.dispose(),te.asyncRenderCallback()}))}return{element:ce,dispose:()=>{de=!0,he.dispose()}}}t.renderMarkdown=T;function L(Z){if(!Z)return"";const te=Z.split(/[\s+|:|,|\{|\?]/,1);return te.length?te[0]:Z}function h(Z,te){return/^\w[\w\d+.-]*:/.test(te)?te:Z.path.endsWith("/")?(0,S.resolvePath)(Z,te).toString():(0,S.resolvePath)((0,S.dirname)(Z),te).toString()}function p(Z,te){const{config:oe,allowedSchemes:he}=m(Z);I.addHook("uponSanitizeAttribute",(ce,pe)=>{if(pe.attrName==="style"||pe.attrName==="class"){if(ce.tagName==="SPAN"){if(pe.attrName==="style"){pe.keepAttr=/^(color\:#[0-9a-fA-F]+;)?(background-color\:#[0-9a-fA-F]+;)?$/.test(pe.attrValue);return}else if(pe.attrName==="class"){pe.keepAttr=/^codicon codicon-[a-z\-]+( codicon-modifier-[a-z\-]+)?$/.test(pe.attrValue);return}}pe.keepAttr=!1;return}});const de=A.hookDomPurifyHrefAndSrcSanitizer(he);try{return I.sanitize(te,{...oe,RETURN_TRUSTED_TYPE:!0})}finally{I.removeHook("uponSanitizeAttribute"),de.dispose()}}t.allowedMarkdownAttr=["align","autoplay","alt","class","controls","data-code","data-href","height","href","loop","muted","playsinline","poster","src","style","target","title","width"];function m(Z){const te=[l.Schemas.http,l.Schemas.https,l.Schemas.mailto,l.Schemas.data,l.Schemas.file,l.Schemas.vscodeFileResource,l.Schemas.vscodeRemote,l.Schemas.vscodeRemoteResource];return Z.isTrusted&&te.push(l.Schemas.command),{config:{ALLOWED_TAGS:[...A.basicMarkupHtmlTags],ALLOWED_ATTR:t.allowedMarkdownAttr,ALLOW_UNKNOWN_PROTOCOLS:!0},allowedSchemes:te}}function E(Z){return typeof Z=="string"?Z:O(Z)}t.renderStringAsPlaintext=E;function O(Z){let te=Z.value??"";te.length>1e5&&(te=`${te.substr(0,1e5)}\u2026`);const oe=r.marked.parse(te,{renderer:ee.value}).replace(/&(#\d+|[a-zA-Z]+);/g,he=>V.get(he)??he);return p({isTrusted:!1},oe).toString()}t.renderMarkdownAsPlaintext=O;const V=new Map([["&quot;",'"'],["&nbsp;"," "],["&amp;","&"],["&#39;","'"],["&lt;","<"],["&gt;",">"]]),ee=new e.Lazy(()=>{const Z=new r.marked.Renderer;return Z.code=te=>te,Z.blockquote=te=>te,Z.html=te=>"",Z.heading=(te,oe,he)=>te+`
`,Z.hr=()=>"",Z.list=(te,oe)=>te,Z.listitem=te=>te+`
`,Z.paragraph=te=>te+`
`,Z.table=(te,oe)=>te+oe+`
`,Z.tablerow=te=>te,Z.tablecell=(te,oe)=>te+" ",Z.strong=te=>te,Z.em=te=>te,Z.codespan=te=>te,Z.br=()=>`
`,Z.del=te=>te,Z.image=(te,oe,he)=>"",Z.text=te=>te,Z.link=(te,oe,he)=>he,Z})}),define(ge[123],me([1,0,4,9,27,58,32,2,6,99]),function(J,t,A,I,i,_,w,v,d,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.setupCustomHover=t.setupNativeHover=void 0;function c(n,e){(0,d.isString)(e)?n.title=(0,w.stripIcons)(e):e?.markdownNotSupportedFallback?n.title=e.markdownNotSupportedFallback:n.removeAttribute("title")}t.setupNativeHover=c;class M{constructor(e,s,r){this.c=e,this.d=s,this.f=r}async update(e,s,r){if(this.b&&(this.b.dispose(!0),this.b=void 0),this.isDisposed)return;let a;if(e===void 0||(0,d.isString)(e)||e instanceof HTMLElement)a=e;else if(!(0,d.isFunction)(e.markdown))a=e.markdown??e.markdownNotSupportedFallback;else{this.a||this.g((0,u.localize)(0,null),s),this.b=new i.CancellationTokenSource;const l=this.b.token;if(a=await e.markdown(l),a===void 0&&(a=e.markdownNotSupportedFallback),this.isDisposed||l.isCancellationRequested)return}this.g(a,s,r)}g(e,s,r){const a=this.a;if(this.h(e)){const l={content:e,target:this.d,showPointer:this.c.placement==="element",hoverPosition:2,skipFadeInAnimation:!this.f||!!a,...r};this.a=this.c.showHover(l,s)}a?.dispose()}h(e){return e?(0,_.isMarkdownString)(e)?!!e.value:!0:!1}get isDisposed(){return this.a?.isDisposed}dispose(){this.a?.dispose(),this.b?.dispose(!0),this.b=void 0}}function o(n,e,s,r){let a,l;const y=(T,L)=>{T&&(l?.dispose(),l=void 0),L&&(a?.dispose(),a=void 0),n.onDidHideHover?.()},S=(T,L,h)=>new I.TimeoutTimer(async()=>{(!l||l.isDisposed)&&(l=new M(n,h||e,T>0),await l.update(s,L,r))},T),F=()=>{if(a)return;const T=new v.DisposableStore,L=m=>y(!1,m.fromElement===e);T.add(A.addDisposableListener(e,A.EventType.MOUSE_LEAVE,L,!0));const h=()=>y(!0,!0);T.add(A.addDisposableListener(e,A.EventType.MOUSE_DOWN,h,!0));const p={targetElements:[e],dispose:()=>{}};if(n.placement===void 0||n.placement==="mouse"){const m=E=>{p.x=E.x+10,E.target instanceof HTMLElement&&E.target.classList.contains("action-label")&&y(!0,!0)};T.add(A.addDisposableListener(e,A.EventType.MOUSE_MOVE,m,!0))}T.add(S(n.delay,!1,p)),a=T},f=A.addDisposableListener(e,A.EventType.MOUSE_OVER,F,!0);return{show:T=>{y(!1,!0),S(0,T)},hide:()=>{y(!0,!0)},update:async(T,L)=>{s=T,await l?.update(s,void 0,L)},dispose:()=>{f.dispose(),y(!0,!0)}}}t.setupCustomHover=o}),define(ge[124],me([1,0,4,20,14,122,36,13,3,42,2,5,101,92]),function(J,t,A,I,i,_,w,v,d,u,c,M,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBoxList=void 0;const n=A.$,e="selectOption.entry.template";class s{get templateId(){return e}renderTemplate(l){const y=Object.create(null);return y.root=l,y.text=A.append(l,n(".option-text")),y.detail=A.append(l,n(".option-detail")),y.decoratorRight=A.append(l,n(".option-decorator-right")),y}renderElement(l,y,S){const F=S,f=l.text,D=l.detail,T=l.decoratorRight,L=l.isDisabled;F.text.textContent=f,F.detail.textContent=D||"",F.decoratorRight.innerText=T||"",L?F.root.classList.add("option-disabled"):F.root.classList.remove("option-disabled")}disposeTemplate(l){}}class r extends c.Disposable{constructor(l,y,S,F,f){super(),this.k=[],this.y=0,this.C=!1,this.F=!1,this.H=!1,this.f=!1,this.n=F,this.g=f||Object.create(null),typeof this.g.minBottomMargin!="number"?this.g.minBottomMargin=r.a:this.g.minBottomMargin<0&&(this.g.minBottomMargin=0),this.h=document.createElement("select"),this.h.className="monaco-select-box monaco-select-box-dropdown-padding",typeof this.g.ariaLabel=="string"&&this.h.setAttribute("aria-label",this.g.ariaLabel),typeof this.g.ariaDescription=="string"&&this.h.setAttribute("aria-description",this.g.ariaDescription),this.m=new d.Emitter,this.B(this.m),this.J(),this.I(S),this.l=y||0,l&&this.setOptions(l,y),this.M()}getHeight(){return 22}getTemplateId(){return e}I(l){this.r=l,this.s=A.$(".monaco-select-box-dropdown-container"),this.s.classList.add("monaco-select-box-dropdown-padding"),this.D=A.append(this.s,n(".select-box-details-pane"));const y=A.append(this.s,n(".select-box-dropdown-container-width-control")),S=A.append(y,n(".width-control-div"));this.w=document.createElement("span"),this.w.className="option-text-width-control",A.append(S,this.w),this.z=0,this.t=A.createStyleSheet(this.s),this.s.setAttribute("draggable","true"),this.B(A.addDisposableListener(this.s,A.EventType.DRAG_START,F=>{A.EventHelper.stop(F,!0)}))}J(){this.B(A.addStandardDisposableListener(this.h,"change",y=>{this.l=y.target.selectedIndex,this.m.fire({index:y.target.selectedIndex,selected:y.target.value}),!!this.k[this.l]&&!!this.k[this.l].text&&(this.h.title=this.k[this.l].text)})),this.B(A.addDisposableListener(this.h,A.EventType.CLICK,y=>{A.EventHelper.stop(y),this.f?this.R(!0):this.Q()})),this.B(A.addDisposableListener(this.h,A.EventType.MOUSE_DOWN,y=>{A.EventHelper.stop(y)}));let l;this.B(A.addDisposableListener(this.h,"touchstart",y=>{l=this.f})),this.B(A.addDisposableListener(this.h,"touchend",y=>{A.EventHelper.stop(y),l?this.R(!0):this.Q()})),this.B(A.addDisposableListener(this.h,A.EventType.KEY_DOWN,y=>{const S=new i.StandardKeyboardEvent(y);let F=!1;M.isMacintosh?(S.keyCode===18||S.keyCode===16||S.keyCode===10||S.keyCode===3)&&(F=!0):(S.keyCode===18&&S.altKey||S.keyCode===16&&S.altKey||S.keyCode===10||S.keyCode===3)&&(F=!0),F&&(this.Q(),A.EventHelper.stop(y,!0))}))}get onDidSelect(){return this.m.event}setOptions(l,y){v.equals(this.k,l)||(this.k=l,this.h.options.length=0,this.C=!1,this.G=void 0,this.k.forEach((S,F)=>{this.h.add(this.P(S.text,F,S.isDisabled)),typeof S.description=="string"&&(this.C=!0)})),y!==void 0&&(this.select(y),this.y=this.l)}L(){this.u?.splice(0,this.u.length,this.k)}select(l){l>=0&&l<this.k.length?this.l=l:l>this.k.length-1?this.select(this.k.length-1):this.l<0&&(this.l=0),this.h.selectedIndex=this.l,!!this.k[this.l]&&!!this.k[this.l].text&&(this.h.title=this.k[this.l].text)}setAriaLabel(l){this.g.ariaLabel=l,this.h.setAttribute("aria-label",this.g.ariaLabel)}focus(){this.h&&(this.h.tabIndex=0,this.h.focus())}blur(){this.h&&(this.h.tabIndex=-1,this.h.blur())}setFocusable(l){this.h.tabIndex=l?0:-1}render(l){this.j=l,l.classList.add("select-container"),l.appendChild(this.h),this.N()}M(){const l=[];this.n.listFocusBackground&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { background-color: ${this.n.listFocusBackground} !important; }`),this.n.listFocusForeground&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { color: ${this.n.listFocusForeground} !important; }`),this.n.decoratorRightForeground&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.focused) .option-decorator-right { color: ${this.n.decoratorRightForeground}; }`),this.n.selectBackground&&this.n.selectBorder&&this.n.selectBorder!==this.n.selectBackground?(l.push(`.monaco-select-box-dropdown-container { border: 1px solid ${this.n.selectBorder} } `),l.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-top { border-top: 1px solid ${this.n.selectBorder} } `),l.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-bottom { border-bottom: 1px solid ${this.n.selectBorder} } `)):this.n.selectListBorder&&(l.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-top { border-top: 1px solid ${this.n.selectListBorder} } `),l.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-bottom { border-bottom: 1px solid ${this.n.selectListBorder} } `)),this.n.listHoverForeground&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { color: ${this.n.listHoverForeground} !important; }`),this.n.listHoverBackground&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { background-color: ${this.n.listHoverBackground} !important; }`),this.n.listFocusOutline&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { outline: 1.6px dotted ${this.n.listFocusOutline} !important; outline-offset: -1.6px !important; }`),this.n.listHoverOutline&&l.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { outline: 1.6px dashed ${this.n.listHoverOutline} !important; outline-offset: -1.6px !important; }`),l.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled.focused { background-color: transparent !important; color: inherit !important; outline: none !important; }"),l.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled:hover { background-color: transparent !important; color: inherit !important; outline: none !important; }"),this.t.textContent=l.join(`
`)}N(){const l=this.n.selectBackground??"",y=this.n.selectForeground??"",S=this.n.selectBorder??"";this.h.style.backgroundColor=l,this.h.style.color=y,this.h.style.borderColor=S}O(){const l=this.n.selectBackground??"",y=this.n.selectListBackground?this.n.selectListBackground:l;this.v.style.backgroundColor=y,this.D.style.backgroundColor=y;const S=this.n.focusBorder?this.n.focusBorder:"";this.s.style.outlineColor=S,this.s.style.outlineOffset="-1px",this.u.style(this.n)}P(l,y,S){const F=document.createElement("option");return F.value=l,F.text=l,F.disabled=!!S,F}Q(){this.D.innerText="",!(!this.r||this.f)&&(this.Y(this.s),this.L(),this.r.showContextView({getAnchor:()=>this.h,render:l=>this.S(l,!0),layout:()=>{this.W()},onHide:()=>{this.s.classList.remove("visible"),this.h.classList.remove("synthetic-focus")},anchorPosition:this.z},this.g.optionsAsChildren?this.j:void 0),this.f=!0,this.R(!1),this.r.showContextView({getAnchor:()=>this.h,render:l=>this.S(l),layout:()=>this.W(),onHide:()=>{this.s.classList.remove("visible"),this.h.classList.remove("synthetic-focus")},anchorPosition:this.z},this.g.optionsAsChildren?this.j:void 0),this.y=this.l,this.f=!0,this.h.setAttribute("aria-expanded","true"))}R(l){!this.r||!this.f||(this.f=!1,this.h.setAttribute("aria-expanded","false"),l&&this.h.focus(),this.r.hideContextView())}S(l,y){return l.appendChild(this.s),this.W(y),{dispose:()=>{try{l.removeChild(this.s)}catch{}}}}U(){let l=0;return this.k.forEach((y,S)=>{this.db(S),this.D.offsetHeight>l&&(l=this.D.offsetHeight)}),l}W(l){if(this.F)return!1;if(this.u){this.s.classList.add("visible");const y=A.getDomNodePagePosition(this.h),S=getComputedStyle(this.h),F=parseFloat(S.getPropertyValue("--dropdown-padding-top"))+parseFloat(S.getPropertyValue("--dropdown-padding-bottom")),f=window.innerHeight-y.top-y.height-(this.g.minBottomMargin||0),D=y.top-r.b,T=this.h.offsetWidth,L=this.X(this.w),h=Math.max(L,Math.round(T)).toString()+"px";this.s.style.width=h,this.u.getHTMLElement().style.height="",this.u.layout();let p=this.u.contentHeight;this.C&&this.G===void 0&&(this.G=this.U());const m=this.C?this.G:0,E=p+F+m,O=Math.floor((f-F-m)/this.getHeight()),V=Math.floor((D-F-m)/this.getHeight());if(l)return y.top+y.height>window.innerHeight-22||y.top<r.b||O<1&&V<1?!1:(O<r.c&&V>O&&this.k.length>O?(this.z=1,this.s.removeChild(this.v),this.s.removeChild(this.D),this.s.appendChild(this.D),this.s.appendChild(this.v),this.D.classList.remove("border-top"),this.D.classList.add("border-bottom")):(this.z=0,this.s.removeChild(this.v),this.s.removeChild(this.D),this.s.appendChild(this.v),this.s.appendChild(this.D),this.D.classList.remove("border-bottom"),this.D.classList.add("border-top")),!0);if(y.top+y.height>window.innerHeight-22||y.top<r.b||this.z===0&&O<1||this.z===1&&V<1)return this.R(!0),!1;if(this.z===0){if(this.f&&O+V<1)return this.R(!0),!1;E>f&&(p=O*this.getHeight())}else E>D&&(p=V*this.getHeight());return this.u.layout(p),this.u.domFocus(),this.u.length>0&&(this.u.setFocus([this.l||0]),this.u.reveal(this.u.getFocus()[0]||0)),this.C?(this.u.getHTMLElement().style.height=p+F+"px",this.s.style.height=""):this.s.style.height=p+F+"px",this.db(this.l),this.s.style.width=h,this.v.setAttribute("tabindex","0"),this.h.classList.add("synthetic-focus"),this.s.classList.add("synthetic-focus"),!0}else return!1}X(l){let y=0;if(l){let S=0,F=0;this.k.forEach((f,D)=>{const T=f.detail?f.detail.length:0,L=f.decoratorRight?f.decoratorRight.length:0,h=f.text.length+T+L;h>F&&(S=D,F=h)}),l.textContent=this.k[S].text+(this.k[S].decoratorRight?this.k[S].decoratorRight+" ":""),y=A.getTotalWidth(l)}return y}Y(l){if(this.u)return;this.v=A.append(l,n(".select-box-dropdown-list-container")),this.p=new s,this.u=new w.List("SelectBoxCustom",this.v,this,[this.p],{useShadows:!1,verticalScrollMode:3,keyboardSupport:!1,mouseSupport:!1,accessibilityProvider:{getAriaLabel:F=>{let f=F.text;return F.detail&&(f+=`. ${F.detail}`),F.decoratorRight&&(f+=`. ${F.decoratorRight}`),F.description&&(f+=`. ${F.description}`),f},getWidgetAriaLabel:()=>(0,o.localize)(0,null),getRole:()=>"option",getWidgetRole:()=>"listbox"}}),this.g.ariaLabel&&(this.u.ariaLabel=this.g.ariaLabel);const y=this.B(new I.DomEmitter(this.v,"keydown")),S=d.Event.chain(y.event).filter(()=>this.u.length>0).map(F=>new i.StandardKeyboardEvent(F));this.B(S.filter(F=>F.keyCode===3).on(F=>this.fb(F),this)),this.B(S.filter(F=>F.keyCode===2).on(F=>this.fb(F),this)),this.B(S.filter(F=>F.keyCode===9).on(F=>this.eb(F),this)),this.B(S.filter(F=>F.keyCode===16).on(F=>this.hb(F),this)),this.B(S.filter(F=>F.keyCode===18).on(F=>this.gb(F),this)),this.B(S.filter(F=>F.keyCode===12).on(this.jb,this)),this.B(S.filter(F=>F.keyCode===11).on(this.ib,this)),this.B(S.filter(F=>F.keyCode===14).on(this.kb,this)),this.B(S.filter(F=>F.keyCode===13).on(this.lb,this)),this.B(S.filter(F=>F.keyCode>=21&&F.keyCode<=56||F.keyCode>=80&&F.keyCode<=108).on(this.mb,this)),this.B(A.addDisposableListener(this.u.getHTMLElement(),A.EventType.POINTER_UP,F=>this.Z(F))),this.B(this.u.onMouseOver(F=>typeof F.index<"u"&&this.u.setFocus([F.index]))),this.B(this.u.onDidChangeFocus(F=>this.cb(F))),this.B(A.addDisposableListener(this.s,A.EventType.FOCUS_OUT,F=>{!this.f||A.isAncestor(F.relatedTarget,this.s)||this.ab()})),this.u.getHTMLElement().setAttribute("aria-label",this.g.ariaLabel||""),this.u.getHTMLElement().setAttribute("aria-expanded","true"),this.O()}Z(l){if(!this.u.length)return;A.EventHelper.stop(l);const y=l.target;if(!y||y.classList.contains("slider"))return;const S=y.closest(".monaco-list-row");if(!S)return;const F=Number(S.getAttribute("data-index")),f=S.classList.contains("option-disabled");F>=0&&F<this.k.length&&!f&&(this.l=F,this.select(this.l),this.u.setFocus([this.l]),this.u.reveal(this.u.getFocus()[0]),this.l!==this.y&&(this.y=this.l,this.m.fire({index:this.h.selectedIndex,selected:this.k[this.l].text}),!!this.k[this.l]&&!!this.k[this.l].text&&(this.h.title=this.k[this.l].text)),this.R(!0))}ab(){this.H||(this.l!==this.y&&this.select(this.y),this.R(!1))}bb(l,y){const S=f=>{for(let D=0;D<f.childNodes.length;D++){const T=f.childNodes.item(D);(T.tagName&&T.tagName.toLowerCase())==="img"?f.removeChild(T):S(T)}},F=(0,_.renderMarkdown)({value:l,supportThemeIcons:!0},{actionHandler:y});return F.element.classList.add("select-box-description-markdown"),S(F.element),F.element}cb(l){!this.f||!this.C||this.db(l.indexes[0])}db(l){this.D.innerText="";const y=this.k[l],S=y?.description??"",F=y?.descriptionIsMarkdown??!1;if(S){if(F){const f=y.descriptionMarkdownActionHandler;this.D.appendChild(this.bb(S,f))}else this.D.innerText=S;this.D.style.display="block"}else this.D.style.display="none";this.F=!0,this.r.layout(),this.F=!1}eb(l){A.EventHelper.stop(l),this.select(this.y),this.R(!0)}fb(l){A.EventHelper.stop(l),this.l!==this.y&&(this.y=this.l,this.m.fire({index:this.h.selectedIndex,selected:this.k[this.l].text}),!!this.k[this.l]&&!!this.k[this.l].text&&(this.h.title=this.k[this.l].text)),this.R(!0)}gb(l){if(this.l<this.k.length-1){A.EventHelper.stop(l,!0);const y=this.k[this.l+1].isDisabled;if(y&&this.k.length>this.l+2)this.l+=2;else{if(y)return;this.l++}this.select(this.l),this.u.setFocus([this.l]),this.u.reveal(this.u.getFocus()[0])}}hb(l){this.l>0&&(A.EventHelper.stop(l,!0),this.k[this.l-1].isDisabled&&this.l>1?this.l-=2:this.l--,this.select(this.l),this.u.setFocus([this.l]),this.u.reveal(this.u.getFocus()[0]))}ib(l){A.EventHelper.stop(l),this.u.focusPreviousPage(),setTimeout(()=>{this.l=this.u.getFocus()[0],this.k[this.l].isDisabled&&this.l<this.k.length-1&&(this.l++,this.u.setFocus([this.l])),this.u.reveal(this.l),this.select(this.l)},1)}jb(l){A.EventHelper.stop(l),this.u.focusNextPage(),setTimeout(()=>{this.l=this.u.getFocus()[0],this.k[this.l].isDisabled&&this.l>0&&(this.l--,this.u.setFocus([this.l])),this.u.reveal(this.l),this.select(this.l)},1)}kb(l){A.EventHelper.stop(l),!(this.k.length<2)&&(this.l=0,this.k[this.l].isDisabled&&this.l>1&&this.l++,this.u.setFocus([this.l]),this.u.reveal(this.l),this.select(this.l))}lb(l){A.EventHelper.stop(l),!(this.k.length<2)&&(this.l=this.k.length-1,this.k[this.l].isDisabled&&this.l>1&&this.l--,this.u.setFocus([this.l]),this.u.reveal(this.l),this.select(this.l))}mb(l){const y=u.KeyCodeUtils.toString(l.keyCode);let S=-1;for(let F=0;F<this.k.length-1;F++)if(S=(F+this.l+1)%this.k.length,this.k[S].text.charAt(0).toUpperCase()===y&&!this.k[S].isDisabled){this.select(S),this.u.setFocus([S]),this.u.reveal(this.u.getFocus()[0]),A.EventHelper.stop(l);break}}dispose(){this.R(!1),super.dispose()}}t.SelectBoxList=r,r.a=32,r.b=2,r.c=3}),define(ge[125],me([1,0,36,124,118,19,5,91]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBox=t.unthemedSelectBoxStyles=void 0,t.unthemedSelectBoxStyles={...A.unthemedListStyles,selectBackground:"#3C3C3C",selectForeground:"#F0F0F0",selectBorder:"#3C3C3C",decoratorRightForeground:void 0,selectListBackground:void 0,selectListBorder:void 0,focusBorder:void 0};class v extends _.Widget{constructor(u,c,M,o,n){super(),w.isMacintosh&&!n?.useCustomDrawn?this.a=new i.SelectBoxNative(u,c,o,n):this.a=new I.SelectBoxList(u,c,M,o,n),this.B(this.a)}get onDidSelect(){return this.a.onDidSelect}setOptions(u,c){this.a.setOptions(u,c)}select(u){this.a.select(u)}setAriaLabel(u){this.a.setAriaLabel(u)}focus(){this.a.focus()}blur(){this.a.blur()}setFocusable(u){this.a.setFocusable(u)}render(u){this.a.render(u)}}t.SelectBox=v}),define(ge[59],me([1,0,18,50,4,23,123,125,30,2,5,6,96,47]),function(J,t,A,I,i,_,w,v,d,u,c,M,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectActionViewItem=t.ActionViewItem=t.BaseActionViewItem=void 0;class n extends u.Disposable{get action(){return this._action}constructor(a,l,y={}){super(),this.k=y,this._context=a||this,this._action=l,l instanceof d.Action&&this.B(l.onDidChange(S=>{!this.element||this.m(S)}))}m(a){a.enabled!==void 0&&this.t(),a.checked!==void 0&&this.C(),a.class!==void 0&&this.updateClass(),a.label!==void 0&&(this.updateLabel(),this.w()),a.tooltip!==void 0&&this.w()}get actionRunner(){return this.j||(this.j=this.B(new d.ActionRunner)),this.j}set actionRunner(a){this.j=a}isEnabled(){return this._action.enabled}setActionContext(a){this._context=a}render(a){const l=this.element=a;this.B(_.Gesture.addTarget(a));const y=this.k&&this.k.draggable;y&&(a.draggable=!0,A.isFirefox&&this.B((0,i.addDisposableListener)(a,i.EventType.DRAG_START,S=>S.dataTransfer?.setData(I.DataTransfers.TEXT,this._action.label)))),this.B((0,i.addDisposableListener)(l,_.EventType.Tap,S=>this.onClick(S,!0))),this.B((0,i.addDisposableListener)(l,i.EventType.MOUSE_DOWN,S=>{y||i.EventHelper.stop(S,!0),this._action.enabled&&S.button===0&&l.classList.add("active")})),c.isMacintosh&&this.B((0,i.addDisposableListener)(l,i.EventType.CONTEXT_MENU,S=>{S.button===0&&S.ctrlKey===!0&&this.onClick(S)})),this.B((0,i.addDisposableListener)(l,i.EventType.CLICK,S=>{i.EventHelper.stop(S,!0),this.k&&this.k.isMenu||this.onClick(S)})),this.B((0,i.addDisposableListener)(l,i.EventType.DBLCLICK,S=>{i.EventHelper.stop(S,!0)})),[i.EventType.MOUSE_UP,i.EventType.MOUSE_OUT].forEach(S=>{this.B((0,i.addDisposableListener)(l,S,F=>{i.EventHelper.stop(F),l.classList.remove("active")}))})}onClick(a,l=!1){i.EventHelper.stop(a,!0);const y=M.isUndefinedOrNull(this._context)?this.k?.useEventAsContext?a:{preserveFocus:l}:this._context;this.actionRunner.run(this._action,y)}focus(){this.element&&(this.element.tabIndex=0,this.element.focus(),this.element.classList.add("focused"))}isFocused(){return!!this.element?.classList.contains("focused")}blur(){this.element&&(this.element.blur(),this.element.tabIndex=-1,this.element.classList.remove("focused"))}setFocusable(a){this.element&&(this.element.tabIndex=a?0:-1)}get trapsArrowNavigation(){return!1}t(){}updateLabel(){}u(){return this.action.tooltip}w(){if(!this.element)return;const a=this.u()??"";this.z(),this.k.hoverDelegate?(this.element.title="",this.f?this.f.update(a):(this.f=(0,w.setupCustomHover)(this.k.hoverDelegate,this.element,a),this.q.add(this.f))):this.element.title=a}z(){if(this.element){const a=this.u()??"";this.element.setAttribute("aria-label",a)}}updateClass(){}C(){}dispose(){this.element&&(this.element.remove(),this.element=void 0),this._context=void 0,super.dispose()}}t.BaseActionViewItem=n;class e extends n{constructor(a,l,y){super(a,l,y),this.k=y,this.k.icon=y.icon!==void 0?y.icon:!1,this.k.label=y.label!==void 0?y.label:!0,this.D=""}render(a){super.render(a),this.element&&(this.g=(0,i.append)(this.element,(0,i.$)("a.action-label"))),this.g&&(this._action.id===d.Separator.ID?this.g.setAttribute("role","presentation"):this.k.isMenu?this.g.setAttribute("role","menuitem"):this.g.setAttribute("role","button")),this.k.label&&this.k.keybinding&&this.element&&((0,i.append)(this.element,(0,i.$)("span.keybinding")).textContent=this.k.keybinding),this.updateClass(),this.updateLabel(),this.w(),this.t(),this.C()}focus(){this.g&&(this.g.tabIndex=0,this.g.focus())}isFocused(){return!!this.g&&this.g?.tabIndex===0}blur(){this.g&&(this.g.tabIndex=-1)}setFocusable(a){this.g&&(this.g.tabIndex=a?0:-1)}updateLabel(){this.k.label&&this.g&&(this.g.textContent=this.action.label)}u(){let a=null;return this.action.tooltip?a=this.action.tooltip:!this.k.label&&this.action.label&&this.k.icon&&(a=this.action.label,this.k.keybinding&&(a=o.localize(0,null,a,this.k.keybinding))),a??void 0}updateClass(){this.D&&this.g&&this.g.classList.remove(...this.D.split(" ")),this.k.icon?(this.D=this.action.class,this.g&&(this.g.classList.add("codicon"),this.D&&this.g.classList.add(...this.D.split(" "))),this.t()):this.g?.classList.remove("codicon")}t(){this.action.enabled?(this.g&&(this.g.removeAttribute("aria-disabled"),this.g.classList.remove("disabled")),this.element?.classList.remove("disabled")):(this.g&&(this.g.setAttribute("aria-disabled","true"),this.g.classList.add("disabled")),this.element?.classList.add("disabled"))}z(){if(this.g){const a=this.u()??"";this.g.setAttribute("aria-label",a)}}C(){this.g&&(this.action.checked?this.g.classList.add("checked"):this.g.classList.remove("checked"))}}t.ActionViewItem=e;class s extends n{constructor(a,l,y,S,F,f,D){super(a,l),this.b=new v.SelectBox(y,S,F,f,D),this.b.setFocusable(!1),this.B(this.b),this.g()}setOptions(a,l){this.b.setOptions(a,l)}select(a){this.b.select(a)}g(){this.B(this.b.onDidSelect(a=>this.n(a.selected,a.index)))}n(a,l){this.actionRunner.run(this._action,this.r(a,l))}r(a,l){return a}setFocusable(a){this.b.setFocusable(a)}focus(){this.b?.focus()}blur(){this.b?.blur()}render(a){this.b.render(a)}}t.SelectActionViewItem=s}),define(ge[60],me([1,0,4,14,59,30,3,2,6,47]),function(J,t,A,I,i,_,w,v,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prepareActions=t.ActionBar=t.ActionsOrientation=void 0;var u;(function(o){o[o.HORIZONTAL=0]="HORIZONTAL",o[o.VERTICAL=1]="VERTICAL"})(u=t.ActionsOrientation||(t.ActionsOrientation={}));class c extends v.Disposable{constructor(n,e={}){super(),this.g=this.B(new v.DisposableStore),this.n=this.B(new v.DisposableMap),this.t=!1,this.u=!0,this.w=this.B(new w.Emitter),this.onDidBlur=this.w.event,this.y=this.B(new w.Emitter({onWillAddFirstListener:()=>this.z=!0})),this.onDidCancel=this.y.event,this.z=!1,this.C=this.B(new w.Emitter),this.onDidRun=this.C.event,this.D=this.B(new w.Emitter),this.onWillRun=this.D.event,this.b=e,this.j=e.context??null,this.l=this.b.orientation??0,this.m={keyDown:this.b.triggerKeys?.keyDown??!1,keys:this.b.triggerKeys?.keys??[3,10]},this.b.actionRunner?this.f=this.b.actionRunner:(this.f=new _.ActionRunner,this.g.add(this.f)),this.g.add(this.f.onDidRun(a=>this.C.fire(a))),this.g.add(this.f.onWillRun(a=>this.D.fire(a))),this.viewItems=[],this.r=void 0,this.domNode=document.createElement("div"),this.domNode.className="monaco-action-bar",e.animated!==!1&&this.domNode.classList.add("animated");let s,r;switch(this.l){case 0:s=[15],r=[17];break;case 1:s=[16],r=[18],this.domNode.className+=" vertical";break}this.B(A.addDisposableListener(this.domNode,A.EventType.KEY_DOWN,a=>{const l=new I.StandardKeyboardEvent(a);let y=!0;const S=typeof this.r=="number"?this.viewItems[this.r]:void 0;s&&(l.equals(s[0])||l.equals(s[1]))?y=this.M():r&&(l.equals(r[0])||l.equals(r[1]))?y=this.L():l.equals(9)&&this.z?this.y.fire():l.equals(14)?y=this.I():l.equals(13)?y=this.J():l.equals(2)&&S instanceof i.BaseActionViewItem&&S.trapsArrowNavigation?y=this.L():this.G(l)?this.m.keyDown?this.O(l):this.t=!0:y=!1,y&&(l.preventDefault(),l.stopPropagation())})),this.B(A.addDisposableListener(this.domNode,A.EventType.KEY_UP,a=>{const l=new I.StandardKeyboardEvent(a);this.G(l)?(!this.m.keyDown&&this.t&&(this.t=!1,this.O(l)),l.preventDefault(),l.stopPropagation()):(l.equals(2)||l.equals(1026))&&this.H()})),this.s=this.B(A.trackFocus(this.domNode)),this.B(this.s.onDidBlur(()=>{(A.getActiveElement()===this.domNode||!A.isAncestor(A.getActiveElement(),this.domNode))&&(this.w.fire(),this.r=void 0,this.p=void 0,this.t=!1)})),this.B(this.s.onDidFocus(()=>this.H())),this.v=document.createElement("ul"),this.v.className="actions-container",this.v.setAttribute("role",this.b.ariaRole||"toolbar"),this.b.ariaLabel&&this.v.setAttribute("aria-label",this.b.ariaLabel),this.domNode.appendChild(this.v),n.appendChild(this.domNode)}F(){this.length()>=2?this.v.setAttribute("role",this.b.ariaRole||"toolbar"):this.v.setAttribute("role","presentation")}setAriaLabel(n){n?this.v.setAttribute("aria-label",n):this.v.removeAttribute("aria-label")}setFocusable(n){if(this.u=n,this.u){const e=this.viewItems.find(s=>s instanceof i.BaseActionViewItem&&s.isEnabled());e instanceof i.BaseActionViewItem&&e.setFocusable(!0)}else this.viewItems.forEach(e=>{e instanceof i.BaseActionViewItem&&e.setFocusable(!1)})}G(n){let e=!1;return this.m.keys.forEach(s=>{e=e||n.equals(s)}),e}H(){for(let n=0;n<this.v.children.length;n++){const e=this.v.children[n];if(A.isAncestor(A.getActiveElement(),e)){this.r=n;break}}}get context(){return this.j}set context(n){this.j=n,this.viewItems.forEach(e=>e.setActionContext(n))}get actionRunner(){return this.f}set actionRunner(n){this.f=n,this.g.clear(),this.g.add(this.f.onDidRun(e=>this.C.fire(e))),this.g.add(this.f.onWillRun(e=>this.D.fire(e))),this.viewItems.forEach(e=>e.actionRunner=n)}getContainer(){return this.domNode}hasAction(n){return this.viewItems.findIndex(e=>e.action.id===n.id)!==-1}getAction(n){if(typeof n=="number")return this.viewItems[n]?.action;if(n instanceof HTMLElement){for(;n.parentElement!==this.v;){if(!n.parentElement)return;n=n.parentElement}for(let e=0;e<this.v.childNodes.length;e++)if(this.v.childNodes[e]===n)return this.viewItems[e].action}}push(n,e={}){const s=Array.isArray(n)?n:[n];let r=d.isNumber(e.index)?e.index:null;s.forEach(a=>{const l=document.createElement("li");l.className="action-item",l.setAttribute("role","presentation");let y;this.b.actionViewItemProvider&&(y=this.b.actionViewItemProvider(a)),y||(y=new i.ActionViewItem(this.context,a,{hoverDelegate:this.b.hoverDelegate,...e})),this.b.allowContextMenu||this.n.set(y,A.addDisposableListener(l,A.EventType.CONTEXT_MENU,S=>{A.EventHelper.stop(S,!0)})),y.actionRunner=this.f,y.setActionContext(this.context),y.render(l),this.u&&y instanceof i.BaseActionViewItem&&this.viewItems.length===0&&y.setFocusable(!0),r===null||r<0||r>=this.v.children.length?(this.v.appendChild(l),this.viewItems.push(y)):(this.v.insertBefore(l,this.v.children[r]),this.viewItems.splice(r,0,y),r++)}),typeof this.r=="number"&&this.focus(this.r),this.F()}getWidth(n){if(n>=0&&n<this.v.children.length){const e=this.v.children.item(n);if(e)return e.clientWidth}return 0}getHeight(n){if(n>=0&&n<this.v.children.length){const e=this.v.children.item(n);if(e)return e.clientHeight}return 0}pull(n){n>=0&&n<this.viewItems.length&&(this.v.removeChild(this.v.childNodes[n]),this.n.deleteAndDispose(this.viewItems[n]),(0,v.dispose)(this.viewItems.splice(n,1)),this.F())}clear(){this.isEmpty()||(this.viewItems=(0,v.dispose)(this.viewItems),this.n.clearAndDisposeAll(),A.clearNode(this.v),this.F())}length(){return this.viewItems.length}isEmpty(){return this.viewItems.length===0}focus(n){let e=!1,s;if(n===void 0?e=!0:typeof n=="number"?s=n:typeof n=="boolean"&&(e=n),e&&typeof this.r>"u"){const r=this.viewItems.findIndex(a=>a.isEnabled());this.r=r===-1?void 0:r,this.N(void 0,void 0,!0)}else s!==void 0&&(this.r=s),this.N(void 0,void 0,!0)}I(){return this.r=this.length()-1,this.L(!0)}J(){return this.r=0,this.M(!0)}L(n){if(typeof this.r>"u")this.r=this.viewItems.length-1;else if(this.viewItems.length<=1)return!1;const e=this.r;let s;do{if(!n&&this.b.preventLoopNavigation&&this.r+1>=this.viewItems.length)return this.r=e,!1;this.r=(this.r+1)%this.viewItems.length,s=this.viewItems[this.r]}while(this.r!==e&&(this.b.focusOnlyEnabledItems&&!s.isEnabled()||s.action.id===_.Separator.ID));return this.N(),!0}M(n){if(typeof this.r>"u")this.r=0;else if(this.viewItems.length<=1)return!1;const e=this.r;let s;do{if(this.r=this.r-1,this.r<0){if(!n&&this.b.preventLoopNavigation)return this.r=e,!1;this.r=this.viewItems.length-1}s=this.viewItems[this.r]}while(this.r!==e&&(this.b.focusOnlyEnabledItems&&!s.isEnabled()||s.action.id===_.Separator.ID));return this.N(!0),!0}N(n,e,s=!1){typeof this.r>"u"&&this.v.focus({preventScroll:e}),this.p!==void 0&&this.p!==this.r&&this.viewItems[this.p]?.blur();const r=this.r!==void 0&&this.viewItems[this.r];if(r){let a=!0;d.isFunction(r.focus)||(a=!1),this.b.focusOnlyEnabledItems&&d.isFunction(r.isEnabled)&&!r.isEnabled()&&(a=!1),r.action.id===_.Separator.ID&&(a=!1),a?(s||this.p!==this.r)&&(r.focus(n),this.p=this.r):(this.v.focus({preventScroll:e}),this.p=void 0)}}O(n){if(typeof this.r>"u")return;const e=this.viewItems[this.r];if(e instanceof i.BaseActionViewItem){const s=e._context===null||e._context===void 0?n:e._context;this.run(e._action,s)}}async run(n,e){await this.f.run(n,e)}dispose(){this.j=void 0,this.viewItems=(0,v.dispose)(this.viewItems),this.getContainer().remove(),super.dispose()}}t.ActionBar=c;function M(o){if(!o.length)return o;let n=-1;for(let s=0;s<o.length;s++)if(o[s].id!==_.Separator.ID){n=s;break}if(n===-1)return[];o=o.slice(n);for(let s=o.length-1;s>=0&&o[s].id===_.Separator.ID;s--)o.splice(s,1);let e=!1;for(let s=o.length-1;s>=0;s--){const r=o[s].id===_.Separator.ID;r&&!e?o.splice(s,1):r?r&&(e=!1):e=!0}return o}t.prepareActions=M}),define(ge[61],me([1,0,4,20,51,60,53,56,19,3,77,100,88]),function(J,t,A,I,i,_,w,v,d,u,c,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HistoryInputBox=t.InputBox=t.unthemedInboxStyles=t.MessageType=void 0;const o=A.$;var n;(function(r){r[r.INFO=1]="INFO",r[r.WARNING=2]="WARNING",r[r.ERROR=3]="ERROR"})(n=t.MessageType||(t.MessageType={})),t.unthemedInboxStyles={inputBackground:"#3C3C3C",inputForeground:"#CCCCCC",inputValidationInfoBorder:"#55AAFF",inputValidationInfoBackground:"#063B49",inputValidationWarningBorder:"#B89500",inputValidationWarningBackground:"#352A05",inputValidationErrorBorder:"#BE1100",inputValidationErrorBackground:"#5A1D1D",inputBorder:void 0,inputValidationErrorForeground:void 0,inputValidationInfoForeground:void 0,inputValidationWarningForeground:void 0};class e extends d.Widget{constructor(a,l,y){super(),this.r="idle",this.w=Number.POSITIVE_INFINITY,this.I=this.B(new u.Emitter),this.onDidChange=this.I.event,this.J=this.B(new u.Emitter),this.onDidHeightChange=this.J.event,this.a=l,this.g=y,this.h=null,this.i=this.g.placeholder||"",this.k=this.g.tooltip??(this.i||""),this.l=this.g.ariaLabel||"",this.g.validationOptions&&(this.n=this.g.validationOptions.validation),this.element=A.append(a,o(".monaco-inputbox.idle"));const S=this.g.flexibleHeight?"textarea":"input",F=A.append(this.element,o(".ibwrapper"));if(this.b=A.append(F,o(S+".input.empty")),this.b.setAttribute("autocorrect","off"),this.b.setAttribute("autocapitalize","off"),this.b.setAttribute("spellcheck","false"),this.F(this.b,()=>this.element.classList.add("synthetic-focus")),this.D(this.b,()=>this.element.classList.remove("synthetic-focus")),this.g.flexibleHeight){this.w=typeof this.g.flexibleMaxHeight=="number"?this.g.flexibleMaxHeight:Number.POSITIVE_INFINITY,this.s=A.append(F,o("div.mirror")),this.s.innerText="\xA0",this.y=new v.ScrollableElement(this.element,{vertical:1}),this.g.flexibleWidth&&(this.b.setAttribute("wrap","off"),this.s.style.whiteSpace="pre",this.s.style.wordWrap="initial"),A.append(a,this.y.getDomNode()),this.B(this.y),this.B(this.y.onScroll(T=>this.b.scrollTop=T.scrollTop));const f=this.B(new I.DomEmitter(document,"selectionchange")),D=u.Event.filter(f.event,()=>document.getSelection()?.anchorNode===F);this.B(D(this.N,this)),this.B(this.onDidHeightChange(this.N,this))}else this.b.type=this.g.type||"text",this.b.setAttribute("wrap","off");this.l&&this.b.setAttribute("aria-label",this.l),this.i&&!this.g.showPlaceholderOnFocus&&this.setPlaceHolder(this.i),this.k&&this.setTooltip(this.k),this.C(this.b,()=>this.R()),this.D(this.b,()=>this.L()),this.F(this.b,()=>this.M()),this.B(this.H(this.b)),setTimeout(()=>this.S(),0),this.g.actions&&(this.c=this.B(new _.ActionBar(this.element)),this.c.push(this.g.actions,{icon:!0,label:!1})),this.U()}L(){this.Q(),this.g.showPlaceholderOnFocus&&this.b.setAttribute("placeholder","")}M(){this.P(),this.g.showPlaceholderOnFocus&&this.b.setAttribute("placeholder",this.i||"")}setPlaceHolder(a){this.i=a,this.b.setAttribute("placeholder",a)}setTooltip(a){this.k=a,this.b.title=a}setAriaLabel(a){this.l=a,a?this.b.setAttribute("aria-label",this.l):this.b.removeAttribute("aria-label")}getAriaLabel(){return this.l}get mirrorElement(){return this.s}get inputElement(){return this.b}get value(){return this.b.value}set value(a){this.b.value!==a&&(this.b.value=a,this.R())}get step(){return this.b.step}set step(a){this.b.step=a}get height(){return typeof this.t=="number"?this.t:A.getTotalHeight(this.element)}focus(){this.b.focus()}blur(){this.b.blur()}hasFocus(){return document.activeElement===this.b}select(a=null){this.b.select(),a&&(this.b.setSelectionRange(a.start,a.end),a.end===this.b.value.length&&(this.b.scrollLeft=this.b.scrollWidth))}isSelectionAtEnd(){return this.b.selectionEnd===this.b.value.length&&this.b.selectionStart===this.b.selectionEnd}enable(){this.b.removeAttribute("disabled")}disable(){this.blur(),this.b.disabled=!0,this.Q()}setEnabled(a){a?this.enable():this.disable()}get width(){return A.getTotalWidth(this.b)}set width(a){if(this.g.flexibleHeight&&this.g.flexibleWidth){let l=0;if(this.s){const y=parseFloat(this.s.style.paddingLeft||"")||0,S=parseFloat(this.s.style.paddingRight||"")||0;l=y+S}this.b.style.width=a-l+"px"}else this.b.style.width=a+"px";this.s&&(this.s.style.width=a+"px")}set paddingRight(a){this.b.style.width=`calc(100% - ${a}px)`,this.s&&(this.s.style.paddingRight=a+"px")}N(){if(typeof this.v!="number"||typeof this.t!="number"||!this.y)return;const a=this.v,l=this.t,y=this.b.scrollTop;this.y.setScrollDimensions({scrollHeight:a,height:l}),this.y.setScrollPosition({scrollTop:y})}showMessage(a,l){this.h=a,this.element.classList.remove("idle"),this.element.classList.remove("info"),this.element.classList.remove("warning"),this.element.classList.remove("error"),this.element.classList.add(this.O(a.type));const y=this.stylesForType(this.h.type);this.element.style.border=`1px solid ${A.asCssValueWithDefault(y.border,"transparent")}`,this.h.content&&(this.hasFocus()||l)&&this.P()}hideMessage(){this.h=null,this.element.classList.remove("info"),this.element.classList.remove("warning"),this.element.classList.remove("error"),this.element.classList.add("idle"),this.Q(),this.U()}isInputValid(){return!!this.n&&!this.n(this.value)}validate(){let a=null;return this.n&&(a=this.n(this.value),a?(this.inputElement.setAttribute("aria-invalid","true"),this.showMessage(a)):this.inputElement.hasAttribute("aria-invalid")&&(this.inputElement.removeAttribute("aria-invalid"),this.hideMessage())),a?.type}stylesForType(a){const l=this.g.inputBoxStyles;switch(a){case 1:return{border:l.inputValidationInfoBorder,background:l.inputValidationInfoBackground,foreground:l.inputValidationInfoForeground};case 2:return{border:l.inputValidationWarningBorder,background:l.inputValidationWarningBackground,foreground:l.inputValidationWarningForeground};default:return{border:l.inputValidationErrorBorder,background:l.inputValidationErrorBackground,foreground:l.inputValidationErrorForeground}}}O(a){switch(a){case 1:return"info";case 2:return"warning";default:return"error"}}P(){if(!this.a||!this.h)return;let a;const l=()=>a.style.width=A.getTotalWidth(this.element)+"px";this.a.showContextView({getAnchor:()=>this.element,anchorAlignment:1,render:S=>{if(!this.h)return null;a=A.append(S,o(".monaco-inputbox-container")),l();const F={inline:!0,className:"monaco-inputbox-message"},f=this.h.formatContent?(0,i.renderFormattedText)(this.h.content,F):(0,i.renderText)(this.h.content,F);f.classList.add(this.O(this.h.type));const D=this.stylesForType(this.h.type);return f.style.backgroundColor=D.background?D.background.toString():"",f.style.color=D.foreground?D.foreground.toString():"",f.style.border=D.border?`1px solid ${D.border}`:"",A.append(a,f),null},onHide:()=>{this.r="closed"},layout:l});let y;this.h.type===3?y=M.localize(0,null,this.h.content):this.h.type===2?y=M.localize(1,null,this.h.content):y=M.localize(2,null,this.h.content),w.alert(y),this.r="open"}Q(){!this.a||(this.r==="open"&&this.a.hideContextView(),this.r="idle")}R(){this.I.fire(this.value),this.validate(),this.S(),this.b.classList.toggle("empty",!this.value),this.r==="open"&&this.a&&this.a.layout()}S(){if(!this.s)return;const a=this.value,y=a.charCodeAt(a.length-1)===10?" ":"";(a+y).replace(/\u000c/g,"")?this.s.textContent=a+y:this.s.innerText="\xA0",this.layout()}U(){const a=this.g.inputBoxStyles,l=a.inputBackground??"",y=a.inputForeground??"",S=a.inputBorder??"";this.element.style.backgroundColor=l,this.element.style.color=y,this.b.style.backgroundColor="inherit",this.b.style.color=y,this.element.style.border=`1px solid ${A.asCssValueWithDefault(S,"transparent")}`}layout(){if(!this.s)return;const a=this.v;this.v=A.getTotalHeight(this.s),a!==this.v&&(this.t=Math.min(this.v,this.w),this.b.style.height=this.t+"px",this.J.fire(this.v))}insertAtCursor(a){const l=this.inputElement,y=l.selectionStart,S=l.selectionEnd,F=l.value;y!==null&&S!==null&&(this.value=F.substr(0,y)+a+F.substr(S),l.setSelectionRange(y+1,y+1),this.layout())}dispose(){this.Q(),this.h=null,this.c?.dispose(),super.dispose()}}t.InputBox=e;class s extends e{constructor(a,l,y){const S=M.localize(3,null),F=` or \u21C5 ${S}`,f=` (\u21C5 ${S})`;super(a,l,y),this.Y=this.B(new u.Emitter),this.onDidFocus=this.Y.event,this.Z=this.B(new u.Emitter),this.onDidBlur=this.Z.event,this.W=new c.HistoryNavigator(y.history,100);const D=()=>{if(y.showHistoryHint&&y.showHistoryHint()&&!this.i.endsWith(F)&&!this.i.endsWith(f)&&this.W.getHistory().length){const T=this.i.endsWith(")")?F:f,L=this.i+T;y.showPlaceholderOnFocus&&document.activeElement!==this.b?this.i=L:this.setPlaceHolder(L)}};this.X=new MutationObserver((T,L)=>{T.forEach(h=>{h.target.textContent||D()})}),this.X.observe(this.b,{attributeFilter:["class"]}),this.F(this.b,()=>D()),this.D(this.b,()=>{const T=L=>{if(this.i.endsWith(L)){const h=this.i.slice(0,this.i.length-L.length);return y.showPlaceholderOnFocus?this.i=h:this.setPlaceHolder(h),!0}else return!1};T(f)||T(F)})}dispose(){super.dispose(),this.X&&(this.X.disconnect(),this.X=void 0)}addToHistory(a){this.value&&(a||this.value!==this.cb())&&this.W.add(this.value)}getHistory(){return this.W.getHistory()}isAtFirstInHistory(){return this.W.isFirst()}isAtLastInHistory(){return this.W.isLast()}isNowhereInHistory(){return this.W.isNowhere()}showNextValue(){this.W.has(this.value)||this.addToHistory();let a=this.eb();a&&(a=a===this.value?this.eb():a),a&&(this.value=a,w.status(this.value))}showPreviousValue(){this.W.has(this.value)||this.addToHistory();let a=this.db();a&&(a=a===this.value?this.db():a),a&&(this.value=a,w.status(this.value))}clearHistory(){this.W.clear()}L(){super.L(),this.Z.fire()}M(){super.M(),this.Y.fire()}cb(){let a=this.W.current();return a||(a=this.W.last(),this.W.next()),a}db(){return this.W.previous()||this.W.first()}eb(){return this.W.next()||this.W.last()}}t.HistoryInputBox=s}),define(ge[62],me([1,0,59,19,16,17,3,93]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Checkbox=t.Toggle=t.ToggleActionViewItem=t.unthemedToggleStyles=void 0,t.unthemedToggleStyles={inputActiveOptionBorder:"#007ACC00",inputActiveOptionForeground:"#FFFFFF",inputActiveOptionBackground:"#0E639C50"};class v extends A.BaseActionViewItem{constructor(M,o,n){super(M,o,n),this.a=this.B(new d({actionClassName:this._action.class,isChecked:!!this._action.checked,title:this.k.keybinding?`${this._action.label} (${this.k.keybinding})`:this._action.label,notFocusable:!0,inputActiveOptionBackground:n.toggleStyles?.inputActiveOptionBackground,inputActiveOptionBorder:n.toggleStyles?.inputActiveOptionBorder,inputActiveOptionForeground:n.toggleStyles?.inputActiveOptionForeground})),this.B(this.a.onChange(()=>this._action.checked=!!this.a&&this.a.checked))}render(M){this.element=M,this.element.appendChild(this.a.domNode)}t(){this.a&&(this.isEnabled()?this.a.enable():this.a.disable())}C(){this.a.checked=!!this._action.checked}focus(){this.a.domNode.tabIndex=0,this.a.focus()}blur(){this.a.domNode.tabIndex=-1,this.a.domNode.blur()}setFocusable(M){this.a.domNode.tabIndex=M?0:-1}}t.ToggleActionViewItem=v;class d extends I.Widget{constructor(M){super(),this.a=this.B(new w.Emitter),this.onChange=this.a.event,this.b=this.B(new w.Emitter),this.onKeyDown=this.b.event,this.c=M,this.k=this.c.isChecked;const o=["monaco-custom-toggle"];this.c.icon&&(this.g=this.c.icon,o.push(..._.ThemeIcon.asClassNameArray(this.g))),this.c.actionClassName&&o.push(...this.c.actionClassName.split(" ")),this.k&&o.push("checked"),this.domNode=document.createElement("div"),this.domNode.title=this.c.title,this.domNode.classList.add(...o),this.c.notFocusable||(this.domNode.tabIndex=0),this.domNode.setAttribute("role","checkbox"),this.domNode.setAttribute("aria-checked",String(this.k)),this.domNode.setAttribute("aria-label",this.c.title),this.s(),this.f(this.domNode,n=>{this.enabled&&(this.checked=!this.k,this.a.fire(!1),n.preventDefault())}),this.B(this.H(this.domNode)),this.u(this.domNode,n=>{if(n.keyCode===10||n.keyCode===3){this.checked=!this.k,this.a.fire(!0),n.preventDefault(),n.stopPropagation();return}this.b.fire(n)})}get enabled(){return this.domNode.getAttribute("aria-disabled")!=="true"}focus(){this.domNode.focus()}get checked(){return this.k}set checked(M){this.k=M,this.domNode.setAttribute("aria-checked",String(this.k)),this.domNode.classList.toggle("checked",this.k),this.s()}setIcon(M){this.g&&this.domNode.classList.remove(..._.ThemeIcon.asClassNameArray(this.g)),this.g=M,this.g&&this.domNode.classList.add(..._.ThemeIcon.asClassNameArray(this.g))}width(){return 2+2+2+16}s(){this.domNode&&(this.domNode.style.borderColor=this.k&&this.c.inputActiveOptionBorder||"",this.domNode.style.color=this.k&&this.c.inputActiveOptionForeground||"inherit",this.domNode.style.backgroundColor=this.k&&this.c.inputActiveOptionBackground||"")}enable(){this.domNode.setAttribute("aria-disabled",String(!1))}disable(){this.domNode.setAttribute("aria-disabled",String(!0))}setTitle(M){this.domNode.title=M,this.domNode.setAttribute("aria-label",M)}}t.Toggle=d;class u extends I.Widget{constructor(M,o,n){super(),this.c=M,this.g=o,this.a=new d({title:this.c,isChecked:this.g,icon:i.Codicon.check,actionClassName:"monaco-checkbox",...t.unthemedToggleStyles}),this.domNode=this.a.domNode,this.b=n,this.h()}get checked(){return this.a.checked}set checked(M){this.a.checked=M}focus(){this.domNode.focus()}hasFocus(){return this.domNode===document.activeElement}h(){this.domNode.style.color=this.b.checkboxForeground||"",this.domNode.style.backgroundColor=this.b.checkboxBackground||"",this.domNode.style.borderColor=this.b.checkboxBorder||""}}t.Checkbox=u}),define(ge[126],me([1,0,62,16,98]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RegexToggle=t.WholeWordsToggle=t.CaseSensitiveToggle=void 0;const _=i.localize(0,null),w=i.localize(1,null),v=i.localize(2,null);class d extends A.Toggle{constructor(o){super({icon:I.Codicon.caseSensitive,title:_+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.CaseSensitiveToggle=d;class u extends A.Toggle{constructor(o){super({icon:I.Codicon.wholeWord,title:w+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.WholeWordsToggle=u;class c extends A.Toggle{constructor(o){super({icon:I.Codicon.regex,title:v+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.RegexToggle=c}),define(ge[127],me([1,0,4,126,61,19,3,97,2,87]),function(J,t,A,I,i,_,w,v,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FindInput=void 0;const u=v.localize(0,null);class c extends _.Widget{constructor(o,n,e){super(),this.i=!0,this.k=!1,this.l=new d.DisposableStore,this.y=[],this.I=this.B(new w.Emitter),this.onDidOptionChange=this.I.event,this.J=this.B(new w.Emitter),this.onKeyDown=this.J.event,this.L=this.B(new w.Emitter),this.onMouseDown=this.L.event,this.M=this.B(new w.Emitter),this.onInput=this.M.event,this.N=this.B(new w.Emitter),this.onKeyUp=this.N.event,this.O=this.B(new w.Emitter),this.onCaseSensitiveKeyDown=this.O.event,this.P=this.B(new w.Emitter),this.onRegexKeyDown=this.P.event,this.Q=0,this.a=e.placeholder||"",this.b=e.validation,this.c=e.label||u,this.h=!!e.showCommonFindToggles;const s=e.appendCaseSensitiveLabel||"",r=e.appendWholeWordsLabel||"",a=e.appendRegexLabel||"",l=e.history||[],y=!!e.flexibleHeight,S=!!e.flexibleWidth,F=e.flexibleMaxHeight;if(this.domNode=document.createElement("div"),this.domNode.classList.add("monaco-findInput"),this.inputBox=this.B(new i.HistoryInputBox(this.domNode,n,{placeholder:this.a||"",ariaLabel:this.c||"",validationOptions:{validation:this.b},history:l,showHistoryHint:e.showHistoryHint,flexibleHeight:y,flexibleWidth:S,flexibleMaxHeight:F,inputBoxStyles:e.inputBoxStyles})),this.h){this.s=this.B(new I.RegexToggle({appendTitle:a,isChecked:!1,...e.toggleStyles})),this.B(this.s.onChange(D=>{this.I.fire(D),!D&&this.i&&this.inputBox.focus(),this.validate()})),this.B(this.s.onKeyDown(D=>{this.P.fire(D)})),this.v=this.B(new I.WholeWordsToggle({appendTitle:r,isChecked:!1,...e.toggleStyles})),this.B(this.v.onChange(D=>{this.I.fire(D),!D&&this.i&&this.inputBox.focus(),this.validate()})),this.w=this.B(new I.CaseSensitiveToggle({appendTitle:s,isChecked:!1,...e.toggleStyles})),this.B(this.w.onChange(D=>{this.I.fire(D),!D&&this.i&&this.inputBox.focus(),this.validate()})),this.B(this.w.onKeyDown(D=>{this.O.fire(D)}));const f=[this.w.domNode,this.v.domNode,this.s.domNode];this.u(this.domNode,D=>{if(D.equals(15)||D.equals(17)||D.equals(9)){const T=f.indexOf(document.activeElement);if(T>=0){let L=-1;D.equals(17)?L=(T+1)%f.length:D.equals(15)&&(T===0?L=f.length-1:L=T-1),D.equals(9)?(f[T].blur(),this.inputBox.focus()):L>=0&&f[L].focus(),A.EventHelper.stop(D,!0)}}})}this.n=document.createElement("div"),this.n.className="controls",this.n.style.display=this.h?"block":"none",this.w&&this.n.append(this.w.domNode),this.v&&this.n.appendChild(this.v.domNode),this.s&&this.n.appendChild(this.s.domNode),this.setAdditionalToggles(e?.additionalToggles),this.n&&this.domNode.appendChild(this.n),o?.appendChild(this.domNode),this.B(A.addDisposableListener(this.inputBox.inputElement,"compositionstart",f=>{this.k=!0})),this.B(A.addDisposableListener(this.inputBox.inputElement,"compositionend",f=>{this.k=!1,this.M.fire()})),this.u(this.inputBox.inputElement,f=>this.J.fire(f)),this.z(this.inputBox.inputElement,f=>this.N.fire(f)),this.C(this.inputBox.inputElement,f=>this.M.fire()),this.j(this.inputBox.inputElement,f=>this.L.fire(f))}get isImeSessionInProgress(){return this.k}get onDidChange(){return this.inputBox.onDidChange}enable(){this.domNode.classList.remove("disabled"),this.inputBox.enable(),this.s?.enable(),this.v?.enable(),this.w?.enable();for(const o of this.y)o.enable()}disable(){this.domNode.classList.add("disabled"),this.inputBox.disable(),this.s?.disable(),this.v?.disable(),this.w?.disable();for(const o of this.y)o.disable()}setFocusInputOnOptionClick(o){this.i=o}setEnabled(o){o?this.enable():this.disable()}setAdditionalToggles(o){for(const n of this.y)n.domNode.remove();this.y=[],this.l.dispose(),this.l=new d.DisposableStore;for(const n of o??[])this.l.add(n),this.n.appendChild(n.domNode),this.l.add(n.onChange(e=>{this.I.fire(e),!e&&this.i&&this.inputBox.focus()})),this.y.push(n);this.y.length>0&&(this.n.style.display="block"),this.inputBox.paddingRight=(this.w?.width()??0)+(this.v?.width()??0)+(this.s?.width()??0)+this.y.reduce((n,e)=>n+e.width(),0)}clear(){this.R(),this.setValue(""),this.focus()}getValue(){return this.inputBox.value}setValue(o){this.inputBox.value!==o&&(this.inputBox.value=o)}onSearchSubmit(){this.inputBox.addToHistory()}select(){this.inputBox.select()}focus(){this.inputBox.focus()}getCaseSensitive(){return this.w?.checked??!1}setCaseSensitive(o){this.w&&(this.w.checked=o)}getWholeWords(){return this.v?.checked??!1}setWholeWords(o){this.v&&(this.v.checked=o)}getRegex(){return this.s?.checked??!1}setRegex(o){this.s&&(this.s.checked=o,this.validate())}focusOnCaseSensitive(){this.w?.focus()}focusOnRegex(){this.s?.focus()}highlightFindOptions(){this.domNode.classList.remove("highlight-"+this.Q),this.Q=1-this.Q,this.domNode.classList.add("highlight-"+this.Q)}validate(){this.inputBox.validate()}showMessage(o){this.inputBox.showMessage(o)}clearMessage(){this.inputBox.hideMessage()}R(){this.inputBox.hideMessage()}}t.FindInput=c,c.OPTION_CHANGE="optionChange"}),define(ge[128],me([1,0,4,20,14,60,127,61,57,36,62,54,24,30,13,9,16,17,68,3,31,2,45,6,102,94]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e,s,r,a,l,y,S,F,f,D,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractTree=t.TreeFindMatchType=t.TreeFindMode=t.FuzzyToggle=t.ModeToggle=t.RenderIndentGuides=t.AbstractTreeViewState=t.ComposedTreeDelegate=void 0;class L extends d.ElementsDragAndDropData{set context(g){this.c.context=g}get context(){return this.c.context}constructor(g){super(g.elements.map(N=>N.element)),this.c=g}}function h(H){return H instanceof d.ElementsDragAndDropData?new L(H):H}class p{constructor(g,N){this.c=g,this.d=N,this.b=F.Disposable.None}getDragURI(g){return this.d.getDragURI(g.element)}getDragLabel(g,N){if(this.d.getDragLabel)return this.d.getDragLabel(g.map($=>$.element),N)}onDragStart(g,N){this.d.onDragStart?.(h(g),N)}onDragOver(g,N,$,ie,k=!0){const P=this.d.onDragOver(h(g),N&&N.element,$,ie),U=this.a!==N;if(U&&(this.b.dispose(),this.a=N),typeof N>"u")return P;if(U&&typeof P!="boolean"&&P.autoExpand&&(this.b=(0,s.disposableTimeout)(()=>{const x=this.c(),Y=x.getNodeLocation(N);x.isCollapsed(Y)&&x.setCollapsed(Y,!1),this.a=void 0},500)),typeof P=="boolean"||!P.accept||typeof P.bubble>"u"||P.feedback){if(!k){const x=typeof P=="boolean"?P:P.accept,Y=typeof P=="boolean"?void 0:P.effect;return{accept:x,effect:Y,feedback:[$]}}return P}if(P.bubble===1){const x=this.c(),Y=x.getNodeLocation(N),re=x.getParentNodeLocation(Y),ue=x.getNode(re),we=re&&x.getListIndex(re);return this.onDragOver(g,ue,we,ie,!1)}const C=this.c(),B=C.getNodeLocation(N),z=C.getListIndex(B),W=C.getListRenderCount(B);return{...P,feedback:(0,e.range)(z,z+W)}}drop(g,N,$,ie){this.b.dispose(),this.a=void 0,this.d.drop(h(g),N&&N.element,$,ie)}onDragEnd(g){this.d.onDragEnd?.(g)}}function m(H,g){return g&&{...g,identityProvider:g.identityProvider&&{getId(N){return g.identityProvider.getId(N.element)}},dnd:g.dnd&&new p(H,g.dnd),multipleSelectionController:g.multipleSelectionController&&{isSelectionSingleChangeEvent(N){return g.multipleSelectionController.isSelectionSingleChangeEvent({...N,element:N.element})},isSelectionRangeChangeEvent(N){return g.multipleSelectionController.isSelectionRangeChangeEvent({...N,element:N.element})}},accessibilityProvider:g.accessibilityProvider&&{...g.accessibilityProvider,getSetSize(N){const $=H(),ie=$.getNodeLocation(N),k=$.getParentNodeLocation(ie);return $.getNode(k).visibleChildrenCount},getPosInSet(N){return N.visibleChildIndex+1},isChecked:g.accessibilityProvider&&g.accessibilityProvider.isChecked?N=>g.accessibilityProvider.isChecked(N.element):void 0,getRole:g.accessibilityProvider&&g.accessibilityProvider.getRole?N=>g.accessibilityProvider.getRole(N.element):()=>"treeitem",getAriaLabel(N){return g.accessibilityProvider.getAriaLabel(N.element)},getWidgetAriaLabel(){return g.accessibilityProvider.getWidgetAriaLabel()},getWidgetRole:g.accessibilityProvider&&g.accessibilityProvider.getWidgetRole?()=>g.accessibilityProvider.getWidgetRole():()=>"tree",getAriaLevel:g.accessibilityProvider&&g.accessibilityProvider.getAriaLevel?N=>g.accessibilityProvider.getAriaLevel(N.element):N=>N.depth,getActiveDescendantId:g.accessibilityProvider.getActiveDescendantId&&(N=>g.accessibilityProvider.getActiveDescendantId(N.element))},keyboardNavigationLabelProvider:g.keyboardNavigationLabelProvider&&{...g.keyboardNavigationLabelProvider,getKeyboardNavigationLabel(N){return g.keyboardNavigationLabelProvider.getKeyboardNavigationLabel(N.element)}}}}class E{constructor(g){this.a=g}getHeight(g){return this.a.getHeight(g.element)}getTemplateId(g){return this.a.getTemplateId(g.element)}hasDynamicHeight(g){return!!this.a.hasDynamicHeight&&this.a.hasDynamicHeight(g.element)}setDynamicHeight(g,N){this.a.setDynamicHeight?.(g.element,N)}}t.ComposedTreeDelegate=E;class O{static lift(g){return g instanceof O?g:new O(g)}static empty(g=0){return new O({focus:[],selection:[],expanded:Object.create(null),scrollTop:g})}constructor(g){if(this.focus=new Set(g.focus),this.selection=new Set(g.selection),g.expanded instanceof Array){this.expanded=Object.create(null);for(const N of g.expanded)this.expanded[N]=1}else this.expanded=g.expanded;this.expanded=g.expanded,this.scrollTop=g.scrollTop}toJSON(){return{focus:Array.from(this.focus),selection:Array.from(this.selection),expanded:this.expanded,scrollTop:this.scrollTop}}}t.AbstractTreeViewState=O;var V;(function(H){H.None="none",H.OnHover="onHover",H.Always="always"})(V=t.RenderIndentGuides||(t.RenderIndentGuides={}));class ee{get elements(){return this.b}constructor(g,N=[]){this.b=N,this.a=new F.DisposableStore,this.onDidChange=y.Event.forEach(g,$=>this.b=$,this.a)}dispose(){this.a.dispose()}}class Z{constructor(g,N,$,ie,k,P={}){this.o=g,this.p=N,this.q=ie,this.s=k,this.b=new Map,this.c=new Map,this.d=Z.a,this.f=!1,this.g=!1,this.j=new Set,this.k=F.Disposable.None,this.m=new F.DisposableStore,this.templateId=g.templateId,this.updateOptions(P),y.Event.map($,U=>U.node)(this.u,this,this.m),g.onDidChangeTwistieState?.(this.t,this,this.m)}updateOptions(g={}){if(typeof g.indent<"u"){const N=(0,f.clamp)(g.indent,0,40);if(N!==this.d){this.d=N;for(const[$,ie]of this.c)this.v($,ie)}}if(typeof g.renderIndentGuides<"u"){const N=g.renderIndentGuides!==V.None;if(N!==this.g){this.g=N;for(const[$,ie]of this.c)this.w($,ie);if(this.k.dispose(),N){const $=new F.DisposableStore;this.q.onDidChange(this.x,this,$),this.k=$,this.x(this.q.elements)}}}typeof g.hideTwistiesOfChildlessElements<"u"&&(this.f=g.hideTwistiesOfChildlessElements)}renderTemplate(g){const N=(0,A.append)(g,(0,A.$)(".monaco-tl-row")),$=(0,A.append)(N,(0,A.$)(".monaco-tl-indent")),ie=(0,A.append)(N,(0,A.$)(".monaco-tl-twistie")),k=(0,A.append)(N,(0,A.$)(".monaco-tl-contents")),P=this.o.renderTemplate(k);return{container:g,indent:$,twistie:ie,indentGuidesDisposable:F.Disposable.None,templateData:P}}renderElement(g,N,$,ie){this.c.set(g,$),this.b.set(g.element,g),this.v(g,$),this.o.renderElement(g,N,$.templateData,ie)}disposeElement(g,N,$,ie){$.indentGuidesDisposable.dispose(),this.o.disposeElement?.(g,N,$.templateData,ie),typeof ie=="number"&&(this.c.delete(g),this.b.delete(g.element))}disposeTemplate(g){this.o.disposeTemplate(g.templateData)}t(g){const N=this.b.get(g);!N||this.u(N)}u(g){const N=this.c.get(g);!N||(this.x(this.q.elements),this.v(g,N))}v(g,N){const $=Z.a+(g.depth-1)*this.d;N.twistie.style.paddingLeft=`${$}px`,N.indent.style.width=`${$+this.d-16}px`,g.collapsible?N.container.setAttribute("aria-expanded",String(!g.collapsed)):N.container.removeAttribute("aria-expanded"),N.twistie.classList.remove(...a.ThemeIcon.asClassNameArray(r.Codicon.treeItemExpanded));let ie=!1;this.o.renderTwistie&&(ie=this.o.renderTwistie(g.element,N.twistie)),g.collapsible&&(!this.f||g.visibleChildrenCount>0)?(ie||N.twistie.classList.add(...a.ThemeIcon.asClassNameArray(r.Codicon.treeItemExpanded)),N.twistie.classList.add("collapsible"),N.twistie.classList.toggle("collapsed",g.collapsed)):N.twistie.classList.remove("collapsible","collapsed"),this.w(g,N)}w(g,N){if((0,A.clearNode)(N.indent),N.indentGuidesDisposable.dispose(),!this.g)return;const $=new F.DisposableStore,ie=this.p();for(;;){const k=ie.getNodeLocation(g),P=ie.getParentNodeLocation(k);if(!P)break;const U=ie.getNode(P),C=(0,A.$)(".indent-guide",{style:`width: ${this.d}px`});this.j.has(U)&&C.classList.add("active"),N.indent.childElementCount===0?N.indent.appendChild(C):N.indent.insertBefore(C,N.indent.firstElementChild),this.s.add(U,C),$.add((0,F.toDisposable)(()=>this.s.delete(U,C))),g=U}N.indentGuidesDisposable=$}x(g){if(!this.g)return;const N=new Set,$=this.p();g.forEach(ie=>{const k=$.getNodeLocation(ie);try{const P=$.getParentNodeLocation(k);ie.collapsible&&ie.children.length>0&&!ie.collapsed?N.add(ie):P&&N.add($.getNode(P))}catch{}}),this.j.forEach(ie=>{N.has(ie)||this.s.forEach(ie,k=>k.classList.remove("active"))}),N.forEach(ie=>{this.j.has(ie)||this.s.forEach(ie,k=>k.classList.add("active"))}),this.j=N}dispose(){this.c.clear(),this.b.clear(),this.k.dispose(),(0,F.dispose)(this.m)}}Z.a=8;class te{get totalCount(){return this.a}get matchCount(){return this.b}set pattern(g){this.c=g,this.d=g.toLowerCase()}constructor(g,N,$){this.g=g,this.j=N,this.k=$,this.a=0,this.b=0,this.c="",this.d="",this.f=new F.DisposableStore,g.onWillRefilter(this.m,this,this.f)}filter(g,N){let $=1;if(this.k){const P=this.k.filter(g,N);if(typeof P=="boolean"?$=P?1:0:(0,M.isFilterResult)(P)?$=(0,M.getVisibleState)(P.visibility):$=P,$===0)return!1}if(this.a++,!this.c)return this.b++,{data:S.FuzzyScore.Default,visibility:$};const ie=this.j.getKeyboardNavigationLabel(g),k=Array.isArray(ie)?ie:[ie];for(const P of k){const U=P&&P.toString();if(typeof U>"u")return{data:S.FuzzyScore.Default,visibility:$};let C;if(this.g.findMatchType===pe.Contiguous){const B=U.toLowerCase().indexOf(this.d);if(B>-1){C=[Number.MAX_SAFE_INTEGER,0];for(let z=this.d.length;z>0;z--)C.push(B+z-1)}}else C=(0,S.fuzzyScore)(this.c,this.d,0,U,U.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(C)return this.b++,k.length===1?{data:C,visibility:$}:{data:{label:U,score:C},visibility:$}}return this.g.findMode===ce.Filter?typeof this.g.options.defaultFindVisibility=="number"?this.g.options.defaultFindVisibility:this.g.options.defaultFindVisibility?this.g.options.defaultFindVisibility(g):2:{data:S.FuzzyScore.Default,visibility:$}}m(){this.a=0,this.b=0}dispose(){(0,F.dispose)(this.f)}}class oe extends c.Toggle{constructor(g){super({icon:r.Codicon.listFilter,title:(0,T.localize)(0,null),isChecked:g.isChecked??!1,inputActiveOptionBorder:g.inputActiveOptionBorder,inputActiveOptionForeground:g.inputActiveOptionForeground,inputActiveOptionBackground:g.inputActiveOptionBackground})}}t.ModeToggle=oe;class he extends c.Toggle{constructor(g){super({icon:r.Codicon.searchFuzzy,title:(0,T.localize)(1,null),isChecked:g.isChecked??!1,inputActiveOptionBorder:g.inputActiveOptionBorder,inputActiveOptionForeground:g.inputActiveOptionForeground,inputActiveOptionBackground:g.inputActiveOptionBackground})}}t.FuzzyToggle=he;const de={inputBoxStyles:v.unthemedInboxStyles,toggleStyles:c.unthemedToggleStyles,listFilterWidgetBackground:void 0,listFilterWidgetNoMatchesOutline:void 0,listFilterWidgetOutline:void 0,listFilterWidgetShadow:void 0};var ce;(function(H){H[H.Highlight=0]="Highlight",H[H.Filter=1]="Filter"})(ce=t.TreeFindMode||(t.TreeFindMode={}));var pe;(function(H){H[H.Fuzzy=0]="Fuzzy",H[H.Contiguous=1]="Contiguous"})(pe=t.TreeFindMatchType||(t.TreeFindMatchType={}));class Te extends F.Disposable{set mode(g){this.b.checked=g===ce.Filter,this.f.inputBox.setPlaceHolder(g===ce.Filter?(0,T.localize)(2,null):(0,T.localize)(3,null))}set matchType(g){this.c.checked=g===pe.Fuzzy}get value(){return this.f.inputBox.value}set value(g){this.f.inputBox.value=g}constructor(g,N,$,ie,k,P){super(),this.p=N,this.a=(0,A.h)(".monaco-tree-type-filter",[(0,A.h)(".monaco-tree-type-filter-grab.codicon.codicon-debug-gripper@grab",{tabIndex:0}),(0,A.h)(".monaco-tree-type-filter-input@findInput"),(0,A.h)(".monaco-tree-type-filter-actionbar@actionbar")]),this.j=0,this.k=0,this.m=0,this._onDidDisable=new y.Emitter,this.onDidDisable=this._onDidDisable.event,g.appendChild(this.a.root),this.B((0,F.toDisposable)(()=>g.removeChild(this.a.root)));const U=P?.styles??de;U.listFilterWidgetBackground&&(this.a.root.style.backgroundColor=U.listFilterWidgetBackground),U.listFilterWidgetShadow&&(this.a.root.style.boxShadow=`0 0 8px 2px ${U.listFilterWidgetShadow}`),this.b=this.B(new oe({...U.toggleStyles,isChecked:ie===ce.Filter})),this.c=this.B(new he({...U.toggleStyles,isChecked:k===pe.Fuzzy})),this.onDidChangeMode=y.Event.map(this.b.onChange,()=>this.b.checked?ce.Filter:ce.Highlight,this.q),this.onDidChangeMatchType=y.Event.map(this.c.onChange,()=>this.c.checked?pe.Fuzzy:pe.Contiguous,this.q),this.f=this.B(new w.FindInput(this.a.findInput,$,{label:(0,T.localize)(4,null),additionalToggles:[this.b,this.c],showCommonFindToggles:!1,inputBoxStyles:U.inputBoxStyles,toggleStyles:U.toggleStyles,history:P?.history})),this.g=this.B(new _.ActionBar(this.a.actionbar)),this.mode=ie;const C=this.B(new I.DomEmitter(this.f.inputBox.inputElement,"keydown")),B=this.B(y.Event.chain(C.event)).map(Y=>new i.StandardKeyboardEvent(Y)).event;this.B(B(Y=>{if(Y.equals(3)){Y.preventDefault(),Y.stopPropagation(),this.f.inputBox.addToHistory(),this.p.domFocus();return}if(Y.equals(18)){Y.preventDefault(),Y.stopPropagation(),this.f.inputBox.isAtLastInHistory()||this.f.inputBox.isNowhereInHistory()?(this.f.inputBox.addToHistory(),this.p.domFocus()):this.f.inputBox.showNextValue();return}if(Y.equals(16)){Y.preventDefault(),Y.stopPropagation(),this.f.inputBox.showPreviousValue();return}}));const z=this.B(new n.Action("close",(0,T.localize)(5,null),"codicon codicon-close",!0,()=>this.dispose()));this.g.push(z,{icon:!0,label:!1});const W=this.B(new I.DomEmitter(this.a.grab,"mousedown"));this.B(W.event(Y=>{const re=new F.DisposableStore,ue=re.add(new I.DomEmitter(window,"mousemove")),we=re.add(new I.DomEmitter(window,"mouseup")),De=this.k,Le=Y.pageX,Ae=this.m,ve=Y.pageY;this.a.grab.classList.add("grabbing");const Me=this.a.root.style.transition;this.a.root.style.transition="unset";const Ie=_e=>{const He=_e.pageX-Le;this.k=De-He;const We=_e.pageY-ve;this.m=Ae+We,this.layout()};re.add(ue.event(Ie)),re.add(we.event(_e=>{Ie(_e),this.a.grab.classList.remove("grabbing"),this.a.root.style.transition=Me,re.dispose()}))}));const x=this.B(y.Event.chain(this.B(new I.DomEmitter(this.a.grab,"keydown")).event)).map(Y=>new i.StandardKeyboardEvent(Y)).event;this.B(x(Y=>{let re,ue;if(Y.keyCode===15?re=Number.POSITIVE_INFINITY:Y.keyCode===17?re=0:Y.keyCode===10&&(re=this.k===0?Number.POSITIVE_INFINITY:0),Y.keyCode===16?ue=0:Y.keyCode===18&&(ue=Number.POSITIVE_INFINITY),re!==void 0&&(Y.preventDefault(),Y.stopPropagation(),this.k=re,this.layout()),ue!==void 0){Y.preventDefault(),Y.stopPropagation(),this.m=ue;const we=this.a.root.style.transition;this.a.root.style.transition="unset",this.layout(),setTimeout(()=>{this.a.root.style.transition=we},0)}})),this.onDidChangeValue=this.f.onDidChange}getHistory(){return this.f.inputBox.getHistory()}focus(){this.f.focus()}select(){this.f.select(),this.f.inputBox.addToHistory(!0)}layout(g=this.j){this.j=g,this.k=(0,f.clamp)(this.k,0,Math.max(0,g-212)),this.a.root.style.right=`${this.k}px`,this.m=(0,f.clamp)(this.m,0,24),this.a.root.style.top=`${this.m}px`}showMessage(g){this.f.showMessage(g)}clearMessage(){this.f.clearMessage()}async dispose(){this._onDidDisable.fire(),this.a.root.classList.add("disabled"),await(0,s.timeout)(300),super.dispose()}}class Pe{get pattern(){return this.b}get mode(){return this.d}set mode(g){g!==this.d&&(this.d=g,this.g&&(this.g.mode=this.d),this.t.refilter(),this.A(),this.k.fire(g))}get matchType(){return this.f}set matchType(g){g!==this.f&&(this.f=g,this.g&&(this.g.matchType=this.f),this.t.refilter(),this.A(),this.m.fire(g))}constructor(g,N,$,ie,k,P={}){this.t=g,this.u=$,this.v=ie,this.w=k,this.x=P,this.b="",this.c="",this.j=0,this.k=new y.Emitter,this.onDidChangeMode=this.k.event,this.m=new y.Emitter,this.onDidChangeMatchType=this.m.event,this.o=new y.Emitter,this.onDidChangePattern=this.o.event,this.p=new y.Emitter,this.onDidChangeOpenState=this.p.event,this.q=new F.DisposableStore,this.s=new F.DisposableStore,this.d=g.options.defaultFindMode??ce.Highlight,this.f=g.options.defaultFindMatchType??pe.Fuzzy,N.onDidSplice(this.z,this,this.s)}updateOptions(g={}){g.defaultFindMode!==void 0&&(this.mode=g.defaultFindMode),g.defaultFindMatchType!==void 0&&(this.matchType=g.defaultFindMatchType)}open(){if(this.g){this.g.focus(),this.g.select();return}this.g=new Te(this.u.getHTMLElement(),this.t,this.w,this.mode,this.matchType,{...this.x,history:this.a}),this.q.add(this.g),this.g.onDidChangeValue(this.y,this,this.q),this.g.onDidChangeMode(g=>this.mode=g,void 0,this.q),this.g.onDidChangeMatchType(g=>this.matchType=g,void 0,this.q),this.g.onDidDisable(this.close,this,this.q),this.g.layout(this.j),this.g.focus(),this.g.value=this.c,this.g.select(),this.p.fire(!0)}close(){!this.g||(this.a=this.g.getHistory(),this.g=void 0,this.q.dispose(),this.q=new F.DisposableStore,this.c=this.pattern,this.y(""),this.t.domFocus(),this.p.fire(!1))}y(g){this.b=g,this.o.fire(g),this.v.pattern=g,this.t.refilter(),g&&this.t.focusNext(0,!0,void 0,$=>!S.FuzzyScore.isDefault($.filterData));const N=this.t.getFocus();if(N.length>0){const $=N[0];this.t.getRelativeTop($)===null&&this.t.reveal($,.5)}this.A()}z(){!this.g||this.pattern.length===0||(this.t.refilter(),this.A())}A(){const g=this.v.totalCount>0&&this.v.matchCount===0;this.pattern&&g?this.t.options.showNotFoundMessage??!0?this.g?.showMessage({type:2,content:(0,T.localize)(6,null)}):this.g?.showMessage({type:2}):this.g?.clearMessage()}shouldAllowFocus(g){return!this.g||!this.pattern||this.d===ce.Filter||this.v.totalCount>0&&this.v.matchCount<=1?!0:!S.FuzzyScore.isDefault(g.filterData)}layout(g){this.j=g,this.g?.layout(g)}dispose(){this.a=void 0,this.o.dispose(),this.q.dispose(),this.s.dispose()}}function Oe(H){let g=o.TreeMouseEventTarget.Unknown;return(0,A.hasParentWithClass)(H.browserEvent.target,"monaco-tl-twistie","monaco-tl-row")?g=o.TreeMouseEventTarget.Twistie:(0,A.hasParentWithClass)(H.browserEvent.target,"monaco-tl-contents","monaco-tl-row")?g=o.TreeMouseEventTarget.Element:(0,A.hasParentWithClass)(H.browserEvent.target,"monaco-tree-type-filter","monaco-list")&&(g=o.TreeMouseEventTarget.Filter),{browserEvent:H.browserEvent,element:H.element?H.element.element:null,target:g}}function j(H){return{element:H.element?H.element.element:null,browserEvent:H.browserEvent,anchor:H.anchor}}function G(H,g){g(H),H.children.forEach(N=>G(N,g))}class se{get f(){return this.d||(this.d=this.m()),this.d}constructor(g,N){this.g=g,this.j=N,this.a=[],this.c=new y.Emitter,this.onDidChange=this.c.event}set(g,N){!N?.__forceEvent&&(0,e.equals)(this.a,g)||this.k(g,!1,N)}k(g,N,$){if(this.a=[...g],this.b=void 0,this.d=void 0,!N){const ie=this;this.c.fire({get elements(){return ie.get()},browserEvent:$})}}get(){return this.b||(this.b=this.a.map(g=>g.element)),[...this.b]}getNodes(){return this.a}has(g){return this.f.has(g)}onDidModelSplice({insertedNodes:g,deletedNodes:N}){if(!this.j){const C=this.m(),B=z=>C.delete(z);N.forEach(z=>G(z,B)),this.set([...C.values()]);return}const $=new Set,ie=C=>$.add(this.j.getId(C.element).toString());N.forEach(C=>G(C,ie));const k=new Map,P=C=>k.set(this.j.getId(C.element).toString(),C);g.forEach(C=>G(C,P));const U=[];for(const C of this.a){const B=this.j.getId(C.element).toString();if(!$.has(B))U.push(C);else{const W=k.get(B);W&&U.push(W)}}if(this.a.length>0&&U.length===0){const C=this.g();C&&U.push(C)}this.k(U,!0)}m(){const g=new Set;for(const N of this.a)g.add(N);return g}}class ne extends u.MouseController{constructor(g,N){super(g),this.z=N}u(g){if((0,u.isButton)(g.browserEvent.target)||(0,u.isInputElement)(g.browserEvent.target)||(0,u.isMonacoEditor)(g.browserEvent.target))return;const N=g.element;if(!N)return super.u(g);if(this.p(g)||this.o(g))return super.u(g);const $=g.browserEvent.target,ie=$.classList.contains("monaco-tl-twistie")||$.classList.contains("monaco-icon-label")&&$.classList.contains("folder-icon")&&g.browserEvent.offsetX<16;let k=!1;if(typeof this.z.expandOnlyOnTwistieClick=="function"?k=this.z.expandOnlyOnTwistieClick(N.element):k=!!this.z.expandOnlyOnTwistieClick,k&&!ie&&g.browserEvent.detail!==2)return super.u(g);if(!this.z.expandOnDoubleClick&&g.browserEvent.detail===2)return super.u(g);if(N.collapsible){const P=this.z.getNodeLocation(N),U=g.browserEvent.altKey;if(this.z.setFocus([P]),this.z.toggleCollapsed(P,U),k&&ie)return}super.u(g)}v(g){g.browserEvent.target.classList.contains("monaco-tl-twistie")||!this.z.expandOnDoubleClick||super.v(g)}}class Q extends u.List{constructor(g,N,$,ie,k,P,U,C){super(g,N,$,ie,C),this.p=k,this.s=P,this.L=U}E(g){return new ne(this,g.tree)}splice(g,N,$=[]){if(super.splice(g,N,$),$.length===0)return;const ie=[],k=[];let P;$.forEach((U,C)=>{this.p.has(U)&&ie.push(g+C),this.s.has(U)&&k.push(g+C),this.L.has(U)&&(P=g+C)}),ie.length>0&&super.setFocus((0,e.distinct)([...super.getFocus(),...ie])),k.length>0&&super.setSelection((0,e.distinct)([...super.getSelection(),...k])),typeof P=="number"&&super.setAnchor(P)}setFocus(g,N,$=!1){super.setFocus(g,N),$||this.p.set(g.map(ie=>this.element(ie)),N)}setSelection(g,N,$=!1){super.setSelection(g,N),$||this.s.set(g.map(ie=>this.element(ie)),N)}setAnchor(g,N=!1){super.setAnchor(g),N||(typeof g>"u"?this.L.set([]):this.L.set([this.element(g)]))}}class b{get onDidScroll(){return this.j.onDidScroll}get onDidChangeFocus(){return this.w.wrapEvent(this.p.onDidChange)}get onDidChangeSelection(){return this.w.wrapEvent(this.q.onDidChange)}get onMouseClick(){return y.Event.map(this.j.onMouseClick,Oe)}get onMouseDblClick(){return y.Event.filter(y.Event.map(this.j.onMouseDblClick,Oe),g=>g.target!==o.TreeMouseEventTarget.Filter)}get onContextMenu(){return y.Event.map(this.j.onContextMenu,j)}get onTap(){return y.Event.map(this.j.onTap,Oe)}get onPointer(){return y.Event.map(this.j.onPointer,Oe)}get onKeyDown(){return this.j.onKeyDown}get onKeyUp(){return this.j.onKeyUp}get onKeyPress(){return this.j.onKeyPress}get onDidFocus(){return this.j.onDidFocus}get onDidBlur(){return this.j.onDidBlur}get onDidChangeModel(){return y.Event.signal(this.o.onDidSplice)}get onDidChangeCollapseState(){return this.o.onDidChangeCollapseState}get onDidChangeRenderNodeCount(){return this.o.onDidChangeRenderNodeCount}get findMode(){return this.x?.mode??ce.Highlight}set findMode(g){this.x&&(this.x.mode=g)}get findMatchType(){return this.x?.matchType??pe.Fuzzy}set findMatchType(g){this.x&&(this.x.matchType=g)}get onDidChangeFindPattern(){return this.x?this.x.onDidChangePattern:y.Event.None}get expandOnDoubleClick(){return typeof this.E.expandOnDoubleClick>"u"?!0:this.E.expandOnDoubleClick}get expandOnlyOnTwistieClick(){return typeof this.E.expandOnlyOnTwistieClick>"u"?!0:this.E.expandOnlyOnTwistieClick}get onDidDispose(){return this.j.onDidDispose}constructor(g,N,$,ie,k={}){this.D=g,this.E=k,this.w=new y.EventBufferer,this.onDidChangeFindOpenState=y.Event.None,this.A=new F.DisposableStore,this.B=new y.Emitter,this.onWillRefilter=this.B.event,this.C=new y.Emitter,this.onDidUpdateOptions=this.C.event;const P=new E($),U=new y.Relay,C=new y.Relay,B=this.A.add(new ee(C.event)),z=new l.SetMap;this.k=ie.map(Y=>new Z(Y,()=>this.o,U.event,B,z,k));for(const Y of this.k)this.A.add(Y);let W;k.keyboardNavigationLabelProvider&&(W=new te(this,k.keyboardNavigationLabelProvider,k.filter),k={...k,filter:W},this.A.add(W)),this.p=new se(()=>this.j.getFocusedElements()[0],k.identityProvider),this.q=new se(()=>this.j.getSelectedElements()[0],k.identityProvider),this.u=new se(()=>this.j.getAnchorElement(),k.identityProvider),this.j=new Q(g,N,P,this.k,this.p,this.q,this.u,{...m(()=>this.o,k),tree:this}),this.o=this.I(g,this.j,k),U.input=this.o.onDidChangeCollapseState;const x=y.Event.forEach(this.o.onDidSplice,Y=>{this.w.bufferEvents(()=>{this.p.onDidModelSplice(Y),this.q.onDidModelSplice(Y)})},this.A);if(x(()=>null,null,this.A),C.input=y.Event.chain(y.Event.any(x,this.p.onDidChange,this.q.onDidChange)).debounce(()=>null,0).map(()=>{const Y=new Set;for(const re of this.p.getNodes())Y.add(re);for(const re of this.q.getNodes())Y.add(re);return[...Y.values()]}).event,k.keyboardSupport!==!1){const Y=y.Event.chain(this.j.onKeyDown).filter(re=>!(0,u.isInputElement)(re.target)).map(re=>new i.StandardKeyboardEvent(re));Y.filter(re=>re.keyCode===15).on(this.F,this,this.A),Y.filter(re=>re.keyCode===17).on(this.G,this,this.A),Y.filter(re=>re.keyCode===10).on(this.H,this,this.A)}if((k.findWidgetEnabled??!0)&&k.keyboardNavigationLabelProvider&&k.contextViewProvider){const Y=this.options.findWidgetStyles?{styles:this.options.findWidgetStyles}:void 0;this.x=new Pe(this,this.o,this.j,W,k.contextViewProvider,Y),this.y=re=>this.x.shouldAllowFocus(re),this.onDidChangeFindOpenState=this.x.onDidChangeOpenState,this.A.add(this.x),this.onDidChangeFindMode=this.x.onDidChangeMode,this.onDidChangeFindMatchType=this.x.onDidChangeMatchType}else this.onDidChangeFindMode=y.Event.None,this.onDidChangeFindMatchType=y.Event.None;this.z=(0,A.createStyleSheet)(this.j.getHTMLElement()),this.getHTMLElement().classList.toggle("always",this.E.renderIndentGuides===V.Always)}updateOptions(g={}){this.E={...this.E,...g};for(const N of this.k)N.updateOptions(g);this.j.updateOptions(this.E),this.x?.updateOptions(g),this.C.fire(this.E),this.getHTMLElement().classList.toggle("always",this.E.renderIndentGuides===V.Always)}get options(){return this.E}updateWidth(g){const N=this.o.getListIndex(g);N!==-1&&this.j.updateWidth(N)}getHTMLElement(){return this.j.getHTMLElement()}get contentHeight(){return this.j.contentHeight}get onDidChangeContentHeight(){return this.j.onDidChangeContentHeight}get scrollTop(){return this.j.scrollTop}set scrollTop(g){this.j.scrollTop=g}get scrollLeft(){return this.j.scrollLeft}set scrollLeft(g){this.j.scrollLeft=g}get scrollHeight(){return this.j.scrollHeight}get renderHeight(){return this.j.renderHeight}get firstVisibleElement(){const g=this.j.firstVisibleIndex;return g<0||g>=this.j.length?void 0:this.j.element(g).element}get lastVisibleElement(){const g=this.j.lastVisibleIndex;return this.j.element(g).element}get ariaLabel(){return this.j.ariaLabel}set ariaLabel(g){this.j.ariaLabel=g}domFocus(){this.j.domFocus()}isDOMFocused(){return this.getHTMLElement()===document.activeElement}layout(g,N){this.j.layout(g,N),(0,D.isNumber)(N)&&this.x?.layout(N)}style(g){const N=`.${this.j.domId}`,$=[];g.treeIndentGuidesStroke&&($.push(`.monaco-list${N}:hover .monaco-tl-indent > .indent-guide, .monaco-list${N}.always .monaco-tl-indent > .indent-guide  { border-color: ${g.treeInactiveIndentGuidesStroke}; }`),$.push(`.monaco-list${N} .monaco-tl-indent > .indent-guide.active { border-color: ${g.treeIndentGuidesStroke}; }`)),this.z.textContent=$.join(`
`),this.j.style(g)}getParentElement(g){const N=this.o.getParentNodeLocation(g);return this.o.getNode(N).element}getFirstElementChild(g){return this.o.getFirstElementChild(g)}getNode(g){return this.o.getNode(g)}getNodeLocation(g){return this.o.getNodeLocation(g)}collapse(g,N=!1){return this.o.setCollapsed(g,!0,N)}expand(g,N=!1){return this.o.setCollapsed(g,!1,N)}toggleCollapsed(g,N=!1){return this.o.setCollapsed(g,void 0,N)}expandAll(){this.o.setCollapsed(this.o.rootRef,!1,!0)}collapseAll(){this.o.setCollapsed(this.o.rootRef,!0,!0)}isCollapsible(g){return this.o.isCollapsible(g)}setCollapsible(g,N){return this.o.setCollapsible(g,N)}isCollapsed(g){return this.o.isCollapsed(g)}triggerTypeNavigation(){this.j.triggerTypeNavigation()}openFind(){this.x?.open()}closeFind(){this.x?.close()}refilter(){this.B.fire(void 0),this.o.refilter()}setAnchor(g){if(typeof g>"u")return this.j.setAnchor(void 0);const N=this.o.getNode(g);this.u.set([N]);const $=this.o.getListIndex(g);$>-1&&this.j.setAnchor($,!0)}getAnchor(){return(0,e.firstOrDefault)(this.u.get(),void 0)}setSelection(g,N){const $=g.map(k=>this.o.getNode(k));this.q.set($,N);const ie=g.map(k=>this.o.getListIndex(k)).filter(k=>k>-1);this.j.setSelection(ie,N,!0)}getSelection(){return this.q.get()}setFocus(g,N){const $=g.map(k=>this.o.getNode(k));this.p.set($,N);const ie=g.map(k=>this.o.getListIndex(k)).filter(k=>k>-1);this.j.setFocus(ie,N,!0)}focusNext(g=1,N=!1,$,ie=this.y){this.j.focusNext(g,N,$,ie)}focusPrevious(g=1,N=!1,$,ie=this.y){this.j.focusPrevious(g,N,$,ie)}focusNextPage(g,N=this.y){return this.j.focusNextPage(g,N)}focusPreviousPage(g,N=this.y){return this.j.focusPreviousPage(g,N)}focusLast(g,N=this.y){this.j.focusLast(g,N)}focusFirst(g,N=this.y){this.j.focusFirst(g,N)}getFocus(){return this.p.get()}reveal(g,N){this.o.expandTo(g);const $=this.o.getListIndex(g);$!==-1&&this.j.reveal($,N)}getRelativeTop(g){const N=this.o.getListIndex(g);return N===-1?null:this.j.getRelativeTop(N)}getViewState(g=this.options.identityProvider){if(!g)throw new o.TreeError(this.D,"Can't get tree view state without an identity provider");const N=P=>g.getId(P).toString(),$=O.empty(this.scrollTop);for(const P of this.getFocus())$.focus.add(N(P));for(const P of this.getSelection())$.selection.add(N(P));const ie=this.o.getNode(),k=[ie];for(;k.length>0;){const P=k.shift();P!==ie&&P.collapsible&&($.expanded[N(P.element)]=P.collapsed?0:1),k.push(...P.children)}return $}F(g){g.preventDefault(),g.stopPropagation();const N=this.j.getFocusedElements();if(N.length===0)return;const $=N[0],ie=this.o.getNodeLocation($);if(!this.o.setCollapsed(ie,!0)){const P=this.o.getParentNodeLocation(ie);if(!P)return;const U=this.o.getListIndex(P);this.j.reveal(U),this.j.setFocus([U])}}G(g){g.preventDefault(),g.stopPropagation();const N=this.j.getFocusedElements();if(N.length===0)return;const $=N[0],ie=this.o.getNodeLocation($);if(!this.o.setCollapsed(ie,!1)){if(!$.children.some(C=>C.visible))return;const[P]=this.j.getFocus(),U=P+1;this.j.reveal(U),this.j.setFocus([U])}}H(g){g.preventDefault(),g.stopPropagation();const N=this.j.getFocusedElements();if(N.length===0)return;const $=N[0],ie=this.o.getNodeLocation($),k=g.browserEvent.altKey;this.o.setCollapsed(ie,void 0,k)}navigate(g){return new R(this.j,this.o,g)}dispose(){(0,F.dispose)(this.A),this.j.dispose()}}t.AbstractTree=b;class R{constructor(g,N,$){this.b=g,this.c=N,$?this.a=this.c.getListIndex($):this.a=-1}current(){return this.a<0||this.a>=this.b.length?null:this.b.element(this.a).element}previous(){return this.a--,this.current()}next(){return this.a++,this.current()}first(){return this.a=0,this.current()}last(){return this.a=this.b.length-1,this.current()}}}),define(ge[129],me([1,0,128,119,24,26]),function(J,t,A,I,i,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DataTree=void 0;class w extends A.AbstractTree{constructor(d,u,c,M,o,n={}){super(d,u,c,M,n),this.f=d,this.g=o,this.d=new Map,this.c=n.identityProvider}getInput(){return this.b}setInput(d,u){if(u&&!this.c)throw new i.TreeError(this.f,"Can't restore tree view state without an identity provider");if(this.b=d,!d){this.d.clear(),this.o.setChildren(null,_.Iterable.empty());return}if(!u){this.m(d);return}const c=[],M=[],o=e=>{const s=this.c.getId(e).toString();return!u.expanded[s]},n=e=>{const s=this.c.getId(e.element).toString();u.focus.has(s)&&c.push(e.element),u.selection.has(s)&&M.push(e.element)};this.m(d,o,n),this.setFocus(c),this.setSelection(M),u&&typeof u.scrollTop=="number"&&(this.scrollTop=u.scrollTop)}updateChildren(d=this.b){if(typeof this.b>"u")throw new i.TreeError(this.f,"Tree input not set");let u;this.c&&(u=c=>{const M=this.c.getId(c).toString(),o=this.d.get(M);if(!!o)return o.collapsed}),this.m(d,u)}resort(d=this.b,u=!0){this.o.resort(d===this.b?null:d,u)}refresh(d){if(d===void 0){this.j.rerender();return}this.o.rerender(d)}m(d,u,c){let M;if(this.c){const o=new Set,n=c;c=e=>{const s=this.c.getId(e.element).toString();o.add(s),this.d.set(s,e),n?.(e)},M=e=>{const s=this.c.getId(e.element).toString();o.has(s)||this.d.delete(s)}}this.o.setChildren(d===this.b?null:d,this.s(d,u).elements,{onDidCreateNode:c,onDidDeleteNode:M})}s(d,u){const c=[...this.g.getChildren(d)];return{elements:_.Iterable.map(c,o=>{const{elements:n,size:e}=this.s(o,u),s=this.g.hasChildren?this.g.hasChildren(o):void 0,r=e===0?void 0:u&&u(o);return{element:o,children:n,collapsible:s,collapsed:r}}),size:c.length}}I(d,u,c){return new I.ObjectTreeModel(d,u,c)}}t.DataTree=w}),define(ge[37],me([1,0,13,9,29,27,25,7,3,2,49,11,6]),function(J,t,A,I,i,_,w,v,d,u,c,M,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.deserialize=t.serialize=t.BufferWriter=t.BufferReader=void 0;var n;(function(j){j[j.Promise=100]="Promise",j[j.PromiseCancel=101]="PromiseCancel",j[j.EventListen=102]="EventListen",j[j.EventDispose=103]="EventDispose"})(n||(n={}));function e(j){switch(j){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var s;(function(j){j[j.Initialize=200]="Initialize",j[j.PromiseSuccess=201]="PromiseSuccess",j[j.PromiseError=202]="PromiseError",j[j.PromiseErrorObj=203]="PromiseErrorObj",j[j.EventFire=204]="EventFire"})(s||(s={}));function r(j){switch(j){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var a;(function(j){j[j.Uninitialized=0]="Uninitialized",j[j.Idle=1]="Idle"})(a||(a={}));function l(j){let G=0;for(let se=0;;se+=7){const ne=j.read(1);if(G|=(ne.buffer[0]&127)<<se,!(ne.buffer[0]&128))return G}}const y=T(0);function S(j,G){if(G===0){j.write(y);return}let se=0;for(let Q=G;Q!==0;Q=Q>>>7)se++;const ne=i.VSBuffer.alloc(se);for(let Q=0;G!==0;Q++)ne.buffer[Q]=G&127,G=G>>>7,G>0&&(ne.buffer[Q]|=128);j.write(ne)}class F{constructor(G){this.b=G,this.a=0}read(G){const se=this.b.slice(this.a,this.a+G);return this.a+=se.byteLength,se}}t.BufferReader=F;class f{constructor(){this.a=[]}get buffer(){return i.VSBuffer.concat(this.a)}write(G){this.a.push(G)}}t.BufferWriter=f;var D;(function(j){j[j.Undefined=0]="Undefined",j[j.String=1]="String",j[j.Buffer=2]="Buffer",j[j.VSBuffer=3]="VSBuffer",j[j.Array=4]="Array",j[j.Object=5]="Object",j[j.Int=6]="Int"})(D||(D={}));function T(j){const G=i.VSBuffer.alloc(1);return G.writeUInt8(j,0),G}const L={Undefined:T(D.Undefined),String:T(D.String),Buffer:T(D.Buffer),VSBuffer:T(D.VSBuffer),Array:T(D.Array),Object:T(D.Object),Uint:T(D.Int)},h=typeof Buffer<"u";function p(j,G){if(typeof G>"u")j.write(L.Undefined);else if(typeof G=="string"){const se=i.VSBuffer.fromString(G);j.write(L.String),S(j,se.byteLength),j.write(se)}else if(h&&Buffer.isBuffer(G)){const se=i.VSBuffer.wrap(G);j.write(L.Buffer),S(j,se.byteLength),j.write(se)}else if(G instanceof i.VSBuffer)j.write(L.VSBuffer),S(j,G.byteLength),j.write(G);else if(Array.isArray(G)){j.write(L.Array),S(j,G.length);for(const se of G)p(j,se)}else if(typeof G=="number"&&(G|0)===G)j.write(L.Uint),S(j,G);else{const se=i.VSBuffer.fromString(JSON.stringify(G));j.write(L.Object),S(j,se.byteLength),j.write(se)}}t.serialize=p;function m(j){switch(j.read(1).readUInt8(0)){case D.Undefined:return;case D.String:return j.read(l(j)).toString();case D.Buffer:return j.read(l(j)).buffer;case D.VSBuffer:return j.read(l(j));case D.Array:{const se=l(j),ne=[];for(let Q=0;Q<se;Q++)ne.push(m(j));return ne}case D.Object:return JSON.parse(j.read(l(j)).toString());case D.Int:return l(j)}}t.deserialize=m;class E{constructor(G,se,ne=null,Q=1e3){this.h=G,this.j=se,this.k=ne,this.l=Q,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(b=>this.q(b)),this.m({type:200})}registerChannel(G,se){this.b.set(G,se),setTimeout(()=>this.w(G),0)}m(G){switch(G.type){case 200:{const se=this.o([G.type]);this.k?.logOutgoing(se,0,1,r(G.type));return}case 201:case 202:case 204:case 203:{const se=this.o([G.type,G.id],G.data);this.k?.logOutgoing(se,G.id,1,r(G.type),G.data);return}}}o(G,se=void 0){const ne=new f;return p(ne,G),p(ne,se),this.p(ne.buffer)}p(G){try{return this.h.send(G),G.byteLength}catch{return 0}}q(G){const se=new F(G),ne=m(se),Q=m(se),b=ne[0];switch(b){case 100:return this.k?.logIncoming(G.byteLength,ne[1],1,`${e(b)}: ${ne[2]}.${ne[3]}`,Q),this.s({type:b,id:ne[1],channelName:ne[2],name:ne[3],arg:Q});case 102:return this.k?.logIncoming(G.byteLength,ne[1],1,`${e(b)}: ${ne[2]}.${ne[3]}`,Q),this.t({type:b,id:ne[1],channelName:ne[2],name:ne[3],arg:Q});case 101:return this.k?.logIncoming(G.byteLength,ne[1],1,`${e(b)}`),this.u({type:b,id:ne[1]});case 103:return this.k?.logIncoming(G.byteLength,ne[1],1,`${e(b)}`),this.u({type:b,id:ne[1]})}}s(G){const se=this.b.get(G.channelName);if(!se){this.v(G);return}const ne=new _.CancellationTokenSource;let Q;try{Q=se.call(this.j,G.name,G.arg,ne.token)}catch(H){Q=Promise.reject(H)}const b=G.id;Q.then(H=>{this.m({id:b,data:H,type:201}),this.d.delete(G.id)},H=>{H instanceof Error?this.m({id:b,data:{message:H.message,name:H.name,stack:H.stack?H.stack.split?H.stack.split(`
`):H.stack:void 0},type:202}):this.m({id:b,data:H,type:203}),this.d.delete(G.id)});const R=(0,u.toDisposable)(()=>ne.cancel());this.d.set(G.id,R)}t(G){const se=this.b.get(G.channelName);if(!se){this.v(G);return}const ne=G.id,b=se.listen(this.j,G.name,G.arg)(R=>this.m({id:ne,data:R,type:204}));this.d.set(G.id,b)}u(G){const se=this.d.get(G.id);se&&(se.dispose(),this.d.delete(G.id))}v(G){let se=this.g.get(G.channelName);se||(se=[],this.g.set(G.channelName,se));const ne=setTimeout(()=>{console.error(`Unknown channel: ${G.channelName}`),G.type===100&&this.m({id:G.id,data:{name:"Unknown channel",message:`Channel name '${G.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);se.push({request:G,timeoutTimer:ne})}w(G){const se=this.g.get(G);if(se){for(const ne of se)switch(clearTimeout(ne.timeoutTimer),ne.request.type){case 100:this.s(ne.request);break;case 102:this.t(ne.request);break}this.g.delete(G)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,u.dispose)(this.d.values()),this.d.clear()}}t.ChannelServer=E;var O;(function(j){j[j.LocalSide=0]="LocalSide",j[j.OtherSide=1]="OtherSide"})(O=t.RequestInitiator||(t.RequestInitiator={}));class V{constructor(G,se=null){this.l=G,this.a=!1,this.b=a.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new d.Emitter,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(ne=>this.s(ne)),this.j=se}getChannel(G){const se=this;return{call(ne,Q,b){return se.a?Promise.reject(new v.CancellationError):se.m(G,ne,Q,b)},listen(ne,Q){return se.a?d.Event.None:se.o(G,ne,Q)}}}m(G,se,ne,Q=_.CancellationToken.None){const b=this.g++,H={id:b,type:100,channelName:G,name:se,arg:ne};if(Q.isCancellationRequested)return Promise.reject(new v.CancellationError);let g;return new Promise(($,ie)=>{if(Q.isCancellationRequested)return ie(new v.CancellationError);const k=()=>{const B=z=>{switch(z.type){case 201:this.f.delete(b),$(z.data);break;case 202:{this.f.delete(b);const W=new Error(z.data.message);W.stack=Array.isArray(z.data.stack)?z.data.stack.join(`
`):z.data.stack,W.name=z.data.name,ie(W);break}case 203:this.f.delete(b),ie(z.data);break}};this.f.set(b,B),this.p(H)};let P=null;this.b===a.Idle?k():(P=(0,I.createCancelablePromise)(B=>this.u()),P.then(()=>{P=null,k()}));const U=()=>{P?(P.cancel(),P=null):this.p({id:b,type:101}),ie(new v.CancellationError)},C=Q.onCancellationRequested(U);g=(0,u.combinedDisposable)((0,u.toDisposable)(U),C),this.d.add(g)}).finally(()=>{this.d.delete(g)})}o(G,se,ne){const Q=this.g++,R={id:Q,type:102,channelName:G,name:se,arg:ne};let H=null;const g=new d.Emitter({onWillAddFirstListener:()=>{H=(0,I.createCancelablePromise)($=>this.u()),H.then(()=>{H=null,this.d.add(g),this.p(R)})},onDidRemoveLastListener:()=>{H?(H.cancel(),H=null):(this.d.delete(g),this.p({id:Q,type:103}))}}),N=$=>g.fire($.data);return this.f.set(Q,N),g.event}p(G){switch(G.type){case 100:case 102:{const se=this.q([G.type,G.id,G.channelName,G.name],G.arg);this.j?.logOutgoing(se,G.id,0,`${e(G.type)}: ${G.channelName}.${G.name}`,G.arg);return}case 101:case 103:{const se=this.q([G.type,G.id]);this.j?.logOutgoing(se,G.id,0,e(G.type));return}}}q(G,se=void 0){const ne=new f;return p(ne,G),p(ne,se),this.r(ne.buffer)}r(G){try{return this.l.send(G),G.byteLength}catch{return 0}}s(G){const se=new F(G),ne=m(se),Q=m(se),b=ne[0];switch(b){case 200:return this.j?.logIncoming(G.byteLength,0,0,r(b)),this.t({type:ne[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(G.byteLength,ne[1],0,r(b),Q),this.t({type:ne[0],id:ne[1],data:Q})}}t(G){if(G.type===200){this.b=a.Idle,this.k.fire();return}this.f.get(G.id)?.(G)}get onDidInitializePromise(){return d.Event.toPromise(this.onDidInitialize)}u(){return this.b===a.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,u.dispose)(this.d.values()),this.d.clear()}}Ve([w.memoize],V.prototype,"onDidInitializePromise",null),t.ChannelClient=V;class ee{get connections(){const G=[];return this.f.forEach(se=>G.push(se)),G}constructor(G){this.a=new Map,this.f=new Set,this.g=new d.Emitter,this.onDidAddConnection=this.g.event,this.h=new d.Emitter,this.onDidRemoveConnection=this.h.event,G(({protocol:se,onDidClientDisconnect:ne})=>{d.Event.once(se.onMessage)(b=>{const R=new F(b),H=m(R),g=new E(se,H),N=new V(se);this.a.forEach((ie,k)=>g.registerChannel(k,ie));const $={channelServer:g,channelClient:N,ctx:H};this.f.add($),this.g.fire($),ne(()=>{g.dispose(),N.dispose(),this.f.delete($),this.h.fire($)})})})}getChannel(G,se){const ne=this;return{call(Q,b,R){let H;if((0,o.isFunction)(se)){const N=(0,A.getRandomElement)(ne.connections.filter(se));H=N?Promise.resolve(N):d.Event.toPromise(d.Event.filter(ne.onDidAddConnection,se))}else H=se.routeCall(ne,Q,b);const g=H.then(N=>N.channelClient.getChannel(G));return te(g).call(Q,b,R)},listen(Q,b){if((0,o.isFunction)(se))return ne.j(G,se,Q,b);const R=se.routeEvent(ne,Q,b).then(H=>H.channelClient.getChannel(G));return te(R).listen(Q,b)}}}j(G,se,ne,Q){const b=this;let R=new u.DisposableStore;const H=new d.Emitter({onWillAddFirstListener:()=>{R=new u.DisposableStore;const g=new d.EventMultiplexer,N=new Map,$=k=>{const U=k.channelClient.getChannel(G).listen(ne,Q),C=g.add(U);N.set(k,C)},ie=k=>{const P=N.get(k);!P||(P.dispose(),N.delete(k))};b.connections.filter(se).forEach($),d.Event.filter(b.onDidAddConnection,se)($,void 0,R),b.onDidRemoveConnection(ie,void 0,R),g.event(H.fire,H,R),R.add(g)},onDidRemoveLastListener:()=>{R.dispose()}});return H.event}registerChannel(G,se){this.a.set(G,se),this.f.forEach(ne=>{ne.channelServer.registerChannel(G,se)})}dispose(){this.a.clear(),this.f.clear(),this.g.dispose(),this.h.dispose()}}t.IPCServer=ee;class Z{constructor(G,se,ne=null){const Q=new f;p(Q,se),G.send(Q.buffer),this.a=new V(G,ne),this.d=new E(G,se,ne)}getChannel(G){return this.a.getChannel(G)}registerChannel(G,se){this.d.registerChannel(G,se)}dispose(){this.a.dispose(),this.d.dispose()}}t.IPCClient=Z;function te(j){return{call(G,se,ne){return j.then(Q=>Q.call(G,se,ne))},listen(G,se){const ne=new d.Relay;return j.then(Q=>ne.input=Q.listen(G,se)),ne.event}}}t.getDelayedChannel=te;function oe(j){let G=!1;return{call(se,ne,Q){return G?j.call(se,ne,Q):(0,I.timeout)(0).then(()=>G=!0).then(()=>j.call(se,ne,Q))},listen(se,ne){if(G)return j.listen(se,ne);const Q=new d.Relay;return(0,I.timeout)(0).then(()=>G=!0).then(()=>Q.input=j.listen(se,ne)),Q.event}}}t.getNextTickChannel=oe;class he{constructor(G){this.a=G}routeCall(G){return this.b(G)}routeEvent(G){return this.b(G)}async b(G){for(const se of G.connections)if(await Promise.resolve(this.a(se.ctx)))return Promise.resolve(se);return await d.Event.toPromise(G.onDidAddConnection),await this.b(G)}}t.StaticRouter=he;var de;(function(j){function G(b,R){const H=b,g=R&&R.disableMarshalling,N=new Map;for(const $ in H)ne($)&&N.set($,d.Event.buffer(H[$],!0));return new class{listen($,ie,k){const P=N.get(ie);if(P)return P;if(Q(ie)){const U=H[ie];if(typeof U=="function")return U.call(H,k)}throw new Error(`Event not found: ${ie}`)}call($,ie,k){const P=H[ie];if(typeof P=="function"){if(!g&&Array.isArray(k))for(let U=0;U<k.length;U++)k[U]=(0,c.revive)(k[U]);return P.apply(H,k)}throw new Error(`Method not found: ${ie}`)}}}j.fromService=G;function se(b,R){const H=R&&R.disableMarshalling;return new Proxy({},{get(g,N){if(typeof N=="string")return R?.properties?.has(N)?R.properties.get(N):Q(N)?function($){return b.listen(N,$)}:ne(N)?b.listen(N):async function(...$){let ie;R&&!(0,o.isUndefinedOrNull)(R.context)?ie=[R.context,...$]:ie=$;const k=await b.call(N,ie);return H?k:(0,c.revive)(k)};throw new Error(`Property not found: ${String(N)}`)}})}j.toService=se;function ne(b){return b[0]==="o"&&b[1]==="n"&&M.isUpperAsciiLetter(b.charCodeAt(2))}function Q(b){return/^onDynamic/.test(b)&&M.isUpperAsciiLetter(b.charCodeAt(9))}})(de=t.ProxyChannel||(t.ProxyChannel={}));const ce=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function pe(j){if(Array.isArray(j))return j;if(j&&typeof j=="object"&&typeof j.toString=="function"){const G=j.toString();if(G!=="[object Object]")return G}return j}function Te(j){return Array.isArray(j)?j.map(pe):pe(j)}function Pe(j,G,se,ne,Q,b,R){R=Te(R);const H=ce[Q],g=H[ne%H.length];let N=[`%c[${j}]%c[${String(G).padStart(7," ")}]%c[len: ${String(se).padStart(5," ")}]%c${String(ne).padStart(5," ")} - ${b}`,"color: darkgreen","color: grey","color: grey",`color: ${g}`];/\($/.test(b)?(N=N.concat(R),N.push(")")):N.push(R),console.log.apply(console,N)}class Oe{constructor(G,se){this.d=G,this.f=se,this.a=0,this.b=0}logOutgoing(G,se,ne,Q,b){this.b+=G,Pe(this.d,this.b,G,se,ne,Q,b)}logIncoming(G,se,ne,Q,b){this.a+=G,Pe(this.f,this.a,G,se,ne,Q,b)}}t.IPCLogger=Oe}),define(ge[28],me([1,0,5]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.context=t.process=t.webFrame=t.ipcMessagePort=t.ipcRenderer=void 0,t.ipcRenderer=A.globals.vscode.ipcRenderer,t.ipcMessagePort=A.globals.vscode.ipcMessagePort,t.webFrame=A.globals.vscode.webFrame,t.process=A.globals.vscode.process,t.context=A.globals.vscode.context}),define(ge[130],me([1,0,81,28]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.popup=void 0;let i=0;function _(v,d,u){const c=[],M=i++,o=`vscode:onContextMenu${M}`,n=(e,s,r)=>{c[s].click?.(r)};I.ipcRenderer.once(o,n),I.ipcRenderer.once(A.CONTEXT_MENU_CLOSE_CHANNEL,(e,s)=>{s===M&&(I.ipcRenderer.removeListener(o,n),u?.())}),I.ipcRenderer.send(A.CONTEXT_MENU_CHANNEL,M,v.map(e=>w(e,c)),o,d)}t.popup=_;function w(v,d){const u={id:d.length,label:v.label,type:v.type,accelerator:v.accelerator,checked:v.checked,enabled:typeof v.enabled=="boolean"?v.enabled:!0,visible:typeof v.visible=="boolean"?v.visible:!0};return d.push(v),Array.isArray(v.submenu)&&(u.submenu=v.submenu.map(c=>w(c,d))),u}}),define(ge[131],me([1,0,29,3,37,82,28]),function(J,t,A,I,i,_,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=void 0;class v extends i.IPCClient{static f(){const u=I.Event.fromNodeEventEmitter(w.ipcRenderer,"vscode:message",(c,M)=>A.VSBuffer.wrap(M));return w.ipcRenderer.send("vscode:hello"),new _.Protocol(w.ipcRenderer,u)}constructor(u){const c=v.f();super(c,u),this.b=c}dispose(){this.b.disconnect()}}t.Client=v}),define(ge[132],me([12,10]),function(J,t){return J.create("vs/platform/files/common/files",t)}),define(ge[133],me([12,10]),function(J,t){return J.create("vs/platform/theme/common/iconRegistry",t)}),define(ge[63],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SyncDescriptor=void 0;class A{constructor(i,_=[],w=!1){this.ctor=i,this.staticArguments=_,this.supportsDelayedInstantiation=w}}t.SyncDescriptor=A}),define(ge[134],me([1,0,63]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSingletonServiceDescriptors=t.registerSingleton=t.InstantiationType=void 0;const I=[];var i;(function(v){v[v.Eager=0]="Eager",v[v.Delayed=1]="Delayed"})(i=t.InstantiationType||(t.InstantiationType={}));function _(v,d,u){d instanceof A.SyncDescriptor||(d=new A.SyncDescriptor(d,[],Boolean(u))),I.push([v,d])}t.registerSingleton=_;function w(){return I}t.getSingletonServiceDescriptors=w}),define(ge[38],me([1,0]),function(J,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.refineServiceDecorator=t.createDecorator=t.IInstantiationService=t._util=void 0;var A;(function(w){w.serviceIds=new Map,w.DI_TARGET="$di$target",w.DI_DEPENDENCIES="$di$dependencies";function v(d){return d[w.DI_DEPENDENCIES]||[]}w.getServiceDependencies=v})(A=t._util||(t._util={})),t.IInstantiationService=i("instantiationService");function I(w,v,d){v[A.DI_TARGET]===v?v[A.DI_DEPENDENCIES].push({id:w,index:d}):(v[A.DI_DEPENDENCIES]=[{id:w,index:d}],v[A.DI_TARGET]=v)}function i(w){if(A.serviceIds.has(w))return A.serviceIds.get(w);const v=function(d,u,c){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");I(v,d,c)};return v.toString=()=>w,A.serviceIds.set(w,v),v}t.createDecorator=i;function _(w){return w}t.refineServiceDecorator=_}),define(ge[135],me([1,0,38]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullDiagnosticsService=t.isRemoteDiagnosticError=t.IDiagnosticsService=t.ID=void 0,t.ID="diagnosticsService",t.IDiagnosticsService=(0,A.createDecorator)(t.ID);function I(_){return!!_.hostName&&!!_.errorMessage}t.isRemoteDiagnosticError=I;class i{async getPerformanceInfo(w,v){return{}}async getSystemInfo(w,v){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(w,v){return""}async getWorkspaceFileExtensions(w){return{extensions:[]}}async reportWorkspaceStats(w){}}t.NullDiagnosticsService=i}),define(ge[136],me([1,0,113,22,11,6,15,132,38,5]),function(J,t,A,I,i,_,w,v,d,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getLargeFileConfirmationLimit=t.getPlatformFileLimits=t.Arch=t.ByteSize=t.FALLBACK_MAX_MEMORY_SIZE_MB=t.MIN_MAX_MEMORY_SIZE_MB=t.whenProviderRegistered=t.etag=t.ETAG_DISABLED=t.FileKind=t.FILES_EXCLUDE_CONFIG=t.FILES_ASSOCIATIONS_CONFIG=t.HotExitConfiguration=t.AutoSaveConfiguration=t.FileOperationResult=t.NotModifiedSinceFileOperationError=t.TooLargeFileOperationError=t.FileOperationError=t.isParent=t.FileChangesEvent=t.FileChangeType=t.FileOperationEvent=t.FileOperation=t.toFileOperationResult=t.toFileSystemProviderErrorCode=t.markAsFileSystemProviderError=t.ensureFileSystemProviderError=t.createFileSystemProviderError=t.FileSystemProviderError=t.FileSystemProviderErrorCode=t.hasFileAtomicReadCapability=t.hasFileReadStreamCapability=t.hasOpenReadWriteCloseCapability=t.hasFileCloneCapability=t.hasFileFolderCopyCapability=t.hasReadWriteCapability=t.FileSystemProviderCapabilities=t.FilePermission=t.FileType=t.isFileOpenForWriteOptions=t.IFileService=void 0,t.IFileService=(0,d.createDecorator)("fileService");function c(j){return j.create===!0}t.isFileOpenForWriteOptions=c;var M;(function(j){j[j.Unknown=0]="Unknown",j[j.File=1]="File",j[j.Directory=2]="Directory",j[j.SymbolicLink=64]="SymbolicLink"})(M=t.FileType||(t.FileType={}));var o;(function(j){j[j.Readonly=1]="Readonly"})(o=t.FilePermission||(t.FilePermission={}));var n;(function(j){j[j.None=0]="None",j[j.FileReadWrite=2]="FileReadWrite",j[j.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",j[j.FileReadStream=16]="FileReadStream",j[j.FileFolderCopy=8]="FileFolderCopy",j[j.PathCaseSensitive=1024]="PathCaseSensitive",j[j.Readonly=2048]="Readonly",j[j.Trash=4096]="Trash",j[j.FileWriteUnlock=8192]="FileWriteUnlock",j[j.FileAtomicRead=16384]="FileAtomicRead",j[j.FileClone=32768]="FileClone"})(n=t.FileSystemProviderCapabilities||(t.FileSystemProviderCapabilities={}));function e(j){return!!(j.capabilities&2)}t.hasReadWriteCapability=e;function s(j){return!!(j.capabilities&8)}t.hasFileFolderCopyCapability=s;function r(j){return!!(j.capabilities&32768)}t.hasFileCloneCapability=r;function a(j){return!!(j.capabilities&4)}t.hasOpenReadWriteCloseCapability=a;function l(j){return!!(j.capabilities&16)}t.hasFileReadStreamCapability=l;function y(j){return e(j)?!!(j.capabilities&16384):!1}t.hasFileAtomicReadCapability=y;var S;(function(j){j.FileExists="EntryExists",j.FileNotFound="EntryNotFound",j.FileNotADirectory="EntryNotADirectory",j.FileIsADirectory="EntryIsADirectory",j.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",j.FileTooLarge="EntryTooLarge",j.FileWriteLocked="EntryWriteLocked",j.NoPermissions="NoPermissions",j.Unavailable="Unavailable",j.Unknown="Unknown"})(S=t.FileSystemProviderErrorCode||(t.FileSystemProviderErrorCode={}));class F extends Error{constructor(G,se){super(G),this.code=se}}t.FileSystemProviderError=F;function f(j,G){const se=new F(j.toString(),G);return T(se,G),se}t.createFileSystemProviderError=f;function D(j){return j||f((0,v.localize)(0,null),S.Unknown)}t.ensureFileSystemProviderError=D;function T(j,G){return j.name=G?`${G} (FileSystemError)`:"FileSystemError",j}t.markAsFileSystemProviderError=T;function L(j){if(!j)return S.Unknown;if(j instanceof F)return j.code;const G=/^(.+) \(FileSystemError\)$/.exec(j.name);if(!G)return S.Unknown;switch(G[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileExceedsMemoryLimit:return S.FileExceedsMemoryLimit;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}t.toFileSystemProviderErrorCode=L;function h(j){if(j instanceof ee)return j.fileOperationResult;switch(L(j)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 10;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileExceedsMemoryLimit:return 9;case S.FileTooLarge:return 7;default:return 11}}t.toFileOperationResult=h;var p;(function(j){j[j.CREATE=0]="CREATE",j[j.DELETE=1]="DELETE",j[j.MOVE=2]="MOVE",j[j.COPY=3]="COPY",j[j.WRITE=4]="WRITE"})(p=t.FileOperation||(t.FileOperation={}));class m{constructor(G,se,ne){this.resource=G,this.operation=se,this.target=ne}isOperation(G){return this.operation===G}}t.FileOperationEvent=m;var E;(function(j){j[j.UPDATED=0]="UPDATED",j[j.ADDED=1]="ADDED",j[j.DELETED=2]="DELETED"})(E=t.FileChangeType||(t.FileChangeType={}));class O{constructor(G,se){this.a=void 0,this.b=void 0,this.c=void 0,this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];const ne=new Map;for(const Q of G){const b=ne.get(Q.type);switch(b?b.push([Q.resource,Q]):ne.set(Q.type,[[Q.resource,Q]]),Q.type){case 1:this.rawAdded.push(Q.resource);break;case 0:this.rawUpdated.push(Q.resource);break;case 2:this.rawDeleted.push(Q.resource);break}}for(const[Q,b]of ne)switch(Q){case 1:this.a=A.TernarySearchTree.forUris(()=>se),this.a.fill(b);break;case 0:this.b=A.TernarySearchTree.forUris(()=>se),this.b.fill(b);break;case 2:this.c=A.TernarySearchTree.forUris(()=>se),this.c.fill(b);break}}contains(G,...se){return this.d(G,{includeChildren:!1},...se)}affects(G,...se){return this.d(G,{includeChildren:!0},...se)}d(G,se,...ne){if(!G)return!1;const Q=ne.length>0;return!!((!Q||ne.includes(1))&&(this.a?.get(G)||se.includeChildren&&this.a?.findSuperstr(G))||(!Q||ne.includes(0))&&(this.b?.get(G)||se.includeChildren&&this.b?.findSuperstr(G))||(!Q||ne.includes(2))&&(this.c?.findSubstr(G)||se.includeChildren&&this.c?.findSuperstr(G)))}gotAdded(){return!!this.a}gotDeleted(){return!!this.c}gotUpdated(){return!!this.b}}t.FileChangesEvent=O;function V(j,G,se){return!j||!G||j===G||G.length>j.length?!1:(G.charAt(G.length-1)!==I.sep&&(G+=I.sep),se?(0,i.startsWithIgnoreCase)(j,G):j.indexOf(G)===0)}t.isParent=V;class ee extends Error{constructor(G,se,ne){super(G),this.fileOperationResult=se,this.options=ne}}t.FileOperationError=ee;class Z extends ee{constructor(G,se,ne,Q){super(G,se,Q),this.fileOperationResult=se,this.size=ne}}t.TooLargeFileOperationError=Z;class te extends ee{constructor(G,se,ne){super(G,2,ne),this.stat=se}}t.NotModifiedSinceFileOperationError=te;var oe;(function(j){j[j.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",j[j.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",j[j.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",j[j.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",j[j.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",j[j.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",j[j.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",j[j.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",j[j.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",j[j.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",j[j.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",j[j.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(oe=t.FileOperationResult||(t.FileOperationResult={})),t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},t.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},t.FILES_ASSOCIATIONS_CONFIG="files.associations",t.FILES_EXCLUDE_CONFIG="files.exclude";var he;(function(j){j[j.FILE=0]="FILE",j[j.FOLDER=1]="FOLDER",j[j.ROOT_FOLDER=2]="ROOT_FOLDER"})(he=t.FileKind||(t.FileKind={})),t.ETAG_DISABLED="";function de(j){if(!(typeof j.size!="number"||typeof j.mtime!="number"))return j.mtime.toString(29)+j.size.toString(31)}t.etag=de;async function ce(j,G){if(!G.hasProvider(w.URI.from({scheme:j.scheme})))return new Promise(se=>{const ne=G.onDidChangeFileSystemProviderRegistrations(Q=>{Q.scheme===j.scheme&&Q.added&&(ne.dispose(),se())})})}t.whenProviderRegistered=ce,t.MIN_MAX_MEMORY_SIZE_MB=2048,t.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class pe{static formatSize(G){return(0,_.isNumber)(G)||(G=0),G<pe.KB?(0,v.localize)(1,null,G.toFixed(0)):G<pe.MB?(0,v.localize)(2,null,(G/pe.KB).toFixed(2)):G<pe.GB?(0,v.localize)(3,null,(G/pe.MB).toFixed(2)):G<pe.TB?(0,v.localize)(4,null,(G/pe.GB).toFixed(2)):(0,v.localize)(5,null,(G/pe.TB).toFixed(2))}}t.ByteSize=pe,pe.KB=1024,pe.MB=pe.KB*pe.KB,pe.GB=pe.MB*pe.KB,pe.TB=pe.GB*pe.KB;var Te;(function(j){j[j.IA32=0]="IA32",j[j.OTHER=1]="OTHER"})(Te=t.Arch||(t.Arch={}));function Pe(j){return{maxFileSize:j===0?300*pe.MB:16*pe.GB,maxHeapSize:j===0?700*pe.MB:2*700*pe.MB}}t.getPlatformFileLimits=Pe;function Oe(j){return u.isWeb?j?10*pe.MB:50*pe.MB:j?100*pe.MB:1024*pe.MB}t.getLargeFileConfirmationLimit=Oe}),define(ge[137],me([1,0,2,131]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ElectronIPCMainProcessService=void 0;class i extends A.Disposable{constructor(w){super(),this.a=this.B(new I.Client(`window:${w}`))}getChannel(w){return this.a.getChannel(w)}registerChannel(w,v){this.a.registerChannel(w,v)}}t.ElectronIPCMainProcessService=i});var pt=this&&this.__param||function(J,t){return function(A,I){t(A,I,J)}};define(ge[138],me([1,0,37,63,134,38]),function(J,t,A,I,i,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.registerSharedProcessRemoteService=t.ISharedProcessService=t.registerMainProcessRemoteService=t.IMainProcessService=void 0;class w{constructor(n,e,s,r){const a=s.getChannel(n);return v(e)?r.createInstance(new I.SyncDescriptor(e.channelClientCtor,[a])):A.ProxyChannel.toService(a,e?.proxyOptions)}}function v(o){return!!o?.channelClientCtor}t.IMainProcessService=(0,_.createDecorator)("mainProcessService");let d=class extends w{constructor(n,e,s,r){super(n,e,s,r)}};d=Ve([pt(2,t.IMainProcessService),pt(3,_.IInstantiationService)],d);function u(o,n,e){(0,i.registerSingleton)(o,new I.SyncDescriptor(d,[n,e],!0))}t.registerMainProcessRemoteService=u,t.ISharedProcessService=(0,_.createDecorator)("sharedProcessService");let c=class extends w{constructor(n,e,s,r){super(n,e,s,r)}};c=Ve([pt(2,t.ISharedProcessService),pt(3,_.IInstantiationService)],c);function M(o,n,e){(0,i.registerSingleton)(o,new I.SyncDescriptor(c,[n,e],!0))}t.registerSharedProcessRemoteService=M}),define(ge[139],me([1,0,37,138]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NativeHostService=void 0;let i=class{constructor(w,v){return this.windowId=w,A.ProxyChannel.toService(v.getChannel("nativeHost"),{context:w,properties:(()=>{const d=new Map;return d.set("windowId",w),d})()})}};i=Ve([pt(1,I.IMainProcessService)],i),t.NativeHostService=i}),define(ge[64],me([1,0,71,6]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class i{constructor(){this.a=new Map}add(w,v){A.ok(I.isString(w)),A.ok(I.isObject(v)),A.ok(!this.a.has(w),"There is already an extension with this id"),this.a.set(w,v)}knows(w){return this.a.has(w)}as(w){return this.a.get(w)||null}}t.Registry=new i}),define(ge[140],me([1,0,3,64]),function(J,t,A,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function i(v){return v.length>0&&v.charAt(v.length-1)==="#"?v.substring(0,v.length-1):v}class _{constructor(){this.b=new A.Emitter,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(d,u){this.a[i(d)]=u,this.b.fire(d)}notifySchemaChanged(d){this.b.fire(d)}getSchemaContributions(){return{schemas:this.a}}}const w=new _;I.Registry.add(t.Extensions.JSONContribution,w)}),define(ge[141],me([1,0,9,16,17,3,6,15,133,140,64]),function(J,t,A,I,i,_,w,v,d,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.spinningLoading=t.syncing=t.gotoNextLocation=t.gotoPreviousLocation=t.widgetClose=t.iconsSchemaId=t.getIconRegistry=t.registerIcon=t.IconFontDefinition=t.IconContribution=t.Extensions=void 0,t.Extensions={IconContribution:"base.contributions.icons"};var M;(function(S){function F(f,D){let T=f.defaults;for(;i.ThemeIcon.isThemeIcon(T);){const L=e.getIcon(T.id);if(!L)return;T=L.defaults}return T}S.getDefinition=F})(M=t.IconContribution||(t.IconContribution={}));var o;(function(S){function F(D){return{weight:D.weight,style:D.style,src:D.src.map(T=>({format:T.format,location:T.location.toString()}))}}S.toJSONObject=F;function f(D){const T=L=>(0,w.isString)(L)?L:void 0;if(D&&Array.isArray(D.src)&&D.src.every(L=>(0,w.isString)(L.format)&&(0,w.isString)(L.location)))return{weight:T(D.weight),style:T(D.style),src:D.src.map(L=>({format:L.format,location:v.URI.parse(L.location)}))}}S.fromJSONObject=f})(o=t.IconFontDefinition||(t.IconFontDefinition={}));class n{constructor(){this.a=new _.Emitter,this.onDidChange=this.a.event,this.d={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,d.localize)(0,null)},fontCharacter:{type:"string",description:(0,d.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.e={type:"string",pattern:`^${i.ThemeIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.b={},this.f={}}registerIcon(F,f,D,T){const L=this.b[F];if(L){if(D&&!L.description){L.description=D,this.d.properties[F].markdownDescription=`${D} $(${F})`;const m=this.e.enum.indexOf(F);m!==-1&&(this.e.enumDescriptions[m]=D),this.a.fire()}return L}const h={id:F,description:D,defaults:f,deprecationMessage:T};this.b[F]=h;const p={$ref:"#/definitions/icons"};return T&&(p.deprecationMessage=T),D&&(p.markdownDescription=`${D}: $(${F})`),this.d.properties[F]=p,this.e.enum.push(F),this.e.enumDescriptions.push(D||""),this.a.fire(),{id:F}}deregisterIcon(F){delete this.b[F],delete this.d.properties[F];const f=this.e.enum.indexOf(F);f!==-1&&(this.e.enum.splice(f,1),this.e.enumDescriptions.splice(f,1)),this.a.fire()}getIcons(){return Object.keys(this.b).map(F=>this.b[F])}getIcon(F){return this.b[F]}getIconSchema(){return this.d}getIconReferenceSchema(){return this.e}registerIconFont(F,f){const D=this.f[F];return D||(this.f[F]=f,this.a.fire(),f)}deregisterIconFont(F){delete this.f[F]}getIconFont(F){return this.f[F]}toString(){const F=(L,h)=>L.id.localeCompare(h.id),f=L=>{for(;i.ThemeIcon.isThemeIcon(L.defaults);)L=this.b[L.defaults.id];return`codicon codicon-${L?L.id:""}`},D=[];D.push("| preview     | identifier                        | default codicon ID                | description"),D.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const T=Object.keys(this.b).map(L=>this.b[L]);for(const L of T.filter(h=>!!h.description).sort(F))D.push(`|<i class="${f(L)}"></i>|${L.id}|${i.ThemeIcon.isThemeIcon(L.defaults)?L.defaults.id:L.id}|${L.description||""}|`);D.push("| preview     | identifier                        "),D.push("| ----------- | --------------------------------- |");for(const L of T.filter(h=>!i.ThemeIcon.isThemeIcon(h.defaults)).sort(F))D.push(`|<i class="${f(L)}"></i>|${L.id}|`);return D.join(`
`)}}const e=new n;c.Registry.add(t.Extensions.IconContribution,e);function s(S,F,f,D){return e.registerIcon(S,F,f,D)}t.registerIcon=s;function r(){return e}t.getIconRegistry=r;function a(){const S=(0,I.getCodiconFontCharacters)();for(const F in S){const f="\\"+S[F].toString(16);e.registerIcon(F,{fontCharacter:f})}}a(),t.iconsSchemaId="vscode://schemas/icons";const l=c.Registry.as(u.Extensions.JSONContribution);l.registerSchema(t.iconsSchemaId,e.getIconSchema());const y=new A.RunOnceScheduler(()=>l.notifySchemaChanged(t.iconsSchemaId),200);e.onDidChange(()=>{y.isScheduled()||y.schedule()}),t.widgetClose=s("widget-close",I.Codicon.close,(0,d.localize)(2,null)),t.gotoPreviousLocation=s("goto-previous-location",I.Codicon.arrowUp,(0,d.localize)(3,null)),t.gotoNextLocation=s("goto-next-location",I.Codicon.arrowDown,(0,d.localize)(4,null)),t.syncing=i.ThemeIcon.modify(I.Codicon.sync,"spin"),t.spinningLoading=i.ThemeIcon.modify(I.Codicon.loading,"spin")}),define(ge[142],me([1,0,4,3,17,141]),function(J,t,A,I,i,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.UnthemedProductIconTheme=t.getIconsStyleSheet=void 0;function w(d){const u=new I.Emitter,c=(0,_.getIconRegistry)();return c.onDidChange(()=>u.fire()),d?.onDidProductIconThemeChange(()=>u.fire()),{onDidChange:u.event,getCSS(){const M=d?d.getProductIconTheme():new v,o={},n=s=>{const r=M.getIcon(s);if(!r)return;const a=r.font;return a?(o[a.id]=a.definition,`.codicon-${s.id}:before { content: '${r.fontCharacter}'; font-family: ${(0,A.asCSSPropertyValue)(a.id)}; }`):`.codicon-${s.id}:before { content: '${r.fontCharacter}'; }`},e=[];for(const s of c.getIcons()){const r=n(s);r&&e.push(r)}for(const s in o){const r=o[s],a=r.weight?`font-weight: ${r.weight};`:"",l=r.style?`font-style: ${r.style};`:"",y=r.src.map(S=>`${(0,A.asCSSUrl)(S.location)} format('${S.format}')`).join(", ");e.push(`@font-face { src: ${y}; font-family: ${(0,A.asCSSPropertyValue)(s)};${a}${l} font-display: block; }`)}return e.join(`
`)}}}t.getIconsStyleSheet=w;class v{getIcon(u){const c=(0,_.getIconRegistry)();let M=u.defaults;for(;i.ThemeIcon.isThemeIcon(M);){const o=c.getIcon(M.id);if(!o)return;M=o.defaults}return M}}t.UnthemedProductIconTheme=v}),define(ge[143],me([1,0,5]),function(J,t,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.zoomLevelToZoomFactor=t.useWindowControlsOverlay=t.getTitleBarStyle=t.getMenuBarVisibility=t.isFileToOpen=t.isFolderToOpen=t.isWorkspaceToOpen=t.WindowMinimumSize=void 0,t.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function I(c){return!!c.workspaceUri}t.isWorkspaceToOpen=I;function i(c){return!!c.folderUri}t.isFolderToOpen=i;function _(c){return!!c.fileUri}t.isFileToOpen=_;function w(c){const M=v(c),o=c.getValue("window.menuBarVisibility");return o==="default"||M==="native"&&o==="compact"||A.isMacintosh&&A.isNative?"classic":o}t.getMenuBarVisibility=w;function v(c){if(A.isWeb)return"custom";const M=c.getValue("window");if(M){if(A.isMacintosh&&M.nativeTabs===!0||A.isMacintosh&&M.nativeFullScreen===!1)return"native";const e=M.titleBarStyle;if(e==="native"||e==="custom")return e}return A.isLinux?"native":"custom"}t.getTitleBarStyle=v;function d(c){if(!A.isWindows||A.isWeb||v(c)==="native")return!1;const M=c.getValue("window.experimental.windowControlsOverlay.enabled");return typeof M=="boolean"?M:!0}t.useWindowControlsOverlay=d;function u(c=0){return Math.pow(1.2,c)}t.zoomLevelToZoomFactor=u}),define(ge[144],me([1,0,18,28,143]),function(J,t,A,I,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.zoomOut=t.zoomIn=t.applyZoom=void 0;function _(d){I.webFrame.setZoomLevel(d),(0,A.setZoomFactor)((0,i.zoomLevelToZoomFactor)(d)),(0,A.setZoomLevel)(d,!1)}t.applyZoom=_;function w(){_((0,A.getZoomLevel)()+1)}t.zoomIn=w;function v(){_((0,A.getZoomLevel)()-1)}t.zoomOut=v}),define(ge[145],me([1,0,10,4,129,9,130,28,135,136,137,139,142,144,14,95,86]),function(J,t,A,I,i,_,w,v,d,u,c,M,o,n,e){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.startup=void 0;const s=/\s--inspect(?:-brk|port)?=(?<port>\d+)?/,r=/\s--inspect-port=(?<port>\d+)/;class a{getHeight(O){return 22}getTemplateId(O){return L(O)?"process":D(O)?"machine":(0,d.isRemoteDiagnosticError)(O)?"error":T(O)?"header":""}}class l{hasChildren(O){return(0,d.isRemoteDiagnosticError)(O)?!1:L(O)?!!O.children?.length:!0}getChildren(O){return L(O)?O.children?O.children:[]:(0,d.isRemoteDiagnosticError)(O)?[]:T(O)?O.processRoots.length>1?O.processRoots:[O.processRoots[0].rootProcess]:D(O)?[O.rootProcess]:[O.processes]}}class y{constructor(){this.templateId="header"}renderTemplate(O){const V=Object.create(null),ee=(0,I.append)(O,(0,I.$)(".row"));return V.name=(0,I.append)(ee,(0,I.$)(".nameLabel")),V.CPU=(0,I.append)(ee,(0,I.$)(".cpu")),V.memory=(0,I.append)(ee,(0,I.$)(".memory")),V.PID=(0,I.append)(ee,(0,I.$)(".pid")),V}renderElement(O,V,ee,Z){ee.name.textContent=(0,A.localize)(0,null),ee.CPU.textContent=(0,A.localize)(1,null),ee.PID.textContent=(0,A.localize)(2,null),ee.memory.textContent=(0,A.localize)(3,null)}disposeTemplate(O){}}class S{constructor(){this.templateId="machine"}renderTemplate(O){const V=Object.create(null),ee=(0,I.append)(O,(0,I.$)(".row"));return V.name=(0,I.append)(ee,(0,I.$)(".nameLabel")),V}renderElement(O,V,ee,Z){ee.name.textContent=O.element.name}disposeTemplate(O){}}class F{constructor(){this.templateId="error"}renderTemplate(O){const V=Object.create(null),ee=(0,I.append)(O,(0,I.$)(".row"));return V.name=(0,I.append)(ee,(0,I.$)(".nameLabel")),V}renderElement(O,V,ee,Z){ee.name.textContent=O.element.errorMessage}disposeTemplate(O){}}class f{constructor(O,V,ee){this.a=O,this.b=V,this.c=ee,this.templateId="process"}renderTemplate(O){const V=Object.create(null),ee=(0,I.append)(O,(0,I.$)(".row"));return V.name=(0,I.append)(ee,(0,I.$)(".nameLabel")),V.CPU=(0,I.append)(ee,(0,I.$)(".cpu")),V.memory=(0,I.append)(ee,(0,I.$)(".memory")),V.PID=(0,I.append)(ee,(0,I.$)(".pid")),V}renderElement(O,V,ee,Z){const{element:te}=O;let oe=te.name;oe==="window"&&(oe=this.c.get(te.pid)!==void 0?`${oe} (${this.c.get(te.pid)})`:oe);const he=te.pid.toFixed(0);ee.name.textContent=oe,ee.name.title=te.cmd,ee.CPU.textContent=te.load.toFixed(0),ee.PID.textContent=he,ee.PID.parentElement.id=`pid-${he}`;const de=this.a==="win32"?te.mem:this.b*(te.mem/100);ee.memory.textContent=(de/u.ByteSize.MB).toFixed(0)}disposeTemplate(O){}}function D(E){return!!E.name&&!!E.rootProcess}function T(E){return!!E.processRoots}function L(E){return!!E.pid}class h{constructor(O,V){this.f=V,this.b=new Map;const ee=new c.ElectronIPCMainProcessService(O);this.c=new M.NativeHostService(O,ee),this.k(V.styles),this.g(V),v.ipcRenderer.on("vscode:windowsInfoResponse",(Z,te)=>{this.b=new Map,te.forEach(oe=>this.b.set(oe.pid,oe.title))}),v.ipcRenderer.on("vscode:listProcessesResponse",async(Z,te)=>{te.forEach((oe,he)=>{L(oe.rootProcess)&&(oe.rootProcess.name=he===0?`${this.f.applicationName} main`:"remote agent")}),this.d?(this.d.setInput({processes:{processRoots:te}}),this.d.layout(window.innerHeight,window.innerWidth)):await this.h(te),this.m(0)}),this.a=Date.now(),v.ipcRenderer.send("vscode:windowsInfoRequest"),v.ipcRenderer.send("vscode:listProcesses")}g(O){document.onkeydown=V=>{const ee=O.platform==="darwin"?V.metaKey:V.ctrlKey;ee&&V.keyCode===87&&(V.stopPropagation(),V.preventDefault(),v.ipcRenderer.send("vscode:closeProcessExplorer")),ee&&V.keyCode===187&&(0,n.zoomIn)(),ee&&V.keyCode===189&&(0,n.zoomOut)()}}async h(O){const V=document.getElementById("process-list");if(!V)return;const{totalmem:ee}=await this.c.getOSStatistics(),Z=[new f(this.f.platform,ee,this.b),new y,new S,new F];this.d=new i.DataTree("processExplorer",V,new a,Z,new l,{identityProvider:{getId:te=>L(te)?te.pid.toString():(0,d.isRemoteDiagnosticError)(te)?te.hostName:T(te)?"processes":D(te)?te.name:"header"}}),this.d.setInput({processes:{processRoots:O}}),this.d.layout(window.innerHeight,window.innerWidth),this.d.onKeyDown(te=>{const oe=new e.StandardKeyboardEvent(te);if(oe.keyCode===35&&oe.altKey){const he=this.n();Promise.all(he.map(de=>this.c.killProcess(de,"SIGTERM"))).then(()=>this.d?.refresh())}}),this.d.onContextMenu(te=>{L(te.element)&&this.l(te.element,!0)}),V.style.height=`${window.innerHeight}px`,window.addEventListener("resize",()=>{V.style.height=`${window.innerHeight}px`,this.d?.layout(window.innerHeight,window.innerWidth)})}i(O){const V=s.exec(O);return V&&V.groups.port!=="0"||O.indexOf("node ")>=0||O.indexOf("node.exe")>=0}j(O){const V={type:"node",request:"attach",name:`process ${O.pid}`};let ee=s.exec(O.cmd);ee?V.port=Number(ee.groups.port):V.processId=String(O.pid),ee=r.exec(O.cmd),ee&&(V.port=Number(ee.groups.port)),v.ipcRenderer.send("vscode:workbenchCommand",{id:"debug.startFromConfig",from:"processExplorer",args:[V]})}k(O){const V=(0,I.createStyleSheet)(),ee=[];O.listFocusBackground&&(ee.push(`.monaco-list:focus .monaco-list-row.focused { background-color: ${O.listFocusBackground}; }`),ee.push(`.monaco-list:focus .monaco-list-row.focused:hover { background-color: ${O.listFocusBackground}; }`)),O.listFocusForeground&&ee.push(`.monaco-list:focus .monaco-list-row.focused { color: ${O.listFocusForeground}; }`),O.listActiveSelectionBackground&&(ee.push(`.monaco-list:focus .monaco-list-row.selected { background-color: ${O.listActiveSelectionBackground}; }`),ee.push(`.monaco-list:focus .monaco-list-row.selected:hover { background-color: ${O.listActiveSelectionBackground}; }`)),O.listActiveSelectionForeground&&ee.push(`.monaco-list:focus .monaco-list-row.selected { color: ${O.listActiveSelectionForeground}; }`),O.listHoverBackground&&ee.push(`.monaco-list-row:hover:not(.selected):not(.focused) { background-color: ${O.listHoverBackground}; }`),O.listHoverForeground&&ee.push(`.monaco-list-row:hover:not(.selected):not(.focused) { color: ${O.listHoverForeground}; }`),O.listFocusOutline&&ee.push(`.monaco-list:focus .monaco-list-row.focused { outline: 1px solid ${O.listFocusOutline}; outline-offset: -1px; }`),O.listHoverOutline&&ee.push(`.monaco-list-row:hover { outline: 1px dashed ${O.listHoverOutline}; outline-offset: -1px; }`),O.scrollbarShadowColor&&ee.push(`
				.monaco-scrollable-element > .shadow.top {
					box-shadow: ${O.scrollbarShadowColor} 0 6px 6px -6px inset;
				}

				.monaco-scrollable-element > .shadow.left {
					box-shadow: ${O.scrollbarShadowColor} 6px 0 6px -6px inset;
				}

				.monaco-scrollable-element > .shadow.top.left {
					box-shadow: ${O.scrollbarShadowColor} 6px 6px 6px -6px inset;
				}
			`),O.scrollbarSliderBackgroundColor&&ee.push(`
				.monaco-scrollable-element > .scrollbar > .slider {
					background: ${O.scrollbarSliderBackgroundColor};
				}
			`),O.scrollbarSliderHoverBackgroundColor&&ee.push(`
				.monaco-scrollable-element > .scrollbar > .slider:hover {
					background: ${O.scrollbarSliderHoverBackgroundColor};
				}
			`),O.scrollbarSliderActiveBackgroundColor&&ee.push(`
				.monaco-scrollable-element > .scrollbar > .slider.active {
					background: ${O.scrollbarSliderActiveBackgroundColor};
				}
			`),V.textContent=ee.join(`
`),O.color&&(document.body.style.color=O.color)}l(O,V){const ee=[],Z=Number(O.pid);V&&(ee.push({label:(0,A.localize)(4,null),click:()=>{this.c.killProcess(Z,"SIGTERM")}}),ee.push({label:(0,A.localize)(5,null),click:()=>{this.c.killProcess(Z,"SIGKILL")}}),ee.push({type:"separator"})),ee.push({label:(0,A.localize)(6,null),click:()=>{const te=this.n();te?.includes(Z)||(te.length=0,te.push(Z));const oe=te?.map(he=>document.getElementById(`pid-${he}`)).filter(he=>!!he);if(oe){const he=oe.map(de=>de.innerText).filter(de=>!!de);this.c.writeClipboardText(he.join(`
`))}}}),ee.push({label:(0,A.localize)(7,null),click:()=>{const te=document.getElementById("process-list");te&&this.c.writeClipboardText(te.innerText)}}),O&&V&&this.i(O.cmd)&&(ee.push({type:"separator"}),ee.push({label:(0,A.localize)(8,null),click:()=>{this.j(O)}})),(0,w.popup)(ee)}m(O){setTimeout(()=>{const V=Date.now(),ee=O+V-this.a;this.a=V,ee>1e3?(v.ipcRenderer.send("vscode:windowsInfoRequest"),v.ipcRenderer.send("vscode:listProcesses")):this.m(ee)},200)}n(){return this.d?.getSelection()?.map(O=>{if(!(!O||!("pid"in O)))return O.pid}).filter(O=>!!O)}}function p(){const E=(0,I.createStyleSheet)();E.id="codiconStyles";const O=(0,o.getIconsStyleSheet)(void 0);function V(){E.textContent=O.getCSS()}const ee=new _.RunOnceScheduler(V,0);O.onDidChange(()=>ee.schedule()),ee.schedule()}function m(E){const O=E.data.platform==="win32"?"windows":E.data.platform==="linux"?"linux":"mac";document.body.classList.add(O),p(),(0,n.applyZoom)(E.data.zoomLevel),new h(E.windowId,E.data)}t.startup=m})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/5d948e69dac8cbd477e5a7c4a6e8eaa1e0d83f69/core/vs/code/electron-sandbox/processExplorer/processExplorerMain.js.map
